#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AbstractContactEditorWidget
      switch(to) {
        case 1: return (void*)(Akonadi::AbstractContactEditorWidget*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AbstractContactFormatter
      switch(to) {
        case 2: return (void*)(Akonadi::AbstractContactFormatter*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AbstractContactGroupFormatter
      switch(to) {
        case 3: return (void*)(Akonadi::AbstractContactGroupFormatter*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AddressAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::AddressAttribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentBase
      switch(to) {
        case 193: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 163: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(Akonadi::AgentBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 8: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 206: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 152: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentInstance
      switch(to) {
        case 10: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 143: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 216: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentManager
      switch(to) {
        case 193: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::AgentType
      switch(to) {
        case 15: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 140: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 166: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 216: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::AgentTypeModel
      switch(to) {
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 216: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Attribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)(Akonadi::Attribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)(Akonadi::Attribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)(Akonadi::Attribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)(Akonadi::Attribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)(Akonadi::Attribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::AttributeFactory
      switch(to) {
        case 20: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::CachePolicy
      switch(to) {
        case 21: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::ChangeRecorder
      switch(to) {
        case 96: return (void*)(Akonadi::Monitor*)(Akonadi::ChangeRecorder*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ChangeRecorder*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::ChangeRecorderPrivate
      switch(to) {
        case 23: return (void*)(Akonadi::ChangeRecorderPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Collection
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 24: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::CollectionComboBox
      switch(to) {
        case 133: return (void*)(KComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 161: return (void*)(QComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 216: return (void*)(QWidget*)(Akonadi::CollectionComboBox*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionComboBox*)xptr;
        case 135: return (void*)(KCompletionBase*)(Akonadi::CollectionComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)xptr;
        default: return xptr;
      }
    case 26:   //Akonadi::CollectionCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCopyJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionCopyJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)xptr;
        default: return xptr;
      }
    case 27:   //Akonadi::CollectionCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCreateJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionCreateJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)xptr;
        default: return xptr;
      }
    case 28:   //Akonadi::CollectionDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionDeleteJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionDeleteJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)xptr;
        default: return xptr;
      }
    case 29:   //Akonadi::CollectionDialog
      switch(to) {
        case 140: return (void*)(KDialog*)(Akonadi::CollectionDialog*)xptr;
        case 166: return (void*)(QDialog*)(Akonadi::CollectionDialog*)xptr;
        case 216: return (void*)(QWidget*)(Akonadi::CollectionDialog*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)xptr;
        default: return xptr;
      }
    case 30:   //Akonadi::CollectionFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionFetchJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionFetchJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)xptr;
        default: return xptr;
      }
    case 31:   //Akonadi::CollectionFetchScope
      switch(to) {
        case 31: return (void*)(Akonadi::CollectionFetchScope*)xptr;
        default: return xptr;
      }
    case 32:   //Akonadi::CollectionFilterProxyModel
      switch(to) {
        case 206: return (void*)(QSortFilterProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 152: return (void*)(QAbstractProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 33:   //Akonadi::CollectionModel
      switch(to) {
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::CollectionModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(Akonadi::CollectionModel*)xptr;
        default: return xptr;
      }
    case 34:   //Akonadi::CollectionModelPrivate
      switch(to) {
        case 34: return (void*)(Akonadi::CollectionModelPrivate*)xptr;
        default: return xptr;
      }
    case 35:   //Akonadi::CollectionModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionModifyJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionModifyJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)xptr;
        default: return xptr;
      }
    case 36:   //Akonadi::CollectionMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionMoveJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionMoveJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)xptr;
        default: return xptr;
      }
    case 37:   //Akonadi::CollectionPropertiesDialog
      switch(to) {
        case 140: return (void*)(KDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 166: return (void*)(QDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 216: return (void*)(QWidget*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)xptr;
        default: return xptr;
      }
    case 38:   //Akonadi::CollectionPropertiesPage
      switch(to) {
        case 216: return (void*)(QWidget*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)xptr;
        default: return xptr;
      }
    case 39:   //Akonadi::CollectionPropertiesPageFactory
      switch(to) {
        case 39: return (void*)(Akonadi::CollectionPropertiesPageFactory*)xptr;
        default: return xptr;
      }
    case 40:   //Akonadi::CollectionQuotaAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::CollectionQuotaAttribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)xptr;
        default: return xptr;
      }
    case 41:   //Akonadi::CollectionRequester
      switch(to) {
        case 141: return (void*)(KHBox*)(Akonadi::CollectionRequester*)xptr;
        case 174: return (void*)(QFrame*)(Akonadi::CollectionRequester*)xptr;
        case 216: return (void*)(QWidget*)(Akonadi::CollectionRequester*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionRequester*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)xptr;
        default: return xptr;
      }
    case 42:   //Akonadi::CollectionStatistics
      switch(to) {
        case 42: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 43:   //Akonadi::CollectionStatisticsDelegate
      switch(to) {
        case 209: return (void*)(QStyledItemDelegate*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        default: return xptr;
      }
    case 44:   //Akonadi::CollectionStatisticsJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)xptr;
        default: return xptr;
      }
    case 45:   //Akonadi::CollectionStatisticsModel
      switch(to) {
        case 33: return (void*)(Akonadi::CollectionModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)xptr;
        default: return xptr;
      }
    case 46:   //Akonadi::CollectionView
      switch(to) {
        case 212: return (void*)(QTreeView*)(Akonadi::CollectionView*)xptr;
        case 151: return (void*)(QAbstractItemView*)(Akonadi::CollectionView*)xptr;
        case 153: return (void*)(QAbstractScrollArea*)(Akonadi::CollectionView*)xptr;
        case 174: return (void*)(QFrame*)(Akonadi::CollectionView*)xptr;
        case 216: return (void*)(QWidget*)(Akonadi::CollectionView*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::CollectionView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)xptr;
        default: return xptr;
      }
    case 47:   //Akonadi::ContactDefaultActions
      switch(to) {
        case 193: return (void*)(QObject*)(Akonadi::ContactDefaultActions*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)xptr;
        default: return xptr;
      }
    case 48:   //Akonadi::ContactEditor
      switch(to) {
        case 216: return (void*)(QWidget*)(Akonadi::ContactEditor*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ContactEditor*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)xptr;
        default: return xptr;
      }
    case 49:   //Akonadi::ContactEditorDialog
      switch(to) {
        case 140: return (void*)(KDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 166: return (void*)(QDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 216: return (void*)(QWidget*)(Akonadi::ContactEditorDialog*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ContactEditorDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)xptr;
        default: return xptr;
      }
    case 50:   //Akonadi::ContactEditorPagePlugin
      switch(to) {
        case 216: return (void*)(QWidget*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)xptr;
        default: return xptr;
      }
    case 51:   //Akonadi::ContactGroupEditor
      switch(to) {
        case 216: return (void*)(QWidget*)(Akonadi::ContactGroupEditor*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ContactGroupEditor*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)xptr;
        default: return xptr;
      }
    case 52:   //Akonadi::ContactGroupEditorDialog
      switch(to) {
        case 140: return (void*)(KDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 166: return (void*)(QDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 216: return (void*)(QWidget*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)xptr;
        default: return xptr;
      }
    case 53:   //Akonadi::ContactGroupExpandJob
      switch(to) {
        case 143: return (void*)(KJob*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)xptr;
        default: return xptr;
      }
    case 54:   //Akonadi::ContactGroupSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)xptr;
        default: return xptr;
      }
    case 55:   //Akonadi::ContactGroupViewer
      switch(to) {
        case 216: return (void*)(QWidget*)(Akonadi::ContactGroupViewer*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ContactGroupViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactGroupViewer*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)xptr;
        default: return xptr;
      }
    case 56:   //Akonadi::ContactGroupViewerDialog
      switch(to) {
        case 140: return (void*)(KDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 166: return (void*)(QDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 216: return (void*)(QWidget*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)xptr;
        default: return xptr;
      }
    case 57:   //Akonadi::ContactSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactSearchJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::ContactSearchJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::ContactSearchJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ContactSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)xptr;
        default: return xptr;
      }
    case 58:   //Akonadi::ContactViewer
      switch(to) {
        case 216: return (void*)(QWidget*)(Akonadi::ContactViewer*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ContactViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactViewer*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)xptr;
        default: return xptr;
      }
    case 59:   //Akonadi::ContactViewerDialog
      switch(to) {
        case 140: return (void*)(KDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 166: return (void*)(QDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 216: return (void*)(QWidget*)(Akonadi::ContactViewerDialog*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ContactViewerDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)xptr;
        default: return xptr;
      }
    case 60:   //Akonadi::Control
      switch(to) {
        case 193: return (void*)(QObject*)(Akonadi::Control*)xptr;
        case 60: return (void*)(Akonadi::Control*)xptr;
        default: return xptr;
      }
    case 61:   //Akonadi::Entity
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)xptr;
        case 73: return (void*)(Akonadi::Item*)(Akonadi::Entity*)xptr;
        case 24: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 62:   //Akonadi::EntityDisplayAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityDisplayAttribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)xptr;
        default: return xptr;
      }
    case 63:   //Akonadi::EntityHiddenAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityHiddenAttribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)xptr;
        default: return xptr;
      }
    case 64:   //Akonadi::EntityListView
      switch(to) {
        case 185: return (void*)(QListView*)(Akonadi::EntityListView*)xptr;
        case 151: return (void*)(QAbstractItemView*)(Akonadi::EntityListView*)xptr;
        case 153: return (void*)(QAbstractScrollArea*)(Akonadi::EntityListView*)xptr;
        case 174: return (void*)(QFrame*)(Akonadi::EntityListView*)xptr;
        case 216: return (void*)(QWidget*)(Akonadi::EntityListView*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::EntityListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)xptr;
        default: return xptr;
      }
    case 65:   //Akonadi::EntityMimeTypeFilterModel
      switch(to) {
        case 206: return (void*)(QSortFilterProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 152: return (void*)(QAbstractProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        default: return xptr;
      }
    case 66:   //Akonadi::EntityPrivate
      switch(to) {
        case 66: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 67:   //Akonadi::EntityTreeModel
      switch(to) {
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::EntityTreeModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::EntityTreeModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)xptr;
        default: return xptr;
      }
    case 68:   //Akonadi::EntityTreeModelPrivate
      switch(to) {
        case 68: return (void*)(Akonadi::EntityTreeModelPrivate*)xptr;
        default: return xptr;
      }
    case 69:   //Akonadi::EntityTreeView
      switch(to) {
        case 212: return (void*)(QTreeView*)(Akonadi::EntityTreeView*)xptr;
        case 151: return (void*)(QAbstractItemView*)(Akonadi::EntityTreeView*)xptr;
        case 153: return (void*)(QAbstractScrollArea*)(Akonadi::EntityTreeView*)xptr;
        case 174: return (void*)(QFrame*)(Akonadi::EntityTreeView*)xptr;
        case 216: return (void*)(QWidget*)(Akonadi::EntityTreeView*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::EntityTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)xptr;
        default: return xptr;
      }
    case 70:   //Akonadi::EntityTreeViewStateSaver
      switch(to) {
        case 193: return (void*)(QObject*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        default: return xptr;
      }
    case 71:   //Akonadi::Exception
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 72:   //Akonadi::FavoriteCollectionsModel
      switch(to) {
        case 106: return (void*)(Akonadi::SelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 145: return (void*)(KSelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 152: return (void*)(QAbstractProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)xptr;
        default: return xptr;
      }
    case 73:   //Akonadi::Item
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Item*)xptr;
        case 73: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 74:   //Akonadi::ItemCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCopyJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::ItemCopyJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::ItemCopyJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ItemCopyJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)xptr;
        default: return xptr;
      }
    case 75:   //Akonadi::ItemCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCreateJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::ItemCreateJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::ItemCreateJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ItemCreateJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)xptr;
        default: return xptr;
      }
    case 76:   //Akonadi::ItemDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemDeleteJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ItemDeleteJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)xptr;
        default: return xptr;
      }
    case 77:   //Akonadi::ItemFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemFetchJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::ItemFetchJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::ItemFetchJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ItemFetchJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)xptr;
        default: return xptr;
      }
    case 78:   //Akonadi::ItemFetchScope
      switch(to) {
        case 78: return (void*)(Akonadi::ItemFetchScope*)xptr;
        default: return xptr;
      }
    case 79:   //Akonadi::ItemModel
      switch(to) {
        case 154: return (void*)(QAbstractTableModel*)(Akonadi::ItemModel*)xptr;
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::ItemModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(Akonadi::ItemModel*)xptr;
        default: return xptr;
      }
    case 80:   //Akonadi::ItemModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemModifyJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::ItemModifyJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::ItemModifyJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ItemModifyJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)xptr;
        default: return xptr;
      }
    case 81:   //Akonadi::ItemMonitor
      switch(to) {
        case 81: return (void*)(Akonadi::ItemMonitor*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(Akonadi::ItemMonitor*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(Akonadi::ItemMonitor*)xptr;
        default: return xptr;
      }
    case 82:   //Akonadi::ItemMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemMoveJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::ItemMoveJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::ItemMoveJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ItemMoveJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)xptr;
        default: return xptr;
      }
    case 83:   //Akonadi::ItemSearchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSearchJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::ItemSearchJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::ItemSearchJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ItemSearchJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        default: return xptr;
      }
    case 84:   //Akonadi::ItemSerializerPlugin
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)(Akonadi::ItemSerializerPlugin*)xptr;
        default: return xptr;
      }
    case 85:   //Akonadi::ItemSerializerPluginV2
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)(Akonadi::ItemSerializerPluginV2*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)xptr;
        default: return xptr;
      }
    case 86:   //Akonadi::ItemSync
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSync*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::ItemSync*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::ItemSync*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ItemSync*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)xptr;
        default: return xptr;
      }
    case 87:   //Akonadi::ItemView
      switch(to) {
        case 212: return (void*)(QTreeView*)(Akonadi::ItemView*)xptr;
        case 151: return (void*)(QAbstractItemView*)(Akonadi::ItemView*)xptr;
        case 153: return (void*)(QAbstractScrollArea*)(Akonadi::ItemView*)xptr;
        case 174: return (void*)(QFrame*)(Akonadi::ItemView*)xptr;
        case 216: return (void*)(QWidget*)(Akonadi::ItemView*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)xptr;
        default: return xptr;
      }
    case 88:   //Akonadi::Job
      switch(to) {
        case 137: return (void*)(KCompositeJob*)(Akonadi::Job*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::Job*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::Job*)xptr;
        case 88: return (void*)(Akonadi::Job*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(Akonadi::Job*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(Akonadi::Job*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(Akonadi::Job*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(Akonadi::Job*)xptr;
        case 114: return (void*)(Akonadi::TransactionBeginJob*)(Akonadi::Job*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(Akonadi::Job*)xptr;
        case 116: return (void*)(Akonadi::TransactionRollbackJob*)(Akonadi::Job*)xptr;
        case 119: return (void*)(Akonadi::UnlinkJob*)(Akonadi::Job*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(Akonadi::Job*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(Akonadi::Job*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(Akonadi::Job*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(Akonadi::Job*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(Akonadi::Job*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(Akonadi::Job*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(Akonadi::Job*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::Job*)xptr;
        case 115: return (void*)(Akonadi::TransactionCommitJob*)(Akonadi::Job*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(Akonadi::Job*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::Job*)xptr;
        case 117: return (void*)(Akonadi::TransactionSequence*)(Akonadi::Job*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(Akonadi::Job*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(Akonadi::Job*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::Job*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(Akonadi::Job*)xptr;
        default: return xptr;
      }
    case 89:   //Akonadi::JobPrivate
      switch(to) {
        case 89: return (void*)(Akonadi::JobPrivate*)xptr;
        default: return xptr;
      }
    case 90:   //Akonadi::LinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::LinkJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::LinkJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::LinkJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::LinkJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)xptr;
        default: return xptr;
      }
    case 91:   //Akonadi::MessageFolderAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageFolderAttribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)xptr;
        default: return xptr;
      }
    case 92:   //Akonadi::MessageModel
      switch(to) {
        case 79: return (void*)(Akonadi::ItemModel*)(Akonadi::MessageModel*)xptr;
        case 154: return (void*)(QAbstractTableModel*)(Akonadi::MessageModel*)xptr;
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::MessageModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::MessageModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)xptr;
        default: return xptr;
      }
    case 93:   //Akonadi::MessageThreaderProxyModel
      switch(to) {
        case 152: return (void*)(QAbstractProxyModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)xptr;
        default: return xptr;
      }
    case 94:   //Akonadi::MessageThreadingAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageThreadingAttribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)xptr;
        default: return xptr;
      }
    case 95:   //Akonadi::MimeTypeChecker
      switch(to) {
        case 95: return (void*)(Akonadi::MimeTypeChecker*)xptr;
        default: return xptr;
      }
    case 96:   //Akonadi::Monitor
      switch(to) {
        case 193: return (void*)(QObject*)(Akonadi::Monitor*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(Akonadi::Monitor*)xptr;
        default: return xptr;
      }
    case 97:   //Akonadi::MonitorPrivate
      switch(to) {
        case 97: return (void*)(Akonadi::MonitorPrivate*)xptr;
        default: return xptr;
      }
    case 98:   //Akonadi::PartFetcher
      switch(to) {
        case 143: return (void*)(KJob*)(Akonadi::PartFetcher*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::PartFetcher*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)xptr;
        default: return xptr;
      }
    case 99:   //Akonadi::PayloadBase
      switch(to) {
        case 99: return (void*)(Akonadi::PayloadBase*)xptr;
        default: return xptr;
      }
    case 100:   //Akonadi::PayloadException
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 101:   //Akonadi::PreprocessorBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::PreprocessorBase*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::PreprocessorBase*)xptr;
        case 163: return (void*)(QDBusContext*)(Akonadi::PreprocessorBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)xptr;
        default: return xptr;
      }
    case 102:   //Akonadi::ResourceBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::ResourceBase*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ResourceBase*)xptr;
        case 163: return (void*)(QDBusContext*)(Akonadi::ResourceBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)xptr;
        default: return xptr;
      }
    case 103:   //Akonadi::ResourceSynchronizationJob
      switch(to) {
        case 143: return (void*)(KJob*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)xptr;
        default: return xptr;
      }
    case 104:   //Akonadi::SearchCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::SearchCreateJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::SearchCreateJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::SearchCreateJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::SearchCreateJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)xptr;
        default: return xptr;
      }
    case 105:   //Akonadi::SearchQuery
      switch(to) {
        case 105: return (void*)(Akonadi::SearchQuery*)xptr;
        default: return xptr;
      }
    case 106:   //Akonadi::SelectionProxyModel
      switch(to) {
        case 145: return (void*)(KSelectionProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 152: return (void*)(QAbstractProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::SelectionProxyModel*)xptr;
        case 106: return (void*)(Akonadi::SelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(Akonadi::SelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 107:   //Akonadi::ServerManager
      switch(to) {
        case 193: return (void*)(QObject*)(Akonadi::ServerManager*)xptr;
        case 107: return (void*)(Akonadi::ServerManager*)xptr;
        default: return xptr;
      }
    case 108:   //Akonadi::Session
      switch(to) {
        case 193: return (void*)(QObject*)(Akonadi::Session*)xptr;
        case 108: return (void*)(Akonadi::Session*)xptr;
        default: return xptr;
      }
    case 109:   //Akonadi::SessionPrivate
      switch(to) {
        case 109: return (void*)(Akonadi::SessionPrivate*)xptr;
        default: return xptr;
      }
    case 110:   //Akonadi::StandardActionManager
      switch(to) {
        case 193: return (void*)(QObject*)(Akonadi::StandardActionManager*)xptr;
        case 110: return (void*)(Akonadi::StandardActionManager*)xptr;
        default: return xptr;
      }
    case 111:   //Akonadi::StatisticsProxyModel
      switch(to) {
        case 206: return (void*)(QSortFilterProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 152: return (void*)(QAbstractProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 150: return (void*)(QAbstractItemModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::StatisticsProxyModel*)xptr;
        case 111: return (void*)(Akonadi::StatisticsProxyModel*)xptr;
        default: return xptr;
      }
    case 112:   //Akonadi::Tag
      switch(to) {
        case 112: return (void*)(Akonadi::Tag*)xptr;
        default: return xptr;
      }
    case 113:   //Akonadi::TagFetchScope
      switch(to) {
        case 113: return (void*)(Akonadi::TagFetchScope*)xptr;
        default: return xptr;
      }
    case 114:   //Akonadi::TransactionBeginJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionBeginJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::TransactionBeginJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionBeginJob*)xptr;
        default: return xptr;
      }
    case 115:   //Akonadi::TransactionCommitJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionCommitJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::TransactionCommitJob*)xptr;
        case 115: return (void*)(Akonadi::TransactionCommitJob*)xptr;
        default: return xptr;
      }
    case 116:   //Akonadi::TransactionRollbackJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionRollbackJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::TransactionRollbackJob*)xptr;
        case 116: return (void*)(Akonadi::TransactionRollbackJob*)xptr;
        default: return xptr;
      }
    case 117:   //Akonadi::TransactionSequence
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionSequence*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::TransactionSequence*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::TransactionSequence*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::TransactionSequence*)xptr;
        case 117: return (void*)(Akonadi::TransactionSequence*)xptr;
        default: return xptr;
      }
    case 118:   //Akonadi::TransportResourceBase
      switch(to) {
        case 118: return (void*)(Akonadi::TransportResourceBase*)xptr;
        default: return xptr;
      }
    case 119:   //Akonadi::UnlinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::UnlinkJob*)xptr;
        case 137: return (void*)(KCompositeJob*)(Akonadi::UnlinkJob*)xptr;
        case 143: return (void*)(KJob*)(Akonadi::UnlinkJob*)xptr;
        case 193: return (void*)(QObject*)(Akonadi::UnlinkJob*)xptr;
        case 119: return (void*)(Akonadi::UnlinkJob*)xptr;
        default: return xptr;
      }
    case 120:   //KABC::Address
      switch(to) {
        case 120: return (void*)(KABC::Address*)xptr;
        default: return xptr;
      }
    case 121:   //KABC::Addressee
      switch(to) {
        case 121: return (void*)(KABC::Addressee*)xptr;
        default: return xptr;
      }
    case 122:   //KABC::AddresseeList
      switch(to) {
        case 122: return (void*)(KABC::AddresseeList*)xptr;
        default: return xptr;
      }
    case 123:   //KABC::ContactGroup
      switch(to) {
        case 123: return (void*)(KABC::ContactGroup*)xptr;
        default: return xptr;
      }
    case 124:   //KABC::Geo
      switch(to) {
        case 124: return (void*)(KABC::Geo*)xptr;
        default: return xptr;
      }
    case 125:   //KABC::Key
      switch(to) {
        case 125: return (void*)(KABC::Key*)xptr;
        default: return xptr;
      }
    case 126:   //KABC::PhoneNumber
      switch(to) {
        case 126: return (void*)(KABC::PhoneNumber*)xptr;
        default: return xptr;
      }
    case 127:   //KABC::Picture
      switch(to) {
        case 127: return (void*)(KABC::Picture*)xptr;
        default: return xptr;
      }
    case 128:   //KABC::Secrecy
      switch(to) {
        case 128: return (void*)(KABC::Secrecy*)xptr;
        default: return xptr;
      }
    case 129:   //KABC::Sound
      switch(to) {
        case 129: return (void*)(KABC::Sound*)xptr;
        default: return xptr;
      }
    case 130:   //KABC::TimeZone
      switch(to) {
        case 130: return (void*)(KABC::TimeZone*)xptr;
        default: return xptr;
      }
    case 131:   //KAction
      switch(to) {
        case 131: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 132:   //KActionCollection
      switch(to) {
        case 132: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 133:   //KComboBox
      switch(to) {
        case 161: return (void*)(QComboBox*)(KComboBox*)xptr;
        case 216: return (void*)(QWidget*)(KComboBox*)xptr;
        case 193: return (void*)(QObject*)(KComboBox*)xptr;
        case 135: return (void*)(KCompletionBase*)(KComboBox*)xptr;
        case 133: return (void*)(KComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 134:   //KCompletion
      switch(to) {
        case 193: return (void*)(QObject*)(KCompletion*)xptr;
        case 134: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 135:   //KCompletionBase
      switch(to) {
        case 135: return (void*)(KCompletionBase*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KCompletionBase*)xptr;
        default: return xptr;
      }
    case 136:   //KComponentData
      switch(to) {
        case 136: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 137:   //KCompositeJob
      switch(to) {
        case 143: return (void*)(KJob*)(KCompositeJob*)xptr;
        case 193: return (void*)(QObject*)(KCompositeJob*)xptr;
        case 137: return (void*)(KCompositeJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KCompositeJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KCompositeJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KCompositeJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KCompositeJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionBeginJob*)(KCompositeJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KCompositeJob*)xptr;
        case 116: return (void*)(Akonadi::TransactionRollbackJob*)(KCompositeJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KCompositeJob*)xptr;
        case 119: return (void*)(Akonadi::UnlinkJob*)(KCompositeJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KCompositeJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KCompositeJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KCompositeJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KCompositeJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KCompositeJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KCompositeJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KCompositeJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KCompositeJob*)xptr;
        case 115: return (void*)(Akonadi::TransactionCommitJob*)(KCompositeJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KCompositeJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KCompositeJob*)xptr;
        case 117: return (void*)(Akonadi::TransactionSequence*)(KCompositeJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KCompositeJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KCompositeJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KCompositeJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KCompositeJob*)xptr;
        default: return xptr;
      }
    case 138:   //KConfigGroup
      switch(to) {
        case 138: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 139:   //KDateTime
      switch(to) {
        case 139: return (void*)(KDateTime*)xptr;
        default: return xptr;
      }
    case 140:   //KDialog
      switch(to) {
        case 166: return (void*)(QDialog*)(KDialog*)xptr;
        case 216: return (void*)(QWidget*)(KDialog*)xptr;
        case 193: return (void*)(QObject*)(KDialog*)xptr;
        case 140: return (void*)(KDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(KDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(KDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(KDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(KDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(KDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 141:   //KHBox
      switch(to) {
        case 174: return (void*)(QFrame*)(KHBox*)xptr;
        case 216: return (void*)(QWidget*)(KHBox*)xptr;
        case 193: return (void*)(QObject*)(KHBox*)xptr;
        case 141: return (void*)(KHBox*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(KHBox*)xptr;
        default: return xptr;
      }
    case 142:   //KIcon
      switch(to) {
        case 178: return (void*)(QIcon*)(KIcon*)xptr;
        case 142: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 143:   //KJob
      switch(to) {
        case 193: return (void*)(QObject*)(KJob*)xptr;
        case 143: return (void*)(KJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KJob*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(KJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionBeginJob*)(KJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KJob*)xptr;
        case 116: return (void*)(Akonadi::TransactionRollbackJob*)(KJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KJob*)xptr;
        case 119: return (void*)(Akonadi::UnlinkJob*)(KJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KJob*)xptr;
        case 115: return (void*)(Akonadi::TransactionCommitJob*)(KJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(KJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KJob*)xptr;
        case 117: return (void*)(Akonadi::TransactionSequence*)(KJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 144:   //KLocalizedString
      switch(to) {
        case 144: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 145:   //KSelectionProxyModel
      switch(to) {
        case 152: return (void*)(QAbstractProxyModel*)(KSelectionProxyModel*)xptr;
        case 150: return (void*)(QAbstractItemModel*)(KSelectionProxyModel*)xptr;
        case 193: return (void*)(QObject*)(KSelectionProxyModel*)xptr;
        case 145: return (void*)(KSelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(KSelectionProxyModel*)xptr;
        case 106: return (void*)(Akonadi::SelectionProxyModel*)(KSelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 146:   //KSharedConfig
      switch(to) {
        case 146: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 147:   //KUrl
      switch(to) {
        case 213: return (void*)(QUrl*)(KUrl*)xptr;
        case 147: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 148:   //KXMLGUIClient
      switch(to) {
        case 148: return (void*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 149:   //KXmlGuiWindow
      switch(to) {
        case 149: return (void*)(KXmlGuiWindow*)xptr;
        default: return xptr;
      }
    case 150:   //QAbstractItemModel
      switch(to) {
        case 193: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 150: return (void*)(QAbstractItemModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractItemModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 111: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractItemModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QAbstractItemModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractItemModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractItemModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QAbstractItemModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QAbstractItemModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 106: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 151:   //QAbstractItemView
      switch(to) {
        case 153: return (void*)(QAbstractScrollArea*)(QAbstractItemView*)xptr;
        case 174: return (void*)(QFrame*)(QAbstractItemView*)xptr;
        case 216: return (void*)(QWidget*)(QAbstractItemView*)xptr;
        case 193: return (void*)(QObject*)(QAbstractItemView*)xptr;
        case 151: return (void*)(QAbstractItemView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractItemView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractItemView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 152:   //QAbstractProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 193: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 152: return (void*)(QAbstractProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 111: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 106: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 153:   //QAbstractScrollArea
      switch(to) {
        case 174: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 216: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 193: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 153: return (void*)(QAbstractScrollArea*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractScrollArea*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractScrollArea*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 154:   //QAbstractTableModel
      switch(to) {
        case 150: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 193: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 154: return (void*)(QAbstractTableModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractTableModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 155:   //QActionEvent
      switch(to) {
        case 155: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 156:   //QBool
      switch(to) {
        case 156: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 157:   //QByteArray
      switch(to) {
        case 157: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 158:   //QChildEvent
      switch(to) {
        case 171: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 158: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 159:   //QCloseEvent
      switch(to) {
        case 159: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 160:   //QColor
      switch(to) {
        case 160: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 161:   //QComboBox
      switch(to) {
        case 216: return (void*)(QWidget*)(QComboBox*)xptr;
        case 193: return (void*)(QObject*)(QComboBox*)xptr;
        case 161: return (void*)(QComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QComboBox*)xptr;
        default: return xptr;
      }
    case 162:   //QContextMenuEvent
      switch(to) {
        case 162: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 163:   //QDBusContext
      switch(to) {
        case 163: return (void*)(QDBusContext*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QDBusContext*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 164:   //QDataStream
      switch(to) {
        case 164: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 165:   //QDateTime
      switch(to) {
        case 165: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 166:   //QDialog
      switch(to) {
        case 216: return (void*)(QWidget*)(QDialog*)xptr;
        case 193: return (void*)(QObject*)(QDialog*)xptr;
        case 166: return (void*)(QDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 167:   //QDragEnterEvent
      switch(to) {
        case 167: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 168:   //QDragLeaveEvent
      switch(to) {
        case 168: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 169:   //QDragMoveEvent
      switch(to) {
        case 169: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 170:   //QDropEvent
      switch(to) {
        case 170: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 171:   //QEvent
      switch(to) {
        case 171: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 172:   //QFocusEvent
      switch(to) {
        case 172: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 173:   //QFont
      switch(to) {
        case 173: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 174:   //QFrame
      switch(to) {
        case 216: return (void*)(QWidget*)(QFrame*)xptr;
        case 193: return (void*)(QObject*)(QFrame*)xptr;
        case 174: return (void*)(QFrame*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QFrame*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QFrame*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QFrame*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QFrame*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QFrame*)xptr;
        default: return xptr;
      }
    case 176:   //QHideEvent
      switch(to) {
        case 176: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 177:   //QIODevice
      switch(to) {
        case 193: return (void*)(QObject*)(QIODevice*)xptr;
        case 177: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 178:   //QIcon
      switch(to) {
        case 178: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 179:   //QIncompatibleFlag
      switch(to) {
        case 179: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 180:   //QInputMethodEvent
      switch(to) {
        case 180: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 181:   //QItemSelection
      switch(to) {
        case 181: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 182:   //QItemSelectionModel
      switch(to) {
        case 193: return (void*)(QObject*)(QItemSelectionModel*)xptr;
        case 182: return (void*)(QItemSelectionModel*)xptr;
        default: return xptr;
      }
    case 183:   //QKeyEvent
      switch(to) {
        case 183: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 184:   //QLineEdit
      switch(to) {
        case 184: return (void*)(QLineEdit*)xptr;
        default: return xptr;
      }
    case 185:   //QListView
      switch(to) {
        case 151: return (void*)(QAbstractItemView*)(QListView*)xptr;
        case 153: return (void*)(QAbstractScrollArea*)(QListView*)xptr;
        case 174: return (void*)(QFrame*)(QListView*)xptr;
        case 216: return (void*)(QWidget*)(QListView*)xptr;
        case 193: return (void*)(QObject*)(QListView*)xptr;
        case 185: return (void*)(QListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QListView*)xptr;
        default: return xptr;
      }
    case 186:   //QLocale
      switch(to) {
        case 186: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 187:   //QMenu
      switch(to) {
        case 187: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 188:   //QMetaObject
      switch(to) {
        case 188: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 189:   //QMimeData
      switch(to) {
        case 189: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 190:   //QModelIndex
      switch(to) {
        case 190: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 191:   //QMouseEvent
      switch(to) {
        case 191: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 192:   //QMoveEvent
      switch(to) {
        case 192: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 193:   //QObject
      switch(to) {
        case 193: return (void*)(QObject*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QObject*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QObject*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QObject*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QObject*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QObject*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(QObject*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(QObject*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QObject*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(QObject*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(QObject*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)(QObject*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(QObject*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QObject*)xptr;
        case 114: return (void*)(Akonadi::TransactionBeginJob*)(QObject*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QObject*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(QObject*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(QObject*)xptr;
        case 116: return (void*)(Akonadi::TransactionRollbackJob*)(QObject*)xptr;
        case 88: return (void*)(Akonadi::Job*)(QObject*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QObject*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QObject*)xptr;
        case 111: return (void*)(Akonadi::StatisticsProxyModel*)(QObject*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)(QObject*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QObject*)xptr;
        case 119: return (void*)(Akonadi::UnlinkJob*)(QObject*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QObject*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(QObject*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QObject*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(QObject*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(QObject*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QObject*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QObject*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QObject*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QObject*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(QObject*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QObject*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(QObject*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(QObject*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(QObject*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(QObject*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QObject*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QObject*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QObject*)xptr;
        case 107: return (void*)(Akonadi::ServerManager*)(QObject*)xptr;
        case 115: return (void*)(Akonadi::TransactionCommitJob*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QObject*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QObject*)xptr;
        case 108: return (void*)(Akonadi::Session*)(QObject*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QObject*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QObject*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QObject*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(QObject*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)(QObject*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(QObject*)xptr;
        case 110: return (void*)(Akonadi::StandardActionManager*)(QObject*)xptr;
        case 117: return (void*)(Akonadi::TransactionSequence*)(QObject*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 60: return (void*)(Akonadi::Control*)(QObject*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(QObject*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(QObject*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(QObject*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QObject*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(QObject*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(QObject*)xptr;
        case 106: return (void*)(Akonadi::SelectionProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 194:   //QPaintEngine
      switch(to) {
        case 194: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 195:   //QPaintEvent
      switch(to) {
        case 195: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 196:   //QPainter
      switch(to) {
        case 196: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 197:   //QPalette
      switch(to) {
        case 197: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 198:   //QPoint
      switch(to) {
        case 198: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 199:   //QRect
      switch(to) {
        case 199: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 200:   //QRegExp
      switch(to) {
        case 200: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 201:   //QRegion
      switch(to) {
        case 201: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 202:   //QResizeEvent
      switch(to) {
        case 202: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 203:   //QSettings
      switch(to) {
        case 203: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 204:   //QShowEvent
      switch(to) {
        case 204: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 205:   //QSize
      switch(to) {
        case 205: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 206:   //QSortFilterProxyModel
      switch(to) {
        case 152: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 150: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 193: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 206: return (void*)(QSortFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        case 111: return (void*)(Akonadi::StatisticsProxyModel*)(QSortFilterProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QSortFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 207:   //QStyle
      switch(to) {
        case 193: return (void*)(QObject*)(QStyle*)xptr;
        case 207: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 208:   //QStyleOptionViewItem
      switch(to) {
        case 208: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 209:   //QStyledItemDelegate
      switch(to) {
        case 193: return (void*)(QObject*)(QStyledItemDelegate*)xptr;
        case 209: return (void*)(QStyledItemDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QStyledItemDelegate*)xptr;
        default: return xptr;
      }
    case 210:   //QTabletEvent
      switch(to) {
        case 210: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 211:   //QTimerEvent
      switch(to) {
        case 171: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 211: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 212:   //QTreeView
      switch(to) {
        case 151: return (void*)(QAbstractItemView*)(QTreeView*)xptr;
        case 153: return (void*)(QAbstractScrollArea*)(QTreeView*)xptr;
        case 174: return (void*)(QFrame*)(QTreeView*)xptr;
        case 216: return (void*)(QWidget*)(QTreeView*)xptr;
        case 193: return (void*)(QObject*)(QTreeView*)xptr;
        case 212: return (void*)(QTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QTreeView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QTreeView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 213:   //QUrl
      switch(to) {
        case 213: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 214:   //QVariant
      switch(to) {
        case 214: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 215:   //QWheelEvent
      switch(to) {
        case 215: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 216:   //QWidget
      switch(to) {
        case 193: return (void*)(QObject*)(QWidget*)xptr;
        case 216: return (void*)(QWidget*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QWidget*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QWidget*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QWidget*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QWidget*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QWidget*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QWidget*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QWidget*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QWidget*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QWidget*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QWidget*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QWidget*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QWidget*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QWidget*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QWidget*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QWidget*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QWidget*)xptr;
        default: return xptr;
      }
    case 217:   //boost::exception
      switch(to) {
        case 217: return (void*)(boost::exception*)xptr;
        default: return xptr;
      }
    case 218:   //boost::exception_detail::large_size
      switch(to) {
        case 218: return (void*)(boost::exception_detail::large_size*)xptr;
        default: return xptr;
      }
    case 219:   //boost::exception_detail::small_size
      switch(to) {
        case 219: return (void*)(boost::exception_detail::small_size*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    19, 0,	// 1: Akonadi::Attribute
    193, 163, 0,	// 3: QObject, QDBusContext
    6, 0,	// 6: Akonadi::AgentBase::Observer
    206, 0,	// 8: QSortFilterProxyModel
    143, 0,	// 10: KJob
    150, 0,	// 12: QAbstractItemModel
    216, 0,	// 14: QWidget
    193, 0,	// 16: QObject
    140, 0,	// 18: KDialog
    96, 0,	// 20: Akonadi::Monitor
    61, 0,	// 22: Akonadi::Entity
    133, 0,	// 24: KComboBox
    88, 0,	// 26: Akonadi::Job
    141, 0,	// 28: KHBox
    209, 0,	// 30: QStyledItemDelegate
    33, 0,	// 32: Akonadi::CollectionModel
    212, 0,	// 34: QTreeView
    83, 0,	// 36: Akonadi::ItemSearchJob
    216, 81, 0,	// 38: QWidget, Akonadi::ItemMonitor
    185, 0,	// 41: QListView
    106, 0,	// 43: Akonadi::SelectionProxyModel
    154, 0,	// 45: QAbstractTableModel
    84, 0,	// 47: Akonadi::ItemSerializerPlugin
    137, 0,	// 49: KCompositeJob
    79, 0,	// 51: Akonadi::ItemModel
    152, 0,	// 53: QAbstractProxyModel
    71, 0,	// 55: Akonadi::Exception
    5, 0,	// 57: Akonadi::AgentBase
    145, 0,	// 59: KSelectionProxyModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_Akonadi__ItemModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__MessageModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__EntityTreeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemSync(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ServerManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__TransportResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__PreprocessorBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Item(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionStatisticsModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__StandardActionManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionPropertiesDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemFetchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Job(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Monitor(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AddressAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ChangeRecorder(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPageFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionQuotaAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionRequester(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatistics(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactDefaultActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorPagePlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupExpandJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Control(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityDisplayAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityHiddenAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityListView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityMimeTypeFilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeViewStateSaver(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__FavoriteCollectionsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Item(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMonitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPluginV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSync(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Job(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__LinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageFolderAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreaderProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreadingAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MimeTypeChecker(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Monitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PartFetcher(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PreprocessorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceSynchronizationJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SearchCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SelectionProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ServerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Session(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StandardActionManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StatisticsProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionBeginJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionCommitJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionRollbackJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionSequence(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransportResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__UnlinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AbstractContactEditorWidget", true, 0, 0, 0, 0, 0 },	//1
    { "Akonadi::AbstractContactFormatter", true, 0, 0, 0, 0, 0 },	//2
    { "Akonadi::AbstractContactGroupFormatter", true, 0, 0, 0, 0, 0 },	//3
    { "Akonadi::AddressAttribute", false, 1, xcall_Akonadi__AddressAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AddressAttribute) },	//4
    { "Akonadi::AgentBase", false, 3, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//5
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//6
    { "Akonadi::AgentBase::ObserverV2", false, 6, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//7
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//8
    { "Akonadi::AgentFilterProxyModel", false, 8, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//9
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//10
    { "Akonadi::AgentInstanceCreateJob", false, 10, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//11
    { "Akonadi::AgentInstanceModel", false, 12, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//12
    { "Akonadi::AgentInstanceWidget", false, 14, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//13
    { "Akonadi::AgentManager", false, 16, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//14
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//15
    { "Akonadi::AgentTypeDialog", false, 18, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//16
    { "Akonadi::AgentTypeModel", false, 12, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//17
    { "Akonadi::AgentTypeWidget", false, 14, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//18
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//19
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//20
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//21
    { "Akonadi::ChangeRecorder", false, 20, xcall_Akonadi__ChangeRecorder, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ChangeRecorder) },	//22
    { "Akonadi::ChangeRecorderPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "Akonadi::Collection", false, 22, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//24
    { "Akonadi::CollectionComboBox", false, 24, xcall_Akonadi__CollectionComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionComboBox) },	//25
    { "Akonadi::CollectionCopyJob", false, 26, xcall_Akonadi__CollectionCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCopyJob) },	//26
    { "Akonadi::CollectionCreateJob", false, 26, xcall_Akonadi__CollectionCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCreateJob) },	//27
    { "Akonadi::CollectionDeleteJob", false, 26, xcall_Akonadi__CollectionDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDeleteJob) },	//28
    { "Akonadi::CollectionDialog", false, 18, xcall_Akonadi__CollectionDialog, xenum_Akonadi__CollectionDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDialog) },	//29
    { "Akonadi::CollectionFetchJob", false, 26, xcall_Akonadi__CollectionFetchJob, xenum_Akonadi__CollectionFetchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFetchJob) },	//30
    { "Akonadi::CollectionFetchScope", false, 0, xcall_Akonadi__CollectionFetchScope, xenum_Akonadi__CollectionFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionFetchScope) },	//31
    { "Akonadi::CollectionFilterProxyModel", false, 8, xcall_Akonadi__CollectionFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFilterProxyModel) },	//32
    { "Akonadi::CollectionModel", false, 12, xcall_Akonadi__CollectionModel, xenum_Akonadi__CollectionModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModel) },	//33
    { "Akonadi::CollectionModelPrivate", true, 0, 0, 0, 0, 0 },	//34
    { "Akonadi::CollectionModifyJob", false, 26, xcall_Akonadi__CollectionModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModifyJob) },	//35
    { "Akonadi::CollectionMoveJob", false, 26, xcall_Akonadi__CollectionMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionMoveJob) },	//36
    { "Akonadi::CollectionPropertiesDialog", false, 18, xcall_Akonadi__CollectionPropertiesDialog, xenum_Akonadi__CollectionPropertiesDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesDialog) },	//37
    { "Akonadi::CollectionPropertiesPage", false, 14, xcall_Akonadi__CollectionPropertiesPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPage) },	//38
    { "Akonadi::CollectionPropertiesPageFactory", false, 0, xcall_Akonadi__CollectionPropertiesPageFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPageFactory) },	//39
    { "Akonadi::CollectionQuotaAttribute", false, 1, xcall_Akonadi__CollectionQuotaAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionQuotaAttribute) },	//40
    { "Akonadi::CollectionRequester", false, 28, xcall_Akonadi__CollectionRequester, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionRequester) },	//41
    { "Akonadi::CollectionStatistics", false, 0, xcall_Akonadi__CollectionStatistics, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionStatistics) },	//42
    { "Akonadi::CollectionStatisticsDelegate", false, 30, xcall_Akonadi__CollectionStatisticsDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsDelegate) },	//43
    { "Akonadi::CollectionStatisticsJob", false, 26, xcall_Akonadi__CollectionStatisticsJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsJob) },	//44
    { "Akonadi::CollectionStatisticsModel", false, 32, xcall_Akonadi__CollectionStatisticsModel, xenum_Akonadi__CollectionStatisticsModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsModel) },	//45
    { "Akonadi::CollectionView", false, 34, xcall_Akonadi__CollectionView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionView) },	//46
    { "Akonadi::ContactDefaultActions", false, 16, xcall_Akonadi__ContactDefaultActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactDefaultActions) },	//47
    { "Akonadi::ContactEditor", false, 14, xcall_Akonadi__ContactEditor, xenum_Akonadi__ContactEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditor) },	//48
    { "Akonadi::ContactEditorDialog", false, 18, xcall_Akonadi__ContactEditorDialog, xenum_Akonadi__ContactEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorDialog) },	//49
    { "Akonadi::ContactEditorPagePlugin", false, 14, xcall_Akonadi__ContactEditorPagePlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorPagePlugin) },	//50
    { "Akonadi::ContactGroupEditor", false, 14, xcall_Akonadi__ContactGroupEditor, xenum_Akonadi__ContactGroupEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditor) },	//51
    { "Akonadi::ContactGroupEditorDialog", false, 18, xcall_Akonadi__ContactGroupEditorDialog, xenum_Akonadi__ContactGroupEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditorDialog) },	//52
    { "Akonadi::ContactGroupExpandJob", false, 10, xcall_Akonadi__ContactGroupExpandJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupExpandJob) },	//53
    { "Akonadi::ContactGroupSearchJob", false, 36, xcall_Akonadi__ContactGroupSearchJob, xenum_Akonadi__ContactGroupSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupSearchJob) },	//54
    { "Akonadi::ContactGroupViewer", false, 38, xcall_Akonadi__ContactGroupViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewer) },	//55
    { "Akonadi::ContactGroupViewerDialog", false, 18, xcall_Akonadi__ContactGroupViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewerDialog) },	//56
    { "Akonadi::ContactSearchJob", false, 36, xcall_Akonadi__ContactSearchJob, xenum_Akonadi__ContactSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactSearchJob) },	//57
    { "Akonadi::ContactViewer", false, 38, xcall_Akonadi__ContactViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewer) },	//58
    { "Akonadi::ContactViewerDialog", false, 18, xcall_Akonadi__ContactViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewerDialog) },	//59
    { "Akonadi::Control", false, 16, xcall_Akonadi__Control, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Control) },	//60
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//61
    { "Akonadi::EntityDisplayAttribute", false, 1, xcall_Akonadi__EntityDisplayAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityDisplayAttribute) },	//62
    { "Akonadi::EntityHiddenAttribute", false, 1, xcall_Akonadi__EntityHiddenAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityHiddenAttribute) },	//63
    { "Akonadi::EntityListView", false, 41, xcall_Akonadi__EntityListView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityListView) },	//64
    { "Akonadi::EntityMimeTypeFilterModel", false, 8, xcall_Akonadi__EntityMimeTypeFilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityMimeTypeFilterModel) },	//65
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//66
    { "Akonadi::EntityTreeModel", false, 12, xcall_Akonadi__EntityTreeModel, xenum_Akonadi__EntityTreeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeModel) },	//67
    { "Akonadi::EntityTreeModelPrivate", true, 0, 0, 0, 0, 0 },	//68
    { "Akonadi::EntityTreeView", false, 34, xcall_Akonadi__EntityTreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeView) },	//69
    { "Akonadi::EntityTreeViewStateSaver", false, 16, xcall_Akonadi__EntityTreeViewStateSaver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeViewStateSaver) },	//70
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//71
    { "Akonadi::FavoriteCollectionsModel", false, 43, xcall_Akonadi__FavoriteCollectionsModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::FavoriteCollectionsModel) },	//72
    { "Akonadi::Item", false, 22, xcall_Akonadi__Item, xenum_Akonadi__Item, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Item) },	//73
    { "Akonadi::ItemCopyJob", false, 26, xcall_Akonadi__ItemCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCopyJob) },	//74
    { "Akonadi::ItemCreateJob", false, 26, xcall_Akonadi__ItemCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCreateJob) },	//75
    { "Akonadi::ItemDeleteJob", false, 26, xcall_Akonadi__ItemDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemDeleteJob) },	//76
    { "Akonadi::ItemFetchJob", false, 26, xcall_Akonadi__ItemFetchJob, xenum_Akonadi__ItemFetchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemFetchJob) },	//77
    { "Akonadi::ItemFetchScope", false, 0, xcall_Akonadi__ItemFetchScope, xenum_Akonadi__ItemFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::ItemFetchScope) },	//78
    { "Akonadi::ItemModel", false, 45, xcall_Akonadi__ItemModel, xenum_Akonadi__ItemModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModel) },	//79
    { "Akonadi::ItemModifyJob", false, 26, xcall_Akonadi__ItemModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModifyJob) },	//80
    { "Akonadi::ItemMonitor", false, 0, xcall_Akonadi__ItemMonitor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMonitor) },	//81
    { "Akonadi::ItemMoveJob", false, 26, xcall_Akonadi__ItemMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMoveJob) },	//82
    { "Akonadi::ItemSearchJob", false, 26, xcall_Akonadi__ItemSearchJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSearchJob) },	//83
    { "Akonadi::ItemSerializerPlugin", false, 0, xcall_Akonadi__ItemSerializerPlugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPlugin) },	//84
    { "Akonadi::ItemSerializerPluginV2", false, 47, xcall_Akonadi__ItemSerializerPluginV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPluginV2) },	//85
    { "Akonadi::ItemSync", false, 26, xcall_Akonadi__ItemSync, xenum_Akonadi__ItemSync, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSync) },	//86
    { "Akonadi::ItemView", false, 34, xcall_Akonadi__ItemView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemView) },	//87
    { "Akonadi::Job", false, 49, xcall_Akonadi__Job, xenum_Akonadi__Job, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Job) },	//88
    { "Akonadi::JobPrivate", true, 0, 0, 0, 0, 0 },	//89
    { "Akonadi::LinkJob", false, 26, xcall_Akonadi__LinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::LinkJob) },	//90
    { "Akonadi::MessageFolderAttribute", false, 1, xcall_Akonadi__MessageFolderAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageFolderAttribute) },	//91
    { "Akonadi::MessageModel", false, 51, xcall_Akonadi__MessageModel, xenum_Akonadi__MessageModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageModel) },	//92
    { "Akonadi::MessageThreaderProxyModel", false, 53, xcall_Akonadi__MessageThreaderProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageThreaderProxyModel) },	//93
    { "Akonadi::MessageThreadingAttribute", false, 1, xcall_Akonadi__MessageThreadingAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageThreadingAttribute) },	//94
    { "Akonadi::MimeTypeChecker", false, 0, xcall_Akonadi__MimeTypeChecker, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::MimeTypeChecker) },	//95
    { "Akonadi::Monitor", false, 16, xcall_Akonadi__Monitor, xenum_Akonadi__Monitor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Monitor) },	//96
    { "Akonadi::MonitorPrivate", true, 0, 0, 0, 0, 0 },	//97
    { "Akonadi::PartFetcher", false, 10, xcall_Akonadi__PartFetcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PartFetcher) },	//98
    { "Akonadi::PayloadBase", false, 0, xcall_Akonadi__PayloadBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadBase) },	//99
    { "Akonadi::PayloadException", false, 55, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//100
    { "Akonadi::PreprocessorBase", false, 57, xcall_Akonadi__PreprocessorBase, xenum_Akonadi__PreprocessorBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PreprocessorBase) },	//101
    { "Akonadi::ResourceBase", false, 57, xcall_Akonadi__ResourceBase, xenum_Akonadi__ResourceBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceBase) },	//102
    { "Akonadi::ResourceSynchronizationJob", false, 10, xcall_Akonadi__ResourceSynchronizationJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceSynchronizationJob) },	//103
    { "Akonadi::SearchCreateJob", false, 26, xcall_Akonadi__SearchCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SearchCreateJob) },	//104
    { "Akonadi::SearchQuery", true, 0, 0, 0, 0, 0 },	//105
    { "Akonadi::SelectionProxyModel", false, 59, xcall_Akonadi__SelectionProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SelectionProxyModel) },	//106
    { "Akonadi::ServerManager", false, 16, xcall_Akonadi__ServerManager, xenum_Akonadi__ServerManager, Smoke::cf_virtual, sizeof(Akonadi::ServerManager) },	//107
    { "Akonadi::Session", false, 16, xcall_Akonadi__Session, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Session) },	//108
    { "Akonadi::SessionPrivate", true, 0, 0, 0, 0, 0 },	//109
    { "Akonadi::StandardActionManager", false, 16, xcall_Akonadi__StandardActionManager, xenum_Akonadi__StandardActionManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StandardActionManager) },	//110
    { "Akonadi::StatisticsProxyModel", false, 8, xcall_Akonadi__StatisticsProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StatisticsProxyModel) },	//111
    { "Akonadi::Tag", true, 0, 0, 0, 0, 0 },	//112
    { "Akonadi::TagFetchScope", true, 0, 0, 0, 0, 0 },	//113
    { "Akonadi::TransactionBeginJob", false, 26, xcall_Akonadi__TransactionBeginJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionBeginJob) },	//114
    { "Akonadi::TransactionCommitJob", false, 26, xcall_Akonadi__TransactionCommitJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionCommitJob) },	//115
    { "Akonadi::TransactionRollbackJob", false, 26, xcall_Akonadi__TransactionRollbackJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionRollbackJob) },	//116
    { "Akonadi::TransactionSequence", false, 26, xcall_Akonadi__TransactionSequence, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionSequence) },	//117
    { "Akonadi::TransportResourceBase", false, 0, xcall_Akonadi__TransportResourceBase, xenum_Akonadi__TransportResourceBase, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::TransportResourceBase) },	//118
    { "Akonadi::UnlinkJob", false, 26, xcall_Akonadi__UnlinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::UnlinkJob) },	//119
    { "KABC::Address", true, 0, 0, 0, 0, 0 },	//120
    { "KABC::Addressee", true, 0, 0, 0, 0, 0 },	//121
    { "KABC::AddresseeList", true, 0, 0, 0, 0, 0 },	//122
    { "KABC::ContactGroup", true, 0, 0, 0, 0, 0 },	//123
    { "KABC::Geo", true, 0, 0, 0, 0, 0 },	//124
    { "KABC::Key", true, 0, 0, 0, 0, 0 },	//125
    { "KABC::PhoneNumber", true, 0, 0, 0, 0, 0 },	//126
    { "KABC::Picture", true, 0, 0, 0, 0, 0 },	//127
    { "KABC::Secrecy", true, 0, 0, 0, 0, 0 },	//128
    { "KABC::Sound", true, 0, 0, 0, 0, 0 },	//129
    { "KABC::TimeZone", true, 0, 0, 0, 0, 0 },	//130
    { "KAction", true, 0, 0, 0, 0, 0 },	//131
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//132
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//133
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//134
    { "KCompletionBase", true, 0, 0, 0, 0, 0 },	//135
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//136
    { "KCompositeJob", true, 0, 0, 0, 0, 0 },	//137
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//138
    { "KDateTime", true, 0, 0, 0, 0, 0 },	//139
    { "KDialog", true, 0, 0, 0, 0, 0 },	//140
    { "KHBox", true, 0, 0, 0, 0, 0 },	//141
    { "KIcon", true, 0, 0, 0, 0, 0 },	//142
    { "KJob", true, 0, 0, 0, 0, 0 },	//143
    { "KLocalizedString", true, 0, 0, 0, 0, 0 },	//144
    { "KSelectionProxyModel", true, 0, 0, 0, 0, 0 },	//145
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//146
    { "KUrl", true, 0, 0, 0, 0, 0 },	//147
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//148
    { "KXmlGuiWindow", true, 0, 0, 0, 0, 0 },	//149
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//150
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//151
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//152
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//153
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//154
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//155
    { "QBool", true, 0, 0, 0, 0, 0 },	//156
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//157
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//158
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//159
    { "QColor", true, 0, 0, 0, 0, 0 },	//160
    { "QComboBox", true, 0, 0, 0, 0, 0 },	//161
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//162
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//163
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//164
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//165
    { "QDialog", true, 0, 0, 0, 0, 0 },	//166
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//167
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//168
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//169
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//170
    { "QEvent", true, 0, 0, 0, 0, 0 },	//171
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//172
    { "QFont", true, 0, 0, 0, 0, 0 },	//173
    { "QFrame", true, 0, 0, 0, 0, 0 },	//174
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//175
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//176
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//177
    { "QIcon", true, 0, 0, 0, 0, 0 },	//178
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//179
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//180
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//181
    { "QItemSelectionModel", true, 0, 0, 0, 0, 0 },	//182
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//183
    { "QLineEdit", true, 0, 0, 0, 0, 0 },	//184
    { "QListView", true, 0, 0, 0, 0, 0 },	//185
    { "QLocale", true, 0, 0, 0, 0, 0 },	//186
    { "QMenu", true, 0, 0, 0, 0, 0 },	//187
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//188
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//189
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//190
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//191
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//192
    { "QObject", true, 0, 0, 0, 0, 0 },	//193
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//194
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//195
    { "QPainter", true, 0, 0, 0, 0, 0 },	//196
    { "QPalette", true, 0, 0, 0, 0, 0 },	//197
    { "QPoint", true, 0, 0, 0, 0, 0 },	//198
    { "QRect", true, 0, 0, 0, 0, 0 },	//199
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//200
    { "QRegion", true, 0, 0, 0, 0, 0 },	//201
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//202
    { "QSettings", true, 0, 0, 0, 0, 0 },	//203
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//204
    { "QSize", true, 0, 0, 0, 0, 0 },	//205
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//206
    { "QStyle", true, 0, 0, 0, 0, 0 },	//207
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//208
    { "QStyledItemDelegate", true, 0, 0, 0, 0, 0 },	//209
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//210
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//211
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//212
    { "QUrl", true, 0, 0, 0, 0, 0 },	//213
    { "QVariant", true, 0, 0, 0, 0, 0 },	//214
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//215
    { "QWidget", true, 0, 0, 0, 0, 0 },	//216
    { "boost::exception", true, 0, 0, 0, 0, 0 },	//217
    { "boost::exception_detail::large_size", true, 0, 0, 0, 0, 0 },	//218
    { "boost::exception_detail::small_size", true, 0, 0, 0, 0, 0 },	//219
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AbstractContactEditorWidget*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AbstractContactFormatter*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AbstractContactGroupFormatter*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AddressAttribute*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Akonadi::AgentBase*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentBase::Observer*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentBase::ObserverV2*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Akonadi::AgentBase::Status", 5, Smoke::t_enum|Smoke::tf_stack },	//8
    { "Akonadi::AgentBasePrivate*", 8, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentFilterProxyModel*", 9, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Akonadi::AgentInstance", 10, Smoke::t_class|Smoke::tf_stack },	//11
    { "Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref },	//12
    { "Akonadi::AgentInstance*", 10, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Akonadi::AgentInstance::Status", 10, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Akonadi::AgentInstanceCreateJob*", 11, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentInstanceModel*", 12, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Akonadi::AgentInstanceModel::Roles", 12, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Akonadi::AgentInstanceWidget*", 13, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentManager*", 14, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentType", 15, Smoke::t_class|Smoke::tf_stack },	//20
    { "Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref },	//21
    { "Akonadi::AgentType*", 15, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::AgentTypeDialog*", 16, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AgentTypeModel*", 17, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::AgentTypeModel::Roles", 17, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Akonadi::AgentTypeWidget*", 18, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Akonadi::Attribute*", 19, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::AttributeFactory*", 20, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::CachePolicy", 21, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::CachePolicy*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::ChangeRecorder*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Akonadi::ChangeRecorderPrivate*", 23, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Akonadi::Collection", 24, Smoke::t_class|Smoke::tf_stack },	//34
    { "Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref },	//35
    { "Akonadi::Collection*", 24, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Akonadi::Collection::Id", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "Akonadi::Collection::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "Akonadi::Collection::Right", 24, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Akonadi::Collection::UrlType", 24, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Akonadi::CollectionComboBox*", 25, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Akonadi::CollectionCopyJob*", 26, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Akonadi::CollectionCreateJob*", 27, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Akonadi::CollectionDeleteJob*", 28, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Akonadi::CollectionDialog*", 29, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Akonadi::CollectionDialog::CollectionDialogOption", 29, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Akonadi::CollectionFetchJob*", 30, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Akonadi::CollectionFetchJob::Type", 30, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref },	//49
    { "Akonadi::CollectionFetchScope*", 31, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Akonadi::CollectionFetchScope::AncestorRetrieval", 31, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Akonadi::CollectionFilterProxyModel*", 32, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Akonadi::CollectionModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Akonadi::CollectionModel::Roles", 33, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Akonadi::CollectionModelPrivate*", 34, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Akonadi::CollectionModifyJob*", 35, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Akonadi::CollectionMoveJob*", 36, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Akonadi::CollectionPropertiesDialog*", 37, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Akonadi::CollectionPropertiesDialog::DefaultPage", 37, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Akonadi::CollectionPropertiesPage*", 38, Smoke::t_class|Smoke::tf_ptr },	//60
    { "Akonadi::CollectionPropertiesPageFactory*", 39, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Akonadi::CollectionQuotaAttribute*", 40, Smoke::t_class|Smoke::tf_ptr },	//62
    { "Akonadi::CollectionRequester*", 41, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Akonadi::CollectionStatistics", 42, Smoke::t_class|Smoke::tf_stack },	//64
    { "Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref },	//65
    { "Akonadi::CollectionStatistics*", 42, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Akonadi::CollectionStatisticsDelegate*", 43, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Akonadi::CollectionStatisticsJob*", 44, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Akonadi::CollectionStatisticsModel*", 45, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Akonadi::CollectionStatisticsModel::Roles", 45, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Akonadi::CollectionView*", 46, Smoke::t_class|Smoke::tf_ptr },	//71
    { "Akonadi::ContactDefaultActions*", 47, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Akonadi::ContactEditor*", 48, Smoke::t_class|Smoke::tf_ptr },	//73
    { "Akonadi::ContactEditor::DisplayMode", 48, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Akonadi::ContactEditor::Mode", 48, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Akonadi::ContactEditorDialog*", 49, Smoke::t_class|Smoke::tf_ptr },	//76
    { "Akonadi::ContactEditorDialog::DisplayMode", 49, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Akonadi::ContactEditorDialog::Mode", 49, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Akonadi::ContactEditorPagePlugin*", 50, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Akonadi::ContactGroupEditor*", 51, Smoke::t_class|Smoke::tf_ptr },	//80
    { "Akonadi::ContactGroupEditor::Mode", 51, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Akonadi::ContactGroupEditorDialog*", 52, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Akonadi::ContactGroupEditorDialog::Mode", 52, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Akonadi::ContactGroupExpandJob*", 53, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Akonadi::ContactGroupSearchJob*", 54, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Akonadi::ContactGroupSearchJob::Criterion", 54, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Akonadi::ContactGroupSearchJob::Match", 54, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Akonadi::ContactGroupViewer*", 55, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Akonadi::ContactGroupViewerDialog*", 56, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Akonadi::ContactSearchJob*", 57, Smoke::t_class|Smoke::tf_ptr },	//90
    { "Akonadi::ContactSearchJob::Criterion", 57, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Akonadi::ContactSearchJob::Match", 57, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Akonadi::ContactViewer*", 58, Smoke::t_class|Smoke::tf_ptr },	//93
    { "Akonadi::ContactViewerDialog*", 59, Smoke::t_class|Smoke::tf_ptr },	//94
    { "Akonadi::Control*", 60, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref },	//96
    { "Akonadi::Entity*", 61, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Akonadi::Entity::CreateOption", 61, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Akonadi::EntityDisplayAttribute*", 62, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Akonadi::EntityHiddenAttribute*", 63, Smoke::t_class|Smoke::tf_ptr },	//100
    { "Akonadi::EntityListView*", 64, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Akonadi::EntityMimeTypeFilterModel*", 65, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Akonadi::EntityTreeModel*", 67, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Akonadi::EntityTreeModel::CollectionFetchStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Akonadi::EntityTreeModel::FetchState", 67, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Akonadi::EntityTreeModel::HeaderGroup", 67, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Akonadi::EntityTreeModel::ItemPopulationStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Akonadi::EntityTreeModel::Roles", 67, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//110
    { "Akonadi::EntityTreeView*", 69, Smoke::t_class|Smoke::tf_ptr },	//111
    { "Akonadi::EntityTreeViewStateSaver*", 70, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Akonadi::Exception*", 71, Smoke::t_class|Smoke::tf_ptr },	//113
    { "Akonadi::FavoriteCollectionsModel*", 72, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Akonadi::Item", 73, Smoke::t_class|Smoke::tf_stack },	//115
    { "Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref },	//116
    { "Akonadi::Item*", 73, Smoke::t_class|Smoke::tf_ptr },	//117
    { "Akonadi::Item::Id", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "Akonadi::Item::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "Akonadi::Item::UrlType", 73, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Akonadi::ItemCopyJob*", 74, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Akonadi::ItemCreateJob*", 75, Smoke::t_class|Smoke::tf_ptr },	//122
    { "Akonadi::ItemDeleteJob*", 76, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Akonadi::ItemFetchJob*", 77, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Akonadi::ItemFetchJob::DeliveryOption", 77, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref },	//126
    { "Akonadi::ItemFetchScope*", 78, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Akonadi::ItemFetchScope::AncestorRetrieval", 78, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Akonadi::ItemModel*", 79, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Akonadi::ItemModel::Column", 79, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Akonadi::ItemModel::Roles", 79, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Akonadi::ItemModifyJob*", 80, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Akonadi::ItemMonitor*", 81, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Akonadi::ItemMoveJob*", 82, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Akonadi::ItemSearchJob*", 83, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Akonadi::ItemSerializerPlugin*", 84, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Akonadi::ItemSerializerPluginV2*", 85, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Akonadi::ItemSync*", 86, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Akonadi::ItemSync::TransactionMode", 86, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Akonadi::ItemView*", 87, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Akonadi::Job*", 88, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Akonadi::Job::Error", 88, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Akonadi::JobPrivate*", 89, Smoke::t_class|Smoke::tf_ptr },	//143
    { "Akonadi::LinkJob*", 90, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Akonadi::MessageFolderAttribute*", 91, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Akonadi::MessageModel*", 92, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Akonadi::MessageModel::Column", 92, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Akonadi::MessageThreaderProxyModel*", 93, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Akonadi::MessageThreadingAttribute*", 94, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref },	//150
    { "Akonadi::MimeTypeChecker*", 95, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Akonadi::Monitor*", 96, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Akonadi::Monitor::Type", 96, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Akonadi::MonitorPrivate*", 97, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Akonadi::PartFetcher*", 98, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Akonadi::PayloadBase*", 99, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Akonadi::PayloadException*", 100, Smoke::t_class|Smoke::tf_ptr },	//157
    { "Akonadi::PreprocessorBase*", 101, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Akonadi::PreprocessorBase::ProcessingResult", 101, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Akonadi::ResourceBase*", 102, Smoke::t_class|Smoke::tf_ptr },	//160
    { "Akonadi::ResourceBase::SchedulePriority", 102, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Akonadi::ResourceSynchronizationJob*", 103, Smoke::t_class|Smoke::tf_ptr },	//162
    { "Akonadi::SearchCreateJob*", 104, Smoke::t_class|Smoke::tf_ptr },	//163
    { "Akonadi::SelectionProxyModel*", 106, Smoke::t_class|Smoke::tf_ptr },	//164
    { "Akonadi::ServerManager*", 107, Smoke::t_class|Smoke::tf_ptr },	//165
    { "Akonadi::ServerManager::ServiceAgentType", 107, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Akonadi::ServerManager::ServiceType", 107, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Akonadi::ServerManager::State", 107, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Akonadi::Session*", 108, Smoke::t_class|Smoke::tf_ptr },	//169
    { "Akonadi::SessionPrivate*", 109, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Akonadi::StandardActionManager*", 110, Smoke::t_class|Smoke::tf_ptr },	//171
    { "Akonadi::StandardActionManager::TextContext", 110, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Akonadi::StandardActionManager::Type", 110, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Akonadi::StatisticsProxyModel*", 111, Smoke::t_class|Smoke::tf_ptr },	//174
    { "Akonadi::Tag", 112, Smoke::t_class|Smoke::tf_stack },	//175
    { "Akonadi::TagFetchScope&", 113, Smoke::t_class|Smoke::tf_ref },	//176
    { "Akonadi::TransactionBeginJob*", 114, Smoke::t_class|Smoke::tf_ptr },	//177
    { "Akonadi::TransactionCommitJob*", 115, Smoke::t_class|Smoke::tf_ptr },	//178
    { "Akonadi::TransactionRollbackJob*", 116, Smoke::t_class|Smoke::tf_ptr },	//179
    { "Akonadi::TransactionSequence*", 117, Smoke::t_class|Smoke::tf_ptr },	//180
    { "Akonadi::TransportResourceBase*", 118, Smoke::t_class|Smoke::tf_ptr },	//181
    { "Akonadi::TransportResourceBase::TransportResult", 118, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Akonadi::UnlinkJob*", 119, Smoke::t_class|Smoke::tf_ptr },	//183
    { "KABC::Address", 120, Smoke::t_class|Smoke::tf_stack },	//184
    { "KABC::Address&", 120, Smoke::t_class|Smoke::tf_ref },	//185
    { "KABC::Address::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//186
    { "KABC::Addressee", 121, Smoke::t_class|Smoke::tf_stack },	//187
    { "KABC::Addressee&", 121, Smoke::t_class|Smoke::tf_ref },	//188
    { "KABC::AddresseeList", 122, Smoke::t_class|Smoke::tf_stack },	//189
    { "KABC::ContactGroup", 123, Smoke::t_class|Smoke::tf_stack },	//190
    { "KABC::Geo&", 124, Smoke::t_class|Smoke::tf_ref },	//191
    { "KABC::Key&", 125, Smoke::t_class|Smoke::tf_ref },	//192
    { "KABC::PhoneNumber", 126, Smoke::t_class|Smoke::tf_stack },	//193
    { "KABC::PhoneNumber::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//194
    { "KABC::Picture&", 127, Smoke::t_class|Smoke::tf_ref },	//195
    { "KABC::Secrecy&", 128, Smoke::t_class|Smoke::tf_ref },	//196
    { "KABC::SortingCriterion", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "KABC::Sound&", 129, Smoke::t_class|Smoke::tf_ref },	//198
    { "KABC::TimeZone&", 130, Smoke::t_class|Smoke::tf_ref },	//199
    { "KAction*", 131, Smoke::t_class|Smoke::tf_ptr },	//200
    { "KActionCollection*", 132, Smoke::t_class|Smoke::tf_ptr },	//201
    { "KCompletion*", 134, Smoke::t_class|Smoke::tf_ptr },	//202
    { "KComponentData", 136, Smoke::t_class|Smoke::tf_stack },	//203
    { "KConfigGroup&", 138, Smoke::t_class|Smoke::tf_ref },	//204
    { "KDateTime", 139, Smoke::t_class|Smoke::tf_stack },	//205
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "KGlobalSettings::Completion", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "KIcon", 142, Smoke::t_class|Smoke::tf_stack },	//208
    { "KJob*", 143, Smoke::t_class|Smoke::tf_ptr },	//209
    { "KSharedConfig", 146, Smoke::t_class|Smoke::tf_stack },	//210
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//211
    { "KUrl", 147, Smoke::t_class|Smoke::tf_stack },	//212
    { "KXMLGUIClient*", 148, Smoke::t_class|Smoke::tf_ptr },	//213
    { "KXmlGuiWindow*", 149, Smoke::t_class|Smoke::tf_ptr },	//214
    { "QAbstractItemDelegate::EndEditHint", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QAbstractItemModel*", 150, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QAbstractItemView*", 151, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QAbstractItemView::CursorAction", 151, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QAbstractItemView::EditTrigger", 151, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QAbstractItemView::ScrollHint", 151, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QAbstractItemView::SelectionMode", 151, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QActionEvent*", 155, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QBool", 156, Smoke::t_class|Smoke::tf_stack },	//223
    { "QByteArray", 157, Smoke::t_class|Smoke::tf_stack },	//224
    { "QChildEvent*", 158, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QCloseEvent*", 159, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QColor", 160, Smoke::t_class|Smoke::tf_stack },	//227
    { "QContextMenuEvent*", 162, Smoke::t_class|Smoke::tf_ptr },	//228
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QDataStream&", 164, Smoke::t_class|Smoke::tf_ref },	//230
    { "QDateTime", 165, Smoke::t_class|Smoke::tf_stack },	//231
    { "QDragEnterEvent*", 167, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QDragLeaveEvent*", 168, Smoke::t_class|Smoke::tf_ptr },	//233
    { "QDragMoveEvent*", 169, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QDropEvent*", 170, Smoke::t_class|Smoke::tf_ptr },	//235
    { "QEvent*", 171, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QFlags<Akonadi::Collection::Right>", 0, Smoke::t_uint|Smoke::tf_stack },	//237
    { "QFlags<Akonadi::CollectionDialog::CollectionDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//238
    { "QFlags<Akonadi::ItemFetchJob::DeliveryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//239
    { "QFlags<KABC::Address::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//240
    { "QFlags<KABC::PhoneNumber::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//241
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//242
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//243
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//244
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//245
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//246
    { "QFocusEvent*", 172, Smoke::t_class|Smoke::tf_ptr },	//247
    { "QHideEvent*", 176, Smoke::t_class|Smoke::tf_ptr },	//248
    { "QIODevice&", 177, Smoke::t_class|Smoke::tf_ref },	//249
    { "QIcon", 178, Smoke::t_class|Smoke::tf_stack },	//250
    { "QIncompatibleFlag", 179, Smoke::t_class|Smoke::tf_stack },	//251
    { "QInputMethodEvent*", 180, Smoke::t_class|Smoke::tf_ptr },	//252
    { "QItemSelection", 181, Smoke::t_class|Smoke::tf_stack },	//253
    { "QItemSelectionModel*", 182, Smoke::t_class|Smoke::tf_ptr },	//254
    { "QItemSelectionModel::SelectionFlag", 182, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QKeyEvent*", 183, Smoke::t_class|Smoke::tf_ptr },	//256
    { "QLineEdit*", 184, Smoke::t_class|Smoke::tf_ptr },	//257
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//258
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//259
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//260
    { "QList<Akonadi::Collection::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//261
    { "QList<Akonadi::Collection>", 0, Smoke::t_voidp|Smoke::tf_stack },	//262
    { "QList<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//263
    { "QList<Akonadi::Item>", 0, Smoke::t_voidp|Smoke::tf_stack },	//264
    { "QList<Akonadi::Tag>", 0, Smoke::t_voidp|Smoke::tf_stack },	//265
    { "QList<KABC::ContactGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//266
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//267
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//268
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//269
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//270
    { "QMenu*", 187, Smoke::t_class|Smoke::tf_ptr },	//271
    { "QMetaObject::Call", 188, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QMimeData*", 189, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QModelIndex", 190, Smoke::t_class|Smoke::tf_stack },	//274
    { "QMouseEvent*", 191, Smoke::t_class|Smoke::tf_ptr },	//275
    { "QMoveEvent*", 192, Smoke::t_class|Smoke::tf_ptr },	//276
    { "QObject*", 193, Smoke::t_class|Smoke::tf_ptr },	//277
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "QPaintEngine*", 194, Smoke::t_class|Smoke::tf_ptr },	//279
    { "QPaintEvent*", 195, Smoke::t_class|Smoke::tf_ptr },	//280
    { "QPainter*", 196, Smoke::t_class|Smoke::tf_ptr },	//281
    { "QRect", 199, Smoke::t_class|Smoke::tf_stack },	//282
    { "QRegExp&", 200, Smoke::t_class|Smoke::tf_ref },	//283
    { "QRegion", 201, Smoke::t_class|Smoke::tf_stack },	//284
    { "QResizeEvent*", 202, Smoke::t_class|Smoke::tf_ptr },	//285
    { "QSet<Akonadi::Tag>", 0, Smoke::t_voidp|Smoke::tf_stack },	//286
    { "QSet<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//287
    { "QSettings*", 203, Smoke::t_class|Smoke::tf_ptr },	//288
    { "QShowEvent*", 204, Smoke::t_class|Smoke::tf_ptr },	//289
    { "QSize", 205, Smoke::t_class|Smoke::tf_stack },	//290
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//291
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//292
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//293
    { "QStyle&", 207, Smoke::t_class|Smoke::tf_ref },	//294
    { "QStyleOptionViewItem", 208, Smoke::t_class|Smoke::tf_stack },	//295
    { "QStyleOptionViewItem*", 208, Smoke::t_class|Smoke::tf_ptr },	//296
    { "QTabletEvent*", 210, Smoke::t_class|Smoke::tf_ptr },	//297
    { "QTimerEvent*", 211, Smoke::t_class|Smoke::tf_ptr },	//298
    { "QTreeView*", 212, Smoke::t_class|Smoke::tf_ptr },	//299
    { "QUrl", 213, Smoke::t_class|Smoke::tf_stack },	//300
    { "QVariant", 214, Smoke::t_class|Smoke::tf_stack },	//301
    { "QVariantMap", 0, Smoke::t_voidp|Smoke::tf_stack },	//302
    { "QVector<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//303
    { "QVector<Akonadi::Monitor::Type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//304
    { "QVector<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//305
    { "QVector<long long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//306
    { "QWheelEvent*", 215, Smoke::t_class|Smoke::tf_ptr },	//307
    { "QWidget*", 216, Smoke::t_class|Smoke::tf_ptr },	//308
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//377
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//378
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//379
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//380
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//381
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//382
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//383
    { "boost::exception*", 217, Smoke::t_class|Smoke::tf_ptr },	//384
    { "boost::exception_detail::large_size", 218, Smoke::t_class|Smoke::tf_stack },	//385
    { "boost::exception_detail::small_size", 219, Smoke::t_class|Smoke::tf_stack },	//386
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//387
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//388
    { "const Akonadi::AddressAttribute&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const Akonadi::AgentBase::Observer&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const Akonadi::AgentBase::ObserverV2&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const Akonadi::Attribute&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const Akonadi::AttributeFactory&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const Akonadi::Collection::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//398
    { "const Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const Akonadi::CollectionPropertiesPageFactory&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const Akonadi::CollectionQuotaAttribute&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const Akonadi::EntityDisplayAttribute&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const Akonadi::EntityHiddenAttribute&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//407
    { "const Akonadi::Exception&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const Akonadi::Item::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//410
    { "const Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const Akonadi::ItemSerializerPlugin&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const Akonadi::ItemSerializerPluginV2&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const Akonadi::MessageFolderAttribute&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const Akonadi::MessageThreadingAttribute&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const Akonadi::Monitor::Type", 96, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//417
    { "const Akonadi::PayloadBase&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const Akonadi::PayloadException&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const Akonadi::SearchQuery&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const Akonadi::Tag&", 112, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const Akonadi::TagFetchScope&", 113, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const Akonadi::TransportResourceBase&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const KABC::Address&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const KABC::Addressee&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const KABC::ContactGroup&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const KABC::Geo&", 124, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const KABC::Key&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const KABC::PhoneNumber&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const KABC::Picture&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const KABC::Secrecy&", 128, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const KABC::Sound&", 129, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const KABC::TimeZone&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const KConfigGroup&", 138, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const KDateTime&", 139, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const KLocalizedString&", 144, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const KUrl&", 147, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QAbstractItemModel*", 150, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//438
    { "const QByteArray&", 157, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QColor&", 160, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QDateTime&", 165, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QEvent*", 171, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//442
    { "const QFont&", 173, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QItemSelection&", 181, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QList<Akonadi::Collection::Id>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QList<Akonadi::Collection>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QList<Akonadi::Item::Id>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QList<Akonadi::Item>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QList<Akonadi::Tag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QLocale&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QMetaObject&", 188, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QMetaObject*", 188, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//454
    { "const QMimeData*", 189, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//455
    { "const QModelIndex&", 190, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QPalette&", 197, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QPoint&", 198, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QRect&", 199, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QRegExp&", 200, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QSet<Akonadi::Tag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//465
    { "const QStyleOptionViewItem&", 208, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QVariant&", 214, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//468
    { "const boost::exception&", 217, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const boost::exception*", 217, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//470
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//471
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//472
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//474
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//475
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//476
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//477
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//478
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//479
    { "qlonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//480
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//481
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//482
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//483
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//484
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//485
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    463, 464, 464, 464, 0,	//1  const QString&, const QStringList&, const QStringList&, const QStringList&
    439, 0,	//6  const QByteArray&
    463, 0,	//8  const QString&
    464, 0,	//10  const QStringList&
    389, 0,	//12  const Akonadi::AddressAttribute&
    463, 464, 0,	//14  const QString&, const QStringList&
    463, 464, 464, 0,	//17  const QString&, const QStringList&, const QStringList&
    471, 0,	//21  const char*
    471, 471, 0,	//23  const char*, const char*
    471, 471, 475, 0,	//26  const char*, const char*, int
    272, 475, 484, 0,	//30  QMetaObject::Call, int, void**
    381, 0,	//34  WId
    6, 0,	//36  Akonadi::AgentBase::Observer*
    475, 463, 0,	//38  int, const QString&
    475, 0,	//41  int
    468, 0,	//43  const QVariantMap&
    383, 0,	//45  bool
    9, 463, 0,	//47  Akonadi::AgentBasePrivate*, const QString&
    409, 397, 0,	//50  const Akonadi::Item&, const Akonadi::Collection&
    409, 462, 0,	//53  const Akonadi::Item&, const QSet<QByteArray>&
    409, 0,	//56  const Akonadi::Item&
    397, 397, 0,	//58  const Akonadi::Collection&, const Akonadi::Collection&
    397, 0,	//61  const Akonadi::Collection&
    390, 0,	//63  const Akonadi::AgentBase::Observer&
    409, 397, 397, 0,	//65  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    397, 397, 397, 0,	//69  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    397, 462, 0,	//73  const Akonadi::Collection&, const QSet<QByteArray>&
    391, 0,	//76  const Akonadi::AgentBase::ObserverV2&
    277, 0,	//78  QObject*
    475, 456, 0,	//80  int, const QModelIndex&
    392, 0,	//83  const Akonadi::AgentInstance&
    308, 0,	//85  QWidget*
    393, 277, 0,	//87  const Akonadi::AgentType&, QObject*
    463, 277, 0,	//90  const QString&, QObject*
    393, 0,	//93  const Akonadi::AgentType&
    456, 0,	//95  const QModelIndex&
    456, 475, 0,	//97  const QModelIndex&, int
    475, 355, 475, 0,	//100  int, Qt::Orientation, int
    475, 475, 456, 0,	//104  int, int, const QModelIndex&
    456, 467, 475, 0,	//108  const QModelIndex&, const QVariant&, int
    475, 355, 0,	//112  int, Qt::Orientation
    475, 475, 0,	//115  int, int
    392, 392, 0,	//118  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    397, 383, 0,	//121  const Akonadi::Collection&, bool
    392, 463, 0,	//124  const Akonadi::AgentInstance&, const QString&
    392, 383, 0,	//127  const Akonadi::AgentInstance&, bool
    393, 393, 0,	//130  const Akonadi::AgentType&, const Akonadi::AgentType&
    394, 0,	//133  const Akonadi::Attribute&
    395, 0,	//135  const Akonadi::AttributeFactory&
    396, 0,	//137  const Akonadi::CachePolicy&
    288, 0,	//139  QSettings*
    33, 277, 0,	//141  Akonadi::ChangeRecorderPrivate*, QObject*
    33, 0,	//144  Akonadi::ChangeRecorderPrivate*
    478, 0,	//146  long long
    437, 0,	//148  const KUrl&
    237, 0,	//150  QFlags<Akonadi::Collection::Right>
    402, 0,	//152  const Akonadi::CollectionStatistics&
    40, 0,	//154  Akonadi::Collection::UrlType
    216, 308, 0,	//156  QAbstractItemModel*, QWidget*
    216, 0,	//159  QAbstractItemModel*
    397, 397, 277, 0,	//161  const Akonadi::Collection&, const Akonadi::Collection&, QObject*
    397, 277, 0,	//165  const Akonadi::Collection&, QObject*
    439, 439, 0,	//168  const QByteArray&, const QByteArray&
    238, 216, 308, 0,	//171  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*
    221, 0,	//175  QAbstractItemView::SelectionMode
    238, 0,	//177  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>
    238, 216, 0,	//179  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*
    397, 48, 277, 0,	//182  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*
    446, 277, 0,	//186  const QList<Akonadi::Collection>&, QObject*
    446, 48, 277, 0,	//189  const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*
    445, 48, 277, 0,	//193  const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*
    399, 0,	//197  const Akonadi::CollectionFetchScope&
    398, 0,	//199  const Akonadi::Collection::List&
    209, 0,	//201  KJob*
    397, 48, 0,	//203  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type
    446, 0,	//206  const QList<Akonadi::Collection>&
    446, 48, 0,	//208  const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type
    445, 0,	//211  const QList<Akonadi::Collection::Id>&
    445, 48, 0,	//213  const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type
    51, 0,	//216  Akonadi::CollectionFetchScope::AncestorRetrieval
    475, 355, 467, 475, 0,	//218  int, Qt::Orientation, const QVariant&, int
    450, 0,	//223  const QList<QModelIndex>&
    455, 331, 475, 475, 456, 0,	//225  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    37, 0,	//231  Akonadi::Collection::Id
    55, 277, 0,	//233  Akonadi::CollectionModelPrivate*, QObject*
    475, 355, 467, 0,	//236  int, Qt::Orientation, const QVariant&
    456, 467, 0,	//240  const QModelIndex&, const QVariant&
    55, 0,	//243  Akonadi::CollectionModelPrivate*
    397, 308, 0,	//245  const Akonadi::Collection&, QWidget*
    397, 464, 308, 0,	//248  const Akonadi::Collection&, const QStringList&, QWidget*
    61, 0,	//252  Akonadi::CollectionPropertiesPageFactory*
    59, 0,	//254  Akonadi::CollectionPropertiesDialog::DefaultPage
    397, 464, 0,	//256  const Akonadi::Collection&, const QStringList&
    35, 0,	//259  Akonadi::Collection&
    400, 0,	//261  const Akonadi::CollectionPropertiesPageFactory&
    478, 478, 0,	//263  long long, long long
    401, 0,	//266  const Akonadi::CollectionQuotaAttribute&
    217, 0,	//268  QAbstractItemView*
    299, 0,	//270  QTreeView*
    281, 466, 456, 0,	//272  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    296, 456, 0,	//276  QStyleOptionViewItem*, const QModelIndex&
    214, 308, 0,	//279  KXmlGuiWindow*, QWidget*
    213, 308, 0,	//282  KXMLGUIClient*, QWidget*
    214, 0,	//285  KXmlGuiWindow*
    213, 0,	//287  KXMLGUIClient*
    456, 456, 0,	//289  const QModelIndex&, const QModelIndex&
    234, 0,	//292  QDragMoveEvent*
    233, 0,	//294  QDragLeaveEvent*
    235, 0,	//296  QDropEvent*
    228, 0,	//298  QContextMenuEvent*
    463, 463, 0,	//300  const QString&, const QString&
    429, 0,	//303  const KABC::PhoneNumber&
    424, 0,	//305  const KABC::Address&
    75, 308, 0,	//307  Akonadi::ContactEditor::Mode, QWidget*
    75, 1, 308, 0,	//310  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    75, 74, 308, 0,	//314  Akonadi::ContactEditor::Mode, Akonadi::ContactEditor::DisplayMode, QWidget*
    425, 0,	//318  const KABC::Addressee&
    75, 0,	//320  Akonadi::ContactEditor::Mode
    75, 1, 0,	//322  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*
    75, 74, 0,	//325  Akonadi::ContactEditor::Mode, Akonadi::ContactEditor::DisplayMode
    78, 308, 0,	//328  Akonadi::ContactEditorDialog::Mode, QWidget*
    78, 1, 308, 0,	//331  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    78, 77, 308, 0,	//335  Akonadi::ContactEditorDialog::Mode, Akonadi::ContactEditorDialog::DisplayMode, QWidget*
    78, 0,	//339  Akonadi::ContactEditorDialog::Mode
    78, 1, 0,	//341  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*
    78, 77, 0,	//344  Akonadi::ContactEditorDialog::Mode, Akonadi::ContactEditorDialog::DisplayMode
    188, 0,	//347  KABC::Addressee&
    81, 308, 0,	//349  Akonadi::ContactGroupEditor::Mode, QWidget*
    426, 0,	//352  const KABC::ContactGroup&
    81, 0,	//354  Akonadi::ContactGroupEditor::Mode
    83, 308, 0,	//356  Akonadi::ContactGroupEditorDialog::Mode, QWidget*
    83, 0,	//359  Akonadi::ContactGroupEditorDialog::Mode
    426, 277, 0,	//361  const KABC::ContactGroup&, QObject*
    86, 463, 0,	//364  Akonadi::ContactGroupSearchJob::Criterion, const QString&
    86, 463, 87, 0,	//367  Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match
    3, 0,	//371  Akonadi::AbstractContactGroupFormatter*
    91, 463, 0,	//373  Akonadi::ContactSearchJob::Criterion, const QString&
    91, 463, 92, 0,	//376  Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match
    2, 0,	//380  Akonadi::AbstractContactFormatter*
    403, 0,	//382  const Akonadi::Entity&
    27, 0,	//384  Akonadi::Attribute*
    103, 0,	//386  Akonadi::EntityPrivate*
    440, 0,	//388  const QColor&
    404, 0,	//390  const Akonadi::EntityDisplayAttribute&
    405, 0,	//392  const Akonadi::EntityHiddenAttribute&
    243, 0,	//394  QFlags<Qt::DropAction>
    107, 0,	//396  Akonadi::EntityTreeModel::HeaderGroup
    456, 475, 467, 475, 246, 0,	//398  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    456, 475, 467, 0,	//404  const QModelIndex&, int, const QVariant&
    456, 475, 467, 475, 0,	//408  const QModelIndex&, int, const QVariant&, int
    32, 277, 0,	//413  Akonadi::ChangeRecorder*, QObject*
    108, 0,	//416  Akonadi::EntityTreeModel::ItemPopulationStrategy
    105, 0,	//418  Akonadi::EntityTreeModel::CollectionFetchStrategy
    438, 397, 0,	//420  const QAbstractItemModel*, const Akonadi::Collection&
    438, 409, 0,	//423  const QAbstractItemModel*, const Akonadi::Item&
    409, 475, 475, 0,	//426  const Akonadi::Item&, int, int
    397, 475, 475, 0,	//430  const Akonadi::Collection&, int, int
    475, 355, 475, 107, 0,	//434  int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup
    409, 467, 246, 0,	//439  const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>
    397, 467, 246, 0,	//443  const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>
    32, 110, 277, 0,	//447  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*
    32, 0,	//451  Akonadi::ChangeRecorder*
    409, 475, 0,	//453  const Akonadi::Item&, int
    397, 475, 0,	//456  const Akonadi::Collection&, int
    32, 110, 0,	//459  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*
    298, 0,	//462  QTimerEvent*
    204, 0,	//464  KConfigGroup&
    434, 0,	//466  const KConfigGroup&
    408, 0,	//468  const Akonadi::Exception&
    216, 434, 277, 0,	//470  QAbstractItemModel*, const KConfigGroup&, QObject*
    397, 463, 0,	//474  const Akonadi::Collection&, const QString&
    216, 434, 0,	//477  QAbstractItemModel*, const KConfigGroup&
    441, 0,	//480  const QDateTime&
    462, 0,	//482  const QSet<QByteArray>&
    449, 0,	//484  const QList<Akonadi::Tag>&
    421, 0,	//486  const Akonadi::Tag&
    120, 0,	//488  Akonadi::Item::UrlType
    409, 397, 277, 0,	//490  const Akonadi::Item&, const Akonadi::Collection&, QObject*
    448, 397, 277, 0,	//494  const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*
    448, 397, 0,	//498  const QList<Akonadi::Item>&, const Akonadi::Collection&
    409, 277, 0,	//501  const Akonadi::Item&, QObject*
    448, 277, 0,	//504  const QList<Akonadi::Item>&, QObject*
    448, 0,	//507  const QList<Akonadi::Item>&
    447, 277, 0,	//509  const QList<Akonadi::Item::Id>&, QObject*
    126, 0,	//512  Akonadi::ItemFetchScope&
    411, 0,	//514  const Akonadi::ItemFetchScope&
    239, 0,	//516  QFlags<Akonadi::ItemFetchJob::DeliveryOption>
    410, 0,	//518  const Akonadi::Item::List&
    447, 0,	//520  const QList<Akonadi::Item::Id>&
    439, 383, 0,	//522  const QByteArray&, bool
    128, 0,	//525  Akonadi::ItemFetchScope::AncestorRetrieval
    435, 0,	//527  const KDateTime&
    409, 472, 0,	//529  const Akonadi::Item&, const int
    420, 277, 0,	//532  const Akonadi::SearchQuery&, QObject*
    420, 0,	//535  const Akonadi::SearchQuery&
    116, 439, 249, 475, 0,	//537  Akonadi::Item&, const QByteArray&, QIODevice&, int
    409, 439, 249, 476, 0,	//542  const Akonadi::Item&, const QByteArray&, QIODevice&, int&
    412, 0,	//547  const Akonadi::ItemSerializerPlugin&
    116, 409, 0,	//549  Akonadi::Item&, const Akonadi::Item&
    413, 0,	//552  const Akonadi::ItemSerializerPluginV2&
    448, 448, 0,	//554  const QList<Akonadi::Item>&, const QList<Akonadi::Item>&
    139, 0,	//557  Akonadi::ItemSync::TransactionMode
    409, 116, 0,	//559  const Akonadi::Item&, Akonadi::Item&
    141, 0,	//562  Akonadi::Job*
    143, 277, 0,	//564  Akonadi::JobPrivate*, QObject*
    397, 448, 277, 0,	//567  const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*
    397, 448, 0,	//571  const Akonadi::Collection&, const QList<Akonadi::Item>&
    414, 0,	//574  const Akonadi::MessageFolderAttribute&
    475, 475, 481, 0,	//576  int, int, unsigned int
    415, 0,	//580  const Akonadi::MessageThreadingAttribute&
    416, 0,	//582  const Akonadi::MimeTypeChecker&
    409, 463, 0,	//584  const Akonadi::Item&, const QString&
    409, 383, 0,	//587  const Akonadi::Item&, bool
    463, 383, 0,	//590  const QString&, bool
    421, 383, 0,	//593  const Akonadi::Tag&, bool
    153, 383, 0,	//596  Akonadi::Monitor::Type, bool
    169, 0,	//599  Akonadi::Session*
    422, 0,	//601  const Akonadi::TagFetchScope&
    410, 462, 462, 0,	//603  const Akonadi::Item::List&, const QSet<QByteArray>&, const QSet<QByteArray>&
    410, 461, 461, 0,	//607  const Akonadi::Item::List&, const QSet<Akonadi::Tag>&, const QSet<Akonadi::Tag>&
    410, 397, 397, 0,	//611  const Akonadi::Item::List&, const Akonadi::Collection&, const Akonadi::Collection&
    410, 397, 0,	//615  const Akonadi::Item::List&, const Akonadi::Collection&
    37, 402, 0,	//618  Akonadi::Collection::Id, const Akonadi::CollectionStatistics&
    417, 383, 0,	//621  const Akonadi::Monitor::Type, bool
    154, 277, 0,	//624  Akonadi::MonitorPrivate*, QObject*
    153, 0,	//627  Akonadi::Monitor::Type
    154, 0,	//629  Akonadi::MonitorPrivate*
    456, 439, 277, 0,	//631  const QModelIndex&, const QByteArray&, QObject*
    456, 439, 0,	//635  const QModelIndex&, const QByteArray&
    418, 0,	//638  const Akonadi::PayloadBase&
    419, 0,	//640  const Akonadi::PayloadException&
    159, 0,	//642  Akonadi::PreprocessorBase::ProcessingResult
    480, 0,	//644  qlonglong
    446, 446, 0,	//646  const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&
    478, 383, 0,	//649  long long, bool
    277, 471, 467, 161, 0,	//652  QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority
    277, 471, 467, 0,	//657  QObject*, const char*, const QVariant&
    392, 277, 0,	//661  const Akonadi::AgentInstance&, QObject*
    463, 463, 277, 0,	//664  const QString&, const QString&, QObject*
    463, 420, 277, 0,	//668  const QString&, const Akonadi::SearchQuery&, QObject*
    463, 420, 0,	//672  const QString&, const Akonadi::SearchQuery&
    254, 277, 0,	//675  QItemSelectionModel*, QObject*
    254, 0,	//678  QItemSelectionModel*
    167, 0,	//680  Akonadi::ServerManager::ServiceType
    166, 463, 0,	//682  Akonadi::ServerManager::ServiceAgentType, const QString&
    168, 0,	//685  Akonadi::ServerManager::State
    439, 277, 0,	//687  const QByteArray&, QObject*
    170, 439, 277, 0,	//690  Akonadi::SessionPrivate*, const QByteArray&, QObject*
    170, 0,	//694  Akonadi::SessionPrivate*
    170, 439, 0,	//696  Akonadi::SessionPrivate*, const QByteArray&
    201, 308, 0,	//699  KActionCollection*, QWidget*
    114, 0,	//702  Akonadi::FavoriteCollectionsModel*
    173, 0,	//704  Akonadi::StandardActionManager::Type
    173, 436, 0,	//706  Akonadi::StandardActionManager::Type, const KLocalizedString&
    173, 383, 0,	//709  Akonadi::StandardActionManager::Type, bool
    173, 172, 463, 0,	//712  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&
    173, 172, 436, 0,	//716  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&
    271, 173, 0,	//720  QMenu*, Akonadi::StandardActionManager::Type
    201, 0,	//723  KActionCollection*
    409, 182, 463, 0,	//725  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&
    423, 0,	//729  const Akonadi::TransportResourceBase&
    409, 182, 0,	//731  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult
    277, 236, 0,	//734  QObject*, QEvent*
    257, 0,	//737  QLineEdit*
    464, 383, 0,	//739  const QStringList&, bool
    482, 383, 383, 0,	//742  unsigned long, bool, bool
    307, 0,	//746  QWheelEvent*
    202, 383, 0,	//748  KCompletion*, bool
    207, 0,	//751  KGlobalSettings::Completion
    475, 483, 0,	//753  int, void*
    209, 463, 463, 0,	//756  KJob*, const QString&, const QString&
    248, 0,	//760  QHideEvent*
    226, 0,	//762  QCloseEvent*
    256, 0,	//764  QKeyEvent*
    225, 0,	//766  QChildEvent*
    444, 0,	//768  const QItemSelection&
    456, 452, 0,	//770  const QModelIndex&, const QMap<int,QVariant>&
    475, 363, 0,	//773  int, Qt::SortOrder
    343, 0,	//776  Qt::InputMethodQuery
    308, 215, 0,	//778  QWidget*, QAbstractItemDelegate::EndEditHint
    456, 219, 236, 0,	//781  const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*
    456, 442, 0,	//785  const QModelIndex&, const QEvent*
    236, 0,	//788  QEvent*
    275, 0,	//790  QMouseEvent*
    232, 0,	//792  QDragEnterEvent*
    247, 0,	//794  QFocusEvent*
    285, 0,	//796  QResizeEvent*
    252, 0,	//798  QInputMethodEvent*
    280, 0,	//800  QPaintEvent*
    289, 0,	//802  QShowEvent*
    456, 220, 0,	//804  const QModelIndex&, QAbstractItemView::ScrollHint
    458, 0,	//807  const QPoint&
    456, 475, 475, 0,	//809  const QModelIndex&, int, int
    218, 245, 0,	//813  QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>
    459, 242, 0,	//816  const QRect&, QFlags<QItemSelectionModel::SelectionFlag>
    444, 444, 0,	//819  const QItemSelection&, const QItemSelection&
    466, 456, 0,	//822  const QStyleOptionViewItem&, const QModelIndex&
    308, 466, 456, 0,	//825  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    308, 456, 0,	//829  QWidget*, const QModelIndex&
    308, 216, 456, 0,	//832  QWidget*, QAbstractItemModel*, const QModelIndex&
    467, 451, 0,	//836  const QVariant&, const QLocale&
    236, 216, 466, 456, 0,	//839  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    281, 459, 456, 0,	//844  QPainter*, const QRect&, const QModelIndex&
    276, 0,	//848  QMoveEvent*
    297, 0,	//850  QTabletEvent*
    222, 0,	//852  QActionEvent*
    382, 0,	//854  _XEvent*
    278, 0,	//856  QPaintDevice::PaintDeviceMetric
    294, 0,	//858  QStyle&
    457, 0,	//860  const QPalette&
    443, 0,	//862  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AboveItem",	//1
    "Accepted",	//2
    "AddIfMissing",	//3
    "AddToFavoriteCollections",	//4
    "AddressAttribute",	//5
    "AddressAttribute#",	//6
    "AddressAttribute$",	//7
    "AddressAttribute$?",	//8
    "AddressAttribute$??",	//9
    "AddressAttribute$???",	//10
    "Adjust",	//11
    "AdjustToContents",	//12
    "AdjustToContentsOnFirstShow",	//13
    "AdjustToMinimumContentsLength",	//14
    "AdjustToMinimumContentsLengthWithIcon",	//15
    "AfterChangeReplay",	//16
    "Agent",	//17
    "AgentBase",	//18
    "AgentBase#$",	//19
    "AgentBase$",	//20
    "AgentFilterProxyModel",	//21
    "AgentFilterProxyModel#",	//22
    "AgentInstance",	//23
    "AgentInstance#",	//24
    "AgentInstanceCreateJob",	//25
    "AgentInstanceCreateJob#",	//26
    "AgentInstanceCreateJob##",	//27
    "AgentInstanceCreateJob$",	//28
    "AgentInstanceCreateJob$#",	//29
    "AgentInstanceModel",	//30
    "AgentInstanceModel#",	//31
    "AgentInstanceWidget",	//32
    "AgentInstanceWidget#",	//33
    "AgentType",	//34
    "AgentType#",	//35
    "AgentTypeDialog",	//36
    "AgentTypeDialog#",	//37
    "AgentTypeModel",	//38
    "AgentTypeModel#",	//39
    "AgentTypeWidget",	//40
    "AgentTypeWidget#",	//41
    "All",	//42
    "AllEditTriggers",	//43
    "AllRights",	//44
    "AllowToCreateNewChildCollection",	//45
    "AmazingCompletionRole",	//46
    "AnimatingState",	//47
    "AnyKeyPressed",	//48
    "AppNameCaption",	//49
    "Append",	//50
    "Apply",	//51
    "Attribute",	//52
    "Attribute#",	//53
    "AttributeFactory",	//54
    "AttributeFactory#",	//55
    "AvailablePartsRole",	//56
    "Base",	//57
    "Batched",	//58
    "BelowItem",	//59
    "Box",	//60
    "Broken",	//61
    "Bytes",	//62
    "CachePage",	//63
    "CachePolicy",	//64
    "CachePolicy#",	//65
    "CanChangeCollection",	//66
    "CanChangeItem",	//67
    "CanCreateCollection",	//68
    "CanCreateItem",	//69
    "CanDeleteCollection",	//70
    "CanDeleteItem",	//71
    "CanLinkItem",	//72
    "CanUnlinkItem",	//73
    "Cancel",	//74
    "CapabilitiesRole",	//75
    "ChangeRecorder",	//76
    "ChangeRecorder#",	//77
    "ChangeRecorder##",	//78
    "ChildrenOfExactSelection",	//79
    "Close",	//80
    "CollapsingState",	//81
    "Collection",	//82
    "Collection#",	//83
    "Collection$",	//84
    "CollectionChildOrderRole",	//85
    "CollectionComboBox",	//86
    "CollectionComboBox#",	//87
    "CollectionComboBox##",	//88
    "CollectionCopyJob",	//89
    "CollectionCopyJob##",	//90
    "CollectionCopyJob###",	//91
    "CollectionCreateJob",	//92
    "CollectionCreateJob#",	//93
    "CollectionCreateJob##",	//94
    "CollectionDeleteJob",	//95
    "CollectionDeleteJob#",	//96
    "CollectionDeleteJob##",	//97
    "CollectionDerefRole",	//98
    "CollectionDialog",	//99
    "CollectionDialog#",	//100
    "CollectionDialog##",	//101
    "CollectionDialog$",	//102
    "CollectionDialog$#",	//103
    "CollectionDialog$##",	//104
    "CollectionFetchJob",	//105
    "CollectionFetchJob#",	//106
    "CollectionFetchJob#$",	//107
    "CollectionFetchJob#$#",	//108
    "CollectionFetchJob?",	//109
    "CollectionFetchJob?#",	//110
    "CollectionFetchJob?$",	//111
    "CollectionFetchJob?$#",	//112
    "CollectionFetchScope",	//113
    "CollectionFetchScope#",	//114
    "CollectionFilterProxyModel",	//115
    "CollectionFilterProxyModel#",	//116
    "CollectionIdRole",	//117
    "CollectionModel",	//118
    "CollectionModel#",	//119
    "CollectionModel##",	//120
    "CollectionModifyJob",	//121
    "CollectionModifyJob#",	//122
    "CollectionModifyJob##",	//123
    "CollectionMoveJob",	//124
    "CollectionMoveJob##",	//125
    "CollectionMoveJob###",	//126
    "CollectionProperties",	//127
    "CollectionPropertiesDialog",	//128
    "CollectionPropertiesDialog#",	//129
    "CollectionPropertiesDialog##",	//130
    "CollectionPropertiesDialog#?",	//131
    "CollectionPropertiesDialog#?#",	//132
    "CollectionPropertiesPage",	//133
    "CollectionPropertiesPage#",	//134
    "CollectionPropertiesPageFactory",	//135
    "CollectionPropertiesPageFactory#",	//136
    "CollectionQuotaAttribute",	//137
    "CollectionQuotaAttribute#",	//138
    "CollectionQuotaAttribute$$",	//139
    "CollectionRefRole",	//140
    "CollectionRequester",	//141
    "CollectionRequester#",	//142
    "CollectionRequester##",	//143
    "CollectionRole",	//144
    "CollectionStatistics",	//145
    "CollectionStatistics#",	//146
    "CollectionStatisticsDelegate",	//147
    "CollectionStatisticsDelegate#",	//148
    "CollectionStatisticsJob",	//149
    "CollectionStatisticsJob#",	//150
    "CollectionStatisticsJob##",	//151
    "CollectionStatisticsModel",	//152
    "CollectionStatisticsModel#",	//153
    "CollectionSyncProgressRole",	//154
    "CollectionTreeHeaders",	//155
    "CollectionView",	//156
    "CollectionView#",	//157
    "CollectionView##",	//158
    "Collections",	//159
    "ColumnCountRole",	//160
    "ConnectionFailed",	//161
    "ContactDefaultActions",	//162
    "ContactDefaultActions#",	//163
    "ContactEditor",	//164
    "ContactEditor$",	//165
    "ContactEditor$#",	//166
    "ContactEditor$##",	//167
    "ContactEditor$$",	//168
    "ContactEditor$$#",	//169
    "ContactEditorDialog",	//170
    "ContactEditorDialog$",	//171
    "ContactEditorDialog$#",	//172
    "ContactEditorDialog$##",	//173
    "ContactEditorDialog$$",	//174
    "ContactEditorDialog$$#",	//175
    "ContactEditorPagePlugin",	//176
    "ContactGroupEditor",	//177
    "ContactGroupEditor$",	//178
    "ContactGroupEditor$#",	//179
    "ContactGroupEditorDialog",	//180
    "ContactGroupEditorDialog$",	//181
    "ContactGroupEditorDialog$#",	//182
    "ContactGroupExpandJob",	//183
    "ContactGroupExpandJob#",	//184
    "ContactGroupExpandJob##",	//185
    "ContactGroupExpandJob$",	//186
    "ContactGroupExpandJob$#",	//187
    "ContactGroupSearchJob",	//188
    "ContactGroupSearchJob#",	//189
    "ContactGroupViewer",	//190
    "ContactGroupViewer#",	//191
    "ContactGroupViewerDialog",	//192
    "ContactGroupViewerDialog#",	//193
    "ContactSearchJob",	//194
    "ContactSearchJob#",	//195
    "ContactUid",	//196
    "ContactViewer",	//197
    "ContactViewer#",	//198
    "ContactViewerDialog",	//199
    "ContactViewerDialog#",	//200
    "ContainsMatch",	//201
    "ContainsWordBoundaryMatch",	//202
    "ContiguousSelection",	//203
    "Control",	//204
    "ControlLock",	//205
    "CopyCollectionToDialog",	//206
    "CopyCollectionToMenu",	//207
    "CopyCollections",	//208
    "CopyItemToDialog",	//209
    "CopyItemToMenu",	//210
    "CopyItems",	//211
    "CreateCollection",	//212
    "CreateMode",	//213
    "CreateResource",	//214
    "CurrentChanged",	//215
    "CutCollections",	//216
    "CutItems",	//217
    "Date",	//218
    "Default",	//219
    "DelayedPopup",	//220
    "DeleteCollections",	//221
    "DeleteItems",	//222
    "DeleteResources",	//223
    "DescriptionRole",	//224
    "Details",	//225
    "DialogText",	//226
    "DialogTitle",	//227
    "Directories",	//228
    "DoubleClicked",	//229
    "DragDrop",	//230
    "DragOnly",	//231
    "DragSelectingState",	//232
    "DraggingState",	//233
    "DrawChildren",	//234
    "DrawWindowBackground",	//235
    "DropOnly",	//236
    "EditKeyPressed",	//237
    "EditMode",	//238
    "EditingState",	//239
    "Email",	//240
    "EmitItemsInBatches",	//241
    "EmitItemsIndividually",	//242
    "EmitResult",	//243
    "EndHeaderGroup",	//244
    "EndRole",	//245
    "EnsureVisible",	//246
    "Entity",	//247
    "Entity#",	//248
    "EntityDisplayAttribute",	//249
    "EntityDisplayAttribute#",	//250
    "EntityHiddenAttribute",	//251
    "EntityHiddenAttribute#",	//252
    "EntityListView",	//253
    "EntityListView#",	//254
    "EntityListView##",	//255
    "EntityMimeTypeFilterModel",	//256
    "EntityMimeTypeFilterModel#",	//257
    "EntityTreeHeaders",	//258
    "EntityTreeModel",	//259
    "EntityTreeModel#",	//260
    "EntityTreeModel##",	//261
    "EntityTreeModel###",	//262
    "EntityTreeView",	//263
    "EntityTreeView#",	//264
    "EntityTreeView##",	//265
    "EntityTreeViewStateSaver",	//266
    "EntityTreeViewStateSaver#",	//267
    "EntityUrlRole",	//268
    "ErrorMessageText",	//269
    "ErrorMessageTitle",	//270
    "ExactMatch",	//271
    "ExactSelection",	//272
    "Exception",	//273
    "Exception#",	//274
    "Exception$",	//275
    "ExpandingState",	//276
    "ExtendedSelection",	//277
    "FavoriteCollectionsModel",	//278
    "FavoriteCollectionsModel##",	//279
    "FavoriteCollectionsModel###",	//280
    "FetchCollectionsRecursive",	//281
    "FetchFirstLevelChildCollections",	//282
    "FetchNoCollections",	//283
    "FetchStateRole",	//284
    "FetchingState",	//285
    "Files",	//286
    "FirstLevel",	//287
    "Fixed",	//288
    "Free",	//289
    "FullMode",	//290
    "FullPayload",	//291
    "GeneralPage",	//292
    "HIGCompliantCaption",	//293
    "HLine",	//294
    "Help",	//295
    "IconMode",	//296
    "Id",	//297
    "IdRole",	//298
    "IdentifierRole",	//299
    "Idle",	//300
    "IdleState",	//301
    "IgnoreMask",	//302
    "ImmediatePopulation",	//303
    "InsertAfterCurrent",	//304
    "InsertAlphabetically",	//305
    "InsertAtBottom",	//306
    "InsertAtCurrent",	//307
    "InsertAtTop",	//308
    "InsertBeforeCurrent",	//309
    "InstanceIdentifierRole",	//310
    "InstanceRole",	//311
    "InstantPopup",	//312
    "InternalMove",	//313
    "InvisibleCollectionFetch",	//314
    "IsPopulatedRole",	//315
    "Item",	//316
    "Item#",	//317
    "Item$",	//318
    "ItemCopyJob",	//319
    "ItemCopyJob##",	//320
    "ItemCopyJob###",	//321
    "ItemCopyJob?#",	//322
    "ItemCopyJob?##",	//323
    "ItemCreateJob",	//324
    "ItemCreateJob##",	//325
    "ItemCreateJob###",	//326
    "ItemDeleteJob",	//327
    "ItemDeleteJob#",	//328
    "ItemDeleteJob##",	//329
    "ItemDeleteJob?",	//330
    "ItemDeleteJob?#",	//331
    "ItemFetchJob",	//332
    "ItemFetchJob#",	//333
    "ItemFetchJob##",	//334
    "ItemFetchJob?",	//335
    "ItemFetchJob?#",	//336
    "ItemFetchScope",	//337
    "ItemFetchScope#",	//338
    "ItemGetter",	//339
    "ItemIdRole",	//340
    "ItemListHeaders",	//341
    "ItemModel",	//342
    "ItemModel#",	//343
    "ItemModifyJob",	//344
    "ItemModifyJob#",	//345
    "ItemModifyJob##",	//346
    "ItemModifyJob?",	//347
    "ItemModifyJob?#",	//348
    "ItemMonitor",	//349
    "ItemMoveJob",	//350
    "ItemMoveJob##",	//351
    "ItemMoveJob###",	//352
    "ItemMoveJob?#",	//353
    "ItemMoveJob?##",	//354
    "ItemRole",	//355
    "ItemSearchJob",	//356
    "ItemSearchJob#",	//357
    "ItemSearchJob##",	//358
    "ItemSearchJob$",	//359
    "ItemSearchJob$#",	//360
    "ItemSerializerPlugin",	//361
    "ItemSerializerPlugin#",	//362
    "ItemSerializerPluginV2",	//363
    "ItemSerializerPluginV2#",	//364
    "ItemSync",	//365
    "ItemSync#",	//366
    "ItemSync##",	//367
    "ItemView",	//368
    "ItemView#",	//369
    "ItemView##",	//370
    "Items",	//371
    "Job",	//372
    "Job#",	//373
    "Job##",	//374
    "KeepTreeExpanded",	//375
    "Killable",	//376
    "KilledJobError",	//377
    "LastType",	//378
    "LazyPopulation",	//379
    "LeftToRight",	//380
    "LinkJob",	//381
    "LinkJob#?",	//382
    "LinkJob#?#",	//383
    "ListMode",	//384
    "LoadedPartsRole",	//385
    "ManageLocalSubscriptions",	//386
    "MessageBoxAlternativeText",	//387
    "MessageBoxText",	//388
    "MessageBoxTitle",	//389
    "MessageFolderAttribute",	//390
    "MessageFolderAttribute#",	//391
    "MessageModel",	//392
    "MessageModel#",	//393
    "MessageThreaderProxyModel",	//394
    "MessageThreaderProxyModel#",	//395
    "MessageThreadingAttribute",	//396
    "MessageThreadingAttribute#",	//397
    "MimeType",	//398
    "MimeTypeChecker",	//399
    "MimeTypeChecker#",	//400
    "MimeTypeRole",	//401
    "MimeTypesRole",	//402
    "ModifiedCaption",	//403
    "Monitor",	//404
    "Monitor#",	//405
    "Monitor##",	//406
    "MoveCollectionToDialog",	//407
    "MoveCollectionToMenu",	//408
    "MoveCollectionsToTrash",	//409
    "MoveDown",	//410
    "MoveEnd",	//411
    "MoveHome",	//412
    "MoveItemToDialog",	//413
    "MoveItemToMenu",	//414
    "MoveItemsToTrash",	//415
    "MoveLeft",	//416
    "MoveNext",	//417
    "MovePageDown",	//418
    "MovePageUp",	//419
    "MovePrevious",	//420
    "MoveRight",	//421
    "MoveToTrashRestoreCollection",	//422
    "MoveToTrashRestoreCollectionAlternative",	//423
    "MoveToTrashRestoreItem",	//424
    "MoveToTrashRestoreItemAlternative",	//425
    "MoveUp",	//426
    "MultiSelection",	//427
    "MultipleTransactions",	//428
    "Name",	//429
    "NameOrEmail",	//430
    "NextCompletionMatch",	//431
    "NickName",	//432
    "No",	//433
    "NoCapabilities",	//434
    "NoCaptionFlags",	//435
    "NoDefault",	//436
    "NoDragDrop",	//437
    "NoEditTriggers",	//438
    "NoError",	//439
    "NoFrame",	//440
    "NoInsert",	//441
    "NoItemPopulation",	//442
    "NoSelection",	//443
    "NoState",	//444
    "NoTransaction",	//445
    "NonOverlappingRoots",	//446
    "None",	//447
    "NotConfigured",	//448
    "NotRunning",	//449
    "Observer",	//450
    "Observer#",	//451
    "ObserverV2",	//452
    "ObserverV2#",	//453
    "Ok",	//454
    "OldCollectionIdRole",	//455
    "OldCollectionRole",	//456
    "OnItem",	//457
    "OnViewport",	//458
    "OnlineRole",	//459
    "Panel",	//460
    "Parent",	//461
    "ParentCollectionRole",	//462
    "PartFetcher",	//463
    "PartFetcher##",	//464
    "PartFetcher###",	//465
    "Paste",	//466
    "PayloadBase",	//467
    "PayloadBase#",	//468
    "PayloadException",	//469
    "PayloadException#",	//470
    "PayloadException$",	//471
    "PendingCutRole",	//472
    "Plain",	//473
    "PositionAtBottom",	//474
    "PositionAtCenter",	//475
    "PositionAtTop",	//476
    "Prepend",	//477
    "Preprocessor",	//478
    "PreprocessorBase",	//479
    "PreprocessorBase$",	//480
    "PrevCompletionMatch",	//481
    "ProcessingCompleted",	//482
    "ProcessingDelayed",	//483
    "ProcessingFailed",	//484
    "ProcessingRefused",	//485
    "ProgressRole",	//486
    "ProtocolVersionMismatch",	//487
    "Quietly",	//488
    "Raised",	//489
    "ReadOnly",	//490
    "Receiver",	//491
    "Recursive",	//492
    "RecursiveSizeRole",	//493
    "RecursiveStatisticsRole",	//494
    "RecursiveTotalRole",	//495
    "RecursiveUnreadRole",	//496
    "Rejected",	//497
    "RemoteId",	//498
    "RemoteIdRole",	//499
    "RemoveFromFavoriteCollections",	//500
    "RenameFavoriteCollection",	//501
    "Reset",	//502
    "Resource",	//503
    "ResourceBase",	//504
    "ResourceBase$",	//505
    "ResourceProperties",	//506
    "ResourceSynchronizationJob",	//507
    "ResourceSynchronizationJob#",	//508
    "ResourceSynchronizationJob##",	//509
    "RestoreCollectionsFromTrash",	//510
    "RestoreItemsFromTrash",	//511
    "Running",	//512
    "ScrollPerItem",	//513
    "ScrollPerPixel",	//514
    "SearchCreateJob",	//515
    "SearchCreateJob$#",	//516
    "SearchCreateJob$##",	//517
    "SearchCreateJob$$",	//518
    "SearchCreateJob$$#",	//519
    "SelectColumns",	//520
    "SelectItems",	//521
    "SelectRows",	//522
    "SelectedClicked",	//523
    "SelectionProxyModel",	//524
    "SelectionProxyModel#",	//525
    "SelectionProxyModel##",	//526
    "Sender",	//527
    "Server",	//528
    "Session",	//529
    "Session#",	//530
    "Session##",	//531
    "Session###",	//532
    "SessionRole",	//533
    "Shadow_Mask",	//534
    "Shape_Mask",	//535
    "SinglePass",	//536
    "SingleSelection",	//537
    "SingleTransaction",	//538
    "Size",	//539
    "SizeRole",	//540
    "Snap",	//541
    "StandardActionManager",	//542
    "StandardActionManager#",	//543
    "StandardActionManager##",	//544
    "Starting",	//545
    "StartsWithMatch",	//546
    "Static",	//547
    "StatisticsProxyModel",	//548
    "StatisticsProxyModel#",	//549
    "StatisticsRole",	//550
    "StatusMessageRole",	//551
    "StatusRole",	//552
    "Stopping",	//553
    "StyledPanel",	//554
    "SubTreeRoots",	//555
    "SubTrees",	//556
    "SubTreesWithoutRoots",	//557
    "Subject",	//558
    "SubstringCompletion",	//559
    "Sunken",	//560
    "Suspendable",	//561
    "SynchronizeCollections",	//562
    "SynchronizeCollectionsRecursive",	//563
    "SynchronizeFavoriteCollections",	//564
    "SynchronizeResources",	//565
    "Tags",	//566
    "TerminalUserRole",	//567
    "TextCompletion",	//568
    "ToggleWorkOffline",	//569
    "TopToBottom",	//570
    "TotalRole",	//571
    "TransactionBeginJob",	//572
    "TransactionBeginJob#",	//573
    "TransactionCommitJob",	//574
    "TransactionCommitJob#",	//575
    "TransactionRollbackJob",	//576
    "TransactionRollbackJob#",	//577
    "TransactionSequence",	//578
    "TransactionSequence#",	//579
    "TransportFailed",	//580
    "TransportResourceBase",	//581
    "TransportResourceBase#",	//582
    "TransportSucceeded",	//583
    "Try",	//584
    "TypeIdentifierRole",	//585
    "TypeRole",	//586
    "Unknown",	//587
    "UnlinkJob",	//588
    "UnlinkJob#?",	//589
    "UnlinkJob#?#",	//590
    "UnreadCountRole",	//591
    "UnreadRole",	//592
    "UpgradeIndicator",	//593
    "Upgrading",	//594
    "UrlShort",	//595
    "UrlWithMimeType",	//596
    "UrlWithName",	//597
    "User1",	//598
    "User2",	//599
    "User3",	//600
    "UserCanceled",	//601
    "UserDefinedError",	//602
    "UserError",	//603
    "UserHeaders",	//604
    "UserRole",	//605
    "VCardMode",	//606
    "VLine",	//607
    "WinPanel",	//608
    "Yes",	//609
    "_CS_GNU_LIBC_VERSION",	//610
    "_CS_GNU_LIBPTHREAD_VERSION",	//611
    "_CS_LFS64_CFLAGS",	//612
    "_CS_LFS64_LDFLAGS",	//613
    "_CS_LFS64_LIBS",	//614
    "_CS_LFS64_LINTFLAGS",	//615
    "_CS_LFS_CFLAGS",	//616
    "_CS_LFS_LDFLAGS",	//617
    "_CS_LFS_LIBS",	//618
    "_CS_LFS_LINTFLAGS",	//619
    "_CS_PATH",	//620
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//621
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//622
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//623
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//624
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//625
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//626
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//627
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//628
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//629
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//630
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//631
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//632
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//633
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//634
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//635
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//636
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//637
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//638
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//639
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//640
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//641
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//642
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//643
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//644
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//645
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//646
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//647
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//648
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//649
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//650
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//651
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//652
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//653
    "_CS_V6_ENV",	//654
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//655
    "_CS_V7_ENV",	//656
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//657
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//658
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//659
    "_CS_XBS5_ILP32_OFF32_LIBS",	//660
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//661
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//662
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//663
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//664
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//665
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//666
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//667
    "_CS_XBS5_LP64_OFF64_LIBS",	//668
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//669
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//670
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//671
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//672
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//673
    "abortActivity",	//674
    "abortCurrentTask",	//675
    "abortRequested",	//676
    "aboutToQuit",	//677
    "aboutToStart",	//678
    "aboutToStart#",	//679
    "accept",	//680
    "accessRightsFilter",	//681
    "action",	//682
    "action$",	//683
    "actionEvent",	//684
    "actionStateUpdated",	//685
    "activated",	//686
    "activated#",	//687
    "activeIcon",	//688
    "activeIconName",	//689
    "addAttribute",	//690
    "addAttribute#",	//691
    "addCapabilityFilter",	//692
    "addCapabilityFilter$",	//693
    "addCollection",	//694
    "addCollection#",	//695
    "addMimeTypeExclusionFilter",	//696
    "addMimeTypeExclusionFilter$",	//697
    "addMimeTypeExclusionFilters",	//698
    "addMimeTypeExclusionFilters?",	//699
    "addMimeTypeFilter",	//700
    "addMimeTypeFilter$",	//701
    "addMimeTypeFilters",	//702
    "addMimeTypeFilters?",	//703
    "addMimeTypeInclusionFilter",	//704
    "addMimeTypeInclusionFilter$",	//705
    "addMimeTypeInclusionFilters",	//706
    "addMimeTypeInclusionFilters?",	//707
    "addNamespace",	//708
    "addNamespace$",	//709
    "addSubjob",	//710
    "addSubjob#",	//711
    "addWantedMimeType",	//712
    "addWantedMimeType$",	//713
    "addressClicked",	//714
    "addressClicked#",	//715
    "advancedStatus",	//716
    "advancedStatus?",	//717
    "agentFilterProxyModel",	//718
    "agentName",	//719
    "agentNameChanged",	//720
    "agentNameChanged$",	//721
    "agentServiceName",	//722
    "agentServiceName$$",	//723
    "agentType",	//724
    "akonadiItemIdUri",	//725
    "allAttributes",	//726
    "allMonitored",	//727
    "allMonitored$",	//728
    "ancestorRetrieval",	//729
    "apply",	//730
    "apply#",	//731
    "apply##",	//732
    "attribute",	//733
    "attribute#",	//734
    "attributes",	//735
    "attributesSynchronized",	//736
    "attributesSynchronized$",	//737
    "availableParts",	//738
    "availableParts#",	//739
    "availablePayloadMetaTypeIds",	//740
    "availablePayloadParts",	//741
    "backgroundColor",	//742
    "bcc",	//743
    "buddy",	//744
    "cacheOnly",	//745
    "cachePolicy",	//746
    "cacheTimeout",	//747
    "cachedPayloadParts",	//748
    "canFetchMore",	//749
    "canFetchMore#",	//750
    "canHandle",	//751
    "canHandle#",	//752
    "cancelTask",	//753
    "cancelTask$",	//754
    "capabilities",	//755
    "cc",	//756
    "changeCollectionDialogOptions",	//757
    "changeCollectionDialogOptions$",	//758
    "changeCommitted",	//759
    "changeCommitted#",	//760
    "changeEvent",	//761
    "changeProcessed",	//762
    "changeRecorder",	//763
    "changesAdded",	//764
    "changesCommitted",	//765
    "changesCommitted?",	//766
    "checkForCachedPayloadPartsOnly",	//767
    "childEvent",	//768
    "cleanup",	//769
    "clear",	//770
    "clearAndReset",	//771
    "clearAttributes",	//772
    "clearCache",	//773
    "clearFilters",	//774
    "clearFlag",	//775
    "clearFlag#",	//776
    "clearFlags",	//777
    "clearItems",	//778
    "clearPayload",	//779
    "clearTag",	//780
    "clearTag#",	//781
    "clearTags",	//782
    "clicked",	//783
    "clicked#",	//784
    "clone",	//785
    "closeEditor",	//786
    "closeEvent",	//787
    "collection",	//788
    "collectionAdded",	//789
    "collectionAdded##",	//790
    "collectionAttributesRetrieved",	//791
    "collectionAttributesRetrieved#",	//792
    "collectionChanged",	//793
    "collectionChanged#",	//794
    "collectionChanged#?",	//795
    "collectionFetchScope",	//796
    "collectionFetchStrategy",	//797
    "collectionFetched",	//798
    "collectionFetched$",	//799
    "collectionForId",	//800
    "collectionForId?",	//801
    "collectionIds",	//802
    "collectionMonitored",	//803
    "collectionMonitored#$",	//804
    "collectionMoved",	//805
    "collectionMoved###",	//806
    "collectionPopulated",	//807
    "collectionPopulated?",	//808
    "collectionRemoved",	//809
    "collectionRemoved#",	//810
    "collectionStatisticsChanged",	//811
    "collectionStatisticsChanged?#",	//812
    "collectionSubscribed",	//813
    "collectionSubscribed##",	//814
    "collectionTreeFetched",	//815
    "collectionTreeFetched?",	//816
    "collectionTreeOnly",	//817
    "collectionTreeSynchronized",	//818
    "collectionUnsubscribed",	//819
    "collectionUnsubscribed#",	//820
    "collections",	//821
    "collectionsMonitored",	//822
    "collectionsReceived",	//823
    "collectionsReceived?",	//824
    "collectionsRetrievalDone",	//825
    "collectionsRetrieved",	//826
    "collectionsRetrieved?",	//827
    "collectionsRetrievedIncremental",	//828
    "collectionsRetrievedIncremental??",	//829
    "columnCount",	//830
    "columnCount#",	//831
    "commit",	//832
    "commitData",	//833
    "componentData",	//834
    "config",	//835
    "configurationDialogAccepted",	//836
    "configurationDialogRejected",	//837
    "configure",	//838
    "configure#",	//839
    "configure$",	//840
    "connectNotify",	//841
    "connectNotify$",	//842
    "connectToView",	//843
    "connectToView#",	//844
    "contact",	//845
    "contactGroup",	//846
    "contactGroupStored",	//847
    "contactGroupStored#",	//848
    "contactGroups",	//849
    "contactStored",	//850
    "contactStored#",	//851
    "contacts",	//852
    "containsWantedMimeType",	//853
    "containsWantedMimeType?",	//854
    "contentMimeTypes",	//855
    "contextMenuEvent",	//856
    "contextMenuEvent#",	//857
    "count",	//858
    "create",	//859
    "createAction",	//860
    "createAction$",	//861
    "createActionFolderMenu",	//862
    "createActionFolderMenu#$",	//863
    "createAllActions",	//864
    "createAttribute",	//865
    "createAttribute#",	//866
    "createEditor",	//867
    "createIndex",	//868
    "createIndex$$$",	//869
    "createWidget",	//870
    "createWidget#",	//871
    "createdCollection",	//872
    "currentAgentInstance",	//873
    "currentAgentType",	//874
    "currentChanged",	//875
    "currentChanged#",	//876
    "currentChanged##",	//877
    "currentCollection",	//878
    "currentItem",	//879
    "currentValue",	//880
    "customEvent",	//881
    "customProperties",	//882
    "d_func",	//883
    "data",	//884
    "data#",	//885
    "data#$",	//886
    "dataChanged",	//887
    "defaultPageObjectName",	//888
    "defaultPageObjectName$",	//889
    "defaultSession",	//890
    "deferTask",	//891
    "deletedItems",	//892
    "deliveryDone",	//893
    "deliveryOptions",	//894
    "description",	//895
    "deserialize",	//896
    "deserialize#",	//897
    "deserialize###$",	//898
    "destinationCollection",	//899
    "devType",	//900
    "dialPhoneNumber",	//901
    "dialPhoneNumber#",	//902
    "disableAutomaticConflictHandling",	//903
    "disableRevisionCheck",	//904
    "disconnectNotify",	//905
    "displayName",	//906
    "displayText",	//907
    "doHandleResponse",	//908
    "doHandleResponse##",	//909
    "doItemsLayout",	//910
    "doKill",	//911
    "doResume",	//912
    "doSetOnline",	//913
    "doSetOnline$",	//914
    "doStart",	//915
    "doSuspend",	//916
    "done",	//917
    "done$",	//918
    "doubleClicked",	//919
    "doubleClicked#",	//920
    "dragEnterEvent",	//921
    "dragLeaveEvent",	//922
    "dragLeaveEvent#",	//923
    "dragMoveEvent",	//924
    "dragMoveEvent#",	//925
    "drawBranches",	//926
    "drawRow",	//927
    "dropEvent",	//928
    "dropEvent#",	//929
    "dropMimeData",	//930
    "dropMimeData#$$$#",	//931
    "dumpMemoryInfo",	//932
    "dumpMemoryInfoToString",	//933
    "dumpNotificationListToString",	//934
    "dumpResourceToString",	//935
    "dumpSchedulerToString",	//936
    "edit",	//937
    "editor",	//938
    "editorDestroyed",	//939
    "editorEvent",	//940
    "emailClicked",	//941
    "emailClicked$$",	//942
    "emitWriteFinished",	//943
    "enabledChange",	//944
    "enterEvent",	//945
    "entityColumnCount",	//946
    "entityColumnCount$",	//947
    "entityData",	//948
    "entityData#$",	//949
    "entityData#$$",	//950
    "entityHeaderData",	//951
    "entityHeaderData$$$$",	//952
    "entityMatch",	//953
    "entityMatch##$",	//954
    "error",	//955
    "error$",	//956
    "errorString",	//957
    "event",	//958
    "eventFilter",	//959
    "excludeCapabilities",	//960
    "excludeCapabilities$",	//961
    "excludeVirtualCollections",	//962
    "favoriteLabel",	//963
    "favoriteLabel#",	//964
    "fetchAllAttributes",	//965
    "fetchAllAttributes$",	//966
    "fetchAttribute",	//967
    "fetchAttribute#",	//968
    "fetchAttribute#$",	//969
    "fetchChangedOnly",	//970
    "fetchChangedOnly$",	//971
    "fetchChangedSince",	//972
    "fetchCollection",	//973
    "fetchCollection$",	//974
    "fetchCollectionStatistics",	//975
    "fetchCollectionStatistics$",	//976
    "fetchFullPayload",	//977
    "fetchFullPayload$",	//978
    "fetchGid",	//979
    "fetchModificationTime",	//980
    "fetchMore",	//981
    "fetchMore#",	//982
    "fetchPayloadPart",	//983
    "fetchPayloadPart#",	//984
    "fetchPayloadPart#$",	//985
    "fetchRemoteIdentification",	//986
    "fetchScope",	//987
    "fetchTags",	//988
    "filterAcceptsColumn",	//989
    "filterAcceptsColumn$#",	//990
    "filterAcceptsRow",	//991
    "filterAcceptsRow$#",	//992
    "finishProcessing",	//993
    "finishProcessing$",	//994
    "finished",	//995
    "flags",	//996
    "flags#",	//997
    "focusInEvent",	//998
    "focusNextPrevChild",	//999
    "focusOutEvent",	//1000
    "fontChange",	//1001
    "from",	//1002
    "fromUrl",	//1003
    "fromUrl#",	//1004
    "fullPayload",	//1005
    "gid",	//1006
    "groupNameIsValid",	//1007
    "groupNameIsValid$",	//1008
    "hasAttribute",	//1009
    "hasAttribute#",	//1010
    "hasChildren",	//1011
    "hasChildren#",	//1012
    "hasFlag",	//1013
    "hasFlag#",	//1014
    "hasInstanceIdentifier",	//1015
    "hasPayload",	//1016
    "hasTag",	//1017
    "hasTag#",	//1018
    "headerData",	//1019
    "headerData$$",	//1020
    "headerData$$$",	//1021
    "heightForWidth",	//1022
    "hideEvent",	//1023
    "hidePopup",	//1024
    "horizontalOffset",	//1025
    "horizontalScrollbarAction",	//1026
    "horizontalScrollbarValueChanged",	//1027
    "icon",	//1028
    "iconName",	//1029
    "id",	//1030
    "identifier",	//1031
    "ignorePayload",	//1032
    "ignoreRetrievalErrors",	//1033
    "ignoreSession",	//1034
    "ignoreSession#",	//1035
    "includeRootCollection",	//1036
    "includeStatistics",	//1037
    "includeStatistics$",	//1038
    "includeUnsubscribed",	//1039
    "includeUnsubscribed$",	//1040
    "includeUnubscribed",	//1041
    "index",	//1042
    "index$$",	//1043
    "index$$#",	//1044
    "indexAt",	//1045
    "indexForItem",	//1046
    "indexForItem#$",	//1047
    "inheritFromParent",	//1048
    "initStyleOption",	//1049
    "initStyleOption##",	//1050
    "inputMethodEvent",	//1051
    "inputMethodQuery",	//1052
    "insertColumns",	//1053
    "insertRows",	//1054
    "instance",	//1055
    "instance$",	//1056
    "instanceAdded",	//1057
    "instanceAdded#",	//1058
    "instanceError",	//1059
    "instanceError#$",	//1060
    "instanceIdentifier",	//1061
    "instanceNameChanged",	//1062
    "instanceNameChanged#",	//1063
    "instanceOnline",	//1064
    "instanceOnline#$",	//1065
    "instanceProgressChanged",	//1066
    "instanceProgressChanged#",	//1067
    "instanceRemoved",	//1068
    "instanceRemoved#",	//1069
    "instanceStatusChanged",	//1070
    "instanceStatusChanged#",	//1071
    "instanceWarning",	//1072
    "instanceWarning#$",	//1073
    "instances",	//1074
    "interceptAction",	//1075
    "interceptAction$",	//1076
    "interceptAction$$",	//1077
    "intervalCheckTime",	//1078
    "invalidateCache",	//1079
    "invalidateCache#",	//1080
    "isAllMonitored",	//1081
    "isCollectionPopulated",	//1082
    "isCollectionPopulated?",	//1083
    "isCollectionTreeFetched",	//1084
    "isDropActionMenuEnabled",	//1085
    "isEmpty",	//1086
    "isExtraColumnsEnabled",	//1087
    "isIndexHidden",	//1088
    "isManualSortingActive",	//1089
    "isOnline",	//1090
    "isOutboundFolder",	//1091
    "isRecursive",	//1092
    "isRemoteSearchEnabled",	//1093
    "isRunning",	//1094
    "isToolTipEnabled",	//1095
    "isValid",	//1096
    "isVirtual",	//1097
    "isWantedCollection",	//1098
    "isWantedCollection#",	//1099
    "isWantedCollection#$",	//1100
    "isWantedItem",	//1101
    "isWantedItem#",	//1102
    "isWantedItem#$",	//1103
    "isWantedMimeType",	//1104
    "isWantedMimeType$",	//1105
    "item",	//1106
    "itemAdded",	//1107
    "itemAdded##",	//1108
    "itemChanged",	//1109
    "itemChanged#",	//1110
    "itemChanged#?",	//1111
    "itemData",	//1112
    "itemFetchScope",	//1113
    "itemForIndex",	//1114
    "itemForIndex#",	//1115
    "itemLinked",	//1116
    "itemLinked##",	//1117
    "itemMonitored",	//1118
    "itemMonitored#$",	//1119
    "itemMoved",	//1120
    "itemMoved###",	//1121
    "itemPopulationStrategy",	//1122
    "itemRemoved",	//1123
    "itemRemoved#",	//1124
    "itemRetrieved",	//1125
    "itemRetrieved#",	//1126
    "itemSent",	//1127
    "itemSent#$",	//1128
    "itemSent#$$",	//1129
    "itemUnlinked",	//1130
    "itemUnlinked##",	//1131
    "items",	//1132
    "itemsFlagsChanged",	//1133
    "itemsFlagsChanged???",	//1134
    "itemsLinked",	//1135
    "itemsLinked?#",	//1136
    "itemsMonitored",	//1137
    "itemsMonitoredEx",	//1138
    "itemsMoved",	//1139
    "itemsMoved?##",	//1140
    "itemsReceived",	//1141
    "itemsReceived?",	//1142
    "itemsRemoved",	//1143
    "itemsRemoved?",	//1144
    "itemsRetrievalDone",	//1145
    "itemsRetrieved",	//1146
    "itemsRetrieved?",	//1147
    "itemsRetrievedIncremental",	//1148
    "itemsRetrievedIncremental??",	//1149
    "itemsTagsChanged",	//1150
    "itemsTagsChanged???",	//1151
    "itemsUnlinked",	//1152
    "itemsUnlinked?#",	//1153
    "keyPressEvent",	//1154
    "keyReleaseEvent",	//1155
    "keyboardSearch",	//1156
    "languageChange",	//1157
    "leaveEvent",	//1158
    "lessThan",	//1159
    "load",	//1160
    "load#",	//1161
    "loadContact",	//1162
    "loadContact#",	//1163
    "loadContactGroup",	//1164
    "loadContactGroup#",	//1165
    "loadedPayloadParts",	//1166
    "localParts",	//1167
    "makeCompletion",	//1168
    "mapFromSource",	//1169
    "mapFromSource#",	//1170
    "mapSelectionFromSource",	//1171
    "mapSelectionToSource",	//1172
    "mapToSource",	//1173
    "mapToSource#",	//1174
    "match",	//1175
    "match#$#",	//1176
    "match#$#$",	//1177
    "match#$#$$",	//1178
    "maximumValue",	//1179
    "metaObject",	//1180
    "metric",	//1181
    "mimeData",	//1182
    "mimeData?",	//1183
    "mimeType",	//1184
    "mimeTypeExclusionFilters",	//1185
    "mimeTypeFilter",	//1186
    "mimeTypeFilters",	//1187
    "mimeTypeInclusionFilters",	//1188
    "mimeTypeMonitored",	//1189
    "mimeTypeMonitored$$",	//1190
    "mimeTypes",	//1191
    "mimeTypesMonitored",	//1192
    "minimumSizeHint",	//1193
    "modelIndexForCollection",	//1194
    "modelIndexForCollection##",	//1195
    "modelIndexesForItem",	//1196
    "modelIndexesForItem##",	//1197
    "modificationTime",	//1198
    "mouseDoubleClickEvent",	//1199
    "mouseMoveEvent",	//1200
    "mousePressEvent",	//1201
    "mouseReleaseEvent",	//1202
    "moveCursor",	//1203
    "moveEvent",	//1204
    "name",	//1205
    "nameChanged",	//1206
    "nameChanged$",	//1207
    "nothingToReplay",	//1208
    "onlineChanged",	//1209
    "onlineChanged$",	//1210
    "operator!=",	//1211
    "operator!=#",	//1212
    "operator<",	//1213
    "operator<#",	//1214
    "operator=",	//1215
    "operator=#",	//1216
    "operator==",	//1217
    "operator==#",	//1218
    "overridePluginLookup",	//1219
    "overridePluginLookup#",	//1220
    "pageTitle",	//1221
    "paint",	//1222
    "paint###",	//1223
    "paintEngine",	//1224
    "paintEvent",	//1225
    "paletteChange",	//1226
    "parent",	//1227
    "parent#",	//1228
    "parentCollection",	//1229
    "parentRemoteId",	//1230
    "partName",	//1231
    "parts",	//1232
    "parts#",	//1233
    "payloadData",	//1234
    "payloadParts",	//1235
    "percent",	//1236
    "percent$",	//1237
    "perfectParents",	//1238
    "phoneNumberClicked",	//1239
    "phoneNumberClicked#",	//1240
    "processItem",	//1241
    "processItem#",	//1242
    "progress",	//1243
    "progressAnimationEnabled",	//1244
    "progressMessage",	//1245
    "qt_metacall",	//1246
    "qt_metacall$$?",	//1247
    "qt_metacast",	//1248
    "qt_metacast$",	//1249
    "rawContact",	//1250
    "reconfigure",	//1251
    "reconnected",	//1252
    "registerObserver",	//1253
    "registerObserver#",	//1254
    "registerPage",	//1255
    "registerPage#",	//1256
    "reject",	//1257
    "reloadConfiguration",	//1258
    "remoteId",	//1259
    "remoteRevision",	//1260
    "removeAttribute",	//1261
    "removeAttribute#",	//1262
    "removeCollection",	//1263
    "removeCollection#",	//1264
    "removeColumns",	//1265
    "removeInstance",	//1266
    "removeInstance#",	//1267
    "removeRows",	//1268
    "removeSubjob",	//1269
    "removeSubjob#",	//1270
    "removeWantedMimeType",	//1271
    "removeWantedMimeType$",	//1272
    "replayNext",	//1273
    "reset",	//1274
    "resizeEvent",	//1275
    "resource",	//1276
    "resourceMonitored",	//1277
    "resourceMonitored#$",	//1278
    "resourcesMonitored",	//1279
    "restart",	//1280
    "restart#",	//1281
    "restoreState",	//1282
    "restoreState#",	//1283
    "retrieveCollectionAttributes",	//1284
    "retrieveCollectionAttributes#",	//1285
    "retrieveCollections",	//1286
    "retrieveItem",	//1287
    "retrieveItem#?",	//1288
    "retrieveItems",	//1289
    "retrieveItems#",	//1290
    "revert",	//1291
    "revision",	//1292
    "rights",	//1293
    "rollback",	//1294
    "root",	//1295
    "rootCollectionDisplayName",	//1296
    "rowCount",	//1297
    "rowCount#",	//1298
    "rowsAboutToBeRemoved",	//1299
    "rowsInserted",	//1300
    "save",	//1301
    "save#",	//1302
    "saveContact",	//1303
    "saveContactGroup",	//1304
    "saveContactInAddressBook",	//1305
    "saveState",	//1306
    "saveState#",	//1307
    "scheduleCustomTask",	//1308
    "scheduleCustomTask#$#",	//1309
    "scheduleCustomTask#$#$",	//1310
    "scrollContentsBy",	//1311
    "scrollTo",	//1312
    "searchCollections",	//1313
    "searchMimeTypes",	//1314
    "selectAll",	//1315
    "selectedAgentInstances",	//1316
    "selectedCollection",	//1317
    "selectedCollections",	//1318
    "selectedIndexes",	//1319
    "selectedItems",	//1320
    "selectionChanged",	//1321
    "selectionCommand",	//1322
    "selectionMode",	//1323
    "self",	//1324
    "sendEmail",	//1325
    "sendEmail$$",	//1326
    "sendItem",	//1327
    "sendItem#",	//1328
    "sendSms",	//1329
    "sendSms#",	//1330
    "serialize",	//1331
    "serialize###$",	//1332
    "serialized",	//1333
    "serviceName",	//1334
    "serviceName$",	//1335
    "session",	//1336
    "sessionId",	//1337
    "setAccessRightsFilter",	//1338
    "setAccessRightsFilter$",	//1339
    "setActionText",	//1340
    "setActionText$#",	//1341
    "setActiveIconName",	//1342
    "setActiveIconName$",	//1343
    "setAgentName",	//1344
    "setAgentName$",	//1345
    "setAllMonitored",	//1346
    "setAllMonitored$",	//1347
    "setAncestorRetrieval",	//1348
    "setAncestorRetrieval$",	//1349
    "setAutoCompletion",	//1350
    "setAutomaticCommittingEnabled",	//1351
    "setAutomaticCommittingEnabled$",	//1352
    "setAutomaticProgressReporting",	//1353
    "setAutomaticProgressReporting$",	//1354
    "setBackgroundColor",	//1355
    "setBackgroundColor#",	//1356
    "setBcc",	//1357
    "setBcc?",	//1358
    "setCacheOnly",	//1359
    "setCacheOnly$",	//1360
    "setCachePolicy",	//1361
    "setCachePolicy#",	//1362
    "setCacheTimeout",	//1363
    "setCacheTimeout$",	//1364
    "setCachedPayloadParts",	//1365
    "setCachedPayloadParts?",	//1366
    "setCapabilityFilter",	//1367
    "setCapabilityFilter?",	//1368
    "setCaption",	//1369
    "setCc",	//1370
    "setCc?",	//1371
    "setChangeRecordingEnabled",	//1372
    "setChangeRecordingEnabled$",	//1373
    "setCheckForCachedPayloadPartsOnly",	//1374
    "setCheckForCachedPayloadPartsOnly$",	//1375
    "setCollection",	//1376
    "setCollection#",	//1377
    "setCollectionFetchScope",	//1378
    "setCollectionFetchScope#",	//1379
    "setCollectionFetchStrategy",	//1380
    "setCollectionFetchStrategy$",	//1381
    "setCollectionMonitored",	//1382
    "setCollectionMonitored#",	//1383
    "setCollectionMonitored#$",	//1384
    "setCollectionMoveTranslationEnabled",	//1385
    "setCollectionMoveTranslationEnabled$",	//1386
    "setCollectionPropertiesPageNames",	//1387
    "setCollectionPropertiesPageNames?",	//1388
    "setCollectionSelectionModel",	//1389
    "setCollectionSelectionModel#",	//1390
    "setCollectionStreamingEnabled",	//1391
    "setCollectionStreamingEnabled$",	//1392
    "setCollectionTreeOnly",	//1393
    "setCollectionTreeOnly$",	//1394
    "setCollections",	//1395
    "setCollections?",	//1396
    "setCompletedItems",	//1397
    "setCompletedText",	//1398
    "setCompletionMode",	//1399
    "setCompletionObject",	//1400
    "setConfig",	//1401
    "setConfig#",	//1402
    "setContact",	//1403
    "setContact#",	//1404
    "setContactFormatter",	//1405
    "setContactFormatter#",	//1406
    "setContactGroup",	//1407
    "setContactGroup#",	//1408
    "setContactGroupFormatter",	//1409
    "setContactGroupFormatter#",	//1410
    "setContactGroupTemplate",	//1411
    "setContactGroupTemplate#",	//1412
    "setContactTemplate",	//1413
    "setContactTemplate#",	//1414
    "setContentMimeTypes",	//1415
    "setContentMimeTypes?",	//1416
    "setContextMenuEnabled",	//1417
    "setContextText",	//1418
    "setContextText$$#",	//1419
    "setContextText$$$",	//1420
    "setCount",	//1421
    "setCount$",	//1422
    "setCurrentPage",	//1423
    "setCurrentPage$",	//1424
    "setCurrentValue",	//1425
    "setCurrentValue$",	//1426
    "setData",	//1427
    "setData##",	//1428
    "setData##$",	//1429
    "setDefaultAddressBook",	//1430
    "setDefaultAddressBook#",	//1431
    "setDefaultCollection",	//1432
    "setDefaultCollection#",	//1433
    "setDefaultPopupMenu",	//1434
    "setDefaultPopupMenu$",	//1435
    "setDeliveryOption",	//1436
    "setDeliveryOption$",	//1437
    "setDescription",	//1438
    "setDescription$",	//1439
    "setDisplayName",	//1440
    "setDisplayName$",	//1441
    "setDropActionMenuEnabled",	//1442
    "setDropActionMenuEnabled$",	//1443
    "setEditorData",	//1444
    "setExcludeVirtualCollections",	//1445
    "setExcludeVirtualCollections$",	//1446
    "setExtraColumnsEnabled",	//1447
    "setExtraColumnsEnabled$",	//1448
    "setFavoriteCollectionsModel",	//1449
    "setFavoriteCollectionsModel#",	//1450
    "setFavoriteLabel",	//1451
    "setFavoriteLabel#$",	//1452
    "setFavoriteSelectionModel",	//1453
    "setFavoriteSelectionModel#",	//1454
    "setFetchChangedSince",	//1455
    "setFetchChangedSince#",	//1456
    "setFetchGid",	//1457
    "setFetchGid$",	//1458
    "setFetchModificationTime",	//1459
    "setFetchModificationTime$",	//1460
    "setFetchRemoteIdentification",	//1461
    "setFetchRemoteIdentification$",	//1462
    "setFetchScope",	//1463
    "setFetchScope#",	//1464
    "setFetchTags",	//1465
    "setFetchTags$",	//1466
    "setFlag",	//1467
    "setFlag#",	//1468
    "setFlags",	//1469
    "setFlags?",	//1470
    "setFrom",	//1471
    "setFrom$",	//1472
    "setFullPayload",	//1473
    "setFullPayload$",	//1474
    "setFullSyncItems",	//1475
    "setFullSyncItems?",	//1476
    "setGid",	//1477
    "setGid$",	//1478
    "setHandleSignals",	//1479
    "setHeaderData",	//1480
    "setHeaderData$$#",	//1481
    "setHeaderData$$#$",	//1482
    "setHeaderGroup",	//1483
    "setHeaderGroup$",	//1484
    "setHierarchicalRemoteIdentifiersEnabled",	//1485
    "setHierarchicalRemoteIdentifiersEnabled$",	//1486
    "setIconName",	//1487
    "setIconName$",	//1488
    "setId",	//1489
    "setId$",	//1490
    "setIgnoreJobFailure",	//1491
    "setIgnoreJobFailure#",	//1492
    "setIgnorePayload",	//1493
    "setIgnorePayload$",	//1494
    "setIgnoreRetrievalErrors",	//1495
    "setIgnoreRetrievalErrors$",	//1496
    "setIncludeRootCollection",	//1497
    "setIncludeRootCollection$",	//1498
    "setIncludeStatistics",	//1499
    "setIncludeStatistics$",	//1500
    "setIncludeUnsubscribed",	//1501
    "setIncludeUnsubscribed$",	//1502
    "setIncrementalSyncItems",	//1503
    "setIncrementalSyncItems??",	//1504
    "setInheritFromParent",	//1505
    "setInheritFromParent$",	//1506
    "setIntervalCheckTime",	//1507
    "setIntervalCheckTime$",	//1508
    "setIsOnline",	//1509
    "setIsOnline$",	//1510
    "setItem",	//1511
    "setItem#",	//1512
    "setItemData",	//1513
    "setItemFetchScope",	//1514
    "setItemFetchScope#",	//1515
    "setItemMonitored",	//1516
    "setItemMonitored#",	//1517
    "setItemMonitored#$",	//1518
    "setItemPopulationStrategy",	//1519
    "setItemPopulationStrategy$",	//1520
    "setItemSelectionModel",	//1521
    "setItemSelectionModel#",	//1522
    "setItemStreamingEnabled",	//1523
    "setItemStreamingEnabled$",	//1524
    "setItemSynchronizationFetchScope",	//1525
    "setItemSynchronizationFetchScope#",	//1526
    "setItemTransactionMode",	//1527
    "setItemTransactionMode$",	//1528
    "setLimit",	//1529
    "setLimit$",	//1530
    "setLineEdit",	//1531
    "setLocalParts",	//1532
    "setLocalParts?",	//1533
    "setManualSortingActive",	//1534
    "setManualSortingActive$",	//1535
    "setMaximumValue",	//1536
    "setMaximumValue$",	//1537
    "setMimeType",	//1538
    "setMimeType$",	//1539
    "setMimeTypeFilter",	//1540
    "setMimeTypeFilter?",	//1541
    "setMimeTypeMonitored",	//1542
    "setMimeTypeMonitored$",	//1543
    "setMimeTypeMonitored$$",	//1544
    "setMimeTypes",	//1545
    "setMimeTypes?",	//1546
    "setModel",	//1547
    "setModel#",	//1548
    "setModelData",	//1549
    "setModificationTime",	//1550
    "setModificationTime#",	//1551
    "setName",	//1552
    "setName$",	//1553
    "setNeedsNetwork",	//1554
    "setNeedsNetwork$",	//1555
    "setOnline",	//1556
    "setOnline$",	//1557
    "setOutboundFolder",	//1558
    "setOutboundFolder$",	//1559
    "setPageTitle",	//1560
    "setPageTitle$",	//1561
    "setParent",	//1562
    "setParent#",	//1563
    "setParent$",	//1564
    "setParentCollection",	//1565
    "setParentCollection#",	//1566
    "setParentRemoteId",	//1567
    "setParentRemoteId$",	//1568
    "setPayloadFromData",	//1569
    "setPayloadFromData#",	//1570
    "setPerfectParents",	//1571
    "setPerfectParents?",	//1572
    "setPlainCaption",	//1573
    "setProgressAnimationEnabled",	//1574
    "setProgressAnimationEnabled$",	//1575
    "setQuery",	//1576
    "setQuery#",	//1577
    "setQuery$",	//1578
    "setQuery$$",	//1579
    "setQuery$$$",	//1580
    "setQueryLanguage",	//1581
    "setQueryLanguage$",	//1582
    "setRawContact",	//1583
    "setRawContact#",	//1584
    "setReadOnly",	//1585
    "setReadOnly$",	//1586
    "setRecursive",	//1587
    "setRecursive$",	//1588
    "setRemoteId",	//1589
    "setRemoteId$",	//1590
    "setRemoteRevision",	//1591
    "setRemoteRevision$",	//1592
    "setRemoteSearchEnabled",	//1593
    "setRemoteSearchEnabled$",	//1594
    "setResource",	//1595
    "setResource$",	//1596
    "setResourceMonitored",	//1597
    "setResourceMonitored#",	//1598
    "setResourceMonitored#$",	//1599
    "setRevision",	//1600
    "setRevision$",	//1601
    "setRights",	//1602
    "setRights$",	//1603
    "setRootCollectionDisplayName",	//1604
    "setRootCollectionDisplayName$",	//1605
    "setRootIndex",	//1606
    "setSearchCollections",	//1607
    "setSearchCollections?",	//1608
    "setSearchMimeTypes",	//1609
    "setSearchMimeTypes?",	//1610
    "setSelection",	//1611
    "setSelectionMode",	//1612
    "setSelectionMode$",	//1613
    "setSelectionModel",	//1614
    "setSession",	//1615
    "setSession#",	//1616
    "setShowSystemEntities",	//1617
    "setShowSystemEntities$",	//1618
    "setSize",	//1619
    "setSize$",	//1620
    "setSourceModel",	//1621
    "setSourceModel#",	//1622
    "setStatistics",	//1623
    "setStatistics#",	//1624
    "setStreamingEnabled",	//1625
    "setStreamingEnabled$",	//1626
    "setSubjectParents",	//1627
    "setSubjectParents?",	//1628
    "setSyncOnDemand",	//1629
    "setSyncOnDemand$",	//1630
    "setTag",	//1631
    "setTag#",	//1632
    "setTagFetchScope",	//1633
    "setTagFetchScope#",	//1634
    "setTagMonitored",	//1635
    "setTagMonitored#",	//1636
    "setTagMonitored#$",	//1637
    "setTags",	//1638
    "setTags?",	//1639
    "setTemporaryOffline",	//1640
    "setTemporaryOffline$",	//1641
    "setTo",	//1642
    "setTo?",	//1643
    "setToolTipEnabled",	//1644
    "setToolTipEnabled$",	//1645
    "setTotalItems",	//1646
    "setTotalItems$",	//1647
    "setTransactionMode",	//1648
    "setTransactionMode$",	//1649
    "setTypeMonitored",	//1650
    "setTypeMonitored$",	//1651
    "setTypeMonitored$$",	//1652
    "setUnperfectParents",	//1653
    "setUnperfectParents?",	//1654
    "setUnreadCount",	//1655
    "setUnreadCount$",	//1656
    "setUnreadCountShown",	//1657
    "setUnreadCountShown$",	//1658
    "setUpdateGid",	//1659
    "setUpdateGid$",	//1660
    "setUseFolderByDefault",	//1661
    "setUseFolderByDefault$",	//1662
    "setVirtual",	//1663
    "setVirtual$",	//1664
    "setVisible",	//1665
    "setWantedMimeTypes",	//1666
    "setWantedMimeTypes?",	//1667
    "setXmlGuiClient",	//1668
    "setXmlGuiClient#",	//1669
    "setXmlGuiWindow",	//1670
    "setXmlGuiWindow#",	//1671
    "showAddress",	//1672
    "showAddress#",	//1673
    "showEvent",	//1674
    "showPopup",	//1675
    "showSelfTestDialog",	//1676
    "showSelfTestDialog#",	//1677
    "showUrl",	//1678
    "showUrl#",	//1679
    "size",	//1680
    "sizeHint",	//1681
    "sizeHintForColumn",	//1682
    "sizeHintForRow",	//1683
    "slotButtonClicked",	//1684
    "slotButtonClicked$",	//1685
    "slotInfoMessage",	//1686
    "slotResult",	//1687
    "slotResult#",	//1688
    "smsClicked",	//1689
    "smsClicked#",	//1690
    "sort",	//1691
    "span",	//1692
    "start",	//1693
    "start#",	//1694
    "startDrag",	//1695
    "startDrag$",	//1696
    "started",	//1697
    "state",	//1698
    "stateChanged",	//1699
    "stateChanged$",	//1700
    "staticMetaObject",	//1701
    "statistics",	//1702
    "status",	//1703
    "status$",	//1704
    "status$$",	//1705
    "statusMessage",	//1706
    "stop",	//1707
    "stop#",	//1708
    "stopped",	//1709
    "storageCollectionId",	//1710
    "storeContact",	//1711
    "storeContact#",	//1712
    "styleChange",	//1713
    "subjectParents",	//1714
    "submit",	//1715
    "supportedDropActions",	//1716
    "syncOnDemand",	//1717
    "synchronize",	//1718
    "synchronizeCollection",	//1719
    "synchronizeCollection#",	//1720
    "synchronizeCollection#$",	//1721
    "synchronizeCollection$",	//1722
    "synchronizeCollection$$",	//1723
    "synchronizeCollectionAttributes",	//1724
    "synchronizeCollectionAttributes$",	//1725
    "synchronizeCollectionTree",	//1726
    "synchronized",	//1727
    "systemEntitiesShown",	//1728
    "tabletEvent",	//1729
    "tagAdded",	//1730
    "tagAdded#",	//1731
    "tagChanged",	//1732
    "tagChanged#",	//1733
    "tagFetchScope",	//1734
    "tagMonitored",	//1735
    "tagMonitored#$",	//1736
    "tagRemoved",	//1737
    "tagRemoved#",	//1738
    "tags",	//1739
    "tagsMonitored",	//1740
    "taskDone",	//1741
    "timerEvent",	//1742
    "timerEvent#",	//1743
    "title",	//1744
    "to",	//1745
    "tr",	//1746
    "tr$",	//1747
    "tr$$",	//1748
    "tr$$$",	//1749
    "trUtf8",	//1750
    "trUtf8$",	//1751
    "trUtf8$$",	//1752
    "trUtf8$$$",	//1753
    "type",	//1754
    "type$",	//1755
    "typeAdded",	//1756
    "typeAdded#",	//1757
    "typeMonitored",	//1758
    "typeMonitored$$",	//1759
    "typeName",	//1760
    "typeRemoved",	//1761
    "typeRemoved#",	//1762
    "types",	//1763
    "typesMonitored",	//1764
    "unperfectParents",	//1765
    "unreadCount",	//1766
    "unreadCountShown",	//1767
    "updateEditorData",	//1768
    "updateEditorGeometries",	//1769
    "updateEditorGeometry",	//1770
    "updateGeometries",	//1771
    "updateGid",	//1772
    "updateItem",	//1773
    "updateItem##",	//1774
    "updatePalette",	//1775
    "url",	//1776
    "url$",	//1777
    "urlClicked",	//1778
    "urlClicked#",	//1779
    "useDefaultPage",	//1780
    "useDefaultPage$",	//1781
    "useFolderByDefault",	//1782
    "verticalOffset",	//1783
    "verticalScrollbarAction",	//1784
    "verticalScrollbarValueChanged",	//1785
    "view",	//1786
    "viewOptions",	//1787
    "viewer",	//1788
    "viewportEvent",	//1789
    "virtualMimeType",	//1790
    "virtual_hook",	//1791
    "visualRect",	//1792
    "visualRegionForSelection",	//1793
    "wantedMimeTypes",	//1794
    "warning",	//1795
    "warning$",	//1796
    "what",	//1797
    "wheelEvent",	//1798
    "widgetNeedsAkonadi",	//1799
    "widgetNeedsAkonadi#",	//1800
    "winIdForDialogs",	//1801
    "windowActivationChange",	//1802
    "writeFinished",	//1803
    "writeFinished#",	//1804
    "x11Event",	//1805
    "xmlGuiClient",	//1806
    "~AddressAttribute",	//1807
    "~AgentBase",	//1808
    "~AgentFilterProxyModel",	//1809
    "~AgentInstance",	//1810
    "~AgentInstanceCreateJob",	//1811
    "~AgentInstanceModel",	//1812
    "~AgentInstanceWidget",	//1813
    "~AgentManager",	//1814
    "~AgentType",	//1815
    "~AgentTypeDialog",	//1816
    "~AgentTypeModel",	//1817
    "~AgentTypeWidget",	//1818
    "~Attribute",	//1819
    "~AttributeFactory",	//1820
    "~CachePolicy",	//1821
    "~ChangeRecorder",	//1822
    "~Collection",	//1823
    "~CollectionComboBox",	//1824
    "~CollectionCopyJob",	//1825
    "~CollectionCreateJob",	//1826
    "~CollectionDeleteJob",	//1827
    "~CollectionDialog",	//1828
    "~CollectionFetchJob",	//1829
    "~CollectionFetchScope",	//1830
    "~CollectionFilterProxyModel",	//1831
    "~CollectionModel",	//1832
    "~CollectionModifyJob",	//1833
    "~CollectionMoveJob",	//1834
    "~CollectionPropertiesDialog",	//1835
    "~CollectionPropertiesPage",	//1836
    "~CollectionPropertiesPageFactory",	//1837
    "~CollectionQuotaAttribute",	//1838
    "~CollectionRequester",	//1839
    "~CollectionStatistics",	//1840
    "~CollectionStatisticsDelegate",	//1841
    "~CollectionStatisticsJob",	//1842
    "~CollectionStatisticsModel",	//1843
    "~CollectionView",	//1844
    "~ContactDefaultActions",	//1845
    "~ContactEditor",	//1846
    "~ContactEditorDialog",	//1847
    "~ContactEditorPagePlugin",	//1848
    "~ContactGroupEditor",	//1849
    "~ContactGroupEditorDialog",	//1850
    "~ContactGroupExpandJob",	//1851
    "~ContactGroupSearchJob",	//1852
    "~ContactGroupViewer",	//1853
    "~ContactGroupViewerDialog",	//1854
    "~ContactSearchJob",	//1855
    "~ContactViewer",	//1856
    "~ContactViewerDialog",	//1857
    "~Control",	//1858
    "~Entity",	//1859
    "~EntityDisplayAttribute",	//1860
    "~EntityHiddenAttribute",	//1861
    "~EntityListView",	//1862
    "~EntityMimeTypeFilterModel",	//1863
    "~EntityTreeModel",	//1864
    "~EntityTreeView",	//1865
    "~EntityTreeViewStateSaver",	//1866
    "~Exception",	//1867
    "~FavoriteCollectionsModel",	//1868
    "~Item",	//1869
    "~ItemCopyJob",	//1870
    "~ItemCreateJob",	//1871
    "~ItemDeleteJob",	//1872
    "~ItemFetchJob",	//1873
    "~ItemFetchScope",	//1874
    "~ItemModel",	//1875
    "~ItemModifyJob",	//1876
    "~ItemMonitor",	//1877
    "~ItemMoveJob",	//1878
    "~ItemSearchJob",	//1879
    "~ItemSerializerPlugin",	//1880
    "~ItemSerializerPluginV2",	//1881
    "~ItemSync",	//1882
    "~ItemView",	//1883
    "~Job",	//1884
    "~LinkJob",	//1885
    "~MessageFolderAttribute",	//1886
    "~MessageModel",	//1887
    "~MessageThreaderProxyModel",	//1888
    "~MessageThreadingAttribute",	//1889
    "~MimeTypeChecker",	//1890
    "~Monitor",	//1891
    "~Observer",	//1892
    "~ObserverV2",	//1893
    "~PartFetcher",	//1894
    "~PayloadBase",	//1895
    "~PayloadException",	//1896
    "~PreprocessorBase",	//1897
    "~ResourceBase",	//1898
    "~ResourceSynchronizationJob",	//1899
    "~SearchCreateJob",	//1900
    "~SelectionProxyModel",	//1901
    "~ServerManager",	//1902
    "~Session",	//1903
    "~StandardActionManager",	//1904
    "~StatisticsProxyModel",	//1905
    "~TransactionBeginJob",	//1906
    "~TransactionCommitJob",	//1907
    "~TransactionRollbackJob",	//1908
    "~TransactionSequence",	//1909
    "~TransportResourceBase",	//1910
    "~UnlinkJob",	//1911
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 5, 1, 4, Smoke::mf_ctor, 4, 1},	//1 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&, const QStringList&)
    {4, 785, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 4, 2},	//2 Akonadi::AddressAttribute::clone() const
    {4, 1754, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 3},	//3 Akonadi::AddressAttribute::type() const
    {4, 1333, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 4},	//4 Akonadi::AddressAttribute::serialized() const
    {4, 896, 6, 1, Smoke::mf_virtual, 0, 5},	//5 Akonadi::AddressAttribute::deserialize(const QByteArray&)
    {4, 1002, 0, 0, Smoke::mf_const, 291, 6},	//6 Akonadi::AddressAttribute::from() const
    {4, 1471, 8, 1, 0, 0, 7},	//7 Akonadi::AddressAttribute::setFrom(const QString&)
    {4, 1745, 0, 0, Smoke::mf_const, 292, 8},	//8 Akonadi::AddressAttribute::to() const
    {4, 1642, 10, 1, 0, 0, 9},	//9 Akonadi::AddressAttribute::setTo(const QStringList&)
    {4, 756, 0, 0, Smoke::mf_const, 292, 10},	//10 Akonadi::AddressAttribute::cc() const
    {4, 1370, 10, 1, 0, 0, 11},	//11 Akonadi::AddressAttribute::setCc(const QStringList&)
    {4, 743, 0, 0, Smoke::mf_const, 292, 12},	//12 Akonadi::AddressAttribute::bcc() const
    {4, 1357, 10, 1, 0, 0, 13},	//13 Akonadi::AddressAttribute::setBcc(const QStringList&)
    {4, 5, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 14},	//14 Akonadi::AddressAttribute::AddressAttribute(const Akonadi::AddressAttribute&)
    {4, 5, 0, 0, Smoke::mf_ctor, 4, 15},	//15 Akonadi::AddressAttribute::AddressAttribute()
    {4, 5, 8, 1, Smoke::mf_ctor, 4, 16},	//16 Akonadi::AddressAttribute::AddressAttribute(const QString&)
    {4, 5, 14, 2, Smoke::mf_ctor, 4, 17},	//17 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&)
    {4, 5, 17, 3, Smoke::mf_ctor, 4, 18},	//18 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&)
    {4, 1807, 0, 0, Smoke::mf_dtor, 0, 19 },	//19 Akonadi::AddressAttribute::~AddressAttribute()
    {5, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//20 Akonadi::AgentBase::metaObject() const
    {5, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//21 Akonadi::AgentBase::qt_metacast(const char*)
    {5, 1746, 23, 2, Smoke::mf_static, 291, 3},	//22 Akonadi::AgentBase::tr(const char*, const char*)
    {5, 1750, 23, 2, Smoke::mf_static, 291, 4},	//23 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {5, 1746, 26, 3, Smoke::mf_static, 291, 5},	//24 Akonadi::AgentBase::tr(const char*, const char*, int)
    {5, 1750, 26, 3, Smoke::mf_static, 291, 6},	//25 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {5, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//26 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {5, 1703, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 475, 8},	//27 Akonadi::AgentBase::status() const
    {5, 1706, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 291, 9},	//28 Akonadi::AgentBase::statusMessage() const
    {5, 1243, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 475, 10},	//29 Akonadi::AgentBase::progress() const
    {5, 1245, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 291, 11},	//30 Akonadi::AgentBase::progressMessage() const
    {5, 838, 34, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//31 Akonadi::AgentBase::configure(WId)
    {5, 1801, 0, 0, Smoke::mf_const, 482, 13},	//32 Akonadi::AgentBase::winIdForDialogs() const
    {5, 1031, 0, 0, Smoke::mf_const, 291, 14},	//33 Akonadi::AgentBase::identifier() const
    {5, 769, 0, 0, Smoke::mf_virtual, 0, 15},	//34 Akonadi::AgentBase::cleanup()
    {5, 1253, 36, 1, 0, 0, 16},	//35 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {5, 1344, 8, 1, 0, 0, 17},	//36 Akonadi::AgentBase::setAgentName(const QString&)
    {5, 719, 0, 0, Smoke::mf_const, 291, 18},	//37 Akonadi::AgentBase::agentName() const
    {5, 834, 0, 0, Smoke::mf_static, 203, 19},	//38 Akonadi::AgentBase::componentData()
    {5, 720, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//39 Akonadi::AgentBase::agentNameChanged(const QString&)
    {5, 1703, 38, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//40 Akonadi::AgentBase::status(int, const QString&)
    {5, 1236, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//41 Akonadi::AgentBase::percent(int)
    {5, 1795, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//42 Akonadi::AgentBase::warning(const QString&)
    {5, 955, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//43 Akonadi::AgentBase::error(const QString&)
    {5, 716, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//44 Akonadi::AgentBase::advancedStatus(const QVariantMap&)
    {5, 676, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//45 Akonadi::AgentBase::abortRequested()
    {5, 1258, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//46 Akonadi::AgentBase::reloadConfiguration()
    {5, 1209, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//47 Akonadi::AgentBase::onlineChanged(bool)
    {5, 836, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//48 Akonadi::AgentBase::configurationDialogAccepted()
    {5, 837, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//49 Akonadi::AgentBase::configurationDialogRejected()
    {5, 18, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 31},	//50 Akonadi::AgentBase::AgentBase(const QString&)
    {5, 677, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//51 Akonadi::AgentBase::aboutToQuit()
    {5, 763, 0, 0, Smoke::mf_const|Smoke::mf_protected, 32, 33},	//52 Akonadi::AgentBase::changeRecorder() const
    {5, 835, 0, 0, Smoke::mf_protected, 211, 34},	//53 Akonadi::AgentBase::config()
    {5, 762, 0, 0, Smoke::mf_protected, 0, 35},	//54 Akonadi::AgentBase::changeProcessed()
    {5, 1090, 0, 0, Smoke::mf_const|Smoke::mf_protected, 383, 36},	//55 Akonadi::AgentBase::isOnline() const
    {5, 1554, 45, 1, Smoke::mf_protected, 0, 37},	//56 Akonadi::AgentBase::setNeedsNetwork(bool)
    {5, 1556, 45, 1, Smoke::mf_protected, 0, 38},	//57 Akonadi::AgentBase::setOnline(bool)
    {5, 1640, 41, 1, Smoke::mf_protected, 0, 39},	//58 Akonadi::AgentBase::setTemporaryOffline(int)
    {5, 18, 47, 2, Smoke::mf_ctor|Smoke::mf_protected, 5, 40},	//59 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {5, 913, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//60 Akonadi::AgentBase::doSetOnline(bool)
    {5, 1746, 21, 1, Smoke::mf_static, 291, 42},	//61 Akonadi::AgentBase::tr(const char*)
    {5, 1750, 21, 1, Smoke::mf_static, 291, 43},	//62 Akonadi::AgentBase::trUtf8(const char*)
    {5, 1703, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//63 Akonadi::AgentBase::status(int)
    {5, 1640, 0, 0, Smoke::mf_protected, 0, 45},	//64 Akonadi::AgentBase::setTemporaryOffline()
    {5, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 46},	//65 Akonadi::AgentBase::staticMetaObject() const
    {5, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 47},	//66 Akonadi::AgentBase::Idle (enum)
    {5, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 48},	//67 Akonadi::AgentBase::Running (enum)
    {5, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 49},	//68 Akonadi::AgentBase::Broken (enum)
    {5, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 50},	//69 Akonadi::AgentBase::NotConfigured (enum)
    {5, 1808, 0, 0, Smoke::mf_dtor, 0, 51 },	//70 Akonadi::AgentBase::~AgentBase()
    {6, 450, 0, 0, Smoke::mf_ctor, 6, 1},	//71 Akonadi::AgentBase::Observer::Observer()
    {6, 1107, 50, 2, Smoke::mf_virtual, 0, 2},	//72 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {6, 1109, 53, 2, Smoke::mf_virtual, 0, 3},	//73 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {6, 1123, 56, 1, Smoke::mf_virtual, 0, 4},	//74 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {6, 789, 58, 2, Smoke::mf_virtual, 0, 5},	//75 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {6, 793, 61, 1, Smoke::mf_virtual, 0, 6},	//76 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {6, 809, 61, 1, Smoke::mf_virtual, 0, 7},	//77 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {6, 450, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 6, 8},	//78 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {6, 1892, 0, 0, Smoke::mf_dtor, 0, 9 },	//79 Akonadi::AgentBase::Observer::~Observer()
    {7, 793, 61, 1, Smoke::mf_virtual, 0, 1},	//80 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {7, 1120, 65, 3, Smoke::mf_virtual, 0, 2},	//81 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 1116, 50, 2, Smoke::mf_virtual, 0, 3},	//82 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 1130, 50, 2, Smoke::mf_virtual, 0, 4},	//83 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 805, 69, 3, Smoke::mf_virtual, 0, 5},	//84 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 793, 73, 2, Smoke::mf_virtual, 0, 6},	//85 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {7, 452, 0, 0, Smoke::mf_ctor, 7, 7},	//86 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {7, 452, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 8},	//87 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {7, 1893, 0, 0, Smoke::mf_dtor, 0, 9 },	//88 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {9, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//89 Akonadi::AgentFilterProxyModel::metaObject() const
    {9, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//90 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {9, 1746, 23, 2, Smoke::mf_static, 291, 3},	//91 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {9, 1750, 23, 2, Smoke::mf_static, 291, 4},	//92 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {9, 1746, 26, 3, Smoke::mf_static, 291, 5},	//93 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {9, 1750, 26, 3, Smoke::mf_static, 291, 6},	//94 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {9, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//95 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {9, 21, 78, 1, Smoke::mf_ctor, 10, 8},	//96 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {9, 700, 8, 1, 0, 0, 9},	//97 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {9, 692, 8, 1, 0, 0, 10},	//98 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {9, 774, 0, 0, 0, 0, 11},	//99 Akonadi::AgentFilterProxyModel::clearFilters()
    {9, 960, 8, 1, 0, 0, 12},	//100 Akonadi::AgentFilterProxyModel::excludeCapabilities(const QString&)
    {9, 991, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 383, 13},	//101 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {9, 1746, 21, 1, Smoke::mf_static, 291, 14},	//102 Akonadi::AgentFilterProxyModel::tr(const char*)
    {9, 1750, 21, 1, Smoke::mf_static, 291, 15},	//103 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {9, 21, 0, 0, Smoke::mf_ctor, 10, 16},	//104 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {9, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//105 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {9, 1809, 0, 0, Smoke::mf_dtor, 0, 18 },	//106 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {10, 23, 0, 0, Smoke::mf_ctor, 13, 1},	//107 Akonadi::AgentInstance::AgentInstance()
    {10, 23, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//108 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {10, 1096, 0, 0, Smoke::mf_const, 383, 3},	//109 Akonadi::AgentInstance::isValid() const
    {10, 1754, 0, 0, Smoke::mf_const, 20, 4},	//110 Akonadi::AgentInstance::type() const
    {10, 1031, 0, 0, Smoke::mf_const, 291, 5},	//111 Akonadi::AgentInstance::identifier() const
    {10, 1205, 0, 0, Smoke::mf_const, 291, 6},	//112 Akonadi::AgentInstance::name() const
    {10, 1552, 8, 1, 0, 0, 7},	//113 Akonadi::AgentInstance::setName(const QString&)
    {10, 1703, 0, 0, Smoke::mf_const, 14, 8},	//114 Akonadi::AgentInstance::status() const
    {10, 1706, 0, 0, Smoke::mf_const, 291, 9},	//115 Akonadi::AgentInstance::statusMessage() const
    {10, 1243, 0, 0, Smoke::mf_const, 475, 10},	//116 Akonadi::AgentInstance::progress() const
    {10, 1090, 0, 0, Smoke::mf_const, 383, 11},	//117 Akonadi::AgentInstance::isOnline() const
    {10, 1509, 45, 1, 0, 0, 12},	//118 Akonadi::AgentInstance::setIsOnline(bool)
    {10, 838, 85, 1, 0, 0, 13},	//119 Akonadi::AgentInstance::configure(QWidget*)
    {10, 1718, 0, 0, 0, 0, 14},	//120 Akonadi::AgentInstance::synchronize()
    {10, 1726, 0, 0, 0, 0, 15},	//121 Akonadi::AgentInstance::synchronizeCollectionTree()
    {10, 1215, 83, 1, 0, 12, 16},	//122 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {10, 1217, 83, 1, Smoke::mf_const, 383, 17},	//123 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {10, 675, 0, 0, Smoke::mf_const, 0, 18},	//124 Akonadi::AgentInstance::abortCurrentTask() const
    {10, 1251, 0, 0, Smoke::mf_const, 0, 19},	//125 Akonadi::AgentInstance::reconfigure() const
    {10, 1280, 0, 0, Smoke::mf_const, 0, 20},	//126 Akonadi::AgentInstance::restart() const
    {10, 838, 0, 0, 0, 0, 21},	//127 Akonadi::AgentInstance::configure()
    {10, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 22},	//128 Akonadi::AgentInstance::Idle (enum)
    {10, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 23},	//129 Akonadi::AgentInstance::Running (enum)
    {10, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 24},	//130 Akonadi::AgentInstance::Broken (enum)
    {10, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 25},	//131 Akonadi::AgentInstance::NotConfigured (enum)
    {10, 1810, 0, 0, Smoke::mf_dtor, 0, 26 },	//132 Akonadi::AgentInstance::~AgentInstance()
    {11, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//133 Akonadi::AgentInstanceCreateJob::metaObject() const
    {11, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//134 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {11, 1746, 23, 2, Smoke::mf_static, 291, 3},	//135 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {11, 1750, 23, 2, Smoke::mf_static, 291, 4},	//136 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {11, 1746, 26, 3, Smoke::mf_static, 291, 5},	//137 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {11, 1750, 26, 3, Smoke::mf_static, 291, 6},	//138 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {11, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//139 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {11, 25, 87, 2, Smoke::mf_ctor, 15, 8},	//140 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {11, 25, 90, 2, Smoke::mf_ctor, 15, 9},	//141 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&, QObject*)
    {11, 838, 85, 1, 0, 0, 10},	//142 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {11, 1055, 0, 0, Smoke::mf_const, 11, 11},	//143 Akonadi::AgentInstanceCreateJob::instance() const
    {11, 1693, 0, 0, Smoke::mf_virtual, 0, 12},	//144 Akonadi::AgentInstanceCreateJob::start()
    {11, 1746, 21, 1, Smoke::mf_static, 291, 13},	//145 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {11, 1750, 21, 1, Smoke::mf_static, 291, 14},	//146 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {11, 25, 93, 1, Smoke::mf_ctor, 15, 15},	//147 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {11, 25, 8, 1, Smoke::mf_ctor, 15, 16},	//148 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&)
    {11, 838, 0, 0, 0, 0, 17},	//149 Akonadi::AgentInstanceCreateJob::configure()
    {11, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//150 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {11, 1811, 0, 0, Smoke::mf_dtor, 0, 19 },	//151 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {12, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//152 Akonadi::AgentInstanceModel::metaObject() const
    {12, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//153 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {12, 1746, 23, 2, Smoke::mf_static, 291, 3},	//154 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {12, 1750, 23, 2, Smoke::mf_static, 291, 4},	//155 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {12, 1746, 26, 3, Smoke::mf_static, 291, 5},	//156 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {12, 1750, 26, 3, Smoke::mf_static, 291, 6},	//157 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {12, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//158 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {12, 30, 78, 1, Smoke::mf_ctor, 16, 8},	//159 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {12, 830, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 9},	//160 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {12, 1297, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 10},	//161 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {12, 884, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 301, 11},	//162 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {12, 1019, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 301, 12},	//163 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {12, 1042, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 274, 13},	//164 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {12, 1227, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 14},	//165 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {12, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 15},	//166 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {12, 1427, 108, 3, Smoke::mf_virtual, 383, 16},	//167 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {12, 1746, 21, 1, Smoke::mf_static, 291, 17},	//168 Akonadi::AgentInstanceModel::tr(const char*)
    {12, 1750, 21, 1, Smoke::mf_static, 291, 18},	//169 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {12, 30, 0, 0, Smoke::mf_ctor, 16, 19},	//170 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {12, 830, 0, 0, Smoke::mf_const, 475, 20},	//171 Akonadi::AgentInstanceModel::columnCount() const
    {12, 1297, 0, 0, Smoke::mf_const, 475, 21},	//172 Akonadi::AgentInstanceModel::rowCount() const
    {12, 884, 95, 1, Smoke::mf_const, 301, 22},	//173 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {12, 1019, 112, 2, Smoke::mf_const, 301, 23},	//174 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {12, 1042, 115, 2, Smoke::mf_const, 274, 24},	//175 Akonadi::AgentInstanceModel::index(int, int) const
    {12, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 25},	//176 Akonadi::AgentInstanceModel::staticMetaObject() const
    {12, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 26},	//177 Akonadi::AgentInstanceModel::TypeRole (enum)
    {12, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//178 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {12, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 28},	//179 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {12, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 29},	//180 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {12, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 30},	//181 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {12, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 31},	//182 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {12, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 32},	//183 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {12, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 33},	//184 Akonadi::AgentInstanceModel::StatusRole (enum)
    {12, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 34},	//185 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {12, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 35},	//186 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {12, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 36},	//187 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {12, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 37},	//188 Akonadi::AgentInstanceModel::UserRole (enum)
    {12, 1812, 0, 0, Smoke::mf_dtor, 0, 38 },	//189 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {13, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//190 Akonadi::AgentInstanceWidget::metaObject() const
    {13, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//191 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {13, 1746, 23, 2, Smoke::mf_static, 291, 3},	//192 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {13, 1750, 23, 2, Smoke::mf_static, 291, 4},	//193 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {13, 1746, 26, 3, Smoke::mf_static, 291, 5},	//194 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {13, 1750, 26, 3, Smoke::mf_static, 291, 6},	//195 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {13, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//196 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {13, 32, 85, 1, Smoke::mf_ctor, 18, 8},	//197 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {13, 873, 0, 0, Smoke::mf_const, 11, 9},	//198 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {13, 1316, 0, 0, Smoke::mf_const, 258, 10},	//199 Akonadi::AgentInstanceWidget::selectedAgentInstances() const
    {13, 718, 0, 0, Smoke::mf_const, 10, 11},	//200 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {13, 1786, 0, 0, Smoke::mf_const, 217, 12},	//201 Akonadi::AgentInstanceWidget::view() const
    {13, 875, 118, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//202 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {13, 919, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//203 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {13, 783, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//204 Akonadi::AgentInstanceWidget::clicked(const Akonadi::AgentInstance&)
    {13, 1746, 21, 1, Smoke::mf_static, 291, 16},	//205 Akonadi::AgentInstanceWidget::tr(const char*)
    {13, 1750, 21, 1, Smoke::mf_static, 291, 17},	//206 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {13, 32, 0, 0, Smoke::mf_ctor, 18, 18},	//207 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {13, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 19},	//208 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {13, 1813, 0, 0, Smoke::mf_dtor, 0, 20 },	//209 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {14, 1180, 0, 0, Smoke::mf_const, 454, 1},	//210 Akonadi::AgentManager::metaObject() const
    {14, 1248, 21, 1, 0, 483, 2},	//211 Akonadi::AgentManager::qt_metacast(const char*)
    {14, 1746, 23, 2, Smoke::mf_static, 291, 3},	//212 Akonadi::AgentManager::tr(const char*, const char*)
    {14, 1750, 23, 2, Smoke::mf_static, 291, 4},	//213 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {14, 1746, 26, 3, Smoke::mf_static, 291, 5},	//214 Akonadi::AgentManager::tr(const char*, const char*, int)
    {14, 1750, 26, 3, Smoke::mf_static, 291, 6},	//215 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {14, 1246, 30, 3, 0, 475, 7},	//216 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {14, 1324, 0, 0, Smoke::mf_static, 19, 8},	//217 Akonadi::AgentManager::self()
    {14, 1763, 0, 0, Smoke::mf_const, 259, 9},	//218 Akonadi::AgentManager::types() const
    {14, 1754, 8, 1, Smoke::mf_const, 20, 10},	//219 Akonadi::AgentManager::type(const QString&) const
    {14, 1074, 0, 0, Smoke::mf_const, 258, 11},	//220 Akonadi::AgentManager::instances() const
    {14, 1055, 8, 1, Smoke::mf_const, 11, 12},	//221 Akonadi::AgentManager::instance(const QString&) const
    {14, 1266, 83, 1, 0, 0, 13},	//222 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {14, 1719, 61, 1, 0, 0, 14},	//223 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {14, 1719, 121, 2, 0, 0, 15},	//224 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&, bool)
    {14, 1756, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//225 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {14, 1761, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//226 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {14, 1057, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//227 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {14, 1068, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//228 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {14, 1070, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//229 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {14, 1066, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//230 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {14, 1062, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//231 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {14, 1059, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//232 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {14, 1072, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//233 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {14, 1064, 127, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//234 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {14, 1746, 21, 1, Smoke::mf_static, 291, 26},	//235 Akonadi::AgentManager::tr(const char*)
    {14, 1750, 21, 1, Smoke::mf_static, 291, 27},	//236 Akonadi::AgentManager::trUtf8(const char*)
    {14, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 28},	//237 Akonadi::AgentManager::staticMetaObject() const
    {14, 1814, 0, 0, Smoke::mf_dtor, 0, 29 },	//238 Akonadi::AgentManager::~AgentManager()
    {15, 34, 0, 0, Smoke::mf_ctor, 22, 1},	//239 Akonadi::AgentType::AgentType()
    {15, 34, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//240 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {15, 1096, 0, 0, Smoke::mf_const, 383, 3},	//241 Akonadi::AgentType::isValid() const
    {15, 1031, 0, 0, Smoke::mf_const, 291, 4},	//242 Akonadi::AgentType::identifier() const
    {15, 1205, 0, 0, Smoke::mf_const, 291, 5},	//243 Akonadi::AgentType::name() const
    {15, 895, 0, 0, Smoke::mf_const, 291, 6},	//244 Akonadi::AgentType::description() const
    {15, 1029, 0, 0, Smoke::mf_const, 291, 7},	//245 Akonadi::AgentType::iconName() const
    {15, 1028, 0, 0, Smoke::mf_const, 250, 8},	//246 Akonadi::AgentType::icon() const
    {15, 1191, 0, 0, Smoke::mf_const, 292, 9},	//247 Akonadi::AgentType::mimeTypes() const
    {15, 755, 0, 0, Smoke::mf_const, 292, 10},	//248 Akonadi::AgentType::capabilities() const
    {15, 882, 0, 0, Smoke::mf_const, 269, 11},	//249 Akonadi::AgentType::customProperties() const
    {15, 1215, 93, 1, 0, 21, 12},	//250 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {15, 1217, 93, 1, Smoke::mf_const, 383, 13},	//251 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {15, 1815, 0, 0, Smoke::mf_dtor, 0, 14 },	//252 Akonadi::AgentType::~AgentType()
    {16, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//253 Akonadi::AgentTypeDialog::metaObject() const
    {16, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//254 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {16, 1746, 23, 2, Smoke::mf_static, 291, 3},	//255 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {16, 1750, 23, 2, Smoke::mf_static, 291, 4},	//256 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {16, 1746, 26, 3, Smoke::mf_static, 291, 5},	//257 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {16, 1750, 26, 3, Smoke::mf_static, 291, 6},	//258 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {16, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//259 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {16, 36, 85, 1, Smoke::mf_ctor, 23, 8},	//260 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {16, 724, 0, 0, Smoke::mf_const, 20, 9},	//261 Akonadi::AgentTypeDialog::agentType() const
    {16, 718, 0, 0, Smoke::mf_const, 10, 10},	//262 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {16, 917, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//263 Akonadi::AgentTypeDialog::done(int)
    {16, 1746, 21, 1, Smoke::mf_static, 291, 12},	//264 Akonadi::AgentTypeDialog::tr(const char*)
    {16, 1750, 21, 1, Smoke::mf_static, 291, 13},	//265 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {16, 36, 0, 0, Smoke::mf_ctor, 23, 14},	//266 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {16, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//267 Akonadi::AgentTypeDialog::staticMetaObject() const
    {16, 1816, 0, 0, Smoke::mf_dtor, 0, 16 },	//268 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {17, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//269 Akonadi::AgentTypeModel::metaObject() const
    {17, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//270 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {17, 1746, 23, 2, Smoke::mf_static, 291, 3},	//271 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {17, 1750, 23, 2, Smoke::mf_static, 291, 4},	//272 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {17, 1746, 26, 3, Smoke::mf_static, 291, 5},	//273 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {17, 1750, 26, 3, Smoke::mf_static, 291, 6},	//274 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {17, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//275 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {17, 38, 78, 1, Smoke::mf_ctor, 24, 8},	//276 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {17, 830, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 9},	//277 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {17, 1297, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 10},	//278 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {17, 884, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 301, 11},	//279 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {17, 1042, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 274, 12},	//280 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {17, 1227, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 13},	//281 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {17, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 14},	//282 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {17, 1746, 21, 1, Smoke::mf_static, 291, 15},	//283 Akonadi::AgentTypeModel::tr(const char*)
    {17, 1750, 21, 1, Smoke::mf_static, 291, 16},	//284 Akonadi::AgentTypeModel::trUtf8(const char*)
    {17, 38, 0, 0, Smoke::mf_ctor, 24, 17},	//285 Akonadi::AgentTypeModel::AgentTypeModel()
    {17, 830, 0, 0, Smoke::mf_const, 475, 18},	//286 Akonadi::AgentTypeModel::columnCount() const
    {17, 1297, 0, 0, Smoke::mf_const, 475, 19},	//287 Akonadi::AgentTypeModel::rowCount() const
    {17, 884, 95, 1, Smoke::mf_const, 301, 20},	//288 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {17, 1042, 115, 2, Smoke::mf_const, 274, 21},	//289 Akonadi::AgentTypeModel::index(int, int) const
    {17, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//290 Akonadi::AgentTypeModel::staticMetaObject() const
    {17, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 23},	//291 Akonadi::AgentTypeModel::TypeRole (enum)
    {17, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 24},	//292 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {17, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 25},	//293 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {17, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 26},	//294 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {17, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 27},	//295 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {17, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 28},	//296 Akonadi::AgentTypeModel::UserRole (enum)
    {17, 1817, 0, 0, Smoke::mf_dtor, 0, 29 },	//297 Akonadi::AgentTypeModel::~AgentTypeModel()
    {18, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//298 Akonadi::AgentTypeWidget::metaObject() const
    {18, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//299 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {18, 1746, 23, 2, Smoke::mf_static, 291, 3},	//300 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {18, 1750, 23, 2, Smoke::mf_static, 291, 4},	//301 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {18, 1746, 26, 3, Smoke::mf_static, 291, 5},	//302 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {18, 1750, 26, 3, Smoke::mf_static, 291, 6},	//303 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {18, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//304 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {18, 40, 85, 1, Smoke::mf_ctor, 26, 8},	//305 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {18, 874, 0, 0, Smoke::mf_const, 20, 9},	//306 Akonadi::AgentTypeWidget::currentAgentType() const
    {18, 718, 0, 0, Smoke::mf_const, 10, 10},	//307 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {18, 875, 130, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//308 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {18, 686, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//309 Akonadi::AgentTypeWidget::activated()
    {18, 1746, 21, 1, Smoke::mf_static, 291, 13},	//310 Akonadi::AgentTypeWidget::tr(const char*)
    {18, 1750, 21, 1, Smoke::mf_static, 291, 14},	//311 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {18, 40, 0, 0, Smoke::mf_ctor, 26, 15},	//312 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {18, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//313 Akonadi::AgentTypeWidget::staticMetaObject() const
    {18, 1818, 0, 0, Smoke::mf_dtor, 0, 17 },	//314 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {19, 1754, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 224, 1},	//315 Akonadi::Attribute::type() const [pure virtual]
    {19, 785, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 2},	//316 Akonadi::Attribute::clone() const [pure virtual]
    {19, 1333, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 224, 3},	//317 Akonadi::Attribute::serialized() const [pure virtual]
    {19, 896, 6, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//318 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {19, 52, 0, 0, Smoke::mf_ctor, 27, 5},	//319 Akonadi::Attribute::Attribute()
    {19, 52, 133, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 6},	//320 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {19, 1819, 0, 0, Smoke::mf_dtor, 0, 7 },	//321 Akonadi::Attribute::~Attribute()
    {20, 865, 6, 1, Smoke::mf_static, 27, 1},	//322 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {20, 54, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 28, 2},	//323 Akonadi::AttributeFactory::AttributeFactory()
    {20, 54, 135, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 3},	//324 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {20, 1820, 0, 0, Smoke::mf_dtor, 0, 4 },	//325 Akonadi::AttributeFactory::~AttributeFactory()
    {21, 64, 0, 0, Smoke::mf_ctor, 31, 1},	//326 Akonadi::CachePolicy::CachePolicy()
    {21, 64, 137, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 2},	//327 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {21, 1048, 0, 0, Smoke::mf_const, 383, 3},	//328 Akonadi::CachePolicy::inheritFromParent() const
    {21, 1505, 45, 1, 0, 0, 4},	//329 Akonadi::CachePolicy::setInheritFromParent(bool)
    {21, 1167, 0, 0, Smoke::mf_const, 292, 5},	//330 Akonadi::CachePolicy::localParts() const
    {21, 1532, 10, 1, 0, 0, 6},	//331 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {21, 747, 0, 0, Smoke::mf_const, 475, 7},	//332 Akonadi::CachePolicy::cacheTimeout() const
    {21, 1363, 41, 1, 0, 0, 8},	//333 Akonadi::CachePolicy::setCacheTimeout(int)
    {21, 1078, 0, 0, Smoke::mf_const, 475, 9},	//334 Akonadi::CachePolicy::intervalCheckTime() const
    {21, 1507, 41, 1, 0, 0, 10},	//335 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {21, 1717, 0, 0, Smoke::mf_const, 383, 11},	//336 Akonadi::CachePolicy::syncOnDemand() const
    {21, 1629, 45, 1, 0, 0, 12},	//337 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {21, 1215, 137, 1, 0, 30, 13},	//338 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {21, 1217, 137, 1, Smoke::mf_const, 383, 14},	//339 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {21, 1821, 0, 0, Smoke::mf_dtor, 0, 15 },	//340 Akonadi::CachePolicy::~CachePolicy()
    {22, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//341 Akonadi::ChangeRecorder::metaObject() const
    {22, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//342 Akonadi::ChangeRecorder::qt_metacast(const char*)
    {22, 1746, 23, 2, Smoke::mf_static, 291, 3},	//343 Akonadi::ChangeRecorder::tr(const char*, const char*)
    {22, 1750, 23, 2, Smoke::mf_static, 291, 4},	//344 Akonadi::ChangeRecorder::trUtf8(const char*, const char*)
    {22, 1746, 26, 3, Smoke::mf_static, 291, 5},	//345 Akonadi::ChangeRecorder::tr(const char*, const char*, int)
    {22, 1750, 26, 3, Smoke::mf_static, 291, 6},	//346 Akonadi::ChangeRecorder::trUtf8(const char*, const char*, int)
    {22, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//347 Akonadi::ChangeRecorder::qt_metacall(QMetaObject::Call, int, void**)
    {22, 76, 78, 1, Smoke::mf_ctor, 32, 8},	//348 Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    {22, 1401, 139, 1, 0, 0, 9},	//349 Akonadi::ChangeRecorder::setConfig(QSettings*)
    {22, 1086, 0, 0, Smoke::mf_const, 383, 10},	//350 Akonadi::ChangeRecorder::isEmpty() const
    {22, 762, 0, 0, 0, 0, 11},	//351 Akonadi::ChangeRecorder::changeProcessed()
    {22, 1372, 45, 1, 0, 0, 12},	//352 Akonadi::ChangeRecorder::setChangeRecordingEnabled(bool)
    {22, 934, 0, 0, Smoke::mf_const, 291, 13},	//353 Akonadi::ChangeRecorder::dumpNotificationListToString() const
    {22, 1273, 0, 0, Smoke::mf_slot, 0, 14},	//354 Akonadi::ChangeRecorder::replayNext()
    {22, 764, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//355 Akonadi::ChangeRecorder::changesAdded()
    {22, 1208, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//356 Akonadi::ChangeRecorder::nothingToReplay()
    {22, 76, 141, 2, Smoke::mf_ctor|Smoke::mf_protected, 32, 17},	//357 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*, QObject*)
    {22, 1746, 21, 1, Smoke::mf_static, 291, 18},	//358 Akonadi::ChangeRecorder::tr(const char*)
    {22, 1750, 21, 1, Smoke::mf_static, 291, 19},	//359 Akonadi::ChangeRecorder::trUtf8(const char*)
    {22, 76, 0, 0, Smoke::mf_ctor, 32, 20},	//360 Akonadi::ChangeRecorder::ChangeRecorder()
    {22, 76, 144, 1, Smoke::mf_ctor|Smoke::mf_protected, 32, 21},	//361 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    {22, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//362 Akonadi::ChangeRecorder::staticMetaObject() const
    {22, 1822, 0, 0, Smoke::mf_dtor, 0, 23 },	//363 Akonadi::ChangeRecorder::~ChangeRecorder()
    {24, 82, 0, 0, Smoke::mf_ctor, 36, 1},	//364 Akonadi::Collection::Collection()
    {24, 82, 146, 1, Smoke::mf_ctor, 36, 2},	//365 Akonadi::Collection::Collection(long long)
    {24, 82, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 3},	//366 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {24, 1003, 148, 1, Smoke::mf_static, 34, 4},	//367 Akonadi::Collection::fromUrl(const KUrl&)
    {24, 1205, 0, 0, Smoke::mf_const, 291, 5},	//368 Akonadi::Collection::name() const
    {24, 906, 0, 0, Smoke::mf_const, 291, 6},	//369 Akonadi::Collection::displayName() const
    {24, 1552, 8, 1, 0, 0, 7},	//370 Akonadi::Collection::setName(const QString&)
    {24, 1293, 0, 0, Smoke::mf_const, 237, 8},	//371 Akonadi::Collection::rights() const
    {24, 1602, 150, 1, 0, 0, 9},	//372 Akonadi::Collection::setRights(QFlags<Akonadi::Collection::Right>)
    {24, 855, 0, 0, Smoke::mf_const, 292, 10},	//373 Akonadi::Collection::contentMimeTypes() const
    {24, 1415, 10, 1, 0, 0, 11},	//374 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {24, 1227, 0, 0, Smoke::mf_const, 478, 12},	//375 Akonadi::Collection::parent() const
    {24, 1562, 146, 1, 0, 0, 13},	//376 Akonadi::Collection::setParent(long long)
    {24, 1562, 61, 1, 0, 0, 14},	//377 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {24, 1230, 0, 0, Smoke::mf_const, 291, 15},	//378 Akonadi::Collection::parentRemoteId() const
    {24, 1567, 8, 1, 0, 0, 16},	//379 Akonadi::Collection::setParentRemoteId(const QString&)
    {24, 1295, 0, 0, Smoke::mf_static, 34, 17},	//380 Akonadi::Collection::root()
    {24, 1184, 0, 0, Smoke::mf_static, 291, 18},	//381 Akonadi::Collection::mimeType()
    {24, 1790, 0, 0, Smoke::mf_static, 291, 19},	//382 Akonadi::Collection::virtualMimeType()
    {24, 1276, 0, 0, Smoke::mf_const, 291, 20},	//383 Akonadi::Collection::resource() const
    {24, 1595, 8, 1, 0, 0, 21},	//384 Akonadi::Collection::setResource(const QString&)
    {24, 746, 0, 0, Smoke::mf_const, 29, 22},	//385 Akonadi::Collection::cachePolicy() const
    {24, 1361, 137, 1, 0, 0, 23},	//386 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {24, 1702, 0, 0, Smoke::mf_const, 64, 24},	//387 Akonadi::Collection::statistics() const
    {24, 1623, 152, 1, 0, 0, 25},	//388 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {24, 1776, 0, 0, Smoke::mf_const, 212, 26},	//389 Akonadi::Collection::url() const
    {24, 1776, 154, 1, Smoke::mf_const, 212, 27},	//390 Akonadi::Collection::url(Akonadi::Collection::UrlType) const
    {24, 1097, 0, 0, Smoke::mf_const, 383, 28},	//391 Akonadi::Collection::isVirtual() const
    {24, 1663, 45, 1, 0, 0, 29},	//392 Akonadi::Collection::setVirtual(bool)
    {24, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 30},	//393 Akonadi::Collection::ReadOnly (enum)
    {24, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 31},	//394 Akonadi::Collection::CanChangeItem (enum)
    {24, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 32},	//395 Akonadi::Collection::CanCreateItem (enum)
    {24, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 33},	//396 Akonadi::Collection::CanDeleteItem (enum)
    {24, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 34},	//397 Akonadi::Collection::CanChangeCollection (enum)
    {24, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 35},	//398 Akonadi::Collection::CanCreateCollection (enum)
    {24, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 36},	//399 Akonadi::Collection::CanDeleteCollection (enum)
    {24, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 37},	//400 Akonadi::Collection::CanLinkItem (enum)
    {24, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 38},	//401 Akonadi::Collection::CanUnlinkItem (enum)
    {24, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 39},	//402 Akonadi::Collection::AllRights (enum)
    {24, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 40},	//403 Akonadi::Collection::UrlShort (enum)
    {24, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 41},	//404 Akonadi::Collection::UrlWithName (enum)
    {24, 1823, 0, 0, Smoke::mf_dtor, 0, 42 },	//405 Akonadi::Collection::~Collection()
    {25, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//406 Akonadi::CollectionComboBox::metaObject() const
    {25, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//407 Akonadi::CollectionComboBox::qt_metacast(const char*)
    {25, 1746, 23, 2, Smoke::mf_static, 291, 3},	//408 Akonadi::CollectionComboBox::tr(const char*, const char*)
    {25, 1750, 23, 2, Smoke::mf_static, 291, 4},	//409 Akonadi::CollectionComboBox::trUtf8(const char*, const char*)
    {25, 1746, 26, 3, Smoke::mf_static, 291, 5},	//410 Akonadi::CollectionComboBox::tr(const char*, const char*, int)
    {25, 1750, 26, 3, Smoke::mf_static, 291, 6},	//411 Akonadi::CollectionComboBox::trUtf8(const char*, const char*, int)
    {25, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//412 Akonadi::CollectionComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {25, 86, 85, 1, Smoke::mf_ctor, 41, 8},	//413 Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    {25, 86, 156, 2, Smoke::mf_ctor, 41, 9},	//414 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*, QWidget*)
    {25, 1540, 10, 1, 0, 0, 10},	//415 Akonadi::CollectionComboBox::setMimeTypeFilter(const QStringList&)
    {25, 1186, 0, 0, Smoke::mf_const, 292, 11},	//416 Akonadi::CollectionComboBox::mimeTypeFilter() const
    {25, 1338, 150, 1, 0, 0, 12},	//417 Akonadi::CollectionComboBox::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {25, 681, 0, 0, Smoke::mf_const, 237, 13},	//418 Akonadi::CollectionComboBox::accessRightsFilter() const
    {25, 1432, 61, 1, 0, 0, 14},	//419 Akonadi::CollectionComboBox::setDefaultCollection(const Akonadi::Collection&)
    {25, 878, 0, 0, Smoke::mf_const, 34, 15},	//420 Akonadi::CollectionComboBox::currentCollection() const
    {25, 1445, 45, 1, 0, 0, 16},	//421 Akonadi::CollectionComboBox::setExcludeVirtualCollections(bool)
    {25, 962, 0, 0, Smoke::mf_const, 383, 17},	//422 Akonadi::CollectionComboBox::excludeVirtualCollections() const
    {25, 875, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//423 Akonadi::CollectionComboBox::currentChanged(const Akonadi::Collection&)
    {25, 1746, 21, 1, Smoke::mf_static, 291, 19},	//424 Akonadi::CollectionComboBox::tr(const char*)
    {25, 1750, 21, 1, Smoke::mf_static, 291, 20},	//425 Akonadi::CollectionComboBox::trUtf8(const char*)
    {25, 86, 0, 0, Smoke::mf_ctor, 41, 21},	//426 Akonadi::CollectionComboBox::CollectionComboBox()
    {25, 86, 159, 1, Smoke::mf_ctor, 41, 22},	//427 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    {25, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 23},	//428 Akonadi::CollectionComboBox::staticMetaObject() const
    {25, 1824, 0, 0, Smoke::mf_dtor, 0, 24 },	//429 Akonadi::CollectionComboBox::~CollectionComboBox()
    {26, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//430 Akonadi::CollectionCopyJob::metaObject() const
    {26, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//431 Akonadi::CollectionCopyJob::qt_metacast(const char*)
    {26, 1746, 23, 2, Smoke::mf_static, 291, 3},	//432 Akonadi::CollectionCopyJob::tr(const char*, const char*)
    {26, 1750, 23, 2, Smoke::mf_static, 291, 4},	//433 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*)
    {26, 1746, 26, 3, Smoke::mf_static, 291, 5},	//434 Akonadi::CollectionCopyJob::tr(const char*, const char*, int)
    {26, 1750, 26, 3, Smoke::mf_static, 291, 6},	//435 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*, int)
    {26, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//436 Akonadi::CollectionCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {26, 89, 161, 3, Smoke::mf_ctor, 42, 8},	//437 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {26, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//438 Akonadi::CollectionCopyJob::doStart()
    {26, 1746, 21, 1, Smoke::mf_static, 291, 10},	//439 Akonadi::CollectionCopyJob::tr(const char*)
    {26, 1750, 21, 1, Smoke::mf_static, 291, 11},	//440 Akonadi::CollectionCopyJob::trUtf8(const char*)
    {26, 89, 58, 2, Smoke::mf_ctor, 42, 12},	//441 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {26, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//442 Akonadi::CollectionCopyJob::staticMetaObject() const
    {26, 1825, 0, 0, Smoke::mf_dtor, 0, 14 },	//443 Akonadi::CollectionCopyJob::~CollectionCopyJob()
    {27, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//444 Akonadi::CollectionCreateJob::metaObject() const
    {27, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//445 Akonadi::CollectionCreateJob::qt_metacast(const char*)
    {27, 1746, 23, 2, Smoke::mf_static, 291, 3},	//446 Akonadi::CollectionCreateJob::tr(const char*, const char*)
    {27, 1750, 23, 2, Smoke::mf_static, 291, 4},	//447 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*)
    {27, 1746, 26, 3, Smoke::mf_static, 291, 5},	//448 Akonadi::CollectionCreateJob::tr(const char*, const char*, int)
    {27, 1750, 26, 3, Smoke::mf_static, 291, 6},	//449 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*, int)
    {27, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//450 Akonadi::CollectionCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {27, 92, 165, 2, Smoke::mf_ctor, 43, 8},	//451 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&, QObject*)
    {27, 788, 0, 0, Smoke::mf_const, 34, 9},	//452 Akonadi::CollectionCreateJob::collection() const
    {27, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//453 Akonadi::CollectionCreateJob::doStart()
    {27, 908, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//454 Akonadi::CollectionCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {27, 1746, 21, 1, Smoke::mf_static, 291, 12},	//455 Akonadi::CollectionCreateJob::tr(const char*)
    {27, 1750, 21, 1, Smoke::mf_static, 291, 13},	//456 Akonadi::CollectionCreateJob::trUtf8(const char*)
    {27, 92, 61, 1, Smoke::mf_ctor, 43, 14},	//457 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&)
    {27, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//458 Akonadi::CollectionCreateJob::staticMetaObject() const
    {27, 1826, 0, 0, Smoke::mf_dtor, 0, 16 },	//459 Akonadi::CollectionCreateJob::~CollectionCreateJob()
    {28, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//460 Akonadi::CollectionDeleteJob::metaObject() const
    {28, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//461 Akonadi::CollectionDeleteJob::qt_metacast(const char*)
    {28, 1746, 23, 2, Smoke::mf_static, 291, 3},	//462 Akonadi::CollectionDeleteJob::tr(const char*, const char*)
    {28, 1750, 23, 2, Smoke::mf_static, 291, 4},	//463 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*)
    {28, 1746, 26, 3, Smoke::mf_static, 291, 5},	//464 Akonadi::CollectionDeleteJob::tr(const char*, const char*, int)
    {28, 1750, 26, 3, Smoke::mf_static, 291, 6},	//465 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*, int)
    {28, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//466 Akonadi::CollectionDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {28, 95, 165, 2, Smoke::mf_ctor, 44, 8},	//467 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&, QObject*)
    {28, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//468 Akonadi::CollectionDeleteJob::doStart()
    {28, 1746, 21, 1, Smoke::mf_static, 291, 10},	//469 Akonadi::CollectionDeleteJob::tr(const char*)
    {28, 1750, 21, 1, Smoke::mf_static, 291, 11},	//470 Akonadi::CollectionDeleteJob::trUtf8(const char*)
    {28, 95, 61, 1, Smoke::mf_ctor, 44, 12},	//471 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&)
    {28, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//472 Akonadi::CollectionDeleteJob::staticMetaObject() const
    {28, 1827, 0, 0, Smoke::mf_dtor, 0, 14 },	//473 Akonadi::CollectionDeleteJob::~CollectionDeleteJob()
    {29, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//474 Akonadi::CollectionDialog::metaObject() const
    {29, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//475 Akonadi::CollectionDialog::qt_metacast(const char*)
    {29, 1746, 23, 2, Smoke::mf_static, 291, 3},	//476 Akonadi::CollectionDialog::tr(const char*, const char*)
    {29, 1750, 23, 2, Smoke::mf_static, 291, 4},	//477 Akonadi::CollectionDialog::trUtf8(const char*, const char*)
    {29, 1746, 26, 3, Smoke::mf_static, 291, 5},	//478 Akonadi::CollectionDialog::tr(const char*, const char*, int)
    {29, 1750, 26, 3, Smoke::mf_static, 291, 6},	//479 Akonadi::CollectionDialog::trUtf8(const char*, const char*, int)
    {29, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//480 Akonadi::CollectionDialog::qt_metacall(QMetaObject::Call, int, void**)
    {29, 99, 85, 1, Smoke::mf_ctor, 45, 8},	//481 Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    {29, 99, 156, 2, Smoke::mf_ctor, 45, 9},	//482 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*, QWidget*)
    {29, 99, 171, 3, Smoke::mf_ctor, 45, 10},	//483 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*)
    {29, 1540, 10, 1, 0, 0, 11},	//484 Akonadi::CollectionDialog::setMimeTypeFilter(const QStringList&)
    {29, 1186, 0, 0, Smoke::mf_const, 292, 12},	//485 Akonadi::CollectionDialog::mimeTypeFilter() const
    {29, 1338, 150, 1, 0, 0, 13},	//486 Akonadi::CollectionDialog::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {29, 681, 0, 0, Smoke::mf_const, 237, 14},	//487 Akonadi::CollectionDialog::accessRightsFilter() const
    {29, 1438, 8, 1, 0, 0, 15},	//488 Akonadi::CollectionDialog::setDescription(const QString&)
    {29, 1432, 61, 1, 0, 0, 16},	//489 Akonadi::CollectionDialog::setDefaultCollection(const Akonadi::Collection&)
    {29, 1612, 175, 1, 0, 0, 17},	//490 Akonadi::CollectionDialog::setSelectionMode(QAbstractItemView::SelectionMode)
    {29, 1323, 0, 0, Smoke::mf_const, 221, 18},	//491 Akonadi::CollectionDialog::selectionMode() const
    {29, 1317, 0, 0, Smoke::mf_const, 34, 19},	//492 Akonadi::CollectionDialog::selectedCollection() const
    {29, 1318, 0, 0, Smoke::mf_const, 262, 20},	//493 Akonadi::CollectionDialog::selectedCollections() const
    {29, 757, 177, 1, 0, 0, 21},	//494 Akonadi::CollectionDialog::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 1661, 45, 1, 0, 0, 22},	//495 Akonadi::CollectionDialog::setUseFolderByDefault(bool)
    {29, 1782, 0, 0, Smoke::mf_const, 383, 23},	//496 Akonadi::CollectionDialog::useFolderByDefault() const
    {29, 1746, 21, 1, Smoke::mf_static, 291, 24},	//497 Akonadi::CollectionDialog::tr(const char*)
    {29, 1750, 21, 1, Smoke::mf_static, 291, 25},	//498 Akonadi::CollectionDialog::trUtf8(const char*)
    {29, 99, 0, 0, Smoke::mf_ctor, 45, 26},	//499 Akonadi::CollectionDialog::CollectionDialog()
    {29, 99, 159, 1, Smoke::mf_ctor, 45, 27},	//500 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    {29, 99, 177, 1, Smoke::mf_ctor, 45, 28},	//501 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 99, 179, 2, Smoke::mf_ctor, 45, 29},	//502 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*)
    {29, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 30},	//503 Akonadi::CollectionDialog::staticMetaObject() const
    {29, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 31},	//504 Akonadi::CollectionDialog::None (enum)
    {29, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 32},	//505 Akonadi::CollectionDialog::AllowToCreateNewChildCollection (enum)
    {29, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 33},	//506 Akonadi::CollectionDialog::KeepTreeExpanded (enum)
    {29, 1828, 0, 0, Smoke::mf_dtor, 0, 34 },	//507 Akonadi::CollectionDialog::~CollectionDialog()
    {30, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//508 Akonadi::CollectionFetchJob::metaObject() const
    {30, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//509 Akonadi::CollectionFetchJob::qt_metacast(const char*)
    {30, 1746, 23, 2, Smoke::mf_static, 291, 3},	//510 Akonadi::CollectionFetchJob::tr(const char*, const char*)
    {30, 1750, 23, 2, Smoke::mf_static, 291, 4},	//511 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*)
    {30, 1746, 26, 3, Smoke::mf_static, 291, 5},	//512 Akonadi::CollectionFetchJob::tr(const char*, const char*, int)
    {30, 1750, 26, 3, Smoke::mf_static, 291, 6},	//513 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*, int)
    {30, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//514 Akonadi::CollectionFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {30, 105, 182, 3, Smoke::mf_ctor, 47, 8},	//515 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 105, 186, 2, Smoke::mf_ctor, 47, 9},	//516 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, QObject*)
    {30, 105, 189, 3, Smoke::mf_ctor, 47, 10},	//517 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 105, 193, 3, Smoke::mf_ctor, 47, 11},	//518 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 821, 0, 0, Smoke::mf_const, 262, 12},	//519 Akonadi::CollectionFetchJob::collections() const
    {30, 1595, 8, 1, 0, 0, 13},	//520 Akonadi::CollectionFetchJob::setResource(const QString&)
    {30, 1039, 45, 1, 0, 0, 14},	//521 Akonadi::CollectionFetchJob::includeUnsubscribed(bool)
    {30, 1037, 45, 1, 0, 0, 15},	//522 Akonadi::CollectionFetchJob::includeStatistics(bool)
    {30, 1463, 197, 1, 0, 0, 16},	//523 Akonadi::CollectionFetchJob::setFetchScope(const Akonadi::CollectionFetchScope&)
    {30, 987, 0, 0, 0, 49, 17},	//524 Akonadi::CollectionFetchJob::fetchScope()
    {30, 823, 199, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//525 Akonadi::CollectionFetchJob::collectionsReceived(const Akonadi::Collection::List&)
    {30, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//526 Akonadi::CollectionFetchJob::doStart()
    {30, 908, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//527 Akonadi::CollectionFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {30, 1687, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//528 Akonadi::CollectionFetchJob::slotResult(KJob*)
    {30, 1746, 21, 1, Smoke::mf_static, 291, 22},	//529 Akonadi::CollectionFetchJob::tr(const char*)
    {30, 1750, 21, 1, Smoke::mf_static, 291, 23},	//530 Akonadi::CollectionFetchJob::trUtf8(const char*)
    {30, 105, 61, 1, Smoke::mf_ctor, 47, 24},	//531 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&)
    {30, 105, 203, 2, Smoke::mf_ctor, 47, 25},	//532 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type)
    {30, 105, 206, 1, Smoke::mf_ctor, 47, 26},	//533 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&)
    {30, 105, 208, 2, Smoke::mf_ctor, 47, 27},	//534 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type)
    {30, 105, 211, 1, Smoke::mf_ctor, 47, 28},	//535 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&)
    {30, 105, 213, 2, Smoke::mf_ctor, 47, 29},	//536 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type)
    {30, 1039, 0, 0, 0, 0, 30},	//537 Akonadi::CollectionFetchJob::includeUnsubscribed()
    {30, 1037, 0, 0, 0, 0, 31},	//538 Akonadi::CollectionFetchJob::includeStatistics()
    {30, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 32},	//539 Akonadi::CollectionFetchJob::staticMetaObject() const
    {30, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 33},	//540 Akonadi::CollectionFetchJob::Base (enum)
    {30, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 34},	//541 Akonadi::CollectionFetchJob::FirstLevel (enum)
    {30, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 35},	//542 Akonadi::CollectionFetchJob::Recursive (enum)
    {30, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 36},	//543 Akonadi::CollectionFetchJob::NonOverlappingRoots (enum)
    {30, 1829, 0, 0, Smoke::mf_dtor, 0, 37 },	//544 Akonadi::CollectionFetchJob::~CollectionFetchJob()
    {31, 113, 0, 0, Smoke::mf_ctor, 50, 1},	//545 Akonadi::CollectionFetchScope::CollectionFetchScope()
    {31, 113, 197, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 2},	//546 Akonadi::CollectionFetchScope::CollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {31, 1215, 197, 1, 0, 49, 3},	//547 Akonadi::CollectionFetchScope::operator=(const Akonadi::CollectionFetchScope&)
    {31, 1041, 0, 0, Smoke::mf_const, 383, 4},	//548 Akonadi::CollectionFetchScope::includeUnubscribed() const
    {31, 1039, 0, 0, Smoke::mf_const, 383, 5},	//549 Akonadi::CollectionFetchScope::includeUnsubscribed() const
    {31, 1501, 45, 1, 0, 0, 6},	//550 Akonadi::CollectionFetchScope::setIncludeUnsubscribed(bool)
    {31, 1037, 0, 0, Smoke::mf_const, 383, 7},	//551 Akonadi::CollectionFetchScope::includeStatistics() const
    {31, 1499, 45, 1, 0, 0, 8},	//552 Akonadi::CollectionFetchScope::setIncludeStatistics(bool)
    {31, 1276, 0, 0, Smoke::mf_const, 291, 9},	//553 Akonadi::CollectionFetchScope::resource() const
    {31, 1595, 8, 1, 0, 0, 10},	//554 Akonadi::CollectionFetchScope::setResource(const QString&)
    {31, 1415, 10, 1, 0, 0, 11},	//555 Akonadi::CollectionFetchScope::setContentMimeTypes(const QStringList&)
    {31, 855, 0, 0, Smoke::mf_const, 292, 12},	//556 Akonadi::CollectionFetchScope::contentMimeTypes() const
    {31, 1348, 216, 1, 0, 0, 13},	//557 Akonadi::CollectionFetchScope::setAncestorRetrieval(Akonadi::CollectionFetchScope::AncestorRetrieval)
    {31, 729, 0, 0, Smoke::mf_const, 51, 14},	//558 Akonadi::CollectionFetchScope::ancestorRetrieval() const
    {31, 1086, 0, 0, Smoke::mf_const, 383, 15},	//559 Akonadi::CollectionFetchScope::isEmpty() const
    {31, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 16},	//560 Akonadi::CollectionFetchScope::None (enum)
    {31, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 17},	//561 Akonadi::CollectionFetchScope::Parent (enum)
    {31, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 18},	//562 Akonadi::CollectionFetchScope::All (enum)
    {31, 1830, 0, 0, Smoke::mf_dtor, 0, 19 },	//563 Akonadi::CollectionFetchScope::~CollectionFetchScope()
    {32, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//564 Akonadi::CollectionFilterProxyModel::metaObject() const
    {32, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//565 Akonadi::CollectionFilterProxyModel::qt_metacast(const char*)
    {32, 1746, 23, 2, Smoke::mf_static, 291, 3},	//566 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*)
    {32, 1750, 23, 2, Smoke::mf_static, 291, 4},	//567 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*)
    {32, 1746, 26, 3, Smoke::mf_static, 291, 5},	//568 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*, int)
    {32, 1750, 26, 3, Smoke::mf_static, 291, 6},	//569 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*, int)
    {32, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//570 Akonadi::CollectionFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {32, 115, 78, 1, Smoke::mf_ctor, 52, 8},	//571 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel(QObject*)
    {32, 702, 10, 1, 0, 0, 9},	//572 Akonadi::CollectionFilterProxyModel::addMimeTypeFilters(const QStringList&)
    {32, 700, 8, 1, 0, 0, 10},	//573 Akonadi::CollectionFilterProxyModel::addMimeTypeFilter(const QString&)
    {32, 1187, 0, 0, Smoke::mf_const, 292, 11},	//574 Akonadi::CollectionFilterProxyModel::mimeTypeFilters() const
    {32, 1445, 45, 1, 0, 0, 12},	//575 Akonadi::CollectionFilterProxyModel::setExcludeVirtualCollections(bool)
    {32, 962, 0, 0, Smoke::mf_const, 383, 13},	//576 Akonadi::CollectionFilterProxyModel::excludeVirtualCollections() const
    {32, 774, 0, 0, 0, 0, 14},	//577 Akonadi::CollectionFilterProxyModel::clearFilters()
    {32, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 15},	//578 Akonadi::CollectionFilterProxyModel::flags(const QModelIndex&) const
    {32, 991, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 383, 16},	//579 Akonadi::CollectionFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {32, 1746, 21, 1, Smoke::mf_static, 291, 17},	//580 Akonadi::CollectionFilterProxyModel::tr(const char*)
    {32, 1750, 21, 1, Smoke::mf_static, 291, 18},	//581 Akonadi::CollectionFilterProxyModel::trUtf8(const char*)
    {32, 115, 0, 0, Smoke::mf_ctor, 52, 19},	//582 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel()
    {32, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 20},	//583 Akonadi::CollectionFilterProxyModel::staticMetaObject() const
    {32, 1831, 0, 0, Smoke::mf_dtor, 0, 21 },	//584 Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel()
    {33, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//585 Akonadi::CollectionModel::metaObject() const
    {33, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//586 Akonadi::CollectionModel::qt_metacast(const char*)
    {33, 1746, 23, 2, Smoke::mf_static, 291, 3},	//587 Akonadi::CollectionModel::tr(const char*, const char*)
    {33, 1750, 23, 2, Smoke::mf_static, 291, 4},	//588 Akonadi::CollectionModel::trUtf8(const char*, const char*)
    {33, 1746, 26, 3, Smoke::mf_static, 291, 5},	//589 Akonadi::CollectionModel::tr(const char*, const char*, int)
    {33, 1750, 26, 3, Smoke::mf_static, 291, 6},	//590 Akonadi::CollectionModel::trUtf8(const char*, const char*, int)
    {33, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//591 Akonadi::CollectionModel::qt_metacall(QMetaObject::Call, int, void**)
    {33, 118, 78, 1, Smoke::mf_ctor, 53, 8},	//592 Akonadi::CollectionModel::CollectionModel(QObject*)
    {33, 975, 45, 1, 0, 0, 9},	//593 Akonadi::CollectionModel::fetchCollectionStatistics(bool)
    {33, 1039, 45, 1, 0, 0, 10},	//594 Akonadi::CollectionModel::includeUnsubscribed(bool)
    {33, 830, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 11},	//595 Akonadi::CollectionModel::columnCount(const QModelIndex&) const
    {33, 884, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 301, 12},	//596 Akonadi::CollectionModel::data(const QModelIndex&, int) const
    {33, 1042, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 274, 13},	//597 Akonadi::CollectionModel::index(int, int, const QModelIndex&) const
    {33, 1227, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 14},	//598 Akonadi::CollectionModel::parent(const QModelIndex&) const
    {33, 1297, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 15},	//599 Akonadi::CollectionModel::rowCount(const QModelIndex&) const
    {33, 1019, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 301, 16},	//600 Akonadi::CollectionModel::headerData(int, Qt::Orientation, int) const
    {33, 1480, 218, 4, Smoke::mf_virtual, 383, 17},	//601 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 1427, 108, 3, Smoke::mf_virtual, 383, 18},	//602 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 19},	//603 Akonadi::CollectionModel::flags(const QModelIndex&) const
    {33, 1716, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 20},	//604 Akonadi::CollectionModel::supportedDropActions() const
    {33, 1182, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 21},	//605 Akonadi::CollectionModel::mimeData(const QList<QModelIndex>&) const
    {33, 930, 225, 5, Smoke::mf_virtual, 383, 22},	//606 Akonadi::CollectionModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 1191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 292, 23},	//607 Akonadi::CollectionModel::mimeTypes() const
    {33, 800, 231, 1, Smoke::mf_const|Smoke::mf_protected, 34, 24},	//608 Akonadi::CollectionModel::collectionForId(Akonadi::Collection::Id) const
    {33, 118, 233, 2, Smoke::mf_ctor|Smoke::mf_protected, 53, 25},	//609 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*, QObject*)
    {33, 1746, 21, 1, Smoke::mf_static, 291, 26},	//610 Akonadi::CollectionModel::tr(const char*)
    {33, 1750, 21, 1, Smoke::mf_static, 291, 27},	//611 Akonadi::CollectionModel::trUtf8(const char*)
    {33, 118, 0, 0, Smoke::mf_ctor, 53, 28},	//612 Akonadi::CollectionModel::CollectionModel()
    {33, 1039, 0, 0, 0, 0, 29},	//613 Akonadi::CollectionModel::includeUnsubscribed()
    {33, 830, 0, 0, Smoke::mf_const, 475, 30},	//614 Akonadi::CollectionModel::columnCount() const
    {33, 884, 95, 1, Smoke::mf_const, 301, 31},	//615 Akonadi::CollectionModel::data(const QModelIndex&) const
    {33, 1042, 115, 2, Smoke::mf_const, 274, 32},	//616 Akonadi::CollectionModel::index(int, int) const
    {33, 1297, 0, 0, Smoke::mf_const, 475, 33},	//617 Akonadi::CollectionModel::rowCount() const
    {33, 1019, 112, 2, Smoke::mf_const, 301, 34},	//618 Akonadi::CollectionModel::headerData(int, Qt::Orientation) const
    {33, 1480, 236, 3, 0, 383, 35},	//619 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {33, 1427, 240, 2, 0, 383, 36},	//620 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&)
    {33, 118, 243, 1, Smoke::mf_ctor|Smoke::mf_protected, 53, 37},	//621 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    {33, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 38},	//622 Akonadi::CollectionModel::staticMetaObject() const
    {33, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 39},	//623 Akonadi::CollectionModel::OldCollectionIdRole (enum)
    {33, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 40},	//624 Akonadi::CollectionModel::OldCollectionRole (enum)
    {33, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 41},	//625 Akonadi::CollectionModel::CollectionIdRole (enum)
    {33, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 42},	//626 Akonadi::CollectionModel::CollectionRole (enum)
    {33, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 43},	//627 Akonadi::CollectionModel::UserRole (enum)
    {33, 1832, 0, 0, Smoke::mf_dtor, 0, 44 },	//628 Akonadi::CollectionModel::~CollectionModel()
    {35, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//629 Akonadi::CollectionModifyJob::metaObject() const
    {35, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//630 Akonadi::CollectionModifyJob::qt_metacast(const char*)
    {35, 1746, 23, 2, Smoke::mf_static, 291, 3},	//631 Akonadi::CollectionModifyJob::tr(const char*, const char*)
    {35, 1750, 23, 2, Smoke::mf_static, 291, 4},	//632 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*)
    {35, 1746, 26, 3, Smoke::mf_static, 291, 5},	//633 Akonadi::CollectionModifyJob::tr(const char*, const char*, int)
    {35, 1750, 26, 3, Smoke::mf_static, 291, 6},	//634 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*, int)
    {35, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//635 Akonadi::CollectionModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {35, 121, 165, 2, Smoke::mf_ctor, 56, 8},	//636 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&, QObject*)
    {35, 788, 0, 0, Smoke::mf_const, 34, 9},	//637 Akonadi::CollectionModifyJob::collection() const
    {35, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//638 Akonadi::CollectionModifyJob::doStart()
    {35, 1746, 21, 1, Smoke::mf_static, 291, 11},	//639 Akonadi::CollectionModifyJob::tr(const char*)
    {35, 1750, 21, 1, Smoke::mf_static, 291, 12},	//640 Akonadi::CollectionModifyJob::trUtf8(const char*)
    {35, 121, 61, 1, Smoke::mf_ctor, 56, 13},	//641 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&)
    {35, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 14},	//642 Akonadi::CollectionModifyJob::staticMetaObject() const
    {35, 1833, 0, 0, Smoke::mf_dtor, 0, 15 },	//643 Akonadi::CollectionModifyJob::~CollectionModifyJob()
    {36, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//644 Akonadi::CollectionMoveJob::metaObject() const
    {36, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//645 Akonadi::CollectionMoveJob::qt_metacast(const char*)
    {36, 1746, 23, 2, Smoke::mf_static, 291, 3},	//646 Akonadi::CollectionMoveJob::tr(const char*, const char*)
    {36, 1750, 23, 2, Smoke::mf_static, 291, 4},	//647 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*)
    {36, 1746, 26, 3, Smoke::mf_static, 291, 5},	//648 Akonadi::CollectionMoveJob::tr(const char*, const char*, int)
    {36, 1750, 26, 3, Smoke::mf_static, 291, 6},	//649 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*, int)
    {36, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//650 Akonadi::CollectionMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {36, 124, 161, 3, Smoke::mf_ctor, 57, 8},	//651 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {36, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//652 Akonadi::CollectionMoveJob::doStart()
    {36, 1746, 21, 1, Smoke::mf_static, 291, 10},	//653 Akonadi::CollectionMoveJob::tr(const char*)
    {36, 1750, 21, 1, Smoke::mf_static, 291, 11},	//654 Akonadi::CollectionMoveJob::trUtf8(const char*)
    {36, 124, 58, 2, Smoke::mf_ctor, 57, 12},	//655 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {36, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//656 Akonadi::CollectionMoveJob::staticMetaObject() const
    {36, 1834, 0, 0, Smoke::mf_dtor, 0, 14 },	//657 Akonadi::CollectionMoveJob::~CollectionMoveJob()
    {37, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//658 Akonadi::CollectionPropertiesDialog::metaObject() const
    {37, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//659 Akonadi::CollectionPropertiesDialog::qt_metacast(const char*)
    {37, 1746, 23, 2, Smoke::mf_static, 291, 3},	//660 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*)
    {37, 1750, 23, 2, Smoke::mf_static, 291, 4},	//661 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*)
    {37, 1746, 26, 3, Smoke::mf_static, 291, 5},	//662 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*, int)
    {37, 1750, 26, 3, Smoke::mf_static, 291, 6},	//663 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*, int)
    {37, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//664 Akonadi::CollectionPropertiesDialog::qt_metacall(QMetaObject::Call, int, void**)
    {37, 128, 245, 2, Smoke::mf_ctor, 58, 8},	//665 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, QWidget*)
    {37, 128, 248, 3, Smoke::mf_ctor, 58, 9},	//666 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&, QWidget*)
    {37, 1255, 252, 1, Smoke::mf_static, 0, 10},	//667 Akonadi::CollectionPropertiesDialog::registerPage(Akonadi::CollectionPropertiesPageFactory*)
    {37, 1780, 45, 1, Smoke::mf_static, 0, 11},	//668 Akonadi::CollectionPropertiesDialog::useDefaultPage(bool)
    {37, 888, 254, 1, Smoke::mf_static, 291, 12},	//669 Akonadi::CollectionPropertiesDialog::defaultPageObjectName(Akonadi::CollectionPropertiesDialog::DefaultPage)
    {37, 1423, 8, 1, 0, 0, 13},	//670 Akonadi::CollectionPropertiesDialog::setCurrentPage(const QString&)
    {37, 1746, 21, 1, Smoke::mf_static, 291, 14},	//671 Akonadi::CollectionPropertiesDialog::tr(const char*)
    {37, 1750, 21, 1, Smoke::mf_static, 291, 15},	//672 Akonadi::CollectionPropertiesDialog::trUtf8(const char*)
    {37, 128, 61, 1, Smoke::mf_ctor, 58, 16},	//673 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&)
    {37, 128, 256, 2, Smoke::mf_ctor, 58, 17},	//674 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&)
    {37, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//675 Akonadi::CollectionPropertiesDialog::staticMetaObject() const
    {37, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 19},	//676 Akonadi::CollectionPropertiesDialog::GeneralPage (enum)
    {37, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 20},	//677 Akonadi::CollectionPropertiesDialog::CachePage (enum)
    {37, 1835, 0, 0, Smoke::mf_dtor, 0, 21 },	//678 Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog()
    {38, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//679 Akonadi::CollectionPropertiesPage::metaObject() const
    {38, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//680 Akonadi::CollectionPropertiesPage::qt_metacast(const char*)
    {38, 1746, 23, 2, Smoke::mf_static, 291, 3},	//681 Akonadi::CollectionPropertiesPage::tr(const char*, const char*)
    {38, 1750, 23, 2, Smoke::mf_static, 291, 4},	//682 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*)
    {38, 1746, 26, 3, Smoke::mf_static, 291, 5},	//683 Akonadi::CollectionPropertiesPage::tr(const char*, const char*, int)
    {38, 1750, 26, 3, Smoke::mf_static, 291, 6},	//684 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*, int)
    {38, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//685 Akonadi::CollectionPropertiesPage::qt_metacall(QMetaObject::Call, int, void**)
    {38, 133, 85, 1, Smoke::mf_ctor, 60, 8},	//686 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage(QWidget*)
    {38, 1160, 61, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//687 Akonadi::CollectionPropertiesPage::load(const Akonadi::Collection&) [pure virtual]
    {38, 1301, 259, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//688 Akonadi::CollectionPropertiesPage::save(Akonadi::Collection&) [pure virtual]
    {38, 751, 61, 1, Smoke::mf_const|Smoke::mf_virtual, 383, 11},	//689 Akonadi::CollectionPropertiesPage::canHandle(const Akonadi::Collection&) const
    {38, 1560, 8, 1, 0, 0, 12},	//690 Akonadi::CollectionPropertiesPage::setPageTitle(const QString&)
    {38, 1221, 0, 0, Smoke::mf_const, 291, 13},	//691 Akonadi::CollectionPropertiesPage::pageTitle() const
    {38, 1746, 21, 1, Smoke::mf_static, 291, 14},	//692 Akonadi::CollectionPropertiesPage::tr(const char*)
    {38, 1750, 21, 1, Smoke::mf_static, 291, 15},	//693 Akonadi::CollectionPropertiesPage::trUtf8(const char*)
    {38, 133, 0, 0, Smoke::mf_ctor, 60, 16},	//694 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage()
    {38, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//695 Akonadi::CollectionPropertiesPage::staticMetaObject() const
    {38, 1836, 0, 0, Smoke::mf_dtor, 0, 18 },	//696 Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage()
    {39, 870, 85, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 60, 1},	//697 Akonadi::CollectionPropertiesPageFactory::createWidget(QWidget*) const [pure virtual]
    {39, 135, 0, 0, Smoke::mf_ctor, 61, 2},	//698 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory()
    {39, 135, 261, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 3},	//699 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory(const Akonadi::CollectionPropertiesPageFactory&)
    {39, 870, 0, 0, Smoke::mf_const, 60, 4},	//700 Akonadi::CollectionPropertiesPageFactory::createWidget() const
    {39, 1837, 0, 0, Smoke::mf_dtor, 0, 5 },	//701 Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory()
    {40, 137, 0, 0, Smoke::mf_ctor, 62, 1},	//702 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute()
    {40, 137, 263, 2, Smoke::mf_ctor, 62, 2},	//703 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(long long, long long)
    {40, 1425, 146, 1, 0, 0, 3},	//704 Akonadi::CollectionQuotaAttribute::setCurrentValue(long long)
    {40, 1536, 146, 1, 0, 0, 4},	//705 Akonadi::CollectionQuotaAttribute::setMaximumValue(long long)
    {40, 880, 0, 0, Smoke::mf_const, 478, 5},	//706 Akonadi::CollectionQuotaAttribute::currentValue() const
    {40, 1179, 0, 0, Smoke::mf_const, 478, 6},	//707 Akonadi::CollectionQuotaAttribute::maximumValue() const
    {40, 1754, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 7},	//708 Akonadi::CollectionQuotaAttribute::type() const
    {40, 785, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 8},	//709 Akonadi::CollectionQuotaAttribute::clone() const
    {40, 1333, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 9},	//710 Akonadi::CollectionQuotaAttribute::serialized() const
    {40, 896, 6, 1, Smoke::mf_virtual, 0, 10},	//711 Akonadi::CollectionQuotaAttribute::deserialize(const QByteArray&)
    {40, 137, 266, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 11},	//712 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(const Akonadi::CollectionQuotaAttribute&)
    {40, 1838, 0, 0, Smoke::mf_dtor, 0, 12 },	//713 Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute()
    {41, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//714 Akonadi::CollectionRequester::metaObject() const
    {41, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//715 Akonadi::CollectionRequester::qt_metacast(const char*)
    {41, 1746, 23, 2, Smoke::mf_static, 291, 3},	//716 Akonadi::CollectionRequester::tr(const char*, const char*)
    {41, 1750, 23, 2, Smoke::mf_static, 291, 4},	//717 Akonadi::CollectionRequester::trUtf8(const char*, const char*)
    {41, 1746, 26, 3, Smoke::mf_static, 291, 5},	//718 Akonadi::CollectionRequester::tr(const char*, const char*, int)
    {41, 1750, 26, 3, Smoke::mf_static, 291, 6},	//719 Akonadi::CollectionRequester::trUtf8(const char*, const char*, int)
    {41, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//720 Akonadi::CollectionRequester::qt_metacall(QMetaObject::Call, int, void**)
    {41, 141, 85, 1, Smoke::mf_ctor, 63, 8},	//721 Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    {41, 141, 245, 2, Smoke::mf_ctor, 63, 9},	//722 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&, QWidget*)
    {41, 788, 0, 0, Smoke::mf_const, 34, 10},	//723 Akonadi::CollectionRequester::collection() const
    {41, 1540, 10, 1, 0, 0, 11},	//724 Akonadi::CollectionRequester::setMimeTypeFilter(const QStringList&)
    {41, 1186, 0, 0, Smoke::mf_const, 292, 12},	//725 Akonadi::CollectionRequester::mimeTypeFilter() const
    {41, 1338, 150, 1, 0, 0, 13},	//726 Akonadi::CollectionRequester::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {41, 681, 0, 0, Smoke::mf_const, 237, 14},	//727 Akonadi::CollectionRequester::accessRightsFilter() const
    {41, 757, 177, 1, 0, 0, 15},	//728 Akonadi::CollectionRequester::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {41, 1376, 61, 1, Smoke::mf_slot, 0, 16},	//729 Akonadi::CollectionRequester::setCollection(const Akonadi::Collection&)
    {41, 793, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//730 Akonadi::CollectionRequester::collectionChanged(const Akonadi::Collection&)
    {41, 1746, 21, 1, Smoke::mf_static, 291, 18},	//731 Akonadi::CollectionRequester::tr(const char*)
    {41, 1750, 21, 1, Smoke::mf_static, 291, 19},	//732 Akonadi::CollectionRequester::trUtf8(const char*)
    {41, 141, 0, 0, Smoke::mf_ctor, 63, 20},	//733 Akonadi::CollectionRequester::CollectionRequester()
    {41, 141, 61, 1, Smoke::mf_ctor, 63, 21},	//734 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    {41, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//735 Akonadi::CollectionRequester::staticMetaObject() const
    {41, 1839, 0, 0, Smoke::mf_dtor, 0, 23 },	//736 Akonadi::CollectionRequester::~CollectionRequester()
    {42, 145, 0, 0, Smoke::mf_ctor, 66, 1},	//737 Akonadi::CollectionStatistics::CollectionStatistics()
    {42, 145, 152, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 2},	//738 Akonadi::CollectionStatistics::CollectionStatistics(const Akonadi::CollectionStatistics&)
    {42, 858, 0, 0, Smoke::mf_const, 478, 3},	//739 Akonadi::CollectionStatistics::count() const
    {42, 1421, 146, 1, 0, 0, 4},	//740 Akonadi::CollectionStatistics::setCount(long long)
    {42, 1766, 0, 0, Smoke::mf_const, 478, 5},	//741 Akonadi::CollectionStatistics::unreadCount() const
    {42, 1655, 146, 1, 0, 0, 6},	//742 Akonadi::CollectionStatistics::setUnreadCount(long long)
    {42, 1680, 0, 0, Smoke::mf_const, 478, 7},	//743 Akonadi::CollectionStatistics::size() const
    {42, 1619, 146, 1, 0, 0, 8},	//744 Akonadi::CollectionStatistics::setSize(long long)
    {42, 1215, 152, 1, 0, 65, 9},	//745 Akonadi::CollectionStatistics::operator=(const Akonadi::CollectionStatistics&)
    {42, 1840, 0, 0, Smoke::mf_dtor, 0, 10 },	//746 Akonadi::CollectionStatistics::~CollectionStatistics()
    {43, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//747 Akonadi::CollectionStatisticsDelegate::metaObject() const
    {43, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//748 Akonadi::CollectionStatisticsDelegate::qt_metacast(const char*)
    {43, 1746, 23, 2, Smoke::mf_static, 291, 3},	//749 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*)
    {43, 1750, 23, 2, Smoke::mf_static, 291, 4},	//750 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*)
    {43, 1746, 26, 3, Smoke::mf_static, 291, 5},	//751 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*, int)
    {43, 1750, 26, 3, Smoke::mf_static, 291, 6},	//752 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*, int)
    {43, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//753 Akonadi::CollectionStatisticsDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {43, 147, 268, 1, Smoke::mf_ctor, 67, 8},	//754 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    {43, 147, 270, 1, Smoke::mf_ctor, 67, 9},	//755 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    {43, 1775, 0, 0, 0, 0, 10},	//756 Akonadi::CollectionStatisticsDelegate::updatePalette()
    {43, 1657, 45, 1, Smoke::mf_slot, 0, 11},	//757 Akonadi::CollectionStatisticsDelegate::setUnreadCountShown(bool)
    {43, 1767, 0, 0, Smoke::mf_const|Smoke::mf_slot, 383, 12},	//758 Akonadi::CollectionStatisticsDelegate::unreadCountShown() const
    {43, 1574, 45, 1, Smoke::mf_slot, 0, 13},	//759 Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled(bool)
    {43, 1244, 0, 0, Smoke::mf_const|Smoke::mf_slot, 383, 14},	//760 Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled() const
    {43, 1222, 272, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//761 Akonadi::CollectionStatisticsDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {43, 1049, 276, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//762 Akonadi::CollectionStatisticsDelegate::initStyleOption(QStyleOptionViewItem*, const QModelIndex&) const
    {43, 1746, 21, 1, Smoke::mf_static, 291, 17},	//763 Akonadi::CollectionStatisticsDelegate::tr(const char*)
    {43, 1750, 21, 1, Smoke::mf_static, 291, 18},	//764 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*)
    {43, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 19},	//765 Akonadi::CollectionStatisticsDelegate::staticMetaObject() const
    {43, 1841, 0, 0, Smoke::mf_dtor, 0, 20 },	//766 Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate()
    {44, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//767 Akonadi::CollectionStatisticsJob::metaObject() const
    {44, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//768 Akonadi::CollectionStatisticsJob::qt_metacast(const char*)
    {44, 1746, 23, 2, Smoke::mf_static, 291, 3},	//769 Akonadi::CollectionStatisticsJob::tr(const char*, const char*)
    {44, 1750, 23, 2, Smoke::mf_static, 291, 4},	//770 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*)
    {44, 1746, 26, 3, Smoke::mf_static, 291, 5},	//771 Akonadi::CollectionStatisticsJob::tr(const char*, const char*, int)
    {44, 1750, 26, 3, Smoke::mf_static, 291, 6},	//772 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*, int)
    {44, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//773 Akonadi::CollectionStatisticsJob::qt_metacall(QMetaObject::Call, int, void**)
    {44, 149, 165, 2, Smoke::mf_ctor, 68, 8},	//774 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&, QObject*)
    {44, 1702, 0, 0, Smoke::mf_const, 64, 9},	//775 Akonadi::CollectionStatisticsJob::statistics() const
    {44, 788, 0, 0, Smoke::mf_const, 34, 10},	//776 Akonadi::CollectionStatisticsJob::collection() const
    {44, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//777 Akonadi::CollectionStatisticsJob::doStart()
    {44, 908, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//778 Akonadi::CollectionStatisticsJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {44, 1746, 21, 1, Smoke::mf_static, 291, 13},	//779 Akonadi::CollectionStatisticsJob::tr(const char*)
    {44, 1750, 21, 1, Smoke::mf_static, 291, 14},	//780 Akonadi::CollectionStatisticsJob::trUtf8(const char*)
    {44, 149, 61, 1, Smoke::mf_ctor, 68, 15},	//781 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&)
    {44, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//782 Akonadi::CollectionStatisticsJob::staticMetaObject() const
    {44, 1842, 0, 0, Smoke::mf_dtor, 0, 17 },	//783 Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob()
    {45, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//784 Akonadi::CollectionStatisticsModel::metaObject() const
    {45, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//785 Akonadi::CollectionStatisticsModel::qt_metacast(const char*)
    {45, 1746, 23, 2, Smoke::mf_static, 291, 3},	//786 Akonadi::CollectionStatisticsModel::tr(const char*, const char*)
    {45, 1750, 23, 2, Smoke::mf_static, 291, 4},	//787 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*)
    {45, 1746, 26, 3, Smoke::mf_static, 291, 5},	//788 Akonadi::CollectionStatisticsModel::tr(const char*, const char*, int)
    {45, 1750, 26, 3, Smoke::mf_static, 291, 6},	//789 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*, int)
    {45, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//790 Akonadi::CollectionStatisticsModel::qt_metacall(QMetaObject::Call, int, void**)
    {45, 152, 78, 1, Smoke::mf_ctor, 69, 8},	//791 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel(QObject*)
    {45, 830, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 9},	//792 Akonadi::CollectionStatisticsModel::columnCount(const QModelIndex&) const
    {45, 884, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 301, 10},	//793 Akonadi::CollectionStatisticsModel::data(const QModelIndex&, int) const
    {45, 1019, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 301, 11},	//794 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation, int) const
    {45, 1746, 21, 1, Smoke::mf_static, 291, 12},	//795 Akonadi::CollectionStatisticsModel::tr(const char*)
    {45, 1750, 21, 1, Smoke::mf_static, 291, 13},	//796 Akonadi::CollectionStatisticsModel::trUtf8(const char*)
    {45, 152, 0, 0, Smoke::mf_ctor, 69, 14},	//797 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel()
    {45, 830, 0, 0, Smoke::mf_const, 475, 15},	//798 Akonadi::CollectionStatisticsModel::columnCount() const
    {45, 884, 95, 1, Smoke::mf_const, 301, 16},	//799 Akonadi::CollectionStatisticsModel::data(const QModelIndex&) const
    {45, 1019, 112, 2, Smoke::mf_const, 301, 17},	//800 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation) const
    {45, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//801 Akonadi::CollectionStatisticsModel::staticMetaObject() const
    {45, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 19},	//802 Akonadi::CollectionStatisticsModel::UnreadRole (enum)
    {45, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 20},	//803 Akonadi::CollectionStatisticsModel::TotalRole (enum)
    {45, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 21},	//804 Akonadi::CollectionStatisticsModel::StatisticsRole (enum)
    {45, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 22},	//805 Akonadi::CollectionStatisticsModel::RecursiveUnreadRole (enum)
    {45, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 23},	//806 Akonadi::CollectionStatisticsModel::RecursiveTotalRole (enum)
    {45, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 24},	//807 Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole (enum)
    {45, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 25},	//808 Akonadi::CollectionStatisticsModel::SizeRole (enum)
    {45, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 26},	//809 Akonadi::CollectionStatisticsModel::RecursiveSizeRole (enum)
    {45, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 27},	//810 Akonadi::CollectionStatisticsModel::UserRole (enum)
    {45, 1843, 0, 0, Smoke::mf_dtor, 0, 28 },	//811 Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel()
    {46, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//812 Akonadi::CollectionView::metaObject() const
    {46, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//813 Akonadi::CollectionView::qt_metacast(const char*)
    {46, 1746, 23, 2, Smoke::mf_static, 291, 3},	//814 Akonadi::CollectionView::tr(const char*, const char*)
    {46, 1750, 23, 2, Smoke::mf_static, 291, 4},	//815 Akonadi::CollectionView::trUtf8(const char*, const char*)
    {46, 1746, 26, 3, Smoke::mf_static, 291, 5},	//816 Akonadi::CollectionView::tr(const char*, const char*, int)
    {46, 1750, 26, 3, Smoke::mf_static, 291, 6},	//817 Akonadi::CollectionView::trUtf8(const char*, const char*, int)
    {46, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//818 Akonadi::CollectionView::qt_metacall(QMetaObject::Call, int, void**)
    {46, 156, 85, 1, Smoke::mf_ctor, 71, 8},	//819 Akonadi::CollectionView::CollectionView(QWidget*)
    {46, 156, 279, 2, Smoke::mf_ctor, 71, 9},	//820 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    {46, 156, 282, 2, Smoke::mf_ctor, 71, 10},	//821 Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    {46, 1670, 285, 1, 0, 0, 11},	//822 Akonadi::CollectionView::setXmlGuiWindow(KXmlGuiWindow*)
    {46, 1668, 287, 1, 0, 0, 12},	//823 Akonadi::CollectionView::setXmlGuiClient(KXMLGUIClient*)
    {46, 1547, 159, 1, Smoke::mf_virtual, 0, 13},	//824 Akonadi::CollectionView::setModel(QAbstractItemModel*)
    {46, 783, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//825 Akonadi::CollectionView::clicked(const Akonadi::Collection&)
    {46, 875, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//826 Akonadi::CollectionView::currentChanged(const Akonadi::Collection&)
    {46, 875, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//827 Akonadi::CollectionView::currentChanged(const QModelIndex&, const QModelIndex&)
    {46, 924, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//828 Akonadi::CollectionView::dragMoveEvent(QDragMoveEvent*)
    {46, 922, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//829 Akonadi::CollectionView::dragLeaveEvent(QDragLeaveEvent*)
    {46, 928, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//830 Akonadi::CollectionView::dropEvent(QDropEvent*)
    {46, 856, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//831 Akonadi::CollectionView::contextMenuEvent(QContextMenuEvent*)
    {46, 1746, 21, 1, Smoke::mf_static, 291, 21},	//832 Akonadi::CollectionView::tr(const char*)
    {46, 1750, 21, 1, Smoke::mf_static, 291, 22},	//833 Akonadi::CollectionView::trUtf8(const char*)
    {46, 156, 0, 0, Smoke::mf_ctor, 71, 23},	//834 Akonadi::CollectionView::CollectionView()
    {46, 156, 285, 1, Smoke::mf_ctor, 71, 24},	//835 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    {46, 156, 287, 1, Smoke::mf_ctor, 71, 25},	//836 Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    {46, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 26},	//837 Akonadi::CollectionView::staticMetaObject() const
    {46, 1844, 0, 0, Smoke::mf_dtor, 0, 27 },	//838 Akonadi::CollectionView::~CollectionView()
    {47, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//839 Akonadi::ContactDefaultActions::metaObject() const
    {47, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//840 Akonadi::ContactDefaultActions::qt_metacast(const char*)
    {47, 1746, 23, 2, Smoke::mf_static, 291, 3},	//841 Akonadi::ContactDefaultActions::tr(const char*, const char*)
    {47, 1750, 23, 2, Smoke::mf_static, 291, 4},	//842 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*)
    {47, 1746, 26, 3, Smoke::mf_static, 291, 5},	//843 Akonadi::ContactDefaultActions::tr(const char*, const char*, int)
    {47, 1750, 26, 3, Smoke::mf_static, 291, 6},	//844 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*, int)
    {47, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//845 Akonadi::ContactDefaultActions::qt_metacall(QMetaObject::Call, int, void**)
    {47, 162, 78, 1, Smoke::mf_ctor, 72, 8},	//846 Akonadi::ContactDefaultActions::ContactDefaultActions(QObject*)
    {47, 843, 78, 1, 0, 0, 9},	//847 Akonadi::ContactDefaultActions::connectToView(QObject*)
    {47, 1678, 148, 1, Smoke::mf_slot, 0, 10},	//848 Akonadi::ContactDefaultActions::showUrl(const KUrl&)
    {47, 1325, 300, 2, Smoke::mf_slot, 0, 11},	//849 Akonadi::ContactDefaultActions::sendEmail(const QString&, const QString&)
    {47, 901, 303, 1, Smoke::mf_slot, 0, 12},	//850 Akonadi::ContactDefaultActions::dialPhoneNumber(const KABC::PhoneNumber&)
    {47, 1329, 303, 1, Smoke::mf_slot, 0, 13},	//851 Akonadi::ContactDefaultActions::sendSms(const KABC::PhoneNumber&)
    {47, 1672, 305, 1, Smoke::mf_slot, 0, 14},	//852 Akonadi::ContactDefaultActions::showAddress(const KABC::Address&)
    {47, 1746, 21, 1, Smoke::mf_static, 291, 15},	//853 Akonadi::ContactDefaultActions::tr(const char*)
    {47, 1750, 21, 1, Smoke::mf_static, 291, 16},	//854 Akonadi::ContactDefaultActions::trUtf8(const char*)
    {47, 162, 0, 0, Smoke::mf_ctor, 72, 17},	//855 Akonadi::ContactDefaultActions::ContactDefaultActions()
    {47, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//856 Akonadi::ContactDefaultActions::staticMetaObject() const
    {47, 1845, 0, 0, Smoke::mf_dtor, 0, 19 },	//857 Akonadi::ContactDefaultActions::~ContactDefaultActions()
    {48, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//858 Akonadi::ContactEditor::metaObject() const
    {48, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//859 Akonadi::ContactEditor::qt_metacast(const char*)
    {48, 1746, 23, 2, Smoke::mf_static, 291, 3},	//860 Akonadi::ContactEditor::tr(const char*, const char*)
    {48, 1750, 23, 2, Smoke::mf_static, 291, 4},	//861 Akonadi::ContactEditor::trUtf8(const char*, const char*)
    {48, 1746, 26, 3, Smoke::mf_static, 291, 5},	//862 Akonadi::ContactEditor::tr(const char*, const char*, int)
    {48, 1750, 26, 3, Smoke::mf_static, 291, 6},	//863 Akonadi::ContactEditor::trUtf8(const char*, const char*, int)
    {48, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//864 Akonadi::ContactEditor::qt_metacall(QMetaObject::Call, int, void**)
    {48, 164, 307, 2, Smoke::mf_ctor, 73, 8},	//865 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    {48, 164, 310, 3, Smoke::mf_ctor, 73, 9},	//866 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {48, 164, 314, 3, Smoke::mf_ctor, 73, 10},	//867 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::ContactEditor::DisplayMode, QWidget*)
    {48, 1413, 318, 1, 0, 0, 11},	//868 Akonadi::ContactEditor::setContactTemplate(const KABC::Addressee&)
    {48, 1430, 61, 1, 0, 0, 12},	//869 Akonadi::ContactEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {48, 845, 0, 0, 0, 187, 13},	//870 Akonadi::ContactEditor::contact()
    {48, 1162, 56, 1, Smoke::mf_slot, 0, 14},	//871 Akonadi::ContactEditor::loadContact(const Akonadi::Item&)
    {48, 1303, 0, 0, Smoke::mf_slot, 383, 15},	//872 Akonadi::ContactEditor::saveContact()
    {48, 1305, 0, 0, Smoke::mf_slot, 0, 16},	//873 Akonadi::ContactEditor::saveContactInAddressBook()
    {48, 850, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//874 Akonadi::ContactEditor::contactStored(const Akonadi::Item&)
    {48, 955, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//875 Akonadi::ContactEditor::error(const QString&)
    {48, 995, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//876 Akonadi::ContactEditor::finished()
    {48, 1746, 21, 1, Smoke::mf_static, 291, 20},	//877 Akonadi::ContactEditor::tr(const char*)
    {48, 1750, 21, 1, Smoke::mf_static, 291, 21},	//878 Akonadi::ContactEditor::trUtf8(const char*)
    {48, 164, 320, 1, Smoke::mf_ctor, 73, 22},	//879 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode)
    {48, 164, 322, 2, Smoke::mf_ctor, 73, 23},	//880 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    {48, 164, 325, 2, Smoke::mf_ctor, 73, 24},	//881 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::ContactEditor::DisplayMode)
    {48, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 25},	//882 Akonadi::ContactEditor::staticMetaObject() const
    {48, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 26},	//883 Akonadi::ContactEditor::CreateMode (enum)
    {48, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 27},	//884 Akonadi::ContactEditor::EditMode (enum)
    {48, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 28},	//885 Akonadi::ContactEditor::FullMode (enum)
    {48, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 29},	//886 Akonadi::ContactEditor::VCardMode (enum)
    {48, 1846, 0, 0, Smoke::mf_dtor, 0, 30 },	//887 Akonadi::ContactEditor::~ContactEditor()
    {49, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//888 Akonadi::ContactEditorDialog::metaObject() const
    {49, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//889 Akonadi::ContactEditorDialog::qt_metacast(const char*)
    {49, 1746, 23, 2, Smoke::mf_static, 291, 3},	//890 Akonadi::ContactEditorDialog::tr(const char*, const char*)
    {49, 1750, 23, 2, Smoke::mf_static, 291, 4},	//891 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*)
    {49, 1746, 26, 3, Smoke::mf_static, 291, 5},	//892 Akonadi::ContactEditorDialog::tr(const char*, const char*, int)
    {49, 1750, 26, 3, Smoke::mf_static, 291, 6},	//893 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*, int)
    {49, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//894 Akonadi::ContactEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {49, 170, 328, 2, Smoke::mf_ctor, 76, 8},	//895 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    {49, 170, 331, 3, Smoke::mf_ctor, 76, 9},	//896 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {49, 170, 335, 3, Smoke::mf_ctor, 76, 10},	//897 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::ContactEditorDialog::DisplayMode, QWidget*)
    {49, 1403, 56, 1, 0, 0, 11},	//898 Akonadi::ContactEditorDialog::setContact(const Akonadi::Item&)
    {49, 1430, 61, 1, 0, 0, 12},	//899 Akonadi::ContactEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {49, 938, 0, 0, Smoke::mf_const, 73, 13},	//900 Akonadi::ContactEditorDialog::editor() const
    {49, 850, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//901 Akonadi::ContactEditorDialog::contactStored(const Akonadi::Item&)
    {49, 955, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//902 Akonadi::ContactEditorDialog::error(const QString&)
    {49, 680, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 16},	//903 Akonadi::ContactEditorDialog::accept()
    {49, 1746, 21, 1, Smoke::mf_static, 291, 17},	//904 Akonadi::ContactEditorDialog::tr(const char*)
    {49, 1750, 21, 1, Smoke::mf_static, 291, 18},	//905 Akonadi::ContactEditorDialog::trUtf8(const char*)
    {49, 170, 339, 1, Smoke::mf_ctor, 76, 19},	//906 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode)
    {49, 170, 341, 2, Smoke::mf_ctor, 76, 20},	//907 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    {49, 170, 344, 2, Smoke::mf_ctor, 76, 21},	//908 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::ContactEditorDialog::DisplayMode)
    {49, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//909 Akonadi::ContactEditorDialog::staticMetaObject() const
    {49, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 23},	//910 Akonadi::ContactEditorDialog::CreateMode (enum)
    {49, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 24},	//911 Akonadi::ContactEditorDialog::EditMode (enum)
    {49, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 25},	//912 Akonadi::ContactEditorDialog::FullMode (enum)
    {49, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 26},	//913 Akonadi::ContactEditorDialog::VCardMode (enum)
    {49, 1847, 0, 0, Smoke::mf_dtor, 0, 27 },	//914 Akonadi::ContactEditorDialog::~ContactEditorDialog()
    {50, 1744, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 291, 1},	//915 Akonadi::ContactEditorPagePlugin::title() const [pure virtual]
    {50, 1162, 318, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//916 Akonadi::ContactEditorPagePlugin::loadContact(const KABC::Addressee&) [pure virtual]
    {50, 1711, 347, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//917 Akonadi::ContactEditorPagePlugin::storeContact(KABC::Addressee&) const [pure virtual]
    {50, 1585, 45, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//918 Akonadi::ContactEditorPagePlugin::setReadOnly(bool) [pure virtual]
    {50, 176, 0, 0, Smoke::mf_ctor, 79, 5},	//919 Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin()
    {50, 1848, 0, 0, Smoke::mf_dtor, 0, 6 },	//920 Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin()
    {51, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//921 Akonadi::ContactGroupEditor::metaObject() const
    {51, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//922 Akonadi::ContactGroupEditor::qt_metacast(const char*)
    {51, 1746, 23, 2, Smoke::mf_static, 291, 3},	//923 Akonadi::ContactGroupEditor::tr(const char*, const char*)
    {51, 1750, 23, 2, Smoke::mf_static, 291, 4},	//924 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*)
    {51, 1746, 26, 3, Smoke::mf_static, 291, 5},	//925 Akonadi::ContactGroupEditor::tr(const char*, const char*, int)
    {51, 1750, 26, 3, Smoke::mf_static, 291, 6},	//926 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*, int)
    {51, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//927 Akonadi::ContactGroupEditor::qt_metacall(QMetaObject::Call, int, void**)
    {51, 177, 349, 2, Smoke::mf_ctor, 80, 8},	//928 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode, QWidget*)
    {51, 1411, 352, 1, 0, 0, 9},	//929 Akonadi::ContactGroupEditor::setContactGroupTemplate(const KABC::ContactGroup&)
    {51, 1430, 61, 1, 0, 0, 10},	//930 Akonadi::ContactGroupEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {51, 1007, 45, 1, 0, 0, 11},	//931 Akonadi::ContactGroupEditor::groupNameIsValid(bool)
    {51, 1164, 56, 1, Smoke::mf_slot, 0, 12},	//932 Akonadi::ContactGroupEditor::loadContactGroup(const Akonadi::Item&)
    {51, 1304, 0, 0, Smoke::mf_slot, 383, 13},	//933 Akonadi::ContactGroupEditor::saveContactGroup()
    {51, 847, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//934 Akonadi::ContactGroupEditor::contactGroupStored(const Akonadi::Item&)
    {51, 955, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//935 Akonadi::ContactGroupEditor::error(const QString&)
    {51, 1746, 21, 1, Smoke::mf_static, 291, 16},	//936 Akonadi::ContactGroupEditor::tr(const char*)
    {51, 1750, 21, 1, Smoke::mf_static, 291, 17},	//937 Akonadi::ContactGroupEditor::trUtf8(const char*)
    {51, 177, 354, 1, Smoke::mf_ctor, 80, 18},	//938 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode)
    {51, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 19},	//939 Akonadi::ContactGroupEditor::staticMetaObject() const
    {51, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 20},	//940 Akonadi::ContactGroupEditor::CreateMode (enum)
    {51, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 21},	//941 Akonadi::ContactGroupEditor::EditMode (enum)
    {51, 1849, 0, 0, Smoke::mf_dtor, 0, 22 },	//942 Akonadi::ContactGroupEditor::~ContactGroupEditor()
    {52, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//943 Akonadi::ContactGroupEditorDialog::metaObject() const
    {52, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//944 Akonadi::ContactGroupEditorDialog::qt_metacast(const char*)
    {52, 1746, 23, 2, Smoke::mf_static, 291, 3},	//945 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*)
    {52, 1750, 23, 2, Smoke::mf_static, 291, 4},	//946 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*)
    {52, 1746, 26, 3, Smoke::mf_static, 291, 5},	//947 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*, int)
    {52, 1750, 26, 3, Smoke::mf_static, 291, 6},	//948 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*, int)
    {52, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//949 Akonadi::ContactGroupEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {52, 180, 356, 2, Smoke::mf_ctor, 82, 8},	//950 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode, QWidget*)
    {52, 1407, 56, 1, 0, 0, 9},	//951 Akonadi::ContactGroupEditorDialog::setContactGroup(const Akonadi::Item&)
    {52, 1430, 61, 1, 0, 0, 10},	//952 Akonadi::ContactGroupEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {52, 938, 0, 0, Smoke::mf_const, 80, 11},	//953 Akonadi::ContactGroupEditorDialog::editor() const
    {52, 847, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//954 Akonadi::ContactGroupEditorDialog::contactGroupStored(const Akonadi::Item&)
    {52, 1684, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//955 Akonadi::ContactGroupEditorDialog::slotButtonClicked(int)
    {52, 1746, 21, 1, Smoke::mf_static, 291, 14},	//956 Akonadi::ContactGroupEditorDialog::tr(const char*)
    {52, 1750, 21, 1, Smoke::mf_static, 291, 15},	//957 Akonadi::ContactGroupEditorDialog::trUtf8(const char*)
    {52, 180, 359, 1, Smoke::mf_ctor, 82, 16},	//958 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode)
    {52, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//959 Akonadi::ContactGroupEditorDialog::staticMetaObject() const
    {52, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 18},	//960 Akonadi::ContactGroupEditorDialog::CreateMode (enum)
    {52, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 19},	//961 Akonadi::ContactGroupEditorDialog::EditMode (enum)
    {52, 1850, 0, 0, Smoke::mf_dtor, 0, 20 },	//962 Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog()
    {53, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//963 Akonadi::ContactGroupExpandJob::metaObject() const
    {53, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//964 Akonadi::ContactGroupExpandJob::qt_metacast(const char*)
    {53, 1746, 23, 2, Smoke::mf_static, 291, 3},	//965 Akonadi::ContactGroupExpandJob::tr(const char*, const char*)
    {53, 1750, 23, 2, Smoke::mf_static, 291, 4},	//966 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*)
    {53, 1746, 26, 3, Smoke::mf_static, 291, 5},	//967 Akonadi::ContactGroupExpandJob::tr(const char*, const char*, int)
    {53, 1750, 26, 3, Smoke::mf_static, 291, 6},	//968 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*, int)
    {53, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//969 Akonadi::ContactGroupExpandJob::qt_metacall(QMetaObject::Call, int, void**)
    {53, 183, 361, 2, Smoke::mf_ctor, 84, 8},	//970 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&, QObject*)
    {53, 183, 90, 2, Smoke::mf_ctor, 84, 9},	//971 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&, QObject*)
    {53, 852, 0, 0, Smoke::mf_const, 189, 10},	//972 Akonadi::ContactGroupExpandJob::contacts() const
    {53, 1693, 0, 0, Smoke::mf_virtual, 0, 11},	//973 Akonadi::ContactGroupExpandJob::start()
    {53, 1746, 21, 1, Smoke::mf_static, 291, 12},	//974 Akonadi::ContactGroupExpandJob::tr(const char*)
    {53, 1750, 21, 1, Smoke::mf_static, 291, 13},	//975 Akonadi::ContactGroupExpandJob::trUtf8(const char*)
    {53, 183, 352, 1, Smoke::mf_ctor, 84, 14},	//976 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&)
    {53, 183, 8, 1, Smoke::mf_ctor, 84, 15},	//977 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&)
    {53, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//978 Akonadi::ContactGroupExpandJob::staticMetaObject() const
    {53, 1851, 0, 0, Smoke::mf_dtor, 0, 17 },	//979 Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob()
    {54, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//980 Akonadi::ContactGroupSearchJob::metaObject() const
    {54, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//981 Akonadi::ContactGroupSearchJob::qt_metacast(const char*)
    {54, 1746, 23, 2, Smoke::mf_static, 291, 3},	//982 Akonadi::ContactGroupSearchJob::tr(const char*, const char*)
    {54, 1750, 23, 2, Smoke::mf_static, 291, 4},	//983 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*)
    {54, 1746, 26, 3, Smoke::mf_static, 291, 5},	//984 Akonadi::ContactGroupSearchJob::tr(const char*, const char*, int)
    {54, 1750, 26, 3, Smoke::mf_static, 291, 6},	//985 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*, int)
    {54, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//986 Akonadi::ContactGroupSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {54, 188, 78, 1, Smoke::mf_ctor, 85, 8},	//987 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob(QObject*)
    {54, 1576, 364, 2, 0, 0, 9},	//988 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&)
    {54, 1576, 367, 3, 0, 0, 10},	//989 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match)
    {54, 1529, 41, 1, 0, 0, 11},	//990 Akonadi::ContactGroupSearchJob::setLimit(int)
    {54, 849, 0, 0, Smoke::mf_const, 266, 12},	//991 Akonadi::ContactGroupSearchJob::contactGroups() const
    {54, 1746, 21, 1, Smoke::mf_static, 291, 13},	//992 Akonadi::ContactGroupSearchJob::tr(const char*)
    {54, 1750, 21, 1, Smoke::mf_static, 291, 14},	//993 Akonadi::ContactGroupSearchJob::trUtf8(const char*)
    {54, 188, 0, 0, Smoke::mf_ctor, 85, 15},	//994 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob()
    {54, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//995 Akonadi::ContactGroupSearchJob::staticMetaObject() const
    {54, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 17},	//996 Akonadi::ContactGroupSearchJob::Name (enum)
    {54, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 18},	//997 Akonadi::ContactGroupSearchJob::ExactMatch (enum)
    {54, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 19},	//998 Akonadi::ContactGroupSearchJob::StartsWithMatch (enum)
    {54, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 20},	//999 Akonadi::ContactGroupSearchJob::ContainsMatch (enum)
    {54, 1852, 0, 0, Smoke::mf_dtor, 0, 21 },	//1000 Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob()
    {55, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1001 Akonadi::ContactGroupViewer::metaObject() const
    {55, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1002 Akonadi::ContactGroupViewer::qt_metacast(const char*)
    {55, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1003 Akonadi::ContactGroupViewer::tr(const char*, const char*)
    {55, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1004 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*)
    {55, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1005 Akonadi::ContactGroupViewer::tr(const char*, const char*, int)
    {55, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1006 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*, int)
    {55, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1007 Akonadi::ContactGroupViewer::qt_metacall(QMetaObject::Call, int, void**)
    {55, 190, 85, 1, Smoke::mf_ctor, 88, 8},	//1008 Akonadi::ContactGroupViewer::ContactGroupViewer(QWidget*)
    {55, 846, 0, 0, Smoke::mf_const, 115, 9},	//1009 Akonadi::ContactGroupViewer::contactGroup() const
    {55, 1409, 371, 1, 0, 0, 10},	//1010 Akonadi::ContactGroupViewer::setContactGroupFormatter(Akonadi::AbstractContactGroupFormatter*)
    {55, 1407, 56, 1, Smoke::mf_slot, 0, 11},	//1011 Akonadi::ContactGroupViewer::setContactGroup(const Akonadi::Item&)
    {55, 941, 300, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1012 Akonadi::ContactGroupViewer::emailClicked(const QString&, const QString&)
    {55, 1746, 21, 1, Smoke::mf_static, 291, 13},	//1013 Akonadi::ContactGroupViewer::tr(const char*)
    {55, 1750, 21, 1, Smoke::mf_static, 291, 14},	//1014 Akonadi::ContactGroupViewer::trUtf8(const char*)
    {55, 190, 0, 0, Smoke::mf_ctor, 88, 15},	//1015 Akonadi::ContactGroupViewer::ContactGroupViewer()
    {55, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//1016 Akonadi::ContactGroupViewer::staticMetaObject() const
    {55, 1853, 0, 0, Smoke::mf_dtor, 0, 17 },	//1017 Akonadi::ContactGroupViewer::~ContactGroupViewer()
    {56, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1018 Akonadi::ContactGroupViewerDialog::metaObject() const
    {56, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1019 Akonadi::ContactGroupViewerDialog::qt_metacast(const char*)
    {56, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1020 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*)
    {56, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1021 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*)
    {56, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1022 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*, int)
    {56, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1023 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*, int)
    {56, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1024 Akonadi::ContactGroupViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {56, 192, 85, 1, Smoke::mf_ctor, 89, 8},	//1025 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog(QWidget*)
    {56, 846, 0, 0, Smoke::mf_const, 115, 9},	//1026 Akonadi::ContactGroupViewerDialog::contactGroup() const
    {56, 1788, 0, 0, Smoke::mf_const, 88, 10},	//1027 Akonadi::ContactGroupViewerDialog::viewer() const
    {56, 1407, 56, 1, Smoke::mf_slot, 0, 11},	//1028 Akonadi::ContactGroupViewerDialog::setContactGroup(const Akonadi::Item&)
    {56, 1746, 21, 1, Smoke::mf_static, 291, 12},	//1029 Akonadi::ContactGroupViewerDialog::tr(const char*)
    {56, 1750, 21, 1, Smoke::mf_static, 291, 13},	//1030 Akonadi::ContactGroupViewerDialog::trUtf8(const char*)
    {56, 192, 0, 0, Smoke::mf_ctor, 89, 14},	//1031 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog()
    {56, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1032 Akonadi::ContactGroupViewerDialog::staticMetaObject() const
    {56, 1854, 0, 0, Smoke::mf_dtor, 0, 16 },	//1033 Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog()
    {57, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1034 Akonadi::ContactSearchJob::metaObject() const
    {57, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1035 Akonadi::ContactSearchJob::qt_metacast(const char*)
    {57, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1036 Akonadi::ContactSearchJob::tr(const char*, const char*)
    {57, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1037 Akonadi::ContactSearchJob::trUtf8(const char*, const char*)
    {57, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1038 Akonadi::ContactSearchJob::tr(const char*, const char*, int)
    {57, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1039 Akonadi::ContactSearchJob::trUtf8(const char*, const char*, int)
    {57, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1040 Akonadi::ContactSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {57, 194, 78, 1, Smoke::mf_ctor, 90, 8},	//1041 Akonadi::ContactSearchJob::ContactSearchJob(QObject*)
    {57, 1576, 373, 2, 0, 0, 9},	//1042 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&)
    {57, 1576, 376, 3, 0, 0, 10},	//1043 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match)
    {57, 1529, 41, 1, 0, 0, 11},	//1044 Akonadi::ContactSearchJob::setLimit(int)
    {57, 852, 0, 0, Smoke::mf_const, 189, 12},	//1045 Akonadi::ContactSearchJob::contacts() const
    {57, 1746, 21, 1, Smoke::mf_static, 291, 13},	//1046 Akonadi::ContactSearchJob::tr(const char*)
    {57, 1750, 21, 1, Smoke::mf_static, 291, 14},	//1047 Akonadi::ContactSearchJob::trUtf8(const char*)
    {57, 194, 0, 0, Smoke::mf_ctor, 90, 15},	//1048 Akonadi::ContactSearchJob::ContactSearchJob()
    {57, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//1049 Akonadi::ContactSearchJob::staticMetaObject() const
    {57, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 17},	//1050 Akonadi::ContactSearchJob::Name (enum)
    {57, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 18},	//1051 Akonadi::ContactSearchJob::Email (enum)
    {57, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 19},	//1052 Akonadi::ContactSearchJob::NickName (enum)
    {57, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 20},	//1053 Akonadi::ContactSearchJob::NameOrEmail (enum)
    {57, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 21},	//1054 Akonadi::ContactSearchJob::ContactUid (enum)
    {57, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 22},	//1055 Akonadi::ContactSearchJob::ExactMatch (enum)
    {57, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 23},	//1056 Akonadi::ContactSearchJob::StartsWithMatch (enum)
    {57, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 24},	//1057 Akonadi::ContactSearchJob::ContainsMatch (enum)
    {57, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 25},	//1058 Akonadi::ContactSearchJob::ContainsWordBoundaryMatch (enum)
    {57, 1855, 0, 0, Smoke::mf_dtor, 0, 26 },	//1059 Akonadi::ContactSearchJob::~ContactSearchJob()
    {58, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1060 Akonadi::ContactViewer::metaObject() const
    {58, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1061 Akonadi::ContactViewer::qt_metacast(const char*)
    {58, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1062 Akonadi::ContactViewer::tr(const char*, const char*)
    {58, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1063 Akonadi::ContactViewer::trUtf8(const char*, const char*)
    {58, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1064 Akonadi::ContactViewer::tr(const char*, const char*, int)
    {58, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1065 Akonadi::ContactViewer::trUtf8(const char*, const char*, int)
    {58, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1066 Akonadi::ContactViewer::qt_metacall(QMetaObject::Call, int, void**)
    {58, 197, 85, 1, Smoke::mf_ctor, 93, 8},	//1067 Akonadi::ContactViewer::ContactViewer(QWidget*)
    {58, 845, 0, 0, Smoke::mf_const, 115, 9},	//1068 Akonadi::ContactViewer::contact() const
    {58, 1250, 0, 0, Smoke::mf_const, 187, 10},	//1069 Akonadi::ContactViewer::rawContact() const
    {58, 1405, 380, 1, 0, 0, 11},	//1070 Akonadi::ContactViewer::setContactFormatter(Akonadi::AbstractContactFormatter*)
    {58, 1403, 56, 1, Smoke::mf_slot, 0, 12},	//1071 Akonadi::ContactViewer::setContact(const Akonadi::Item&)
    {58, 1583, 318, 1, Smoke::mf_slot, 0, 13},	//1072 Akonadi::ContactViewer::setRawContact(const KABC::Addressee&)
    {58, 1778, 148, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1073 Akonadi::ContactViewer::urlClicked(const KUrl&)
    {58, 941, 300, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1074 Akonadi::ContactViewer::emailClicked(const QString&, const QString&)
    {58, 1239, 303, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1075 Akonadi::ContactViewer::phoneNumberClicked(const KABC::PhoneNumber&)
    {58, 1689, 303, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1076 Akonadi::ContactViewer::smsClicked(const KABC::PhoneNumber&)
    {58, 714, 305, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1077 Akonadi::ContactViewer::addressClicked(const KABC::Address&)
    {58, 1746, 21, 1, Smoke::mf_static, 291, 19},	//1078 Akonadi::ContactViewer::tr(const char*)
    {58, 1750, 21, 1, Smoke::mf_static, 291, 20},	//1079 Akonadi::ContactViewer::trUtf8(const char*)
    {58, 197, 0, 0, Smoke::mf_ctor, 93, 21},	//1080 Akonadi::ContactViewer::ContactViewer()
    {58, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//1081 Akonadi::ContactViewer::staticMetaObject() const
    {58, 1856, 0, 0, Smoke::mf_dtor, 0, 23 },	//1082 Akonadi::ContactViewer::~ContactViewer()
    {59, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1083 Akonadi::ContactViewerDialog::metaObject() const
    {59, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1084 Akonadi::ContactViewerDialog::qt_metacast(const char*)
    {59, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1085 Akonadi::ContactViewerDialog::tr(const char*, const char*)
    {59, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1086 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*)
    {59, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1087 Akonadi::ContactViewerDialog::tr(const char*, const char*, int)
    {59, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1088 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*, int)
    {59, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1089 Akonadi::ContactViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {59, 199, 85, 1, Smoke::mf_ctor, 94, 8},	//1090 Akonadi::ContactViewerDialog::ContactViewerDialog(QWidget*)
    {59, 845, 0, 0, Smoke::mf_const, 115, 9},	//1091 Akonadi::ContactViewerDialog::contact() const
    {59, 1788, 0, 0, Smoke::mf_const, 93, 10},	//1092 Akonadi::ContactViewerDialog::viewer() const
    {59, 1403, 56, 1, Smoke::mf_slot, 0, 11},	//1093 Akonadi::ContactViewerDialog::setContact(const Akonadi::Item&)
    {59, 1746, 21, 1, Smoke::mf_static, 291, 12},	//1094 Akonadi::ContactViewerDialog::tr(const char*)
    {59, 1750, 21, 1, Smoke::mf_static, 291, 13},	//1095 Akonadi::ContactViewerDialog::trUtf8(const char*)
    {59, 199, 0, 0, Smoke::mf_ctor, 94, 14},	//1096 Akonadi::ContactViewerDialog::ContactViewerDialog()
    {59, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1097 Akonadi::ContactViewerDialog::staticMetaObject() const
    {59, 1857, 0, 0, Smoke::mf_dtor, 0, 16 },	//1098 Akonadi::ContactViewerDialog::~ContactViewerDialog()
    {60, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1099 Akonadi::Control::metaObject() const
    {60, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1100 Akonadi::Control::qt_metacast(const char*)
    {60, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1101 Akonadi::Control::tr(const char*, const char*)
    {60, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1102 Akonadi::Control::trUtf8(const char*, const char*)
    {60, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1103 Akonadi::Control::tr(const char*, const char*, int)
    {60, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1104 Akonadi::Control::trUtf8(const char*, const char*, int)
    {60, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1105 Akonadi::Control::qt_metacall(QMetaObject::Call, int, void**)
    {60, 1693, 0, 0, Smoke::mf_static, 383, 8},	//1106 Akonadi::Control::start()
    {60, 1693, 85, 1, Smoke::mf_static, 383, 9},	//1107 Akonadi::Control::start(QWidget*)
    {60, 1707, 0, 0, Smoke::mf_static, 383, 10},	//1108 Akonadi::Control::stop()
    {60, 1707, 85, 1, Smoke::mf_static, 383, 11},	//1109 Akonadi::Control::stop(QWidget*)
    {60, 1280, 0, 0, Smoke::mf_static, 383, 12},	//1110 Akonadi::Control::restart()
    {60, 1280, 85, 1, Smoke::mf_static, 383, 13},	//1111 Akonadi::Control::restart(QWidget*)
    {60, 1799, 85, 1, Smoke::mf_static, 0, 14},	//1112 Akonadi::Control::widgetNeedsAkonadi(QWidget*)
    {60, 204, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 95, 15},	//1113 Akonadi::Control::Control()
    {60, 1746, 21, 1, Smoke::mf_static, 291, 16},	//1114 Akonadi::Control::tr(const char*)
    {60, 1750, 21, 1, Smoke::mf_static, 291, 17},	//1115 Akonadi::Control::trUtf8(const char*)
    {60, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//1116 Akonadi::Control::staticMetaObject() const
    {60, 1858, 0, 0, Smoke::mf_dtor, 0, 19 },	//1117 Akonadi::Control::~Control()
    {61, 1489, 146, 1, 0, 0, 1},	//1118 Akonadi::Entity::setId(long long)
    {61, 1030, 0, 0, Smoke::mf_const, 478, 2},	//1119 Akonadi::Entity::id() const
    {61, 1589, 8, 1, 0, 0, 3},	//1120 Akonadi::Entity::setRemoteId(const QString&)
    {61, 1259, 0, 0, Smoke::mf_const, 291, 4},	//1121 Akonadi::Entity::remoteId() const
    {61, 1591, 8, 1, 0, 0, 5},	//1122 Akonadi::Entity::setRemoteRevision(const QString&)
    {61, 1260, 0, 0, Smoke::mf_const, 291, 6},	//1123 Akonadi::Entity::remoteRevision() const
    {61, 1096, 0, 0, Smoke::mf_const, 383, 7},	//1124 Akonadi::Entity::isValid() const
    {61, 1217, 382, 1, Smoke::mf_const, 383, 8},	//1125 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {61, 1211, 382, 1, Smoke::mf_const, 383, 9},	//1126 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {61, 1215, 382, 1, 0, 96, 10},	//1127 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {61, 1213, 382, 1, Smoke::mf_const, 383, 11},	//1128 Akonadi::Entity::operator<(const Akonadi::Entity&) const
    {61, 1229, 0, 0, Smoke::mf_const, 34, 12},	//1129 Akonadi::Entity::parentCollection() const
    {61, 1229, 0, 0, 0, 35, 13},	//1130 Akonadi::Entity::parentCollection()
    {61, 1565, 61, 1, 0, 0, 14},	//1131 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {61, 690, 384, 1, 0, 0, 15},	//1132 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {61, 1261, 6, 1, 0, 0, 16},	//1133 Akonadi::Entity::removeAttribute(const QByteArray&)
    {61, 1009, 6, 1, Smoke::mf_const, 383, 17},	//1134 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {61, 735, 0, 0, Smoke::mf_const, 260, 18},	//1135 Akonadi::Entity::attributes() const
    {61, 772, 0, 0, 0, 0, 19},	//1136 Akonadi::Entity::clearAttributes()
    {61, 733, 6, 1, Smoke::mf_const, 27, 20},	//1137 Akonadi::Entity::attribute(const QByteArray&) const
    {61, 247, 382, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 97, 21},	//1138 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {61, 247, 386, 1, Smoke::mf_ctor|Smoke::mf_protected, 97, 22},	//1139 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {61, 883, 0, 0, Smoke::mf_protected, 103, 23},	//1140 Akonadi::Entity::d_func()
    {61, 883, 0, 0, Smoke::mf_const|Smoke::mf_protected, 406, 24},	//1141 Akonadi::Entity::d_func() const
    {61, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 25},	//1142 Akonadi::Entity::AddIfMissing (enum)
    {61, 1859, 0, 0, Smoke::mf_dtor, 0, 26 },	//1143 Akonadi::Entity::~Entity()
    {62, 249, 0, 0, Smoke::mf_ctor, 99, 1},	//1144 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute()
    {62, 1440, 8, 1, 0, 0, 2},	//1145 Akonadi::EntityDisplayAttribute::setDisplayName(const QString&)
    {62, 906, 0, 0, Smoke::mf_const, 291, 3},	//1146 Akonadi::EntityDisplayAttribute::displayName() const
    {62, 1487, 8, 1, 0, 0, 4},	//1147 Akonadi::EntityDisplayAttribute::setIconName(const QString&)
    {62, 1028, 0, 0, Smoke::mf_const, 208, 5},	//1148 Akonadi::EntityDisplayAttribute::icon() const
    {62, 1029, 0, 0, Smoke::mf_const, 291, 6},	//1149 Akonadi::EntityDisplayAttribute::iconName() const
    {62, 1342, 8, 1, 0, 0, 7},	//1150 Akonadi::EntityDisplayAttribute::setActiveIconName(const QString&)
    {62, 688, 0, 0, Smoke::mf_const, 208, 8},	//1151 Akonadi::EntityDisplayAttribute::activeIcon() const
    {62, 689, 0, 0, Smoke::mf_const, 291, 9},	//1152 Akonadi::EntityDisplayAttribute::activeIconName() const
    {62, 742, 0, 0, Smoke::mf_const, 227, 10},	//1153 Akonadi::EntityDisplayAttribute::backgroundColor() const
    {62, 1355, 388, 1, 0, 0, 11},	//1154 Akonadi::EntityDisplayAttribute::setBackgroundColor(const QColor&)
    {62, 1754, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 12},	//1155 Akonadi::EntityDisplayAttribute::type() const
    {62, 785, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 99, 13},	//1156 Akonadi::EntityDisplayAttribute::clone() const
    {62, 1333, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 14},	//1157 Akonadi::EntityDisplayAttribute::serialized() const
    {62, 896, 6, 1, Smoke::mf_virtual, 0, 15},	//1158 Akonadi::EntityDisplayAttribute::deserialize(const QByteArray&)
    {62, 249, 390, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 16},	//1159 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute(const Akonadi::EntityDisplayAttribute&)
    {62, 1860, 0, 0, Smoke::mf_dtor, 0, 17 },	//1160 Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute()
    {63, 251, 0, 0, Smoke::mf_ctor, 100, 1},	//1161 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute()
    {63, 1754, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 2},	//1162 Akonadi::EntityHiddenAttribute::type() const
    {63, 785, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 100, 3},	//1163 Akonadi::EntityHiddenAttribute::clone() const
    {63, 1333, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 4},	//1164 Akonadi::EntityHiddenAttribute::serialized() const
    {63, 896, 6, 1, Smoke::mf_virtual, 0, 5},	//1165 Akonadi::EntityHiddenAttribute::deserialize(const QByteArray&)
    {63, 251, 392, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 6},	//1166 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute(const Akonadi::EntityHiddenAttribute&)
    {63, 1861, 0, 0, Smoke::mf_dtor, 0, 7 },	//1167 Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute()
    {64, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1168 Akonadi::EntityListView::metaObject() const
    {64, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1169 Akonadi::EntityListView::qt_metacast(const char*)
    {64, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1170 Akonadi::EntityListView::tr(const char*, const char*)
    {64, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1171 Akonadi::EntityListView::trUtf8(const char*, const char*)
    {64, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1172 Akonadi::EntityListView::tr(const char*, const char*, int)
    {64, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1173 Akonadi::EntityListView::trUtf8(const char*, const char*, int)
    {64, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1174 Akonadi::EntityListView::qt_metacall(QMetaObject::Call, int, void**)
    {64, 253, 85, 1, Smoke::mf_ctor, 101, 8},	//1175 Akonadi::EntityListView::EntityListView(QWidget*)
    {64, 253, 282, 2, Smoke::mf_ctor, 101, 9},	//1176 Akonadi::EntityListView::EntityListView(KXMLGUIClient*, QWidget*)
    {64, 1668, 287, 1, 0, 0, 10},	//1177 Akonadi::EntityListView::setXmlGuiClient(KXMLGUIClient*)
    {64, 1806, 0, 0, Smoke::mf_const, 213, 11},	//1178 Akonadi::EntityListView::xmlGuiClient() const
    {64, 1547, 159, 1, Smoke::mf_virtual, 0, 12},	//1179 Akonadi::EntityListView::setModel(QAbstractItemModel*)
    {64, 1442, 45, 1, 0, 0, 13},	//1180 Akonadi::EntityListView::setDropActionMenuEnabled(bool)
    {64, 1085, 0, 0, Smoke::mf_const, 383, 14},	//1181 Akonadi::EntityListView::isDropActionMenuEnabled() const
    {64, 783, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1182 Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    {64, 783, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1183 Akonadi::EntityListView::clicked(const Akonadi::Item&)
    {64, 919, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1184 Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    {64, 919, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1185 Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    {64, 875, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1186 Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    {64, 875, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//1187 Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    {64, 875, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1188 Akonadi::EntityListView::currentChanged(const QModelIndex&, const QModelIndex&)
    {64, 1695, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1189 Akonadi::EntityListView::startDrag(QFlags<Qt::DropAction>)
    {64, 928, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1190 Akonadi::EntityListView::dropEvent(QDropEvent*)
    {64, 924, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1191 Akonadi::EntityListView::dragMoveEvent(QDragMoveEvent*)
    {64, 856, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1192 Akonadi::EntityListView::contextMenuEvent(QContextMenuEvent*)
    {64, 1746, 21, 1, Smoke::mf_static, 291, 26},	//1193 Akonadi::EntityListView::tr(const char*)
    {64, 1750, 21, 1, Smoke::mf_static, 291, 27},	//1194 Akonadi::EntityListView::trUtf8(const char*)
    {64, 253, 0, 0, Smoke::mf_ctor, 101, 28},	//1195 Akonadi::EntityListView::EntityListView()
    {64, 253, 287, 1, Smoke::mf_ctor, 101, 29},	//1196 Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    {64, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 30},	//1197 Akonadi::EntityListView::staticMetaObject() const
    {64, 1862, 0, 0, Smoke::mf_dtor, 0, 31 },	//1198 Akonadi::EntityListView::~EntityListView()
    {65, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1199 Akonadi::EntityMimeTypeFilterModel::metaObject() const
    {65, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1200 Akonadi::EntityMimeTypeFilterModel::qt_metacast(const char*)
    {65, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1201 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*)
    {65, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1202 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*)
    {65, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1203 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*, int)
    {65, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1204 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*, int)
    {65, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1205 Akonadi::EntityMimeTypeFilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {65, 256, 78, 1, Smoke::mf_ctor, 102, 8},	//1206 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel(QObject*)
    {65, 706, 10, 1, 0, 0, 9},	//1207 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters(const QStringList&)
    {65, 698, 10, 1, 0, 0, 10},	//1208 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters(const QStringList&)
    {65, 704, 8, 1, 0, 0, 11},	//1209 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter(const QString&)
    {65, 696, 8, 1, 0, 0, 12},	//1210 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter(const QString&)
    {65, 1188, 0, 0, Smoke::mf_const, 292, 13},	//1211 Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters() const
    {65, 1185, 0, 0, Smoke::mf_const, 292, 14},	//1212 Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters() const
    {65, 774, 0, 0, 0, 0, 15},	//1213 Akonadi::EntityMimeTypeFilterModel::clearFilters()
    {65, 1483, 396, 1, 0, 0, 16},	//1214 Akonadi::EntityMimeTypeFilterModel::setHeaderGroup(Akonadi::EntityTreeModel::HeaderGroup)
    {65, 1019, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 301, 17},	//1215 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation, int) const
    {65, 1011, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 383, 18},	//1216 Akonadi::EntityMimeTypeFilterModel::hasChildren(const QModelIndex&) const
    {65, 749, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 383, 19},	//1217 Akonadi::EntityMimeTypeFilterModel::canFetchMore(const QModelIndex&) const
    {65, 1175, 398, 5, Smoke::mf_const|Smoke::mf_virtual, 268, 20},	//1218 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {65, 830, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 21},	//1219 Akonadi::EntityMimeTypeFilterModel::columnCount(const QModelIndex&) const
    {65, 991, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 383, 22},	//1220 Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow(int, const QModelIndex&) const
    {65, 989, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 383, 23},	//1221 Akonadi::EntityMimeTypeFilterModel::filterAcceptsColumn(int, const QModelIndex&) const
    {65, 1746, 21, 1, Smoke::mf_static, 291, 24},	//1222 Akonadi::EntityMimeTypeFilterModel::tr(const char*)
    {65, 1750, 21, 1, Smoke::mf_static, 291, 25},	//1223 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*)
    {65, 256, 0, 0, Smoke::mf_ctor, 102, 26},	//1224 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel()
    {65, 1019, 112, 2, Smoke::mf_const, 301, 27},	//1225 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation) const
    {65, 1011, 0, 0, Smoke::mf_const, 383, 28},	//1226 Akonadi::EntityMimeTypeFilterModel::hasChildren() const
    {65, 1175, 404, 3, Smoke::mf_const, 268, 29},	//1227 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&) const
    {65, 1175, 408, 4, Smoke::mf_const, 268, 30},	//1228 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int) const
    {65, 830, 0, 0, Smoke::mf_const, 475, 31},	//1229 Akonadi::EntityMimeTypeFilterModel::columnCount() const
    {65, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 32},	//1230 Akonadi::EntityMimeTypeFilterModel::staticMetaObject() const
    {65, 1863, 0, 0, Smoke::mf_dtor, 0, 33 },	//1231 Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel()
    {67, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1232 Akonadi::EntityTreeModel::metaObject() const
    {67, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1233 Akonadi::EntityTreeModel::qt_metacast(const char*)
    {67, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1234 Akonadi::EntityTreeModel::tr(const char*, const char*)
    {67, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1235 Akonadi::EntityTreeModel::trUtf8(const char*, const char*)
    {67, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1236 Akonadi::EntityTreeModel::tr(const char*, const char*, int)
    {67, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1237 Akonadi::EntityTreeModel::trUtf8(const char*, const char*, int)
    {67, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1238 Akonadi::EntityTreeModel::qt_metacall(QMetaObject::Call, int, void**)
    {67, 259, 413, 2, Smoke::mf_ctor, 104, 8},	//1239 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    {67, 1617, 45, 1, 0, 0, 9},	//1240 Akonadi::EntityTreeModel::setShowSystemEntities(bool)
    {67, 1728, 0, 0, Smoke::mf_const, 383, 10},	//1241 Akonadi::EntityTreeModel::systemEntitiesShown() const
    {67, 1039, 0, 0, Smoke::mf_const, 383, 11},	//1242 Akonadi::EntityTreeModel::includeUnsubscribed() const
    {67, 1501, 45, 1, 0, 0, 12},	//1243 Akonadi::EntityTreeModel::setIncludeUnsubscribed(bool)
    {67, 1519, 416, 1, 0, 0, 13},	//1244 Akonadi::EntityTreeModel::setItemPopulationStrategy(Akonadi::EntityTreeModel::ItemPopulationStrategy)
    {67, 1122, 0, 0, Smoke::mf_const, 108, 14},	//1245 Akonadi::EntityTreeModel::itemPopulationStrategy() const
    {67, 1497, 45, 1, 0, 0, 15},	//1246 Akonadi::EntityTreeModel::setIncludeRootCollection(bool)
    {67, 1036, 0, 0, Smoke::mf_const, 383, 16},	//1247 Akonadi::EntityTreeModel::includeRootCollection() const
    {67, 1604, 8, 1, 0, 0, 17},	//1248 Akonadi::EntityTreeModel::setRootCollectionDisplayName(const QString&)
    {67, 1296, 0, 0, Smoke::mf_const, 291, 18},	//1249 Akonadi::EntityTreeModel::rootCollectionDisplayName() const
    {67, 1380, 418, 1, 0, 0, 19},	//1250 Akonadi::EntityTreeModel::setCollectionFetchStrategy(Akonadi::EntityTreeModel::CollectionFetchStrategy)
    {67, 797, 0, 0, Smoke::mf_const, 105, 20},	//1251 Akonadi::EntityTreeModel::collectionFetchStrategy() const
    {67, 830, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 21},	//1252 Akonadi::EntityTreeModel::columnCount(const QModelIndex&) const
    {67, 1297, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 22},	//1253 Akonadi::EntityTreeModel::rowCount(const QModelIndex&) const
    {67, 884, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 301, 23},	//1254 Akonadi::EntityTreeModel::data(const QModelIndex&, int) const
    {67, 1019, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 301, 24},	//1255 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation, int) const
    {67, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 25},	//1256 Akonadi::EntityTreeModel::flags(const QModelIndex&) const
    {67, 1191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 292, 26},	//1257 Akonadi::EntityTreeModel::mimeTypes() const
    {67, 1716, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 27},	//1258 Akonadi::EntityTreeModel::supportedDropActions() const
    {67, 1182, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 28},	//1259 Akonadi::EntityTreeModel::mimeData(const QList<QModelIndex>&) const
    {67, 930, 225, 5, Smoke::mf_virtual, 383, 29},	//1260 Akonadi::EntityTreeModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {67, 1427, 108, 3, Smoke::mf_virtual, 383, 30},	//1261 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&, int)
    {67, 1042, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 274, 31},	//1262 Akonadi::EntityTreeModel::index(int, int, const QModelIndex&) const
    {67, 1227, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 32},	//1263 Akonadi::EntityTreeModel::parent(const QModelIndex&) const
    {67, 749, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 383, 33},	//1264 Akonadi::EntityTreeModel::canFetchMore(const QModelIndex&) const
    {67, 981, 95, 1, Smoke::mf_virtual, 0, 34},	//1265 Akonadi::EntityTreeModel::fetchMore(const QModelIndex&)
    {67, 1011, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 383, 35},	//1266 Akonadi::EntityTreeModel::hasChildren(const QModelIndex&) const
    {67, 1084, 0, 0, Smoke::mf_const, 383, 36},	//1267 Akonadi::EntityTreeModel::isCollectionTreeFetched() const
    {67, 1082, 231, 1, Smoke::mf_const, 383, 37},	//1268 Akonadi::EntityTreeModel::isCollectionPopulated(Akonadi::Collection::Id) const
    {67, 1175, 398, 5, Smoke::mf_const|Smoke::mf_virtual, 268, 38},	//1269 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {67, 1194, 420, 2, Smoke::mf_static, 274, 39},	//1270 Akonadi::EntityTreeModel::modelIndexForCollection(const QAbstractItemModel*, const Akonadi::Collection&)
    {67, 1196, 423, 2, Smoke::mf_static, 268, 40},	//1271 Akonadi::EntityTreeModel::modelIndexesForItem(const QAbstractItemModel*, const Akonadi::Item&)
    {67, 815, 199, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1272 Akonadi::EntityTreeModel::collectionTreeFetched(const Akonadi::Collection::List&)
    {67, 807, 231, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1273 Akonadi::EntityTreeModel::collectionPopulated(Akonadi::Collection::Id)
    {67, 798, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1274 Akonadi::EntityTreeModel::collectionFetched(int)
    {67, 771, 0, 0, Smoke::mf_protected, 0, 44},	//1275 Akonadi::EntityTreeModel::clearAndReset()
    {67, 948, 426, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 301, 45},	//1276 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    {67, 948, 430, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 301, 46},	//1277 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    {67, 951, 434, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 301, 47},	//1278 Akonadi::EntityTreeModel::entityHeaderData(int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 946, 396, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 475, 48},	//1279 Akonadi::EntityTreeModel::entityColumnCount(Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 953, 439, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 383, 49},	//1280 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 953, 443, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 383, 50},	//1281 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 883, 0, 0, Smoke::mf_protected, 110, 51},	//1282 Akonadi::EntityTreeModel::d_func()
    {67, 883, 0, 0, Smoke::mf_const|Smoke::mf_protected, 407, 52},	//1283 Akonadi::EntityTreeModel::d_func() const
    {67, 259, 447, 3, Smoke::mf_ctor|Smoke::mf_protected, 104, 53},	//1284 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*)
    {67, 1746, 21, 1, Smoke::mf_static, 291, 54},	//1285 Akonadi::EntityTreeModel::tr(const char*)
    {67, 1750, 21, 1, Smoke::mf_static, 291, 55},	//1286 Akonadi::EntityTreeModel::trUtf8(const char*)
    {67, 259, 451, 1, Smoke::mf_ctor, 104, 56},	//1287 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*)
    {67, 830, 0, 0, Smoke::mf_const, 475, 57},	//1288 Akonadi::EntityTreeModel::columnCount() const
    {67, 1297, 0, 0, Smoke::mf_const, 475, 58},	//1289 Akonadi::EntityTreeModel::rowCount() const
    {67, 884, 95, 1, Smoke::mf_const, 301, 59},	//1290 Akonadi::EntityTreeModel::data(const QModelIndex&) const
    {67, 1019, 112, 2, Smoke::mf_const, 301, 60},	//1291 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation) const
    {67, 1427, 240, 2, 0, 383, 61},	//1292 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&)
    {67, 1042, 115, 2, Smoke::mf_const, 274, 62},	//1293 Akonadi::EntityTreeModel::index(int, int) const
    {67, 1011, 0, 0, Smoke::mf_const, 383, 63},	//1294 Akonadi::EntityTreeModel::hasChildren() const
    {67, 1175, 404, 3, Smoke::mf_const, 268, 64},	//1295 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&) const
    {67, 1175, 408, 4, Smoke::mf_const, 268, 65},	//1296 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int) const
    {67, 948, 453, 2, Smoke::mf_const|Smoke::mf_protected, 301, 66},	//1297 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    {67, 948, 456, 2, Smoke::mf_const|Smoke::mf_protected, 301, 67},	//1298 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    {67, 259, 459, 2, Smoke::mf_ctor|Smoke::mf_protected, 104, 68},	//1299 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    {67, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 69},	//1300 Akonadi::EntityTreeModel::staticMetaObject() const
    {67, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 70},	//1301 Akonadi::EntityTreeModel::ItemIdRole (enum)
    {67, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 71},	//1302 Akonadi::EntityTreeModel::ItemRole (enum)
    {67, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 72},	//1303 Akonadi::EntityTreeModel::MimeTypeRole (enum)
    {67, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 73},	//1304 Akonadi::EntityTreeModel::CollectionIdRole (enum)
    {67, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 74},	//1305 Akonadi::EntityTreeModel::CollectionRole (enum)
    {67, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 75},	//1306 Akonadi::EntityTreeModel::RemoteIdRole (enum)
    {67, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 76},	//1307 Akonadi::EntityTreeModel::CollectionChildOrderRole (enum)
    {67, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 77},	//1308 Akonadi::EntityTreeModel::AmazingCompletionRole (enum)
    {67, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 78},	//1309 Akonadi::EntityTreeModel::ParentCollectionRole (enum)
    {67, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 79},	//1310 Akonadi::EntityTreeModel::ColumnCountRole (enum)
    {67, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 80},	//1311 Akonadi::EntityTreeModel::LoadedPartsRole (enum)
    {67, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 81},	//1312 Akonadi::EntityTreeModel::AvailablePartsRole (enum)
    {67, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 82},	//1313 Akonadi::EntityTreeModel::SessionRole (enum)
    {67, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 83},	//1314 Akonadi::EntityTreeModel::CollectionRefRole (enum)
    {67, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 84},	//1315 Akonadi::EntityTreeModel::CollectionDerefRole (enum)
    {67, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 85},	//1316 Akonadi::EntityTreeModel::PendingCutRole (enum)
    {67, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 86},	//1317 Akonadi::EntityTreeModel::EntityUrlRole (enum)
    {67, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 87},	//1318 Akonadi::EntityTreeModel::UnreadCountRole (enum)
    {67, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 88},	//1319 Akonadi::EntityTreeModel::FetchStateRole (enum)
    {67, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 89},	//1320 Akonadi::EntityTreeModel::CollectionSyncProgressRole (enum)
    {67, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 90},	//1321 Akonadi::EntityTreeModel::IsPopulatedRole (enum)
    {67, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 91},	//1322 Akonadi::EntityTreeModel::UserRole (enum)
    {67, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 92},	//1323 Akonadi::EntityTreeModel::TerminalUserRole (enum)
    {67, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 93},	//1324 Akonadi::EntityTreeModel::EndRole (enum)
    {67, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 94},	//1325 Akonadi::EntityTreeModel::IdleState (enum)
    {67, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 95},	//1326 Akonadi::EntityTreeModel::FetchingState (enum)
    {67, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 96},	//1327 Akonadi::EntityTreeModel::EntityTreeHeaders (enum)
    {67, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 97},	//1328 Akonadi::EntityTreeModel::CollectionTreeHeaders (enum)
    {67, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 98},	//1329 Akonadi::EntityTreeModel::ItemListHeaders (enum)
    {67, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 99},	//1330 Akonadi::EntityTreeModel::UserHeaders (enum)
    {67, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 100},	//1331 Akonadi::EntityTreeModel::EndHeaderGroup (enum)
    {67, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 101},	//1332 Akonadi::EntityTreeModel::NoItemPopulation (enum)
    {67, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 102},	//1333 Akonadi::EntityTreeModel::ImmediatePopulation (enum)
    {67, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 103},	//1334 Akonadi::EntityTreeModel::LazyPopulation (enum)
    {67, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 104},	//1335 Akonadi::EntityTreeModel::FetchNoCollections (enum)
    {67, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 105},	//1336 Akonadi::EntityTreeModel::FetchFirstLevelChildCollections (enum)
    {67, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 106},	//1337 Akonadi::EntityTreeModel::FetchCollectionsRecursive (enum)
    {67, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 107},	//1338 Akonadi::EntityTreeModel::InvisibleCollectionFetch (enum)
    {67, 1864, 0, 0, Smoke::mf_dtor, 0, 108 },	//1339 Akonadi::EntityTreeModel::~EntityTreeModel()
    {69, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1340 Akonadi::EntityTreeView::metaObject() const
    {69, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1341 Akonadi::EntityTreeView::qt_metacast(const char*)
    {69, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1342 Akonadi::EntityTreeView::tr(const char*, const char*)
    {69, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1343 Akonadi::EntityTreeView::trUtf8(const char*, const char*)
    {69, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1344 Akonadi::EntityTreeView::tr(const char*, const char*, int)
    {69, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1345 Akonadi::EntityTreeView::trUtf8(const char*, const char*, int)
    {69, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1346 Akonadi::EntityTreeView::qt_metacall(QMetaObject::Call, int, void**)
    {69, 263, 85, 1, Smoke::mf_ctor, 111, 8},	//1347 Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    {69, 263, 282, 2, Smoke::mf_ctor, 111, 9},	//1348 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*, QWidget*)
    {69, 1668, 287, 1, 0, 0, 10},	//1349 Akonadi::EntityTreeView::setXmlGuiClient(KXMLGUIClient*)
    {69, 1806, 0, 0, Smoke::mf_const, 213, 11},	//1350 Akonadi::EntityTreeView::xmlGuiClient() const
    {69, 1547, 159, 1, Smoke::mf_virtual, 0, 12},	//1351 Akonadi::EntityTreeView::setModel(QAbstractItemModel*)
    {69, 1442, 45, 1, 0, 0, 13},	//1352 Akonadi::EntityTreeView::setDropActionMenuEnabled(bool)
    {69, 1085, 0, 0, Smoke::mf_const, 383, 14},	//1353 Akonadi::EntityTreeView::isDropActionMenuEnabled() const
    {69, 1089, 0, 0, Smoke::mf_const, 383, 15},	//1354 Akonadi::EntityTreeView::isManualSortingActive() const
    {69, 1534, 45, 1, 0, 0, 16},	//1355 Akonadi::EntityTreeView::setManualSortingActive(bool)
    {69, 1434, 8, 1, 0, 0, 17},	//1356 Akonadi::EntityTreeView::setDefaultPopupMenu(const QString&)
    {69, 783, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1357 Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    {69, 783, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1358 Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    {69, 919, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//1359 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    {69, 919, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1360 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    {69, 875, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1361 Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    {69, 875, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1362 Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    {69, 875, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1363 Akonadi::EntityTreeView::currentChanged(const QModelIndex&, const QModelIndex&)
    {69, 1695, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1364 Akonadi::EntityTreeView::startDrag(QFlags<Qt::DropAction>)
    {69, 924, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1365 Akonadi::EntityTreeView::dragMoveEvent(QDragMoveEvent*)
    {69, 928, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1366 Akonadi::EntityTreeView::dropEvent(QDropEvent*)
    {69, 1742, 462, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1367 Akonadi::EntityTreeView::timerEvent(QTimerEvent*)
    {69, 856, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1368 Akonadi::EntityTreeView::contextMenuEvent(QContextMenuEvent*)
    {69, 1746, 21, 1, Smoke::mf_static, 291, 30},	//1369 Akonadi::EntityTreeView::tr(const char*)
    {69, 1750, 21, 1, Smoke::mf_static, 291, 31},	//1370 Akonadi::EntityTreeView::trUtf8(const char*)
    {69, 263, 0, 0, Smoke::mf_ctor, 111, 32},	//1371 Akonadi::EntityTreeView::EntityTreeView()
    {69, 263, 287, 1, Smoke::mf_ctor, 111, 33},	//1372 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    {69, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 34},	//1373 Akonadi::EntityTreeView::staticMetaObject() const
    {69, 1865, 0, 0, Smoke::mf_dtor, 0, 35 },	//1374 Akonadi::EntityTreeView::~EntityTreeView()
    {70, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1375 Akonadi::EntityTreeViewStateSaver::metaObject() const
    {70, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1376 Akonadi::EntityTreeViewStateSaver::qt_metacast(const char*)
    {70, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1377 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*)
    {70, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1378 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*)
    {70, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1379 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*, int)
    {70, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1380 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*, int)
    {70, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1381 Akonadi::EntityTreeViewStateSaver::qt_metacall(QMetaObject::Call, int, void**)
    {70, 266, 270, 1, Smoke::mf_ctor, 112, 8},	//1382 Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver(QTreeView*)
    {70, 1306, 464, 1, Smoke::mf_const, 0, 9},	//1383 Akonadi::EntityTreeViewStateSaver::saveState(KConfigGroup&) const
    {70, 1282, 466, 1, Smoke::mf_const, 0, 10},	//1384 Akonadi::EntityTreeViewStateSaver::restoreState(const KConfigGroup&) const
    {70, 1746, 21, 1, Smoke::mf_static, 291, 11},	//1385 Akonadi::EntityTreeViewStateSaver::tr(const char*)
    {70, 1750, 21, 1, Smoke::mf_static, 291, 12},	//1386 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*)
    {70, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//1387 Akonadi::EntityTreeViewStateSaver::staticMetaObject() const
    {70, 1866, 0, 0, Smoke::mf_dtor, 0, 14 },	//1388 Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver()
    {71, 273, 21, 1, Smoke::mf_ctor, 113, 1},	//1389 Akonadi::Exception::Exception(const char*)
    {71, 273, 6, 1, Smoke::mf_ctor, 113, 2},	//1390 Akonadi::Exception::Exception(const QByteArray&)
    {71, 273, 8, 1, Smoke::mf_ctor, 113, 3},	//1391 Akonadi::Exception::Exception(const QString&)
    {71, 273, 468, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 113, 4},	//1392 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {71, 1797, 0, 0, Smoke::mf_const, 471, 5},	//1393 Akonadi::Exception::what() const
    {71, 1754, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 6},	//1394 Akonadi::Exception::type() const
    {71, 1867, 0, 0, Smoke::mf_dtor, 0, 7 },	//1395 Akonadi::Exception::~Exception()
    {72, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1396 Akonadi::FavoriteCollectionsModel::metaObject() const
    {72, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1397 Akonadi::FavoriteCollectionsModel::qt_metacast(const char*)
    {72, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1398 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*)
    {72, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1399 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*)
    {72, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1400 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*, int)
    {72, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1401 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*, int)
    {72, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1402 Akonadi::FavoriteCollectionsModel::qt_metacall(QMetaObject::Call, int, void**)
    {72, 278, 470, 3, Smoke::mf_ctor, 114, 8},	//1403 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&, QObject*)
    {72, 821, 0, 0, Smoke::mf_const, 262, 9},	//1404 Akonadi::FavoriteCollectionsModel::collections() const
    {72, 802, 0, 0, Smoke::mf_const, 261, 10},	//1405 Akonadi::FavoriteCollectionsModel::collectionIds() const
    {72, 963, 61, 1, 0, 291, 11},	//1406 Akonadi::FavoriteCollectionsModel::favoriteLabel(const Akonadi::Collection&)
    {72, 884, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 301, 12},	//1407 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&, int) const
    {72, 1427, 108, 3, Smoke::mf_virtual, 383, 13},	//1408 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&, int)
    {72, 1019, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 301, 14},	//1409 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation, int) const
    {72, 930, 225, 5, Smoke::mf_virtual, 383, 15},	//1410 Akonadi::FavoriteCollectionsModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {72, 1191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 292, 16},	//1411 Akonadi::FavoriteCollectionsModel::mimeTypes() const
    {72, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 17},	//1412 Akonadi::FavoriteCollectionsModel::flags(const QModelIndex&) const
    {72, 1395, 199, 1, Smoke::mf_slot, 0, 18},	//1413 Akonadi::FavoriteCollectionsModel::setCollections(const Akonadi::Collection::List&)
    {72, 694, 61, 1, Smoke::mf_slot, 0, 19},	//1414 Akonadi::FavoriteCollectionsModel::addCollection(const Akonadi::Collection&)
    {72, 1263, 61, 1, Smoke::mf_slot, 0, 20},	//1415 Akonadi::FavoriteCollectionsModel::removeCollection(const Akonadi::Collection&)
    {72, 1451, 474, 2, Smoke::mf_slot, 0, 21},	//1416 Akonadi::FavoriteCollectionsModel::setFavoriteLabel(const Akonadi::Collection&, const QString&)
    {72, 1746, 21, 1, Smoke::mf_static, 291, 22},	//1417 Akonadi::FavoriteCollectionsModel::tr(const char*)
    {72, 1750, 21, 1, Smoke::mf_static, 291, 23},	//1418 Akonadi::FavoriteCollectionsModel::trUtf8(const char*)
    {72, 278, 477, 2, Smoke::mf_ctor, 114, 24},	//1419 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&)
    {72, 884, 95, 1, Smoke::mf_const, 301, 25},	//1420 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&) const
    {72, 1427, 240, 2, 0, 383, 26},	//1421 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&)
    {72, 1019, 112, 2, Smoke::mf_const, 301, 27},	//1422 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation) const
    {72, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 28},	//1423 Akonadi::FavoriteCollectionsModel::staticMetaObject() const
    {72, 1868, 0, 0, Smoke::mf_dtor, 0, 29 },	//1424 Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel()
    {73, 316, 0, 0, Smoke::mf_ctor, 117, 1},	//1425 Akonadi::Item::Item()
    {73, 316, 146, 1, Smoke::mf_ctor, 117, 2},	//1426 Akonadi::Item::Item(long long)
    {73, 316, 8, 1, Smoke::mf_ctor, 117, 3},	//1427 Akonadi::Item::Item(const QString&)
    {73, 316, 56, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 4},	//1428 Akonadi::Item::Item(const Akonadi::Item&)
    {73, 1003, 148, 1, Smoke::mf_static, 115, 5},	//1429 Akonadi::Item::fromUrl(const KUrl&)
    {73, 996, 0, 0, Smoke::mf_const, 287, 6},	//1430 Akonadi::Item::flags() const
    {73, 1198, 0, 0, Smoke::mf_const, 231, 7},	//1431 Akonadi::Item::modificationTime() const
    {73, 1550, 480, 1, 0, 0, 8},	//1432 Akonadi::Item::setModificationTime(const QDateTime&)
    {73, 1013, 6, 1, Smoke::mf_const, 383, 9},	//1433 Akonadi::Item::hasFlag(const QByteArray&) const
    {73, 1467, 6, 1, 0, 0, 10},	//1434 Akonadi::Item::setFlag(const QByteArray&)
    {73, 775, 6, 1, 0, 0, 11},	//1435 Akonadi::Item::clearFlag(const QByteArray&)
    {73, 1469, 482, 1, 0, 0, 12},	//1436 Akonadi::Item::setFlags(const QSet<QByteArray>&)
    {73, 777, 0, 0, 0, 0, 13},	//1437 Akonadi::Item::clearFlags()
    {73, 1638, 484, 1, 0, 0, 14},	//1438 Akonadi::Item::setTags(const QList<Akonadi::Tag>&)
    {73, 1631, 486, 1, 0, 0, 15},	//1439 Akonadi::Item::setTag(const Akonadi::Tag&)
    {73, 1739, 0, 0, Smoke::mf_const, 265, 16},	//1440 Akonadi::Item::tags() const
    {73, 1017, 486, 1, Smoke::mf_const, 383, 17},	//1441 Akonadi::Item::hasTag(const Akonadi::Tag&) const
    {73, 780, 486, 1, 0, 0, 18},	//1442 Akonadi::Item::clearTag(const Akonadi::Tag&)
    {73, 782, 0, 0, 0, 0, 19},	//1443 Akonadi::Item::clearTags()
    {73, 1569, 6, 1, 0, 0, 20},	//1444 Akonadi::Item::setPayloadFromData(const QByteArray&)
    {73, 1234, 0, 0, Smoke::mf_const, 224, 21},	//1445 Akonadi::Item::payloadData() const
    {73, 1166, 0, 0, Smoke::mf_const, 287, 22},	//1446 Akonadi::Item::loadedPayloadParts() const
    {73, 779, 0, 0, 0, 0, 23},	//1447 Akonadi::Item::clearPayload()
    {73, 1600, 41, 1, 0, 0, 24},	//1448 Akonadi::Item::setRevision(int)
    {73, 1292, 0, 0, Smoke::mf_const, 475, 25},	//1449 Akonadi::Item::revision() const
    {73, 1710, 0, 0, Smoke::mf_const, 478, 26},	//1450 Akonadi::Item::storageCollectionId() const
    {73, 1619, 146, 1, 0, 0, 27},	//1451 Akonadi::Item::setSize(long long)
    {73, 1680, 0, 0, Smoke::mf_const, 478, 28},	//1452 Akonadi::Item::size() const
    {73, 1538, 8, 1, 0, 0, 29},	//1453 Akonadi::Item::setMimeType(const QString&)
    {73, 1184, 0, 0, Smoke::mf_const, 291, 30},	//1454 Akonadi::Item::mimeType() const
    {73, 1477, 8, 1, 0, 0, 31},	//1455 Akonadi::Item::setGid(const QString&)
    {73, 1006, 0, 0, Smoke::mf_const, 291, 32},	//1456 Akonadi::Item::gid() const
    {73, 740, 0, 0, Smoke::mf_const, 305, 33},	//1457 Akonadi::Item::availablePayloadMetaTypeIds() const
    {73, 1016, 0, 0, Smoke::mf_const, 383, 34},	//1458 Akonadi::Item::hasPayload() const
    {73, 1776, 488, 1, Smoke::mf_const, 212, 35},	//1459 Akonadi::Item::url(Akonadi::Item::UrlType) const
    {73, 741, 0, 0, Smoke::mf_const, 287, 36},	//1460 Akonadi::Item::availablePayloadParts() const
    {73, 748, 0, 0, Smoke::mf_const, 287, 37},	//1461 Akonadi::Item::cachedPayloadParts() const
    {73, 730, 56, 1, 0, 0, 38},	//1462 Akonadi::Item::apply(const Akonadi::Item&)
    {73, 1365, 482, 1, 0, 0, 39},	//1463 Akonadi::Item::setCachedPayloadParts(const QSet<QByteArray>&)
    {73, 1776, 0, 0, Smoke::mf_const, 212, 40},	//1464 Akonadi::Item::url() const
    {73, 291, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 471, 41},	//1465 Akonadi::Item::FullPayload() const
    {73, 1473, 21, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 42},	//1466 Akonadi::Item::setFullPayload(const char*)
    {73, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 43},	//1467 Akonadi::Item::UrlShort (enum)
    {73, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 44},	//1468 Akonadi::Item::UrlWithMimeType (enum)
    {73, 1869, 0, 0, Smoke::mf_dtor, 0, 45 },	//1469 Akonadi::Item::~Item()
    {74, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1470 Akonadi::ItemCopyJob::metaObject() const
    {74, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1471 Akonadi::ItemCopyJob::qt_metacast(const char*)
    {74, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1472 Akonadi::ItemCopyJob::tr(const char*, const char*)
    {74, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1473 Akonadi::ItemCopyJob::trUtf8(const char*, const char*)
    {74, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1474 Akonadi::ItemCopyJob::tr(const char*, const char*, int)
    {74, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1475 Akonadi::ItemCopyJob::trUtf8(const char*, const char*, int)
    {74, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1476 Akonadi::ItemCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {74, 319, 490, 3, Smoke::mf_ctor, 121, 8},	//1477 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {74, 319, 494, 3, Smoke::mf_ctor, 121, 9},	//1478 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {74, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1479 Akonadi::ItemCopyJob::doStart()
    {74, 1746, 21, 1, Smoke::mf_static, 291, 11},	//1480 Akonadi::ItemCopyJob::tr(const char*)
    {74, 1750, 21, 1, Smoke::mf_static, 291, 12},	//1481 Akonadi::ItemCopyJob::trUtf8(const char*)
    {74, 319, 50, 2, Smoke::mf_ctor, 121, 13},	//1482 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&)
    {74, 319, 498, 2, Smoke::mf_ctor, 121, 14},	//1483 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {74, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1484 Akonadi::ItemCopyJob::staticMetaObject() const
    {74, 1870, 0, 0, Smoke::mf_dtor, 0, 16 },	//1485 Akonadi::ItemCopyJob::~ItemCopyJob()
    {75, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1486 Akonadi::ItemCreateJob::metaObject() const
    {75, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1487 Akonadi::ItemCreateJob::qt_metacast(const char*)
    {75, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1488 Akonadi::ItemCreateJob::tr(const char*, const char*)
    {75, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1489 Akonadi::ItemCreateJob::trUtf8(const char*, const char*)
    {75, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1490 Akonadi::ItemCreateJob::tr(const char*, const char*, int)
    {75, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1491 Akonadi::ItemCreateJob::trUtf8(const char*, const char*, int)
    {75, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1492 Akonadi::ItemCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {75, 324, 490, 3, Smoke::mf_ctor, 122, 8},	//1493 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {75, 1106, 0, 0, Smoke::mf_const, 115, 9},	//1494 Akonadi::ItemCreateJob::item() const
    {75, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1495 Akonadi::ItemCreateJob::doStart()
    {75, 908, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1496 Akonadi::ItemCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {75, 1746, 21, 1, Smoke::mf_static, 291, 12},	//1497 Akonadi::ItemCreateJob::tr(const char*)
    {75, 1750, 21, 1, Smoke::mf_static, 291, 13},	//1498 Akonadi::ItemCreateJob::trUtf8(const char*)
    {75, 324, 50, 2, Smoke::mf_ctor, 122, 14},	//1499 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&)
    {75, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1500 Akonadi::ItemCreateJob::staticMetaObject() const
    {75, 1871, 0, 0, Smoke::mf_dtor, 0, 16 },	//1501 Akonadi::ItemCreateJob::~ItemCreateJob()
    {76, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1502 Akonadi::ItemDeleteJob::metaObject() const
    {76, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1503 Akonadi::ItemDeleteJob::qt_metacast(const char*)
    {76, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1504 Akonadi::ItemDeleteJob::tr(const char*, const char*)
    {76, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1505 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*)
    {76, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1506 Akonadi::ItemDeleteJob::tr(const char*, const char*, int)
    {76, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1507 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*, int)
    {76, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1508 Akonadi::ItemDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {76, 327, 501, 2, Smoke::mf_ctor, 123, 8},	//1509 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    {76, 327, 504, 2, Smoke::mf_ctor, 123, 9},	//1510 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&, QObject*)
    {76, 327, 165, 2, Smoke::mf_ctor, 123, 10},	//1511 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    {76, 892, 0, 0, Smoke::mf_const, 264, 11},	//1512 Akonadi::ItemDeleteJob::deletedItems() const
    {76, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1513 Akonadi::ItemDeleteJob::doStart()
    {76, 1746, 21, 1, Smoke::mf_static, 291, 13},	//1514 Akonadi::ItemDeleteJob::tr(const char*)
    {76, 1750, 21, 1, Smoke::mf_static, 291, 14},	//1515 Akonadi::ItemDeleteJob::trUtf8(const char*)
    {76, 327, 56, 1, Smoke::mf_ctor, 123, 15},	//1516 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    {76, 327, 507, 1, Smoke::mf_ctor, 123, 16},	//1517 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&)
    {76, 327, 61, 1, Smoke::mf_ctor, 123, 17},	//1518 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    {76, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//1519 Akonadi::ItemDeleteJob::staticMetaObject() const
    {76, 1872, 0, 0, Smoke::mf_dtor, 0, 19 },	//1520 Akonadi::ItemDeleteJob::~ItemDeleteJob()
    {77, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1521 Akonadi::ItemFetchJob::metaObject() const
    {77, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1522 Akonadi::ItemFetchJob::qt_metacast(const char*)
    {77, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1523 Akonadi::ItemFetchJob::tr(const char*, const char*)
    {77, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1524 Akonadi::ItemFetchJob::trUtf8(const char*, const char*)
    {77, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1525 Akonadi::ItemFetchJob::tr(const char*, const char*, int)
    {77, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1526 Akonadi::ItemFetchJob::trUtf8(const char*, const char*, int)
    {77, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1527 Akonadi::ItemFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {77, 332, 165, 2, Smoke::mf_ctor, 124, 8},	//1528 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    {77, 332, 501, 2, Smoke::mf_ctor, 124, 9},	//1529 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    {77, 332, 504, 2, Smoke::mf_ctor, 124, 10},	//1530 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&, QObject*)
    {77, 332, 509, 2, Smoke::mf_ctor, 124, 11},	//1531 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&, QObject*)
    {77, 1132, 0, 0, Smoke::mf_const, 264, 12},	//1532 Akonadi::ItemFetchJob::items() const
    {77, 778, 0, 0, 0, 0, 13},	//1533 Akonadi::ItemFetchJob::clearItems()
    {77, 1463, 512, 1, 0, 0, 14},	//1534 Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    {77, 1463, 514, 1, 0, 0, 15},	//1535 Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {77, 987, 0, 0, 0, 126, 16},	//1536 Akonadi::ItemFetchJob::fetchScope()
    {77, 1376, 61, 1, 0, 0, 17},	//1537 Akonadi::ItemFetchJob::setCollection(const Akonadi::Collection&)
    {77, 1436, 516, 1, 0, 0, 18},	//1538 Akonadi::ItemFetchJob::setDeliveryOption(QFlags<Akonadi::ItemFetchJob::DeliveryOption>)
    {77, 894, 0, 0, Smoke::mf_const, 239, 19},	//1539 Akonadi::ItemFetchJob::deliveryOptions() const
    {77, 1141, 518, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//1540 Akonadi::ItemFetchJob::itemsReceived(const Akonadi::Item::List&)
    {77, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1541 Akonadi::ItemFetchJob::doStart()
    {77, 908, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1542 Akonadi::ItemFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {77, 1746, 21, 1, Smoke::mf_static, 291, 23},	//1543 Akonadi::ItemFetchJob::tr(const char*)
    {77, 1750, 21, 1, Smoke::mf_static, 291, 24},	//1544 Akonadi::ItemFetchJob::trUtf8(const char*)
    {77, 332, 61, 1, Smoke::mf_ctor, 124, 25},	//1545 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    {77, 332, 56, 1, Smoke::mf_ctor, 124, 26},	//1546 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    {77, 332, 507, 1, Smoke::mf_ctor, 124, 27},	//1547 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&)
    {77, 332, 520, 1, Smoke::mf_ctor, 124, 28},	//1548 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&)
    {77, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 29},	//1549 Akonadi::ItemFetchJob::staticMetaObject() const
    {77, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 30},	//1550 Akonadi::ItemFetchJob::ItemGetter (enum)
    {77, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 31},	//1551 Akonadi::ItemFetchJob::EmitItemsIndividually (enum)
    {77, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 32},	//1552 Akonadi::ItemFetchJob::EmitItemsInBatches (enum)
    {77, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 33},	//1553 Akonadi::ItemFetchJob::Default (enum)
    {77, 1873, 0, 0, Smoke::mf_dtor, 0, 34 },	//1554 Akonadi::ItemFetchJob::~ItemFetchJob()
    {78, 337, 0, 0, Smoke::mf_ctor, 127, 1},	//1555 Akonadi::ItemFetchScope::ItemFetchScope()
    {78, 337, 514, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 127, 2},	//1556 Akonadi::ItemFetchScope::ItemFetchScope(const Akonadi::ItemFetchScope&)
    {78, 1215, 514, 1, 0, 126, 3},	//1557 Akonadi::ItemFetchScope::operator=(const Akonadi::ItemFetchScope&)
    {78, 1235, 0, 0, Smoke::mf_const, 287, 4},	//1558 Akonadi::ItemFetchScope::payloadParts() const
    {78, 983, 522, 2, 0, 0, 5},	//1559 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&, bool)
    {78, 1005, 0, 0, Smoke::mf_const, 383, 6},	//1560 Akonadi::ItemFetchScope::fullPayload() const
    {78, 977, 45, 1, 0, 0, 7},	//1561 Akonadi::ItemFetchScope::fetchFullPayload(bool)
    {78, 735, 0, 0, Smoke::mf_const, 287, 8},	//1562 Akonadi::ItemFetchScope::attributes() const
    {78, 967, 522, 2, 0, 0, 9},	//1563 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&, bool)
    {78, 726, 0, 0, Smoke::mf_const, 383, 10},	//1564 Akonadi::ItemFetchScope::allAttributes() const
    {78, 965, 45, 1, 0, 0, 11},	//1565 Akonadi::ItemFetchScope::fetchAllAttributes(bool)
    {78, 745, 0, 0, Smoke::mf_const, 383, 12},	//1566 Akonadi::ItemFetchScope::cacheOnly() const
    {78, 1359, 45, 1, 0, 0, 13},	//1567 Akonadi::ItemFetchScope::setCacheOnly(bool)
    {78, 1374, 45, 1, 0, 0, 14},	//1568 Akonadi::ItemFetchScope::setCheckForCachedPayloadPartsOnly(bool)
    {78, 767, 0, 0, Smoke::mf_const, 383, 15},	//1569 Akonadi::ItemFetchScope::checkForCachedPayloadPartsOnly() const
    {78, 1348, 525, 1, 0, 0, 16},	//1570 Akonadi::ItemFetchScope::setAncestorRetrieval(Akonadi::ItemFetchScope::AncestorRetrieval)
    {78, 729, 0, 0, Smoke::mf_const, 128, 17},	//1571 Akonadi::ItemFetchScope::ancestorRetrieval() const
    {78, 1459, 45, 1, 0, 0, 18},	//1572 Akonadi::ItemFetchScope::setFetchModificationTime(bool)
    {78, 980, 0, 0, Smoke::mf_const, 383, 19},	//1573 Akonadi::ItemFetchScope::fetchModificationTime() const
    {78, 1457, 45, 1, 0, 0, 20},	//1574 Akonadi::ItemFetchScope::setFetchGid(bool)
    {78, 979, 0, 0, Smoke::mf_const, 383, 21},	//1575 Akonadi::ItemFetchScope::fetchGid() const
    {78, 1495, 45, 1, 0, 0, 22},	//1576 Akonadi::ItemFetchScope::setIgnoreRetrievalErrors(bool)
    {78, 1033, 0, 0, Smoke::mf_const, 383, 23},	//1577 Akonadi::ItemFetchScope::ignoreRetrievalErrors() const
    {78, 1086, 0, 0, Smoke::mf_const, 383, 24},	//1578 Akonadi::ItemFetchScope::isEmpty() const
    {78, 1455, 527, 1, 0, 0, 25},	//1579 Akonadi::ItemFetchScope::setFetchChangedSince(const KDateTime&)
    {78, 972, 0, 0, Smoke::mf_const, 205, 26},	//1580 Akonadi::ItemFetchScope::fetchChangedSince() const
    {78, 1461, 45, 1, 0, 0, 27},	//1581 Akonadi::ItemFetchScope::setFetchRemoteIdentification(bool)
    {78, 986, 0, 0, Smoke::mf_const, 383, 28},	//1582 Akonadi::ItemFetchScope::fetchRemoteIdentification() const
    {78, 1465, 45, 1, 0, 0, 29},	//1583 Akonadi::ItemFetchScope::setFetchTags(bool)
    {78, 988, 0, 0, Smoke::mf_const, 383, 30},	//1584 Akonadi::ItemFetchScope::fetchTags() const
    {78, 983, 6, 1, 0, 0, 31},	//1585 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&)
    {78, 977, 0, 0, 0, 0, 32},	//1586 Akonadi::ItemFetchScope::fetchFullPayload()
    {78, 967, 6, 1, 0, 0, 33},	//1587 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&)
    {78, 965, 0, 0, 0, 0, 34},	//1588 Akonadi::ItemFetchScope::fetchAllAttributes()
    {78, 1374, 0, 0, 0, 0, 35},	//1589 Akonadi::ItemFetchScope::setCheckForCachedPayloadPartsOnly()
    {78, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 36},	//1590 Akonadi::ItemFetchScope::None (enum)
    {78, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 37},	//1591 Akonadi::ItemFetchScope::Parent (enum)
    {78, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 38},	//1592 Akonadi::ItemFetchScope::All (enum)
    {78, 1874, 0, 0, Smoke::mf_dtor, 0, 39 },	//1593 Akonadi::ItemFetchScope::~ItemFetchScope()
    {79, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1594 Akonadi::ItemModel::metaObject() const
    {79, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1595 Akonadi::ItemModel::qt_metacast(const char*)
    {79, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1596 Akonadi::ItemModel::tr(const char*, const char*)
    {79, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1597 Akonadi::ItemModel::trUtf8(const char*, const char*)
    {79, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1598 Akonadi::ItemModel::tr(const char*, const char*, int)
    {79, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1599 Akonadi::ItemModel::trUtf8(const char*, const char*, int)
    {79, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1600 Akonadi::ItemModel::qt_metacall(QMetaObject::Call, int, void**)
    {79, 342, 78, 1, Smoke::mf_ctor, 129, 8},	//1601 Akonadi::ItemModel::ItemModel(QObject*)
    {79, 830, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 9},	//1602 Akonadi::ItemModel::columnCount(const QModelIndex&) const
    {79, 884, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 301, 10},	//1603 Akonadi::ItemModel::data(const QModelIndex&, int) const
    {79, 1297, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 11},	//1604 Akonadi::ItemModel::rowCount(const QModelIndex&) const
    {79, 1019, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 301, 12},	//1605 Akonadi::ItemModel::headerData(int, Qt::Orientation, int) const
    {79, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 13},	//1606 Akonadi::ItemModel::flags(const QModelIndex&) const
    {79, 1182, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 14},	//1607 Akonadi::ItemModel::mimeData(const QList<QModelIndex>&) const
    {79, 1191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 292, 15},	//1608 Akonadi::ItemModel::mimeTypes() const
    {79, 1716, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 16},	//1609 Akonadi::ItemModel::supportedDropActions() const
    {79, 1463, 514, 1, 0, 0, 17},	//1610 Akonadi::ItemModel::setFetchScope(const Akonadi::ItemFetchScope&)
    {79, 987, 0, 0, 0, 126, 18},	//1611 Akonadi::ItemModel::fetchScope()
    {79, 1114, 95, 1, Smoke::mf_const, 115, 19},	//1612 Akonadi::ItemModel::itemForIndex(const QModelIndex&) const
    {79, 1046, 529, 2, Smoke::mf_const, 274, 20},	//1613 Akonadi::ItemModel::indexForItem(const Akonadi::Item&, const int) const
    {79, 930, 225, 5, Smoke::mf_virtual, 383, 21},	//1614 Akonadi::ItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {79, 788, 0, 0, Smoke::mf_const, 34, 22},	//1615 Akonadi::ItemModel::collection() const
    {79, 1376, 61, 1, Smoke::mf_slot, 0, 23},	//1616 Akonadi::ItemModel::setCollection(const Akonadi::Collection&)
    {79, 793, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1617 Akonadi::ItemModel::collectionChanged(const Akonadi::Collection&)
    {79, 1336, 0, 0, Smoke::mf_const|Smoke::mf_protected, 169, 25},	//1618 Akonadi::ItemModel::session() const
    {79, 1746, 21, 1, Smoke::mf_static, 291, 26},	//1619 Akonadi::ItemModel::tr(const char*)
    {79, 1750, 21, 1, Smoke::mf_static, 291, 27},	//1620 Akonadi::ItemModel::trUtf8(const char*)
    {79, 342, 0, 0, Smoke::mf_ctor, 129, 28},	//1621 Akonadi::ItemModel::ItemModel()
    {79, 830, 0, 0, Smoke::mf_const, 475, 29},	//1622 Akonadi::ItemModel::columnCount() const
    {79, 884, 95, 1, Smoke::mf_const, 301, 30},	//1623 Akonadi::ItemModel::data(const QModelIndex&) const
    {79, 1297, 0, 0, Smoke::mf_const, 475, 31},	//1624 Akonadi::ItemModel::rowCount() const
    {79, 1019, 112, 2, Smoke::mf_const, 301, 32},	//1625 Akonadi::ItemModel::headerData(int, Qt::Orientation) const
    {79, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 33},	//1626 Akonadi::ItemModel::staticMetaObject() const
    {79, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 34},	//1627 Akonadi::ItemModel::Id (enum)
    {79, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 35},	//1628 Akonadi::ItemModel::RemoteId (enum)
    {79, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 36},	//1629 Akonadi::ItemModel::MimeType (enum)
    {79, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 37},	//1630 Akonadi::ItemModel::IdRole (enum)
    {79, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 38},	//1631 Akonadi::ItemModel::ItemRole (enum)
    {79, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 39},	//1632 Akonadi::ItemModel::MimeTypeRole (enum)
    {79, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 40},	//1633 Akonadi::ItemModel::UserRole (enum)
    {79, 1875, 0, 0, Smoke::mf_dtor, 0, 41 },	//1634 Akonadi::ItemModel::~ItemModel()
    {80, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1635 Akonadi::ItemModifyJob::metaObject() const
    {80, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1636 Akonadi::ItemModifyJob::qt_metacast(const char*)
    {80, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1637 Akonadi::ItemModifyJob::tr(const char*, const char*)
    {80, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1638 Akonadi::ItemModifyJob::trUtf8(const char*, const char*)
    {80, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1639 Akonadi::ItemModifyJob::tr(const char*, const char*, int)
    {80, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1640 Akonadi::ItemModifyJob::trUtf8(const char*, const char*, int)
    {80, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1641 Akonadi::ItemModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {80, 344, 501, 2, Smoke::mf_ctor, 132, 8},	//1642 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&, QObject*)
    {80, 344, 504, 2, Smoke::mf_ctor, 132, 9},	//1643 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&, QObject*)
    {80, 1493, 45, 1, 0, 0, 10},	//1644 Akonadi::ItemModifyJob::setIgnorePayload(bool)
    {80, 1032, 0, 0, Smoke::mf_const, 383, 11},	//1645 Akonadi::ItemModifyJob::ignorePayload() const
    {80, 1659, 45, 1, 0, 0, 12},	//1646 Akonadi::ItemModifyJob::setUpdateGid(bool)
    {80, 1772, 0, 0, Smoke::mf_const, 383, 13},	//1647 Akonadi::ItemModifyJob::updateGid() const
    {80, 904, 0, 0, 0, 0, 14},	//1648 Akonadi::ItemModifyJob::disableRevisionCheck()
    {80, 1106, 0, 0, Smoke::mf_const, 115, 15},	//1649 Akonadi::ItemModifyJob::item() const
    {80, 1132, 0, 0, Smoke::mf_const, 264, 16},	//1650 Akonadi::ItemModifyJob::items() const
    {80, 903, 0, 0, 0, 0, 17},	//1651 Akonadi::ItemModifyJob::disableAutomaticConflictHandling()
    {80, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1652 Akonadi::ItemModifyJob::doStart()
    {80, 908, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1653 Akonadi::ItemModifyJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {80, 1746, 21, 1, Smoke::mf_static, 291, 20},	//1654 Akonadi::ItemModifyJob::tr(const char*)
    {80, 1750, 21, 1, Smoke::mf_static, 291, 21},	//1655 Akonadi::ItemModifyJob::trUtf8(const char*)
    {80, 344, 56, 1, Smoke::mf_ctor, 132, 22},	//1656 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&)
    {80, 344, 507, 1, Smoke::mf_ctor, 132, 23},	//1657 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&)
    {80, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 24},	//1658 Akonadi::ItemModifyJob::staticMetaObject() const
    {80, 1876, 0, 0, Smoke::mf_dtor, 0, 25 },	//1659 Akonadi::ItemModifyJob::~ItemModifyJob()
    {81, 349, 0, 0, Smoke::mf_ctor, 133, 1},	//1660 Akonadi::ItemMonitor::ItemMonitor()
    {81, 1511, 56, 1, 0, 0, 2},	//1661 Akonadi::ItemMonitor::setItem(const Akonadi::Item&)
    {81, 1106, 0, 0, Smoke::mf_const, 115, 3},	//1662 Akonadi::ItemMonitor::item() const
    {81, 1109, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 4},	//1663 Akonadi::ItemMonitor::itemChanged(const Akonadi::Item&)
    {81, 1123, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 5},	//1664 Akonadi::ItemMonitor::itemRemoved()
    {81, 1463, 514, 1, Smoke::mf_protected, 0, 6},	//1665 Akonadi::ItemMonitor::setFetchScope(const Akonadi::ItemFetchScope&)
    {81, 987, 0, 0, Smoke::mf_protected, 126, 7},	//1666 Akonadi::ItemMonitor::fetchScope()
    {81, 1877, 0, 0, Smoke::mf_dtor, 0, 8 },	//1667 Akonadi::ItemMonitor::~ItemMonitor()
    {82, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1668 Akonadi::ItemMoveJob::metaObject() const
    {82, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1669 Akonadi::ItemMoveJob::qt_metacast(const char*)
    {82, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1670 Akonadi::ItemMoveJob::tr(const char*, const char*)
    {82, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1671 Akonadi::ItemMoveJob::trUtf8(const char*, const char*)
    {82, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1672 Akonadi::ItemMoveJob::tr(const char*, const char*, int)
    {82, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1673 Akonadi::ItemMoveJob::trUtf8(const char*, const char*, int)
    {82, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1674 Akonadi::ItemMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {82, 350, 490, 3, Smoke::mf_ctor, 134, 8},	//1675 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {82, 350, 494, 3, Smoke::mf_ctor, 134, 9},	//1676 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {82, 899, 0, 0, Smoke::mf_const, 34, 10},	//1677 Akonadi::ItemMoveJob::destinationCollection() const
    {82, 1132, 0, 0, Smoke::mf_const, 264, 11},	//1678 Akonadi::ItemMoveJob::items() const
    {82, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1679 Akonadi::ItemMoveJob::doStart()
    {82, 1746, 21, 1, Smoke::mf_static, 291, 13},	//1680 Akonadi::ItemMoveJob::tr(const char*)
    {82, 1750, 21, 1, Smoke::mf_static, 291, 14},	//1681 Akonadi::ItemMoveJob::trUtf8(const char*)
    {82, 350, 50, 2, Smoke::mf_ctor, 134, 15},	//1682 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&)
    {82, 350, 498, 2, Smoke::mf_ctor, 134, 16},	//1683 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {82, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//1684 Akonadi::ItemMoveJob::staticMetaObject() const
    {82, 1878, 0, 0, Smoke::mf_dtor, 0, 18 },	//1685 Akonadi::ItemMoveJob::~ItemMoveJob()
    {83, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1686 Akonadi::ItemSearchJob::metaObject() const
    {83, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1687 Akonadi::ItemSearchJob::qt_metacast(const char*)
    {83, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1688 Akonadi::ItemSearchJob::tr(const char*, const char*)
    {83, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1689 Akonadi::ItemSearchJob::trUtf8(const char*, const char*)
    {83, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1690 Akonadi::ItemSearchJob::tr(const char*, const char*, int)
    {83, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1691 Akonadi::ItemSearchJob::trUtf8(const char*, const char*, int)
    {83, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1692 Akonadi::ItemSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {83, 356, 90, 2, Smoke::mf_ctor, 135, 8},	//1693 Akonadi::ItemSearchJob::ItemSearchJob(const QString&, QObject*)
    {83, 356, 532, 2, Smoke::mf_ctor, 135, 9},	//1694 Akonadi::ItemSearchJob::ItemSearchJob(const Akonadi::SearchQuery&, QObject*)
    {83, 1576, 8, 1, 0, 0, 10},	//1695 Akonadi::ItemSearchJob::setQuery(const QString&)
    {83, 1576, 535, 1, 0, 0, 11},	//1696 Akonadi::ItemSearchJob::setQuery(const Akonadi::SearchQuery&)
    {83, 1463, 514, 1, 0, 0, 12},	//1697 Akonadi::ItemSearchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {83, 987, 0, 0, 0, 126, 13},	//1698 Akonadi::ItemSearchJob::fetchScope()
    {83, 1132, 0, 0, Smoke::mf_const, 264, 14},	//1699 Akonadi::ItemSearchJob::items() const
    {83, 725, 0, 0, Smoke::mf_static, 300, 15},	//1700 Akonadi::ItemSearchJob::akonadiItemIdUri()
    {83, 1545, 10, 1, 0, 0, 16},	//1701 Akonadi::ItemSearchJob::setMimeTypes(const QStringList&)
    {83, 1191, 0, 0, Smoke::mf_const, 292, 17},	//1702 Akonadi::ItemSearchJob::mimeTypes() const
    {83, 1607, 206, 1, 0, 0, 18},	//1703 Akonadi::ItemSearchJob::setSearchCollections(const QList<Akonadi::Collection>&)
    {83, 1313, 0, 0, Smoke::mf_const, 262, 19},	//1704 Akonadi::ItemSearchJob::searchCollections() const
    {83, 1587, 45, 1, 0, 0, 20},	//1705 Akonadi::ItemSearchJob::setRecursive(bool)
    {83, 1092, 0, 0, Smoke::mf_const, 383, 21},	//1706 Akonadi::ItemSearchJob::isRecursive() const
    {83, 1593, 45, 1, 0, 0, 22},	//1707 Akonadi::ItemSearchJob::setRemoteSearchEnabled(bool)
    {83, 1093, 0, 0, Smoke::mf_const, 383, 23},	//1708 Akonadi::ItemSearchJob::isRemoteSearchEnabled() const
    {83, 1141, 518, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1709 Akonadi::ItemSearchJob::itemsReceived(const Akonadi::Item::List&)
    {83, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1710 Akonadi::ItemSearchJob::doStart()
    {83, 908, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1711 Akonadi::ItemSearchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {83, 1746, 21, 1, Smoke::mf_static, 291, 27},	//1712 Akonadi::ItemSearchJob::tr(const char*)
    {83, 1750, 21, 1, Smoke::mf_static, 291, 28},	//1713 Akonadi::ItemSearchJob::trUtf8(const char*)
    {83, 356, 8, 1, Smoke::mf_ctor, 135, 29},	//1714 Akonadi::ItemSearchJob::ItemSearchJob(const QString&)
    {83, 356, 535, 1, Smoke::mf_ctor, 135, 30},	//1715 Akonadi::ItemSearchJob::ItemSearchJob(const Akonadi::SearchQuery&)
    {83, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 31},	//1716 Akonadi::ItemSearchJob::staticMetaObject() const
    {83, 1879, 0, 0, Smoke::mf_dtor, 0, 32 },	//1717 Akonadi::ItemSearchJob::~ItemSearchJob()
    {84, 896, 537, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 383, 1},	//1718 Akonadi::ItemSerializerPlugin::deserialize(Akonadi::Item&, const QByteArray&, QIODevice&, int) [pure virtual]
    {84, 1331, 542, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//1719 Akonadi::ItemSerializerPlugin::serialize(const Akonadi::Item&, const QByteArray&, QIODevice&, int&) [pure virtual]
    {84, 1232, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 287, 3},	//1720 Akonadi::ItemSerializerPlugin::parts(const Akonadi::Item&) const
    {84, 1219, 78, 1, Smoke::mf_static, 0, 4},	//1721 Akonadi::ItemSerializerPlugin::overridePluginLookup(QObject*)
    {84, 361, 0, 0, Smoke::mf_ctor, 136, 5},	//1722 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin()
    {84, 361, 547, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 136, 6},	//1723 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin(const Akonadi::ItemSerializerPlugin&)
    {84, 1880, 0, 0, Smoke::mf_dtor, 0, 7 },	//1724 Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin()
    {85, 730, 549, 2, Smoke::mf_virtual, 0, 1},	//1725 Akonadi::ItemSerializerPluginV2::apply(Akonadi::Item&, const Akonadi::Item&)
    {85, 738, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 287, 2},	//1726 Akonadi::ItemSerializerPluginV2::availableParts(const Akonadi::Item&) const
    {85, 363, 0, 0, Smoke::mf_ctor, 137, 3},	//1727 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2()
    {85, 363, 552, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 4},	//1728 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2(const Akonadi::ItemSerializerPluginV2&)
    {85, 1881, 0, 0, Smoke::mf_dtor, 0, 5 },	//1729 Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2()
    {86, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1730 Akonadi::ItemSync::metaObject() const
    {86, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1731 Akonadi::ItemSync::qt_metacast(const char*)
    {86, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1732 Akonadi::ItemSync::tr(const char*, const char*)
    {86, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1733 Akonadi::ItemSync::trUtf8(const char*, const char*)
    {86, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1734 Akonadi::ItemSync::tr(const char*, const char*, int)
    {86, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1735 Akonadi::ItemSync::trUtf8(const char*, const char*, int)
    {86, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1736 Akonadi::ItemSync::qt_metacall(QMetaObject::Call, int, void**)
    {86, 365, 165, 2, Smoke::mf_ctor, 138, 8},	//1737 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&, QObject*)
    {86, 1475, 507, 1, 0, 0, 9},	//1738 Akonadi::ItemSync::setFullSyncItems(const QList<Akonadi::Item>&)
    {86, 1646, 41, 1, 0, 0, 10},	//1739 Akonadi::ItemSync::setTotalItems(int)
    {86, 1625, 45, 1, 0, 0, 11},	//1740 Akonadi::ItemSync::setStreamingEnabled(bool)
    {86, 893, 0, 0, 0, 0, 12},	//1741 Akonadi::ItemSync::deliveryDone()
    {86, 1503, 554, 2, 0, 0, 13},	//1742 Akonadi::ItemSync::setIncrementalSyncItems(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {86, 1463, 512, 1, 0, 0, 14},	//1743 Akonadi::ItemSync::setFetchScope(Akonadi::ItemFetchScope&)
    {86, 987, 0, 0, 0, 126, 15},	//1744 Akonadi::ItemSync::fetchScope()
    {86, 1294, 0, 0, 0, 0, 16},	//1745 Akonadi::ItemSync::rollback()
    {86, 1648, 557, 1, 0, 0, 17},	//1746 Akonadi::ItemSync::setTransactionMode(Akonadi::ItemSync::TransactionMode)
    {86, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1747 Akonadi::ItemSync::doStart()
    {86, 1687, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1748 Akonadi::ItemSync::slotResult(KJob*)
    {86, 1773, 559, 2, Smoke::mf_protected|Smoke::mf_virtual, 383, 20},	//1749 Akonadi::ItemSync::updateItem(const Akonadi::Item&, Akonadi::Item&)
    {86, 1746, 21, 1, Smoke::mf_static, 291, 21},	//1750 Akonadi::ItemSync::tr(const char*)
    {86, 1750, 21, 1, Smoke::mf_static, 291, 22},	//1751 Akonadi::ItemSync::trUtf8(const char*)
    {86, 365, 61, 1, Smoke::mf_ctor, 138, 23},	//1752 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&)
    {86, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 24},	//1753 Akonadi::ItemSync::staticMetaObject() const
    {86, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 25},	//1754 Akonadi::ItemSync::SingleTransaction (enum)
    {86, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 26},	//1755 Akonadi::ItemSync::MultipleTransactions (enum)
    {86, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 27},	//1756 Akonadi::ItemSync::NoTransaction (enum)
    {86, 1882, 0, 0, Smoke::mf_dtor, 0, 28 },	//1757 Akonadi::ItemSync::~ItemSync()
    {87, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1758 Akonadi::ItemView::metaObject() const
    {87, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1759 Akonadi::ItemView::qt_metacast(const char*)
    {87, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1760 Akonadi::ItemView::tr(const char*, const char*)
    {87, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1761 Akonadi::ItemView::trUtf8(const char*, const char*)
    {87, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1762 Akonadi::ItemView::tr(const char*, const char*, int)
    {87, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1763 Akonadi::ItemView::trUtf8(const char*, const char*, int)
    {87, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1764 Akonadi::ItemView::qt_metacall(QMetaObject::Call, int, void**)
    {87, 368, 85, 1, Smoke::mf_ctor, 140, 8},	//1765 Akonadi::ItemView::ItemView(QWidget*)
    {87, 368, 279, 2, Smoke::mf_ctor, 140, 9},	//1766 Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    {87, 368, 282, 2, Smoke::mf_ctor, 140, 10},	//1767 Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    {87, 1670, 285, 1, 0, 0, 11},	//1768 Akonadi::ItemView::setXmlGuiWindow(KXmlGuiWindow*)
    {87, 1668, 287, 1, 0, 0, 12},	//1769 Akonadi::ItemView::setXmlGuiClient(KXMLGUIClient*)
    {87, 1547, 159, 1, Smoke::mf_virtual, 0, 13},	//1770 Akonadi::ItemView::setModel(QAbstractItemModel*)
    {87, 686, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1771 Akonadi::ItemView::activated(const Akonadi::Item&)
    {87, 875, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1772 Akonadi::ItemView::currentChanged(const Akonadi::Item&)
    {87, 783, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1773 Akonadi::ItemView::clicked(const Akonadi::Item&)
    {87, 919, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1774 Akonadi::ItemView::doubleClicked(const Akonadi::Item&)
    {87, 875, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1775 Akonadi::ItemView::currentChanged(const QModelIndex&, const QModelIndex&)
    {87, 856, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1776 Akonadi::ItemView::contextMenuEvent(QContextMenuEvent*)
    {87, 1746, 21, 1, Smoke::mf_static, 291, 20},	//1777 Akonadi::ItemView::tr(const char*)
    {87, 1750, 21, 1, Smoke::mf_static, 291, 21},	//1778 Akonadi::ItemView::trUtf8(const char*)
    {87, 368, 0, 0, Smoke::mf_ctor, 140, 22},	//1779 Akonadi::ItemView::ItemView()
    {87, 368, 285, 1, Smoke::mf_ctor, 140, 23},	//1780 Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    {87, 368, 287, 1, Smoke::mf_ctor, 140, 24},	//1781 Akonadi::ItemView::ItemView(KXMLGUIClient*)
    {87, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 25},	//1782 Akonadi::ItemView::staticMetaObject() const
    {87, 1883, 0, 0, Smoke::mf_dtor, 0, 26 },	//1783 Akonadi::ItemView::~ItemView()
    {88, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1784 Akonadi::Job::metaObject() const
    {88, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1785 Akonadi::Job::qt_metacast(const char*)
    {88, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1786 Akonadi::Job::tr(const char*, const char*)
    {88, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1787 Akonadi::Job::trUtf8(const char*, const char*)
    {88, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1788 Akonadi::Job::tr(const char*, const char*, int)
    {88, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1789 Akonadi::Job::trUtf8(const char*, const char*, int)
    {88, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1790 Akonadi::Job::qt_metacall(QMetaObject::Call, int, void**)
    {88, 372, 78, 1, Smoke::mf_ctor, 141, 8},	//1791 Akonadi::Job::Job(QObject*)
    {88, 1693, 0, 0, Smoke::mf_virtual, 0, 9},	//1792 Akonadi::Job::start()
    {88, 957, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 291, 10},	//1793 Akonadi::Job::errorString() const
    {88, 678, 562, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1794 Akonadi::Job::aboutToStart(Akonadi::Job*)
    {88, 1803, 562, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1795 Akonadi::Job::writeFinished(Akonadi::Job*)
    {88, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1796 Akonadi::Job::doStart() [pure virtual]
    {88, 908, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1797 Akonadi::Job::doHandleResponse(const QByteArray&, const QByteArray&)
    {88, 710, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 383, 15},	//1798 Akonadi::Job::addSubjob(KJob*)
    {88, 1269, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 383, 16},	//1799 Akonadi::Job::removeSubjob(KJob*)
    {88, 911, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 383, 17},	//1800 Akonadi::Job::doKill()
    {88, 943, 0, 0, Smoke::mf_protected, 0, 18},	//1801 Akonadi::Job::emitWriteFinished()
    {88, 1687, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1802 Akonadi::Job::slotResult(KJob*)
    {88, 372, 564, 2, Smoke::mf_ctor|Smoke::mf_protected, 141, 20},	//1803 Akonadi::Job::Job(Akonadi::JobPrivate*, QObject*)
    {88, 1746, 21, 1, Smoke::mf_static, 291, 21},	//1804 Akonadi::Job::tr(const char*)
    {88, 1750, 21, 1, Smoke::mf_static, 291, 22},	//1805 Akonadi::Job::trUtf8(const char*)
    {88, 372, 0, 0, Smoke::mf_ctor, 141, 23},	//1806 Akonadi::Job::Job()
    {88, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 24},	//1807 Akonadi::Job::staticMetaObject() const
    {88, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 25},	//1808 Akonadi::Job::ConnectionFailed (enum)
    {88, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 26},	//1809 Akonadi::Job::ProtocolVersionMismatch (enum)
    {88, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 27},	//1810 Akonadi::Job::UserCanceled (enum)
    {88, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 28},	//1811 Akonadi::Job::Unknown (enum)
    {88, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 29},	//1812 Akonadi::Job::UserError (enum)
    {88, 1884, 0, 0, Smoke::mf_dtor, 0, 30 },	//1813 Akonadi::Job::~Job()
    {90, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1814 Akonadi::LinkJob::metaObject() const
    {90, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1815 Akonadi::LinkJob::qt_metacast(const char*)
    {90, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1816 Akonadi::LinkJob::tr(const char*, const char*)
    {90, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1817 Akonadi::LinkJob::trUtf8(const char*, const char*)
    {90, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1818 Akonadi::LinkJob::tr(const char*, const char*, int)
    {90, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1819 Akonadi::LinkJob::trUtf8(const char*, const char*, int)
    {90, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1820 Akonadi::LinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 381, 567, 3, Smoke::mf_ctor, 144, 8},	//1821 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {90, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//1822 Akonadi::LinkJob::doStart()
    {90, 1746, 21, 1, Smoke::mf_static, 291, 10},	//1823 Akonadi::LinkJob::tr(const char*)
    {90, 1750, 21, 1, Smoke::mf_static, 291, 11},	//1824 Akonadi::LinkJob::trUtf8(const char*)
    {90, 381, 571, 2, Smoke::mf_ctor, 144, 12},	//1825 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {90, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//1826 Akonadi::LinkJob::staticMetaObject() const
    {90, 1885, 0, 0, Smoke::mf_dtor, 0, 14 },	//1827 Akonadi::LinkJob::~LinkJob()
    {91, 390, 0, 0, Smoke::mf_ctor, 145, 1},	//1828 Akonadi::MessageFolderAttribute::MessageFolderAttribute()
    {91, 390, 574, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 2},	//1829 Akonadi::MessageFolderAttribute::MessageFolderAttribute(const Akonadi::MessageFolderAttribute&)
    {91, 1091, 0, 0, Smoke::mf_const, 383, 3},	//1830 Akonadi::MessageFolderAttribute::isOutboundFolder() const
    {91, 1558, 45, 1, 0, 0, 4},	//1831 Akonadi::MessageFolderAttribute::setOutboundFolder(bool)
    {91, 1754, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 5},	//1832 Akonadi::MessageFolderAttribute::type() const
    {91, 785, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 6},	//1833 Akonadi::MessageFolderAttribute::clone() const
    {91, 1333, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 7},	//1834 Akonadi::MessageFolderAttribute::serialized() const
    {91, 896, 6, 1, Smoke::mf_virtual, 0, 8},	//1835 Akonadi::MessageFolderAttribute::deserialize(const QByteArray&)
    {91, 1886, 0, 0, Smoke::mf_dtor, 0, 9 },	//1836 Akonadi::MessageFolderAttribute::~MessageFolderAttribute()
    {92, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1837 Akonadi::MessageModel::metaObject() const
    {92, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1838 Akonadi::MessageModel::qt_metacast(const char*)
    {92, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1839 Akonadi::MessageModel::tr(const char*, const char*)
    {92, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1840 Akonadi::MessageModel::trUtf8(const char*, const char*)
    {92, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1841 Akonadi::MessageModel::tr(const char*, const char*, int)
    {92, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1842 Akonadi::MessageModel::trUtf8(const char*, const char*, int)
    {92, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1843 Akonadi::MessageModel::qt_metacall(QMetaObject::Call, int, void**)
    {92, 392, 78, 1, Smoke::mf_ctor, 146, 8},	//1844 Akonadi::MessageModel::MessageModel(QObject*)
    {92, 1297, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 9},	//1845 Akonadi::MessageModel::rowCount(const QModelIndex&) const
    {92, 830, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 10},	//1846 Akonadi::MessageModel::columnCount(const QModelIndex&) const
    {92, 884, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 301, 11},	//1847 Akonadi::MessageModel::data(const QModelIndex&, int) const
    {92, 1019, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 301, 12},	//1848 Akonadi::MessageModel::headerData(int, Qt::Orientation, int) const
    {92, 1191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 292, 13},	//1849 Akonadi::MessageModel::mimeTypes() const
    {92, 1746, 21, 1, Smoke::mf_static, 291, 14},	//1850 Akonadi::MessageModel::tr(const char*)
    {92, 1750, 21, 1, Smoke::mf_static, 291, 15},	//1851 Akonadi::MessageModel::trUtf8(const char*)
    {92, 392, 0, 0, Smoke::mf_ctor, 146, 16},	//1852 Akonadi::MessageModel::MessageModel()
    {92, 1297, 0, 0, Smoke::mf_const, 475, 17},	//1853 Akonadi::MessageModel::rowCount() const
    {92, 830, 0, 0, Smoke::mf_const, 475, 18},	//1854 Akonadi::MessageModel::columnCount() const
    {92, 884, 95, 1, Smoke::mf_const, 301, 19},	//1855 Akonadi::MessageModel::data(const QModelIndex&) const
    {92, 1019, 112, 2, Smoke::mf_const, 301, 20},	//1856 Akonadi::MessageModel::headerData(int, Qt::Orientation) const
    {92, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 21},	//1857 Akonadi::MessageModel::staticMetaObject() const
    {92, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 22},	//1858 Akonadi::MessageModel::Subject (enum)
    {92, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 23},	//1859 Akonadi::MessageModel::Sender (enum)
    {92, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 24},	//1860 Akonadi::MessageModel::Receiver (enum)
    {92, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 25},	//1861 Akonadi::MessageModel::Date (enum)
    {92, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 26},	//1862 Akonadi::MessageModel::Size (enum)
    {92, 1887, 0, 0, Smoke::mf_dtor, 0, 27 },	//1863 Akonadi::MessageModel::~MessageModel()
    {93, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1864 Akonadi::MessageThreaderProxyModel::metaObject() const
    {93, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1865 Akonadi::MessageThreaderProxyModel::qt_metacast(const char*)
    {93, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1866 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*)
    {93, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1867 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*)
    {93, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1868 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*, int)
    {93, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1869 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*, int)
    {93, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1870 Akonadi::MessageThreaderProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {93, 394, 78, 1, Smoke::mf_ctor, 148, 8},	//1871 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel(QObject*)
    {93, 1227, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 9},	//1872 Akonadi::MessageThreaderProxyModel::parent(const QModelIndex&) const
    {93, 1297, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 10},	//1873 Akonadi::MessageThreaderProxyModel::rowCount(const QModelIndex&) const
    {93, 1042, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 274, 11},	//1874 Akonadi::MessageThreaderProxyModel::index(int, int, const QModelIndex&) const
    {93, 1011, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 383, 12},	//1875 Akonadi::MessageThreaderProxyModel::hasChildren(const QModelIndex&) const
    {93, 868, 576, 3, Smoke::mf_const, 274, 13},	//1876 Akonadi::MessageThreaderProxyModel::createIndex(int, int, unsigned int) const
    {93, 830, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 14},	//1877 Akonadi::MessageThreaderProxyModel::columnCount(const QModelIndex&) const
    {93, 1191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 292, 15},	//1878 Akonadi::MessageThreaderProxyModel::mimeTypes() const
    {93, 1182, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 16},	//1879 Akonadi::MessageThreaderProxyModel::mimeData(const QList<QModelIndex>&) const
    {93, 1169, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 17},	//1880 Akonadi::MessageThreaderProxyModel::mapFromSource(const QModelIndex&) const
    {93, 1173, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 18},	//1881 Akonadi::MessageThreaderProxyModel::mapToSource(const QModelIndex&) const
    {93, 1621, 159, 1, Smoke::mf_virtual, 0, 19},	//1882 Akonadi::MessageThreaderProxyModel::setSourceModel(QAbstractItemModel*)
    {93, 1746, 21, 1, Smoke::mf_static, 291, 20},	//1883 Akonadi::MessageThreaderProxyModel::tr(const char*)
    {93, 1750, 21, 1, Smoke::mf_static, 291, 21},	//1884 Akonadi::MessageThreaderProxyModel::trUtf8(const char*)
    {93, 394, 0, 0, Smoke::mf_ctor, 148, 22},	//1885 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel()
    {93, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 23},	//1886 Akonadi::MessageThreaderProxyModel::staticMetaObject() const
    {93, 1888, 0, 0, Smoke::mf_dtor, 0, 24 },	//1887 Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel()
    {94, 396, 0, 0, Smoke::mf_ctor, 149, 1},	//1888 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute()
    {94, 396, 580, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 2},	//1889 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute(const Akonadi::MessageThreadingAttribute&)
    {94, 1238, 0, 0, Smoke::mf_const, 263, 3},	//1890 Akonadi::MessageThreadingAttribute::perfectParents() const
    {94, 1571, 520, 1, 0, 0, 4},	//1891 Akonadi::MessageThreadingAttribute::setPerfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1765, 0, 0, Smoke::mf_const, 263, 5},	//1892 Akonadi::MessageThreadingAttribute::unperfectParents() const
    {94, 1653, 520, 1, 0, 0, 6},	//1893 Akonadi::MessageThreadingAttribute::setUnperfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1714, 0, 0, Smoke::mf_const, 263, 7},	//1894 Akonadi::MessageThreadingAttribute::subjectParents() const
    {94, 1627, 520, 1, 0, 0, 8},	//1895 Akonadi::MessageThreadingAttribute::setSubjectParents(const QList<Akonadi::Item::Id>&)
    {94, 1754, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 9},	//1896 Akonadi::MessageThreadingAttribute::type() const
    {94, 785, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 149, 10},	//1897 Akonadi::MessageThreadingAttribute::clone() const
    {94, 1333, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 11},	//1898 Akonadi::MessageThreadingAttribute::serialized() const
    {94, 896, 6, 1, Smoke::mf_virtual, 0, 12},	//1899 Akonadi::MessageThreadingAttribute::deserialize(const QByteArray&)
    {94, 1889, 0, 0, Smoke::mf_dtor, 0, 13 },	//1900 Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute()
    {95, 399, 0, 0, Smoke::mf_ctor, 151, 1},	//1901 Akonadi::MimeTypeChecker::MimeTypeChecker()
    {95, 399, 582, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 151, 2},	//1902 Akonadi::MimeTypeChecker::MimeTypeChecker(const Akonadi::MimeTypeChecker&)
    {95, 1215, 582, 1, 0, 150, 3},	//1903 Akonadi::MimeTypeChecker::operator=(const Akonadi::MimeTypeChecker&)
    {95, 1794, 0, 0, Smoke::mf_const, 292, 4},	//1904 Akonadi::MimeTypeChecker::wantedMimeTypes() const
    {95, 1666, 10, 1, 0, 0, 5},	//1905 Akonadi::MimeTypeChecker::setWantedMimeTypes(const QStringList&)
    {95, 712, 8, 1, 0, 0, 6},	//1906 Akonadi::MimeTypeChecker::addWantedMimeType(const QString&)
    {95, 1271, 8, 1, 0, 0, 7},	//1907 Akonadi::MimeTypeChecker::removeWantedMimeType(const QString&)
    {95, 1101, 56, 1, Smoke::mf_const, 383, 8},	//1908 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&) const
    {95, 1098, 61, 1, Smoke::mf_const, 383, 9},	//1909 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&) const
    {95, 1104, 8, 1, Smoke::mf_const, 383, 10},	//1910 Akonadi::MimeTypeChecker::isWantedMimeType(const QString&) const
    {95, 853, 10, 1, Smoke::mf_const, 383, 11},	//1911 Akonadi::MimeTypeChecker::containsWantedMimeType(const QStringList&) const
    {95, 1101, 584, 2, Smoke::mf_static, 383, 12},	//1912 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&, const QString&)
    {95, 1098, 474, 2, Smoke::mf_static, 383, 13},	//1913 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&, const QString&)
    {95, 1890, 0, 0, Smoke::mf_dtor, 0, 14 },	//1914 Akonadi::MimeTypeChecker::~MimeTypeChecker()
    {96, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1915 Akonadi::Monitor::metaObject() const
    {96, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1916 Akonadi::Monitor::qt_metacast(const char*)
    {96, 1746, 23, 2, Smoke::mf_static, 291, 3},	//1917 Akonadi::Monitor::tr(const char*, const char*)
    {96, 1750, 23, 2, Smoke::mf_static, 291, 4},	//1918 Akonadi::Monitor::trUtf8(const char*, const char*)
    {96, 1746, 26, 3, Smoke::mf_static, 291, 5},	//1919 Akonadi::Monitor::tr(const char*, const char*, int)
    {96, 1750, 26, 3, Smoke::mf_static, 291, 6},	//1920 Akonadi::Monitor::trUtf8(const char*, const char*, int)
    {96, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//1921 Akonadi::Monitor::qt_metacall(QMetaObject::Call, int, void**)
    {96, 404, 78, 1, Smoke::mf_ctor, 152, 8},	//1922 Akonadi::Monitor::Monitor(QObject*)
    {96, 1382, 121, 2, 0, 0, 9},	//1923 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&, bool)
    {96, 1516, 587, 2, 0, 0, 10},	//1924 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&, bool)
    {96, 1597, 522, 2, 0, 0, 11},	//1925 Akonadi::Monitor::setResourceMonitored(const QByteArray&, bool)
    {96, 1542, 590, 2, 0, 0, 12},	//1926 Akonadi::Monitor::setMimeTypeMonitored(const QString&, bool)
    {96, 1635, 593, 2, 0, 0, 13},	//1927 Akonadi::Monitor::setTagMonitored(const Akonadi::Tag&, bool)
    {96, 1650, 596, 2, 0, 0, 14},	//1928 Akonadi::Monitor::setTypeMonitored(Akonadi::Monitor::Type, bool)
    {96, 1346, 45, 1, 0, 0, 15},	//1929 Akonadi::Monitor::setAllMonitored(bool)
    {96, 1034, 599, 1, 0, 0, 16},	//1930 Akonadi::Monitor::ignoreSession(Akonadi::Session*)
    {96, 973, 45, 1, 0, 0, 17},	//1931 Akonadi::Monitor::fetchCollection(bool)
    {96, 975, 45, 1, 0, 0, 18},	//1932 Akonadi::Monitor::fetchCollectionStatistics(bool)
    {96, 1514, 514, 1, 0, 0, 19},	//1933 Akonadi::Monitor::setItemFetchScope(const Akonadi::ItemFetchScope&)
    {96, 970, 45, 1, 0, 0, 20},	//1934 Akonadi::Monitor::fetchChangedOnly(bool)
    {96, 1113, 0, 0, 0, 126, 21},	//1935 Akonadi::Monitor::itemFetchScope()
    {96, 1378, 197, 1, 0, 0, 22},	//1936 Akonadi::Monitor::setCollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {96, 796, 0, 0, 0, 49, 23},	//1937 Akonadi::Monitor::collectionFetchScope()
    {96, 1633, 601, 1, 0, 0, 24},	//1938 Akonadi::Monitor::setTagFetchScope(const Akonadi::TagFetchScope&)
    {96, 1734, 0, 0, 0, 176, 25},	//1939 Akonadi::Monitor::tagFetchScope()
    {96, 822, 0, 0, Smoke::mf_const, 262, 26},	//1940 Akonadi::Monitor::collectionsMonitored() const
    {96, 1137, 0, 0, Smoke::mf_const, 263, 27},	//1941 Akonadi::Monitor::itemsMonitored() const
    {96, 1138, 0, 0, Smoke::mf_const, 303, 28},	//1942 Akonadi::Monitor::itemsMonitoredEx() const
    {96, 1192, 0, 0, Smoke::mf_const, 292, 29},	//1943 Akonadi::Monitor::mimeTypesMonitored() const
    {96, 1740, 0, 0, Smoke::mf_const, 306, 30},	//1944 Akonadi::Monitor::tagsMonitored() const
    {96, 1764, 0, 0, Smoke::mf_const, 304, 31},	//1945 Akonadi::Monitor::typesMonitored() const
    {96, 1279, 0, 0, Smoke::mf_const, 267, 32},	//1946 Akonadi::Monitor::resourcesMonitored() const
    {96, 1081, 0, 0, Smoke::mf_const, 383, 33},	//1947 Akonadi::Monitor::isAllMonitored() const
    {96, 1615, 599, 1, 0, 0, 34},	//1948 Akonadi::Monitor::setSession(Akonadi::Session*)
    {96, 1336, 0, 0, Smoke::mf_const, 169, 35},	//1949 Akonadi::Monitor::session() const
    {96, 1385, 45, 1, 0, 0, 36},	//1950 Akonadi::Monitor::setCollectionMoveTranslationEnabled(bool)
    {96, 1109, 53, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1951 Akonadi::Monitor::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {96, 1133, 603, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1952 Akonadi::Monitor::itemsFlagsChanged(const Akonadi::Item::List&, const QSet<QByteArray>&, const QSet<QByteArray>&)
    {96, 1150, 607, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1953 Akonadi::Monitor::itemsTagsChanged(const Akonadi::Item::List&, const QSet<Akonadi::Tag>&, const QSet<Akonadi::Tag>&)
    {96, 1120, 65, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1954 Akonadi::Monitor::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 1139, 611, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1955 Akonadi::Monitor::itemsMoved(const Akonadi::Item::List&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 1107, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1956 Akonadi::Monitor::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1123, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1957 Akonadi::Monitor::itemRemoved(const Akonadi::Item&)
    {96, 1143, 518, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1958 Akonadi::Monitor::itemsRemoved(const Akonadi::Item::List&)
    {96, 1116, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1959 Akonadi::Monitor::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1135, 615, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1960 Akonadi::Monitor::itemsLinked(const Akonadi::Item::List&, const Akonadi::Collection&)
    {96, 1130, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1961 Akonadi::Monitor::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1152, 615, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1962 Akonadi::Monitor::itemsUnlinked(const Akonadi::Item::List&, const Akonadi::Collection&)
    {96, 789, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1963 Akonadi::Monitor::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 793, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//1964 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&)
    {96, 793, 73, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//1965 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {96, 805, 69, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//1966 Akonadi::Monitor::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 809, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//1967 Akonadi::Monitor::collectionRemoved(const Akonadi::Collection&)
    {96, 813, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//1968 Akonadi::Monitor::collectionSubscribed(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 819, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//1969 Akonadi::Monitor::collectionUnsubscribed(const Akonadi::Collection&)
    {96, 811, 618, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//1970 Akonadi::Monitor::collectionStatisticsChanged(Akonadi::Collection::Id, const Akonadi::CollectionStatistics&)
    {96, 1730, 486, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//1971 Akonadi::Monitor::tagAdded(const Akonadi::Tag&)
    {96, 1732, 486, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//1972 Akonadi::Monitor::tagChanged(const Akonadi::Tag&)
    {96, 1737, 486, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//1973 Akonadi::Monitor::tagRemoved(const Akonadi::Tag&)
    {96, 803, 121, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//1974 Akonadi::Monitor::collectionMonitored(const Akonadi::Collection&, bool)
    {96, 1118, 587, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//1975 Akonadi::Monitor::itemMonitored(const Akonadi::Item&, bool)
    {96, 1277, 522, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//1976 Akonadi::Monitor::resourceMonitored(const QByteArray&, bool)
    {96, 1189, 590, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//1977 Akonadi::Monitor::mimeTypeMonitored(const QString&, bool)
    {96, 727, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//1978 Akonadi::Monitor::allMonitored(bool)
    {96, 1735, 593, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//1979 Akonadi::Monitor::tagMonitored(const Akonadi::Tag&, bool)
    {96, 1758, 621, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//1980 Akonadi::Monitor::typeMonitored(const Akonadi::Monitor::Type, bool)
    {96, 404, 624, 2, Smoke::mf_ctor|Smoke::mf_protected, 152, 67},	//1981 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*, QObject*)
    {96, 1746, 21, 1, Smoke::mf_static, 291, 68},	//1982 Akonadi::Monitor::tr(const char*)
    {96, 1750, 21, 1, Smoke::mf_static, 291, 69},	//1983 Akonadi::Monitor::trUtf8(const char*)
    {96, 404, 0, 0, Smoke::mf_ctor, 152, 70},	//1984 Akonadi::Monitor::Monitor()
    {96, 1382, 61, 1, 0, 0, 71},	//1985 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&)
    {96, 1516, 56, 1, 0, 0, 72},	//1986 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&)
    {96, 1597, 6, 1, 0, 0, 73},	//1987 Akonadi::Monitor::setResourceMonitored(const QByteArray&)
    {96, 1542, 8, 1, 0, 0, 74},	//1988 Akonadi::Monitor::setMimeTypeMonitored(const QString&)
    {96, 1635, 486, 1, 0, 0, 75},	//1989 Akonadi::Monitor::setTagMonitored(const Akonadi::Tag&)
    {96, 1650, 627, 1, 0, 0, 76},	//1990 Akonadi::Monitor::setTypeMonitored(Akonadi::Monitor::Type)
    {96, 1346, 0, 0, 0, 0, 77},	//1991 Akonadi::Monitor::setAllMonitored()
    {96, 404, 629, 1, Smoke::mf_ctor|Smoke::mf_protected, 152, 78},	//1992 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    {96, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 79},	//1993 Akonadi::Monitor::staticMetaObject() const
    {96, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 80},	//1994 Akonadi::Monitor::Collections (enum)
    {96, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 81},	//1995 Akonadi::Monitor::Items (enum)
    {96, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 82},	//1996 Akonadi::Monitor::Tags (enum)
    {96, 1891, 0, 0, Smoke::mf_dtor, 0, 83 },	//1997 Akonadi::Monitor::~Monitor()
    {98, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1998 Akonadi::PartFetcher::metaObject() const
    {98, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//1999 Akonadi::PartFetcher::qt_metacast(const char*)
    {98, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2000 Akonadi::PartFetcher::tr(const char*, const char*)
    {98, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2001 Akonadi::PartFetcher::trUtf8(const char*, const char*)
    {98, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2002 Akonadi::PartFetcher::tr(const char*, const char*, int)
    {98, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2003 Akonadi::PartFetcher::trUtf8(const char*, const char*, int)
    {98, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2004 Akonadi::PartFetcher::qt_metacall(QMetaObject::Call, int, void**)
    {98, 463, 631, 3, Smoke::mf_ctor, 155, 8},	//2005 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&, QObject*)
    {98, 1693, 0, 0, Smoke::mf_virtual, 0, 9},	//2006 Akonadi::PartFetcher::start()
    {98, 1042, 0, 0, Smoke::mf_const, 274, 10},	//2007 Akonadi::PartFetcher::index() const
    {98, 1231, 0, 0, Smoke::mf_const, 224, 11},	//2008 Akonadi::PartFetcher::partName() const
    {98, 1106, 0, 0, Smoke::mf_const, 115, 12},	//2009 Akonadi::PartFetcher::item() const
    {98, 1746, 21, 1, Smoke::mf_static, 291, 13},	//2010 Akonadi::PartFetcher::tr(const char*)
    {98, 1750, 21, 1, Smoke::mf_static, 291, 14},	//2011 Akonadi::PartFetcher::trUtf8(const char*)
    {98, 463, 635, 2, Smoke::mf_ctor, 155, 15},	//2012 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&)
    {98, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//2013 Akonadi::PartFetcher::staticMetaObject() const
    {98, 1894, 0, 0, Smoke::mf_dtor, 0, 17 },	//2014 Akonadi::PartFetcher::~PartFetcher()
    {99, 785, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 156, 1},	//2015 Akonadi::PayloadBase::clone() const [pure virtual]
    {99, 1760, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 471, 2},	//2016 Akonadi::PayloadBase::typeName() const [pure virtual]
    {99, 467, 0, 0, Smoke::mf_ctor, 156, 3},	//2017 Akonadi::PayloadBase::PayloadBase()
    {99, 467, 638, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 4},	//2018 Akonadi::PayloadBase::PayloadBase(const Akonadi::PayloadBase&)
    {99, 1895, 0, 0, Smoke::mf_dtor, 0, 5 },	//2019 Akonadi::PayloadBase::~PayloadBase()
    {100, 469, 21, 1, Smoke::mf_ctor, 157, 1},	//2020 Akonadi::PayloadException::PayloadException(const char*)
    {100, 469, 6, 1, Smoke::mf_ctor, 157, 2},	//2021 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {100, 469, 8, 1, Smoke::mf_ctor, 157, 3},	//2022 Akonadi::PayloadException::PayloadException(const QString&)
    {100, 1754, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 224, 4},	//2023 Akonadi::PayloadException::type() const
    {100, 469, 640, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 157, 5},	//2024 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {100, 1896, 0, 0, Smoke::mf_dtor, 0, 6 },	//2025 Akonadi::PayloadException::~PayloadException()
    {101, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2026 Akonadi::PreprocessorBase::metaObject() const
    {101, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//2027 Akonadi::PreprocessorBase::qt_metacast(const char*)
    {101, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2028 Akonadi::PreprocessorBase::tr(const char*, const char*)
    {101, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2029 Akonadi::PreprocessorBase::trUtf8(const char*, const char*)
    {101, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2030 Akonadi::PreprocessorBase::tr(const char*, const char*, int)
    {101, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2031 Akonadi::PreprocessorBase::trUtf8(const char*, const char*, int)
    {101, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2032 Akonadi::PreprocessorBase::qt_metacall(QMetaObject::Call, int, void**)
    {101, 1241, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 8},	//2033 Akonadi::PreprocessorBase::processItem(const Akonadi::Item&) [pure virtual]
    {101, 993, 642, 1, 0, 0, 9},	//2034 Akonadi::PreprocessorBase::finishProcessing(Akonadi::PreprocessorBase::ProcessingResult)
    {101, 1463, 514, 1, 0, 0, 10},	//2035 Akonadi::PreprocessorBase::setFetchScope(const Akonadi::ItemFetchScope&)
    {101, 987, 0, 0, 0, 126, 11},	//2036 Akonadi::PreprocessorBase::fetchScope()
    {101, 479, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 158, 12},	//2037 Akonadi::PreprocessorBase::PreprocessorBase(const QString&)
    {101, 1746, 21, 1, Smoke::mf_static, 291, 13},	//2038 Akonadi::PreprocessorBase::tr(const char*)
    {101, 1750, 21, 1, Smoke::mf_static, 291, 14},	//2039 Akonadi::PreprocessorBase::trUtf8(const char*)
    {101, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//2040 Akonadi::PreprocessorBase::staticMetaObject() const
    {101, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 16},	//2041 Akonadi::PreprocessorBase::ProcessingCompleted (enum)
    {101, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 17},	//2042 Akonadi::PreprocessorBase::ProcessingDelayed (enum)
    {101, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 18},	//2043 Akonadi::PreprocessorBase::ProcessingFailed (enum)
    {101, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 19},	//2044 Akonadi::PreprocessorBase::ProcessingRefused (enum)
    {101, 1897, 0, 0, Smoke::mf_dtor, 0, 20 },	//2045 Akonadi::PreprocessorBase::~PreprocessorBase()
    {102, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2046 Akonadi::ResourceBase::metaObject() const
    {102, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//2047 Akonadi::ResourceBase::qt_metacast(const char*)
    {102, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2048 Akonadi::ResourceBase::tr(const char*, const char*)
    {102, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2049 Akonadi::ResourceBase::trUtf8(const char*, const char*)
    {102, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2050 Akonadi::ResourceBase::tr(const char*, const char*, int)
    {102, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2051 Akonadi::ResourceBase::trUtf8(const char*, const char*, int)
    {102, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2052 Akonadi::ResourceBase::qt_metacall(QMetaObject::Call, int, void**)
    {102, 1552, 8, 1, 0, 0, 8},	//2053 Akonadi::ResourceBase::setName(const QString&)
    {102, 1205, 0, 0, Smoke::mf_const, 291, 9},	//2054 Akonadi::ResourceBase::name() const
    {102, 1353, 45, 1, 0, 0, 10},	//2055 Akonadi::ResourceBase::setAutomaticProgressReporting(bool)
    {102, 1206, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//2056 Akonadi::ResourceBase::nameChanged(const QString&)
    {102, 1727, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//2057 Akonadi::ResourceBase::synchronized()
    {102, 736, 644, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//2058 Akonadi::ResourceBase::attributesSynchronized(qlonglong)
    {102, 818, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2059 Akonadi::ResourceBase::collectionTreeSynchronized()
    {102, 1286, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//2060 Akonadi::ResourceBase::retrieveCollections() [pure virtual]
    {102, 1284, 61, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 16},	//2061 Akonadi::ResourceBase::retrieveCollectionAttributes(const Akonadi::Collection&)
    {102, 1289, 61, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 17},	//2062 Akonadi::ResourceBase::retrieveItems(const Akonadi::Collection&) [pure virtual]
    {102, 1287, 53, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 383, 18},	//2063 Akonadi::ResourceBase::retrieveItem(const Akonadi::Item&, const QSet<QByteArray>&) [pure virtual]
    {102, 674, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 19},	//2064 Akonadi::ResourceBase::abortActivity()
    {102, 935, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 291, 20},	//2065 Akonadi::ResourceBase::dumpResourceToString() const
    {102, 504, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 160, 21},	//2066 Akonadi::ResourceBase::ResourceBase(const QString&)
    {102, 1125, 56, 1, Smoke::mf_protected, 0, 22},	//2067 Akonadi::ResourceBase::itemRetrieved(const Akonadi::Item&)
    {102, 791, 61, 1, Smoke::mf_protected, 0, 23},	//2068 Akonadi::ResourceBase::collectionAttributesRetrieved(const Akonadi::Collection&)
    {102, 759, 56, 1, Smoke::mf_protected, 0, 24},	//2069 Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    {102, 765, 507, 1, Smoke::mf_protected, 0, 25},	//2070 Akonadi::ResourceBase::changesCommitted(const QList<Akonadi::Item>&)
    {102, 759, 486, 1, Smoke::mf_protected, 0, 26},	//2071 Akonadi::ResourceBase::changeCommitted(const Akonadi::Tag&)
    {102, 759, 61, 1, Smoke::mf_protected, 0, 27},	//2072 Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    {102, 826, 206, 1, Smoke::mf_protected, 0, 28},	//2073 Akonadi::ResourceBase::collectionsRetrieved(const QList<Akonadi::Collection>&)
    {102, 828, 646, 2, Smoke::mf_protected, 0, 29},	//2074 Akonadi::ResourceBase::collectionsRetrievedIncremental(const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&)
    {102, 1391, 45, 1, Smoke::mf_protected, 0, 30},	//2075 Akonadi::ResourceBase::setCollectionStreamingEnabled(bool)
    {102, 825, 0, 0, Smoke::mf_protected, 0, 31},	//2076 Akonadi::ResourceBase::collectionsRetrievalDone()
    {102, 1146, 507, 1, Smoke::mf_protected, 0, 32},	//2077 Akonadi::ResourceBase::itemsRetrieved(const QList<Akonadi::Item>&)
    {102, 1646, 41, 1, Smoke::mf_protected, 0, 33},	//2078 Akonadi::ResourceBase::setTotalItems(int)
    {102, 1523, 45, 1, Smoke::mf_protected, 0, 34},	//2079 Akonadi::ResourceBase::setItemStreamingEnabled(bool)
    {102, 1527, 557, 1, Smoke::mf_protected, 0, 35},	//2080 Akonadi::ResourceBase::setItemTransactionMode(Akonadi::ItemSync::TransactionMode)
    {102, 1525, 514, 1, Smoke::mf_protected, 0, 36},	//2081 Akonadi::ResourceBase::setItemSynchronizationFetchScope(const Akonadi::ItemFetchScope&)
    {102, 1148, 554, 2, Smoke::mf_protected, 0, 37},	//2082 Akonadi::ResourceBase::itemsRetrievedIncremental(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {102, 1145, 0, 0, Smoke::mf_protected, 0, 38},	//2083 Akonadi::ResourceBase::itemsRetrievalDone()
    {102, 773, 0, 0, Smoke::mf_protected, 0, 39},	//2084 Akonadi::ResourceBase::clearCache()
    {102, 1079, 61, 1, Smoke::mf_protected, 0, 40},	//2085 Akonadi::ResourceBase::invalidateCache(const Akonadi::Collection&)
    {102, 878, 0, 0, Smoke::mf_const|Smoke::mf_protected, 34, 41},	//2086 Akonadi::ResourceBase::currentCollection() const
    {102, 879, 0, 0, Smoke::mf_const|Smoke::mf_protected, 115, 42},	//2087 Akonadi::ResourceBase::currentItem() const
    {102, 1718, 0, 0, Smoke::mf_protected, 0, 43},	//2088 Akonadi::ResourceBase::synchronize()
    {102, 1719, 146, 1, Smoke::mf_protected, 0, 44},	//2089 Akonadi::ResourceBase::synchronizeCollection(long long)
    {102, 1719, 649, 2, Smoke::mf_protected, 0, 45},	//2090 Akonadi::ResourceBase::synchronizeCollection(long long, bool)
    {102, 1724, 146, 1, Smoke::mf_protected, 0, 46},	//2091 Akonadi::ResourceBase::synchronizeCollectionAttributes(long long)
    {102, 1726, 0, 0, Smoke::mf_protected, 0, 47},	//2092 Akonadi::ResourceBase::synchronizeCollectionTree()
    {102, 753, 0, 0, Smoke::mf_protected, 0, 48},	//2093 Akonadi::ResourceBase::cancelTask()
    {102, 753, 8, 1, Smoke::mf_protected, 0, 49},	//2094 Akonadi::ResourceBase::cancelTask(const QString&)
    {102, 891, 0, 0, Smoke::mf_protected, 0, 50},	//2095 Akonadi::ResourceBase::deferTask()
    {102, 913, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 51},	//2096 Akonadi::ResourceBase::doSetOnline(bool)
    {102, 1485, 45, 1, Smoke::mf_protected, 0, 52},	//2097 Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled(bool)
    {102, 1308, 652, 4, Smoke::mf_protected, 0, 53},	//2098 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority)
    {102, 1741, 0, 0, Smoke::mf_protected, 0, 54},	//2099 Akonadi::ResourceBase::taskDone()
    {102, 934, 0, 0, Smoke::mf_const|Smoke::mf_protected, 291, 55},	//2100 Akonadi::ResourceBase::dumpNotificationListToString() const
    {102, 932, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 56},	//2101 Akonadi::ResourceBase::dumpMemoryInfo() const
    {102, 933, 0, 0, Smoke::mf_const|Smoke::mf_protected, 291, 57},	//2102 Akonadi::ResourceBase::dumpMemoryInfoToString() const
    {102, 936, 0, 0, Smoke::mf_const|Smoke::mf_protected, 291, 58},	//2103 Akonadi::ResourceBase::dumpSchedulerToString() const
    {102, 1746, 21, 1, Smoke::mf_static, 291, 59},	//2104 Akonadi::ResourceBase::tr(const char*)
    {102, 1750, 21, 1, Smoke::mf_static, 291, 60},	//2105 Akonadi::ResourceBase::trUtf8(const char*)
    {102, 1308, 657, 3, Smoke::mf_protected, 0, 61},	//2106 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&)
    {102, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 62},	//2107 Akonadi::ResourceBase::staticMetaObject() const
    {102, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 63},	//2108 Akonadi::ResourceBase::Prepend (enum)
    {102, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 64},	//2109 Akonadi::ResourceBase::AfterChangeReplay (enum)
    {102, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 65},	//2110 Akonadi::ResourceBase::Append (enum)
    {102, 1898, 0, 0, Smoke::mf_dtor, 0, 66 },	//2111 Akonadi::ResourceBase::~ResourceBase()
    {103, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2112 Akonadi::ResourceSynchronizationJob::metaObject() const
    {103, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//2113 Akonadi::ResourceSynchronizationJob::qt_metacast(const char*)
    {103, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2114 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*)
    {103, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2115 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*)
    {103, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2116 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*, int)
    {103, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2117 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*, int)
    {103, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2118 Akonadi::ResourceSynchronizationJob::qt_metacall(QMetaObject::Call, int, void**)
    {103, 507, 661, 2, Smoke::mf_ctor, 162, 8},	//2119 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&, QObject*)
    {103, 817, 0, 0, Smoke::mf_const, 383, 9},	//2120 Akonadi::ResourceSynchronizationJob::collectionTreeOnly() const
    {103, 1393, 45, 1, 0, 0, 10},	//2121 Akonadi::ResourceSynchronizationJob::setCollectionTreeOnly(bool)
    {103, 1276, 0, 0, Smoke::mf_const, 11, 11},	//2122 Akonadi::ResourceSynchronizationJob::resource() const
    {103, 1693, 0, 0, Smoke::mf_virtual, 0, 12},	//2123 Akonadi::ResourceSynchronizationJob::start()
    {103, 1746, 21, 1, Smoke::mf_static, 291, 13},	//2124 Akonadi::ResourceSynchronizationJob::tr(const char*)
    {103, 1750, 21, 1, Smoke::mf_static, 291, 14},	//2125 Akonadi::ResourceSynchronizationJob::trUtf8(const char*)
    {103, 507, 83, 1, Smoke::mf_ctor, 162, 15},	//2126 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&)
    {103, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//2127 Akonadi::ResourceSynchronizationJob::staticMetaObject() const
    {103, 1899, 0, 0, Smoke::mf_dtor, 0, 17 },	//2128 Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob()
    {104, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2129 Akonadi::SearchCreateJob::metaObject() const
    {104, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//2130 Akonadi::SearchCreateJob::qt_metacast(const char*)
    {104, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2131 Akonadi::SearchCreateJob::tr(const char*, const char*)
    {104, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2132 Akonadi::SearchCreateJob::trUtf8(const char*, const char*)
    {104, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2133 Akonadi::SearchCreateJob::tr(const char*, const char*, int)
    {104, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2134 Akonadi::SearchCreateJob::trUtf8(const char*, const char*, int)
    {104, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2135 Akonadi::SearchCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {104, 515, 664, 3, Smoke::mf_ctor, 163, 8},	//2136 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&, QObject*)
    {104, 515, 668, 3, Smoke::mf_ctor, 163, 9},	//2137 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const Akonadi::SearchQuery&, QObject*)
    {104, 1581, 8, 1, 0, 0, 10},	//2138 Akonadi::SearchCreateJob::setQueryLanguage(const QString&)
    {104, 1609, 10, 1, 0, 0, 11},	//2139 Akonadi::SearchCreateJob::setSearchMimeTypes(const QStringList&)
    {104, 1314, 0, 0, Smoke::mf_const, 292, 12},	//2140 Akonadi::SearchCreateJob::searchMimeTypes() const
    {104, 1607, 206, 1, 0, 0, 13},	//2141 Akonadi::SearchCreateJob::setSearchCollections(const QList<Akonadi::Collection>&)
    {104, 1313, 0, 0, Smoke::mf_const, 262, 14},	//2142 Akonadi::SearchCreateJob::searchCollections() const
    {104, 1593, 45, 1, 0, 0, 15},	//2143 Akonadi::SearchCreateJob::setRemoteSearchEnabled(bool)
    {104, 1093, 0, 0, Smoke::mf_const, 383, 16},	//2144 Akonadi::SearchCreateJob::isRemoteSearchEnabled() const
    {104, 1587, 45, 1, 0, 0, 17},	//2145 Akonadi::SearchCreateJob::setRecursive(bool)
    {104, 1092, 0, 0, Smoke::mf_const, 383, 18},	//2146 Akonadi::SearchCreateJob::isRecursive() const
    {104, 872, 0, 0, Smoke::mf_const, 34, 19},	//2147 Akonadi::SearchCreateJob::createdCollection() const
    {104, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2148 Akonadi::SearchCreateJob::doStart()
    {104, 908, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2149 Akonadi::SearchCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {104, 1746, 21, 1, Smoke::mf_static, 291, 22},	//2150 Akonadi::SearchCreateJob::tr(const char*)
    {104, 1750, 21, 1, Smoke::mf_static, 291, 23},	//2151 Akonadi::SearchCreateJob::trUtf8(const char*)
    {104, 515, 300, 2, Smoke::mf_ctor, 163, 24},	//2152 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&)
    {104, 515, 672, 2, Smoke::mf_ctor, 163, 25},	//2153 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const Akonadi::SearchQuery&)
    {104, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 26},	//2154 Akonadi::SearchCreateJob::staticMetaObject() const
    {104, 1900, 0, 0, Smoke::mf_dtor, 0, 27 },	//2155 Akonadi::SearchCreateJob::~SearchCreateJob()
    {106, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2156 Akonadi::SelectionProxyModel::metaObject() const
    {106, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//2157 Akonadi::SelectionProxyModel::qt_metacast(const char*)
    {106, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2158 Akonadi::SelectionProxyModel::tr(const char*, const char*)
    {106, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2159 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*)
    {106, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2160 Akonadi::SelectionProxyModel::tr(const char*, const char*, int)
    {106, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2161 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*, int)
    {106, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2162 Akonadi::SelectionProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {106, 524, 675, 2, Smoke::mf_ctor, 164, 8},	//2163 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*, QObject*)
    {106, 1746, 21, 1, Smoke::mf_static, 291, 9},	//2164 Akonadi::SelectionProxyModel::tr(const char*)
    {106, 1750, 21, 1, Smoke::mf_static, 291, 10},	//2165 Akonadi::SelectionProxyModel::trUtf8(const char*)
    {106, 524, 678, 1, Smoke::mf_ctor, 164, 11},	//2166 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*)
    {106, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 12},	//2167 Akonadi::SelectionProxyModel::staticMetaObject() const
    {106, 1901, 0, 0, Smoke::mf_dtor, 0, 13 },	//2168 Akonadi::SelectionProxyModel::~SelectionProxyModel()
    {107, 1180, 0, 0, Smoke::mf_const, 454, 1},	//2169 Akonadi::ServerManager::metaObject() const
    {107, 1248, 21, 1, 0, 483, 2},	//2170 Akonadi::ServerManager::qt_metacast(const char*)
    {107, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2171 Akonadi::ServerManager::tr(const char*, const char*)
    {107, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2172 Akonadi::ServerManager::trUtf8(const char*, const char*)
    {107, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2173 Akonadi::ServerManager::tr(const char*, const char*, int)
    {107, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2174 Akonadi::ServerManager::trUtf8(const char*, const char*, int)
    {107, 1246, 30, 3, 0, 475, 7},	//2175 Akonadi::ServerManager::qt_metacall(QMetaObject::Call, int, void**)
    {107, 1693, 0, 0, Smoke::mf_static, 383, 8},	//2176 Akonadi::ServerManager::start()
    {107, 1707, 0, 0, Smoke::mf_static, 383, 9},	//2177 Akonadi::ServerManager::stop()
    {107, 1676, 85, 1, Smoke::mf_static, 0, 10},	//2178 Akonadi::ServerManager::showSelfTestDialog(QWidget*)
    {107, 1094, 0, 0, Smoke::mf_static, 383, 11},	//2179 Akonadi::ServerManager::isRunning()
    {107, 1698, 0, 0, Smoke::mf_static, 168, 12},	//2180 Akonadi::ServerManager::state()
    {107, 1061, 0, 0, Smoke::mf_static, 291, 13},	//2181 Akonadi::ServerManager::instanceIdentifier()
    {107, 1015, 0, 0, Smoke::mf_static, 383, 14},	//2182 Akonadi::ServerManager::hasInstanceIdentifier()
    {107, 1334, 680, 1, Smoke::mf_static, 291, 15},	//2183 Akonadi::ServerManager::serviceName(Akonadi::ServerManager::ServiceType)
    {107, 722, 682, 2, Smoke::mf_static, 291, 16},	//2184 Akonadi::ServerManager::agentServiceName(Akonadi::ServerManager::ServiceAgentType, const QString&)
    {107, 708, 8, 1, Smoke::mf_static, 291, 17},	//2185 Akonadi::ServerManager::addNamespace(const QString&)
    {107, 1324, 0, 0, Smoke::mf_static, 165, 18},	//2186 Akonadi::ServerManager::self()
    {107, 1697, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2187 Akonadi::ServerManager::started()
    {107, 1709, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//2188 Akonadi::ServerManager::stopped()
    {107, 1699, 685, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//2189 Akonadi::ServerManager::stateChanged(Akonadi::ServerManager::State)
    {107, 1746, 21, 1, Smoke::mf_static, 291, 22},	//2190 Akonadi::ServerManager::tr(const char*)
    {107, 1750, 21, 1, Smoke::mf_static, 291, 23},	//2191 Akonadi::ServerManager::trUtf8(const char*)
    {107, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 24},	//2192 Akonadi::ServerManager::staticMetaObject() const
    {107, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 25},	//2193 Akonadi::ServerManager::NotRunning (enum)
    {107, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 26},	//2194 Akonadi::ServerManager::Starting (enum)
    {107, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 27},	//2195 Akonadi::ServerManager::Running (enum)
    {107, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 28},	//2196 Akonadi::ServerManager::Stopping (enum)
    {107, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 29},	//2197 Akonadi::ServerManager::Broken (enum)
    {107, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 30},	//2198 Akonadi::ServerManager::Upgrading (enum)
    {107, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 31},	//2199 Akonadi::ServerManager::Server (enum)
    {107, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 32},	//2200 Akonadi::ServerManager::Control (enum)
    {107, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 33},	//2201 Akonadi::ServerManager::ControlLock (enum)
    {107, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 34},	//2202 Akonadi::ServerManager::UpgradeIndicator (enum)
    {107, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 35},	//2203 Akonadi::ServerManager::Agent (enum)
    {107, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 36},	//2204 Akonadi::ServerManager::Resource (enum)
    {107, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 37},	//2205 Akonadi::ServerManager::Preprocessor (enum)
    {107, 1902, 0, 0, Smoke::mf_dtor, 0, 38 },	//2206 Akonadi::ServerManager::~ServerManager()
    {108, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2207 Akonadi::Session::metaObject() const
    {108, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//2208 Akonadi::Session::qt_metacast(const char*)
    {108, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2209 Akonadi::Session::tr(const char*, const char*)
    {108, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2210 Akonadi::Session::trUtf8(const char*, const char*)
    {108, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2211 Akonadi::Session::tr(const char*, const char*, int)
    {108, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2212 Akonadi::Session::trUtf8(const char*, const char*, int)
    {108, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2213 Akonadi::Session::qt_metacall(QMetaObject::Call, int, void**)
    {108, 529, 687, 2, Smoke::mf_ctor, 169, 8},	//2214 Akonadi::Session::Session(const QByteArray&, QObject*)
    {108, 1337, 0, 0, Smoke::mf_const, 224, 9},	//2215 Akonadi::Session::sessionId() const
    {108, 890, 0, 0, Smoke::mf_static, 169, 10},	//2216 Akonadi::Session::defaultSession()
    {108, 770, 0, 0, 0, 0, 11},	//2217 Akonadi::Session::clear()
    {108, 1252, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//2218 Akonadi::Session::reconnected()
    {108, 529, 690, 3, Smoke::mf_ctor|Smoke::mf_protected, 169, 13},	//2219 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&, QObject*)
    {108, 1746, 21, 1, Smoke::mf_static, 291, 14},	//2220 Akonadi::Session::tr(const char*)
    {108, 1750, 21, 1, Smoke::mf_static, 291, 15},	//2221 Akonadi::Session::trUtf8(const char*)
    {108, 529, 0, 0, Smoke::mf_ctor, 169, 16},	//2222 Akonadi::Session::Session()
    {108, 529, 6, 1, Smoke::mf_ctor, 169, 17},	//2223 Akonadi::Session::Session(const QByteArray&)
    {108, 529, 694, 1, Smoke::mf_ctor|Smoke::mf_protected, 169, 18},	//2224 Akonadi::Session::Session(Akonadi::SessionPrivate*)
    {108, 529, 696, 2, Smoke::mf_ctor|Smoke::mf_protected, 169, 19},	//2225 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    {108, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 20},	//2226 Akonadi::Session::staticMetaObject() const
    {108, 1903, 0, 0, Smoke::mf_dtor, 0, 21 },	//2227 Akonadi::Session::~Session()
    {110, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2228 Akonadi::StandardActionManager::metaObject() const
    {110, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//2229 Akonadi::StandardActionManager::qt_metacast(const char*)
    {110, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2230 Akonadi::StandardActionManager::tr(const char*, const char*)
    {110, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2231 Akonadi::StandardActionManager::trUtf8(const char*, const char*)
    {110, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2232 Akonadi::StandardActionManager::tr(const char*, const char*, int)
    {110, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2233 Akonadi::StandardActionManager::trUtf8(const char*, const char*, int)
    {110, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2234 Akonadi::StandardActionManager::qt_metacall(QMetaObject::Call, int, void**)
    {110, 542, 699, 2, Smoke::mf_ctor, 171, 8},	//2235 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*, QWidget*)
    {110, 1389, 678, 1, 0, 0, 9},	//2236 Akonadi::StandardActionManager::setCollectionSelectionModel(QItemSelectionModel*)
    {110, 1521, 678, 1, 0, 0, 10},	//2237 Akonadi::StandardActionManager::setItemSelectionModel(QItemSelectionModel*)
    {110, 1449, 702, 1, 0, 0, 11},	//2238 Akonadi::StandardActionManager::setFavoriteCollectionsModel(Akonadi::FavoriteCollectionsModel*)
    {110, 1453, 678, 1, 0, 0, 12},	//2239 Akonadi::StandardActionManager::setFavoriteSelectionModel(QItemSelectionModel*)
    {110, 860, 704, 1, 0, 200, 13},	//2240 Akonadi::StandardActionManager::createAction(Akonadi::StandardActionManager::Type)
    {110, 864, 0, 0, 0, 0, 14},	//2241 Akonadi::StandardActionManager::createAllActions()
    {110, 682, 704, 1, Smoke::mf_const, 200, 15},	//2242 Akonadi::StandardActionManager::action(Akonadi::StandardActionManager::Type) const
    {110, 1340, 706, 2, 0, 0, 16},	//2243 Akonadi::StandardActionManager::setActionText(Akonadi::StandardActionManager::Type, const KLocalizedString&)
    {110, 1075, 709, 2, 0, 0, 17},	//2244 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type, bool)
    {110, 1318, 0, 0, Smoke::mf_const, 262, 18},	//2245 Akonadi::StandardActionManager::selectedCollections() const
    {110, 1320, 0, 0, Smoke::mf_const, 264, 19},	//2246 Akonadi::StandardActionManager::selectedItems() const
    {110, 1418, 712, 3, 0, 0, 20},	//2247 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&)
    {110, 1418, 716, 3, 0, 0, 21},	//2248 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&)
    {110, 1540, 10, 1, 0, 0, 22},	//2249 Akonadi::StandardActionManager::setMimeTypeFilter(const QStringList&)
    {110, 1367, 10, 1, 0, 0, 23},	//2250 Akonadi::StandardActionManager::setCapabilityFilter(const QStringList&)
    {110, 1387, 10, 1, 0, 0, 24},	//2251 Akonadi::StandardActionManager::setCollectionPropertiesPageNames(const QStringList&)
    {110, 862, 720, 2, 0, 0, 25},	//2252 Akonadi::StandardActionManager::createActionFolderMenu(QMenu*, Akonadi::StandardActionManager::Type)
    {110, 685, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2253 Akonadi::StandardActionManager::actionStateUpdated()
    {110, 1746, 21, 1, Smoke::mf_static, 291, 27},	//2254 Akonadi::StandardActionManager::tr(const char*)
    {110, 1750, 21, 1, Smoke::mf_static, 291, 28},	//2255 Akonadi::StandardActionManager::trUtf8(const char*)
    {110, 542, 723, 1, Smoke::mf_ctor, 171, 29},	//2256 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*)
    {110, 1075, 704, 1, 0, 0, 30},	//2257 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type)
    {110, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 31},	//2258 Akonadi::StandardActionManager::staticMetaObject() const
    {110, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 32},	//2259 Akonadi::StandardActionManager::CreateCollection (enum)
    {110, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 33},	//2260 Akonadi::StandardActionManager::CopyCollections (enum)
    {110, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 34},	//2261 Akonadi::StandardActionManager::DeleteCollections (enum)
    {110, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 35},	//2262 Akonadi::StandardActionManager::SynchronizeCollections (enum)
    {110, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 36},	//2263 Akonadi::StandardActionManager::CollectionProperties (enum)
    {110, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 37},	//2264 Akonadi::StandardActionManager::CopyItems (enum)
    {110, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 38},	//2265 Akonadi::StandardActionManager::Paste (enum)
    {110, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 39},	//2266 Akonadi::StandardActionManager::DeleteItems (enum)
    {110, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 40},	//2267 Akonadi::StandardActionManager::ManageLocalSubscriptions (enum)
    {110, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 41},	//2268 Akonadi::StandardActionManager::AddToFavoriteCollections (enum)
    {110, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 42},	//2269 Akonadi::StandardActionManager::RemoveFromFavoriteCollections (enum)
    {110, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 43},	//2270 Akonadi::StandardActionManager::RenameFavoriteCollection (enum)
    {110, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 44},	//2271 Akonadi::StandardActionManager::CopyCollectionToMenu (enum)
    {110, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 45},	//2272 Akonadi::StandardActionManager::CopyItemToMenu (enum)
    {110, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 46},	//2273 Akonadi::StandardActionManager::MoveItemToMenu (enum)
    {110, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 47},	//2274 Akonadi::StandardActionManager::MoveCollectionToMenu (enum)
    {110, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 48},	//2275 Akonadi::StandardActionManager::CutItems (enum)
    {110, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 49},	//2276 Akonadi::StandardActionManager::CutCollections (enum)
    {110, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 50},	//2277 Akonadi::StandardActionManager::CreateResource (enum)
    {110, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 51},	//2278 Akonadi::StandardActionManager::DeleteResources (enum)
    {110, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 52},	//2279 Akonadi::StandardActionManager::ResourceProperties (enum)
    {110, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 53},	//2280 Akonadi::StandardActionManager::SynchronizeResources (enum)
    {110, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 54},	//2281 Akonadi::StandardActionManager::ToggleWorkOffline (enum)
    {110, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 55},	//2282 Akonadi::StandardActionManager::CopyCollectionToDialog (enum)
    {110, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 56},	//2283 Akonadi::StandardActionManager::MoveCollectionToDialog (enum)
    {110, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 57},	//2284 Akonadi::StandardActionManager::CopyItemToDialog (enum)
    {110, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 58},	//2285 Akonadi::StandardActionManager::MoveItemToDialog (enum)
    {110, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 59},	//2286 Akonadi::StandardActionManager::SynchronizeCollectionsRecursive (enum)
    {110, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 60},	//2287 Akonadi::StandardActionManager::MoveCollectionsToTrash (enum)
    {110, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 61},	//2288 Akonadi::StandardActionManager::MoveItemsToTrash (enum)
    {110, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 62},	//2289 Akonadi::StandardActionManager::RestoreCollectionsFromTrash (enum)
    {110, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 63},	//2290 Akonadi::StandardActionManager::RestoreItemsFromTrash (enum)
    {110, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 64},	//2291 Akonadi::StandardActionManager::MoveToTrashRestoreCollection (enum)
    {110, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 65},	//2292 Akonadi::StandardActionManager::MoveToTrashRestoreCollectionAlternative (enum)
    {110, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 66},	//2293 Akonadi::StandardActionManager::MoveToTrashRestoreItem (enum)
    {110, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 67},	//2294 Akonadi::StandardActionManager::MoveToTrashRestoreItemAlternative (enum)
    {110, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 68},	//2295 Akonadi::StandardActionManager::SynchronizeFavoriteCollections (enum)
    {110, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 69},	//2296 Akonadi::StandardActionManager::LastType (enum)
    {110, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 70},	//2297 Akonadi::StandardActionManager::DialogTitle (enum)
    {110, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 71},	//2298 Akonadi::StandardActionManager::DialogText (enum)
    {110, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 72},	//2299 Akonadi::StandardActionManager::MessageBoxTitle (enum)
    {110, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 73},	//2300 Akonadi::StandardActionManager::MessageBoxText (enum)
    {110, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 74},	//2301 Akonadi::StandardActionManager::MessageBoxAlternativeText (enum)
    {110, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 75},	//2302 Akonadi::StandardActionManager::ErrorMessageTitle (enum)
    {110, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 76},	//2303 Akonadi::StandardActionManager::ErrorMessageText (enum)
    {110, 1904, 0, 0, Smoke::mf_dtor, 0, 77 },	//2304 Akonadi::StandardActionManager::~StandardActionManager()
    {111, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2305 Akonadi::StatisticsProxyModel::metaObject() const
    {111, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//2306 Akonadi::StatisticsProxyModel::qt_metacast(const char*)
    {111, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2307 Akonadi::StatisticsProxyModel::tr(const char*, const char*)
    {111, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2308 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*)
    {111, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2309 Akonadi::StatisticsProxyModel::tr(const char*, const char*, int)
    {111, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2310 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*, int)
    {111, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2311 Akonadi::StatisticsProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {111, 548, 78, 1, Smoke::mf_ctor, 174, 8},	//2312 Akonadi::StatisticsProxyModel::StatisticsProxyModel(QObject*)
    {111, 1644, 45, 1, 0, 0, 9},	//2313 Akonadi::StatisticsProxyModel::setToolTipEnabled(bool)
    {111, 1095, 0, 0, Smoke::mf_const, 383, 10},	//2314 Akonadi::StatisticsProxyModel::isToolTipEnabled() const
    {111, 1447, 45, 1, 0, 0, 11},	//2315 Akonadi::StatisticsProxyModel::setExtraColumnsEnabled(bool)
    {111, 1087, 0, 0, Smoke::mf_const, 383, 12},	//2316 Akonadi::StatisticsProxyModel::isExtraColumnsEnabled() const
    {111, 1042, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 274, 13},	//2317 Akonadi::StatisticsProxyModel::index(int, int, const QModelIndex&) const
    {111, 884, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 301, 14},	//2318 Akonadi::StatisticsProxyModel::data(const QModelIndex&, int) const
    {111, 1019, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 301, 15},	//2319 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation, int) const
    {111, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 16},	//2320 Akonadi::StatisticsProxyModel::flags(const QModelIndex&) const
    {111, 830, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 17},	//2321 Akonadi::StatisticsProxyModel::columnCount(const QModelIndex&) const
    {111, 1175, 398, 5, Smoke::mf_const|Smoke::mf_virtual, 268, 18},	//2322 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {111, 1621, 159, 1, Smoke::mf_virtual, 0, 19},	//2323 Akonadi::StatisticsProxyModel::setSourceModel(QAbstractItemModel*)
    {111, 841, 21, 1, Smoke::mf_virtual, 0, 20},	//2324 Akonadi::StatisticsProxyModel::connectNotify(const char*)
    {111, 1746, 21, 1, Smoke::mf_static, 291, 21},	//2325 Akonadi::StatisticsProxyModel::tr(const char*)
    {111, 1750, 21, 1, Smoke::mf_static, 291, 22},	//2326 Akonadi::StatisticsProxyModel::trUtf8(const char*)
    {111, 548, 0, 0, Smoke::mf_ctor, 174, 23},	//2327 Akonadi::StatisticsProxyModel::StatisticsProxyModel()
    {111, 1042, 115, 2, Smoke::mf_const, 274, 24},	//2328 Akonadi::StatisticsProxyModel::index(int, int) const
    {111, 884, 95, 1, Smoke::mf_const, 301, 25},	//2329 Akonadi::StatisticsProxyModel::data(const QModelIndex&) const
    {111, 1019, 112, 2, Smoke::mf_const, 301, 26},	//2330 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation) const
    {111, 830, 0, 0, Smoke::mf_const, 475, 27},	//2331 Akonadi::StatisticsProxyModel::columnCount() const
    {111, 1175, 404, 3, Smoke::mf_const, 268, 28},	//2332 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&) const
    {111, 1175, 408, 4, Smoke::mf_const, 268, 29},	//2333 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int) const
    {111, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 30},	//2334 Akonadi::StatisticsProxyModel::staticMetaObject() const
    {111, 1905, 0, 0, Smoke::mf_dtor, 0, 31 },	//2335 Akonadi::StatisticsProxyModel::~StatisticsProxyModel()
    {114, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2336 Akonadi::TransactionBeginJob::metaObject() const
    {114, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//2337 Akonadi::TransactionBeginJob::qt_metacast(const char*)
    {114, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2338 Akonadi::TransactionBeginJob::tr(const char*, const char*)
    {114, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2339 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*)
    {114, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2340 Akonadi::TransactionBeginJob::tr(const char*, const char*, int)
    {114, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2341 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*, int)
    {114, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2342 Akonadi::TransactionBeginJob::qt_metacall(QMetaObject::Call, int, void**)
    {114, 572, 78, 1, Smoke::mf_ctor, 177, 8},	//2343 Akonadi::TransactionBeginJob::TransactionBeginJob(QObject*)
    {114, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2344 Akonadi::TransactionBeginJob::doStart()
    {114, 1746, 21, 1, Smoke::mf_static, 291, 10},	//2345 Akonadi::TransactionBeginJob::tr(const char*)
    {114, 1750, 21, 1, Smoke::mf_static, 291, 11},	//2346 Akonadi::TransactionBeginJob::trUtf8(const char*)
    {114, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 12},	//2347 Akonadi::TransactionBeginJob::staticMetaObject() const
    {114, 1906, 0, 0, Smoke::mf_dtor, 0, 13 },	//2348 Akonadi::TransactionBeginJob::~TransactionBeginJob()
    {115, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2349 Akonadi::TransactionCommitJob::metaObject() const
    {115, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//2350 Akonadi::TransactionCommitJob::qt_metacast(const char*)
    {115, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2351 Akonadi::TransactionCommitJob::tr(const char*, const char*)
    {115, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2352 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*)
    {115, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2353 Akonadi::TransactionCommitJob::tr(const char*, const char*, int)
    {115, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2354 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*, int)
    {115, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2355 Akonadi::TransactionCommitJob::qt_metacall(QMetaObject::Call, int, void**)
    {115, 574, 78, 1, Smoke::mf_ctor, 178, 8},	//2356 Akonadi::TransactionCommitJob::TransactionCommitJob(QObject*)
    {115, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2357 Akonadi::TransactionCommitJob::doStart()
    {115, 1746, 21, 1, Smoke::mf_static, 291, 10},	//2358 Akonadi::TransactionCommitJob::tr(const char*)
    {115, 1750, 21, 1, Smoke::mf_static, 291, 11},	//2359 Akonadi::TransactionCommitJob::trUtf8(const char*)
    {115, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 12},	//2360 Akonadi::TransactionCommitJob::staticMetaObject() const
    {115, 1907, 0, 0, Smoke::mf_dtor, 0, 13 },	//2361 Akonadi::TransactionCommitJob::~TransactionCommitJob()
    {116, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2362 Akonadi::TransactionRollbackJob::metaObject() const
    {116, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//2363 Akonadi::TransactionRollbackJob::qt_metacast(const char*)
    {116, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2364 Akonadi::TransactionRollbackJob::tr(const char*, const char*)
    {116, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2365 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*)
    {116, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2366 Akonadi::TransactionRollbackJob::tr(const char*, const char*, int)
    {116, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2367 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*, int)
    {116, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2368 Akonadi::TransactionRollbackJob::qt_metacall(QMetaObject::Call, int, void**)
    {116, 576, 78, 1, Smoke::mf_ctor, 179, 8},	//2369 Akonadi::TransactionRollbackJob::TransactionRollbackJob(QObject*)
    {116, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2370 Akonadi::TransactionRollbackJob::doStart()
    {116, 1746, 21, 1, Smoke::mf_static, 291, 10},	//2371 Akonadi::TransactionRollbackJob::tr(const char*)
    {116, 1750, 21, 1, Smoke::mf_static, 291, 11},	//2372 Akonadi::TransactionRollbackJob::trUtf8(const char*)
    {116, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 12},	//2373 Akonadi::TransactionRollbackJob::staticMetaObject() const
    {116, 1908, 0, 0, Smoke::mf_dtor, 0, 13 },	//2374 Akonadi::TransactionRollbackJob::~TransactionRollbackJob()
    {117, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2375 Akonadi::TransactionSequence::metaObject() const
    {117, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//2376 Akonadi::TransactionSequence::qt_metacast(const char*)
    {117, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2377 Akonadi::TransactionSequence::tr(const char*, const char*)
    {117, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2378 Akonadi::TransactionSequence::trUtf8(const char*, const char*)
    {117, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2379 Akonadi::TransactionSequence::tr(const char*, const char*, int)
    {117, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2380 Akonadi::TransactionSequence::trUtf8(const char*, const char*, int)
    {117, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2381 Akonadi::TransactionSequence::qt_metacall(QMetaObject::Call, int, void**)
    {117, 578, 78, 1, Smoke::mf_ctor, 180, 8},	//2382 Akonadi::TransactionSequence::TransactionSequence(QObject*)
    {117, 832, 0, 0, 0, 0, 9},	//2383 Akonadi::TransactionSequence::commit()
    {117, 1294, 0, 0, 0, 0, 10},	//2384 Akonadi::TransactionSequence::rollback()
    {117, 1491, 201, 1, 0, 0, 11},	//2385 Akonadi::TransactionSequence::setIgnoreJobFailure(KJob*)
    {117, 1351, 45, 1, 0, 0, 12},	//2386 Akonadi::TransactionSequence::setAutomaticCommittingEnabled(bool)
    {117, 710, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 383, 13},	//2387 Akonadi::TransactionSequence::addSubjob(KJob*)
    {117, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//2388 Akonadi::TransactionSequence::doStart()
    {117, 1687, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//2389 Akonadi::TransactionSequence::slotResult(KJob*)
    {117, 1746, 21, 1, Smoke::mf_static, 291, 16},	//2390 Akonadi::TransactionSequence::tr(const char*)
    {117, 1750, 21, 1, Smoke::mf_static, 291, 17},	//2391 Akonadi::TransactionSequence::trUtf8(const char*)
    {117, 578, 0, 0, Smoke::mf_ctor, 180, 18},	//2392 Akonadi::TransactionSequence::TransactionSequence()
    {117, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 19},	//2393 Akonadi::TransactionSequence::staticMetaObject() const
    {117, 1909, 0, 0, Smoke::mf_dtor, 0, 20 },	//2394 Akonadi::TransactionSequence::~TransactionSequence()
    {118, 581, 0, 0, Smoke::mf_ctor, 181, 1},	//2395 Akonadi::TransportResourceBase::TransportResourceBase()
    {118, 1327, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//2396 Akonadi::TransportResourceBase::sendItem(const Akonadi::Item&) [pure virtual]
    {118, 1127, 725, 3, 0, 0, 3},	//2397 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&)
    {118, 581, 729, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 181, 4},	//2398 Akonadi::TransportResourceBase::TransportResourceBase(const Akonadi::TransportResourceBase&)
    {118, 1127, 731, 2, 0, 0, 5},	//2399 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult)
    {118, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 6},	//2400 Akonadi::TransportResourceBase::TransportSucceeded (enum)
    {118, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 7},	//2401 Akonadi::TransportResourceBase::TransportFailed (enum)
    {118, 1910, 0, 0, Smoke::mf_dtor, 0, 8 },	//2402 Akonadi::TransportResourceBase::~TransportResourceBase()
    {119, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2403 Akonadi::UnlinkJob::metaObject() const
    {119, 1248, 21, 1, Smoke::mf_virtual, 483, 2},	//2404 Akonadi::UnlinkJob::qt_metacast(const char*)
    {119, 1746, 23, 2, Smoke::mf_static, 291, 3},	//2405 Akonadi::UnlinkJob::tr(const char*, const char*)
    {119, 1750, 23, 2, Smoke::mf_static, 291, 4},	//2406 Akonadi::UnlinkJob::trUtf8(const char*, const char*)
    {119, 1746, 26, 3, Smoke::mf_static, 291, 5},	//2407 Akonadi::UnlinkJob::tr(const char*, const char*, int)
    {119, 1750, 26, 3, Smoke::mf_static, 291, 6},	//2408 Akonadi::UnlinkJob::trUtf8(const char*, const char*, int)
    {119, 1246, 30, 3, Smoke::mf_virtual, 475, 7},	//2409 Akonadi::UnlinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {119, 588, 567, 3, Smoke::mf_ctor, 183, 8},	//2410 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {119, 915, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2411 Akonadi::UnlinkJob::doStart()
    {119, 1746, 21, 1, Smoke::mf_static, 291, 10},	//2412 Akonadi::UnlinkJob::tr(const char*)
    {119, 1750, 21, 1, Smoke::mf_static, 291, 11},	//2413 Akonadi::UnlinkJob::trUtf8(const char*)
    {119, 588, 571, 2, Smoke::mf_ctor, 183, 12},	//2414 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {119, 1701, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//2415 Akonadi::UnlinkJob::staticMetaObject() const
    {119, 1911, 0, 0, Smoke::mf_dtor, 0, 14 },	//2416 Akonadi::UnlinkJob::~UnlinkJob()
    {133, 1350, 45, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//2417 KComboBox::setAutoCompletion(bool)
    {133, 1417, 45, 1, Smoke::mf_virtual, 0, 0},	//2418 KComboBox::setContextMenuEnabled(bool)
    {133, 959, 734, 2, Smoke::mf_virtual, 383, 0},	//2419 KComboBox::eventFilter(QObject*, QEvent*)
    {133, 1531, 737, 1, Smoke::mf_virtual, 0, 0},	//2420 KComboBox::setLineEdit(QLineEdit*)
    {133, 1398, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2421 KComboBox::setCompletedText(const QString&)
    {133, 1397, 739, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2422 KComboBox::setCompletedItems(const QStringList&, bool)
    {133, 1168, 8, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2423 KComboBox::makeCompletion(const QString&)
    {133, 1398, 590, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2424 KComboBox::setCompletedText(const QString&, bool)
    {133, 859, 742, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2425 KComboBox::create(unsigned long, bool, bool)
    {133, 1798, 746, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2426 KComboBox::wheelEvent(QWheelEvent*)
    {133, 1193, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 290, 0},	//2427 KComboBox::minimumSizeHint() const
    {135, 1400, 748, 2, Smoke::mf_virtual, 0, 0},	//2428 KCompletionBase::setCompletionObject(KCompletion*, bool)
    {135, 1479, 45, 1, Smoke::mf_virtual, 0, 0},	//2429 KCompletionBase::setHandleSignals(bool)
    {135, 1399, 751, 1, Smoke::mf_virtual, 0, 0},	//2430 KCompletionBase::setCompletionMode(KGlobalSettings::Completion)
    {135, 1791, 753, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2431 KCompletionBase::virtual_hook(int, void*)
    {137, 1686, 756, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2432 KCompositeJob::slotInfoMessage(KJob*, const QString&, const QString&)
    {140, 1681, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//2433 KDialog::sizeHint() const
    {140, 1193, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//2434 KDialog::minimumSizeHint() const
    {140, 1369, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2435 KDialog::setCaption(const QString&)
    {140, 1369, 590, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2436 KDialog::setCaption(const QString&, bool)
    {140, 1573, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2437 KDialog::setPlainCaption(const QString&)
    {140, 1023, 760, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2438 KDialog::hideEvent(QHideEvent*)
    {140, 787, 762, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2439 KDialog::closeEvent(QCloseEvent*)
    {140, 1154, 764, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2440 KDialog::keyPressEvent(QKeyEvent*)
    {140, 1684, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2441 KDialog::slotButtonClicked(int)
    {141, 1681, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//2442 KHBox::sizeHint() const
    {141, 1193, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//2443 KHBox::minimumSizeHint() const
    {141, 768, 766, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2444 KHBox::childEvent(QChildEvent*)
    {143, 911, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2445 KJob::doKill()
    {143, 916, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2446 KJob::doSuspend()
    {143, 912, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2447 KJob::doResume()
    {143, 957, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 291, 0},	//2448 KJob::errorString() const
    {143, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 5},	//2449 KJob::NoError (enum)
    {143, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 6},	//2450 KJob::KilledJobError (enum)
    {143, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 7},	//2451 KJob::UserDefinedError (enum)
    {145, 1621, 159, 1, Smoke::mf_virtual, 0, 0},	//2452 KSelectionProxyModel::setSourceModel(QAbstractItemModel*)
    {145, 1169, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2453 KSelectionProxyModel::mapFromSource(const QModelIndex&) const
    {145, 1173, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2454 KSelectionProxyModel::mapToSource(const QModelIndex&) const
    {145, 1171, 768, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//2455 KSelectionProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {145, 1172, 768, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//2456 KSelectionProxyModel::mapSelectionToSource(const QItemSelection&) const
    {145, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 0},	//2457 KSelectionProxyModel::flags(const QModelIndex&) const
    {145, 884, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 301, 0},	//2458 KSelectionProxyModel::data(const QModelIndex&, int) const
    {145, 1297, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 0},	//2459 KSelectionProxyModel::rowCount(const QModelIndex&) const
    {145, 1019, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 301, 0},	//2460 KSelectionProxyModel::headerData(int, Qt::Orientation, int) const
    {145, 1182, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//2461 KSelectionProxyModel::mimeData(const QList<QModelIndex>&) const
    {145, 1191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 292, 0},	//2462 KSelectionProxyModel::mimeTypes() const
    {145, 1716, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2463 KSelectionProxyModel::supportedDropActions() const
    {145, 930, 225, 5, Smoke::mf_virtual, 383, 0},	//2464 KSelectionProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {145, 1011, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 383, 0},	//2465 KSelectionProxyModel::hasChildren(const QModelIndex&) const
    {145, 1042, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2466 KSelectionProxyModel::index(int, int, const QModelIndex&) const
    {145, 1227, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2467 KSelectionProxyModel::parent(const QModelIndex&) const
    {145, 830, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 0},	//2468 KSelectionProxyModel::columnCount(const QModelIndex&) const
    {145, 1175, 398, 5, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2469 KSelectionProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {150, 1011, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 383, 0},	//2470 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {150, 1427, 108, 3, Smoke::mf_virtual, 383, 0},	//2471 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {150, 1019, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 301, 0},	//2472 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {150, 1480, 218, 4, Smoke::mf_virtual, 383, 0},	//2473 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {150, 1112, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//2474 QAbstractItemModel::itemData(const QModelIndex&) const
    {150, 1513, 770, 2, Smoke::mf_virtual, 383, 0},	//2475 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {150, 1191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 292, 0},	//2476 QAbstractItemModel::mimeTypes() const
    {150, 1182, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//2477 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {150, 930, 225, 5, Smoke::mf_virtual, 383, 0},	//2478 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {150, 1716, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2479 QAbstractItemModel::supportedDropActions() const
    {150, 1054, 104, 3, Smoke::mf_virtual, 383, 0},	//2480 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {150, 1053, 104, 3, Smoke::mf_virtual, 383, 0},	//2481 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {150, 1268, 104, 3, Smoke::mf_virtual, 383, 0},	//2482 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {150, 1265, 104, 3, Smoke::mf_virtual, 383, 0},	//2483 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {150, 981, 95, 1, Smoke::mf_virtual, 0, 0},	//2484 QAbstractItemModel::fetchMore(const QModelIndex&)
    {150, 749, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 383, 0},	//2485 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {150, 1691, 773, 2, Smoke::mf_virtual, 0, 0},	//2486 QAbstractItemModel::sort(int, Qt::SortOrder)
    {150, 744, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2487 QAbstractItemModel::buddy(const QModelIndex&) const
    {150, 1175, 398, 5, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2488 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {150, 1692, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//2489 QAbstractItemModel::span(const QModelIndex&) const
    {150, 1715, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 383, 0},	//2490 QAbstractItemModel::submit()
    {150, 1291, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2491 QAbstractItemModel::revert()
    {151, 1614, 678, 1, Smoke::mf_virtual, 0, 0},	//2492 QAbstractItemView::setSelectionModel(QItemSelectionModel*)
    {151, 1156, 8, 1, Smoke::mf_virtual, 0, 0},	//2493 QAbstractItemView::keyboardSearch(const QString&)
    {151, 1683, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 0},	//2494 QAbstractItemView::sizeHintForRow(int) const
    {151, 1682, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 0},	//2495 QAbstractItemView::sizeHintForColumn(int) const
    {151, 1052, 776, 1, Smoke::mf_const|Smoke::mf_virtual, 301, 0},	//2496 QAbstractItemView::inputMethodQuery(Qt::InputMethodQuery) const
    {151, 1315, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2497 QAbstractItemView::selectAll()
    {151, 1768, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2498 QAbstractItemView::updateEditorData()
    {151, 1769, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2499 QAbstractItemView::updateEditorGeometries()
    {151, 1784, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2500 QAbstractItemView::verticalScrollbarAction(int)
    {151, 1026, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2501 QAbstractItemView::horizontalScrollbarAction(int)
    {151, 1785, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2502 QAbstractItemView::verticalScrollbarValueChanged(int)
    {151, 1027, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2503 QAbstractItemView::horizontalScrollbarValueChanged(int)
    {151, 786, 778, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2504 QAbstractItemView::closeEditor(QWidget*, QAbstractItemDelegate::EndEditHint)
    {151, 833, 85, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2505 QAbstractItemView::commitData(QWidget*)
    {151, 939, 78, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2506 QAbstractItemView::editorDestroyed(QObject*)
    {151, 937, 781, 3, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2507 QAbstractItemView::edit(const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*)
    {151, 1322, 785, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 242, 0},	//2508 QAbstractItemView::selectionCommand(const QModelIndex&, const QEvent*) const
    {151, 1695, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2509 QAbstractItemView::startDrag(QFlags<Qt::DropAction>)
    {151, 1787, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 295, 0},	//2510 QAbstractItemView::viewOptions() const
    {151, 999, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2511 QAbstractItemView::focusNextPrevChild(bool)
    {151, 958, 788, 1, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2512 QAbstractItemView::event(QEvent*)
    {151, 1789, 788, 1, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2513 QAbstractItemView::viewportEvent(QEvent*)
    {151, 1201, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2514 QAbstractItemView::mousePressEvent(QMouseEvent*)
    {151, 1199, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2515 QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*)
    {151, 921, 792, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2516 QAbstractItemView::dragEnterEvent(QDragEnterEvent*)
    {151, 922, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2517 QAbstractItemView::dragLeaveEvent(QDragLeaveEvent*)
    {151, 928, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2518 QAbstractItemView::dropEvent(QDropEvent*)
    {151, 998, 794, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2519 QAbstractItemView::focusInEvent(QFocusEvent*)
    {151, 1000, 794, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2520 QAbstractItemView::focusOutEvent(QFocusEvent*)
    {151, 1154, 764, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2521 QAbstractItemView::keyPressEvent(QKeyEvent*)
    {151, 1275, 796, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2522 QAbstractItemView::resizeEvent(QResizeEvent*)
    {151, 1051, 798, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2523 QAbstractItemView::inputMethodEvent(QInputMethodEvent*)
    {151, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 33},	//2524 QAbstractItemView::NoSelection (enum)
    {151, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 34},	//2525 QAbstractItemView::SingleSelection (enum)
    {151, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 35},	//2526 QAbstractItemView::MultiSelection (enum)
    {151, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 36},	//2527 QAbstractItemView::ExtendedSelection (enum)
    {151, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 37},	//2528 QAbstractItemView::ContiguousSelection (enum)
    {151, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//2529 QAbstractItemView::EnsureVisible (enum)
    {151, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//2530 QAbstractItemView::PositionAtTop (enum)
    {151, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//2531 QAbstractItemView::PositionAtBottom (enum)
    {151, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//2532 QAbstractItemView::PositionAtCenter (enum)
    {151, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 42},	//2533 QAbstractItemView::NoEditTriggers (enum)
    {151, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 43},	//2534 QAbstractItemView::CurrentChanged (enum)
    {151, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 44},	//2535 QAbstractItemView::DoubleClicked (enum)
    {151, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 45},	//2536 QAbstractItemView::SelectedClicked (enum)
    {151, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 46},	//2537 QAbstractItemView::EditKeyPressed (enum)
    {151, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 47},	//2538 QAbstractItemView::AnyKeyPressed (enum)
    {151, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 48},	//2539 QAbstractItemView::AllEditTriggers (enum)
    {151, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//2540 QAbstractItemView::MoveUp (enum)
    {151, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//2541 QAbstractItemView::MoveDown (enum)
    {151, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//2542 QAbstractItemView::MoveLeft (enum)
    {151, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//2543 QAbstractItemView::MoveRight (enum)
    {151, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//2544 QAbstractItemView::MoveHome (enum)
    {151, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//2545 QAbstractItemView::MoveEnd (enum)
    {151, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//2546 QAbstractItemView::MovePageUp (enum)
    {151, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//2547 QAbstractItemView::MovePageDown (enum)
    {151, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//2548 QAbstractItemView::MoveNext (enum)
    {151, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//2549 QAbstractItemView::MovePrevious (enum)
    {152, 1172, 768, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//2550 QAbstractProxyModel::mapSelectionToSource(const QItemSelection&) const
    {152, 1171, 768, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//2551 QAbstractProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {152, 1715, 0, 0, Smoke::mf_virtual, 383, 0},	//2552 QAbstractProxyModel::submit()
    {152, 1291, 0, 0, Smoke::mf_virtual, 0, 0},	//2553 QAbstractProxyModel::revert()
    {152, 884, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 301, 0},	//2554 QAbstractProxyModel::data(const QModelIndex&, int) const
    {152, 1019, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 301, 0},	//2555 QAbstractProxyModel::headerData(int, Qt::Orientation, int) const
    {152, 1112, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//2556 QAbstractProxyModel::itemData(const QModelIndex&) const
    {152, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 0},	//2557 QAbstractProxyModel::flags(const QModelIndex&) const
    {152, 1427, 108, 3, Smoke::mf_virtual, 383, 0},	//2558 QAbstractProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {152, 1513, 770, 2, Smoke::mf_virtual, 383, 0},	//2559 QAbstractProxyModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {152, 1480, 218, 4, Smoke::mf_virtual, 383, 0},	//2560 QAbstractProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {152, 744, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2561 QAbstractProxyModel::buddy(const QModelIndex&) const
    {152, 749, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 383, 0},	//2562 QAbstractProxyModel::canFetchMore(const QModelIndex&) const
    {152, 981, 95, 1, Smoke::mf_virtual, 0, 0},	//2563 QAbstractProxyModel::fetchMore(const QModelIndex&)
    {152, 1691, 773, 2, Smoke::mf_virtual, 0, 0},	//2564 QAbstractProxyModel::sort(int, Qt::SortOrder)
    {152, 1692, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//2565 QAbstractProxyModel::span(const QModelIndex&) const
    {152, 1716, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2566 QAbstractProxyModel::supportedDropActions() const
    {153, 1193, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//2567 QAbstractScrollArea::minimumSizeHint() const
    {153, 1681, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//2568 QAbstractScrollArea::sizeHint() const
    {153, 1798, 746, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2569 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {154, 1042, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2570 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {161, 1681, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//2571 QComboBox::sizeHint() const
    {161, 1675, 0, 0, Smoke::mf_virtual, 0, 0},	//2572 QComboBox::showPopup()
    {161, 1024, 0, 0, Smoke::mf_virtual, 0, 0},	//2573 QComboBox::hidePopup()
    {161, 958, 788, 1, Smoke::mf_virtual, 383, 0},	//2574 QComboBox::event(QEvent*)
    {161, 998, 794, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2575 QComboBox::focusInEvent(QFocusEvent*)
    {161, 1000, 794, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2576 QComboBox::focusOutEvent(QFocusEvent*)
    {161, 761, 788, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2577 QComboBox::changeEvent(QEvent*)
    {161, 1275, 796, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2578 QComboBox::resizeEvent(QResizeEvent*)
    {161, 1225, 800, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2579 QComboBox::paintEvent(QPaintEvent*)
    {161, 1674, 802, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2580 QComboBox::showEvent(QShowEvent*)
    {161, 1023, 760, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2581 QComboBox::hideEvent(QHideEvent*)
    {161, 1201, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2582 QComboBox::mousePressEvent(QMouseEvent*)
    {161, 1202, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2583 QComboBox::mouseReleaseEvent(QMouseEvent*)
    {161, 1154, 764, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2584 QComboBox::keyPressEvent(QKeyEvent*)
    {161, 1155, 764, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2585 QComboBox::keyReleaseEvent(QKeyEvent*)
    {161, 856, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2586 QComboBox::contextMenuEvent(QContextMenuEvent*)
    {161, 1051, 798, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2587 QComboBox::inputMethodEvent(QInputMethodEvent*)
    {161, 1052, 776, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 301, 0},	//2588 QComboBox::inputMethodQuery(Qt::InputMethodQuery) const
    {166, 1665, 45, 1, Smoke::mf_virtual, 0, 0},	//2589 QDialog::setVisible(bool)
    {166, 917, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2590 QDialog::done(int)
    {166, 680, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2591 QDialog::accept()
    {166, 1257, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2592 QDialog::reject()
    {166, 1674, 802, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2593 QDialog::showEvent(QShowEvent*)
    {166, 1275, 796, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2594 QDialog::resizeEvent(QResizeEvent*)
    {166, 856, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2595 QDialog::contextMenuEvent(QContextMenuEvent*)
    {166, 959, 734, 2, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2596 QDialog::eventFilter(QObject*, QEvent*)
    {174, 958, 788, 1, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2597 QFrame::event(QEvent*)
    {174, 1225, 800, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2598 QFrame::paintEvent(QPaintEvent*)
    {174, 761, 788, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2599 QFrame::changeEvent(QEvent*)
    {175, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 1},	//2600 QGlobalSpace::_CS_PATH (enum)
    {175, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 2},	//2601 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {175, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 3},	//2602 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {175, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 4},	//2603 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {175, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 5},	//2604 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {175, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 6},	//2605 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {175, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 7},	//2606 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {175, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 8},	//2607 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {175, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 9},	//2608 QGlobalSpace::_CS_LFS_LIBS (enum)
    {175, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 10},	//2609 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {175, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 11},	//2610 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {175, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 12},	//2611 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {175, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 13},	//2612 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {175, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 14},	//2613 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {175, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 15},	//2614 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {175, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 16},	//2615 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {175, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 17},	//2616 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {175, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 18},	//2617 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {175, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 19},	//2618 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {175, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 20},	//2619 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {175, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 21},	//2620 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {175, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 22},	//2621 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {175, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 23},	//2622 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {175, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 24},	//2623 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {175, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 25},	//2624 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {175, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 26},	//2625 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {175, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 27},	//2626 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {175, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 28},	//2627 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {175, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 29},	//2628 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {175, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 30},	//2629 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {175, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 31},	//2630 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {175, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 32},	//2631 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {175, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 33},	//2632 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {175, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 34},	//2633 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {175, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 35},	//2634 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {175, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 36},	//2635 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {175, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 37},	//2636 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {175, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 38},	//2637 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {175, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 39},	//2638 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {175, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 40},	//2639 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {175, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 41},	//2640 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {175, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 42},	//2641 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {175, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 43},	//2642 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {175, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 44},	//2643 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {175, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 45},	//2644 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {175, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 46},	//2645 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {175, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 47},	//2646 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {175, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 48},	//2647 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {175, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 49},	//2648 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {175, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 50},	//2649 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {175, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 51},	//2650 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {175, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 52},	//2651 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {175, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 53},	//2652 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {175, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 54},	//2653 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {175, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 55},	//2654 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {175, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 56},	//2655 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {175, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 57},	//2656 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {175, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 58},	//2657 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {175, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 59},	//2658 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {175, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 60},	//2659 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {175, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 61},	//2660 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {175, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 62},	//2661 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {175, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 63},	//2662 QGlobalSpace::_CS_V6_ENV (enum)
    {175, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 477, 64},	//2663 QGlobalSpace::_CS_V7_ENV (enum)
    {185, 1792, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 282, 0},	//2664 QListView::visualRect(const QModelIndex&) const
    {185, 1312, 804, 2, Smoke::mf_virtual, 0, 0},	//2665 QListView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {185, 1045, 807, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2666 QListView::indexAt(const QPoint&) const
    {185, 910, 0, 0, Smoke::mf_virtual, 0, 0},	//2667 QListView::doItemsLayout()
    {185, 1274, 0, 0, Smoke::mf_virtual, 0, 0},	//2668 QListView::reset()
    {185, 1606, 95, 1, Smoke::mf_virtual, 0, 0},	//2669 QListView::setRootIndex(const QModelIndex&)
    {185, 958, 788, 1, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2670 QListView::event(QEvent*)
    {185, 1311, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2671 QListView::scrollContentsBy(int, int)
    {185, 887, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2672 QListView::dataChanged(const QModelIndex&, const QModelIndex&)
    {185, 1300, 809, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2673 QListView::rowsInserted(const QModelIndex&, int, int)
    {185, 1299, 809, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2674 QListView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {185, 1200, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2675 QListView::mouseMoveEvent(QMouseEvent*)
    {185, 1202, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2676 QListView::mouseReleaseEvent(QMouseEvent*)
    {185, 1742, 462, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2677 QListView::timerEvent(QTimerEvent*)
    {185, 1275, 796, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2678 QListView::resizeEvent(QResizeEvent*)
    {185, 922, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2679 QListView::dragLeaveEvent(QDragLeaveEvent*)
    {185, 1787, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 295, 0},	//2680 QListView::viewOptions() const
    {185, 1225, 800, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2681 QListView::paintEvent(QPaintEvent*)
    {185, 1025, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 475, 0},	//2682 QListView::horizontalOffset() const
    {185, 1783, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 475, 0},	//2683 QListView::verticalOffset() const
    {185, 1203, 813, 2, Smoke::mf_protected|Smoke::mf_virtual, 274, 0},	//2684 QListView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {185, 1611, 816, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2685 QListView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {185, 1793, 768, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 284, 0},	//2686 QListView::visualRegionForSelection(const QItemSelection&) const
    {185, 1319, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 268, 0},	//2687 QListView::selectedIndexes() const
    {185, 1771, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2688 QListView::updateGeometries()
    {185, 1088, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2689 QListView::isIndexHidden(const QModelIndex&) const
    {185, 1321, 819, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2690 QListView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {193, 958, 788, 1, Smoke::mf_virtual, 383, 0},	//2691 QObject::event(QEvent*)
    {193, 959, 734, 2, Smoke::mf_virtual, 383, 0},	//2692 QObject::eventFilter(QObject*, QEvent*)
    {193, 1742, 462, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2693 QObject::timerEvent(QTimerEvent*)
    {193, 768, 766, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2694 QObject::childEvent(QChildEvent*)
    {193, 881, 788, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2695 QObject::customEvent(QEvent*)
    {193, 841, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2696 QObject::connectNotify(const char*)
    {193, 905, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2697 QObject::disconnectNotify(const char*)
    {206, 1621, 159, 1, Smoke::mf_virtual, 0, 0},	//2698 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {206, 1173, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2699 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {206, 1169, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2700 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {206, 1172, 768, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//2701 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {206, 1171, 768, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//2702 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {206, 991, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2703 QSortFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {206, 989, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2704 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {206, 1159, 289, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2705 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {206, 1042, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2706 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {206, 1227, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2707 QSortFilterProxyModel::parent(const QModelIndex&) const
    {206, 1297, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 0},	//2708 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {206, 830, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 0},	//2709 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {206, 1011, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 383, 0},	//2710 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {206, 884, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 301, 0},	//2711 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {206, 1427, 108, 3, Smoke::mf_virtual, 383, 0},	//2712 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {206, 1019, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 301, 0},	//2713 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {206, 1480, 218, 4, Smoke::mf_virtual, 383, 0},	//2714 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {206, 1182, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//2715 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {206, 930, 225, 5, Smoke::mf_virtual, 383, 0},	//2716 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {206, 1054, 104, 3, Smoke::mf_virtual, 383, 0},	//2717 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {206, 1053, 104, 3, Smoke::mf_virtual, 383, 0},	//2718 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {206, 1268, 104, 3, Smoke::mf_virtual, 383, 0},	//2719 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {206, 1265, 104, 3, Smoke::mf_virtual, 383, 0},	//2720 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {206, 981, 95, 1, Smoke::mf_virtual, 0, 0},	//2721 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {206, 749, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 383, 0},	//2722 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {206, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 0},	//2723 QSortFilterProxyModel::flags(const QModelIndex&) const
    {206, 744, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2724 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {206, 1175, 398, 5, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2725 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {206, 1692, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//2726 QSortFilterProxyModel::span(const QModelIndex&) const
    {206, 1691, 773, 2, Smoke::mf_virtual, 0, 0},	//2727 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {206, 1191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 292, 0},	//2728 QSortFilterProxyModel::mimeTypes() const
    {206, 1716, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2729 QSortFilterProxyModel::supportedDropActions() const
    {209, 1681, 822, 2, Smoke::mf_const|Smoke::mf_virtual, 290, 0},	//2730 QStyledItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {209, 867, 825, 3, Smoke::mf_const|Smoke::mf_virtual, 308, 0},	//2731 QStyledItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {209, 1444, 829, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2732 QStyledItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {209, 1549, 832, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2733 QStyledItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {209, 1770, 825, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2734 QStyledItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {209, 907, 836, 2, Smoke::mf_const|Smoke::mf_virtual, 291, 0},	//2735 QStyledItemDelegate::displayText(const QVariant&, const QLocale&) const
    {209, 959, 734, 2, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2736 QStyledItemDelegate::eventFilter(QObject*, QEvent*)
    {209, 940, 839, 4, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2737 QStyledItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {212, 1606, 95, 1, Smoke::mf_virtual, 0, 0},	//2738 QTreeView::setRootIndex(const QModelIndex&)
    {212, 1614, 678, 1, Smoke::mf_virtual, 0, 0},	//2739 QTreeView::setSelectionModel(QItemSelectionModel*)
    {212, 1156, 8, 1, Smoke::mf_virtual, 0, 0},	//2740 QTreeView::keyboardSearch(const QString&)
    {212, 1792, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 282, 0},	//2741 QTreeView::visualRect(const QModelIndex&) const
    {212, 1312, 804, 2, Smoke::mf_virtual, 0, 0},	//2742 QTreeView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {212, 1045, 807, 1, Smoke::mf_const|Smoke::mf_virtual, 274, 0},	//2743 QTreeView::indexAt(const QPoint&) const
    {212, 910, 0, 0, Smoke::mf_virtual, 0, 0},	//2744 QTreeView::doItemsLayout()
    {212, 1274, 0, 0, Smoke::mf_virtual, 0, 0},	//2745 QTreeView::reset()
    {212, 887, 289, 2, Smoke::mf_virtual, 0, 0},	//2746 QTreeView::dataChanged(const QModelIndex&, const QModelIndex&)
    {212, 1315, 0, 0, Smoke::mf_virtual, 0, 0},	//2747 QTreeView::selectAll()
    {212, 1311, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2748 QTreeView::scrollContentsBy(int, int)
    {212, 1300, 809, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2749 QTreeView::rowsInserted(const QModelIndex&, int, int)
    {212, 1299, 809, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2750 QTreeView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {212, 1203, 813, 2, Smoke::mf_protected|Smoke::mf_virtual, 274, 0},	//2751 QTreeView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {212, 1025, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 475, 0},	//2752 QTreeView::horizontalOffset() const
    {212, 1783, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 475, 0},	//2753 QTreeView::verticalOffset() const
    {212, 1611, 816, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2754 QTreeView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {212, 1793, 768, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 284, 0},	//2755 QTreeView::visualRegionForSelection(const QItemSelection&) const
    {212, 1319, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 268, 0},	//2756 QTreeView::selectedIndexes() const
    {212, 1742, 462, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2757 QTreeView::timerEvent(QTimerEvent*)
    {212, 1225, 800, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2758 QTreeView::paintEvent(QPaintEvent*)
    {212, 927, 272, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2759 QTreeView::drawRow(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {212, 926, 844, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2760 QTreeView::drawBranches(QPainter*, const QRect&, const QModelIndex&) const
    {212, 1201, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2761 QTreeView::mousePressEvent(QMouseEvent*)
    {212, 1202, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2762 QTreeView::mouseReleaseEvent(QMouseEvent*)
    {212, 1199, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2763 QTreeView::mouseDoubleClickEvent(QMouseEvent*)
    {212, 1200, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2764 QTreeView::mouseMoveEvent(QMouseEvent*)
    {212, 1154, 764, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2765 QTreeView::keyPressEvent(QKeyEvent*)
    {212, 924, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2766 QTreeView::dragMoveEvent(QDragMoveEvent*)
    {212, 1789, 788, 1, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2767 QTreeView::viewportEvent(QEvent*)
    {212, 1771, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2768 QTreeView::updateGeometries()
    {212, 1682, 41, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 475, 0},	//2769 QTreeView::sizeHintForColumn(int) const
    {212, 1026, 41, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2770 QTreeView::horizontalScrollbarAction(int)
    {212, 1088, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2771 QTreeView::isIndexHidden(const QModelIndex&) const
    {212, 1321, 819, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2772 QTreeView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {216, 1180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 0},	//2773 QWidget::metaObject() const
    {216, 1248, 21, 1, Smoke::mf_virtual, 483, 0},	//2774 QWidget::qt_metacast(const char*)
    {216, 1246, 30, 3, Smoke::mf_virtual, 475, 0},	//2775 QWidget::qt_metacall(QMetaObject::Call, int, void**)
    {216, 900, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 475, 0},	//2776 QWidget::devType() const
    {216, 1665, 45, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2777 QWidget::setVisible(bool)
    {216, 1681, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 290, 0},	//2778 QWidget::sizeHint() const
    {216, 1193, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 290, 0},	//2779 QWidget::minimumSizeHint() const
    {216, 1022, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 0},	//2780 QWidget::heightForWidth(int) const
    {216, 1224, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 0},	//2781 QWidget::paintEngine() const
    {216, 958, 788, 1, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2782 QWidget::event(QEvent*)
    {216, 1201, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2783 QWidget::mousePressEvent(QMouseEvent*)
    {216, 1202, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2784 QWidget::mouseReleaseEvent(QMouseEvent*)
    {216, 1199, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2785 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {216, 1200, 790, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2786 QWidget::mouseMoveEvent(QMouseEvent*)
    {216, 1798, 746, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2787 QWidget::wheelEvent(QWheelEvent*)
    {216, 1154, 764, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2788 QWidget::keyPressEvent(QKeyEvent*)
    {216, 1155, 764, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2789 QWidget::keyReleaseEvent(QKeyEvent*)
    {216, 998, 794, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2790 QWidget::focusInEvent(QFocusEvent*)
    {216, 1000, 794, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2791 QWidget::focusOutEvent(QFocusEvent*)
    {216, 945, 788, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2792 QWidget::enterEvent(QEvent*)
    {216, 1158, 788, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2793 QWidget::leaveEvent(QEvent*)
    {216, 1225, 800, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2794 QWidget::paintEvent(QPaintEvent*)
    {216, 1204, 848, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2795 QWidget::moveEvent(QMoveEvent*)
    {216, 1275, 796, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2796 QWidget::resizeEvent(QResizeEvent*)
    {216, 787, 762, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2797 QWidget::closeEvent(QCloseEvent*)
    {216, 856, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2798 QWidget::contextMenuEvent(QContextMenuEvent*)
    {216, 1729, 850, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2799 QWidget::tabletEvent(QTabletEvent*)
    {216, 684, 852, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2800 QWidget::actionEvent(QActionEvent*)
    {216, 921, 792, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2801 QWidget::dragEnterEvent(QDragEnterEvent*)
    {216, 924, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2802 QWidget::dragMoveEvent(QDragMoveEvent*)
    {216, 922, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2803 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {216, 928, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2804 QWidget::dropEvent(QDropEvent*)
    {216, 1674, 802, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2805 QWidget::showEvent(QShowEvent*)
    {216, 1023, 760, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2806 QWidget::hideEvent(QHideEvent*)
    {216, 1805, 854, 1, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2807 QWidget::x11Event(_XEvent*)
    {216, 761, 788, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2808 QWidget::changeEvent(QEvent*)
    {216, 1181, 856, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 475, 0},	//2809 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {216, 1051, 798, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2810 QWidget::inputMethodEvent(QInputMethodEvent*)
    {216, 1052, 776, 1, Smoke::mf_const|Smoke::mf_virtual, 301, 0},	//2811 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {216, 999, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 383, 0},	//2812 QWidget::focusNextPrevChild(bool)
    {216, 1713, 858, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2813 QWidget::styleChange(QStyle&)
    {216, 944, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2814 QWidget::enabledChange(bool)
    {216, 1226, 860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2815 QWidget::paletteChange(const QPalette&)
    {216, 1001, 862, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2816 QWidget::fontChange(const QFont&)
    {216, 1802, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2817 QWidget::windowActivationChange(bool)
    {216, 1157, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2818 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1347,  // Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    1372,  // Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    0,
    1357,  // Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    1358,  // Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    0,
    1361,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    1362,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    0,
    1359,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    1360,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    0,
    865,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    880,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    413,  // Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    427,  // Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    0,
    348,  // Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    361,  // Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    0,
    754,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    755,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    0,
    2223,  // Akonadi::Session::Session(const QByteArray&)
    2224,  // Akonadi::Session::Session(Akonadi::SessionPrivate*)
    0,
    2214,  // Akonadi::Session::Session(const QByteArray&, QObject*)
    2225,  // Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    0,
    1765,  // Akonadi::ItemView::ItemView(QWidget*)
    1780,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    1781,  // Akonadi::ItemView::ItemView(KXMLGUIClient*)
    0,
    1766,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    1767,  // Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    0,
    721,  // Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    734,  // Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    0,
    2069,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    2071,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Tag&)
    2072,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    0,
    592,  // Akonadi::CollectionModel::CollectionModel(QObject*)
    621,  // Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    0,
    1516,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    1518,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    0,
    1509,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    1511,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    0,
    2021,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    2024,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    2020,  // Akonadi::PayloadException::PayloadException(const char*)
    2022,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
    1922,  // Akonadi::Monitor::Monitor(QObject*)
    1992,  // Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    0,
    1138,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    1139,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    1140,  // Akonadi::Entity::d_func()
    1141,  // Akonadi::Entity::d_func() const
    0,
    1129,  // Akonadi::Entity::parentCollection() const
    1130,  // Akonadi::Entity::parentCollection()
    0,
    895,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    907,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    1390,  // Akonadi::Exception::Exception(const QByteArray&)
    1392,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    1389,  // Akonadi::Exception::Exception(const char*)
    1391,  // Akonadi::Exception::Exception(const QString&)
    0,
    1239,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    1299,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    0,
    1282,  // Akonadi::EntityTreeModel::d_func()
    1283,  // Akonadi::EntityTreeModel::d_func() const
    0,
    1297,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    1298,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    0,
    1276,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    1277,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    0,
    1280,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    1281,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    0,
    1545,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    1546,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    0,
    1528,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    1529,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    0,
    1547,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&)
    1548,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&)
    0,
    1530,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&, QObject*)
    1531,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&, QObject*)
    0,
    1534,  // Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    1535,  // Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    0,
    481,  // Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    500,  // Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    0,
    1175,  // Akonadi::EntityListView::EntityListView(QWidget*)
    1196,  // Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    0,
    1182,  // Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    1183,  // Akonadi::EntityListView::clicked(const Akonadi::Item&)
    0,
    1186,  // Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    1187,  // Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    0,
    1184,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    1185,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    0,
    819,  // Akonadi::CollectionView::CollectionView(QWidget*)
    835,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    836,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    0,
    820,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    821,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    0,
    533,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&)
    535,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&)
    0,
    534,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type)
    536,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type)
    0,
    517,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*)
    518,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*)
    0,
    1426,  // Akonadi::Item::Item(long long)
    1427,  // Akonadi::Item::Item(const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 5, 15},	// Akonadi::AddressAttribute::AddressAttribute
    {4, 6, 14},	// Akonadi::AddressAttribute::AddressAttribute#
    {4, 7, 16},	// Akonadi::AddressAttribute::AddressAttribute$
    {4, 8, 17},	// Akonadi::AddressAttribute::AddressAttribute$?
    {4, 9, 18},	// Akonadi::AddressAttribute::AddressAttribute$??
    {4, 10, 1},	// Akonadi::AddressAttribute::AddressAttribute$???
    {4, 743, 12},	// Akonadi::AddressAttribute::bcc
    {4, 756, 10},	// Akonadi::AddressAttribute::cc
    {4, 785, 2},	// Akonadi::AddressAttribute::clone
    {4, 897, 5},	// Akonadi::AddressAttribute::deserialize#
    {4, 1002, 6},	// Akonadi::AddressAttribute::from
    {4, 1333, 4},	// Akonadi::AddressAttribute::serialized
    {4, 1358, 13},	// Akonadi::AddressAttribute::setBcc?
    {4, 1371, 11},	// Akonadi::AddressAttribute::setCc?
    {4, 1472, 7},	// Akonadi::AddressAttribute::setFrom$
    {4, 1643, 9},	// Akonadi::AddressAttribute::setTo?
    {4, 1745, 8},	// Akonadi::AddressAttribute::to
    {4, 1754, 3},	// Akonadi::AddressAttribute::type
    {4, 1807, 19},	// Akonadi::AddressAttribute::~AddressAttribute
    {5, 19, 59},	// Akonadi::AgentBase::AgentBase#$
    {5, 20, 50},	// Akonadi::AgentBase::AgentBase$
    {5, 61, 68},	// Akonadi::AgentBase::Broken
    {5, 300, 66},	// Akonadi::AgentBase::Idle
    {5, 448, 69},	// Akonadi::AgentBase::NotConfigured
    {5, 512, 67},	// Akonadi::AgentBase::Running
    {5, 676, 45},	// Akonadi::AgentBase::abortRequested
    {5, 677, 51},	// Akonadi::AgentBase::aboutToQuit
    {5, 717, 44},	// Akonadi::AgentBase::advancedStatus?
    {5, 719, 37},	// Akonadi::AgentBase::agentName
    {5, 721, 39},	// Akonadi::AgentBase::agentNameChanged$
    {5, 762, 54},	// Akonadi::AgentBase::changeProcessed
    {5, 763, 52},	// Akonadi::AgentBase::changeRecorder
    {5, 769, 34},	// Akonadi::AgentBase::cleanup
    {5, 834, 38},	// Akonadi::AgentBase::componentData
    {5, 835, 53},	// Akonadi::AgentBase::config
    {5, 836, 48},	// Akonadi::AgentBase::configurationDialogAccepted
    {5, 837, 49},	// Akonadi::AgentBase::configurationDialogRejected
    {5, 840, 31},	// Akonadi::AgentBase::configure$
    {5, 914, 60},	// Akonadi::AgentBase::doSetOnline$
    {5, 956, 43},	// Akonadi::AgentBase::error$
    {5, 1031, 33},	// Akonadi::AgentBase::identifier
    {5, 1090, 55},	// Akonadi::AgentBase::isOnline
    {5, 1180, 20},	// Akonadi::AgentBase::metaObject
    {5, 1210, 47},	// Akonadi::AgentBase::onlineChanged$
    {5, 1237, 41},	// Akonadi::AgentBase::percent$
    {5, 1243, 29},	// Akonadi::AgentBase::progress
    {5, 1245, 30},	// Akonadi::AgentBase::progressMessage
    {5, 1247, 26},	// Akonadi::AgentBase::qt_metacall$$?
    {5, 1249, 21},	// Akonadi::AgentBase::qt_metacast$
    {5, 1254, 35},	// Akonadi::AgentBase::registerObserver#
    {5, 1258, 46},	// Akonadi::AgentBase::reloadConfiguration
    {5, 1345, 36},	// Akonadi::AgentBase::setAgentName$
    {5, 1555, 56},	// Akonadi::AgentBase::setNeedsNetwork$
    {5, 1557, 57},	// Akonadi::AgentBase::setOnline$
    {5, 1640, 64},	// Akonadi::AgentBase::setTemporaryOffline
    {5, 1641, 58},	// Akonadi::AgentBase::setTemporaryOffline$
    {5, 1701, 65},	// Akonadi::AgentBase::staticMetaObject
    {5, 1703, 27},	// Akonadi::AgentBase::status
    {5, 1704, 63},	// Akonadi::AgentBase::status$
    {5, 1705, 40},	// Akonadi::AgentBase::status$$
    {5, 1706, 28},	// Akonadi::AgentBase::statusMessage
    {5, 1747, 61},	// Akonadi::AgentBase::tr$
    {5, 1748, 22},	// Akonadi::AgentBase::tr$$
    {5, 1749, 24},	// Akonadi::AgentBase::tr$$$
    {5, 1751, 62},	// Akonadi::AgentBase::trUtf8$
    {5, 1752, 23},	// Akonadi::AgentBase::trUtf8$$
    {5, 1753, 25},	// Akonadi::AgentBase::trUtf8$$$
    {5, 1796, 42},	// Akonadi::AgentBase::warning$
    {5, 1801, 32},	// Akonadi::AgentBase::winIdForDialogs
    {5, 1808, 70},	// Akonadi::AgentBase::~AgentBase
    {6, 450, 71},	// Akonadi::AgentBase::Observer::Observer
    {6, 451, 78},	// Akonadi::AgentBase::Observer::Observer#
    {6, 790, 75},	// Akonadi::AgentBase::Observer::collectionAdded##
    {6, 794, 76},	// Akonadi::AgentBase::Observer::collectionChanged#
    {6, 810, 77},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {6, 1108, 72},	// Akonadi::AgentBase::Observer::itemAdded##
    {6, 1111, 73},	// Akonadi::AgentBase::Observer::itemChanged#?
    {6, 1124, 74},	// Akonadi::AgentBase::Observer::itemRemoved#
    {6, 1892, 79},	// Akonadi::AgentBase::Observer::~Observer
    {7, 452, 86},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {7, 453, 87},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {7, 794, 80},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {7, 795, 85},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {7, 806, 84},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {7, 1117, 82},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {7, 1121, 81},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {7, 1131, 83},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {7, 1893, 88},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {9, 21, 104},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {9, 22, 96},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {9, 693, 98},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {9, 701, 97},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {9, 774, 99},	// Akonadi::AgentFilterProxyModel::clearFilters
    {9, 961, 100},	// Akonadi::AgentFilterProxyModel::excludeCapabilities$
    {9, 992, 101},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {9, 1180, 89},	// Akonadi::AgentFilterProxyModel::metaObject
    {9, 1247, 95},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {9, 1249, 90},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {9, 1701, 105},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {9, 1747, 102},	// Akonadi::AgentFilterProxyModel::tr$
    {9, 1748, 91},	// Akonadi::AgentFilterProxyModel::tr$$
    {9, 1749, 93},	// Akonadi::AgentFilterProxyModel::tr$$$
    {9, 1751, 103},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {9, 1752, 92},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {9, 1753, 94},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {9, 1809, 106},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {10, 23, 107},	// Akonadi::AgentInstance::AgentInstance
    {10, 24, 108},	// Akonadi::AgentInstance::AgentInstance#
    {10, 61, 130},	// Akonadi::AgentInstance::Broken
    {10, 300, 128},	// Akonadi::AgentInstance::Idle
    {10, 448, 131},	// Akonadi::AgentInstance::NotConfigured
    {10, 512, 129},	// Akonadi::AgentInstance::Running
    {10, 675, 124},	// Akonadi::AgentInstance::abortCurrentTask
    {10, 838, 127},	// Akonadi::AgentInstance::configure
    {10, 839, 119},	// Akonadi::AgentInstance::configure#
    {10, 1031, 111},	// Akonadi::AgentInstance::identifier
    {10, 1090, 117},	// Akonadi::AgentInstance::isOnline
    {10, 1096, 109},	// Akonadi::AgentInstance::isValid
    {10, 1205, 112},	// Akonadi::AgentInstance::name
    {10, 1216, 122},	// Akonadi::AgentInstance::operator=#
    {10, 1218, 123},	// Akonadi::AgentInstance::operator==#
    {10, 1243, 116},	// Akonadi::AgentInstance::progress
    {10, 1251, 125},	// Akonadi::AgentInstance::reconfigure
    {10, 1280, 126},	// Akonadi::AgentInstance::restart
    {10, 1510, 118},	// Akonadi::AgentInstance::setIsOnline$
    {10, 1553, 113},	// Akonadi::AgentInstance::setName$
    {10, 1703, 114},	// Akonadi::AgentInstance::status
    {10, 1706, 115},	// Akonadi::AgentInstance::statusMessage
    {10, 1718, 120},	// Akonadi::AgentInstance::synchronize
    {10, 1726, 121},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {10, 1754, 110},	// Akonadi::AgentInstance::type
    {10, 1810, 132},	// Akonadi::AgentInstance::~AgentInstance
    {11, 26, 147},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {11, 27, 140},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {11, 28, 148},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$
    {11, 29, 141},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$#
    {11, 838, 149},	// Akonadi::AgentInstanceCreateJob::configure
    {11, 839, 142},	// Akonadi::AgentInstanceCreateJob::configure#
    {11, 1055, 143},	// Akonadi::AgentInstanceCreateJob::instance
    {11, 1180, 133},	// Akonadi::AgentInstanceCreateJob::metaObject
    {11, 1247, 139},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {11, 1249, 134},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {11, 1693, 144},	// Akonadi::AgentInstanceCreateJob::start
    {11, 1701, 150},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {11, 1747, 145},	// Akonadi::AgentInstanceCreateJob::tr$
    {11, 1748, 135},	// Akonadi::AgentInstanceCreateJob::tr$$
    {11, 1749, 137},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {11, 1751, 146},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {11, 1752, 136},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {11, 1753, 138},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {11, 1811, 151},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {12, 30, 170},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {12, 31, 159},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {12, 75, 181},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {12, 224, 179},	// Akonadi::AgentInstanceModel::DescriptionRole
    {12, 310, 183},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {12, 311, 182},	// Akonadi::AgentInstanceModel::InstanceRole
    {12, 402, 180},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {12, 459, 187},	// Akonadi::AgentInstanceModel::OnlineRole
    {12, 486, 186},	// Akonadi::AgentInstanceModel::ProgressRole
    {12, 551, 185},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {12, 552, 184},	// Akonadi::AgentInstanceModel::StatusRole
    {12, 585, 178},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {12, 586, 177},	// Akonadi::AgentInstanceModel::TypeRole
    {12, 605, 188},	// Akonadi::AgentInstanceModel::UserRole
    {12, 830, 171},	// Akonadi::AgentInstanceModel::columnCount
    {12, 831, 160},	// Akonadi::AgentInstanceModel::columnCount#
    {12, 885, 173},	// Akonadi::AgentInstanceModel::data#
    {12, 886, 162},	// Akonadi::AgentInstanceModel::data#$
    {12, 997, 166},	// Akonadi::AgentInstanceModel::flags#
    {12, 1020, 174},	// Akonadi::AgentInstanceModel::headerData$$
    {12, 1021, 163},	// Akonadi::AgentInstanceModel::headerData$$$
    {12, 1043, 175},	// Akonadi::AgentInstanceModel::index$$
    {12, 1044, 164},	// Akonadi::AgentInstanceModel::index$$#
    {12, 1180, 152},	// Akonadi::AgentInstanceModel::metaObject
    {12, 1228, 165},	// Akonadi::AgentInstanceModel::parent#
    {12, 1247, 158},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {12, 1249, 153},	// Akonadi::AgentInstanceModel::qt_metacast$
    {12, 1297, 172},	// Akonadi::AgentInstanceModel::rowCount
    {12, 1298, 161},	// Akonadi::AgentInstanceModel::rowCount#
    {12, 1429, 167},	// Akonadi::AgentInstanceModel::setData##$
    {12, 1701, 176},	// Akonadi::AgentInstanceModel::staticMetaObject
    {12, 1747, 168},	// Akonadi::AgentInstanceModel::tr$
    {12, 1748, 154},	// Akonadi::AgentInstanceModel::tr$$
    {12, 1749, 156},	// Akonadi::AgentInstanceModel::tr$$$
    {12, 1751, 169},	// Akonadi::AgentInstanceModel::trUtf8$
    {12, 1752, 155},	// Akonadi::AgentInstanceModel::trUtf8$$
    {12, 1753, 157},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {12, 1812, 189},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {13, 32, 207},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {13, 33, 197},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {13, 718, 200},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {13, 784, 204},	// Akonadi::AgentInstanceWidget::clicked#
    {13, 873, 198},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {13, 877, 202},	// Akonadi::AgentInstanceWidget::currentChanged##
    {13, 920, 203},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {13, 1180, 190},	// Akonadi::AgentInstanceWidget::metaObject
    {13, 1247, 196},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {13, 1249, 191},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {13, 1316, 199},	// Akonadi::AgentInstanceWidget::selectedAgentInstances
    {13, 1701, 208},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {13, 1747, 205},	// Akonadi::AgentInstanceWidget::tr$
    {13, 1748, 192},	// Akonadi::AgentInstanceWidget::tr$$
    {13, 1749, 194},	// Akonadi::AgentInstanceWidget::tr$$$
    {13, 1751, 206},	// Akonadi::AgentInstanceWidget::trUtf8$
    {13, 1752, 193},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {13, 1753, 195},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {13, 1786, 201},	// Akonadi::AgentInstanceWidget::view
    {13, 1813, 209},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {14, 1056, 221},	// Akonadi::AgentManager::instance$
    {14, 1058, 227},	// Akonadi::AgentManager::instanceAdded#
    {14, 1060, 232},	// Akonadi::AgentManager::instanceError#$
    {14, 1063, 231},	// Akonadi::AgentManager::instanceNameChanged#
    {14, 1065, 234},	// Akonadi::AgentManager::instanceOnline#$
    {14, 1067, 230},	// Akonadi::AgentManager::instanceProgressChanged#
    {14, 1069, 228},	// Akonadi::AgentManager::instanceRemoved#
    {14, 1071, 229},	// Akonadi::AgentManager::instanceStatusChanged#
    {14, 1073, 233},	// Akonadi::AgentManager::instanceWarning#$
    {14, 1074, 220},	// Akonadi::AgentManager::instances
    {14, 1180, 210},	// Akonadi::AgentManager::metaObject
    {14, 1247, 216},	// Akonadi::AgentManager::qt_metacall$$?
    {14, 1249, 211},	// Akonadi::AgentManager::qt_metacast$
    {14, 1267, 222},	// Akonadi::AgentManager::removeInstance#
    {14, 1324, 217},	// Akonadi::AgentManager::self
    {14, 1701, 237},	// Akonadi::AgentManager::staticMetaObject
    {14, 1720, 223},	// Akonadi::AgentManager::synchronizeCollection#
    {14, 1721, 224},	// Akonadi::AgentManager::synchronizeCollection#$
    {14, 1747, 235},	// Akonadi::AgentManager::tr$
    {14, 1748, 212},	// Akonadi::AgentManager::tr$$
    {14, 1749, 214},	// Akonadi::AgentManager::tr$$$
    {14, 1751, 236},	// Akonadi::AgentManager::trUtf8$
    {14, 1752, 213},	// Akonadi::AgentManager::trUtf8$$
    {14, 1753, 215},	// Akonadi::AgentManager::trUtf8$$$
    {14, 1755, 219},	// Akonadi::AgentManager::type$
    {14, 1757, 225},	// Akonadi::AgentManager::typeAdded#
    {14, 1762, 226},	// Akonadi::AgentManager::typeRemoved#
    {14, 1763, 218},	// Akonadi::AgentManager::types
    {14, 1814, 238},	// Akonadi::AgentManager::~AgentManager
    {15, 34, 239},	// Akonadi::AgentType::AgentType
    {15, 35, 240},	// Akonadi::AgentType::AgentType#
    {15, 755, 248},	// Akonadi::AgentType::capabilities
    {15, 882, 249},	// Akonadi::AgentType::customProperties
    {15, 895, 244},	// Akonadi::AgentType::description
    {15, 1028, 246},	// Akonadi::AgentType::icon
    {15, 1029, 245},	// Akonadi::AgentType::iconName
    {15, 1031, 242},	// Akonadi::AgentType::identifier
    {15, 1096, 241},	// Akonadi::AgentType::isValid
    {15, 1191, 247},	// Akonadi::AgentType::mimeTypes
    {15, 1205, 243},	// Akonadi::AgentType::name
    {15, 1216, 250},	// Akonadi::AgentType::operator=#
    {15, 1218, 251},	// Akonadi::AgentType::operator==#
    {15, 1815, 252},	// Akonadi::AgentType::~AgentType
    {16, 36, 266},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {16, 37, 260},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {16, 718, 262},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {16, 724, 261},	// Akonadi::AgentTypeDialog::agentType
    {16, 918, 263},	// Akonadi::AgentTypeDialog::done$
    {16, 1180, 253},	// Akonadi::AgentTypeDialog::metaObject
    {16, 1247, 259},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {16, 1249, 254},	// Akonadi::AgentTypeDialog::qt_metacast$
    {16, 1701, 267},	// Akonadi::AgentTypeDialog::staticMetaObject
    {16, 1747, 264},	// Akonadi::AgentTypeDialog::tr$
    {16, 1748, 255},	// Akonadi::AgentTypeDialog::tr$$
    {16, 1749, 257},	// Akonadi::AgentTypeDialog::tr$$$
    {16, 1751, 265},	// Akonadi::AgentTypeDialog::trUtf8$
    {16, 1752, 256},	// Akonadi::AgentTypeDialog::trUtf8$$
    {16, 1753, 258},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {16, 1816, 268},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {17, 38, 285},	// Akonadi::AgentTypeModel::AgentTypeModel
    {17, 39, 276},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {17, 75, 295},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {17, 224, 293},	// Akonadi::AgentTypeModel::DescriptionRole
    {17, 299, 292},	// Akonadi::AgentTypeModel::IdentifierRole
    {17, 402, 294},	// Akonadi::AgentTypeModel::MimeTypesRole
    {17, 586, 291},	// Akonadi::AgentTypeModel::TypeRole
    {17, 605, 296},	// Akonadi::AgentTypeModel::UserRole
    {17, 830, 286},	// Akonadi::AgentTypeModel::columnCount
    {17, 831, 277},	// Akonadi::AgentTypeModel::columnCount#
    {17, 885, 288},	// Akonadi::AgentTypeModel::data#
    {17, 886, 279},	// Akonadi::AgentTypeModel::data#$
    {17, 997, 282},	// Akonadi::AgentTypeModel::flags#
    {17, 1043, 289},	// Akonadi::AgentTypeModel::index$$
    {17, 1044, 280},	// Akonadi::AgentTypeModel::index$$#
    {17, 1180, 269},	// Akonadi::AgentTypeModel::metaObject
    {17, 1228, 281},	// Akonadi::AgentTypeModel::parent#
    {17, 1247, 275},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {17, 1249, 270},	// Akonadi::AgentTypeModel::qt_metacast$
    {17, 1297, 287},	// Akonadi::AgentTypeModel::rowCount
    {17, 1298, 278},	// Akonadi::AgentTypeModel::rowCount#
    {17, 1701, 290},	// Akonadi::AgentTypeModel::staticMetaObject
    {17, 1747, 283},	// Akonadi::AgentTypeModel::tr$
    {17, 1748, 271},	// Akonadi::AgentTypeModel::tr$$
    {17, 1749, 273},	// Akonadi::AgentTypeModel::tr$$$
    {17, 1751, 284},	// Akonadi::AgentTypeModel::trUtf8$
    {17, 1752, 272},	// Akonadi::AgentTypeModel::trUtf8$$
    {17, 1753, 274},	// Akonadi::AgentTypeModel::trUtf8$$$
    {17, 1817, 297},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {18, 40, 312},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {18, 41, 305},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {18, 686, 309},	// Akonadi::AgentTypeWidget::activated
    {18, 718, 307},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {18, 874, 306},	// Akonadi::AgentTypeWidget::currentAgentType
    {18, 877, 308},	// Akonadi::AgentTypeWidget::currentChanged##
    {18, 1180, 298},	// Akonadi::AgentTypeWidget::metaObject
    {18, 1247, 304},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {18, 1249, 299},	// Akonadi::AgentTypeWidget::qt_metacast$
    {18, 1701, 313},	// Akonadi::AgentTypeWidget::staticMetaObject
    {18, 1747, 310},	// Akonadi::AgentTypeWidget::tr$
    {18, 1748, 300},	// Akonadi::AgentTypeWidget::tr$$
    {18, 1749, 302},	// Akonadi::AgentTypeWidget::tr$$$
    {18, 1751, 311},	// Akonadi::AgentTypeWidget::trUtf8$
    {18, 1752, 301},	// Akonadi::AgentTypeWidget::trUtf8$$
    {18, 1753, 303},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {18, 1818, 314},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {19, 52, 319},	// Akonadi::Attribute::Attribute
    {19, 53, 320},	// Akonadi::Attribute::Attribute#
    {19, 785, 316},	// Akonadi::Attribute::clone
    {19, 897, 318},	// Akonadi::Attribute::deserialize#
    {19, 1333, 317},	// Akonadi::Attribute::serialized
    {19, 1754, 315},	// Akonadi::Attribute::type
    {19, 1819, 321},	// Akonadi::Attribute::~Attribute
    {20, 54, 323},	// Akonadi::AttributeFactory::AttributeFactory
    {20, 55, 324},	// Akonadi::AttributeFactory::AttributeFactory#
    {20, 866, 322},	// Akonadi::AttributeFactory::createAttribute#
    {20, 1820, 325},	// Akonadi::AttributeFactory::~AttributeFactory
    {21, 64, 326},	// Akonadi::CachePolicy::CachePolicy
    {21, 65, 327},	// Akonadi::CachePolicy::CachePolicy#
    {21, 747, 332},	// Akonadi::CachePolicy::cacheTimeout
    {21, 1048, 328},	// Akonadi::CachePolicy::inheritFromParent
    {21, 1078, 334},	// Akonadi::CachePolicy::intervalCheckTime
    {21, 1167, 330},	// Akonadi::CachePolicy::localParts
    {21, 1216, 338},	// Akonadi::CachePolicy::operator=#
    {21, 1218, 339},	// Akonadi::CachePolicy::operator==#
    {21, 1364, 333},	// Akonadi::CachePolicy::setCacheTimeout$
    {21, 1506, 329},	// Akonadi::CachePolicy::setInheritFromParent$
    {21, 1508, 335},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {21, 1533, 331},	// Akonadi::CachePolicy::setLocalParts?
    {21, 1630, 337},	// Akonadi::CachePolicy::setSyncOnDemand$
    {21, 1717, 336},	// Akonadi::CachePolicy::syncOnDemand
    {21, 1821, 340},	// Akonadi::CachePolicy::~CachePolicy
    {22, 76, 360},	// Akonadi::ChangeRecorder::ChangeRecorder
    {22, 77, -19},	// Akonadi::ChangeRecorder::ChangeRecorder#
    {22, 78, 357},	// Akonadi::ChangeRecorder::ChangeRecorder##
    {22, 762, 351},	// Akonadi::ChangeRecorder::changeProcessed
    {22, 764, 355},	// Akonadi::ChangeRecorder::changesAdded
    {22, 934, 353},	// Akonadi::ChangeRecorder::dumpNotificationListToString
    {22, 1086, 350},	// Akonadi::ChangeRecorder::isEmpty
    {22, 1180, 341},	// Akonadi::ChangeRecorder::metaObject
    {22, 1208, 356},	// Akonadi::ChangeRecorder::nothingToReplay
    {22, 1247, 347},	// Akonadi::ChangeRecorder::qt_metacall$$?
    {22, 1249, 342},	// Akonadi::ChangeRecorder::qt_metacast$
    {22, 1273, 354},	// Akonadi::ChangeRecorder::replayNext
    {22, 1373, 352},	// Akonadi::ChangeRecorder::setChangeRecordingEnabled$
    {22, 1402, 349},	// Akonadi::ChangeRecorder::setConfig#
    {22, 1701, 362},	// Akonadi::ChangeRecorder::staticMetaObject
    {22, 1747, 358},	// Akonadi::ChangeRecorder::tr$
    {22, 1748, 343},	// Akonadi::ChangeRecorder::tr$$
    {22, 1749, 345},	// Akonadi::ChangeRecorder::tr$$$
    {22, 1751, 359},	// Akonadi::ChangeRecorder::trUtf8$
    {22, 1752, 344},	// Akonadi::ChangeRecorder::trUtf8$$
    {22, 1753, 346},	// Akonadi::ChangeRecorder::trUtf8$$$
    {22, 1822, 363},	// Akonadi::ChangeRecorder::~ChangeRecorder
    {24, 44, 402},	// Akonadi::Collection::AllRights
    {24, 66, 397},	// Akonadi::Collection::CanChangeCollection
    {24, 67, 394},	// Akonadi::Collection::CanChangeItem
    {24, 68, 398},	// Akonadi::Collection::CanCreateCollection
    {24, 69, 395},	// Akonadi::Collection::CanCreateItem
    {24, 70, 399},	// Akonadi::Collection::CanDeleteCollection
    {24, 71, 396},	// Akonadi::Collection::CanDeleteItem
    {24, 72, 400},	// Akonadi::Collection::CanLinkItem
    {24, 73, 401},	// Akonadi::Collection::CanUnlinkItem
    {24, 82, 364},	// Akonadi::Collection::Collection
    {24, 83, 366},	// Akonadi::Collection::Collection#
    {24, 84, 365},	// Akonadi::Collection::Collection$
    {24, 490, 393},	// Akonadi::Collection::ReadOnly
    {24, 595, 403},	// Akonadi::Collection::UrlShort
    {24, 597, 404},	// Akonadi::Collection::UrlWithName
    {24, 746, 385},	// Akonadi::Collection::cachePolicy
    {24, 855, 373},	// Akonadi::Collection::contentMimeTypes
    {24, 906, 369},	// Akonadi::Collection::displayName
    {24, 1004, 367},	// Akonadi::Collection::fromUrl#
    {24, 1097, 391},	// Akonadi::Collection::isVirtual
    {24, 1184, 381},	// Akonadi::Collection::mimeType
    {24, 1205, 368},	// Akonadi::Collection::name
    {24, 1227, 375},	// Akonadi::Collection::parent
    {24, 1230, 378},	// Akonadi::Collection::parentRemoteId
    {24, 1276, 383},	// Akonadi::Collection::resource
    {24, 1293, 371},	// Akonadi::Collection::rights
    {24, 1295, 380},	// Akonadi::Collection::root
    {24, 1362, 386},	// Akonadi::Collection::setCachePolicy#
    {24, 1416, 374},	// Akonadi::Collection::setContentMimeTypes?
    {24, 1553, 370},	// Akonadi::Collection::setName$
    {24, 1563, 377},	// Akonadi::Collection::setParent#
    {24, 1564, 376},	// Akonadi::Collection::setParent$
    {24, 1568, 379},	// Akonadi::Collection::setParentRemoteId$
    {24, 1596, 384},	// Akonadi::Collection::setResource$
    {24, 1603, 372},	// Akonadi::Collection::setRights$
    {24, 1624, 388},	// Akonadi::Collection::setStatistics#
    {24, 1664, 392},	// Akonadi::Collection::setVirtual$
    {24, 1702, 387},	// Akonadi::Collection::statistics
    {24, 1776, 389},	// Akonadi::Collection::url
    {24, 1777, 390},	// Akonadi::Collection::url$
    {24, 1790, 382},	// Akonadi::Collection::virtualMimeType
    {24, 1823, 405},	// Akonadi::Collection::~Collection
    {25, 86, 426},	// Akonadi::CollectionComboBox::CollectionComboBox
    {25, 87, -16},	// Akonadi::CollectionComboBox::CollectionComboBox#
    {25, 88, 414},	// Akonadi::CollectionComboBox::CollectionComboBox##
    {25, 681, 418},	// Akonadi::CollectionComboBox::accessRightsFilter
    {25, 876, 423},	// Akonadi::CollectionComboBox::currentChanged#
    {25, 878, 420},	// Akonadi::CollectionComboBox::currentCollection
    {25, 962, 422},	// Akonadi::CollectionComboBox::excludeVirtualCollections
    {25, 1180, 406},	// Akonadi::CollectionComboBox::metaObject
    {25, 1186, 416},	// Akonadi::CollectionComboBox::mimeTypeFilter
    {25, 1247, 412},	// Akonadi::CollectionComboBox::qt_metacall$$?
    {25, 1249, 407},	// Akonadi::CollectionComboBox::qt_metacast$
    {25, 1339, 417},	// Akonadi::CollectionComboBox::setAccessRightsFilter$
    {25, 1433, 419},	// Akonadi::CollectionComboBox::setDefaultCollection#
    {25, 1446, 421},	// Akonadi::CollectionComboBox::setExcludeVirtualCollections$
    {25, 1541, 415},	// Akonadi::CollectionComboBox::setMimeTypeFilter?
    {25, 1701, 428},	// Akonadi::CollectionComboBox::staticMetaObject
    {25, 1747, 424},	// Akonadi::CollectionComboBox::tr$
    {25, 1748, 408},	// Akonadi::CollectionComboBox::tr$$
    {25, 1749, 410},	// Akonadi::CollectionComboBox::tr$$$
    {25, 1751, 425},	// Akonadi::CollectionComboBox::trUtf8$
    {25, 1752, 409},	// Akonadi::CollectionComboBox::trUtf8$$
    {25, 1753, 411},	// Akonadi::CollectionComboBox::trUtf8$$$
    {25, 1824, 429},	// Akonadi::CollectionComboBox::~CollectionComboBox
    {26, 90, 441},	// Akonadi::CollectionCopyJob::CollectionCopyJob##
    {26, 91, 437},	// Akonadi::CollectionCopyJob::CollectionCopyJob###
    {26, 915, 438},	// Akonadi::CollectionCopyJob::doStart
    {26, 1180, 430},	// Akonadi::CollectionCopyJob::metaObject
    {26, 1247, 436},	// Akonadi::CollectionCopyJob::qt_metacall$$?
    {26, 1249, 431},	// Akonadi::CollectionCopyJob::qt_metacast$
    {26, 1701, 442},	// Akonadi::CollectionCopyJob::staticMetaObject
    {26, 1747, 439},	// Akonadi::CollectionCopyJob::tr$
    {26, 1748, 432},	// Akonadi::CollectionCopyJob::tr$$
    {26, 1749, 434},	// Akonadi::CollectionCopyJob::tr$$$
    {26, 1751, 440},	// Akonadi::CollectionCopyJob::trUtf8$
    {26, 1752, 433},	// Akonadi::CollectionCopyJob::trUtf8$$
    {26, 1753, 435},	// Akonadi::CollectionCopyJob::trUtf8$$$
    {26, 1825, 443},	// Akonadi::CollectionCopyJob::~CollectionCopyJob
    {27, 93, 457},	// Akonadi::CollectionCreateJob::CollectionCreateJob#
    {27, 94, 451},	// Akonadi::CollectionCreateJob::CollectionCreateJob##
    {27, 788, 452},	// Akonadi::CollectionCreateJob::collection
    {27, 909, 454},	// Akonadi::CollectionCreateJob::doHandleResponse##
    {27, 915, 453},	// Akonadi::CollectionCreateJob::doStart
    {27, 1180, 444},	// Akonadi::CollectionCreateJob::metaObject
    {27, 1247, 450},	// Akonadi::CollectionCreateJob::qt_metacall$$?
    {27, 1249, 445},	// Akonadi::CollectionCreateJob::qt_metacast$
    {27, 1701, 458},	// Akonadi::CollectionCreateJob::staticMetaObject
    {27, 1747, 455},	// Akonadi::CollectionCreateJob::tr$
    {27, 1748, 446},	// Akonadi::CollectionCreateJob::tr$$
    {27, 1749, 448},	// Akonadi::CollectionCreateJob::tr$$$
    {27, 1751, 456},	// Akonadi::CollectionCreateJob::trUtf8$
    {27, 1752, 447},	// Akonadi::CollectionCreateJob::trUtf8$$
    {27, 1753, 449},	// Akonadi::CollectionCreateJob::trUtf8$$$
    {27, 1826, 459},	// Akonadi::CollectionCreateJob::~CollectionCreateJob
    {28, 96, 471},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob#
    {28, 97, 467},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob##
    {28, 915, 468},	// Akonadi::CollectionDeleteJob::doStart
    {28, 1180, 460},	// Akonadi::CollectionDeleteJob::metaObject
    {28, 1247, 466},	// Akonadi::CollectionDeleteJob::qt_metacall$$?
    {28, 1249, 461},	// Akonadi::CollectionDeleteJob::qt_metacast$
    {28, 1701, 472},	// Akonadi::CollectionDeleteJob::staticMetaObject
    {28, 1747, 469},	// Akonadi::CollectionDeleteJob::tr$
    {28, 1748, 462},	// Akonadi::CollectionDeleteJob::tr$$
    {28, 1749, 464},	// Akonadi::CollectionDeleteJob::tr$$$
    {28, 1751, 470},	// Akonadi::CollectionDeleteJob::trUtf8$
    {28, 1752, 463},	// Akonadi::CollectionDeleteJob::trUtf8$$
    {28, 1753, 465},	// Akonadi::CollectionDeleteJob::trUtf8$$$
    {28, 1827, 473},	// Akonadi::CollectionDeleteJob::~CollectionDeleteJob
    {29, 45, 505},	// Akonadi::CollectionDialog::AllowToCreateNewChildCollection
    {29, 99, 499},	// Akonadi::CollectionDialog::CollectionDialog
    {29, 100, -111},	// Akonadi::CollectionDialog::CollectionDialog#
    {29, 101, 482},	// Akonadi::CollectionDialog::CollectionDialog##
    {29, 102, 501},	// Akonadi::CollectionDialog::CollectionDialog$
    {29, 103, 502},	// Akonadi::CollectionDialog::CollectionDialog$#
    {29, 104, 483},	// Akonadi::CollectionDialog::CollectionDialog$##
    {29, 375, 506},	// Akonadi::CollectionDialog::KeepTreeExpanded
    {29, 447, 504},	// Akonadi::CollectionDialog::None
    {29, 681, 487},	// Akonadi::CollectionDialog::accessRightsFilter
    {29, 758, 494},	// Akonadi::CollectionDialog::changeCollectionDialogOptions$
    {29, 1180, 474},	// Akonadi::CollectionDialog::metaObject
    {29, 1186, 485},	// Akonadi::CollectionDialog::mimeTypeFilter
    {29, 1247, 480},	// Akonadi::CollectionDialog::qt_metacall$$?
    {29, 1249, 475},	// Akonadi::CollectionDialog::qt_metacast$
    {29, 1317, 492},	// Akonadi::CollectionDialog::selectedCollection
    {29, 1318, 493},	// Akonadi::CollectionDialog::selectedCollections
    {29, 1323, 491},	// Akonadi::CollectionDialog::selectionMode
    {29, 1339, 486},	// Akonadi::CollectionDialog::setAccessRightsFilter$
    {29, 1433, 489},	// Akonadi::CollectionDialog::setDefaultCollection#
    {29, 1439, 488},	// Akonadi::CollectionDialog::setDescription$
    {29, 1541, 484},	// Akonadi::CollectionDialog::setMimeTypeFilter?
    {29, 1613, 490},	// Akonadi::CollectionDialog::setSelectionMode$
    {29, 1662, 495},	// Akonadi::CollectionDialog::setUseFolderByDefault$
    {29, 1701, 503},	// Akonadi::CollectionDialog::staticMetaObject
    {29, 1747, 497},	// Akonadi::CollectionDialog::tr$
    {29, 1748, 476},	// Akonadi::CollectionDialog::tr$$
    {29, 1749, 478},	// Akonadi::CollectionDialog::tr$$$
    {29, 1751, 498},	// Akonadi::CollectionDialog::trUtf8$
    {29, 1752, 477},	// Akonadi::CollectionDialog::trUtf8$$
    {29, 1753, 479},	// Akonadi::CollectionDialog::trUtf8$$$
    {29, 1782, 496},	// Akonadi::CollectionDialog::useFolderByDefault
    {29, 1828, 507},	// Akonadi::CollectionDialog::~CollectionDialog
    {30, 57, 540},	// Akonadi::CollectionFetchJob::Base
    {30, 106, 531},	// Akonadi::CollectionFetchJob::CollectionFetchJob#
    {30, 107, 532},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$
    {30, 108, 515},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$#
    {30, 109, -133},	// Akonadi::CollectionFetchJob::CollectionFetchJob?
    {30, 110, 516},	// Akonadi::CollectionFetchJob::CollectionFetchJob?#
    {30, 111, -136},	// Akonadi::CollectionFetchJob::CollectionFetchJob?$
    {30, 112, -139},	// Akonadi::CollectionFetchJob::CollectionFetchJob?$#
    {30, 287, 541},	// Akonadi::CollectionFetchJob::FirstLevel
    {30, 446, 543},	// Akonadi::CollectionFetchJob::NonOverlappingRoots
    {30, 492, 542},	// Akonadi::CollectionFetchJob::Recursive
    {30, 821, 519},	// Akonadi::CollectionFetchJob::collections
    {30, 824, 525},	// Akonadi::CollectionFetchJob::collectionsReceived?
    {30, 909, 527},	// Akonadi::CollectionFetchJob::doHandleResponse##
    {30, 915, 526},	// Akonadi::CollectionFetchJob::doStart
    {30, 987, 524},	// Akonadi::CollectionFetchJob::fetchScope
    {30, 1037, 538},	// Akonadi::CollectionFetchJob::includeStatistics
    {30, 1038, 522},	// Akonadi::CollectionFetchJob::includeStatistics$
    {30, 1039, 537},	// Akonadi::CollectionFetchJob::includeUnsubscribed
    {30, 1040, 521},	// Akonadi::CollectionFetchJob::includeUnsubscribed$
    {30, 1180, 508},	// Akonadi::CollectionFetchJob::metaObject
    {30, 1247, 514},	// Akonadi::CollectionFetchJob::qt_metacall$$?
    {30, 1249, 509},	// Akonadi::CollectionFetchJob::qt_metacast$
    {30, 1464, 523},	// Akonadi::CollectionFetchJob::setFetchScope#
    {30, 1596, 520},	// Akonadi::CollectionFetchJob::setResource$
    {30, 1688, 528},	// Akonadi::CollectionFetchJob::slotResult#
    {30, 1701, 539},	// Akonadi::CollectionFetchJob::staticMetaObject
    {30, 1747, 529},	// Akonadi::CollectionFetchJob::tr$
    {30, 1748, 510},	// Akonadi::CollectionFetchJob::tr$$
    {30, 1749, 512},	// Akonadi::CollectionFetchJob::tr$$$
    {30, 1751, 530},	// Akonadi::CollectionFetchJob::trUtf8$
    {30, 1752, 511},	// Akonadi::CollectionFetchJob::trUtf8$$
    {30, 1753, 513},	// Akonadi::CollectionFetchJob::trUtf8$$$
    {30, 1829, 544},	// Akonadi::CollectionFetchJob::~CollectionFetchJob
    {31, 42, 562},	// Akonadi::CollectionFetchScope::All
    {31, 113, 545},	// Akonadi::CollectionFetchScope::CollectionFetchScope
    {31, 114, 546},	// Akonadi::CollectionFetchScope::CollectionFetchScope#
    {31, 447, 560},	// Akonadi::CollectionFetchScope::None
    {31, 461, 561},	// Akonadi::CollectionFetchScope::Parent
    {31, 729, 558},	// Akonadi::CollectionFetchScope::ancestorRetrieval
    {31, 855, 556},	// Akonadi::CollectionFetchScope::contentMimeTypes
    {31, 1037, 551},	// Akonadi::CollectionFetchScope::includeStatistics
    {31, 1039, 549},	// Akonadi::CollectionFetchScope::includeUnsubscribed
    {31, 1041, 548},	// Akonadi::CollectionFetchScope::includeUnubscribed
    {31, 1086, 559},	// Akonadi::CollectionFetchScope::isEmpty
    {31, 1216, 547},	// Akonadi::CollectionFetchScope::operator=#
    {31, 1276, 553},	// Akonadi::CollectionFetchScope::resource
    {31, 1349, 557},	// Akonadi::CollectionFetchScope::setAncestorRetrieval$
    {31, 1416, 555},	// Akonadi::CollectionFetchScope::setContentMimeTypes?
    {31, 1500, 552},	// Akonadi::CollectionFetchScope::setIncludeStatistics$
    {31, 1502, 550},	// Akonadi::CollectionFetchScope::setIncludeUnsubscribed$
    {31, 1596, 554},	// Akonadi::CollectionFetchScope::setResource$
    {31, 1830, 563},	// Akonadi::CollectionFetchScope::~CollectionFetchScope
    {32, 115, 582},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel
    {32, 116, 571},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel#
    {32, 701, 573},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilter$
    {32, 703, 572},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilters?
    {32, 774, 577},	// Akonadi::CollectionFilterProxyModel::clearFilters
    {32, 962, 576},	// Akonadi::CollectionFilterProxyModel::excludeVirtualCollections
    {32, 992, 579},	// Akonadi::CollectionFilterProxyModel::filterAcceptsRow$#
    {32, 997, 578},	// Akonadi::CollectionFilterProxyModel::flags#
    {32, 1180, 564},	// Akonadi::CollectionFilterProxyModel::metaObject
    {32, 1187, 574},	// Akonadi::CollectionFilterProxyModel::mimeTypeFilters
    {32, 1247, 570},	// Akonadi::CollectionFilterProxyModel::qt_metacall$$?
    {32, 1249, 565},	// Akonadi::CollectionFilterProxyModel::qt_metacast$
    {32, 1446, 575},	// Akonadi::CollectionFilterProxyModel::setExcludeVirtualCollections$
    {32, 1701, 583},	// Akonadi::CollectionFilterProxyModel::staticMetaObject
    {32, 1747, 580},	// Akonadi::CollectionFilterProxyModel::tr$
    {32, 1748, 566},	// Akonadi::CollectionFilterProxyModel::tr$$
    {32, 1749, 568},	// Akonadi::CollectionFilterProxyModel::tr$$$
    {32, 1751, 581},	// Akonadi::CollectionFilterProxyModel::trUtf8$
    {32, 1752, 567},	// Akonadi::CollectionFilterProxyModel::trUtf8$$
    {32, 1753, 569},	// Akonadi::CollectionFilterProxyModel::trUtf8$$$
    {32, 1831, 584},	// Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel
    {33, 117, 625},	// Akonadi::CollectionModel::CollectionIdRole
    {33, 118, 612},	// Akonadi::CollectionModel::CollectionModel
    {33, 119, -45},	// Akonadi::CollectionModel::CollectionModel#
    {33, 120, 609},	// Akonadi::CollectionModel::CollectionModel##
    {33, 144, 626},	// Akonadi::CollectionModel::CollectionRole
    {33, 455, 623},	// Akonadi::CollectionModel::OldCollectionIdRole
    {33, 456, 624},	// Akonadi::CollectionModel::OldCollectionRole
    {33, 605, 627},	// Akonadi::CollectionModel::UserRole
    {33, 801, 608},	// Akonadi::CollectionModel::collectionForId?
    {33, 830, 614},	// Akonadi::CollectionModel::columnCount
    {33, 831, 595},	// Akonadi::CollectionModel::columnCount#
    {33, 885, 615},	// Akonadi::CollectionModel::data#
    {33, 886, 596},	// Akonadi::CollectionModel::data#$
    {33, 931, 606},	// Akonadi::CollectionModel::dropMimeData#$$$#
    {33, 976, 593},	// Akonadi::CollectionModel::fetchCollectionStatistics$
    {33, 997, 603},	// Akonadi::CollectionModel::flags#
    {33, 1020, 618},	// Akonadi::CollectionModel::headerData$$
    {33, 1021, 600},	// Akonadi::CollectionModel::headerData$$$
    {33, 1039, 613},	// Akonadi::CollectionModel::includeUnsubscribed
    {33, 1040, 594},	// Akonadi::CollectionModel::includeUnsubscribed$
    {33, 1043, 616},	// Akonadi::CollectionModel::index$$
    {33, 1044, 597},	// Akonadi::CollectionModel::index$$#
    {33, 1180, 585},	// Akonadi::CollectionModel::metaObject
    {33, 1183, 605},	// Akonadi::CollectionModel::mimeData?
    {33, 1191, 607},	// Akonadi::CollectionModel::mimeTypes
    {33, 1228, 598},	// Akonadi::CollectionModel::parent#
    {33, 1247, 591},	// Akonadi::CollectionModel::qt_metacall$$?
    {33, 1249, 586},	// Akonadi::CollectionModel::qt_metacast$
    {33, 1297, 617},	// Akonadi::CollectionModel::rowCount
    {33, 1298, 599},	// Akonadi::CollectionModel::rowCount#
    {33, 1428, 620},	// Akonadi::CollectionModel::setData##
    {33, 1429, 602},	// Akonadi::CollectionModel::setData##$
    {33, 1481, 619},	// Akonadi::CollectionModel::setHeaderData$$#
    {33, 1482, 601},	// Akonadi::CollectionModel::setHeaderData$$#$
    {33, 1701, 622},	// Akonadi::CollectionModel::staticMetaObject
    {33, 1716, 604},	// Akonadi::CollectionModel::supportedDropActions
    {33, 1747, 610},	// Akonadi::CollectionModel::tr$
    {33, 1748, 587},	// Akonadi::CollectionModel::tr$$
    {33, 1749, 589},	// Akonadi::CollectionModel::tr$$$
    {33, 1751, 611},	// Akonadi::CollectionModel::trUtf8$
    {33, 1752, 588},	// Akonadi::CollectionModel::trUtf8$$
    {33, 1753, 590},	// Akonadi::CollectionModel::trUtf8$$$
    {33, 1832, 628},	// Akonadi::CollectionModel::~CollectionModel
    {35, 122, 641},	// Akonadi::CollectionModifyJob::CollectionModifyJob#
    {35, 123, 636},	// Akonadi::CollectionModifyJob::CollectionModifyJob##
    {35, 788, 637},	// Akonadi::CollectionModifyJob::collection
    {35, 915, 638},	// Akonadi::CollectionModifyJob::doStart
    {35, 1180, 629},	// Akonadi::CollectionModifyJob::metaObject
    {35, 1247, 635},	// Akonadi::CollectionModifyJob::qt_metacall$$?
    {35, 1249, 630},	// Akonadi::CollectionModifyJob::qt_metacast$
    {35, 1701, 642},	// Akonadi::CollectionModifyJob::staticMetaObject
    {35, 1747, 639},	// Akonadi::CollectionModifyJob::tr$
    {35, 1748, 631},	// Akonadi::CollectionModifyJob::tr$$
    {35, 1749, 633},	// Akonadi::CollectionModifyJob::tr$$$
    {35, 1751, 640},	// Akonadi::CollectionModifyJob::trUtf8$
    {35, 1752, 632},	// Akonadi::CollectionModifyJob::trUtf8$$
    {35, 1753, 634},	// Akonadi::CollectionModifyJob::trUtf8$$$
    {35, 1833, 643},	// Akonadi::CollectionModifyJob::~CollectionModifyJob
    {36, 125, 655},	// Akonadi::CollectionMoveJob::CollectionMoveJob##
    {36, 126, 651},	// Akonadi::CollectionMoveJob::CollectionMoveJob###
    {36, 915, 652},	// Akonadi::CollectionMoveJob::doStart
    {36, 1180, 644},	// Akonadi::CollectionMoveJob::metaObject
    {36, 1247, 650},	// Akonadi::CollectionMoveJob::qt_metacall$$?
    {36, 1249, 645},	// Akonadi::CollectionMoveJob::qt_metacast$
    {36, 1701, 656},	// Akonadi::CollectionMoveJob::staticMetaObject
    {36, 1747, 653},	// Akonadi::CollectionMoveJob::tr$
    {36, 1748, 646},	// Akonadi::CollectionMoveJob::tr$$
    {36, 1749, 648},	// Akonadi::CollectionMoveJob::tr$$$
    {36, 1751, 654},	// Akonadi::CollectionMoveJob::trUtf8$
    {36, 1752, 647},	// Akonadi::CollectionMoveJob::trUtf8$$
    {36, 1753, 649},	// Akonadi::CollectionMoveJob::trUtf8$$$
    {36, 1834, 657},	// Akonadi::CollectionMoveJob::~CollectionMoveJob
    {37, 63, 677},	// Akonadi::CollectionPropertiesDialog::CachePage
    {37, 129, 673},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#
    {37, 130, 665},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog##
    {37, 131, 674},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?
    {37, 132, 666},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?#
    {37, 292, 676},	// Akonadi::CollectionPropertiesDialog::GeneralPage
    {37, 889, 669},	// Akonadi::CollectionPropertiesDialog::defaultPageObjectName$
    {37, 1180, 658},	// Akonadi::CollectionPropertiesDialog::metaObject
    {37, 1247, 664},	// Akonadi::CollectionPropertiesDialog::qt_metacall$$?
    {37, 1249, 659},	// Akonadi::CollectionPropertiesDialog::qt_metacast$
    {37, 1256, 667},	// Akonadi::CollectionPropertiesDialog::registerPage#
    {37, 1424, 670},	// Akonadi::CollectionPropertiesDialog::setCurrentPage$
    {37, 1701, 675},	// Akonadi::CollectionPropertiesDialog::staticMetaObject
    {37, 1747, 671},	// Akonadi::CollectionPropertiesDialog::tr$
    {37, 1748, 660},	// Akonadi::CollectionPropertiesDialog::tr$$
    {37, 1749, 662},	// Akonadi::CollectionPropertiesDialog::tr$$$
    {37, 1751, 672},	// Akonadi::CollectionPropertiesDialog::trUtf8$
    {37, 1752, 661},	// Akonadi::CollectionPropertiesDialog::trUtf8$$
    {37, 1753, 663},	// Akonadi::CollectionPropertiesDialog::trUtf8$$$
    {37, 1781, 668},	// Akonadi::CollectionPropertiesDialog::useDefaultPage$
    {37, 1835, 678},	// Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog
    {38, 133, 694},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage
    {38, 134, 686},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage#
    {38, 752, 689},	// Akonadi::CollectionPropertiesPage::canHandle#
    {38, 1161, 687},	// Akonadi::CollectionPropertiesPage::load#
    {38, 1180, 679},	// Akonadi::CollectionPropertiesPage::metaObject
    {38, 1221, 691},	// Akonadi::CollectionPropertiesPage::pageTitle
    {38, 1247, 685},	// Akonadi::CollectionPropertiesPage::qt_metacall$$?
    {38, 1249, 680},	// Akonadi::CollectionPropertiesPage::qt_metacast$
    {38, 1302, 688},	// Akonadi::CollectionPropertiesPage::save#
    {38, 1561, 690},	// Akonadi::CollectionPropertiesPage::setPageTitle$
    {38, 1701, 695},	// Akonadi::CollectionPropertiesPage::staticMetaObject
    {38, 1747, 692},	// Akonadi::CollectionPropertiesPage::tr$
    {38, 1748, 681},	// Akonadi::CollectionPropertiesPage::tr$$
    {38, 1749, 683},	// Akonadi::CollectionPropertiesPage::tr$$$
    {38, 1751, 693},	// Akonadi::CollectionPropertiesPage::trUtf8$
    {38, 1752, 682},	// Akonadi::CollectionPropertiesPage::trUtf8$$
    {38, 1753, 684},	// Akonadi::CollectionPropertiesPage::trUtf8$$$
    {38, 1836, 696},	// Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage
    {39, 135, 698},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory
    {39, 136, 699},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory#
    {39, 870, 700},	// Akonadi::CollectionPropertiesPageFactory::createWidget
    {39, 871, 697},	// Akonadi::CollectionPropertiesPageFactory::createWidget#
    {39, 1837, 701},	// Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory
    {40, 137, 702},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute
    {40, 138, 712},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute#
    {40, 139, 703},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute$$
    {40, 785, 709},	// Akonadi::CollectionQuotaAttribute::clone
    {40, 880, 706},	// Akonadi::CollectionQuotaAttribute::currentValue
    {40, 897, 711},	// Akonadi::CollectionQuotaAttribute::deserialize#
    {40, 1179, 707},	// Akonadi::CollectionQuotaAttribute::maximumValue
    {40, 1333, 710},	// Akonadi::CollectionQuotaAttribute::serialized
    {40, 1426, 704},	// Akonadi::CollectionQuotaAttribute::setCurrentValue$
    {40, 1537, 705},	// Akonadi::CollectionQuotaAttribute::setMaximumValue$
    {40, 1754, 708},	// Akonadi::CollectionQuotaAttribute::type
    {40, 1838, 713},	// Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute
    {41, 141, 733},	// Akonadi::CollectionRequester::CollectionRequester
    {41, 142, -38},	// Akonadi::CollectionRequester::CollectionRequester#
    {41, 143, 722},	// Akonadi::CollectionRequester::CollectionRequester##
    {41, 681, 727},	// Akonadi::CollectionRequester::accessRightsFilter
    {41, 758, 728},	// Akonadi::CollectionRequester::changeCollectionDialogOptions$
    {41, 788, 723},	// Akonadi::CollectionRequester::collection
    {41, 794, 730},	// Akonadi::CollectionRequester::collectionChanged#
    {41, 1180, 714},	// Akonadi::CollectionRequester::metaObject
    {41, 1186, 725},	// Akonadi::CollectionRequester::mimeTypeFilter
    {41, 1247, 720},	// Akonadi::CollectionRequester::qt_metacall$$?
    {41, 1249, 715},	// Akonadi::CollectionRequester::qt_metacast$
    {41, 1339, 726},	// Akonadi::CollectionRequester::setAccessRightsFilter$
    {41, 1377, 729},	// Akonadi::CollectionRequester::setCollection#
    {41, 1541, 724},	// Akonadi::CollectionRequester::setMimeTypeFilter?
    {41, 1701, 735},	// Akonadi::CollectionRequester::staticMetaObject
    {41, 1747, 731},	// Akonadi::CollectionRequester::tr$
    {41, 1748, 716},	// Akonadi::CollectionRequester::tr$$
    {41, 1749, 718},	// Akonadi::CollectionRequester::tr$$$
    {41, 1751, 732},	// Akonadi::CollectionRequester::trUtf8$
    {41, 1752, 717},	// Akonadi::CollectionRequester::trUtf8$$
    {41, 1753, 719},	// Akonadi::CollectionRequester::trUtf8$$$
    {41, 1839, 736},	// Akonadi::CollectionRequester::~CollectionRequester
    {42, 145, 737},	// Akonadi::CollectionStatistics::CollectionStatistics
    {42, 146, 738},	// Akonadi::CollectionStatistics::CollectionStatistics#
    {42, 858, 739},	// Akonadi::CollectionStatistics::count
    {42, 1216, 745},	// Akonadi::CollectionStatistics::operator=#
    {42, 1422, 740},	// Akonadi::CollectionStatistics::setCount$
    {42, 1620, 744},	// Akonadi::CollectionStatistics::setSize$
    {42, 1656, 742},	// Akonadi::CollectionStatistics::setUnreadCount$
    {42, 1680, 743},	// Akonadi::CollectionStatistics::size
    {42, 1766, 741},	// Akonadi::CollectionStatistics::unreadCount
    {42, 1840, 746},	// Akonadi::CollectionStatistics::~CollectionStatistics
    {43, 148, -22},	// Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate#
    {43, 1050, 762},	// Akonadi::CollectionStatisticsDelegate::initStyleOption##
    {43, 1180, 747},	// Akonadi::CollectionStatisticsDelegate::metaObject
    {43, 1223, 761},	// Akonadi::CollectionStatisticsDelegate::paint###
    {43, 1244, 760},	// Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled
    {43, 1247, 753},	// Akonadi::CollectionStatisticsDelegate::qt_metacall$$?
    {43, 1249, 748},	// Akonadi::CollectionStatisticsDelegate::qt_metacast$
    {43, 1575, 759},	// Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled$
    {43, 1658, 757},	// Akonadi::CollectionStatisticsDelegate::setUnreadCountShown$
    {43, 1701, 765},	// Akonadi::CollectionStatisticsDelegate::staticMetaObject
    {43, 1747, 763},	// Akonadi::CollectionStatisticsDelegate::tr$
    {43, 1748, 749},	// Akonadi::CollectionStatisticsDelegate::tr$$
    {43, 1749, 751},	// Akonadi::CollectionStatisticsDelegate::tr$$$
    {43, 1751, 764},	// Akonadi::CollectionStatisticsDelegate::trUtf8$
    {43, 1752, 750},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$
    {43, 1753, 752},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$$
    {43, 1767, 758},	// Akonadi::CollectionStatisticsDelegate::unreadCountShown
    {43, 1775, 756},	// Akonadi::CollectionStatisticsDelegate::updatePalette
    {43, 1841, 766},	// Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate
    {44, 150, 781},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob#
    {44, 151, 774},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob##
    {44, 788, 776},	// Akonadi::CollectionStatisticsJob::collection
    {44, 909, 778},	// Akonadi::CollectionStatisticsJob::doHandleResponse##
    {44, 915, 777},	// Akonadi::CollectionStatisticsJob::doStart
    {44, 1180, 767},	// Akonadi::CollectionStatisticsJob::metaObject
    {44, 1247, 773},	// Akonadi::CollectionStatisticsJob::qt_metacall$$?
    {44, 1249, 768},	// Akonadi::CollectionStatisticsJob::qt_metacast$
    {44, 1701, 782},	// Akonadi::CollectionStatisticsJob::staticMetaObject
    {44, 1702, 775},	// Akonadi::CollectionStatisticsJob::statistics
    {44, 1747, 779},	// Akonadi::CollectionStatisticsJob::tr$
    {44, 1748, 769},	// Akonadi::CollectionStatisticsJob::tr$$
    {44, 1749, 771},	// Akonadi::CollectionStatisticsJob::tr$$$
    {44, 1751, 780},	// Akonadi::CollectionStatisticsJob::trUtf8$
    {44, 1752, 770},	// Akonadi::CollectionStatisticsJob::trUtf8$$
    {44, 1753, 772},	// Akonadi::CollectionStatisticsJob::trUtf8$$$
    {44, 1842, 783},	// Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob
    {45, 152, 797},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel
    {45, 153, 791},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel#
    {45, 493, 809},	// Akonadi::CollectionStatisticsModel::RecursiveSizeRole
    {45, 494, 807},	// Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole
    {45, 495, 806},	// Akonadi::CollectionStatisticsModel::RecursiveTotalRole
    {45, 496, 805},	// Akonadi::CollectionStatisticsModel::RecursiveUnreadRole
    {45, 540, 808},	// Akonadi::CollectionStatisticsModel::SizeRole
    {45, 550, 804},	// Akonadi::CollectionStatisticsModel::StatisticsRole
    {45, 571, 803},	// Akonadi::CollectionStatisticsModel::TotalRole
    {45, 592, 802},	// Akonadi::CollectionStatisticsModel::UnreadRole
    {45, 605, 810},	// Akonadi::CollectionStatisticsModel::UserRole
    {45, 830, 798},	// Akonadi::CollectionStatisticsModel::columnCount
    {45, 831, 792},	// Akonadi::CollectionStatisticsModel::columnCount#
    {45, 885, 799},	// Akonadi::CollectionStatisticsModel::data#
    {45, 886, 793},	// Akonadi::CollectionStatisticsModel::data#$
    {45, 1020, 800},	// Akonadi::CollectionStatisticsModel::headerData$$
    {45, 1021, 794},	// Akonadi::CollectionStatisticsModel::headerData$$$
    {45, 1180, 784},	// Akonadi::CollectionStatisticsModel::metaObject
    {45, 1247, 790},	// Akonadi::CollectionStatisticsModel::qt_metacall$$?
    {45, 1249, 785},	// Akonadi::CollectionStatisticsModel::qt_metacast$
    {45, 1701, 801},	// Akonadi::CollectionStatisticsModel::staticMetaObject
    {45, 1747, 795},	// Akonadi::CollectionStatisticsModel::tr$
    {45, 1748, 786},	// Akonadi::CollectionStatisticsModel::tr$$
    {45, 1749, 788},	// Akonadi::CollectionStatisticsModel::tr$$$
    {45, 1751, 796},	// Akonadi::CollectionStatisticsModel::trUtf8$
    {45, 1752, 787},	// Akonadi::CollectionStatisticsModel::trUtf8$$
    {45, 1753, 789},	// Akonadi::CollectionStatisticsModel::trUtf8$$$
    {45, 1843, 811},	// Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel
    {46, 156, 834},	// Akonadi::CollectionView::CollectionView
    {46, 157, -126},	// Akonadi::CollectionView::CollectionView#
    {46, 158, -130},	// Akonadi::CollectionView::CollectionView##
    {46, 784, 825},	// Akonadi::CollectionView::clicked#
    {46, 857, 831},	// Akonadi::CollectionView::contextMenuEvent#
    {46, 876, 826},	// Akonadi::CollectionView::currentChanged#
    {46, 877, 827},	// Akonadi::CollectionView::currentChanged##
    {46, 923, 829},	// Akonadi::CollectionView::dragLeaveEvent#
    {46, 925, 828},	// Akonadi::CollectionView::dragMoveEvent#
    {46, 929, 830},	// Akonadi::CollectionView::dropEvent#
    {46, 1180, 812},	// Akonadi::CollectionView::metaObject
    {46, 1247, 818},	// Akonadi::CollectionView::qt_metacall$$?
    {46, 1249, 813},	// Akonadi::CollectionView::qt_metacast$
    {46, 1548, 824},	// Akonadi::CollectionView::setModel#
    {46, 1669, 823},	// Akonadi::CollectionView::setXmlGuiClient#
    {46, 1671, 822},	// Akonadi::CollectionView::setXmlGuiWindow#
    {46, 1701, 837},	// Akonadi::CollectionView::staticMetaObject
    {46, 1747, 832},	// Akonadi::CollectionView::tr$
    {46, 1748, 814},	// Akonadi::CollectionView::tr$$
    {46, 1749, 816},	// Akonadi::CollectionView::tr$$$
    {46, 1751, 833},	// Akonadi::CollectionView::trUtf8$
    {46, 1752, 815},	// Akonadi::CollectionView::trUtf8$$
    {46, 1753, 817},	// Akonadi::CollectionView::trUtf8$$$
    {46, 1844, 838},	// Akonadi::CollectionView::~CollectionView
    {47, 162, 855},	// Akonadi::ContactDefaultActions::ContactDefaultActions
    {47, 163, 846},	// Akonadi::ContactDefaultActions::ContactDefaultActions#
    {47, 844, 847},	// Akonadi::ContactDefaultActions::connectToView#
    {47, 902, 850},	// Akonadi::ContactDefaultActions::dialPhoneNumber#
    {47, 1180, 839},	// Akonadi::ContactDefaultActions::metaObject
    {47, 1247, 845},	// Akonadi::ContactDefaultActions::qt_metacall$$?
    {47, 1249, 840},	// Akonadi::ContactDefaultActions::qt_metacast$
    {47, 1326, 849},	// Akonadi::ContactDefaultActions::sendEmail$$
    {47, 1330, 851},	// Akonadi::ContactDefaultActions::sendSms#
    {47, 1673, 852},	// Akonadi::ContactDefaultActions::showAddress#
    {47, 1679, 848},	// Akonadi::ContactDefaultActions::showUrl#
    {47, 1701, 856},	// Akonadi::ContactDefaultActions::staticMetaObject
    {47, 1747, 853},	// Akonadi::ContactDefaultActions::tr$
    {47, 1748, 841},	// Akonadi::ContactDefaultActions::tr$$
    {47, 1749, 843},	// Akonadi::ContactDefaultActions::tr$$$
    {47, 1751, 854},	// Akonadi::ContactDefaultActions::trUtf8$
    {47, 1752, 842},	// Akonadi::ContactDefaultActions::trUtf8$$
    {47, 1753, 844},	// Akonadi::ContactDefaultActions::trUtf8$$$
    {47, 1845, 857},	// Akonadi::ContactDefaultActions::~ContactDefaultActions
    {48, 165, 879},	// Akonadi::ContactEditor::ContactEditor$
    {48, 166, -13},	// Akonadi::ContactEditor::ContactEditor$#
    {48, 167, 866},	// Akonadi::ContactEditor::ContactEditor$##
    {48, 168, 881},	// Akonadi::ContactEditor::ContactEditor$$
    {48, 169, 867},	// Akonadi::ContactEditor::ContactEditor$$#
    {48, 213, 883},	// Akonadi::ContactEditor::CreateMode
    {48, 238, 884},	// Akonadi::ContactEditor::EditMode
    {48, 290, 885},	// Akonadi::ContactEditor::FullMode
    {48, 606, 886},	// Akonadi::ContactEditor::VCardMode
    {48, 845, 870},	// Akonadi::ContactEditor::contact
    {48, 851, 874},	// Akonadi::ContactEditor::contactStored#
    {48, 956, 875},	// Akonadi::ContactEditor::error$
    {48, 995, 876},	// Akonadi::ContactEditor::finished
    {48, 1163, 871},	// Akonadi::ContactEditor::loadContact#
    {48, 1180, 858},	// Akonadi::ContactEditor::metaObject
    {48, 1247, 864},	// Akonadi::ContactEditor::qt_metacall$$?
    {48, 1249, 859},	// Akonadi::ContactEditor::qt_metacast$
    {48, 1303, 872},	// Akonadi::ContactEditor::saveContact
    {48, 1305, 873},	// Akonadi::ContactEditor::saveContactInAddressBook
    {48, 1414, 868},	// Akonadi::ContactEditor::setContactTemplate#
    {48, 1431, 869},	// Akonadi::ContactEditor::setDefaultAddressBook#
    {48, 1701, 882},	// Akonadi::ContactEditor::staticMetaObject
    {48, 1747, 877},	// Akonadi::ContactEditor::tr$
    {48, 1748, 860},	// Akonadi::ContactEditor::tr$$
    {48, 1749, 862},	// Akonadi::ContactEditor::tr$$$
    {48, 1751, 878},	// Akonadi::ContactEditor::trUtf8$
    {48, 1752, 861},	// Akonadi::ContactEditor::trUtf8$$
    {48, 1753, 863},	// Akonadi::ContactEditor::trUtf8$$$
    {48, 1846, 887},	// Akonadi::ContactEditor::~ContactEditor
    {49, 171, 906},	// Akonadi::ContactEditorDialog::ContactEditorDialog$
    {49, 172, -72},	// Akonadi::ContactEditorDialog::ContactEditorDialog$#
    {49, 173, 896},	// Akonadi::ContactEditorDialog::ContactEditorDialog$##
    {49, 174, 908},	// Akonadi::ContactEditorDialog::ContactEditorDialog$$
    {49, 175, 897},	// Akonadi::ContactEditorDialog::ContactEditorDialog$$#
    {49, 213, 910},	// Akonadi::ContactEditorDialog::CreateMode
    {49, 238, 911},	// Akonadi::ContactEditorDialog::EditMode
    {49, 290, 912},	// Akonadi::ContactEditorDialog::FullMode
    {49, 606, 913},	// Akonadi::ContactEditorDialog::VCardMode
    {49, 680, 903},	// Akonadi::ContactEditorDialog::accept
    {49, 851, 901},	// Akonadi::ContactEditorDialog::contactStored#
    {49, 938, 900},	// Akonadi::ContactEditorDialog::editor
    {49, 956, 902},	// Akonadi::ContactEditorDialog::error$
    {49, 1180, 888},	// Akonadi::ContactEditorDialog::metaObject
    {49, 1247, 894},	// Akonadi::ContactEditorDialog::qt_metacall$$?
    {49, 1249, 889},	// Akonadi::ContactEditorDialog::qt_metacast$
    {49, 1404, 898},	// Akonadi::ContactEditorDialog::setContact#
    {49, 1431, 899},	// Akonadi::ContactEditorDialog::setDefaultAddressBook#
    {49, 1701, 909},	// Akonadi::ContactEditorDialog::staticMetaObject
    {49, 1747, 904},	// Akonadi::ContactEditorDialog::tr$
    {49, 1748, 890},	// Akonadi::ContactEditorDialog::tr$$
    {49, 1749, 892},	// Akonadi::ContactEditorDialog::tr$$$
    {49, 1751, 905},	// Akonadi::ContactEditorDialog::trUtf8$
    {49, 1752, 891},	// Akonadi::ContactEditorDialog::trUtf8$$
    {49, 1753, 893},	// Akonadi::ContactEditorDialog::trUtf8$$$
    {49, 1847, 914},	// Akonadi::ContactEditorDialog::~ContactEditorDialog
    {50, 176, 919},	// Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin
    {50, 1163, 916},	// Akonadi::ContactEditorPagePlugin::loadContact#
    {50, 1586, 918},	// Akonadi::ContactEditorPagePlugin::setReadOnly$
    {50, 1712, 917},	// Akonadi::ContactEditorPagePlugin::storeContact#
    {50, 1744, 915},	// Akonadi::ContactEditorPagePlugin::title
    {50, 1848, 920},	// Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin
    {51, 178, 938},	// Akonadi::ContactGroupEditor::ContactGroupEditor$
    {51, 179, 928},	// Akonadi::ContactGroupEditor::ContactGroupEditor$#
    {51, 213, 940},	// Akonadi::ContactGroupEditor::CreateMode
    {51, 238, 941},	// Akonadi::ContactGroupEditor::EditMode
    {51, 848, 934},	// Akonadi::ContactGroupEditor::contactGroupStored#
    {51, 956, 935},	// Akonadi::ContactGroupEditor::error$
    {51, 1008, 931},	// Akonadi::ContactGroupEditor::groupNameIsValid$
    {51, 1165, 932},	// Akonadi::ContactGroupEditor::loadContactGroup#
    {51, 1180, 921},	// Akonadi::ContactGroupEditor::metaObject
    {51, 1247, 927},	// Akonadi::ContactGroupEditor::qt_metacall$$?
    {51, 1249, 922},	// Akonadi::ContactGroupEditor::qt_metacast$
    {51, 1304, 933},	// Akonadi::ContactGroupEditor::saveContactGroup
    {51, 1412, 929},	// Akonadi::ContactGroupEditor::setContactGroupTemplate#
    {51, 1431, 930},	// Akonadi::ContactGroupEditor::setDefaultAddressBook#
    {51, 1701, 939},	// Akonadi::ContactGroupEditor::staticMetaObject
    {51, 1747, 936},	// Akonadi::ContactGroupEditor::tr$
    {51, 1748, 923},	// Akonadi::ContactGroupEditor::tr$$
    {51, 1749, 925},	// Akonadi::ContactGroupEditor::tr$$$
    {51, 1751, 937},	// Akonadi::ContactGroupEditor::trUtf8$
    {51, 1752, 924},	// Akonadi::ContactGroupEditor::trUtf8$$
    {51, 1753, 926},	// Akonadi::ContactGroupEditor::trUtf8$$$
    {51, 1849, 942},	// Akonadi::ContactGroupEditor::~ContactGroupEditor
    {52, 181, 958},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$
    {52, 182, 950},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$#
    {52, 213, 960},	// Akonadi::ContactGroupEditorDialog::CreateMode
    {52, 238, 961},	// Akonadi::ContactGroupEditorDialog::EditMode
    {52, 848, 954},	// Akonadi::ContactGroupEditorDialog::contactGroupStored#
    {52, 938, 953},	// Akonadi::ContactGroupEditorDialog::editor
    {52, 1180, 943},	// Akonadi::ContactGroupEditorDialog::metaObject
    {52, 1247, 949},	// Akonadi::ContactGroupEditorDialog::qt_metacall$$?
    {52, 1249, 944},	// Akonadi::ContactGroupEditorDialog::qt_metacast$
    {52, 1408, 951},	// Akonadi::ContactGroupEditorDialog::setContactGroup#
    {52, 1431, 952},	// Akonadi::ContactGroupEditorDialog::setDefaultAddressBook#
    {52, 1685, 955},	// Akonadi::ContactGroupEditorDialog::slotButtonClicked$
    {52, 1701, 959},	// Akonadi::ContactGroupEditorDialog::staticMetaObject
    {52, 1747, 956},	// Akonadi::ContactGroupEditorDialog::tr$
    {52, 1748, 945},	// Akonadi::ContactGroupEditorDialog::tr$$
    {52, 1749, 947},	// Akonadi::ContactGroupEditorDialog::tr$$$
    {52, 1751, 957},	// Akonadi::ContactGroupEditorDialog::trUtf8$
    {52, 1752, 946},	// Akonadi::ContactGroupEditorDialog::trUtf8$$
    {52, 1753, 948},	// Akonadi::ContactGroupEditorDialog::trUtf8$$$
    {52, 1850, 962},	// Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog
    {53, 184, 976},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob#
    {53, 185, 970},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob##
    {53, 186, 977},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$
    {53, 187, 971},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$#
    {53, 852, 972},	// Akonadi::ContactGroupExpandJob::contacts
    {53, 1180, 963},	// Akonadi::ContactGroupExpandJob::metaObject
    {53, 1247, 969},	// Akonadi::ContactGroupExpandJob::qt_metacall$$?
    {53, 1249, 964},	// Akonadi::ContactGroupExpandJob::qt_metacast$
    {53, 1693, 973},	// Akonadi::ContactGroupExpandJob::start
    {53, 1701, 978},	// Akonadi::ContactGroupExpandJob::staticMetaObject
    {53, 1747, 974},	// Akonadi::ContactGroupExpandJob::tr$
    {53, 1748, 965},	// Akonadi::ContactGroupExpandJob::tr$$
    {53, 1749, 967},	// Akonadi::ContactGroupExpandJob::tr$$$
    {53, 1751, 975},	// Akonadi::ContactGroupExpandJob::trUtf8$
    {53, 1752, 966},	// Akonadi::ContactGroupExpandJob::trUtf8$$
    {53, 1753, 968},	// Akonadi::ContactGroupExpandJob::trUtf8$$$
    {53, 1851, 979},	// Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob
    {54, 188, 994},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob
    {54, 189, 987},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob#
    {54, 201, 999},	// Akonadi::ContactGroupSearchJob::ContainsMatch
    {54, 271, 997},	// Akonadi::ContactGroupSearchJob::ExactMatch
    {54, 429, 996},	// Akonadi::ContactGroupSearchJob::Name
    {54, 546, 998},	// Akonadi::ContactGroupSearchJob::StartsWithMatch
    {54, 849, 991},	// Akonadi::ContactGroupSearchJob::contactGroups
    {54, 1180, 980},	// Akonadi::ContactGroupSearchJob::metaObject
    {54, 1247, 986},	// Akonadi::ContactGroupSearchJob::qt_metacall$$?
    {54, 1249, 981},	// Akonadi::ContactGroupSearchJob::qt_metacast$
    {54, 1530, 990},	// Akonadi::ContactGroupSearchJob::setLimit$
    {54, 1579, 988},	// Akonadi::ContactGroupSearchJob::setQuery$$
    {54, 1580, 989},	// Akonadi::ContactGroupSearchJob::setQuery$$$
    {54, 1701, 995},	// Akonadi::ContactGroupSearchJob::staticMetaObject
    {54, 1747, 992},	// Akonadi::ContactGroupSearchJob::tr$
    {54, 1748, 982},	// Akonadi::ContactGroupSearchJob::tr$$
    {54, 1749, 984},	// Akonadi::ContactGroupSearchJob::tr$$$
    {54, 1751, 993},	// Akonadi::ContactGroupSearchJob::trUtf8$
    {54, 1752, 983},	// Akonadi::ContactGroupSearchJob::trUtf8$$
    {54, 1753, 985},	// Akonadi::ContactGroupSearchJob::trUtf8$$$
    {54, 1852, 1000},	// Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob
    {55, 190, 1015},	// Akonadi::ContactGroupViewer::ContactGroupViewer
    {55, 191, 1008},	// Akonadi::ContactGroupViewer::ContactGroupViewer#
    {55, 846, 1009},	// Akonadi::ContactGroupViewer::contactGroup
    {55, 942, 1012},	// Akonadi::ContactGroupViewer::emailClicked$$
    {55, 1180, 1001},	// Akonadi::ContactGroupViewer::metaObject
    {55, 1247, 1007},	// Akonadi::ContactGroupViewer::qt_metacall$$?
    {55, 1249, 1002},	// Akonadi::ContactGroupViewer::qt_metacast$
    {55, 1408, 1011},	// Akonadi::ContactGroupViewer::setContactGroup#
    {55, 1410, 1010},	// Akonadi::ContactGroupViewer::setContactGroupFormatter#
    {55, 1701, 1016},	// Akonadi::ContactGroupViewer::staticMetaObject
    {55, 1747, 1013},	// Akonadi::ContactGroupViewer::tr$
    {55, 1748, 1003},	// Akonadi::ContactGroupViewer::tr$$
    {55, 1749, 1005},	// Akonadi::ContactGroupViewer::tr$$$
    {55, 1751, 1014},	// Akonadi::ContactGroupViewer::trUtf8$
    {55, 1752, 1004},	// Akonadi::ContactGroupViewer::trUtf8$$
    {55, 1753, 1006},	// Akonadi::ContactGroupViewer::trUtf8$$$
    {55, 1853, 1017},	// Akonadi::ContactGroupViewer::~ContactGroupViewer
    {56, 192, 1031},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog
    {56, 193, 1025},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog#
    {56, 846, 1026},	// Akonadi::ContactGroupViewerDialog::contactGroup
    {56, 1180, 1018},	// Akonadi::ContactGroupViewerDialog::metaObject
    {56, 1247, 1024},	// Akonadi::ContactGroupViewerDialog::qt_metacall$$?
    {56, 1249, 1019},	// Akonadi::ContactGroupViewerDialog::qt_metacast$
    {56, 1408, 1028},	// Akonadi::ContactGroupViewerDialog::setContactGroup#
    {56, 1701, 1032},	// Akonadi::ContactGroupViewerDialog::staticMetaObject
    {56, 1747, 1029},	// Akonadi::ContactGroupViewerDialog::tr$
    {56, 1748, 1020},	// Akonadi::ContactGroupViewerDialog::tr$$
    {56, 1749, 1022},	// Akonadi::ContactGroupViewerDialog::tr$$$
    {56, 1751, 1030},	// Akonadi::ContactGroupViewerDialog::trUtf8$
    {56, 1752, 1021},	// Akonadi::ContactGroupViewerDialog::trUtf8$$
    {56, 1753, 1023},	// Akonadi::ContactGroupViewerDialog::trUtf8$$$
    {56, 1788, 1027},	// Akonadi::ContactGroupViewerDialog::viewer
    {56, 1854, 1033},	// Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog
    {57, 194, 1048},	// Akonadi::ContactSearchJob::ContactSearchJob
    {57, 195, 1041},	// Akonadi::ContactSearchJob::ContactSearchJob#
    {57, 196, 1054},	// Akonadi::ContactSearchJob::ContactUid
    {57, 201, 1057},	// Akonadi::ContactSearchJob::ContainsMatch
    {57, 202, 1058},	// Akonadi::ContactSearchJob::ContainsWordBoundaryMatch
    {57, 240, 1051},	// Akonadi::ContactSearchJob::Email
    {57, 271, 1055},	// Akonadi::ContactSearchJob::ExactMatch
    {57, 429, 1050},	// Akonadi::ContactSearchJob::Name
    {57, 430, 1053},	// Akonadi::ContactSearchJob::NameOrEmail
    {57, 432, 1052},	// Akonadi::ContactSearchJob::NickName
    {57, 546, 1056},	// Akonadi::ContactSearchJob::StartsWithMatch
    {57, 852, 1045},	// Akonadi::ContactSearchJob::contacts
    {57, 1180, 1034},	// Akonadi::ContactSearchJob::metaObject
    {57, 1247, 1040},	// Akonadi::ContactSearchJob::qt_metacall$$?
    {57, 1249, 1035},	// Akonadi::ContactSearchJob::qt_metacast$
    {57, 1530, 1044},	// Akonadi::ContactSearchJob::setLimit$
    {57, 1579, 1042},	// Akonadi::ContactSearchJob::setQuery$$
    {57, 1580, 1043},	// Akonadi::ContactSearchJob::setQuery$$$
    {57, 1701, 1049},	// Akonadi::ContactSearchJob::staticMetaObject
    {57, 1747, 1046},	// Akonadi::ContactSearchJob::tr$
    {57, 1748, 1036},	// Akonadi::ContactSearchJob::tr$$
    {57, 1749, 1038},	// Akonadi::ContactSearchJob::tr$$$
    {57, 1751, 1047},	// Akonadi::ContactSearchJob::trUtf8$
    {57, 1752, 1037},	// Akonadi::ContactSearchJob::trUtf8$$
    {57, 1753, 1039},	// Akonadi::ContactSearchJob::trUtf8$$$
    {57, 1855, 1059},	// Akonadi::ContactSearchJob::~ContactSearchJob
    {58, 197, 1080},	// Akonadi::ContactViewer::ContactViewer
    {58, 198, 1067},	// Akonadi::ContactViewer::ContactViewer#
    {58, 715, 1077},	// Akonadi::ContactViewer::addressClicked#
    {58, 845, 1068},	// Akonadi::ContactViewer::contact
    {58, 942, 1074},	// Akonadi::ContactViewer::emailClicked$$
    {58, 1180, 1060},	// Akonadi::ContactViewer::metaObject
    {58, 1240, 1075},	// Akonadi::ContactViewer::phoneNumberClicked#
    {58, 1247, 1066},	// Akonadi::ContactViewer::qt_metacall$$?
    {58, 1249, 1061},	// Akonadi::ContactViewer::qt_metacast$
    {58, 1250, 1069},	// Akonadi::ContactViewer::rawContact
    {58, 1404, 1071},	// Akonadi::ContactViewer::setContact#
    {58, 1406, 1070},	// Akonadi::ContactViewer::setContactFormatter#
    {58, 1584, 1072},	// Akonadi::ContactViewer::setRawContact#
    {58, 1690, 1076},	// Akonadi::ContactViewer::smsClicked#
    {58, 1701, 1081},	// Akonadi::ContactViewer::staticMetaObject
    {58, 1747, 1078},	// Akonadi::ContactViewer::tr$
    {58, 1748, 1062},	// Akonadi::ContactViewer::tr$$
    {58, 1749, 1064},	// Akonadi::ContactViewer::tr$$$
    {58, 1751, 1079},	// Akonadi::ContactViewer::trUtf8$
    {58, 1752, 1063},	// Akonadi::ContactViewer::trUtf8$$
    {58, 1753, 1065},	// Akonadi::ContactViewer::trUtf8$$$
    {58, 1779, 1073},	// Akonadi::ContactViewer::urlClicked#
    {58, 1856, 1082},	// Akonadi::ContactViewer::~ContactViewer
    {59, 199, 1096},	// Akonadi::ContactViewerDialog::ContactViewerDialog
    {59, 200, 1090},	// Akonadi::ContactViewerDialog::ContactViewerDialog#
    {59, 845, 1091},	// Akonadi::ContactViewerDialog::contact
    {59, 1180, 1083},	// Akonadi::ContactViewerDialog::metaObject
    {59, 1247, 1089},	// Akonadi::ContactViewerDialog::qt_metacall$$?
    {59, 1249, 1084},	// Akonadi::ContactViewerDialog::qt_metacast$
    {59, 1404, 1093},	// Akonadi::ContactViewerDialog::setContact#
    {59, 1701, 1097},	// Akonadi::ContactViewerDialog::staticMetaObject
    {59, 1747, 1094},	// Akonadi::ContactViewerDialog::tr$
    {59, 1748, 1085},	// Akonadi::ContactViewerDialog::tr$$
    {59, 1749, 1087},	// Akonadi::ContactViewerDialog::tr$$$
    {59, 1751, 1095},	// Akonadi::ContactViewerDialog::trUtf8$
    {59, 1752, 1086},	// Akonadi::ContactViewerDialog::trUtf8$$
    {59, 1753, 1088},	// Akonadi::ContactViewerDialog::trUtf8$$$
    {59, 1788, 1092},	// Akonadi::ContactViewerDialog::viewer
    {59, 1857, 1098},	// Akonadi::ContactViewerDialog::~ContactViewerDialog
    {60, 204, 1113},	// Akonadi::Control::Control
    {60, 1180, 1099},	// Akonadi::Control::metaObject
    {60, 1247, 1105},	// Akonadi::Control::qt_metacall$$?
    {60, 1249, 1100},	// Akonadi::Control::qt_metacast$
    {60, 1280, 1110},	// Akonadi::Control::restart
    {60, 1281, 1111},	// Akonadi::Control::restart#
    {60, 1693, 1106},	// Akonadi::Control::start
    {60, 1694, 1107},	// Akonadi::Control::start#
    {60, 1701, 1116},	// Akonadi::Control::staticMetaObject
    {60, 1707, 1108},	// Akonadi::Control::stop
    {60, 1708, 1109},	// Akonadi::Control::stop#
    {60, 1747, 1114},	// Akonadi::Control::tr$
    {60, 1748, 1101},	// Akonadi::Control::tr$$
    {60, 1749, 1103},	// Akonadi::Control::tr$$$
    {60, 1751, 1115},	// Akonadi::Control::trUtf8$
    {60, 1752, 1102},	// Akonadi::Control::trUtf8$$
    {60, 1753, 1104},	// Akonadi::Control::trUtf8$$$
    {60, 1800, 1112},	// Akonadi::Control::widgetNeedsAkonadi#
    {60, 1858, 1117},	// Akonadi::Control::~Control
    {61, 3, 1142},	// Akonadi::Entity::AddIfMissing
    {61, 248, -63},	// Akonadi::Entity::Entity#
    {61, 691, 1132},	// Akonadi::Entity::addAttribute#
    {61, 734, 1137},	// Akonadi::Entity::attribute#
    {61, 735, 1135},	// Akonadi::Entity::attributes
    {61, 772, 1136},	// Akonadi::Entity::clearAttributes
    {61, 883, -66},	// Akonadi::Entity::d_func
    {61, 1010, 1134},	// Akonadi::Entity::hasAttribute#
    {61, 1030, 1119},	// Akonadi::Entity::id
    {61, 1096, 1124},	// Akonadi::Entity::isValid
    {61, 1212, 1126},	// Akonadi::Entity::operator!=#
    {61, 1214, 1128},	// Akonadi::Entity::operator<#
    {61, 1216, 1127},	// Akonadi::Entity::operator=#
    {61, 1218, 1125},	// Akonadi::Entity::operator==#
    {61, 1229, -69},	// Akonadi::Entity::parentCollection
    {61, 1259, 1121},	// Akonadi::Entity::remoteId
    {61, 1260, 1123},	// Akonadi::Entity::remoteRevision
    {61, 1262, 1133},	// Akonadi::Entity::removeAttribute#
    {61, 1490, 1118},	// Akonadi::Entity::setId$
    {61, 1566, 1131},	// Akonadi::Entity::setParentCollection#
    {61, 1590, 1120},	// Akonadi::Entity::setRemoteId$
    {61, 1592, 1122},	// Akonadi::Entity::setRemoteRevision$
    {61, 1859, 1143},	// Akonadi::Entity::~Entity
    {62, 249, 1144},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute
    {62, 250, 1159},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute#
    {62, 688, 1151},	// Akonadi::EntityDisplayAttribute::activeIcon
    {62, 689, 1152},	// Akonadi::EntityDisplayAttribute::activeIconName
    {62, 742, 1153},	// Akonadi::EntityDisplayAttribute::backgroundColor
    {62, 785, 1156},	// Akonadi::EntityDisplayAttribute::clone
    {62, 897, 1158},	// Akonadi::EntityDisplayAttribute::deserialize#
    {62, 906, 1146},	// Akonadi::EntityDisplayAttribute::displayName
    {62, 1028, 1148},	// Akonadi::EntityDisplayAttribute::icon
    {62, 1029, 1149},	// Akonadi::EntityDisplayAttribute::iconName
    {62, 1333, 1157},	// Akonadi::EntityDisplayAttribute::serialized
    {62, 1343, 1150},	// Akonadi::EntityDisplayAttribute::setActiveIconName$
    {62, 1356, 1154},	// Akonadi::EntityDisplayAttribute::setBackgroundColor#
    {62, 1441, 1145},	// Akonadi::EntityDisplayAttribute::setDisplayName$
    {62, 1488, 1147},	// Akonadi::EntityDisplayAttribute::setIconName$
    {62, 1754, 1155},	// Akonadi::EntityDisplayAttribute::type
    {62, 1860, 1160},	// Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute
    {63, 251, 1161},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute
    {63, 252, 1166},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute#
    {63, 785, 1163},	// Akonadi::EntityHiddenAttribute::clone
    {63, 897, 1165},	// Akonadi::EntityHiddenAttribute::deserialize#
    {63, 1333, 1164},	// Akonadi::EntityHiddenAttribute::serialized
    {63, 1754, 1162},	// Akonadi::EntityHiddenAttribute::type
    {63, 1861, 1167},	// Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute
    {64, 253, 1195},	// Akonadi::EntityListView::EntityListView
    {64, 254, -114},	// Akonadi::EntityListView::EntityListView#
    {64, 255, 1176},	// Akonadi::EntityListView::EntityListView##
    {64, 784, -117},	// Akonadi::EntityListView::clicked#
    {64, 857, 1192},	// Akonadi::EntityListView::contextMenuEvent#
    {64, 876, -120},	// Akonadi::EntityListView::currentChanged#
    {64, 877, 1188},	// Akonadi::EntityListView::currentChanged##
    {64, 920, -123},	// Akonadi::EntityListView::doubleClicked#
    {64, 925, 1191},	// Akonadi::EntityListView::dragMoveEvent#
    {64, 929, 1190},	// Akonadi::EntityListView::dropEvent#
    {64, 1085, 1181},	// Akonadi::EntityListView::isDropActionMenuEnabled
    {64, 1180, 1168},	// Akonadi::EntityListView::metaObject
    {64, 1247, 1174},	// Akonadi::EntityListView::qt_metacall$$?
    {64, 1249, 1169},	// Akonadi::EntityListView::qt_metacast$
    {64, 1443, 1180},	// Akonadi::EntityListView::setDropActionMenuEnabled$
    {64, 1548, 1179},	// Akonadi::EntityListView::setModel#
    {64, 1669, 1177},	// Akonadi::EntityListView::setXmlGuiClient#
    {64, 1696, 1189},	// Akonadi::EntityListView::startDrag$
    {64, 1701, 1197},	// Akonadi::EntityListView::staticMetaObject
    {64, 1747, 1193},	// Akonadi::EntityListView::tr$
    {64, 1748, 1170},	// Akonadi::EntityListView::tr$$
    {64, 1749, 1172},	// Akonadi::EntityListView::tr$$$
    {64, 1751, 1194},	// Akonadi::EntityListView::trUtf8$
    {64, 1752, 1171},	// Akonadi::EntityListView::trUtf8$$
    {64, 1753, 1173},	// Akonadi::EntityListView::trUtf8$$$
    {64, 1806, 1178},	// Akonadi::EntityListView::xmlGuiClient
    {64, 1862, 1198},	// Akonadi::EntityListView::~EntityListView
    {65, 256, 1224},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel
    {65, 257, 1206},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel#
    {65, 697, 1210},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter$
    {65, 699, 1208},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters?
    {65, 705, 1209},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter$
    {65, 707, 1207},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters?
    {65, 750, 1217},	// Akonadi::EntityMimeTypeFilterModel::canFetchMore#
    {65, 774, 1213},	// Akonadi::EntityMimeTypeFilterModel::clearFilters
    {65, 830, 1229},	// Akonadi::EntityMimeTypeFilterModel::columnCount
    {65, 831, 1219},	// Akonadi::EntityMimeTypeFilterModel::columnCount#
    {65, 990, 1221},	// Akonadi::EntityMimeTypeFilterModel::filterAcceptsColumn$#
    {65, 992, 1220},	// Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow$#
    {65, 1011, 1226},	// Akonadi::EntityMimeTypeFilterModel::hasChildren
    {65, 1012, 1216},	// Akonadi::EntityMimeTypeFilterModel::hasChildren#
    {65, 1020, 1225},	// Akonadi::EntityMimeTypeFilterModel::headerData$$
    {65, 1021, 1215},	// Akonadi::EntityMimeTypeFilterModel::headerData$$$
    {65, 1176, 1227},	// Akonadi::EntityMimeTypeFilterModel::match#$#
    {65, 1177, 1228},	// Akonadi::EntityMimeTypeFilterModel::match#$#$
    {65, 1178, 1218},	// Akonadi::EntityMimeTypeFilterModel::match#$#$$
    {65, 1180, 1199},	// Akonadi::EntityMimeTypeFilterModel::metaObject
    {65, 1185, 1212},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters
    {65, 1188, 1211},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters
    {65, 1247, 1205},	// Akonadi::EntityMimeTypeFilterModel::qt_metacall$$?
    {65, 1249, 1200},	// Akonadi::EntityMimeTypeFilterModel::qt_metacast$
    {65, 1484, 1214},	// Akonadi::EntityMimeTypeFilterModel::setHeaderGroup$
    {65, 1701, 1230},	// Akonadi::EntityMimeTypeFilterModel::staticMetaObject
    {65, 1747, 1222},	// Akonadi::EntityMimeTypeFilterModel::tr$
    {65, 1748, 1201},	// Akonadi::EntityMimeTypeFilterModel::tr$$
    {65, 1749, 1203},	// Akonadi::EntityMimeTypeFilterModel::tr$$$
    {65, 1751, 1223},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$
    {65, 1752, 1202},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$
    {65, 1753, 1204},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$$
    {65, 1863, 1231},	// Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel
    {67, 46, 1308},	// Akonadi::EntityTreeModel::AmazingCompletionRole
    {67, 56, 1312},	// Akonadi::EntityTreeModel::AvailablePartsRole
    {67, 85, 1307},	// Akonadi::EntityTreeModel::CollectionChildOrderRole
    {67, 98, 1315},	// Akonadi::EntityTreeModel::CollectionDerefRole
    {67, 117, 1304},	// Akonadi::EntityTreeModel::CollectionIdRole
    {67, 140, 1314},	// Akonadi::EntityTreeModel::CollectionRefRole
    {67, 144, 1305},	// Akonadi::EntityTreeModel::CollectionRole
    {67, 154, 1320},	// Akonadi::EntityTreeModel::CollectionSyncProgressRole
    {67, 155, 1328},	// Akonadi::EntityTreeModel::CollectionTreeHeaders
    {67, 160, 1310},	// Akonadi::EntityTreeModel::ColumnCountRole
    {67, 244, 1331},	// Akonadi::EntityTreeModel::EndHeaderGroup
    {67, 245, 1324},	// Akonadi::EntityTreeModel::EndRole
    {67, 258, 1327},	// Akonadi::EntityTreeModel::EntityTreeHeaders
    {67, 260, 1287},	// Akonadi::EntityTreeModel::EntityTreeModel#
    {67, 261, -81},	// Akonadi::EntityTreeModel::EntityTreeModel##
    {67, 262, 1284},	// Akonadi::EntityTreeModel::EntityTreeModel###
    {67, 268, 1317},	// Akonadi::EntityTreeModel::EntityUrlRole
    {67, 281, 1337},	// Akonadi::EntityTreeModel::FetchCollectionsRecursive
    {67, 282, 1336},	// Akonadi::EntityTreeModel::FetchFirstLevelChildCollections
    {67, 283, 1335},	// Akonadi::EntityTreeModel::FetchNoCollections
    {67, 284, 1319},	// Akonadi::EntityTreeModel::FetchStateRole
    {67, 285, 1326},	// Akonadi::EntityTreeModel::FetchingState
    {67, 301, 1325},	// Akonadi::EntityTreeModel::IdleState
    {67, 303, 1333},	// Akonadi::EntityTreeModel::ImmediatePopulation
    {67, 314, 1338},	// Akonadi::EntityTreeModel::InvisibleCollectionFetch
    {67, 315, 1321},	// Akonadi::EntityTreeModel::IsPopulatedRole
    {67, 340, 1301},	// Akonadi::EntityTreeModel::ItemIdRole
    {67, 341, 1329},	// Akonadi::EntityTreeModel::ItemListHeaders
    {67, 355, 1302},	// Akonadi::EntityTreeModel::ItemRole
    {67, 379, 1334},	// Akonadi::EntityTreeModel::LazyPopulation
    {67, 385, 1311},	// Akonadi::EntityTreeModel::LoadedPartsRole
    {67, 401, 1303},	// Akonadi::EntityTreeModel::MimeTypeRole
    {67, 442, 1332},	// Akonadi::EntityTreeModel::NoItemPopulation
    {67, 462, 1309},	// Akonadi::EntityTreeModel::ParentCollectionRole
    {67, 472, 1316},	// Akonadi::EntityTreeModel::PendingCutRole
    {67, 499, 1306},	// Akonadi::EntityTreeModel::RemoteIdRole
    {67, 533, 1313},	// Akonadi::EntityTreeModel::SessionRole
    {67, 567, 1323},	// Akonadi::EntityTreeModel::TerminalUserRole
    {67, 591, 1318},	// Akonadi::EntityTreeModel::UnreadCountRole
    {67, 604, 1330},	// Akonadi::EntityTreeModel::UserHeaders
    {67, 605, 1322},	// Akonadi::EntityTreeModel::UserRole
    {67, 750, 1264},	// Akonadi::EntityTreeModel::canFetchMore#
    {67, 771, 1275},	// Akonadi::EntityTreeModel::clearAndReset
    {67, 797, 1251},	// Akonadi::EntityTreeModel::collectionFetchStrategy
    {67, 799, 1274},	// Akonadi::EntityTreeModel::collectionFetched$
    {67, 808, 1273},	// Akonadi::EntityTreeModel::collectionPopulated?
    {67, 816, 1272},	// Akonadi::EntityTreeModel::collectionTreeFetched?
    {67, 830, 1288},	// Akonadi::EntityTreeModel::columnCount
    {67, 831, 1252},	// Akonadi::EntityTreeModel::columnCount#
    {67, 883, -84},	// Akonadi::EntityTreeModel::d_func
    {67, 885, 1290},	// Akonadi::EntityTreeModel::data#
    {67, 886, 1254},	// Akonadi::EntityTreeModel::data#$
    {67, 931, 1260},	// Akonadi::EntityTreeModel::dropMimeData#$$$#
    {67, 947, 1279},	// Akonadi::EntityTreeModel::entityColumnCount$
    {67, 949, -87},	// Akonadi::EntityTreeModel::entityData#$
    {67, 950, -90},	// Akonadi::EntityTreeModel::entityData#$$
    {67, 952, 1278},	// Akonadi::EntityTreeModel::entityHeaderData$$$$
    {67, 954, -93},	// Akonadi::EntityTreeModel::entityMatch##$
    {67, 982, 1265},	// Akonadi::EntityTreeModel::fetchMore#
    {67, 997, 1256},	// Akonadi::EntityTreeModel::flags#
    {67, 1011, 1294},	// Akonadi::EntityTreeModel::hasChildren
    {67, 1012, 1266},	// Akonadi::EntityTreeModel::hasChildren#
    {67, 1020, 1291},	// Akonadi::EntityTreeModel::headerData$$
    {67, 1021, 1255},	// Akonadi::EntityTreeModel::headerData$$$
    {67, 1036, 1247},	// Akonadi::EntityTreeModel::includeRootCollection
    {67, 1039, 1242},	// Akonadi::EntityTreeModel::includeUnsubscribed
    {67, 1043, 1293},	// Akonadi::EntityTreeModel::index$$
    {67, 1044, 1262},	// Akonadi::EntityTreeModel::index$$#
    {67, 1083, 1268},	// Akonadi::EntityTreeModel::isCollectionPopulated?
    {67, 1084, 1267},	// Akonadi::EntityTreeModel::isCollectionTreeFetched
    {67, 1122, 1245},	// Akonadi::EntityTreeModel::itemPopulationStrategy
    {67, 1176, 1295},	// Akonadi::EntityTreeModel::match#$#
    {67, 1177, 1296},	// Akonadi::EntityTreeModel::match#$#$
    {67, 1178, 1269},	// Akonadi::EntityTreeModel::match#$#$$
    {67, 1180, 1232},	// Akonadi::EntityTreeModel::metaObject
    {67, 1183, 1259},	// Akonadi::EntityTreeModel::mimeData?
    {67, 1191, 1257},	// Akonadi::EntityTreeModel::mimeTypes
    {67, 1195, 1270},	// Akonadi::EntityTreeModel::modelIndexForCollection##
    {67, 1197, 1271},	// Akonadi::EntityTreeModel::modelIndexesForItem##
    {67, 1228, 1263},	// Akonadi::EntityTreeModel::parent#
    {67, 1247, 1238},	// Akonadi::EntityTreeModel::qt_metacall$$?
    {67, 1249, 1233},	// Akonadi::EntityTreeModel::qt_metacast$
    {67, 1296, 1249},	// Akonadi::EntityTreeModel::rootCollectionDisplayName
    {67, 1297, 1289},	// Akonadi::EntityTreeModel::rowCount
    {67, 1298, 1253},	// Akonadi::EntityTreeModel::rowCount#
    {67, 1381, 1250},	// Akonadi::EntityTreeModel::setCollectionFetchStrategy$
    {67, 1428, 1292},	// Akonadi::EntityTreeModel::setData##
    {67, 1429, 1261},	// Akonadi::EntityTreeModel::setData##$
    {67, 1498, 1246},	// Akonadi::EntityTreeModel::setIncludeRootCollection$
    {67, 1502, 1243},	// Akonadi::EntityTreeModel::setIncludeUnsubscribed$
    {67, 1520, 1244},	// Akonadi::EntityTreeModel::setItemPopulationStrategy$
    {67, 1605, 1248},	// Akonadi::EntityTreeModel::setRootCollectionDisplayName$
    {67, 1618, 1240},	// Akonadi::EntityTreeModel::setShowSystemEntities$
    {67, 1701, 1300},	// Akonadi::EntityTreeModel::staticMetaObject
    {67, 1716, 1258},	// Akonadi::EntityTreeModel::supportedDropActions
    {67, 1728, 1241},	// Akonadi::EntityTreeModel::systemEntitiesShown
    {67, 1747, 1285},	// Akonadi::EntityTreeModel::tr$
    {67, 1748, 1234},	// Akonadi::EntityTreeModel::tr$$
    {67, 1749, 1236},	// Akonadi::EntityTreeModel::tr$$$
    {67, 1751, 1286},	// Akonadi::EntityTreeModel::trUtf8$
    {67, 1752, 1235},	// Akonadi::EntityTreeModel::trUtf8$$
    {67, 1753, 1237},	// Akonadi::EntityTreeModel::trUtf8$$$
    {67, 1864, 1339},	// Akonadi::EntityTreeModel::~EntityTreeModel
    {69, 263, 1371},	// Akonadi::EntityTreeView::EntityTreeView
    {69, 264, -1},	// Akonadi::EntityTreeView::EntityTreeView#
    {69, 265, 1348},	// Akonadi::EntityTreeView::EntityTreeView##
    {69, 784, -4},	// Akonadi::EntityTreeView::clicked#
    {69, 857, 1368},	// Akonadi::EntityTreeView::contextMenuEvent#
    {69, 876, -7},	// Akonadi::EntityTreeView::currentChanged#
    {69, 877, 1363},	// Akonadi::EntityTreeView::currentChanged##
    {69, 920, -10},	// Akonadi::EntityTreeView::doubleClicked#
    {69, 925, 1365},	// Akonadi::EntityTreeView::dragMoveEvent#
    {69, 929, 1366},	// Akonadi::EntityTreeView::dropEvent#
    {69, 1085, 1353},	// Akonadi::EntityTreeView::isDropActionMenuEnabled
    {69, 1089, 1354},	// Akonadi::EntityTreeView::isManualSortingActive
    {69, 1180, 1340},	// Akonadi::EntityTreeView::metaObject
    {69, 1247, 1346},	// Akonadi::EntityTreeView::qt_metacall$$?
    {69, 1249, 1341},	// Akonadi::EntityTreeView::qt_metacast$
    {69, 1435, 1356},	// Akonadi::EntityTreeView::setDefaultPopupMenu$
    {69, 1443, 1352},	// Akonadi::EntityTreeView::setDropActionMenuEnabled$
    {69, 1535, 1355},	// Akonadi::EntityTreeView::setManualSortingActive$
    {69, 1548, 1351},	// Akonadi::EntityTreeView::setModel#
    {69, 1669, 1349},	// Akonadi::EntityTreeView::setXmlGuiClient#
    {69, 1696, 1364},	// Akonadi::EntityTreeView::startDrag$
    {69, 1701, 1373},	// Akonadi::EntityTreeView::staticMetaObject
    {69, 1743, 1367},	// Akonadi::EntityTreeView::timerEvent#
    {69, 1747, 1369},	// Akonadi::EntityTreeView::tr$
    {69, 1748, 1342},	// Akonadi::EntityTreeView::tr$$
    {69, 1749, 1344},	// Akonadi::EntityTreeView::tr$$$
    {69, 1751, 1370},	// Akonadi::EntityTreeView::trUtf8$
    {69, 1752, 1343},	// Akonadi::EntityTreeView::trUtf8$$
    {69, 1753, 1345},	// Akonadi::EntityTreeView::trUtf8$$$
    {69, 1806, 1350},	// Akonadi::EntityTreeView::xmlGuiClient
    {69, 1865, 1374},	// Akonadi::EntityTreeView::~EntityTreeView
    {70, 267, 1382},	// Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver#
    {70, 1180, 1375},	// Akonadi::EntityTreeViewStateSaver::metaObject
    {70, 1247, 1381},	// Akonadi::EntityTreeViewStateSaver::qt_metacall$$?
    {70, 1249, 1376},	// Akonadi::EntityTreeViewStateSaver::qt_metacast$
    {70, 1283, 1384},	// Akonadi::EntityTreeViewStateSaver::restoreState#
    {70, 1307, 1383},	// Akonadi::EntityTreeViewStateSaver::saveState#
    {70, 1701, 1387},	// Akonadi::EntityTreeViewStateSaver::staticMetaObject
    {70, 1747, 1385},	// Akonadi::EntityTreeViewStateSaver::tr$
    {70, 1748, 1377},	// Akonadi::EntityTreeViewStateSaver::tr$$
    {70, 1749, 1379},	// Akonadi::EntityTreeViewStateSaver::tr$$$
    {70, 1751, 1386},	// Akonadi::EntityTreeViewStateSaver::trUtf8$
    {70, 1752, 1378},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$
    {70, 1753, 1380},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$$
    {70, 1866, 1388},	// Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver
    {71, 274, -75},	// Akonadi::Exception::Exception#
    {71, 275, -78},	// Akonadi::Exception::Exception$
    {71, 1754, 1394},	// Akonadi::Exception::type
    {71, 1797, 1393},	// Akonadi::Exception::what
    {71, 1867, 1395},	// Akonadi::Exception::~Exception
    {72, 279, 1419},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel##
    {72, 280, 1403},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel###
    {72, 695, 1414},	// Akonadi::FavoriteCollectionsModel::addCollection#
    {72, 802, 1405},	// Akonadi::FavoriteCollectionsModel::collectionIds
    {72, 821, 1404},	// Akonadi::FavoriteCollectionsModel::collections
    {72, 885, 1420},	// Akonadi::FavoriteCollectionsModel::data#
    {72, 886, 1407},	// Akonadi::FavoriteCollectionsModel::data#$
    {72, 931, 1410},	// Akonadi::FavoriteCollectionsModel::dropMimeData#$$$#
    {72, 964, 1406},	// Akonadi::FavoriteCollectionsModel::favoriteLabel#
    {72, 997, 1412},	// Akonadi::FavoriteCollectionsModel::flags#
    {72, 1020, 1422},	// Akonadi::FavoriteCollectionsModel::headerData$$
    {72, 1021, 1409},	// Akonadi::FavoriteCollectionsModel::headerData$$$
    {72, 1180, 1396},	// Akonadi::FavoriteCollectionsModel::metaObject
    {72, 1191, 1411},	// Akonadi::FavoriteCollectionsModel::mimeTypes
    {72, 1247, 1402},	// Akonadi::FavoriteCollectionsModel::qt_metacall$$?
    {72, 1249, 1397},	// Akonadi::FavoriteCollectionsModel::qt_metacast$
    {72, 1264, 1415},	// Akonadi::FavoriteCollectionsModel::removeCollection#
    {72, 1396, 1413},	// Akonadi::FavoriteCollectionsModel::setCollections?
    {72, 1428, 1421},	// Akonadi::FavoriteCollectionsModel::setData##
    {72, 1429, 1408},	// Akonadi::FavoriteCollectionsModel::setData##$
    {72, 1452, 1416},	// Akonadi::FavoriteCollectionsModel::setFavoriteLabel#$
    {72, 1701, 1423},	// Akonadi::FavoriteCollectionsModel::staticMetaObject
    {72, 1747, 1417},	// Akonadi::FavoriteCollectionsModel::tr$
    {72, 1748, 1398},	// Akonadi::FavoriteCollectionsModel::tr$$
    {72, 1749, 1400},	// Akonadi::FavoriteCollectionsModel::tr$$$
    {72, 1751, 1418},	// Akonadi::FavoriteCollectionsModel::trUtf8$
    {72, 1752, 1399},	// Akonadi::FavoriteCollectionsModel::trUtf8$$
    {72, 1753, 1401},	// Akonadi::FavoriteCollectionsModel::trUtf8$$$
    {72, 1868, 1424},	// Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel
    {73, 291, 1465},	// Akonadi::Item::FullPayload
    {73, 316, 1425},	// Akonadi::Item::Item
    {73, 317, 1428},	// Akonadi::Item::Item#
    {73, 318, -142},	// Akonadi::Item::Item$
    {73, 595, 1467},	// Akonadi::Item::UrlShort
    {73, 596, 1468},	// Akonadi::Item::UrlWithMimeType
    {73, 731, 1462},	// Akonadi::Item::apply#
    {73, 740, 1457},	// Akonadi::Item::availablePayloadMetaTypeIds
    {73, 741, 1460},	// Akonadi::Item::availablePayloadParts
    {73, 748, 1461},	// Akonadi::Item::cachedPayloadParts
    {73, 776, 1435},	// Akonadi::Item::clearFlag#
    {73, 777, 1437},	// Akonadi::Item::clearFlags
    {73, 779, 1447},	// Akonadi::Item::clearPayload
    {73, 781, 1442},	// Akonadi::Item::clearTag#
    {73, 782, 1443},	// Akonadi::Item::clearTags
    {73, 996, 1430},	// Akonadi::Item::flags
    {73, 1004, 1429},	// Akonadi::Item::fromUrl#
    {73, 1006, 1456},	// Akonadi::Item::gid
    {73, 1014, 1433},	// Akonadi::Item::hasFlag#
    {73, 1016, 1458},	// Akonadi::Item::hasPayload
    {73, 1018, 1441},	// Akonadi::Item::hasTag#
    {73, 1166, 1446},	// Akonadi::Item::loadedPayloadParts
    {73, 1184, 1454},	// Akonadi::Item::mimeType
    {73, 1198, 1431},	// Akonadi::Item::modificationTime
    {73, 1234, 1445},	// Akonadi::Item::payloadData
    {73, 1292, 1449},	// Akonadi::Item::revision
    {73, 1366, 1463},	// Akonadi::Item::setCachedPayloadParts?
    {73, 1468, 1434},	// Akonadi::Item::setFlag#
    {73, 1470, 1436},	// Akonadi::Item::setFlags?
    {73, 1474, 1466},	// Akonadi::Item::setFullPayload$
    {73, 1478, 1455},	// Akonadi::Item::setGid$
    {73, 1539, 1453},	// Akonadi::Item::setMimeType$
    {73, 1551, 1432},	// Akonadi::Item::setModificationTime#
    {73, 1570, 1444},	// Akonadi::Item::setPayloadFromData#
    {73, 1601, 1448},	// Akonadi::Item::setRevision$
    {73, 1620, 1451},	// Akonadi::Item::setSize$
    {73, 1632, 1439},	// Akonadi::Item::setTag#
    {73, 1639, 1438},	// Akonadi::Item::setTags?
    {73, 1680, 1452},	// Akonadi::Item::size
    {73, 1710, 1450},	// Akonadi::Item::storageCollectionId
    {73, 1739, 1440},	// Akonadi::Item::tags
    {73, 1776, 1464},	// Akonadi::Item::url
    {73, 1777, 1459},	// Akonadi::Item::url$
    {73, 1869, 1469},	// Akonadi::Item::~Item
    {74, 320, 1482},	// Akonadi::ItemCopyJob::ItemCopyJob##
    {74, 321, 1477},	// Akonadi::ItemCopyJob::ItemCopyJob###
    {74, 322, 1483},	// Akonadi::ItemCopyJob::ItemCopyJob?#
    {74, 323, 1478},	// Akonadi::ItemCopyJob::ItemCopyJob?##
    {74, 915, 1479},	// Akonadi::ItemCopyJob::doStart
    {74, 1180, 1470},	// Akonadi::ItemCopyJob::metaObject
    {74, 1247, 1476},	// Akonadi::ItemCopyJob::qt_metacall$$?
    {74, 1249, 1471},	// Akonadi::ItemCopyJob::qt_metacast$
    {74, 1701, 1484},	// Akonadi::ItemCopyJob::staticMetaObject
    {74, 1747, 1480},	// Akonadi::ItemCopyJob::tr$
    {74, 1748, 1472},	// Akonadi::ItemCopyJob::tr$$
    {74, 1749, 1474},	// Akonadi::ItemCopyJob::tr$$$
    {74, 1751, 1481},	// Akonadi::ItemCopyJob::trUtf8$
    {74, 1752, 1473},	// Akonadi::ItemCopyJob::trUtf8$$
    {74, 1753, 1475},	// Akonadi::ItemCopyJob::trUtf8$$$
    {74, 1870, 1485},	// Akonadi::ItemCopyJob::~ItemCopyJob
    {75, 325, 1499},	// Akonadi::ItemCreateJob::ItemCreateJob##
    {75, 326, 1493},	// Akonadi::ItemCreateJob::ItemCreateJob###
    {75, 909, 1496},	// Akonadi::ItemCreateJob::doHandleResponse##
    {75, 915, 1495},	// Akonadi::ItemCreateJob::doStart
    {75, 1106, 1494},	// Akonadi::ItemCreateJob::item
    {75, 1180, 1486},	// Akonadi::ItemCreateJob::metaObject
    {75, 1247, 1492},	// Akonadi::ItemCreateJob::qt_metacall$$?
    {75, 1249, 1487},	// Akonadi::ItemCreateJob::qt_metacast$
    {75, 1701, 1500},	// Akonadi::ItemCreateJob::staticMetaObject
    {75, 1747, 1497},	// Akonadi::ItemCreateJob::tr$
    {75, 1748, 1488},	// Akonadi::ItemCreateJob::tr$$
    {75, 1749, 1490},	// Akonadi::ItemCreateJob::tr$$$
    {75, 1751, 1498},	// Akonadi::ItemCreateJob::trUtf8$
    {75, 1752, 1489},	// Akonadi::ItemCreateJob::trUtf8$$
    {75, 1753, 1491},	// Akonadi::ItemCreateJob::trUtf8$$$
    {75, 1871, 1501},	// Akonadi::ItemCreateJob::~ItemCreateJob
    {76, 328, -48},	// Akonadi::ItemDeleteJob::ItemDeleteJob#
    {76, 329, -51},	// Akonadi::ItemDeleteJob::ItemDeleteJob##
    {76, 330, 1517},	// Akonadi::ItemDeleteJob::ItemDeleteJob?
    {76, 331, 1510},	// Akonadi::ItemDeleteJob::ItemDeleteJob?#
    {76, 892, 1512},	// Akonadi::ItemDeleteJob::deletedItems
    {76, 915, 1513},	// Akonadi::ItemDeleteJob::doStart
    {76, 1180, 1502},	// Akonadi::ItemDeleteJob::metaObject
    {76, 1247, 1508},	// Akonadi::ItemDeleteJob::qt_metacall$$?
    {76, 1249, 1503},	// Akonadi::ItemDeleteJob::qt_metacast$
    {76, 1701, 1519},	// Akonadi::ItemDeleteJob::staticMetaObject
    {76, 1747, 1514},	// Akonadi::ItemDeleteJob::tr$
    {76, 1748, 1504},	// Akonadi::ItemDeleteJob::tr$$
    {76, 1749, 1506},	// Akonadi::ItemDeleteJob::tr$$$
    {76, 1751, 1515},	// Akonadi::ItemDeleteJob::trUtf8$
    {76, 1752, 1505},	// Akonadi::ItemDeleteJob::trUtf8$$
    {76, 1753, 1507},	// Akonadi::ItemDeleteJob::trUtf8$$$
    {76, 1872, 1520},	// Akonadi::ItemDeleteJob::~ItemDeleteJob
    {77, 219, 1553},	// Akonadi::ItemFetchJob::Default
    {77, 241, 1552},	// Akonadi::ItemFetchJob::EmitItemsInBatches
    {77, 242, 1551},	// Akonadi::ItemFetchJob::EmitItemsIndividually
    {77, 333, -96},	// Akonadi::ItemFetchJob::ItemFetchJob#
    {77, 334, -99},	// Akonadi::ItemFetchJob::ItemFetchJob##
    {77, 335, -102},	// Akonadi::ItemFetchJob::ItemFetchJob?
    {77, 336, -105},	// Akonadi::ItemFetchJob::ItemFetchJob?#
    {77, 339, 1550},	// Akonadi::ItemFetchJob::ItemGetter
    {77, 778, 1533},	// Akonadi::ItemFetchJob::clearItems
    {77, 894, 1539},	// Akonadi::ItemFetchJob::deliveryOptions
    {77, 909, 1542},	// Akonadi::ItemFetchJob::doHandleResponse##
    {77, 915, 1541},	// Akonadi::ItemFetchJob::doStart
    {77, 987, 1536},	// Akonadi::ItemFetchJob::fetchScope
    {77, 1132, 1532},	// Akonadi::ItemFetchJob::items
    {77, 1142, 1540},	// Akonadi::ItemFetchJob::itemsReceived?
    {77, 1180, 1521},	// Akonadi::ItemFetchJob::metaObject
    {77, 1247, 1527},	// Akonadi::ItemFetchJob::qt_metacall$$?
    {77, 1249, 1522},	// Akonadi::ItemFetchJob::qt_metacast$
    {77, 1377, 1537},	// Akonadi::ItemFetchJob::setCollection#
    {77, 1437, 1538},	// Akonadi::ItemFetchJob::setDeliveryOption$
    {77, 1464, -108},	// Akonadi::ItemFetchJob::setFetchScope#
    {77, 1701, 1549},	// Akonadi::ItemFetchJob::staticMetaObject
    {77, 1747, 1543},	// Akonadi::ItemFetchJob::tr$
    {77, 1748, 1523},	// Akonadi::ItemFetchJob::tr$$
    {77, 1749, 1525},	// Akonadi::ItemFetchJob::tr$$$
    {77, 1751, 1544},	// Akonadi::ItemFetchJob::trUtf8$
    {77, 1752, 1524},	// Akonadi::ItemFetchJob::trUtf8$$
    {77, 1753, 1526},	// Akonadi::ItemFetchJob::trUtf8$$$
    {77, 1873, 1554},	// Akonadi::ItemFetchJob::~ItemFetchJob
    {78, 42, 1592},	// Akonadi::ItemFetchScope::All
    {78, 337, 1555},	// Akonadi::ItemFetchScope::ItemFetchScope
    {78, 338, 1556},	// Akonadi::ItemFetchScope::ItemFetchScope#
    {78, 447, 1590},	// Akonadi::ItemFetchScope::None
    {78, 461, 1591},	// Akonadi::ItemFetchScope::Parent
    {78, 726, 1564},	// Akonadi::ItemFetchScope::allAttributes
    {78, 729, 1571},	// Akonadi::ItemFetchScope::ancestorRetrieval
    {78, 735, 1562},	// Akonadi::ItemFetchScope::attributes
    {78, 745, 1566},	// Akonadi::ItemFetchScope::cacheOnly
    {78, 767, 1569},	// Akonadi::ItemFetchScope::checkForCachedPayloadPartsOnly
    {78, 965, 1588},	// Akonadi::ItemFetchScope::fetchAllAttributes
    {78, 966, 1565},	// Akonadi::ItemFetchScope::fetchAllAttributes$
    {78, 968, 1587},	// Akonadi::ItemFetchScope::fetchAttribute#
    {78, 969, 1563},	// Akonadi::ItemFetchScope::fetchAttribute#$
    {78, 972, 1580},	// Akonadi::ItemFetchScope::fetchChangedSince
    {78, 977, 1586},	// Akonadi::ItemFetchScope::fetchFullPayload
    {78, 978, 1561},	// Akonadi::ItemFetchScope::fetchFullPayload$
    {78, 979, 1575},	// Akonadi::ItemFetchScope::fetchGid
    {78, 980, 1573},	// Akonadi::ItemFetchScope::fetchModificationTime
    {78, 984, 1585},	// Akonadi::ItemFetchScope::fetchPayloadPart#
    {78, 985, 1559},	// Akonadi::ItemFetchScope::fetchPayloadPart#$
    {78, 986, 1582},	// Akonadi::ItemFetchScope::fetchRemoteIdentification
    {78, 988, 1584},	// Akonadi::ItemFetchScope::fetchTags
    {78, 1005, 1560},	// Akonadi::ItemFetchScope::fullPayload
    {78, 1033, 1577},	// Akonadi::ItemFetchScope::ignoreRetrievalErrors
    {78, 1086, 1578},	// Akonadi::ItemFetchScope::isEmpty
    {78, 1216, 1557},	// Akonadi::ItemFetchScope::operator=#
    {78, 1235, 1558},	// Akonadi::ItemFetchScope::payloadParts
    {78, 1349, 1570},	// Akonadi::ItemFetchScope::setAncestorRetrieval$
    {78, 1360, 1567},	// Akonadi::ItemFetchScope::setCacheOnly$
    {78, 1374, 1589},	// Akonadi::ItemFetchScope::setCheckForCachedPayloadPartsOnly
    {78, 1375, 1568},	// Akonadi::ItemFetchScope::setCheckForCachedPayloadPartsOnly$
    {78, 1456, 1579},	// Akonadi::ItemFetchScope::setFetchChangedSince#
    {78, 1458, 1574},	// Akonadi::ItemFetchScope::setFetchGid$
    {78, 1460, 1572},	// Akonadi::ItemFetchScope::setFetchModificationTime$
    {78, 1462, 1581},	// Akonadi::ItemFetchScope::setFetchRemoteIdentification$
    {78, 1466, 1583},	// Akonadi::ItemFetchScope::setFetchTags$
    {78, 1496, 1576},	// Akonadi::ItemFetchScope::setIgnoreRetrievalErrors$
    {78, 1874, 1593},	// Akonadi::ItemFetchScope::~ItemFetchScope
    {79, 297, 1627},	// Akonadi::ItemModel::Id
    {79, 298, 1630},	// Akonadi::ItemModel::IdRole
    {79, 342, 1621},	// Akonadi::ItemModel::ItemModel
    {79, 343, 1601},	// Akonadi::ItemModel::ItemModel#
    {79, 355, 1631},	// Akonadi::ItemModel::ItemRole
    {79, 398, 1629},	// Akonadi::ItemModel::MimeType
    {79, 401, 1632},	// Akonadi::ItemModel::MimeTypeRole
    {79, 498, 1628},	// Akonadi::ItemModel::RemoteId
    {79, 605, 1633},	// Akonadi::ItemModel::UserRole
    {79, 788, 1615},	// Akonadi::ItemModel::collection
    {79, 794, 1617},	// Akonadi::ItemModel::collectionChanged#
    {79, 830, 1622},	// Akonadi::ItemModel::columnCount
    {79, 831, 1602},	// Akonadi::ItemModel::columnCount#
    {79, 885, 1623},	// Akonadi::ItemModel::data#
    {79, 886, 1603},	// Akonadi::ItemModel::data#$
    {79, 931, 1614},	// Akonadi::ItemModel::dropMimeData#$$$#
    {79, 987, 1611},	// Akonadi::ItemModel::fetchScope
    {79, 997, 1606},	// Akonadi::ItemModel::flags#
    {79, 1020, 1625},	// Akonadi::ItemModel::headerData$$
    {79, 1021, 1605},	// Akonadi::ItemModel::headerData$$$
    {79, 1047, 1613},	// Akonadi::ItemModel::indexForItem#$
    {79, 1115, 1612},	// Akonadi::ItemModel::itemForIndex#
    {79, 1180, 1594},	// Akonadi::ItemModel::metaObject
    {79, 1183, 1607},	// Akonadi::ItemModel::mimeData?
    {79, 1191, 1608},	// Akonadi::ItemModel::mimeTypes
    {79, 1247, 1600},	// Akonadi::ItemModel::qt_metacall$$?
    {79, 1249, 1595},	// Akonadi::ItemModel::qt_metacast$
    {79, 1297, 1624},	// Akonadi::ItemModel::rowCount
    {79, 1298, 1604},	// Akonadi::ItemModel::rowCount#
    {79, 1336, 1618},	// Akonadi::ItemModel::session
    {79, 1377, 1616},	// Akonadi::ItemModel::setCollection#
    {79, 1464, 1610},	// Akonadi::ItemModel::setFetchScope#
    {79, 1701, 1626},	// Akonadi::ItemModel::staticMetaObject
    {79, 1716, 1609},	// Akonadi::ItemModel::supportedDropActions
    {79, 1747, 1619},	// Akonadi::ItemModel::tr$
    {79, 1748, 1596},	// Akonadi::ItemModel::tr$$
    {79, 1749, 1598},	// Akonadi::ItemModel::tr$$$
    {79, 1751, 1620},	// Akonadi::ItemModel::trUtf8$
    {79, 1752, 1597},	// Akonadi::ItemModel::trUtf8$$
    {79, 1753, 1599},	// Akonadi::ItemModel::trUtf8$$$
    {79, 1875, 1634},	// Akonadi::ItemModel::~ItemModel
    {80, 345, 1656},	// Akonadi::ItemModifyJob::ItemModifyJob#
    {80, 346, 1642},	// Akonadi::ItemModifyJob::ItemModifyJob##
    {80, 347, 1657},	// Akonadi::ItemModifyJob::ItemModifyJob?
    {80, 348, 1643},	// Akonadi::ItemModifyJob::ItemModifyJob?#
    {80, 903, 1651},	// Akonadi::ItemModifyJob::disableAutomaticConflictHandling
    {80, 904, 1648},	// Akonadi::ItemModifyJob::disableRevisionCheck
    {80, 909, 1653},	// Akonadi::ItemModifyJob::doHandleResponse##
    {80, 915, 1652},	// Akonadi::ItemModifyJob::doStart
    {80, 1032, 1645},	// Akonadi::ItemModifyJob::ignorePayload
    {80, 1106, 1649},	// Akonadi::ItemModifyJob::item
    {80, 1132, 1650},	// Akonadi::ItemModifyJob::items
    {80, 1180, 1635},	// Akonadi::ItemModifyJob::metaObject
    {80, 1247, 1641},	// Akonadi::ItemModifyJob::qt_metacall$$?
    {80, 1249, 1636},	// Akonadi::ItemModifyJob::qt_metacast$
    {80, 1494, 1644},	// Akonadi::ItemModifyJob::setIgnorePayload$
    {80, 1660, 1646},	// Akonadi::ItemModifyJob::setUpdateGid$
    {80, 1701, 1658},	// Akonadi::ItemModifyJob::staticMetaObject
    {80, 1747, 1654},	// Akonadi::ItemModifyJob::tr$
    {80, 1748, 1637},	// Akonadi::ItemModifyJob::tr$$
    {80, 1749, 1639},	// Akonadi::ItemModifyJob::tr$$$
    {80, 1751, 1655},	// Akonadi::ItemModifyJob::trUtf8$
    {80, 1752, 1638},	// Akonadi::ItemModifyJob::trUtf8$$
    {80, 1753, 1640},	// Akonadi::ItemModifyJob::trUtf8$$$
    {80, 1772, 1647},	// Akonadi::ItemModifyJob::updateGid
    {80, 1876, 1659},	// Akonadi::ItemModifyJob::~ItemModifyJob
    {81, 349, 1660},	// Akonadi::ItemMonitor::ItemMonitor
    {81, 987, 1666},	// Akonadi::ItemMonitor::fetchScope
    {81, 1106, 1662},	// Akonadi::ItemMonitor::item
    {81, 1110, 1663},	// Akonadi::ItemMonitor::itemChanged#
    {81, 1123, 1664},	// Akonadi::ItemMonitor::itemRemoved
    {81, 1464, 1665},	// Akonadi::ItemMonitor::setFetchScope#
    {81, 1512, 1661},	// Akonadi::ItemMonitor::setItem#
    {81, 1877, 1667},	// Akonadi::ItemMonitor::~ItemMonitor
    {82, 351, 1682},	// Akonadi::ItemMoveJob::ItemMoveJob##
    {82, 352, 1675},	// Akonadi::ItemMoveJob::ItemMoveJob###
    {82, 353, 1683},	// Akonadi::ItemMoveJob::ItemMoveJob?#
    {82, 354, 1676},	// Akonadi::ItemMoveJob::ItemMoveJob?##
    {82, 899, 1677},	// Akonadi::ItemMoveJob::destinationCollection
    {82, 915, 1679},	// Akonadi::ItemMoveJob::doStart
    {82, 1132, 1678},	// Akonadi::ItemMoveJob::items
    {82, 1180, 1668},	// Akonadi::ItemMoveJob::metaObject
    {82, 1247, 1674},	// Akonadi::ItemMoveJob::qt_metacall$$?
    {82, 1249, 1669},	// Akonadi::ItemMoveJob::qt_metacast$
    {82, 1701, 1684},	// Akonadi::ItemMoveJob::staticMetaObject
    {82, 1747, 1680},	// Akonadi::ItemMoveJob::tr$
    {82, 1748, 1670},	// Akonadi::ItemMoveJob::tr$$
    {82, 1749, 1672},	// Akonadi::ItemMoveJob::tr$$$
    {82, 1751, 1681},	// Akonadi::ItemMoveJob::trUtf8$
    {82, 1752, 1671},	// Akonadi::ItemMoveJob::trUtf8$$
    {82, 1753, 1673},	// Akonadi::ItemMoveJob::trUtf8$$$
    {82, 1878, 1685},	// Akonadi::ItemMoveJob::~ItemMoveJob
    {83, 357, 1715},	// Akonadi::ItemSearchJob::ItemSearchJob#
    {83, 358, 1694},	// Akonadi::ItemSearchJob::ItemSearchJob##
    {83, 359, 1714},	// Akonadi::ItemSearchJob::ItemSearchJob$
    {83, 360, 1693},	// Akonadi::ItemSearchJob::ItemSearchJob$#
    {83, 725, 1700},	// Akonadi::ItemSearchJob::akonadiItemIdUri
    {83, 909, 1711},	// Akonadi::ItemSearchJob::doHandleResponse##
    {83, 915, 1710},	// Akonadi::ItemSearchJob::doStart
    {83, 987, 1698},	// Akonadi::ItemSearchJob::fetchScope
    {83, 1092, 1706},	// Akonadi::ItemSearchJob::isRecursive
    {83, 1093, 1708},	// Akonadi::ItemSearchJob::isRemoteSearchEnabled
    {83, 1132, 1699},	// Akonadi::ItemSearchJob::items
    {83, 1142, 1709},	// Akonadi::ItemSearchJob::itemsReceived?
    {83, 1180, 1686},	// Akonadi::ItemSearchJob::metaObject
    {83, 1191, 1702},	// Akonadi::ItemSearchJob::mimeTypes
    {83, 1247, 1692},	// Akonadi::ItemSearchJob::qt_metacall$$?
    {83, 1249, 1687},	// Akonadi::ItemSearchJob::qt_metacast$
    {83, 1313, 1704},	// Akonadi::ItemSearchJob::searchCollections
    {83, 1464, 1697},	// Akonadi::ItemSearchJob::setFetchScope#
    {83, 1546, 1701},	// Akonadi::ItemSearchJob::setMimeTypes?
    {83, 1577, 1696},	// Akonadi::ItemSearchJob::setQuery#
    {83, 1578, 1695},	// Akonadi::ItemSearchJob::setQuery$
    {83, 1588, 1705},	// Akonadi::ItemSearchJob::setRecursive$
    {83, 1594, 1707},	// Akonadi::ItemSearchJob::setRemoteSearchEnabled$
    {83, 1608, 1703},	// Akonadi::ItemSearchJob::setSearchCollections?
    {83, 1701, 1716},	// Akonadi::ItemSearchJob::staticMetaObject
    {83, 1747, 1712},	// Akonadi::ItemSearchJob::tr$
    {83, 1748, 1688},	// Akonadi::ItemSearchJob::tr$$
    {83, 1749, 1690},	// Akonadi::ItemSearchJob::tr$$$
    {83, 1751, 1713},	// Akonadi::ItemSearchJob::trUtf8$
    {83, 1752, 1689},	// Akonadi::ItemSearchJob::trUtf8$$
    {83, 1753, 1691},	// Akonadi::ItemSearchJob::trUtf8$$$
    {83, 1879, 1717},	// Akonadi::ItemSearchJob::~ItemSearchJob
    {84, 361, 1722},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin
    {84, 362, 1723},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin#
    {84, 898, 1718},	// Akonadi::ItemSerializerPlugin::deserialize###$
    {84, 1220, 1721},	// Akonadi::ItemSerializerPlugin::overridePluginLookup#
    {84, 1233, 1720},	// Akonadi::ItemSerializerPlugin::parts#
    {84, 1332, 1719},	// Akonadi::ItemSerializerPlugin::serialize###$
    {84, 1880, 1724},	// Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin
    {85, 363, 1727},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2
    {85, 364, 1728},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2#
    {85, 732, 1725},	// Akonadi::ItemSerializerPluginV2::apply##
    {85, 739, 1726},	// Akonadi::ItemSerializerPluginV2::availableParts#
    {85, 1881, 1729},	// Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2
    {86, 366, 1752},	// Akonadi::ItemSync::ItemSync#
    {86, 367, 1737},	// Akonadi::ItemSync::ItemSync##
    {86, 428, 1755},	// Akonadi::ItemSync::MultipleTransactions
    {86, 445, 1756},	// Akonadi::ItemSync::NoTransaction
    {86, 538, 1754},	// Akonadi::ItemSync::SingleTransaction
    {86, 893, 1741},	// Akonadi::ItemSync::deliveryDone
    {86, 915, 1747},	// Akonadi::ItemSync::doStart
    {86, 987, 1744},	// Akonadi::ItemSync::fetchScope
    {86, 1180, 1730},	// Akonadi::ItemSync::metaObject
    {86, 1247, 1736},	// Akonadi::ItemSync::qt_metacall$$?
    {86, 1249, 1731},	// Akonadi::ItemSync::qt_metacast$
    {86, 1294, 1745},	// Akonadi::ItemSync::rollback
    {86, 1464, 1743},	// Akonadi::ItemSync::setFetchScope#
    {86, 1476, 1738},	// Akonadi::ItemSync::setFullSyncItems?
    {86, 1504, 1742},	// Akonadi::ItemSync::setIncrementalSyncItems??
    {86, 1626, 1740},	// Akonadi::ItemSync::setStreamingEnabled$
    {86, 1647, 1739},	// Akonadi::ItemSync::setTotalItems$
    {86, 1649, 1746},	// Akonadi::ItemSync::setTransactionMode$
    {86, 1688, 1748},	// Akonadi::ItemSync::slotResult#
    {86, 1701, 1753},	// Akonadi::ItemSync::staticMetaObject
    {86, 1747, 1750},	// Akonadi::ItemSync::tr$
    {86, 1748, 1732},	// Akonadi::ItemSync::tr$$
    {86, 1749, 1734},	// Akonadi::ItemSync::tr$$$
    {86, 1751, 1751},	// Akonadi::ItemSync::trUtf8$
    {86, 1752, 1733},	// Akonadi::ItemSync::trUtf8$$
    {86, 1753, 1735},	// Akonadi::ItemSync::trUtf8$$$
    {86, 1774, 1749},	// Akonadi::ItemSync::updateItem##
    {86, 1882, 1757},	// Akonadi::ItemSync::~ItemSync
    {87, 368, 1779},	// Akonadi::ItemView::ItemView
    {87, 369, -31},	// Akonadi::ItemView::ItemView#
    {87, 370, -35},	// Akonadi::ItemView::ItemView##
    {87, 687, 1771},	// Akonadi::ItemView::activated#
    {87, 784, 1773},	// Akonadi::ItemView::clicked#
    {87, 857, 1776},	// Akonadi::ItemView::contextMenuEvent#
    {87, 876, 1772},	// Akonadi::ItemView::currentChanged#
    {87, 877, 1775},	// Akonadi::ItemView::currentChanged##
    {87, 920, 1774},	// Akonadi::ItemView::doubleClicked#
    {87, 1180, 1758},	// Akonadi::ItemView::metaObject
    {87, 1247, 1764},	// Akonadi::ItemView::qt_metacall$$?
    {87, 1249, 1759},	// Akonadi::ItemView::qt_metacast$
    {87, 1548, 1770},	// Akonadi::ItemView::setModel#
    {87, 1669, 1769},	// Akonadi::ItemView::setXmlGuiClient#
    {87, 1671, 1768},	// Akonadi::ItemView::setXmlGuiWindow#
    {87, 1701, 1782},	// Akonadi::ItemView::staticMetaObject
    {87, 1747, 1777},	// Akonadi::ItemView::tr$
    {87, 1748, 1760},	// Akonadi::ItemView::tr$$
    {87, 1749, 1762},	// Akonadi::ItemView::tr$$$
    {87, 1751, 1778},	// Akonadi::ItemView::trUtf8$
    {87, 1752, 1761},	// Akonadi::ItemView::trUtf8$$
    {87, 1753, 1763},	// Akonadi::ItemView::trUtf8$$$
    {87, 1883, 1783},	// Akonadi::ItemView::~ItemView
    {88, 161, 1808},	// Akonadi::Job::ConnectionFailed
    {88, 372, 1806},	// Akonadi::Job::Job
    {88, 373, 1791},	// Akonadi::Job::Job#
    {88, 374, 1803},	// Akonadi::Job::Job##
    {88, 487, 1809},	// Akonadi::Job::ProtocolVersionMismatch
    {88, 587, 1811},	// Akonadi::Job::Unknown
    {88, 601, 1810},	// Akonadi::Job::UserCanceled
    {88, 603, 1812},	// Akonadi::Job::UserError
    {88, 679, 1794},	// Akonadi::Job::aboutToStart#
    {88, 711, 1798},	// Akonadi::Job::addSubjob#
    {88, 909, 1797},	// Akonadi::Job::doHandleResponse##
    {88, 911, 1800},	// Akonadi::Job::doKill
    {88, 915, 1796},	// Akonadi::Job::doStart
    {88, 943, 1801},	// Akonadi::Job::emitWriteFinished
    {88, 957, 1793},	// Akonadi::Job::errorString
    {88, 1180, 1784},	// Akonadi::Job::metaObject
    {88, 1247, 1790},	// Akonadi::Job::qt_metacall$$?
    {88, 1249, 1785},	// Akonadi::Job::qt_metacast$
    {88, 1270, 1799},	// Akonadi::Job::removeSubjob#
    {88, 1688, 1802},	// Akonadi::Job::slotResult#
    {88, 1693, 1792},	// Akonadi::Job::start
    {88, 1701, 1807},	// Akonadi::Job::staticMetaObject
    {88, 1747, 1804},	// Akonadi::Job::tr$
    {88, 1748, 1786},	// Akonadi::Job::tr$$
    {88, 1749, 1788},	// Akonadi::Job::tr$$$
    {88, 1751, 1805},	// Akonadi::Job::trUtf8$
    {88, 1752, 1787},	// Akonadi::Job::trUtf8$$
    {88, 1753, 1789},	// Akonadi::Job::trUtf8$$$
    {88, 1804, 1795},	// Akonadi::Job::writeFinished#
    {88, 1884, 1813},	// Akonadi::Job::~Job
    {90, 382, 1825},	// Akonadi::LinkJob::LinkJob#?
    {90, 383, 1821},	// Akonadi::LinkJob::LinkJob#?#
    {90, 915, 1822},	// Akonadi::LinkJob::doStart
    {90, 1180, 1814},	// Akonadi::LinkJob::metaObject
    {90, 1247, 1820},	// Akonadi::LinkJob::qt_metacall$$?
    {90, 1249, 1815},	// Akonadi::LinkJob::qt_metacast$
    {90, 1701, 1826},	// Akonadi::LinkJob::staticMetaObject
    {90, 1747, 1823},	// Akonadi::LinkJob::tr$
    {90, 1748, 1816},	// Akonadi::LinkJob::tr$$
    {90, 1749, 1818},	// Akonadi::LinkJob::tr$$$
    {90, 1751, 1824},	// Akonadi::LinkJob::trUtf8$
    {90, 1752, 1817},	// Akonadi::LinkJob::trUtf8$$
    {90, 1753, 1819},	// Akonadi::LinkJob::trUtf8$$$
    {90, 1885, 1827},	// Akonadi::LinkJob::~LinkJob
    {91, 390, 1828},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute
    {91, 391, 1829},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute#
    {91, 785, 1833},	// Akonadi::MessageFolderAttribute::clone
    {91, 897, 1835},	// Akonadi::MessageFolderAttribute::deserialize#
    {91, 1091, 1830},	// Akonadi::MessageFolderAttribute::isOutboundFolder
    {91, 1333, 1834},	// Akonadi::MessageFolderAttribute::serialized
    {91, 1559, 1831},	// Akonadi::MessageFolderAttribute::setOutboundFolder$
    {91, 1754, 1832},	// Akonadi::MessageFolderAttribute::type
    {91, 1886, 1836},	// Akonadi::MessageFolderAttribute::~MessageFolderAttribute
    {92, 218, 1861},	// Akonadi::MessageModel::Date
    {92, 392, 1852},	// Akonadi::MessageModel::MessageModel
    {92, 393, 1844},	// Akonadi::MessageModel::MessageModel#
    {92, 491, 1860},	// Akonadi::MessageModel::Receiver
    {92, 527, 1859},	// Akonadi::MessageModel::Sender
    {92, 539, 1862},	// Akonadi::MessageModel::Size
    {92, 558, 1858},	// Akonadi::MessageModel::Subject
    {92, 830, 1854},	// Akonadi::MessageModel::columnCount
    {92, 831, 1846},	// Akonadi::MessageModel::columnCount#
    {92, 885, 1855},	// Akonadi::MessageModel::data#
    {92, 886, 1847},	// Akonadi::MessageModel::data#$
    {92, 1020, 1856},	// Akonadi::MessageModel::headerData$$
    {92, 1021, 1848},	// Akonadi::MessageModel::headerData$$$
    {92, 1180, 1837},	// Akonadi::MessageModel::metaObject
    {92, 1191, 1849},	// Akonadi::MessageModel::mimeTypes
    {92, 1247, 1843},	// Akonadi::MessageModel::qt_metacall$$?
    {92, 1249, 1838},	// Akonadi::MessageModel::qt_metacast$
    {92, 1297, 1853},	// Akonadi::MessageModel::rowCount
    {92, 1298, 1845},	// Akonadi::MessageModel::rowCount#
    {92, 1701, 1857},	// Akonadi::MessageModel::staticMetaObject
    {92, 1747, 1850},	// Akonadi::MessageModel::tr$
    {92, 1748, 1839},	// Akonadi::MessageModel::tr$$
    {92, 1749, 1841},	// Akonadi::MessageModel::tr$$$
    {92, 1751, 1851},	// Akonadi::MessageModel::trUtf8$
    {92, 1752, 1840},	// Akonadi::MessageModel::trUtf8$$
    {92, 1753, 1842},	// Akonadi::MessageModel::trUtf8$$$
    {92, 1887, 1863},	// Akonadi::MessageModel::~MessageModel
    {93, 394, 1885},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel
    {93, 395, 1871},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel#
    {93, 831, 1877},	// Akonadi::MessageThreaderProxyModel::columnCount#
    {93, 869, 1876},	// Akonadi::MessageThreaderProxyModel::createIndex$$$
    {93, 1012, 1875},	// Akonadi::MessageThreaderProxyModel::hasChildren#
    {93, 1044, 1874},	// Akonadi::MessageThreaderProxyModel::index$$#
    {93, 1170, 1880},	// Akonadi::MessageThreaderProxyModel::mapFromSource#
    {93, 1174, 1881},	// Akonadi::MessageThreaderProxyModel::mapToSource#
    {93, 1180, 1864},	// Akonadi::MessageThreaderProxyModel::metaObject
    {93, 1183, 1879},	// Akonadi::MessageThreaderProxyModel::mimeData?
    {93, 1191, 1878},	// Akonadi::MessageThreaderProxyModel::mimeTypes
    {93, 1228, 1872},	// Akonadi::MessageThreaderProxyModel::parent#
    {93, 1247, 1870},	// Akonadi::MessageThreaderProxyModel::qt_metacall$$?
    {93, 1249, 1865},	// Akonadi::MessageThreaderProxyModel::qt_metacast$
    {93, 1298, 1873},	// Akonadi::MessageThreaderProxyModel::rowCount#
    {93, 1622, 1882},	// Akonadi::MessageThreaderProxyModel::setSourceModel#
    {93, 1701, 1886},	// Akonadi::MessageThreaderProxyModel::staticMetaObject
    {93, 1747, 1883},	// Akonadi::MessageThreaderProxyModel::tr$
    {93, 1748, 1866},	// Akonadi::MessageThreaderProxyModel::tr$$
    {93, 1749, 1868},	// Akonadi::MessageThreaderProxyModel::tr$$$
    {93, 1751, 1884},	// Akonadi::MessageThreaderProxyModel::trUtf8$
    {93, 1752, 1867},	// Akonadi::MessageThreaderProxyModel::trUtf8$$
    {93, 1753, 1869},	// Akonadi::MessageThreaderProxyModel::trUtf8$$$
    {93, 1888, 1887},	// Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel
    {94, 396, 1888},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute
    {94, 397, 1889},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute#
    {94, 785, 1897},	// Akonadi::MessageThreadingAttribute::clone
    {94, 897, 1899},	// Akonadi::MessageThreadingAttribute::deserialize#
    {94, 1238, 1890},	// Akonadi::MessageThreadingAttribute::perfectParents
    {94, 1333, 1898},	// Akonadi::MessageThreadingAttribute::serialized
    {94, 1572, 1891},	// Akonadi::MessageThreadingAttribute::setPerfectParents?
    {94, 1628, 1895},	// Akonadi::MessageThreadingAttribute::setSubjectParents?
    {94, 1654, 1893},	// Akonadi::MessageThreadingAttribute::setUnperfectParents?
    {94, 1714, 1894},	// Akonadi::MessageThreadingAttribute::subjectParents
    {94, 1754, 1896},	// Akonadi::MessageThreadingAttribute::type
    {94, 1765, 1892},	// Akonadi::MessageThreadingAttribute::unperfectParents
    {94, 1889, 1900},	// Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute
    {95, 399, 1901},	// Akonadi::MimeTypeChecker::MimeTypeChecker
    {95, 400, 1902},	// Akonadi::MimeTypeChecker::MimeTypeChecker#
    {95, 713, 1906},	// Akonadi::MimeTypeChecker::addWantedMimeType$
    {95, 854, 1911},	// Akonadi::MimeTypeChecker::containsWantedMimeType?
    {95, 1099, 1909},	// Akonadi::MimeTypeChecker::isWantedCollection#
    {95, 1100, 1913},	// Akonadi::MimeTypeChecker::isWantedCollection#$
    {95, 1102, 1908},	// Akonadi::MimeTypeChecker::isWantedItem#
    {95, 1103, 1912},	// Akonadi::MimeTypeChecker::isWantedItem#$
    {95, 1105, 1910},	// Akonadi::MimeTypeChecker::isWantedMimeType$
    {95, 1216, 1903},	// Akonadi::MimeTypeChecker::operator=#
    {95, 1272, 1907},	// Akonadi::MimeTypeChecker::removeWantedMimeType$
    {95, 1667, 1905},	// Akonadi::MimeTypeChecker::setWantedMimeTypes?
    {95, 1794, 1904},	// Akonadi::MimeTypeChecker::wantedMimeTypes
    {95, 1890, 1914},	// Akonadi::MimeTypeChecker::~MimeTypeChecker
    {96, 159, 1994},	// Akonadi::Monitor::Collections
    {96, 371, 1995},	// Akonadi::Monitor::Items
    {96, 404, 1984},	// Akonadi::Monitor::Monitor
    {96, 405, -60},	// Akonadi::Monitor::Monitor#
    {96, 406, 1981},	// Akonadi::Monitor::Monitor##
    {96, 566, 1996},	// Akonadi::Monitor::Tags
    {96, 728, 1978},	// Akonadi::Monitor::allMonitored$
    {96, 790, 1963},	// Akonadi::Monitor::collectionAdded##
    {96, 794, 1964},	// Akonadi::Monitor::collectionChanged#
    {96, 795, 1965},	// Akonadi::Monitor::collectionChanged#?
    {96, 796, 1937},	// Akonadi::Monitor::collectionFetchScope
    {96, 804, 1974},	// Akonadi::Monitor::collectionMonitored#$
    {96, 806, 1966},	// Akonadi::Monitor::collectionMoved###
    {96, 810, 1967},	// Akonadi::Monitor::collectionRemoved#
    {96, 812, 1970},	// Akonadi::Monitor::collectionStatisticsChanged?#
    {96, 814, 1968},	// Akonadi::Monitor::collectionSubscribed##
    {96, 820, 1969},	// Akonadi::Monitor::collectionUnsubscribed#
    {96, 822, 1940},	// Akonadi::Monitor::collectionsMonitored
    {96, 971, 1934},	// Akonadi::Monitor::fetchChangedOnly$
    {96, 974, 1931},	// Akonadi::Monitor::fetchCollection$
    {96, 976, 1932},	// Akonadi::Monitor::fetchCollectionStatistics$
    {96, 1035, 1930},	// Akonadi::Monitor::ignoreSession#
    {96, 1081, 1947},	// Akonadi::Monitor::isAllMonitored
    {96, 1108, 1956},	// Akonadi::Monitor::itemAdded##
    {96, 1111, 1951},	// Akonadi::Monitor::itemChanged#?
    {96, 1113, 1935},	// Akonadi::Monitor::itemFetchScope
    {96, 1117, 1959},	// Akonadi::Monitor::itemLinked##
    {96, 1119, 1975},	// Akonadi::Monitor::itemMonitored#$
    {96, 1121, 1954},	// Akonadi::Monitor::itemMoved###
    {96, 1124, 1957},	// Akonadi::Monitor::itemRemoved#
    {96, 1131, 1961},	// Akonadi::Monitor::itemUnlinked##
    {96, 1134, 1952},	// Akonadi::Monitor::itemsFlagsChanged???
    {96, 1136, 1960},	// Akonadi::Monitor::itemsLinked?#
    {96, 1137, 1941},	// Akonadi::Monitor::itemsMonitored
    {96, 1138, 1942},	// Akonadi::Monitor::itemsMonitoredEx
    {96, 1140, 1955},	// Akonadi::Monitor::itemsMoved?##
    {96, 1144, 1958},	// Akonadi::Monitor::itemsRemoved?
    {96, 1151, 1953},	// Akonadi::Monitor::itemsTagsChanged???
    {96, 1153, 1962},	// Akonadi::Monitor::itemsUnlinked?#
    {96, 1180, 1915},	// Akonadi::Monitor::metaObject
    {96, 1190, 1977},	// Akonadi::Monitor::mimeTypeMonitored$$
    {96, 1192, 1943},	// Akonadi::Monitor::mimeTypesMonitored
    {96, 1247, 1921},	// Akonadi::Monitor::qt_metacall$$?
    {96, 1249, 1916},	// Akonadi::Monitor::qt_metacast$
    {96, 1278, 1976},	// Akonadi::Monitor::resourceMonitored#$
    {96, 1279, 1946},	// Akonadi::Monitor::resourcesMonitored
    {96, 1336, 1949},	// Akonadi::Monitor::session
    {96, 1346, 1991},	// Akonadi::Monitor::setAllMonitored
    {96, 1347, 1929},	// Akonadi::Monitor::setAllMonitored$
    {96, 1379, 1936},	// Akonadi::Monitor::setCollectionFetchScope#
    {96, 1383, 1985},	// Akonadi::Monitor::setCollectionMonitored#
    {96, 1384, 1923},	// Akonadi::Monitor::setCollectionMonitored#$
    {96, 1386, 1950},	// Akonadi::Monitor::setCollectionMoveTranslationEnabled$
    {96, 1515, 1933},	// Akonadi::Monitor::setItemFetchScope#
    {96, 1517, 1986},	// Akonadi::Monitor::setItemMonitored#
    {96, 1518, 1924},	// Akonadi::Monitor::setItemMonitored#$
    {96, 1543, 1988},	// Akonadi::Monitor::setMimeTypeMonitored$
    {96, 1544, 1926},	// Akonadi::Monitor::setMimeTypeMonitored$$
    {96, 1598, 1987},	// Akonadi::Monitor::setResourceMonitored#
    {96, 1599, 1925},	// Akonadi::Monitor::setResourceMonitored#$
    {96, 1616, 1948},	// Akonadi::Monitor::setSession#
    {96, 1634, 1938},	// Akonadi::Monitor::setTagFetchScope#
    {96, 1636, 1989},	// Akonadi::Monitor::setTagMonitored#
    {96, 1637, 1927},	// Akonadi::Monitor::setTagMonitored#$
    {96, 1651, 1990},	// Akonadi::Monitor::setTypeMonitored$
    {96, 1652, 1928},	// Akonadi::Monitor::setTypeMonitored$$
    {96, 1701, 1993},	// Akonadi::Monitor::staticMetaObject
    {96, 1731, 1971},	// Akonadi::Monitor::tagAdded#
    {96, 1733, 1972},	// Akonadi::Monitor::tagChanged#
    {96, 1734, 1939},	// Akonadi::Monitor::tagFetchScope
    {96, 1736, 1979},	// Akonadi::Monitor::tagMonitored#$
    {96, 1738, 1973},	// Akonadi::Monitor::tagRemoved#
    {96, 1740, 1944},	// Akonadi::Monitor::tagsMonitored
    {96, 1747, 1982},	// Akonadi::Monitor::tr$
    {96, 1748, 1917},	// Akonadi::Monitor::tr$$
    {96, 1749, 1919},	// Akonadi::Monitor::tr$$$
    {96, 1751, 1983},	// Akonadi::Monitor::trUtf8$
    {96, 1752, 1918},	// Akonadi::Monitor::trUtf8$$
    {96, 1753, 1920},	// Akonadi::Monitor::trUtf8$$$
    {96, 1759, 1980},	// Akonadi::Monitor::typeMonitored$$
    {96, 1764, 1945},	// Akonadi::Monitor::typesMonitored
    {96, 1891, 1997},	// Akonadi::Monitor::~Monitor
    {98, 464, 2012},	// Akonadi::PartFetcher::PartFetcher##
    {98, 465, 2005},	// Akonadi::PartFetcher::PartFetcher###
    {98, 1042, 2007},	// Akonadi::PartFetcher::index
    {98, 1106, 2009},	// Akonadi::PartFetcher::item
    {98, 1180, 1998},	// Akonadi::PartFetcher::metaObject
    {98, 1231, 2008},	// Akonadi::PartFetcher::partName
    {98, 1247, 2004},	// Akonadi::PartFetcher::qt_metacall$$?
    {98, 1249, 1999},	// Akonadi::PartFetcher::qt_metacast$
    {98, 1693, 2006},	// Akonadi::PartFetcher::start
    {98, 1701, 2013},	// Akonadi::PartFetcher::staticMetaObject
    {98, 1747, 2010},	// Akonadi::PartFetcher::tr$
    {98, 1748, 2000},	// Akonadi::PartFetcher::tr$$
    {98, 1749, 2002},	// Akonadi::PartFetcher::tr$$$
    {98, 1751, 2011},	// Akonadi::PartFetcher::trUtf8$
    {98, 1752, 2001},	// Akonadi::PartFetcher::trUtf8$$
    {98, 1753, 2003},	// Akonadi::PartFetcher::trUtf8$$$
    {98, 1894, 2014},	// Akonadi::PartFetcher::~PartFetcher
    {99, 467, 2017},	// Akonadi::PayloadBase::PayloadBase
    {99, 468, 2018},	// Akonadi::PayloadBase::PayloadBase#
    {99, 785, 2015},	// Akonadi::PayloadBase::clone
    {99, 1760, 2016},	// Akonadi::PayloadBase::typeName
    {99, 1895, 2019},	// Akonadi::PayloadBase::~PayloadBase
    {100, 470, -54},	// Akonadi::PayloadException::PayloadException#
    {100, 471, -57},	// Akonadi::PayloadException::PayloadException$
    {100, 1754, 2023},	// Akonadi::PayloadException::type
    {100, 1896, 2025},	// Akonadi::PayloadException::~PayloadException
    {101, 480, 2037},	// Akonadi::PreprocessorBase::PreprocessorBase$
    {101, 482, 2041},	// Akonadi::PreprocessorBase::ProcessingCompleted
    {101, 483, 2042},	// Akonadi::PreprocessorBase::ProcessingDelayed
    {101, 484, 2043},	// Akonadi::PreprocessorBase::ProcessingFailed
    {101, 485, 2044},	// Akonadi::PreprocessorBase::ProcessingRefused
    {101, 987, 2036},	// Akonadi::PreprocessorBase::fetchScope
    {101, 994, 2034},	// Akonadi::PreprocessorBase::finishProcessing$
    {101, 1180, 2026},	// Akonadi::PreprocessorBase::metaObject
    {101, 1242, 2033},	// Akonadi::PreprocessorBase::processItem#
    {101, 1247, 2032},	// Akonadi::PreprocessorBase::qt_metacall$$?
    {101, 1249, 2027},	// Akonadi::PreprocessorBase::qt_metacast$
    {101, 1464, 2035},	// Akonadi::PreprocessorBase::setFetchScope#
    {101, 1701, 2040},	// Akonadi::PreprocessorBase::staticMetaObject
    {101, 1747, 2038},	// Akonadi::PreprocessorBase::tr$
    {101, 1748, 2028},	// Akonadi::PreprocessorBase::tr$$
    {101, 1749, 2030},	// Akonadi::PreprocessorBase::tr$$$
    {101, 1751, 2039},	// Akonadi::PreprocessorBase::trUtf8$
    {101, 1752, 2029},	// Akonadi::PreprocessorBase::trUtf8$$
    {101, 1753, 2031},	// Akonadi::PreprocessorBase::trUtf8$$$
    {101, 1897, 2045},	// Akonadi::PreprocessorBase::~PreprocessorBase
    {102, 16, 2109},	// Akonadi::ResourceBase::AfterChangeReplay
    {102, 50, 2110},	// Akonadi::ResourceBase::Append
    {102, 477, 2108},	// Akonadi::ResourceBase::Prepend
    {102, 505, 2066},	// Akonadi::ResourceBase::ResourceBase$
    {102, 674, 2064},	// Akonadi::ResourceBase::abortActivity
    {102, 737, 2058},	// Akonadi::ResourceBase::attributesSynchronized$
    {102, 753, 2093},	// Akonadi::ResourceBase::cancelTask
    {102, 754, 2094},	// Akonadi::ResourceBase::cancelTask$
    {102, 760, -41},	// Akonadi::ResourceBase::changeCommitted#
    {102, 766, 2070},	// Akonadi::ResourceBase::changesCommitted?
    {102, 773, 2084},	// Akonadi::ResourceBase::clearCache
    {102, 792, 2068},	// Akonadi::ResourceBase::collectionAttributesRetrieved#
    {102, 818, 2059},	// Akonadi::ResourceBase::collectionTreeSynchronized
    {102, 825, 2076},	// Akonadi::ResourceBase::collectionsRetrievalDone
    {102, 827, 2073},	// Akonadi::ResourceBase::collectionsRetrieved?
    {102, 829, 2074},	// Akonadi::ResourceBase::collectionsRetrievedIncremental??
    {102, 878, 2086},	// Akonadi::ResourceBase::currentCollection
    {102, 879, 2087},	// Akonadi::ResourceBase::currentItem
    {102, 891, 2095},	// Akonadi::ResourceBase::deferTask
    {102, 914, 2096},	// Akonadi::ResourceBase::doSetOnline$
    {102, 932, 2101},	// Akonadi::ResourceBase::dumpMemoryInfo
    {102, 933, 2102},	// Akonadi::ResourceBase::dumpMemoryInfoToString
    {102, 934, 2100},	// Akonadi::ResourceBase::dumpNotificationListToString
    {102, 935, 2065},	// Akonadi::ResourceBase::dumpResourceToString
    {102, 936, 2103},	// Akonadi::ResourceBase::dumpSchedulerToString
    {102, 1080, 2085},	// Akonadi::ResourceBase::invalidateCache#
    {102, 1126, 2067},	// Akonadi::ResourceBase::itemRetrieved#
    {102, 1145, 2083},	// Akonadi::ResourceBase::itemsRetrievalDone
    {102, 1147, 2077},	// Akonadi::ResourceBase::itemsRetrieved?
    {102, 1149, 2082},	// Akonadi::ResourceBase::itemsRetrievedIncremental??
    {102, 1180, 2046},	// Akonadi::ResourceBase::metaObject
    {102, 1205, 2054},	// Akonadi::ResourceBase::name
    {102, 1207, 2056},	// Akonadi::ResourceBase::nameChanged$
    {102, 1247, 2052},	// Akonadi::ResourceBase::qt_metacall$$?
    {102, 1249, 2047},	// Akonadi::ResourceBase::qt_metacast$
    {102, 1285, 2061},	// Akonadi::ResourceBase::retrieveCollectionAttributes#
    {102, 1286, 2060},	// Akonadi::ResourceBase::retrieveCollections
    {102, 1288, 2063},	// Akonadi::ResourceBase::retrieveItem#?
    {102, 1290, 2062},	// Akonadi::ResourceBase::retrieveItems#
    {102, 1309, 2106},	// Akonadi::ResourceBase::scheduleCustomTask#$#
    {102, 1310, 2098},	// Akonadi::ResourceBase::scheduleCustomTask#$#$
    {102, 1354, 2055},	// Akonadi::ResourceBase::setAutomaticProgressReporting$
    {102, 1392, 2075},	// Akonadi::ResourceBase::setCollectionStreamingEnabled$
    {102, 1486, 2097},	// Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled$
    {102, 1524, 2079},	// Akonadi::ResourceBase::setItemStreamingEnabled$
    {102, 1526, 2081},	// Akonadi::ResourceBase::setItemSynchronizationFetchScope#
    {102, 1528, 2080},	// Akonadi::ResourceBase::setItemTransactionMode$
    {102, 1553, 2053},	// Akonadi::ResourceBase::setName$
    {102, 1647, 2078},	// Akonadi::ResourceBase::setTotalItems$
    {102, 1701, 2107},	// Akonadi::ResourceBase::staticMetaObject
    {102, 1718, 2088},	// Akonadi::ResourceBase::synchronize
    {102, 1722, 2089},	// Akonadi::ResourceBase::synchronizeCollection$
    {102, 1723, 2090},	// Akonadi::ResourceBase::synchronizeCollection$$
    {102, 1725, 2091},	// Akonadi::ResourceBase::synchronizeCollectionAttributes$
    {102, 1726, 2092},	// Akonadi::ResourceBase::synchronizeCollectionTree
    {102, 1727, 2057},	// Akonadi::ResourceBase::synchronized
    {102, 1741, 2099},	// Akonadi::ResourceBase::taskDone
    {102, 1747, 2104},	// Akonadi::ResourceBase::tr$
    {102, 1748, 2048},	// Akonadi::ResourceBase::tr$$
    {102, 1749, 2050},	// Akonadi::ResourceBase::tr$$$
    {102, 1751, 2105},	// Akonadi::ResourceBase::trUtf8$
    {102, 1752, 2049},	// Akonadi::ResourceBase::trUtf8$$
    {102, 1753, 2051},	// Akonadi::ResourceBase::trUtf8$$$
    {102, 1898, 2111},	// Akonadi::ResourceBase::~ResourceBase
    {103, 508, 2126},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob#
    {103, 509, 2119},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob##
    {103, 817, 2120},	// Akonadi::ResourceSynchronizationJob::collectionTreeOnly
    {103, 1180, 2112},	// Akonadi::ResourceSynchronizationJob::metaObject
    {103, 1247, 2118},	// Akonadi::ResourceSynchronizationJob::qt_metacall$$?
    {103, 1249, 2113},	// Akonadi::ResourceSynchronizationJob::qt_metacast$
    {103, 1276, 2122},	// Akonadi::ResourceSynchronizationJob::resource
    {103, 1394, 2121},	// Akonadi::ResourceSynchronizationJob::setCollectionTreeOnly$
    {103, 1693, 2123},	// Akonadi::ResourceSynchronizationJob::start
    {103, 1701, 2127},	// Akonadi::ResourceSynchronizationJob::staticMetaObject
    {103, 1747, 2124},	// Akonadi::ResourceSynchronizationJob::tr$
    {103, 1748, 2114},	// Akonadi::ResourceSynchronizationJob::tr$$
    {103, 1749, 2116},	// Akonadi::ResourceSynchronizationJob::tr$$$
    {103, 1751, 2125},	// Akonadi::ResourceSynchronizationJob::trUtf8$
    {103, 1752, 2115},	// Akonadi::ResourceSynchronizationJob::trUtf8$$
    {103, 1753, 2117},	// Akonadi::ResourceSynchronizationJob::trUtf8$$$
    {103, 1899, 2128},	// Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob
    {104, 516, 2153},	// Akonadi::SearchCreateJob::SearchCreateJob$#
    {104, 517, 2137},	// Akonadi::SearchCreateJob::SearchCreateJob$##
    {104, 518, 2152},	// Akonadi::SearchCreateJob::SearchCreateJob$$
    {104, 519, 2136},	// Akonadi::SearchCreateJob::SearchCreateJob$$#
    {104, 872, 2147},	// Akonadi::SearchCreateJob::createdCollection
    {104, 909, 2149},	// Akonadi::SearchCreateJob::doHandleResponse##
    {104, 915, 2148},	// Akonadi::SearchCreateJob::doStart
    {104, 1092, 2146},	// Akonadi::SearchCreateJob::isRecursive
    {104, 1093, 2144},	// Akonadi::SearchCreateJob::isRemoteSearchEnabled
    {104, 1180, 2129},	// Akonadi::SearchCreateJob::metaObject
    {104, 1247, 2135},	// Akonadi::SearchCreateJob::qt_metacall$$?
    {104, 1249, 2130},	// Akonadi::SearchCreateJob::qt_metacast$
    {104, 1313, 2142},	// Akonadi::SearchCreateJob::searchCollections
    {104, 1314, 2140},	// Akonadi::SearchCreateJob::searchMimeTypes
    {104, 1582, 2138},	// Akonadi::SearchCreateJob::setQueryLanguage$
    {104, 1588, 2145},	// Akonadi::SearchCreateJob::setRecursive$
    {104, 1594, 2143},	// Akonadi::SearchCreateJob::setRemoteSearchEnabled$
    {104, 1608, 2141},	// Akonadi::SearchCreateJob::setSearchCollections?
    {104, 1610, 2139},	// Akonadi::SearchCreateJob::setSearchMimeTypes?
    {104, 1701, 2154},	// Akonadi::SearchCreateJob::staticMetaObject
    {104, 1747, 2150},	// Akonadi::SearchCreateJob::tr$
    {104, 1748, 2131},	// Akonadi::SearchCreateJob::tr$$
    {104, 1749, 2133},	// Akonadi::SearchCreateJob::tr$$$
    {104, 1751, 2151},	// Akonadi::SearchCreateJob::trUtf8$
    {104, 1752, 2132},	// Akonadi::SearchCreateJob::trUtf8$$
    {104, 1753, 2134},	// Akonadi::SearchCreateJob::trUtf8$$$
    {104, 1900, 2155},	// Akonadi::SearchCreateJob::~SearchCreateJob
    {106, 525, 2166},	// Akonadi::SelectionProxyModel::SelectionProxyModel#
    {106, 526, 2163},	// Akonadi::SelectionProxyModel::SelectionProxyModel##
    {106, 1180, 2156},	// Akonadi::SelectionProxyModel::metaObject
    {106, 1247, 2162},	// Akonadi::SelectionProxyModel::qt_metacall$$?
    {106, 1249, 2157},	// Akonadi::SelectionProxyModel::qt_metacast$
    {106, 1701, 2167},	// Akonadi::SelectionProxyModel::staticMetaObject
    {106, 1747, 2164},	// Akonadi::SelectionProxyModel::tr$
    {106, 1748, 2158},	// Akonadi::SelectionProxyModel::tr$$
    {106, 1749, 2160},	// Akonadi::SelectionProxyModel::tr$$$
    {106, 1751, 2165},	// Akonadi::SelectionProxyModel::trUtf8$
    {106, 1752, 2159},	// Akonadi::SelectionProxyModel::trUtf8$$
    {106, 1753, 2161},	// Akonadi::SelectionProxyModel::trUtf8$$$
    {106, 1901, 2168},	// Akonadi::SelectionProxyModel::~SelectionProxyModel
    {107, 17, 2203},	// Akonadi::ServerManager::Agent
    {107, 61, 2197},	// Akonadi::ServerManager::Broken
    {107, 204, 2200},	// Akonadi::ServerManager::Control
    {107, 205, 2201},	// Akonadi::ServerManager::ControlLock
    {107, 449, 2193},	// Akonadi::ServerManager::NotRunning
    {107, 478, 2205},	// Akonadi::ServerManager::Preprocessor
    {107, 503, 2204},	// Akonadi::ServerManager::Resource
    {107, 512, 2195},	// Akonadi::ServerManager::Running
    {107, 528, 2199},	// Akonadi::ServerManager::Server
    {107, 545, 2194},	// Akonadi::ServerManager::Starting
    {107, 553, 2196},	// Akonadi::ServerManager::Stopping
    {107, 593, 2202},	// Akonadi::ServerManager::UpgradeIndicator
    {107, 594, 2198},	// Akonadi::ServerManager::Upgrading
    {107, 709, 2185},	// Akonadi::ServerManager::addNamespace$
    {107, 723, 2184},	// Akonadi::ServerManager::agentServiceName$$
    {107, 1015, 2182},	// Akonadi::ServerManager::hasInstanceIdentifier
    {107, 1061, 2181},	// Akonadi::ServerManager::instanceIdentifier
    {107, 1094, 2179},	// Akonadi::ServerManager::isRunning
    {107, 1180, 2169},	// Akonadi::ServerManager::metaObject
    {107, 1247, 2175},	// Akonadi::ServerManager::qt_metacall$$?
    {107, 1249, 2170},	// Akonadi::ServerManager::qt_metacast$
    {107, 1324, 2186},	// Akonadi::ServerManager::self
    {107, 1335, 2183},	// Akonadi::ServerManager::serviceName$
    {107, 1677, 2178},	// Akonadi::ServerManager::showSelfTestDialog#
    {107, 1693, 2176},	// Akonadi::ServerManager::start
    {107, 1697, 2187},	// Akonadi::ServerManager::started
    {107, 1698, 2180},	// Akonadi::ServerManager::state
    {107, 1700, 2189},	// Akonadi::ServerManager::stateChanged$
    {107, 1701, 2192},	// Akonadi::ServerManager::staticMetaObject
    {107, 1707, 2177},	// Akonadi::ServerManager::stop
    {107, 1709, 2188},	// Akonadi::ServerManager::stopped
    {107, 1747, 2190},	// Akonadi::ServerManager::tr$
    {107, 1748, 2171},	// Akonadi::ServerManager::tr$$
    {107, 1749, 2173},	// Akonadi::ServerManager::tr$$$
    {107, 1751, 2191},	// Akonadi::ServerManager::trUtf8$
    {107, 1752, 2172},	// Akonadi::ServerManager::trUtf8$$
    {107, 1753, 2174},	// Akonadi::ServerManager::trUtf8$$$
    {107, 1902, 2206},	// Akonadi::ServerManager::~ServerManager
    {108, 529, 2222},	// Akonadi::Session::Session
    {108, 530, -25},	// Akonadi::Session::Session#
    {108, 531, -28},	// Akonadi::Session::Session##
    {108, 532, 2219},	// Akonadi::Session::Session###
    {108, 770, 2217},	// Akonadi::Session::clear
    {108, 890, 2216},	// Akonadi::Session::defaultSession
    {108, 1180, 2207},	// Akonadi::Session::metaObject
    {108, 1247, 2213},	// Akonadi::Session::qt_metacall$$?
    {108, 1249, 2208},	// Akonadi::Session::qt_metacast$
    {108, 1252, 2218},	// Akonadi::Session::reconnected
    {108, 1337, 2215},	// Akonadi::Session::sessionId
    {108, 1701, 2226},	// Akonadi::Session::staticMetaObject
    {108, 1747, 2220},	// Akonadi::Session::tr$
    {108, 1748, 2209},	// Akonadi::Session::tr$$
    {108, 1749, 2211},	// Akonadi::Session::tr$$$
    {108, 1751, 2221},	// Akonadi::Session::trUtf8$
    {108, 1752, 2210},	// Akonadi::Session::trUtf8$$
    {108, 1753, 2212},	// Akonadi::Session::trUtf8$$$
    {108, 1903, 2227},	// Akonadi::Session::~Session
    {110, 4, 2268},	// Akonadi::StandardActionManager::AddToFavoriteCollections
    {110, 127, 2263},	// Akonadi::StandardActionManager::CollectionProperties
    {110, 206, 2282},	// Akonadi::StandardActionManager::CopyCollectionToDialog
    {110, 207, 2271},	// Akonadi::StandardActionManager::CopyCollectionToMenu
    {110, 208, 2260},	// Akonadi::StandardActionManager::CopyCollections
    {110, 209, 2284},	// Akonadi::StandardActionManager::CopyItemToDialog
    {110, 210, 2272},	// Akonadi::StandardActionManager::CopyItemToMenu
    {110, 211, 2264},	// Akonadi::StandardActionManager::CopyItems
    {110, 212, 2259},	// Akonadi::StandardActionManager::CreateCollection
    {110, 214, 2277},	// Akonadi::StandardActionManager::CreateResource
    {110, 216, 2276},	// Akonadi::StandardActionManager::CutCollections
    {110, 217, 2275},	// Akonadi::StandardActionManager::CutItems
    {110, 221, 2261},	// Akonadi::StandardActionManager::DeleteCollections
    {110, 222, 2266},	// Akonadi::StandardActionManager::DeleteItems
    {110, 223, 2278},	// Akonadi::StandardActionManager::DeleteResources
    {110, 226, 2298},	// Akonadi::StandardActionManager::DialogText
    {110, 227, 2297},	// Akonadi::StandardActionManager::DialogTitle
    {110, 269, 2303},	// Akonadi::StandardActionManager::ErrorMessageText
    {110, 270, 2302},	// Akonadi::StandardActionManager::ErrorMessageTitle
    {110, 378, 2296},	// Akonadi::StandardActionManager::LastType
    {110, 386, 2267},	// Akonadi::StandardActionManager::ManageLocalSubscriptions
    {110, 387, 2301},	// Akonadi::StandardActionManager::MessageBoxAlternativeText
    {110, 388, 2300},	// Akonadi::StandardActionManager::MessageBoxText
    {110, 389, 2299},	// Akonadi::StandardActionManager::MessageBoxTitle
    {110, 407, 2283},	// Akonadi::StandardActionManager::MoveCollectionToDialog
    {110, 408, 2274},	// Akonadi::StandardActionManager::MoveCollectionToMenu
    {110, 409, 2287},	// Akonadi::StandardActionManager::MoveCollectionsToTrash
    {110, 413, 2285},	// Akonadi::StandardActionManager::MoveItemToDialog
    {110, 414, 2273},	// Akonadi::StandardActionManager::MoveItemToMenu
    {110, 415, 2288},	// Akonadi::StandardActionManager::MoveItemsToTrash
    {110, 422, 2291},	// Akonadi::StandardActionManager::MoveToTrashRestoreCollection
    {110, 423, 2292},	// Akonadi::StandardActionManager::MoveToTrashRestoreCollectionAlternative
    {110, 424, 2293},	// Akonadi::StandardActionManager::MoveToTrashRestoreItem
    {110, 425, 2294},	// Akonadi::StandardActionManager::MoveToTrashRestoreItemAlternative
    {110, 466, 2265},	// Akonadi::StandardActionManager::Paste
    {110, 500, 2269},	// Akonadi::StandardActionManager::RemoveFromFavoriteCollections
    {110, 501, 2270},	// Akonadi::StandardActionManager::RenameFavoriteCollection
    {110, 506, 2279},	// Akonadi::StandardActionManager::ResourceProperties
    {110, 510, 2289},	// Akonadi::StandardActionManager::RestoreCollectionsFromTrash
    {110, 511, 2290},	// Akonadi::StandardActionManager::RestoreItemsFromTrash
    {110, 543, 2256},	// Akonadi::StandardActionManager::StandardActionManager#
    {110, 544, 2235},	// Akonadi::StandardActionManager::StandardActionManager##
    {110, 562, 2262},	// Akonadi::StandardActionManager::SynchronizeCollections
    {110, 563, 2286},	// Akonadi::StandardActionManager::SynchronizeCollectionsRecursive
    {110, 564, 2295},	// Akonadi::StandardActionManager::SynchronizeFavoriteCollections
    {110, 565, 2280},	// Akonadi::StandardActionManager::SynchronizeResources
    {110, 569, 2281},	// Akonadi::StandardActionManager::ToggleWorkOffline
    {110, 683, 2242},	// Akonadi::StandardActionManager::action$
    {110, 685, 2253},	// Akonadi::StandardActionManager::actionStateUpdated
    {110, 861, 2240},	// Akonadi::StandardActionManager::createAction$
    {110, 863, 2252},	// Akonadi::StandardActionManager::createActionFolderMenu#$
    {110, 864, 2241},	// Akonadi::StandardActionManager::createAllActions
    {110, 1076, 2257},	// Akonadi::StandardActionManager::interceptAction$
    {110, 1077, 2244},	// Akonadi::StandardActionManager::interceptAction$$
    {110, 1180, 2228},	// Akonadi::StandardActionManager::metaObject
    {110, 1247, 2234},	// Akonadi::StandardActionManager::qt_metacall$$?
    {110, 1249, 2229},	// Akonadi::StandardActionManager::qt_metacast$
    {110, 1318, 2245},	// Akonadi::StandardActionManager::selectedCollections
    {110, 1320, 2246},	// Akonadi::StandardActionManager::selectedItems
    {110, 1341, 2243},	// Akonadi::StandardActionManager::setActionText$#
    {110, 1368, 2250},	// Akonadi::StandardActionManager::setCapabilityFilter?
    {110, 1388, 2251},	// Akonadi::StandardActionManager::setCollectionPropertiesPageNames?
    {110, 1390, 2236},	// Akonadi::StandardActionManager::setCollectionSelectionModel#
    {110, 1419, 2248},	// Akonadi::StandardActionManager::setContextText$$#
    {110, 1420, 2247},	// Akonadi::StandardActionManager::setContextText$$$
    {110, 1450, 2238},	// Akonadi::StandardActionManager::setFavoriteCollectionsModel#
    {110, 1454, 2239},	// Akonadi::StandardActionManager::setFavoriteSelectionModel#
    {110, 1522, 2237},	// Akonadi::StandardActionManager::setItemSelectionModel#
    {110, 1541, 2249},	// Akonadi::StandardActionManager::setMimeTypeFilter?
    {110, 1701, 2258},	// Akonadi::StandardActionManager::staticMetaObject
    {110, 1747, 2254},	// Akonadi::StandardActionManager::tr$
    {110, 1748, 2230},	// Akonadi::StandardActionManager::tr$$
    {110, 1749, 2232},	// Akonadi::StandardActionManager::tr$$$
    {110, 1751, 2255},	// Akonadi::StandardActionManager::trUtf8$
    {110, 1752, 2231},	// Akonadi::StandardActionManager::trUtf8$$
    {110, 1753, 2233},	// Akonadi::StandardActionManager::trUtf8$$$
    {110, 1904, 2304},	// Akonadi::StandardActionManager::~StandardActionManager
    {111, 548, 2327},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel
    {111, 549, 2312},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel#
    {111, 830, 2331},	// Akonadi::StatisticsProxyModel::columnCount
    {111, 831, 2321},	// Akonadi::StatisticsProxyModel::columnCount#
    {111, 842, 2324},	// Akonadi::StatisticsProxyModel::connectNotify$
    {111, 885, 2329},	// Akonadi::StatisticsProxyModel::data#
    {111, 886, 2318},	// Akonadi::StatisticsProxyModel::data#$
    {111, 997, 2320},	// Akonadi::StatisticsProxyModel::flags#
    {111, 1020, 2330},	// Akonadi::StatisticsProxyModel::headerData$$
    {111, 1021, 2319},	// Akonadi::StatisticsProxyModel::headerData$$$
    {111, 1043, 2328},	// Akonadi::StatisticsProxyModel::index$$
    {111, 1044, 2317},	// Akonadi::StatisticsProxyModel::index$$#
    {111, 1087, 2316},	// Akonadi::StatisticsProxyModel::isExtraColumnsEnabled
    {111, 1095, 2314},	// Akonadi::StatisticsProxyModel::isToolTipEnabled
    {111, 1176, 2332},	// Akonadi::StatisticsProxyModel::match#$#
    {111, 1177, 2333},	// Akonadi::StatisticsProxyModel::match#$#$
    {111, 1178, 2322},	// Akonadi::StatisticsProxyModel::match#$#$$
    {111, 1180, 2305},	// Akonadi::StatisticsProxyModel::metaObject
    {111, 1247, 2311},	// Akonadi::StatisticsProxyModel::qt_metacall$$?
    {111, 1249, 2306},	// Akonadi::StatisticsProxyModel::qt_metacast$
    {111, 1448, 2315},	// Akonadi::StatisticsProxyModel::setExtraColumnsEnabled$
    {111, 1622, 2323},	// Akonadi::StatisticsProxyModel::setSourceModel#
    {111, 1645, 2313},	// Akonadi::StatisticsProxyModel::setToolTipEnabled$
    {111, 1701, 2334},	// Akonadi::StatisticsProxyModel::staticMetaObject
    {111, 1747, 2325},	// Akonadi::StatisticsProxyModel::tr$
    {111, 1748, 2307},	// Akonadi::StatisticsProxyModel::tr$$
    {111, 1749, 2309},	// Akonadi::StatisticsProxyModel::tr$$$
    {111, 1751, 2326},	// Akonadi::StatisticsProxyModel::trUtf8$
    {111, 1752, 2308},	// Akonadi::StatisticsProxyModel::trUtf8$$
    {111, 1753, 2310},	// Akonadi::StatisticsProxyModel::trUtf8$$$
    {111, 1905, 2335},	// Akonadi::StatisticsProxyModel::~StatisticsProxyModel
    {114, 573, 2343},	// Akonadi::TransactionBeginJob::TransactionBeginJob#
    {114, 915, 2344},	// Akonadi::TransactionBeginJob::doStart
    {114, 1180, 2336},	// Akonadi::TransactionBeginJob::metaObject
    {114, 1247, 2342},	// Akonadi::TransactionBeginJob::qt_metacall$$?
    {114, 1249, 2337},	// Akonadi::TransactionBeginJob::qt_metacast$
    {114, 1701, 2347},	// Akonadi::TransactionBeginJob::staticMetaObject
    {114, 1747, 2345},	// Akonadi::TransactionBeginJob::tr$
    {114, 1748, 2338},	// Akonadi::TransactionBeginJob::tr$$
    {114, 1749, 2340},	// Akonadi::TransactionBeginJob::tr$$$
    {114, 1751, 2346},	// Akonadi::TransactionBeginJob::trUtf8$
    {114, 1752, 2339},	// Akonadi::TransactionBeginJob::trUtf8$$
    {114, 1753, 2341},	// Akonadi::TransactionBeginJob::trUtf8$$$
    {114, 1906, 2348},	// Akonadi::TransactionBeginJob::~TransactionBeginJob
    {115, 575, 2356},	// Akonadi::TransactionCommitJob::TransactionCommitJob#
    {115, 915, 2357},	// Akonadi::TransactionCommitJob::doStart
    {115, 1180, 2349},	// Akonadi::TransactionCommitJob::metaObject
    {115, 1247, 2355},	// Akonadi::TransactionCommitJob::qt_metacall$$?
    {115, 1249, 2350},	// Akonadi::TransactionCommitJob::qt_metacast$
    {115, 1701, 2360},	// Akonadi::TransactionCommitJob::staticMetaObject
    {115, 1747, 2358},	// Akonadi::TransactionCommitJob::tr$
    {115, 1748, 2351},	// Akonadi::TransactionCommitJob::tr$$
    {115, 1749, 2353},	// Akonadi::TransactionCommitJob::tr$$$
    {115, 1751, 2359},	// Akonadi::TransactionCommitJob::trUtf8$
    {115, 1752, 2352},	// Akonadi::TransactionCommitJob::trUtf8$$
    {115, 1753, 2354},	// Akonadi::TransactionCommitJob::trUtf8$$$
    {115, 1907, 2361},	// Akonadi::TransactionCommitJob::~TransactionCommitJob
    {116, 577, 2369},	// Akonadi::TransactionRollbackJob::TransactionRollbackJob#
    {116, 915, 2370},	// Akonadi::TransactionRollbackJob::doStart
    {116, 1180, 2362},	// Akonadi::TransactionRollbackJob::metaObject
    {116, 1247, 2368},	// Akonadi::TransactionRollbackJob::qt_metacall$$?
    {116, 1249, 2363},	// Akonadi::TransactionRollbackJob::qt_metacast$
    {116, 1701, 2373},	// Akonadi::TransactionRollbackJob::staticMetaObject
    {116, 1747, 2371},	// Akonadi::TransactionRollbackJob::tr$
    {116, 1748, 2364},	// Akonadi::TransactionRollbackJob::tr$$
    {116, 1749, 2366},	// Akonadi::TransactionRollbackJob::tr$$$
    {116, 1751, 2372},	// Akonadi::TransactionRollbackJob::trUtf8$
    {116, 1752, 2365},	// Akonadi::TransactionRollbackJob::trUtf8$$
    {116, 1753, 2367},	// Akonadi::TransactionRollbackJob::trUtf8$$$
    {116, 1908, 2374},	// Akonadi::TransactionRollbackJob::~TransactionRollbackJob
    {117, 578, 2392},	// Akonadi::TransactionSequence::TransactionSequence
    {117, 579, 2382},	// Akonadi::TransactionSequence::TransactionSequence#
    {117, 711, 2387},	// Akonadi::TransactionSequence::addSubjob#
    {117, 832, 2383},	// Akonadi::TransactionSequence::commit
    {117, 915, 2388},	// Akonadi::TransactionSequence::doStart
    {117, 1180, 2375},	// Akonadi::TransactionSequence::metaObject
    {117, 1247, 2381},	// Akonadi::TransactionSequence::qt_metacall$$?
    {117, 1249, 2376},	// Akonadi::TransactionSequence::qt_metacast$
    {117, 1294, 2384},	// Akonadi::TransactionSequence::rollback
    {117, 1352, 2386},	// Akonadi::TransactionSequence::setAutomaticCommittingEnabled$
    {117, 1492, 2385},	// Akonadi::TransactionSequence::setIgnoreJobFailure#
    {117, 1688, 2389},	// Akonadi::TransactionSequence::slotResult#
    {117, 1701, 2393},	// Akonadi::TransactionSequence::staticMetaObject
    {117, 1747, 2390},	// Akonadi::TransactionSequence::tr$
    {117, 1748, 2377},	// Akonadi::TransactionSequence::tr$$
    {117, 1749, 2379},	// Akonadi::TransactionSequence::tr$$$
    {117, 1751, 2391},	// Akonadi::TransactionSequence::trUtf8$
    {117, 1752, 2378},	// Akonadi::TransactionSequence::trUtf8$$
    {117, 1753, 2380},	// Akonadi::TransactionSequence::trUtf8$$$
    {117, 1909, 2394},	// Akonadi::TransactionSequence::~TransactionSequence
    {118, 580, 2401},	// Akonadi::TransportResourceBase::TransportFailed
    {118, 581, 2395},	// Akonadi::TransportResourceBase::TransportResourceBase
    {118, 582, 2398},	// Akonadi::TransportResourceBase::TransportResourceBase#
    {118, 583, 2400},	// Akonadi::TransportResourceBase::TransportSucceeded
    {118, 1128, 2399},	// Akonadi::TransportResourceBase::itemSent#$
    {118, 1129, 2397},	// Akonadi::TransportResourceBase::itemSent#$$
    {118, 1328, 2396},	// Akonadi::TransportResourceBase::sendItem#
    {118, 1910, 2402},	// Akonadi::TransportResourceBase::~TransportResourceBase
    {119, 589, 2414},	// Akonadi::UnlinkJob::UnlinkJob#?
    {119, 590, 2410},	// Akonadi::UnlinkJob::UnlinkJob#?#
    {119, 915, 2411},	// Akonadi::UnlinkJob::doStart
    {119, 1180, 2403},	// Akonadi::UnlinkJob::metaObject
    {119, 1247, 2409},	// Akonadi::UnlinkJob::qt_metacall$$?
    {119, 1249, 2404},	// Akonadi::UnlinkJob::qt_metacast$
    {119, 1701, 2415},	// Akonadi::UnlinkJob::staticMetaObject
    {119, 1747, 2412},	// Akonadi::UnlinkJob::tr$
    {119, 1748, 2405},	// Akonadi::UnlinkJob::tr$$
    {119, 1749, 2407},	// Akonadi::UnlinkJob::tr$$$
    {119, 1751, 2413},	// Akonadi::UnlinkJob::trUtf8$
    {119, 1752, 2406},	// Akonadi::UnlinkJob::trUtf8$$
    {119, 1753, 2408},	// Akonadi::UnlinkJob::trUtf8$$$
    {119, 1911, 2416},	// Akonadi::UnlinkJob::~UnlinkJob
    {175, 610, 2602},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {175, 611, 2603},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {175, 612, 2610},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {175, 613, 2611},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {175, 614, 2612},	// QGlobalSpace::_CS_LFS64_LIBS
    {175, 615, 2613},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {175, 616, 2606},	// QGlobalSpace::_CS_LFS_CFLAGS
    {175, 617, 2607},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {175, 618, 2608},	// QGlobalSpace::_CS_LFS_LIBS
    {175, 619, 2609},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {175, 620, 2600},	// QGlobalSpace::_CS_PATH
    {175, 621, 2630},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {175, 622, 2631},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {175, 623, 2632},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {175, 624, 2633},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {175, 625, 2634},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {175, 626, 2635},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {175, 627, 2636},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {175, 628, 2637},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {175, 629, 2638},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {175, 630, 2639},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {175, 631, 2640},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {175, 632, 2641},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {175, 633, 2642},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {175, 634, 2643},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {175, 635, 2644},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {175, 636, 2645},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {175, 637, 2646},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {175, 638, 2647},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {175, 639, 2648},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {175, 640, 2649},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {175, 641, 2650},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {175, 642, 2651},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {175, 643, 2652},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {175, 644, 2653},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {175, 645, 2654},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {175, 646, 2655},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {175, 647, 2656},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {175, 648, 2657},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {175, 649, 2658},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {175, 650, 2659},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {175, 651, 2660},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {175, 652, 2661},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {175, 653, 2604},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {175, 654, 2662},	// QGlobalSpace::_CS_V6_ENV
    {175, 655, 2601},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {175, 656, 2663},	// QGlobalSpace::_CS_V7_ENV
    {175, 657, 2605},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {175, 658, 2614},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {175, 659, 2615},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {175, 660, 2616},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {175, 661, 2617},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {175, 662, 2618},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {175, 663, 2619},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {175, 664, 2620},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {175, 665, 2621},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {175, 666, 2622},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {175, 667, 2623},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {175, 668, 2624},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {175, 669, 2625},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {175, 670, 2626},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {175, 671, 2627},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {175, 672, 2628},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {175, 673, 2629},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 219,
        __smokeakonadi::methods, 2819,
        __smokeakonadi::methodMaps, 2431,
        __smokeakonadi::methodNames, 1911,
        __smokeakonadi::types, 485,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
