#include <ktexteditor_includes.h>

#include <smoke.h>
#include <ktexteditor_smoke.h>

namespace __smokektexteditor {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KAction
      switch(to) {
        case 2: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 3:   //KActionCollection
      switch(to) {
        case 3: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 4:   //KCompletion
      switch(to) {
        case 4: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 5:   //KComponentData
      switch(to) {
        case 5: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 6:   //KConfig
      switch(to) {
        case 6: return (void*)(KConfig*)xptr;
        default: return xptr;
      }
    case 7:   //KConfigGroup
      switch(to) {
        case 7: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 8:   //KIcon
      switch(to) {
        case 8: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 9:   //KParts::Factory
      switch(to) {
        case 18: return (void*)(KPluginFactory*)(KParts::Factory*)xptr;
        case 99: return (void*)(QObject*)(KParts::Factory*)xptr;
        case 9: return (void*)(KParts::Factory*)xptr;
        case 41: return (void*)(KTextEditor::Factory*)(KParts::Factory*)xptr;
        default: return xptr;
      }
    case 10:   //KParts::GUIActivateEvent
      switch(to) {
        case 10: return (void*)(KParts::GUIActivateEvent*)xptr;
        default: return xptr;
      }
    case 11:   //KParts::Part
      switch(to) {
        case 99: return (void*)(QObject*)(KParts::Part*)xptr;
        case 13: return (void*)(KParts::PartBase*)(KParts::Part*)xptr;
        case 68: return (void*)(KXMLGUIClient*)(KParts::Part*)xptr;
        case 11: return (void*)(KParts::Part*)xptr;
        case 38: return (void*)(KTextEditor::Document*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 12:   //KParts::PartActivateEvent
      switch(to) {
        case 12: return (void*)(KParts::PartActivateEvent*)xptr;
        default: return xptr;
      }
    case 13:   //KParts::PartBase
      switch(to) {
        case 68: return (void*)(KXMLGUIClient*)(KParts::PartBase*)xptr;
        case 13: return (void*)(KParts::PartBase*)xptr;
        case 38: return (void*)(KTextEditor::Document*)(KParts::PartBase*)xptr;
        default: return xptr;
      }
    case 14:   //KParts::PartManager
      switch(to) {
        case 14: return (void*)(KParts::PartManager*)xptr;
        default: return xptr;
      }
    case 15:   //KParts::PartSelectEvent
      switch(to) {
        case 15: return (void*)(KParts::PartSelectEvent*)xptr;
        default: return xptr;
      }
    case 16:   //KParts::ReadOnlyPart
      switch(to) {
        case 11: return (void*)(KParts::Part*)(KParts::ReadOnlyPart*)xptr;
        case 99: return (void*)(QObject*)(KParts::ReadOnlyPart*)xptr;
        case 13: return (void*)(KParts::PartBase*)(KParts::ReadOnlyPart*)xptr;
        case 68: return (void*)(KXMLGUIClient*)(KParts::ReadOnlyPart*)xptr;
        case 16: return (void*)(KParts::ReadOnlyPart*)xptr;
        case 38: return (void*)(KTextEditor::Document*)(KParts::ReadOnlyPart*)xptr;
        default: return xptr;
      }
    case 17:   //KParts::ReadWritePart
      switch(to) {
        case 16: return (void*)(KParts::ReadOnlyPart*)(KParts::ReadWritePart*)xptr;
        case 11: return (void*)(KParts::Part*)(KParts::ReadWritePart*)xptr;
        case 99: return (void*)(QObject*)(KParts::ReadWritePart*)xptr;
        case 13: return (void*)(KParts::PartBase*)(KParts::ReadWritePart*)xptr;
        case 68: return (void*)(KXMLGUIClient*)(KParts::ReadWritePart*)xptr;
        case 17: return (void*)(KParts::ReadWritePart*)xptr;
        case 38: return (void*)(KTextEditor::Document*)(KParts::ReadWritePart*)xptr;
        default: return xptr;
      }
    case 18:   //KPluginFactory
      switch(to) {
        case 99: return (void*)(QObject*)(KPluginFactory*)xptr;
        case 18: return (void*)(KPluginFactory*)xptr;
        case 41: return (void*)(KTextEditor::Factory*)(KPluginFactory*)xptr;
        default: return xptr;
      }
    case 19:   //KService
      switch(to) {
        case 107: return (void*)(QSharedData*)(KService*)xptr;
        case 19: return (void*)(KService*)xptr;
        default: return xptr;
      }
    case 21:   //KTextEditor::AnnotationInterface
      switch(to) {
        case 21: return (void*)(KTextEditor::AnnotationInterface*)xptr;
        case 23: return (void*)(KTextEditor::AnnotationViewInterface*)(KTextEditor::AnnotationInterface*)xptr;
        default: return xptr;
      }
    case 22:   //KTextEditor::AnnotationModel
      switch(to) {
        case 99: return (void*)(QObject*)(KTextEditor::AnnotationModel*)xptr;
        case 22: return (void*)(KTextEditor::AnnotationModel*)xptr;
        default: return xptr;
      }
    case 23:   //KTextEditor::AnnotationViewInterface
      switch(to) {
        case 21: return (void*)(KTextEditor::AnnotationInterface*)(KTextEditor::AnnotationViewInterface*)xptr;
        case 23: return (void*)(KTextEditor::AnnotationViewInterface*)xptr;
        default: return xptr;
      }
    case 24:   //KTextEditor::Attribute
      switch(to) {
        case 112: return (void*)(QTextCharFormat*)(KTextEditor::Attribute*)xptr;
        case 107: return (void*)(QSharedData*)(KTextEditor::Attribute*)xptr;
        case 24: return (void*)(KTextEditor::Attribute*)xptr;
        default: return xptr;
      }
    case 25:   //KTextEditor::CodeCompletionInterface
      switch(to) {
        case 25: return (void*)(KTextEditor::CodeCompletionInterface*)xptr;
        default: return xptr;
      }
    case 26:   //KTextEditor::CodeCompletionModel
      switch(to) {
        case 69: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel*)xptr;
        case 99: return (void*)(QObject*)(KTextEditor::CodeCompletionModel*)xptr;
        case 26: return (void*)(KTextEditor::CodeCompletionModel*)xptr;
        case 27: return (void*)(KTextEditor::CodeCompletionModel2*)(KTextEditor::CodeCompletionModel*)xptr;
        default: return xptr;
      }
    case 27:   //KTextEditor::CodeCompletionModel2
      switch(to) {
        case 26: return (void*)(KTextEditor::CodeCompletionModel*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 69: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 99: return (void*)(QObject*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 27: return (void*)(KTextEditor::CodeCompletionModel2*)xptr;
        default: return xptr;
      }
    case 28:   //KTextEditor::CodeCompletionModelControllerInterface
      switch(to) {
        case 28: return (void*)(KTextEditor::CodeCompletionModelControllerInterface*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModelControllerInterface2*)(KTextEditor::CodeCompletionModelControllerInterface*)xptr;
        default: return xptr;
      }
    case 29:   //KTextEditor::CodeCompletionModelControllerInterface2
      switch(to) {
        case 28: return (void*)(KTextEditor::CodeCompletionModelControllerInterface*)(KTextEditor::CodeCompletionModelControllerInterface2*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModelControllerInterface2*)xptr;
        default: return xptr;
      }
    case 30:   //KTextEditor::Command
      switch(to) {
        case 30: return (void*)(KTextEditor::Command*)xptr;
        default: return xptr;
      }
    case 31:   //KTextEditor::CommandExtension
      switch(to) {
        case 31: return (void*)(KTextEditor::CommandExtension*)xptr;
        default: return xptr;
      }
    case 32:   //KTextEditor::CommandInterface
      switch(to) {
        case 32: return (void*)(KTextEditor::CommandInterface*)xptr;
        default: return xptr;
      }
    case 33:   //KTextEditor::ConfigInterface
      switch(to) {
        case 33: return (void*)(KTextEditor::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 34:   //KTextEditor::ConfigPage
      switch(to) {
        case 116: return (void*)(QWidget*)(KTextEditor::ConfigPage*)xptr;
        case 99: return (void*)(QObject*)(KTextEditor::ConfigPage*)xptr;
        case 34: return (void*)(KTextEditor::ConfigPage*)xptr;
        default: return xptr;
      }
    case 35:   //KTextEditor::ContainerInterface
      switch(to) {
        case 35: return (void*)(KTextEditor::ContainerInterface*)xptr;
        default: return xptr;
      }
    case 36:   //KTextEditor::CoordinatesToCursorInterface
      switch(to) {
        case 36: return (void*)(KTextEditor::CoordinatesToCursorInterface*)xptr;
        default: return xptr;
      }
    case 37:   //KTextEditor::Cursor
      switch(to) {
        case 37: return (void*)(KTextEditor::Cursor*)xptr;
        case 55: return (void*)(KTextEditor::SmartCursor*)(KTextEditor::Cursor*)xptr;
        default: return xptr;
      }
    case 38:   //KTextEditor::Document
      switch(to) {
        case 17: return (void*)(KParts::ReadWritePart*)(KTextEditor::Document*)xptr;
        case 16: return (void*)(KParts::ReadOnlyPart*)(KTextEditor::Document*)xptr;
        case 11: return (void*)(KParts::Part*)(KTextEditor::Document*)xptr;
        case 99: return (void*)(QObject*)(KTextEditor::Document*)xptr;
        case 13: return (void*)(KParts::PartBase*)(KTextEditor::Document*)xptr;
        case 68: return (void*)(KXMLGUIClient*)(KTextEditor::Document*)xptr;
        case 38: return (void*)(KTextEditor::Document*)xptr;
        default: return xptr;
      }
    case 39:   //KTextEditor::Editor
      switch(to) {
        case 99: return (void*)(QObject*)(KTextEditor::Editor*)xptr;
        case 39: return (void*)(KTextEditor::Editor*)xptr;
        default: return xptr;
      }
    case 40:   //KTextEditor::EditorChooser
      switch(to) {
        case 116: return (void*)(QWidget*)(KTextEditor::EditorChooser*)xptr;
        case 99: return (void*)(QObject*)(KTextEditor::EditorChooser*)xptr;
        case 40: return (void*)(KTextEditor::EditorChooser*)xptr;
        default: return xptr;
      }
    case 41:   //KTextEditor::Factory
      switch(to) {
        case 9: return (void*)(KParts::Factory*)(KTextEditor::Factory*)xptr;
        case 18: return (void*)(KPluginFactory*)(KTextEditor::Factory*)xptr;
        case 99: return (void*)(QObject*)(KTextEditor::Factory*)xptr;
        case 41: return (void*)(KTextEditor::Factory*)xptr;
        default: return xptr;
      }
    case 42:   //KTextEditor::HighlightInterface
      switch(to) {
        case 42: return (void*)(KTextEditor::HighlightInterface*)xptr;
        default: return xptr;
      }
    case 43:   //KTextEditor::HighlightInterface::AttributeBlock
      switch(to) {
        case 43: return (void*)(KTextEditor::HighlightInterface::AttributeBlock*)xptr;
        default: return xptr;
      }
    case 44:   //KTextEditor::LoadSaveFilterCheckPlugin
      switch(to) {
        case 99: return (void*)(QObject*)(KTextEditor::LoadSaveFilterCheckPlugin*)xptr;
        case 44: return (void*)(KTextEditor::LoadSaveFilterCheckPlugin*)xptr;
        default: return xptr;
      }
    case 45:   //KTextEditor::Mark
      switch(to) {
        case 45: return (void*)(KTextEditor::Mark*)xptr;
        default: return xptr;
      }
    case 46:   //KTextEditor::MarkInterface
      switch(to) {
        case 46: return (void*)(KTextEditor::MarkInterface*)xptr;
        default: return xptr;
      }
    case 47:   //KTextEditor::MdiContainer
      switch(to) {
        case 47: return (void*)(KTextEditor::MdiContainer*)xptr;
        default: return xptr;
      }
    case 48:   //KTextEditor::ModificationInterface
      switch(to) {
        case 48: return (void*)(KTextEditor::ModificationInterface*)xptr;
        default: return xptr;
      }
    case 49:   //KTextEditor::ParameterizedSessionConfigInterface
      switch(to) {
        case 49: return (void*)(KTextEditor::ParameterizedSessionConfigInterface*)xptr;
        default: return xptr;
      }
    case 50:   //KTextEditor::Plugin
      switch(to) {
        case 99: return (void*)(QObject*)(KTextEditor::Plugin*)xptr;
        case 50: return (void*)(KTextEditor::Plugin*)xptr;
        default: return xptr;
      }
    case 51:   //KTextEditor::Range
      switch(to) {
        case 51: return (void*)(KTextEditor::Range*)xptr;
        case 59: return (void*)(KTextEditor::SmartRange*)(KTextEditor::Range*)xptr;
        default: return xptr;
      }
    case 52:   //KTextEditor::RangeCommand
      switch(to) {
        case 52: return (void*)(KTextEditor::RangeCommand*)xptr;
        default: return xptr;
      }
    case 53:   //KTextEditor::SearchInterface
      switch(to) {
        case 53: return (void*)(KTextEditor::SearchInterface*)xptr;
        default: return xptr;
      }
    case 54:   //KTextEditor::SessionConfigInterface
      switch(to) {
        case 54: return (void*)(KTextEditor::SessionConfigInterface*)xptr;
        default: return xptr;
      }
    case 55:   //KTextEditor::SmartCursor
      switch(to) {
        case 37: return (void*)(KTextEditor::Cursor*)(KTextEditor::SmartCursor*)xptr;
        case 55: return (void*)(KTextEditor::SmartCursor*)xptr;
        default: return xptr;
      }
    case 56:   //KTextEditor::SmartCursorNotifier
      switch(to) {
        case 99: return (void*)(QObject*)(KTextEditor::SmartCursorNotifier*)xptr;
        case 56: return (void*)(KTextEditor::SmartCursorNotifier*)xptr;
        default: return xptr;
      }
    case 57:   //KTextEditor::SmartCursorWatcher
      switch(to) {
        case 57: return (void*)(KTextEditor::SmartCursorWatcher*)xptr;
        default: return xptr;
      }
    case 58:   //KTextEditor::SmartInterface
      switch(to) {
        case 58: return (void*)(KTextEditor::SmartInterface*)xptr;
        default: return xptr;
      }
    case 59:   //KTextEditor::SmartRange
      switch(to) {
        case 51: return (void*)(KTextEditor::Range*)(KTextEditor::SmartRange*)xptr;
        case 59: return (void*)(KTextEditor::SmartRange*)xptr;
        default: return xptr;
      }
    case 60:   //KTextEditor::SmartRangeNotifier
      switch(to) {
        case 99: return (void*)(QObject*)(KTextEditor::SmartRangeNotifier*)xptr;
        case 60: return (void*)(KTextEditor::SmartRangeNotifier*)xptr;
        default: return xptr;
      }
    case 61:   //KTextEditor::SmartRangeWatcher
      switch(to) {
        case 61: return (void*)(KTextEditor::SmartRangeWatcher*)xptr;
        default: return xptr;
      }
    case 62:   //KTextEditor::TemplateInterface
      switch(to) {
        case 62: return (void*)(KTextEditor::TemplateInterface*)xptr;
        default: return xptr;
      }
    case 63:   //KTextEditor::TextHintInterface
      switch(to) {
        case 63: return (void*)(KTextEditor::TextHintInterface*)xptr;
        default: return xptr;
      }
    case 64:   //KTextEditor::VariableInterface
      switch(to) {
        case 64: return (void*)(KTextEditor::VariableInterface*)xptr;
        default: return xptr;
      }
    case 65:   //KTextEditor::View
      switch(to) {
        case 116: return (void*)(QWidget*)(KTextEditor::View*)xptr;
        case 99: return (void*)(QObject*)(KTextEditor::View*)xptr;
        case 68: return (void*)(KXMLGUIClient*)(KTextEditor::View*)xptr;
        case 65: return (void*)(KTextEditor::View*)xptr;
        default: return xptr;
      }
    case 66:   //KTextEditor::ViewBarContainer
      switch(to) {
        case 66: return (void*)(KTextEditor::ViewBarContainer*)xptr;
        default: return xptr;
      }
    case 67:   //KUrl
      switch(to) {
        case 67: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 68:   //KXMLGUIClient
      switch(to) {
        case 68: return (void*)(KXMLGUIClient*)xptr;
        case 38: return (void*)dynamic_cast<KTextEditor::Document*>((KXMLGUIClient*)xptr);
        case 65: return (void*)(KTextEditor::View*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 69:   //QAbstractItemModel
      switch(to) {
        case 99: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 69: return (void*)(QAbstractItemModel*)xptr;
        case 27: return (void*)(KTextEditor::CodeCompletionModel2*)(QAbstractItemModel*)xptr;
        case 26: return (void*)(KTextEditor::CodeCompletionModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 70:   //QAction
      switch(to) {
        case 70: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 71:   //QActionEvent
      switch(to) {
        case 71: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QBool
      switch(to) {
        case 72: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 73:   //QBrush
      switch(to) {
        case 73: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 74:   //QChar
      switch(to) {
        case 74: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 75:   //QChildEvent
      switch(to) {
        case 84: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 75: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QCloseEvent
      switch(to) {
        case 76: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 77:   //QContextMenuEvent
      switch(to) {
        case 77: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QDomDocument
      switch(to) {
        case 78: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 79:   //QDomElement
      switch(to) {
        case 79: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 80:   //QDragEnterEvent
      switch(to) {
        case 80: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 81:   //QDragLeaveEvent
      switch(to) {
        case 81: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QDragMoveEvent
      switch(to) {
        case 82: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QDropEvent
      switch(to) {
        case 83: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 84:   //QEvent
      switch(to) {
        case 84: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 85:   //QFocusEvent
      switch(to) {
        case 85: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 86:   //QFont
      switch(to) {
        case 86: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 88:   //QHideEvent
      switch(to) {
        case 88: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 89:   //QIncompatibleFlag
      switch(to) {
        case 89: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 90:   //QInputMethodEvent
      switch(to) {
        case 90: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 91:   //QKeyEvent
      switch(to) {
        case 91: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 92:   //QMenu
      switch(to) {
        case 92: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 93:   //QMetaObject
      switch(to) {
        case 93: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 94:   //QMimeData
      switch(to) {
        case 94: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 95:   //QModelIndex
      switch(to) {
        case 95: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 96:   //QMouseEvent
      switch(to) {
        case 96: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 97:   //QMoveEvent
      switch(to) {
        case 97: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 98:   //QMutex
      switch(to) {
        case 98: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 99:   //QObject
      switch(to) {
        case 99: return (void*)(QObject*)xptr;
        case 22: return (void*)(KTextEditor::AnnotationModel*)(QObject*)xptr;
        case 44: return (void*)(KTextEditor::LoadSaveFilterCheckPlugin*)(QObject*)xptr;
        case 41: return (void*)(KTextEditor::Factory*)(QObject*)xptr;
        case 50: return (void*)(KTextEditor::Plugin*)(QObject*)xptr;
        case 39: return (void*)(KTextEditor::Editor*)(QObject*)xptr;
        case 56: return (void*)(KTextEditor::SmartCursorNotifier*)(QObject*)xptr;
        case 27: return (void*)(KTextEditor::CodeCompletionModel2*)(QObject*)xptr;
        case 38: return (void*)(KTextEditor::Document*)(QObject*)xptr;
        case 26: return (void*)(KTextEditor::CodeCompletionModel*)(QObject*)xptr;
        case 40: return (void*)(KTextEditor::EditorChooser*)(QObject*)xptr;
        case 65: return (void*)(KTextEditor::View*)(QObject*)xptr;
        case 34: return (void*)(KTextEditor::ConfigPage*)(QObject*)xptr;
        case 60: return (void*)(KTextEditor::SmartRangeNotifier*)(QObject*)xptr;
        default: return xptr;
      }
    case 100:   //QPaintEngine
      switch(to) {
        case 100: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 101:   //QPaintEvent
      switch(to) {
        case 101: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QPalette
      switch(to) {
        case 102: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 103:   //QPixmap
      switch(to) {
        case 103: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 104:   //QPoint
      switch(to) {
        case 104: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 105:   //QRegExp
      switch(to) {
        case 105: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 106:   //QResizeEvent
      switch(to) {
        case 106: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 107:   //QSharedData
      switch(to) {
        case 107: return (void*)(QSharedData*)xptr;
        case 24: return (void*)(KTextEditor::Attribute*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 108:   //QShowEvent
      switch(to) {
        case 108: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 109:   //QSize
      switch(to) {
        case 109: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 110:   //QStyle
      switch(to) {
        case 110: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 111:   //QTabletEvent
      switch(to) {
        case 111: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QTextCharFormat
      switch(to) {
        case 112: return (void*)(QTextCharFormat*)xptr;
        case 24: return (void*)(KTextEditor::Attribute*)(QTextCharFormat*)xptr;
        default: return xptr;
      }
    case 113:   //QTimerEvent
      switch(to) {
        case 84: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 113: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 114:   //QVariant
      switch(to) {
        case 114: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 115:   //QWheelEvent
      switch(to) {
        case 115: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 116:   //QWidget
      switch(to) {
        case 99: return (void*)(QObject*)(QWidget*)xptr;
        case 116: return (void*)(QWidget*)xptr;
        case 40: return (void*)(KTextEditor::EditorChooser*)(QWidget*)xptr;
        case 65: return (void*)(KTextEditor::View*)(QWidget*)xptr;
        case 34: return (void*)(KTextEditor::ConfigPage*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    99, 0,	// 1: QObject
    21, 0,	// 3: KTextEditor::AnnotationInterface
    112, 107, 0,	// 5: QTextCharFormat, QSharedData
    69, 0,	// 8: QAbstractItemModel
    26, 0,	// 10: KTextEditor::CodeCompletionModel
    28, 0,	// 12: KTextEditor::CodeCompletionModelControllerInterface
    116, 0,	// 14: QWidget
    17, 0,	// 16: KParts::ReadWritePart
    9, 0,	// 18: KParts::Factory
    37, 0,	// 20: KTextEditor::Cursor
    51, 0,	// 22: KTextEditor::Range
    116, 68, 0,	// 24: QWidget, KXMLGUIClient
};

// These are the xenum functions for manipulating enum pointers
void xenum_KTextEditor__MarkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__CodeCompletionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ModificationInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartCursor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__HighlightInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__Attribute(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ViewBarContainer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartRange(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__View(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ParameterizedSessionConfigInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__CodeCompletionModelControllerInterface2(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KTextEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationViewInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel2(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModelControllerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModelControllerInterface2(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Command(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandExtension(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ContainerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CoordinatesToCursorInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Cursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Editor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__EditorChooser(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Factory(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__HighlightInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__HighlightInterface__AttributeBlock(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__LoadSaveFilterCheckPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Mark(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MarkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MdiContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ModificationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ParameterizedSessionConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Range(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__RangeCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SearchInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SessionConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRange(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TemplateInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TextHintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__VariableInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__View(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ViewBarContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", true, 0, 0, 0, 0, 0 },	//1
    { "KAction", true, 0, 0, 0, 0, 0 },	//2
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//3
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//4
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//5
    { "KConfig", true, 0, 0, 0, 0, 0 },	//6
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//7
    { "KIcon", true, 0, 0, 0, 0, 0 },	//8
    { "KParts::Factory", true, 0, 0, 0, 0, 0 },	//9
    { "KParts::GUIActivateEvent", true, 0, 0, 0, 0, 0 },	//10
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//11
    { "KParts::PartActivateEvent", true, 0, 0, 0, 0, 0 },	//12
    { "KParts::PartBase", true, 0, 0, 0, 0, 0 },	//13
    { "KParts::PartManager", true, 0, 0, 0, 0, 0 },	//14
    { "KParts::PartSelectEvent", true, 0, 0, 0, 0, 0 },	//15
    { "KParts::ReadOnlyPart", true, 0, 0, 0, 0, 0 },	//16
    { "KParts::ReadWritePart", true, 0, 0, 0, 0, 0 },	//17
    { "KPluginFactory", true, 0, 0, 0, 0, 0 },	//18
    { "KService", true, 0, 0, 0, 0, 0 },	//19
    { "KTextEditor", false, 0, xcall_KTextEditor, 0, Smoke::cf_namespace, 0 },	//20
    { "KTextEditor::AnnotationInterface", false, 0, xcall_KTextEditor__AnnotationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationInterface) },	//21
    { "KTextEditor::AnnotationModel", false, 1, xcall_KTextEditor__AnnotationModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationModel) },	//22
    { "KTextEditor::AnnotationViewInterface", false, 3, xcall_KTextEditor__AnnotationViewInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationViewInterface) },	//23
    { "KTextEditor::Attribute", false, 5, xcall_KTextEditor__Attribute, xenum_KTextEditor__Attribute, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Attribute) },	//24
    { "KTextEditor::CodeCompletionInterface", false, 0, xcall_KTextEditor__CodeCompletionInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionInterface) },	//25
    { "KTextEditor::CodeCompletionModel", false, 8, xcall_KTextEditor__CodeCompletionModel, xenum_KTextEditor__CodeCompletionModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModel) },	//26
    { "KTextEditor::CodeCompletionModel2", false, 10, xcall_KTextEditor__CodeCompletionModel2, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModel2) },	//27
    { "KTextEditor::CodeCompletionModelControllerInterface", false, 0, xcall_KTextEditor__CodeCompletionModelControllerInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModelControllerInterface) },	//28
    { "KTextEditor::CodeCompletionModelControllerInterface2", false, 12, xcall_KTextEditor__CodeCompletionModelControllerInterface2, xenum_KTextEditor__CodeCompletionModelControllerInterface2, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModelControllerInterface2) },	//29
    { "KTextEditor::Command", false, 0, xcall_KTextEditor__Command, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Command) },	//30
    { "KTextEditor::CommandExtension", false, 0, xcall_KTextEditor__CommandExtension, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CommandExtension) },	//31
    { "KTextEditor::CommandInterface", false, 0, xcall_KTextEditor__CommandInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CommandInterface) },	//32
    { "KTextEditor::ConfigInterface", false, 0, xcall_KTextEditor__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ConfigInterface) },	//33
    { "KTextEditor::ConfigPage", false, 14, xcall_KTextEditor__ConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::ConfigPage) },	//34
    { "KTextEditor::ContainerInterface", false, 0, xcall_KTextEditor__ContainerInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ContainerInterface) },	//35
    { "KTextEditor::CoordinatesToCursorInterface", false, 0, xcall_KTextEditor__CoordinatesToCursorInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CoordinatesToCursorInterface) },	//36
    { "KTextEditor::Cursor", false, 0, xcall_KTextEditor__Cursor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Cursor) },	//37
    { "KTextEditor::Document", false, 16, xcall_KTextEditor__Document, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Document) },	//38
    { "KTextEditor::Editor", false, 1, xcall_KTextEditor__Editor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Editor) },	//39
    { "KTextEditor::EditorChooser", false, 14, xcall_KTextEditor__EditorChooser, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::EditorChooser) },	//40
    { "KTextEditor::Factory", false, 18, xcall_KTextEditor__Factory, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Factory) },	//41
    { "KTextEditor::HighlightInterface", false, 0, xcall_KTextEditor__HighlightInterface, xenum_KTextEditor__HighlightInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::HighlightInterface) },	//42
    { "KTextEditor::HighlightInterface::AttributeBlock", false, 0, xcall_KTextEditor__HighlightInterface__AttributeBlock, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTextEditor::HighlightInterface::AttributeBlock) },	//43
    { "KTextEditor::LoadSaveFilterCheckPlugin", false, 1, xcall_KTextEditor__LoadSaveFilterCheckPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::LoadSaveFilterCheckPlugin) },	//44
    { "KTextEditor::Mark", false, 0, xcall_KTextEditor__Mark, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTextEditor::Mark) },	//45
    { "KTextEditor::MarkInterface", false, 0, xcall_KTextEditor__MarkInterface, xenum_KTextEditor__MarkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::MarkInterface) },	//46
    { "KTextEditor::MdiContainer", false, 0, xcall_KTextEditor__MdiContainer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::MdiContainer) },	//47
    { "KTextEditor::ModificationInterface", false, 0, xcall_KTextEditor__ModificationInterface, xenum_KTextEditor__ModificationInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ModificationInterface) },	//48
    { "KTextEditor::ParameterizedSessionConfigInterface", false, 0, xcall_KTextEditor__ParameterizedSessionConfigInterface, xenum_KTextEditor__ParameterizedSessionConfigInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ParameterizedSessionConfigInterface) },	//49
    { "KTextEditor::Plugin", false, 1, xcall_KTextEditor__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Plugin) },	//50
    { "KTextEditor::Range", false, 0, xcall_KTextEditor__Range, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Range) },	//51
    { "KTextEditor::RangeCommand", false, 0, xcall_KTextEditor__RangeCommand, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::RangeCommand) },	//52
    { "KTextEditor::SearchInterface", false, 0, xcall_KTextEditor__SearchInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SearchInterface) },	//53
    { "KTextEditor::SessionConfigInterface", false, 0, xcall_KTextEditor__SessionConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SessionConfigInterface) },	//54
    { "KTextEditor::SmartCursor", false, 20, xcall_KTextEditor__SmartCursor, xenum_KTextEditor__SmartCursor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursor) },	//55
    { "KTextEditor::SmartCursorNotifier", false, 1, xcall_KTextEditor__SmartCursorNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursorNotifier) },	//56
    { "KTextEditor::SmartCursorWatcher", false, 0, xcall_KTextEditor__SmartCursorWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursorWatcher) },	//57
    { "KTextEditor::SmartInterface", false, 0, xcall_KTextEditor__SmartInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartInterface) },	//58
    { "KTextEditor::SmartRange", false, 22, xcall_KTextEditor__SmartRange, xenum_KTextEditor__SmartRange, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartRange) },	//59
    { "KTextEditor::SmartRangeNotifier", false, 1, xcall_KTextEditor__SmartRangeNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartRangeNotifier) },	//60
    { "KTextEditor::SmartRangeWatcher", false, 0, xcall_KTextEditor__SmartRangeWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartRangeWatcher) },	//61
    { "KTextEditor::TemplateInterface", false, 0, xcall_KTextEditor__TemplateInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::TemplateInterface) },	//62
    { "KTextEditor::TextHintInterface", false, 0, xcall_KTextEditor__TextHintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::TextHintInterface) },	//63
    { "KTextEditor::VariableInterface", false, 0, xcall_KTextEditor__VariableInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::VariableInterface) },	//64
    { "KTextEditor::View", false, 24, xcall_KTextEditor__View, xenum_KTextEditor__View, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::View) },	//65
    { "KTextEditor::ViewBarContainer", false, 0, xcall_KTextEditor__ViewBarContainer, xenum_KTextEditor__ViewBarContainer, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ViewBarContainer) },	//66
    { "KUrl", true, 0, 0, 0, 0, 0 },	//67
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//68
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//69
    { "QAction", true, 0, 0, 0, 0, 0 },	//70
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QBool", true, 0, 0, 0, 0, 0 },	//72
    { "QBrush", true, 0, 0, 0, 0, 0 },	//73
    { "QChar", true, 0, 0, 0, 0, 0 },	//74
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//76
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//78
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//79
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//80
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//83
    { "QEvent", true, 0, 0, 0, 0, 0 },	//84
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//85
    { "QFont", true, 0, 0, 0, 0, 0 },	//86
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//87
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//88
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//89
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//90
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//91
    { "QMenu", true, 0, 0, 0, 0, 0 },	//92
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//93
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//94
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//95
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//96
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//97
    { "QMutex", true, 0, 0, 0, 0, 0 },	//98
    { "QObject", true, 0, 0, 0, 0, 0 },	//99
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//100
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QPalette", true, 0, 0, 0, 0, 0 },	//102
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//103
    { "QPoint", true, 0, 0, 0, 0, 0 },	//104
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//105
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//106
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//107
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//108
    { "QSize", true, 0, 0, 0, 0, 0 },	//109
    { "QStyle", true, 0, 0, 0, 0, 0 },	//110
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QTextCharFormat", true, 0, 0, 0, 0, 0 },	//112
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//113
    { "QVariant", true, 0, 0, 0, 0, 0 },	//114
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//115
    { "QWidget", true, 0, 0, 0, 0, 0 },	//116
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 3, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCompletion*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComponentData", 5, Smoke::t_class|Smoke::tf_stack },	//4
    { "KConfig*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "KConfigGroup&", 7, Smoke::t_class|Smoke::tf_ref },	//6
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KIcon", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "KParts::GUIActivateEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KParts::Part*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KParts::PartActivateEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KParts::PartManager*", 14, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KParts::PartSelectEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KService", 19, Smoke::t_class|Smoke::tf_stack },	//14
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "KSharedPtr<KTextEditor::Attribute>", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "KSharedPtr<KTextEditor::Attribute>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//17
    { "KSycocaFactoryId", 87, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KSycocaType", 87, Smoke::t_enum|Smoke::tf_stack },	//19
    { "KTextEditor::AnnotationInterface*", 21, Smoke::t_class|Smoke::tf_ptr },	//20
    { "KTextEditor::AnnotationModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KTextEditor::AnnotationViewInterface*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KTextEditor::Attribute", 24, Smoke::t_class|Smoke::tf_stack },	//23
    { "KTextEditor::Attribute&", 24, Smoke::t_class|Smoke::tf_ref },	//24
    { "KTextEditor::Attribute*", 24, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KTextEditor::Attribute::ActivationType", 24, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KTextEditor::Attribute::CustomProperties", 24, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KTextEditor::Attribute::Effect", 24, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KTextEditor::Attribute::Effects::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "KTextEditor::Attribute::Ptr", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "KTextEditor::CodeCompletionInterface*", 25, Smoke::t_class|Smoke::tf_ptr },	//31
    { "KTextEditor::CodeCompletionModel*", 26, Smoke::t_class|Smoke::tf_ptr },	//32
    { "KTextEditor::CodeCompletionModel2*", 27, Smoke::t_class|Smoke::tf_ptr },	//33
    { "KTextEditor::CodeCompletionModel::Columns", 26, Smoke::t_enum|Smoke::tf_stack },	//34
    { "KTextEditor::CodeCompletionModel::CompletionProperties::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "KTextEditor::CodeCompletionModel::CompletionProperty", 26, Smoke::t_enum|Smoke::tf_stack },	//36
    { "KTextEditor::CodeCompletionModel::ExtraItemDataRoles", 26, Smoke::t_enum|Smoke::tf_stack },	//37
    { "KTextEditor::CodeCompletionModel::HighlightMethod", 26, Smoke::t_enum|Smoke::tf_stack },	//38
    { "KTextEditor::CodeCompletionModel::HighlightMethods::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//39
    { "KTextEditor::CodeCompletionModel::InvocationType", 26, Smoke::t_enum|Smoke::tf_stack },	//40
    { "KTextEditor::CodeCompletionModelControllerInterface*", 28, Smoke::t_class|Smoke::tf_ptr },	//41
    { "KTextEditor::CodeCompletionModelControllerInterface2*", 29, Smoke::t_class|Smoke::tf_ptr },	//42
    { "KTextEditor::CodeCompletionModelControllerInterface2::MatchReaction", 29, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KTextEditor::Command*", 30, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KTextEditor::CommandExtension*", 31, Smoke::t_class|Smoke::tf_ptr },	//45
    { "KTextEditor::CommandInterface*", 32, Smoke::t_class|Smoke::tf_ptr },	//46
    { "KTextEditor::ConfigInterface*", 33, Smoke::t_class|Smoke::tf_ptr },	//47
    { "KTextEditor::ConfigPage*", 34, Smoke::t_class|Smoke::tf_ptr },	//48
    { "KTextEditor::ContainerInterface*", 35, Smoke::t_class|Smoke::tf_ptr },	//49
    { "KTextEditor::CoordinatesToCursorInterface*", 36, Smoke::t_class|Smoke::tf_ptr },	//50
    { "KTextEditor::Cursor", 37, Smoke::t_class|Smoke::tf_stack },	//51
    { "KTextEditor::Cursor&", 37, Smoke::t_class|Smoke::tf_ref },	//52
    { "KTextEditor::Cursor*", 37, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KTextEditor::Document*", 38, Smoke::t_class|Smoke::tf_ptr },	//54
    { "KTextEditor::Editor*", 39, Smoke::t_class|Smoke::tf_ptr },	//55
    { "KTextEditor::EditorChooser*", 40, Smoke::t_class|Smoke::tf_ptr },	//56
    { "KTextEditor::Factory*", 41, Smoke::t_class|Smoke::tf_ptr },	//57
    { "KTextEditor::HighlightInterface*", 42, Smoke::t_class|Smoke::tf_ptr },	//58
    { "KTextEditor::HighlightInterface::AttributeBlock", 43, Smoke::t_class|Smoke::tf_stack },	//59
    { "KTextEditor::HighlightInterface::AttributeBlock*", 43, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KTextEditor::HighlightInterface::DefaultStyle", 42, Smoke::t_enum|Smoke::tf_stack },	//61
    { "KTextEditor::LoadSaveFilterCheckPlugin*", 44, Smoke::t_class|Smoke::tf_ptr },	//62
    { "KTextEditor::Mark", 45, Smoke::t_class|Smoke::tf_stack },	//63
    { "KTextEditor::Mark*", 45, Smoke::t_class|Smoke::tf_ptr },	//64
    { "KTextEditor::MarkInterface*", 46, Smoke::t_class|Smoke::tf_ptr },	//65
    { "KTextEditor::MarkInterface::MarkChangeAction", 46, Smoke::t_enum|Smoke::tf_stack },	//66
    { "KTextEditor::MarkInterface::MarkTypes", 46, Smoke::t_enum|Smoke::tf_stack },	//67
    { "KTextEditor::MdiContainer*", 47, Smoke::t_class|Smoke::tf_ptr },	//68
    { "KTextEditor::ModificationInterface*", 48, Smoke::t_class|Smoke::tf_ptr },	//69
    { "KTextEditor::ModificationInterface::ModifiedOnDiskReason", 48, Smoke::t_enum|Smoke::tf_stack },	//70
    { "KTextEditor::ParameterizedSessionConfigInterface*", 49, Smoke::t_class|Smoke::tf_ptr },	//71
    { "KTextEditor::ParameterizedSessionConfigInterface::SessionConfigParameter", 49, Smoke::t_enum|Smoke::tf_stack },	//72
    { "KTextEditor::Plugin*", 50, Smoke::t_class|Smoke::tf_ptr },	//73
    { "KTextEditor::Range", 51, Smoke::t_class|Smoke::tf_stack },	//74
    { "KTextEditor::Range&", 51, Smoke::t_class|Smoke::tf_ref },	//75
    { "KTextEditor::Range*", 51, Smoke::t_class|Smoke::tf_ptr },	//76
    { "KTextEditor::RangeCommand*", 52, Smoke::t_class|Smoke::tf_ptr },	//77
    { "KTextEditor::Search::SearchOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//78
    { "KTextEditor::Search::SearchOptionsEnum", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "KTextEditor::SearchInterface*", 53, Smoke::t_class|Smoke::tf_ptr },	//80
    { "KTextEditor::SessionConfigInterface*", 54, Smoke::t_class|Smoke::tf_ptr },	//81
    { "KTextEditor::SmartCursor&", 55, Smoke::t_class|Smoke::tf_ref },	//82
    { "KTextEditor::SmartCursor*", 55, Smoke::t_class|Smoke::tf_ptr },	//83
    { "KTextEditor::SmartCursor::AdvanceMode", 55, Smoke::t_enum|Smoke::tf_stack },	//84
    { "KTextEditor::SmartCursor::InsertBehavior", 55, Smoke::t_enum|Smoke::tf_stack },	//85
    { "KTextEditor::SmartCursorNotifier*", 56, Smoke::t_class|Smoke::tf_ptr },	//86
    { "KTextEditor::SmartCursorWatcher*", 57, Smoke::t_class|Smoke::tf_ptr },	//87
    { "KTextEditor::SmartInterface*", 58, Smoke::t_class|Smoke::tf_ptr },	//88
    { "KTextEditor::SmartRange&", 59, Smoke::t_class|Smoke::tf_ref },	//89
    { "KTextEditor::SmartRange*", 59, Smoke::t_class|Smoke::tf_ptr },	//90
    { "KTextEditor::SmartRange::InsertBehavior", 59, Smoke::t_enum|Smoke::tf_stack },	//91
    { "KTextEditor::SmartRange::InsertBehaviors::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "KTextEditor::SmartRangeNotifier*", 60, Smoke::t_class|Smoke::tf_ptr },	//93
    { "KTextEditor::SmartRangeWatcher*", 61, Smoke::t_class|Smoke::tf_ptr },	//94
    { "KTextEditor::TemplateInterface*", 62, Smoke::t_class|Smoke::tf_ptr },	//95
    { "KTextEditor::TextHintInterface*", 63, Smoke::t_class|Smoke::tf_ptr },	//96
    { "KTextEditor::VariableInterface*", 64, Smoke::t_class|Smoke::tf_ptr },	//97
    { "KTextEditor::View*", 65, Smoke::t_class|Smoke::tf_ptr },	//98
    { "KTextEditor::View::EditMode", 65, Smoke::t_enum|Smoke::tf_stack },	//99
    { "KTextEditor::ViewBarContainer*", 66, Smoke::t_class|Smoke::tf_ptr },	//100
    { "KTextEditor::ViewBarContainer::Position", 66, Smoke::t_enum|Smoke::tf_stack },	//101
    { "KUrl", 67, Smoke::t_class|Smoke::tf_stack },	//102
    { "KXMLGUIClient::ReverseStateChange", 68, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QAction*", 70, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QActionEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QBool", 72, Smoke::t_class|Smoke::tf_stack },	//106
    { "QBrush", 73, Smoke::t_class|Smoke::tf_stack },	//107
    { "QChar", 74, Smoke::t_class|Smoke::tf_stack },	//108
    { "QChildEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QCloseEvent*", 76, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QContextMenuEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QDomDocument", 78, Smoke::t_class|Smoke::tf_stack },	//112
    { "QDragEnterEvent*", 80, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QDragLeaveEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QDragMoveEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QDropEvent*", 83, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QEvent*", 84, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QFlags<KTextEditor::Attribute::Effect>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<KTextEditor::Attribute::Effects::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<KTextEditor::Search::SearchOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<KTextEditor::Search::SearchOptionsEnum>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<KTextEditor::SmartRange::InsertBehavior>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFocusEvent*", 85, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QHideEvent*", 88, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QIncompatibleFlag", 89, Smoke::t_class|Smoke::tf_stack },	//131
    { "QInputMethodEvent*", 90, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QKeyEvent*", 91, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QList<KTextEditor::Command*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//134
    { "QList<KTextEditor::HighlightInterface::AttributeBlock>", 0, Smoke::t_voidp|Smoke::tf_stack },	//135
    { "QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//136
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//137
    { "QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//138
    { "QMap<QString,QString>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//139
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//140
    { "QMenu*", 92, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QMetaObject::Call", 93, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QMimeData*", 94, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QModelIndex", 95, Smoke::t_class|Smoke::tf_stack },	//144
    { "QMouseEvent*", 96, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QMoveEvent*", 97, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QMutex*", 98, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QObject*", 99, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QPaintEngine*", 100, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QPaintEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QPixmap", 103, Smoke::t_class|Smoke::tf_stack },	//152
    { "QPoint", 104, Smoke::t_class|Smoke::tf_stack },	//153
    { "QRegExp&", 105, Smoke::t_class|Smoke::tf_ref },	//154
    { "QResizeEvent*", 106, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QShowEvent*", 108, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QSize", 109, Smoke::t_class|Smoke::tf_stack },	//157
    { "QStack<KTextEditor::SmartRange*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//158
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//159
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//160
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//161
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//162
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//163
    { "QStyle&", 110, Smoke::t_class|Smoke::tf_ref },	//164
    { "QTabletEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QTimerEvent*", 113, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QVariant", 114, Smoke::t_class|Smoke::tf_stack },	//167
    { "QVector<KTextEditor::Range>", 0, Smoke::t_voidp|Smoke::tf_stack },	//168
    { "QWheelEvent*", 115, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QWidget*", 116, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//243
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//244
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//245
    { "const KComponentData&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const KConfigGroup&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const KSharedPtr<KTextEditor::Attribute>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const KTextEditor::AnnotationInterface&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const KTextEditor::AnnotationViewInterface&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const KTextEditor::Attribute&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const KTextEditor::CodeCompletionInterface&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const KTextEditor::CodeCompletionModelControllerInterface&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const KTextEditor::CodeCompletionModelControllerInterface2&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const KTextEditor::Command&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const KTextEditor::CommandExtension&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const KTextEditor::CommandInterface&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const KTextEditor::ConfigInterface&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const KTextEditor::ContainerInterface&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const KTextEditor::CoordinatesToCursorInterface&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const KTextEditor::Cursor&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const KTextEditor::HighlightInterface&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const KTextEditor::HighlightInterface::AttributeBlock&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const KTextEditor::HighlightInterface::DefaultStyle", 42, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//264
    { "const KTextEditor::Mark&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const KTextEditor::MarkInterface&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const KTextEditor::MdiContainer&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const KTextEditor::ModificationInterface&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const KTextEditor::ParameterizedSessionConfigInterface&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const KTextEditor::Range&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const KTextEditor::RangeCommand&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const KTextEditor::SearchInterface&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const KTextEditor::SessionConfigInterface&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const KTextEditor::SmartCursor&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const KTextEditor::SmartCursorWatcher&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const KTextEditor::SmartInterface&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const KTextEditor::SmartRange&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const KTextEditor::SmartRange*", 59, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//278
    { "const KTextEditor::SmartRangeWatcher&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const KTextEditor::TemplateInterface&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const KTextEditor::TextHintInterface&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const KTextEditor::VariableInterface&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const KTextEditor::ViewBarContainer&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const KUrl&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QBrush&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QDomDocument&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QDomElement&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QFlags<KTextEditor::Search::SearchOptionsEnum>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//288
    { "const QFont&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QHash<int,KTextEditor::Mark*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QList<KAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//293
    { "const QList<KTextEditor::SmartRange*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QList<KTextEditor::SmartRangeNotifier*>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//295
    { "const QList<KTextEditor::SmartRangeWatcher*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QList<KTextEditor::View*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QMetaObject&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QMetaObject*", 93, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//303
    { "const QMimeData*", 94, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//304
    { "const QModelIndex&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QPalette&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QPixmap&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QPoint&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QRegExp&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//312
    { "const QVariant&", 114, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//314
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//315
    { "const unsigned int", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//316
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//317
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//318
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//319
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//320
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//321
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//322
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//323
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//324
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    170, 148, 314, 311, 0,	//1  QWidget*, QObject*, const char*, const QStringList&
    148, 314, 311, 0,	//6  QObject*, const char*, const QStringList&
    170, 0,	//10  QWidget*
    12, 0,	//12  KParts::PartManager*
    170, 308, 0,	//14  QWidget*, const QPoint&
    244, 0,	//17  bool
    117, 0,	//19  QEvent*
    11, 0,	//21  KParts::PartActivateEvent*
    13, 0,	//23  KParts::PartSelectEvent*
    246, 0,	//25  const KComponentData&
    246, 244, 0,	//27  const KComponentData&, bool
    284, 0,	//30  const KUrl&
    9, 0,	//32  KParts::GUIActivateEvent*
    314, 170, 148, 299, 310, 0,	//34  const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&
    39, 121, 0,	//40  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>
    92, 92, 0,	//43  KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type
    39, 318, 0,	//46  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int
    29, 29, 0,	//49  KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type
    35, 120, 0,	//52  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>
    92, 318, 0,	//55  KTextEditor::SmartRange::InsertBehaviors::enum_type, int
    92, 125, 0,	//58  KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>
    29, 119, 0,	//61  KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>
    35, 35, 0,	//64  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type
    29, 318, 0,	//67  KTextEditor::Attribute::Effects::enum_type, int
    314, 0,	//70  const char*
    15, 148, 0,	//72  KSharedPtr<KService>, QObject*
    35, 318, 0,	//75  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int
    39, 39, 0,	//78  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type
    21, 0,	//81  KTextEditor::AnnotationModel*
    249, 0,	//83  const KTextEditor::AnnotationInterface&
    314, 314, 0,	//85  const char*, const char*
    314, 314, 318, 0,	//88  const char*, const char*, int
    142, 318, 323, 0,	//92  QMetaObject::Call, int, void**
    318, 206, 0,	//96  int, Qt::ItemDataRole
    318, 0,	//99  int
    98, 141, 318, 0,	//101  KTextEditor::View*, QMenu*, int
    98, 318, 0,	//105  KTextEditor::View*, int
    98, 244, 0,	//108  KTextEditor::View*, bool
    250, 0,	//111  const KTextEditor::AnnotationViewInterface&
    251, 0,	//113  const KTextEditor::Attribute&
    285, 0,	//115  const QBrush&
    26, 0,	//117  KTextEditor::Attribute::ActivationType
    26, 16, 0,	//119  KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>
    118, 0,	//122  QFlags<KTextEditor::Attribute::Effect>
    270, 32, 0,	//124  const KTextEditor::Range&, KTextEditor::CodeCompletionModel*
    32, 0,	//127  KTextEditor::CodeCompletionModel*
    252, 0,	//129  const KTextEditor::CodeCompletionInterface&
    148, 0,	//131  QObject*
    98, 270, 40, 0,	//133  KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType
    54, 270, 318, 0,	//137  KTextEditor::Document*, const KTextEditor::Range&, int
    305, 0,	//141  const QModelIndex&
    318, 318, 305, 0,	//143  int, int, const QModelIndex&
    32, 244, 0,	//147  KTextEditor::CodeCompletionModel*, bool
    318, 318, 0,	//150  int, int
    54, 270, 305, 0,	//153  KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&
    98, 310, 244, 261, 0,	//157  KTextEditor::View*, const QString&, bool, const KTextEditor::Cursor&
    98, 261, 0,	//162  KTextEditor::View*, const KTextEditor::Cursor&
    98, 89, 0,	//165  KTextEditor::View*, KTextEditor::SmartRange&
    98, 277, 261, 0,	//168  KTextEditor::View*, const KTextEditor::SmartRange&, const KTextEditor::Cursor&
    98, 277, 310, 0,	//172  KTextEditor::View*, const KTextEditor::SmartRange&, const QString&
    305, 108, 0,	//176  const QModelIndex&, QChar
    98, 0,	//179  KTextEditor::View*
    253, 0,	//181  const KTextEditor::CodeCompletionModelControllerInterface&
    254, 0,	//183  const KTextEditor::CodeCompletionModelControllerInterface2&
    98, 310, 160, 0,	//185  KTextEditor::View*, const QString&, QString&
    255, 0,	//189  const KTextEditor::Command&
    162, 0,	//191  QStringList&
    98, 310, 0,	//193  KTextEditor::View*, const QString&
    310, 0,	//196  const QString&
    256, 0,	//198  const KTextEditor::CommandExtension&
    44, 0,	//200  KTextEditor::Command*
    257, 0,	//202  const KTextEditor::CommandInterface&
    310, 313, 0,	//204  const QString&, const QVariant&
    258, 0,	//207  const KTextEditor::ConfigInterface&
    259, 0,	//209  const KTextEditor::ContainerInterface&
    308, 0,	//211  const QPoint&
    260, 0,	//213  const KTextEditor::CoordinatesToCursorInterface&
    261, 0,	//215  const KTextEditor::Cursor&
    319, 319, 0,	//217  int&, int&
    76, 0,	//220  KTextEditor::Range*
    54, 98, 0,	//222  KTextEditor::Document*, KTextEditor::View*
    54, 0,	//225  KTextEditor::Document*
    54, 244, 0,	//227  KTextEditor::Document*, bool
    270, 244, 0,	//230  const KTextEditor::Range&, bool
    311, 0,	//233  const QStringList&
    261, 310, 244, 0,	//235  const KTextEditor::Cursor&, const QString&, bool
    261, 311, 244, 0,	//239  const KTextEditor::Cursor&, const QStringList&, bool
    270, 310, 244, 0,	//243  const KTextEditor::Range&, const QString&, bool
    270, 311, 244, 0,	//247  const KTextEditor::Range&, const QStringList&, bool
    318, 310, 0,	//251  int, const QString&
    318, 311, 0,	//254  int, const QStringList&
    54, 270, 0,	//257  KTextEditor::Document*, const KTextEditor::Range&
    54, 270, 310, 0,	//260  KTextEditor::Document*, const KTextEditor::Range&, const QString&
    54, 270, 270, 0,	//264  KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&
    54, 270, 310, 270, 0,	//268  KTextEditor::Document*, const KTextEditor::Range&, const QString&, const KTextEditor::Range&
    270, 0,	//273  const KTextEditor::Range&
    261, 310, 0,	//275  const KTextEditor::Cursor&, const QString&
    261, 311, 0,	//278  const KTextEditor::Cursor&, const QStringList&
    270, 310, 0,	//281  const KTextEditor::Range&, const QString&
    270, 311, 0,	//284  const KTextEditor::Range&, const QStringList&
    5, 0,	//287  KConfig*
    318, 170, 0,	//289  int, QWidget*
    55, 54, 0,	//292  KTextEditor::Editor*, KTextEditor::Document*
    310, 244, 0,	//295  const QString&, bool
    264, 0,	//298  const KTextEditor::HighlightInterface::DefaultStyle
    316, 0,	//300  const unsigned int
    262, 0,	//302  const KTextEditor::HighlightInterface&
    315, 315, 248, 0,	//304  const int, const int, const KSharedPtr<KTextEditor::Attribute>&
    263, 0,	//308  const KTextEditor::HighlightInterface::AttributeBlock&
    248, 0,	//310  const KSharedPtr<KTextEditor::Attribute>&
    265, 0,	//312  const KTextEditor::Mark&
    320, 0,	//314  unsigned int
    318, 320, 0,	//316  int, unsigned int
    67, 307, 0,	//319  KTextEditor::MarkInterface::MarkTypes, const QPixmap&
    67, 0,	//322  KTextEditor::MarkInterface::MarkTypes
    67, 310, 0,	//324  KTextEditor::MarkInterface::MarkTypes, const QString&
    54, 63, 66, 0,	//327  KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction
    266, 0,	//331  const KTextEditor::MarkInterface&
    267, 0,	//333  const KTextEditor::MdiContainer&
    70, 0,	//335  KTextEditor::ModificationInterface::ModifiedOnDiskReason
    54, 244, 70, 0,	//337  KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason
    268, 0,	//341  const KTextEditor::ModificationInterface&
    247, 321, 0,	//343  const KConfigGroup&, unsigned long
    6, 321, 0,	//346  KConfigGroup&, unsigned long
    269, 0,	//349  const KTextEditor::ParameterizedSessionConfigInterface&
    261, 261, 0,	//351  const KTextEditor::Cursor&, const KTextEditor::Cursor&
    261, 318, 0,	//354  const KTextEditor::Cursor&, int
    261, 318, 318, 0,	//357  const KTextEditor::Cursor&, int, int
    318, 318, 318, 318, 0,	//361  int, int, int, int
    53, 53, 0,	//366  KTextEditor::Cursor*, KTextEditor::Cursor*
    53, 270, 0,	//369  KTextEditor::Cursor*, const KTextEditor::Range&
    53, 0,	//372  KTextEditor::Cursor*
    98, 310, 160, 270, 0,	//374  KTextEditor::View*, const QString&, QString&, const KTextEditor::Range&
    271, 0,	//379  const KTextEditor::RangeCommand&
    270, 310, 288, 0,	//381  const KTextEditor::Range&, const QString&, const QFlags<KTextEditor::Search::SearchOptionsEnum>
    272, 0,	//385  const KTextEditor::SearchInterface&
    247, 0,	//387  const KConfigGroup&
    6, 0,	//389  KConfigGroup&
    273, 0,	//391  const KTextEditor::SessionConfigInterface&
    311, 244, 0,	//393  const QStringList&, bool
    318, 84, 0,	//396  int, KTextEditor::SmartCursor::AdvanceMode
    85, 0,	//399  KTextEditor::SmartCursor::InsertBehavior
    87, 0,	//401  KTextEditor::SmartCursorWatcher*
    274, 0,	//403  const KTextEditor::SmartCursor&
    261, 54, 85, 0,	//405  const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior
    83, 0,	//409  KTextEditor::SmartCursor*
    83, 244, 0,	//411  KTextEditor::SmartCursor*, bool
    275, 0,	//414  const KTextEditor::SmartCursorWatcher&
    261, 85, 0,	//416  const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior
    270, 124, 0,	//419  const KTextEditor::Range&, QFlags<KTextEditor::SmartRange::InsertBehavior>
    318, 318, 85, 0,	//422  int, int, KTextEditor::SmartCursor::InsertBehavior
    270, 90, 124, 0,	//426  const KTextEditor::Range&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    261, 261, 90, 124, 0,	//430  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    318, 318, 318, 318, 90, 124, 0,	//435  int, int, int, int, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    83, 83, 90, 124, 0,	//442  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    90, 0,	//447  KTextEditor::SmartRange*
    90, 244, 0,	//449  KTextEditor::SmartRange*, bool
    98, 90, 244, 0,	//452  KTextEditor::View*, KTextEditor::SmartRange*, bool
    98, 90, 0,	//456  KTextEditor::View*, KTextEditor::SmartRange*
    16, 0,	//459  KSharedPtr<KTextEditor::Attribute>
    276, 0,	//461  const KTextEditor::SmartInterface&
    270, 90, 0,	//463  const KTextEditor::Range&, KTextEditor::SmartRange*
    261, 261, 90, 0,	//466  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*
    318, 318, 318, 318, 90, 0,	//470  int, int, int, int, KTextEditor::SmartRange*
    83, 83, 0,	//476  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*
    83, 83, 90, 0,	//479  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*
    124, 0,	//483  QFlags<KTextEditor::SmartRange::InsertBehavior>
    278, 0,	//485  const KTextEditor::SmartRange*
    261, 158, 158, 0,	//487  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*
    1, 0,	//491  KAction*
    93, 0,	//493  KTextEditor::SmartRangeNotifier*
    94, 0,	//495  KTextEditor::SmartRangeWatcher*
    277, 0,	//497  const KTextEditor::SmartRange&
    261, 158, 0,	//499  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*
    90, 90, 0,	//502  KTextEditor::SmartRange*, KTextEditor::SmartRange*
    90, 98, 0,	//505  KTextEditor::SmartRange*, KTextEditor::View*
    90, 90, 90, 0,	//508  KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*
    90, 30, 30, 0,	//512  KTextEditor::SmartRange*, KTextEditor::Attribute::Ptr, KTextEditor::Attribute::Ptr
    90, 16, 16, 0,	//516  KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>
    279, 0,	//520  const KTextEditor::SmartRangeWatcher&
    138, 170, 0,	//522  QMap<QString,QString>&, QWidget*
    261, 310, 300, 0,	//525  const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&
    310, 139, 0,	//529  const QString&, QMap<QString,QString>*
    280, 0,	//532  const KTextEditor::TemplateInterface&
    261, 160, 0,	//534  const KTextEditor::Cursor&, QString&
    281, 0,	//537  const KTextEditor::TextHintInterface&
    54, 310, 310, 0,	//539  KTextEditor::Document*, const QString&, const QString&
    282, 0,	//543  const KTextEditor::VariableInterface&
    98, 99, 0,	//545  KTextEditor::View*, KTextEditor::View::EditMode
    98, 261, 310, 0,	//548  KTextEditor::View*, const KTextEditor::Cursor&, const QString&
    141, 0,	//552  QMenu*
    98, 141, 0,	//554  KTextEditor::View*, QMenu*
    51, 0,	//557  KTextEditor::Cursor
    261, 318, 244, 0,	//559  const KTextEditor::Cursor&, int, bool
    98, 101, 0,	//563  KTextEditor::View*, KTextEditor::ViewBarContainer::Position
    98, 170, 101, 0,	//566  KTextEditor::View*, QWidget*, KTextEditor::ViewBarContainer::Position
    283, 0,	//570  const KTextEditor::ViewBarContainer&
    287, 0,	//572  const QDomElement&
    310, 244, 244, 0,	//574  const QString&, bool, bool
    286, 244, 0,	//578  const QDomDocument&, bool
    310, 103, 0,	//581  const QString&, KXMLGUIClient::ReverseStateChange
    318, 322, 0,	//584  int, void*
    305, 318, 0,	//587  const QModelIndex&, int
    305, 313, 318, 0,	//590  const QModelIndex&, const QVariant&, int
    318, 217, 318, 0,	//594  int, Qt::Orientation, int
    318, 217, 313, 318, 0,	//598  int, Qt::Orientation, const QVariant&, int
    305, 301, 0,	//603  const QModelIndex&, const QMap<int,QVariant>&
    298, 0,	//606  const QList<QModelIndex>&
    304, 193, 318, 318, 305, 0,	//608  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    318, 225, 0,	//614  int, Qt::SortOrder
    305, 318, 313, 318, 128, 0,	//617  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    148, 117, 0,	//623  QObject*, QEvent*
    166, 0,	//626  QTimerEvent*
    109, 0,	//628  QChildEvent*
    145, 0,	//630  QMouseEvent*
    169, 0,	//632  QWheelEvent*
    133, 0,	//634  QKeyEvent*
    129, 0,	//636  QFocusEvent*
    151, 0,	//638  QPaintEvent*
    146, 0,	//640  QMoveEvent*
    155, 0,	//642  QResizeEvent*
    110, 0,	//644  QCloseEvent*
    111, 0,	//646  QContextMenuEvent*
    165, 0,	//648  QTabletEvent*
    105, 0,	//650  QActionEvent*
    113, 0,	//652  QDragEnterEvent*
    115, 0,	//654  QDragMoveEvent*
    114, 0,	//656  QDragLeaveEvent*
    116, 0,	//658  QDropEvent*
    156, 0,	//660  QShowEvent*
    130, 0,	//662  QHideEvent*
    243, 0,	//664  _XEvent*
    149, 0,	//666  QPaintDevice::PaintDeviceMetric
    132, 0,	//668  QInputMethodEvent*
    205, 0,	//670  Qt::InputMethodQuery
    164, 0,	//672  QStyle&
    306, 0,	//674  const QPalette&
    289, 0,	//676  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessibilityAccept",	//1
    "AccessibilityNext",	//2
    "AccessibilityPrevious",	//3
    "ActivateCaretIn",	//4
    "ActivateMouseIn",	//5
    "AnnotationInterface",	//6
    "AnnotationInterface#",	//7
    "AnnotationModel",	//8
    "AnnotationViewInterface",	//9
    "AnnotationViewInterface#",	//10
    "ArgumentHintDepth",	//11
    "Arguments",	//12
    "Attribute",	//13
    "Attribute#",	//14
    "AttributeBlock",	//15
    "AttributeBlock#",	//16
    "AttributeBlock$$?",	//17
    "AttributeDynamicEffect",	//18
    "AttributeInternalProperty",	//19
    "AttributeUserProperty",	//20
    "AutomaticInvocation",	//21
    "BackgroundFillWhitespace",	//22
    "BestMatchesCount",	//23
    "Bookmark",	//24
    "BottomBar",	//25
    "BreakpointActive",	//26
    "BreakpointDisabled",	//27
    "BreakpointReached",	//28
    "ByCharacter",	//29
    "ByCursorPosition",	//30
    "Class",	//31
    "CodeCompletionInterface",	//32
    "CodeCompletionInterface#",	//33
    "CodeCompletionModel",	//34
    "CodeCompletionModel#",	//35
    "CodeCompletionModel2",	//36
    "CodeCompletionModel2#",	//37
    "CodeCompletionModelControllerInterface",	//38
    "CodeCompletionModelControllerInterface#",	//39
    "CodeCompletionModelControllerInterface2",	//40
    "CodeCompletionModelControllerInterface2#",	//41
    "ColumnCount",	//42
    "Command",	//43
    "Command#",	//44
    "CommandExtension",	//45
    "CommandExtension#",	//46
    "CommandInterface",	//47
    "CommandInterface#",	//48
    "CompletionRole",	//49
    "ConfigInterface",	//50
    "ConfigInterface#",	//51
    "ConfigPage",	//52
    "ConfigPage#",	//53
    "Const",	//54
    "ContainerInterface",	//55
    "ContainerInterface#",	//56
    "CoordinatesToCursorInterface",	//57
    "CoordinatesToCursorInterface#",	//58
    "Cursor",	//59
    "Cursor#",	//60
    "Cursor$$",	//61
    "CustomHighlight",	//62
    "CustomHighlighting",	//63
    "DoNotExpand",	//64
    "DoNotLoadPlugins",	//65
    "Document",	//66
    "Document#",	//67
    "DrawChildren",	//68
    "DrawWindowBackground",	//69
    "EditInsert",	//70
    "EditOverwrite",	//71
    "EditViMode",	//72
    "Editor",	//73
    "Editor#",	//74
    "EditorChooser",	//75
    "EditorChooser#",	//76
    "EffectCycleGradient",	//77
    "EffectFadeIn",	//78
    "EffectFadeOut",	//79
    "EffectNone",	//80
    "EffectPulse",	//81
    "Enum",	//82
    "Error",	//83
    "Execution",	//84
    "ExpandLeft",	//85
    "ExpandRight",	//86
    "ExpandingWidget",	//87
    "Factory",	//88
    "Factory#",	//89
    "FirstProperty",	//90
    "Friend",	//91
    "Function",	//92
    "GlobalScope",	//93
    "GroupRole",	//94
    "HideListIfAutomaticInvocation",	//95
    "HighlightInterface",	//96
    "HighlightInterface#",	//97
    "HighlightingMethod",	//98
    "Icon",	//99
    "IgnoreMask",	//100
    "InheritanceDepth",	//101
    "Inline",	//102
    "InternalHighlighting",	//103
    "IsExpandable",	//104
    "ItemSelected",	//105
    "KST_CTimeInfo",	//106
    "KST_KCustom",	//107
    "KST_KDEDesktopMimeType",	//108
    "KST_KFolderMimeType",	//109
    "KST_KImageIO",	//110
    "KST_KImageIOFormat",	//111
    "KST_KMimeType",	//112
    "KST_KMimeTypeEntry",	//113
    "KST_KMimeTypeFactory",	//114
    "KST_KProtocolInfo",	//115
    "KST_KProtocolInfoFactory",	//116
    "KST_KService",	//117
    "KST_KServiceFactory",	//118
    "KST_KServiceGroup",	//119
    "KST_KServiceGroupFactory",	//120
    "KST_KServiceSeparator",	//121
    "KST_KServiceType",	//122
    "KST_KServiceTypeFactory",	//123
    "KST_KSycocaEntry",	//124
    "KTE_INTERNAL_setupIntialValues",	//125
    "KTE_INTERNAL_setupIntialValues$?",	//126
    "LastExtraItemDataRole",	//127
    "LastItemDataRole",	//128
    "LastProperty",	//129
    "LeftBar",	//130
    "LoadPlugins",	//131
    "LoadPluginsIfEnabled",	//132
    "LoadSaveFilterCheckPlugin",	//133
    "LoadSaveFilterCheckPlugin#",	//134
    "LocalScope",	//135
    "ManualInvocation",	//136
    "Mark",	//137
    "Mark#",	//138
    "MarkAdded",	//139
    "MarkInterface",	//140
    "MarkInterface#",	//141
    "MarkRemoved",	//142
    "MatchQuality",	//143
    "MdiContainer",	//144
    "MdiContainer#",	//145
    "ModificationInterface",	//146
    "ModificationInterface#",	//147
    "MoveOnInsert",	//148
    "Name",	//149
    "Namespace",	//150
    "NamespaceScope",	//151
    "NoHighlighting",	//152
    "NoProperty",	//153
    "None",	//154
    "OnDiskCreated",	//155
    "OnDiskDeleted",	//156
    "OnDiskModified",	//157
    "OnDiskUnmodified",	//158
    "Outline",	//159
    "Override",	//160
    "ParameterizedSessionConfigInterface",	//161
    "ParameterizedSessionConfigInterface#",	//162
    "Plugin",	//163
    "Plugin#",	//164
    "Postfix",	//165
    "Prefix",	//166
    "Private",	//167
    "Protected",	//168
    "Public",	//169
    "Range",	//170
    "Range#",	//171
    "Range##",	//172
    "Range#$",	//173
    "Range#$$",	//174
    "Range$$$$",	//175
    "RangeCommand",	//176
    "RangeCommand#",	//177
    "RightBar",	//178
    "Scope",	//179
    "ScopeIndex",	//180
    "SearchInterface",	//181
    "SearchInterface#",	//182
    "SelectedBackground",	//183
    "SelectedForeground",	//184
    "SessionConfigInterface",	//185
    "SessionConfigInterface#",	//186
    "SetMatchContext",	//187
    "Signal",	//188
    "SkipEncoding",	//189
    "SkipFolding",	//190
    "SkipHighlighting",	//191
    "SkipMode",	//192
    "SkipNone",	//193
    "SkipUrl",	//194
    "Slot",	//195
    "SmartCursor",	//196
    "SmartCursor##$",	//197
    "SmartCursorNotifier",	//198
    "SmartCursorWatcher",	//199
    "SmartCursorWatcher#",	//200
    "SmartInterface",	//201
    "SmartInterface#",	//202
    "SmartRange",	//203
    "SmartRange##",	//204
    "SmartRange###",	//205
    "SmartRange###$",	//206
    "SmartRangeNotifier",	//207
    "SmartRangeWatcher",	//208
    "SmartRangeWatcher#",	//209
    "StateNoReverse",	//210
    "StateReverse",	//211
    "Static",	//212
    "StayOnInsert",	//213
    "Struct",	//214
    "Template",	//215
    "TemplateInterface",	//216
    "TemplateInterface#",	//217
    "TextHintInterface",	//218
    "TextHintInterface#",	//219
    "TopBar",	//220
    "TypeAlias",	//221
    "UnimportantItemRole",	//222
    "Union",	//223
    "UserInvocation",	//224
    "Variable",	//225
    "VariableInterface",	//226
    "VariableInterface#",	//227
    "View",	//228
    "View#",	//229
    "ViewBarContainer",	//230
    "ViewBarContainer#",	//231
    "Virtual",	//232
    "Warning",	//233
    "abortCompletion",	//234
    "aborted",	//235
    "aborted#",	//236
    "aboutData",	//237
    "aboutToClose",	//238
    "aboutToClose#",	//239
    "aboutToReload",	//240
    "aboutToReload#",	//241
    "action",	//242
    "actionCollection",	//243
    "actionEvent",	//244
    "activeView",	//245
    "addActionsToDocument",	//246
    "addActionsToDocument#",	//247
    "addActionsToView",	//248
    "addActionsToView##",	//249
    "addDocument",	//250
    "addDocument#",	//251
    "addHighlightToDocument",	//252
    "addHighlightToDocument#",	//253
    "addHighlightToDocument#$",	//254
    "addHighlightToView",	//255
    "addHighlightToView##",	//256
    "addHighlightToView##$",	//257
    "addMark",	//258
    "addMark$$",	//259
    "addNotifier",	//260
    "addNotifier#",	//261
    "addView",	//262
    "addView#",	//263
    "addViewBarToLayout",	//264
    "addViewBarToLayout##$",	//265
    "addWatcher",	//266
    "addWatcher#",	//267
    "advance",	//268
    "advance$",	//269
    "advance$$",	//270
    "annotationActivated",	//271
    "annotationActivated#$",	//272
    "annotationBorderVisibilityChanged",	//273
    "annotationBorderVisibilityChanged#$",	//274
    "annotationContextMenuAboutToShow",	//275
    "annotationContextMenuAboutToShow##$",	//276
    "annotationModel",	//277
    "apply",	//278
    "associateAction",	//279
    "associateAction#",	//280
    "associatedActions",	//281
    "atEndOfDocument",	//282
    "atEndOfLine",	//283
    "atStartOfDocument",	//284
    "atStartOfLine",	//285
    "attribute",	//286
    "attributeDynamic",	//287
    "attributeDynamic?",	//288
    "attributeNotDynamic",	//289
    "attributeNotDynamic?",	//290
    "backgroundFillWhitespace",	//291
    "blockSelection",	//292
    "boundaryAtCursor",	//293
    "boundaryAtCursor#",	//294
    "boundaryOnLine",	//295
    "boundaryOnLine$",	//296
    "buddy",	//297
    "canFetchMore",	//298
    "caretEnteredRange",	//299
    "caretEnteredRange##",	//300
    "caretExitedRange",	//301
    "caretExitedRange##",	//302
    "changeEvent",	//303
    "changed",	//304
    "character",	//305
    "character#",	//306
    "characterDeleted",	//307
    "characterDeleted#$",	//308
    "characterInserted",	//309
    "characterInserted#$",	//310
    "checkFeedback",	//311
    "childAfter",	//312
    "childAfter#",	//313
    "childBefore",	//314
    "childBefore#",	//315
    "childEvent",	//316
    "childRangeInserted",	//317
    "childRangeInserted##",	//318
    "childRangeRemoved",	//319
    "childRangeRemoved##",	//320
    "childRanges",	//321
    "clear",	//322
    "clearAndDeleteChildRanges",	//323
    "clearAssociatedActions",	//324
    "clearChildRanges",	//325
    "clearDocumentActions",	//326
    "clearDocumentHighlights",	//327
    "clearMark",	//328
    "clearMark$",	//329
    "clearMarks",	//330
    "clearOnDocumentReload",	//331
    "clearRevision",	//332
    "clearSmartInterface",	//333
    "clearViewActions",	//334
    "clearViewActions#",	//335
    "clearViewHighlights",	//336
    "clearViewHighlights#",	//337
    "closeDocument",	//338
    "closeDocument#",	//339
    "closeEvent",	//340
    "closeUrl",	//341
    "closeView",	//342
    "closeView#",	//343
    "cmds",	//344
    "column",	//345
    "columnCount",	//346
    "columnCount#",	//347
    "columnWidth",	//348
    "commandList",	//349
    "commands",	//350
    "completionInvoked",	//351
    "completionInvoked##$",	//352
    "completionObject",	//353
    "completionObject#$",	//354
    "completionRange",	//355
    "completionRange##",	//356
    "componentData",	//357
    "configDialog",	//358
    "configDialog#",	//359
    "configDialogSupported",	//360
    "configKeys",	//361
    "configPage",	//362
    "configPage$#",	//363
    "configPageFullName",	//364
    "configPageFullName$",	//365
    "configPageIcon",	//366
    "configPageIcon$",	//367
    "configPageName",	//368
    "configPageName$",	//369
    "configPages",	//370
    "configValue",	//371
    "configValue$",	//372
    "confineToRange",	//373
    "confineToRange#",	//374
    "connectNotify",	//375
    "container",	//376
    "contains",	//377
    "contains#",	//378
    "containsColumn",	//379
    "containsColumn$",	//380
    "containsLine",	//381
    "containsLine$",	//382
    "contextMenu",	//383
    "contextMenuAboutToShow",	//384
    "contextMenuAboutToShow##",	//385
    "contextMenuEvent",	//386
    "coordinatesToCursor",	//387
    "coordinatesToCursor#",	//388
    "create",	//389
    "createDocument",	//390
    "createDocument#",	//391
    "createNotifier",	//392
    "createObject",	//393
    "createPartObject",	//394
    "createPlugin",	//395
    "createPlugin?#",	//396
    "createView",	//397
    "createView#",	//398
    "currentRevision",	//399
    "cursorChangedDirectly",	//400
    "cursorChangedDirectly#",	//401
    "cursorInText",	//402
    "cursorInText#",	//403
    "cursorPosition",	//404
    "cursorPositionChanged",	//405
    "cursorPositionChanged##",	//406
    "cursorPositionCoordinates",	//407
    "cursorPositionVirtual",	//408
    "cursorToCoordinate",	//409
    "cursorToCoordinate#",	//410
    "customEvent",	//411
    "data",	//412
    "data$$",	//413
    "deepestRangeContaining",	//414
    "deepestRangeContaining#",	//415
    "deepestRangeContaining#?",	//416
    "deepestRangeContaining#??",	//417
    "deepestRangesContaining",	//418
    "deepestRangesContaining#",	//419
    "defaultContextMenu",	//420
    "defaultContextMenu#",	//421
    "defaultEncoding",	//422
    "defaultStyle",	//423
    "defaultStyle$",	//424
    "defaults",	//425
    "deleteChildRanges",	//426
    "deleteCursors",	//427
    "deleteNotifier",	//428
    "deletePrimaryNotifier",	//429
    "deleteRanges",	//430
    "deleteViewBarForView",	//431
    "deleteViewBarForView#$",	//432
    "deleted",	//433
    "deleted#",	//434
    "depth",	//435
    "devType",	//436
    "disableTextHints",	//437
    "disconnectNotify",	//438
    "dissociateAction",	//439
    "dissociateAction#",	//440
    "document",	//441
    "documentActions",	//442
    "documentCreated",	//443
    "documentCreated##",	//444
    "documentEnd",	//445
    "documentHighlights",	//446
    "documentName",	//447
    "documentNameChanged",	//448
    "documentNameChanged#",	//449
    "documentRange",	//450
    "documentReload",	//451
    "documentSave",	//452
    "documentSaveAs",	//453
    "documentSavedOrUploaded",	//454
    "documentSavedOrUploaded#$",	//455
    "documentUrlChanged",	//456
    "documentUrlChanged#",	//457
    "documents",	//458
    "domDocument",	//459
    "dragEnterEvent",	//460
    "dragLeaveEvent",	//461
    "dragMoveEvent",	//462
    "dropEvent",	//463
    "dropMimeData",	//464
    "dsAlert",	//465
    "dsBaseN",	//466
    "dsChar",	//467
    "dsComment",	//468
    "dsDataType",	//469
    "dsDecVal",	//470
    "dsError",	//471
    "dsFloat",	//472
    "dsFunction",	//473
    "dsKeyword",	//474
    "dsNormal",	//475
    "dsOthers",	//476
    "dsRegionMarker",	//477
    "dsString",	//478
    "dynamicAttribute",	//479
    "dynamicAttribute$",	//480
    "editableMarks",	//481
    "editor",	//482
    "editor$",	//483
    "editor$$",	//484
    "effects",	//485
    "embed",	//486
    "embeddedHighlightingModes",	//487
    "enableTextHints",	//488
    "enableTextHints$",	//489
    "enabledChange",	//490
    "encoding",	//491
    "encompass",	//492
    "encompass#",	//493
    "end",	//494
    "endEditing",	//495
    "endOfLine",	//496
    "endOfLine$",	//497
    "enterEvent",	//498
    "event",	//499
    "eventFilter",	//500
    "exclusiveEditEnd",	//501
    "exclusiveEditEnd#",	//502
    "exclusiveEditStart",	//503
    "exclusiveEditStart#",	//504
    "exec",	//505
    "exec#$$",	//506
    "exec#$$#",	//507
    "executeCompletionItem",	//508
    "executeCompletionItem##$",	//509
    "executeCompletionItem2",	//510
    "executeCompletionItem2###",	//511
    "expandMacros",	//512
    "expandMacros?#",	//513
    "expandToRange",	//514
    "expandToRange#",	//515
    "fetchMore",	//516
    "filterString",	//517
    "filterString###",	//518
    "firstRangeContaining",	//519
    "firstRangeContaining#",	//520
    "flagCompletions",	//521
    "flagCompletions?",	//522
    "flags",	//523
    "focusIn",	//524
    "focusIn#",	//525
    "focusInEvent",	//526
    "focusNextPrevChild",	//527
    "focusOut",	//528
    "focusOut#",	//529
    "focusOutEvent",	//530
    "fontBold",	//531
    "fontChange",	//532
    "forceCompletion",	//533
    "getViewBarParent",	//534
    "getViewBarParent#$",	//535
    "guiActivateEvent",	//536
    "hasAnyProperty",	//537
    "hasChildren",	//538
    "hasGroups",	//539
    "hasGroupsChanged",	//540
    "hasGroupsChanged#$",	//541
    "hasNotifier",	//542
    "hasParent",	//543
    "hasParent#",	//544
    "headerData",	//545
    "heightForWidth",	//546
    "help",	//547
    "help#$$",	//548
    "hideEvent",	//549
    "hideViewBarForView",	//550
    "hideViewBarForView#$",	//551
    "highlightingMode",	//552
    "highlightingModeAt",	//553
    "highlightingModeAt#",	//554
    "highlightingModeChanged",	//555
    "highlightingModeChanged#",	//556
    "highlightingModeSection",	//557
    "highlightingModeSection$",	//558
    "highlightingModes",	//559
    "hitTest",	//560
    "horizontalScrollPositionChanged",	//561
    "horizontalScrollPositionChanged#",	//562
    "index",	//563
    "index$$",	//564
    "index$$#",	//565
    "informationMessage",	//566
    "informationMessage#$",	//567
    "inputMethodEvent",	//568
    "inputMethodQuery",	//569
    "insertBehavior",	//570
    "insertColumns",	//571
    "insertLine",	//572
    "insertLine$$",	//573
    "insertLines",	//574
    "insertLines$?",	//575
    "insertRows",	//576
    "insertTemplateText",	//577
    "insertTemplateText#$?",	//578
    "insertTemplateTextImplementation",	//579
    "insertTemplateTextImplementation#$?",	//580
    "insertText",	//581
    "insertText#$",	//582
    "insertText#$$",	//583
    "insertText#?",	//584
    "insertText#?$",	//585
    "insertText$",	//586
    "insertText?",	//587
    "insertText?$",	//588
    "intersect",	//589
    "intersect#",	//590
    "invalid",	//591
    "isActiveView",	//592
    "isAnnotationBorderVisible",	//593
    "isAutomaticInvocationEnabled",	//594
    "isCompletionActive",	//595
    "isEmpty",	//596
    "isOrphaned",	//597
    "isSmartCursor",	//598
    "isSmartRange",	//599
    "isValid",	//600
    "itemData",	//601
    "itemData#",	//602
    "keyPressEvent",	//603
    "keyReleaseEvent",	//604
    "languageChange",	//605
    "leaveEvent",	//606
    "length",	//607
    "line",	//608
    "line$",	//609
    "lineAttributes",	//610
    "lineAttributes$",	//611
    "lineChanged",	//612
    "lineChanged$",	//613
    "lineLength",	//614
    "lineLength$",	//615
    "lines",	//616
    "localXMLFile",	//617
    "m_column",	//618
    "m_end",	//619
    "m_line",	//620
    "m_range",	//621
    "m_start",	//622
    "mark",	//623
    "mark$",	//624
    "markChanged",	//625
    "markChanged##$",	//626
    "markDescription",	//627
    "markDescription$",	//628
    "markPixmap",	//629
    "markPixmap$",	//630
    "markType01",	//631
    "markType02",	//632
    "markType03",	//633
    "markType04",	//634
    "markType05",	//635
    "markType06",	//636
    "markType07",	//637
    "markType08",	//638
    "markType09",	//639
    "markType10",	//640
    "markType11",	//641
    "markType12",	//642
    "markType13",	//643
    "markType14",	//644
    "markType15",	//645
    "markType16",	//646
    "markType17",	//647
    "markType18",	//648
    "markType19",	//649
    "markType20",	//650
    "markType21",	//651
    "markType22",	//652
    "markType23",	//653
    "markType24",	//654
    "markType25",	//655
    "markType26",	//656
    "markType27",	//657
    "markType28",	//658
    "markType29",	//659
    "markType30",	//660
    "markType31",	//661
    "markType32",	//662
    "marks",	//663
    "marksChanged",	//664
    "marksChanged#",	//665
    "match",	//666
    "matchingItem",	//667
    "matchingItem#",	//668
    "metaObject",	//669
    "metric",	//670
    "mimeData",	//671
    "mimeType",	//672
    "mimeTypes",	//673
    "minimumSizeHint",	//674
    "mode",	//675
    "modeChanged",	//676
    "modeChanged#",	//677
    "modeSection",	//678
    "modeSection$",	//679
    "modes",	//680
    "modifiedChanged",	//681
    "modifiedChanged#",	//682
    "modifiedOnDisk",	//683
    "modifiedOnDisk#$$",	//684
    "mostSpecificRange",	//685
    "mostSpecificRange#",	//686
    "mouseDoubleClickEvent",	//687
    "mouseEnteredRange",	//688
    "mouseEnteredRange##",	//689
    "mouseExitedRange",	//690
    "mouseExitedRange##",	//691
    "mouseMoveEvent",	//692
    "mousePositionChanged",	//693
    "mousePositionChanged##",	//694
    "mousePressEvent",	//695
    "mouseReleaseEvent",	//696
    "mouseTrackingEnabled",	//697
    "moveEvent",	//698
    "needTextHint",	//699
    "needTextHint#$",	//700
    "newSmartCursor",	//701
    "newSmartCursor#",	//702
    "newSmartCursor#$",	//703
    "newSmartCursor$$",	//704
    "newSmartCursor$$$",	//705
    "newSmartRange",	//706
    "newSmartRange#",	//707
    "newSmartRange##",	//708
    "newSmartRange###",	//709
    "newSmartRange###$",	//710
    "newSmartRange##$",	//711
    "newSmartRange$$$$",	//712
    "newSmartRange$$$$#",	//713
    "newSmartRange$$$$#$",	//714
    "notifier",	//715
    "notifiers",	//716
    "numberOfLines",	//717
    "onSingleLine",	//718
    "openFile",	//719
    "openUrl",	//720
    "openingError",	//721
    "openingErrorMessage",	//722
    "operator+=",	//723
    "operator+=#",	//724
    "operator=",	//725
    "operator=#",	//726
    "operator|",	//727
    "operator|?$",	//728
    "operator|??",	//729
    "outline",	//730
    "overlapCount",	//731
    "overlaps",	//732
    "overlaps#",	//733
    "overlapsColumn",	//734
    "overlapsColumn$",	//735
    "overlapsLine",	//736
    "overlapsLine$",	//737
    "paintEngine",	//738
    "paintEvent",	//739
    "paletteChange",	//740
    "parent",	//741
    "parent#",	//742
    "parentRange",	//743
    "parentRangeChanged",	//744
    "parentRangeChanged###",	//745
    "partActivateEvent",	//746
    "partComponentData",	//747
    "partSelectEvent",	//748
    "position",	//749
    "position$$",	//750
    "positionChanged",	//751
    "positionChanged#",	//752
    "positionDeleted",	//753
    "positionDeleted#",	//754
    "positionRelativeToCursor",	//755
    "positionRelativeToCursor#",	//756
    "positionRelativeToLine",	//757
    "positionRelativeToLine$",	//758
    "postLoadFilter",	//759
    "postLoadFilter#",	//760
    "postSaveFilterCheck",	//761
    "postSaveFilterCheck#$",	//762
    "preSavePostDialogFilterCheck",	//763
    "preSavePostDialogFilterCheck#",	//764
    "primaryNotifier",	//765
    "processText",	//766
    "processText#$",	//767
    "qt_metacall",	//768
    "qt_metacall$$?",	//769
    "qt_metacast",	//770
    "qt_metacast$",	//771
    "queryClose",	//772
    "queryCommand",	//773
    "queryCommand$",	//774
    "range",	//775
    "rangeAttributeChanged",	//776
    "rangeAttributeChanged#??",	//777
    "rangeChanged",	//778
    "rangeChanged##",	//779
    "rangeContentsChanged",	//780
    "rangeContentsChanged#",	//781
    "rangeContentsChanged##",	//782
    "rangeDeleted",	//783
    "rangeDeleted#",	//784
    "rangeEliminated",	//785
    "rangeEliminated#",	//786
    "rangePositionChanged",	//787
    "rangePositionChanged#",	//788
    "readAppSetting",	//789
    "readAppSetting$",	//790
    "readConfig",	//791
    "readConfig#",	//792
    "readParameterizedSessionConfig",	//793
    "readParameterizedSessionConfig#$",	//794
    "readSessionConfig",	//795
    "readSessionConfig#",	//796
    "rebuildChildStructure",	//797
    "registerCommand",	//798
    "registerCommand#",	//799
    "registerCompletionModel",	//800
    "registerCompletionModel#",	//801
    "releaseRevision",	//802
    "releaseRevision$",	//803
    "reloaded",	//804
    "reloaded#",	//805
    "removeActionsFromDocument",	//806
    "removeActionsFromDocument#",	//807
    "removeActionsFromView",	//808
    "removeActionsFromView##",	//809
    "removeColumns",	//810
    "removeDocument",	//811
    "removeDocument#",	//812
    "removeHighlightFromDocument",	//813
    "removeHighlightFromDocument#",	//814
    "removeHighlightFromView",	//815
    "removeHighlightFromView##",	//816
    "removeLine",	//817
    "removeLine$",	//818
    "removeMark",	//819
    "removeMark$$",	//820
    "removeNotifier",	//821
    "removeNotifier#",	//822
    "removeRows",	//823
    "removeSelection",	//824
    "removeSelectionText",	//825
    "removeText",	//826
    "removeText#",	//827
    "removeText#$",	//828
    "removeText$",	//829
    "removeView",	//830
    "removeView#",	//831
    "removeWatcher",	//832
    "removeWatcher#",	//833
    "replaceText",	//834
    "replaceText#$",	//835
    "replaceText#$$",	//836
    "replaceText#?",	//837
    "replaceText#?$",	//838
    "replaceText?",	//839
    "replaceText?$",	//840
    "reservedMarkersCount",	//841
    "reset",	//842
    "resizeEvent",	//843
    "revert",	//844
    "rowCount",	//845
    "rowCount#",	//846
    "save",	//847
    "saveAs",	//848
    "saveFile",	//849
    "saveToUrl",	//850
    "searchText",	//851
    "searchText#$",	//852
    "searchText#$$",	//853
    "selectedBackground",	//854
    "selectedForeground",	//855
    "selection",	//856
    "selectionChanged",	//857
    "selectionChanged#",	//858
    "selectionRange",	//859
    "selectionText",	//860
    "setActiveView",	//861
    "setActiveView#",	//862
    "setAnnotationBorderVisible",	//863
    "setAnnotationBorderVisible$",	//864
    "setAnnotationModel",	//865
    "setAnnotationModel#",	//866
    "setAttribute",	//867
    "setAttribute?",	//868
    "setAutomaticInvocationEnabled",	//869
    "setAutomaticInvocationEnabled$",	//870
    "setBackgroundFillWhitespace",	//871
    "setBackgroundFillWhitespace$",	//872
    "setBlockSelection",	//873
    "setBlockSelection$",	//874
    "setBothColumns",	//875
    "setBothColumns$",	//876
    "setBothLines",	//877
    "setBothLines$",	//878
    "setClearOnDocumentReload",	//879
    "setClearOnDocumentReload$",	//880
    "setColumn",	//881
    "setColumn$",	//882
    "setComponentData",	//883
    "setConfigValue",	//884
    "setConfigValue$#",	//885
    "setContainer",	//886
    "setContainer#",	//887
    "setContextMenu",	//888
    "setContextMenu#",	//889
    "setCursorPosition",	//890
    "setCursorPosition#",	//891
    "setDOMDocument",	//892
    "setData",	//893
    "setDefaultEncoding",	//894
    "setDefaultEncoding$",	//895
    "setDynamicAttribute",	//896
    "setDynamicAttribute$?",	//897
    "setEditableMarks",	//898
    "setEditableMarks$",	//899
    "setEffects",	//900
    "setEffects$",	//901
    "setEncoding",	//902
    "setEncoding$",	//903
    "setFontBold",	//904
    "setFontBold$",	//905
    "setHasGroups",	//906
    "setHasGroups$",	//907
    "setHeaderData",	//908
    "setHighlightingMode",	//909
    "setHighlightingMode$",	//910
    "setInsertBehavior",	//911
    "setInsertBehavior$",	//912
    "setItemData",	//913
    "setLength",	//914
    "setLength$",	//915
    "setLine",	//916
    "setLine$",	//917
    "setLocalXMLFile",	//918
    "setM_column",	//919
    "setM_column$",	//920
    "setM_end",	//921
    "setM_end#",	//922
    "setM_line",	//923
    "setM_line$",	//924
    "setM_range",	//925
    "setM_range#",	//926
    "setM_start",	//927
    "setM_start#",	//928
    "setManager",	//929
    "setMark",	//930
    "setMark$$",	//931
    "setMarkDescription",	//932
    "setMarkDescription$$",	//933
    "setMarkPixmap",	//934
    "setMarkPixmap$#",	//935
    "setMode",	//936
    "setMode$",	//937
    "setModified",	//938
    "setModifiedOnDisk",	//939
    "setModifiedOnDisk$",	//940
    "setModifiedOnDiskWarning",	//941
    "setModifiedOnDiskWarning$",	//942
    "setMouseTrackingEnabled",	//943
    "setMouseTrackingEnabled$",	//944
    "setOpeningError",	//945
    "setOpeningError$",	//946
    "setOpeningErrorMessage",	//947
    "setOpeningErrorMessage$",	//948
    "setOrphaned",	//949
    "setOrphaned$",	//950
    "setOutline",	//951
    "setOutline#",	//952
    "setParentRange",	//953
    "setParentRange#",	//954
    "setPosition",	//955
    "setPosition#",	//956
    "setPosition$$",	//957
    "setRange",	//958
    "setRange#",	//959
    "setRange##",	//960
    "setReadWrite",	//961
    "setRowCount",	//962
    "setRowCount$",	//963
    "setSelectable",	//964
    "setSelectedBackground",	//965
    "setSelectedBackground#",	//966
    "setSelectedForeground",	//967
    "setSelectedForeground#",	//968
    "setSelection",	//969
    "setSelection#",	//970
    "setSelection#$",	//971
    "setSelection#$$",	//972
    "setSimpleMode",	//973
    "setSimpleMode$",	//974
    "setStart",	//975
    "setStart$",	//976
    "setSuppressOpeningErrorDialogs",	//977
    "setSuppressOpeningErrorDialogs$",	//978
    "setText",	//979
    "setText$",	//980
    "setText?",	//981
    "setType",	//982
    "setType$",	//983
    "setVisible",	//984
    "setWantsDirectChanges",	//985
    "setWantsDirectChanges$",	//986
    "setWatcher",	//987
    "setWatcher#",	//988
    "setWidget",	//989
    "setXML",	//990
    "setXMLFile",	//991
    "setupTranslations",	//992
    "shouldAbortCompletion",	//993
    "shouldAbortCompletion##$",	//994
    "shouldExecute",	//995
    "shouldExecute##",	//996
    "shouldStartCompletion",	//997
    "shouldStartCompletion#$$#",	//998
    "showEvent",	//999
    "showViewBarForView",	//1000
    "showViewBarForView#$",	//1001
    "simpleMode",	//1002
    "sizeHint",	//1003
    "slotModifiedOnDisk",	//1004
    "slotModifiedOnDisk#",	//1005
    "smartEnd",	//1006
    "smartMutex",	//1007
    "smartRange",	//1008
    "smartStart",	//1009
    "sort",	//1010
    "span",	//1011
    "start",	//1012
    "startCompletion",	//1013
    "startCompletion##",	//1014
    "startEditing",	//1015
    "stateChanged",	//1016
    "staticMetaObject",	//1017
    "styleChange",	//1018
    "submit",	//1019
    "supportedDropActions",	//1020
    "supportedSearchOptions",	//1021
    "supportsRange",	//1022
    "supportsRange$",	//1023
    "suppressOpeningErrorDialogs",	//1024
    "tabletEvent",	//1025
    "text",	//1026
    "text#",	//1027
    "text#$",	//1028
    "text$",	//1029
    "textChanged",	//1030
    "textChanged#",	//1031
    "textChanged###",	//1032
    "textChanged##$#",	//1033
    "textInserted",	//1034
    "textInserted##",	//1035
    "textInserted##$",	//1036
    "textLines",	//1037
    "textLines#",	//1038
    "textLines#$",	//1039
    "textRemoved",	//1040
    "textRemoved##",	//1041
    "textRemoved##$",	//1042
    "timerEvent",	//1043
    "toSmartCursor",	//1044
    "toSmartRange",	//1045
    "topParentRange",	//1046
    "totalCharacters",	//1047
    "tr",	//1048
    "tr$",	//1049
    "tr$$",	//1050
    "tr$$$",	//1051
    "trUtf8",	//1052
    "trUtf8$",	//1053
    "trUtf8$$",	//1054
    "trUtf8$$$",	//1055
    "translateFromRevision",	//1056
    "translateFromRevision#",	//1057
    "translateFromRevision#$",	//1058
    "type",	//1059
    "unbindSmartRange",	//1060
    "unbindSmartRange#",	//1061
    "unregisterCommand",	//1062
    "unregisterCommand#",	//1063
    "unregisterCompletionModel",	//1064
    "unregisterCompletionModel#",	//1065
    "updateCompletionRange",	//1066
    "updateCompletionRange##",	//1067
    "useRevision",	//1068
    "useRevision$",	//1069
    "variable",	//1070
    "variable$",	//1071
    "variableChanged",	//1072
    "variableChanged#$$",	//1073
    "verticalScrollPositionChanged",	//1074
    "verticalScrollPositionChanged##",	//1075
    "viewActions",	//1076
    "viewActions#",	//1077
    "viewCreated",	//1078
    "viewCreated##",	//1079
    "viewEditMode",	//1080
    "viewEditModeChanged",	//1081
    "viewEditModeChanged#$",	//1082
    "viewHighlights",	//1083
    "viewHighlights#",	//1084
    "viewMode",	//1085
    "viewModeChanged",	//1086
    "viewModeChanged#",	//1087
    "views",	//1088
    "virtual_hook",	//1089
    "waitForReset",	//1090
    "wantsDirectChanges",	//1091
    "wantsToProcessText",	//1092
    "wantsToProcessText$",	//1093
    "watcher",	//1094
    "watchers",	//1095
    "wheelEvent",	//1096
    "widget",	//1097
    "windowActivationChange",	//1098
    "writeAppSetting",	//1099
    "writeAppSetting$",	//1100
    "writeConfig",	//1101
    "writeConfig#",	//1102
    "writeParameterizedSessionConfig",	//1103
    "writeParameterizedSessionConfig#$",	//1104
    "writeSessionConfig",	//1105
    "writeSessionConfig#",	//1106
    "x11Event",	//1107
    "xmlFile",	//1108
    "~AnnotationInterface",	//1109
    "~AnnotationModel",	//1110
    "~AnnotationViewInterface",	//1111
    "~Attribute",	//1112
    "~AttributeBlock",	//1113
    "~CodeCompletionInterface",	//1114
    "~CodeCompletionModel",	//1115
    "~CodeCompletionModel2",	//1116
    "~CodeCompletionModelControllerInterface",	//1117
    "~CodeCompletionModelControllerInterface2",	//1118
    "~Command",	//1119
    "~CommandExtension",	//1120
    "~CommandInterface",	//1121
    "~ConfigInterface",	//1122
    "~ConfigPage",	//1123
    "~ContainerInterface",	//1124
    "~CoordinatesToCursorInterface",	//1125
    "~Cursor",	//1126
    "~Document",	//1127
    "~Editor",	//1128
    "~EditorChooser",	//1129
    "~Factory",	//1130
    "~HighlightInterface",	//1131
    "~LoadSaveFilterCheckPlugin",	//1132
    "~Mark",	//1133
    "~MarkInterface",	//1134
    "~MdiContainer",	//1135
    "~ModificationInterface",	//1136
    "~ParameterizedSessionConfigInterface",	//1137
    "~Plugin",	//1138
    "~Range",	//1139
    "~RangeCommand",	//1140
    "~SearchInterface",	//1141
    "~SessionConfigInterface",	//1142
    "~SmartCursor",	//1143
    "~SmartCursorNotifier",	//1144
    "~SmartCursorWatcher",	//1145
    "~SmartInterface",	//1146
    "~SmartRange",	//1147
    "~SmartRangeNotifier",	//1148
    "~SmartRangeWatcher",	//1149
    "~TemplateInterface",	//1150
    "~TextHintInterface",	//1151
    "~VariableInterface",	//1152
    "~View",	//1153
    "~ViewBarContainer",	//1154
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 747, 0, 0, Smoke::mf_virtual, 4, 0},	//1 KParts::Factory::partComponentData()
    {9, 394, 1, 4, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 10, 0},	//2 KParts::Factory::createPartObject(QWidget*, QObject*, const char*, const QStringList&) [pure virtual]
    {9, 393, 6, 3, Smoke::mf_protected|Smoke::mf_virtual, 148, 0},	//3 KParts::Factory::createObject(QObject*, const char*, const QStringList&)
    {11, 486, 10, 1, Smoke::mf_virtual, 0, 0},	//4 KParts::Part::embed(QWidget*)
    {11, 1097, 0, 0, Smoke::mf_virtual, 170, 0},	//5 KParts::Part::widget()
    {11, 929, 12, 1, Smoke::mf_virtual, 0, 0},	//6 KParts::Part::setManager(KParts::PartManager*)
    {11, 560, 14, 2, Smoke::mf_virtual, 10, 0},	//7 KParts::Part::hitTest(QWidget*, const QPoint&)
    {11, 964, 17, 1, Smoke::mf_virtual, 0, 0},	//8 KParts::Part::setSelectable(bool)
    {11, 989, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KParts::Part::setWidget(QWidget*)
    {11, 411, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KParts::Part::customEvent(QEvent*)
    {11, 746, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KParts::Part::partActivateEvent(KParts::PartActivateEvent*)
    {11, 748, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KParts::Part::partSelectEvent(KParts::PartSelectEvent*)
    {13, 883, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KParts::PartBase::setComponentData(const KComponentData&)
    {13, 883, 27, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//14 KParts::PartBase::setComponentData(const KComponentData&, bool)
    {16, 720, 30, 1, Smoke::mf_virtual|Smoke::mf_slot, 244, 0},	//15 KParts::ReadOnlyPart::openUrl(const KUrl&)
    {16, 719, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 244, 0},	//16 KParts::ReadOnlyPart::openFile()
    {16, 536, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 KParts::ReadOnlyPart::guiActivateEvent(KParts::GUIActivateEvent*)
    {17, 961, 17, 1, Smoke::mf_virtual, 0, 0},	//18 KParts::ReadWritePart::setReadWrite(bool)
    {17, 772, 0, 0, Smoke::mf_virtual, 244, 0},	//19 KParts::ReadWritePart::queryClose()
    {17, 341, 0, 0, Smoke::mf_virtual, 244, 0},	//20 KParts::ReadWritePart::closeUrl()
    {17, 341, 17, 1, Smoke::mf_virtual, 244, 0},	//21 KParts::ReadWritePart::closeUrl(bool)
    {17, 848, 30, 1, Smoke::mf_virtual, 244, 0},	//22 KParts::ReadWritePart::saveAs(const KUrl&)
    {17, 938, 17, 1, Smoke::mf_virtual, 0, 0},	//23 KParts::ReadWritePart::setModified(bool)
    {17, 847, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 244, 0},	//24 KParts::ReadWritePart::save()
    {17, 849, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 0},	//25 KParts::ReadWritePart::saveFile() [pure virtual]
    {17, 850, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 244, 0},	//26 KParts::ReadWritePart::saveToUrl()
    {18, 992, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 KPluginFactory::setupTranslations()
    {18, 389, 34, 5, Smoke::mf_protected|Smoke::mf_virtual, 148, 0},	//28 KPluginFactory::create(const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&)
    {20, 727, 40, 2, Smoke::mf_static, 121, 1},	//29 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>)
    {20, 727, 43, 2, Smoke::mf_static, 125, 2},	//30 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type)
    {20, 727, 46, 2, Smoke::mf_static, 131, 3},	//31 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int)
    {20, 727, 49, 2, Smoke::mf_static, 119, 4},	//32 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type)
    {20, 727, 52, 2, Smoke::mf_static, 120, 5},	//33 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>)
    {20, 727, 55, 2, Smoke::mf_static, 131, 6},	//34 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, int)
    {20, 727, 58, 2, Smoke::mf_static, 125, 7},	//35 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>)
    {20, 727, 61, 2, Smoke::mf_static, 119, 8},	//36 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>)
    {20, 727, 64, 2, Smoke::mf_static, 120, 9},	//37 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type)
    {20, 727, 67, 2, Smoke::mf_static, 131, 10},	//38 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, int)
    {20, 482, 70, 1, Smoke::mf_static, 55, 11},	//39 KTextEditor::editor(const char*)
    {20, 395, 72, 2, Smoke::mf_static, 73, 12},	//40 KTextEditor::createPlugin(KSharedPtr<KService>, QObject*)
    {20, 727, 75, 2, Smoke::mf_static, 131, 13},	//41 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int)
    {20, 727, 78, 2, Smoke::mf_static, 121, 14},	//42 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type)
    {21, 865, 81, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//43 KTextEditor::AnnotationInterface::setAnnotationModel(KTextEditor::AnnotationModel*) [pure virtual]
    {21, 277, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 21, 2},	//44 KTextEditor::AnnotationInterface::annotationModel() const [pure virtual]
    {21, 6, 0, 0, Smoke::mf_ctor, 20, 3},	//45 KTextEditor::AnnotationInterface::AnnotationInterface()
    {21, 6, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 4},	//46 KTextEditor::AnnotationInterface::AnnotationInterface(const KTextEditor::AnnotationInterface&)
    {21, 1109, 0, 0, Smoke::mf_dtor, 0, 5 },	//47 KTextEditor::AnnotationInterface::~AnnotationInterface()
    {22, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//48 KTextEditor::AnnotationModel::metaObject() const
    {22, 770, 70, 1, Smoke::mf_virtual, 322, 2},	//49 KTextEditor::AnnotationModel::qt_metacast(const char*)
    {22, 1048, 85, 2, Smoke::mf_static, 159, 3},	//50 KTextEditor::AnnotationModel::tr(const char*, const char*)
    {22, 1052, 85, 2, Smoke::mf_static, 159, 4},	//51 KTextEditor::AnnotationModel::trUtf8(const char*, const char*)
    {22, 1048, 88, 3, Smoke::mf_static, 159, 5},	//52 KTextEditor::AnnotationModel::tr(const char*, const char*, int)
    {22, 1052, 88, 3, Smoke::mf_static, 159, 6},	//53 KTextEditor::AnnotationModel::trUtf8(const char*, const char*, int)
    {22, 768, 92, 3, Smoke::mf_virtual, 318, 7},	//54 KTextEditor::AnnotationModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 412, 96, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 167, 8},	//55 KTextEditor::AnnotationModel::data(int, Qt::ItemDataRole) const [pure virtual]
    {22, 842, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//56 KTextEditor::AnnotationModel::reset()
    {22, 612, 99, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//57 KTextEditor::AnnotationModel::lineChanged(int)
    {22, 8, 0, 0, Smoke::mf_ctor, 21, 11},	//58 KTextEditor::AnnotationModel::AnnotationModel()
    {22, 1048, 70, 1, Smoke::mf_static, 159, 12},	//59 KTextEditor::AnnotationModel::tr(const char*)
    {22, 1052, 70, 1, Smoke::mf_static, 159, 13},	//60 KTextEditor::AnnotationModel::trUtf8(const char*)
    {22, 1017, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 14},	//61 KTextEditor::AnnotationModel::staticMetaObject() const
    {22, 1110, 0, 0, Smoke::mf_dtor, 0, 15 },	//62 KTextEditor::AnnotationModel::~AnnotationModel()
    {23, 863, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//63 KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible(bool) [pure virtual]
    {23, 593, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 2},	//64 KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible() const [pure virtual]
    {23, 275, 101, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//65 KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow(KTextEditor::View*, QMenu*, int) [pure virtual]
    {23, 271, 105, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//66 KTextEditor::AnnotationViewInterface::annotationActivated(KTextEditor::View*, int) [pure virtual]
    {23, 273, 108, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//67 KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged(KTextEditor::View*, bool) [pure virtual]
    {23, 9, 0, 0, Smoke::mf_ctor, 22, 6},	//68 KTextEditor::AnnotationViewInterface::AnnotationViewInterface()
    {23, 9, 111, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 7},	//69 KTextEditor::AnnotationViewInterface::AnnotationViewInterface(const KTextEditor::AnnotationViewInterface&)
    {23, 1111, 0, 0, Smoke::mf_dtor, 0, 8 },	//70 KTextEditor::AnnotationViewInterface::~AnnotationViewInterface()
    {24, 13, 0, 0, Smoke::mf_ctor, 25, 1},	//71 KTextEditor::Attribute::Attribute()
    {24, 13, 113, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//72 KTextEditor::Attribute::Attribute(const KTextEditor::Attribute&)
    {24, 531, 0, 0, Smoke::mf_const, 244, 3},	//73 KTextEditor::Attribute::fontBold() const
    {24, 904, 17, 1, 0, 0, 4},	//74 KTextEditor::Attribute::setFontBold(bool)
    {24, 730, 0, 0, Smoke::mf_const, 107, 5},	//75 KTextEditor::Attribute::outline() const
    {24, 951, 115, 1, 0, 0, 6},	//76 KTextEditor::Attribute::setOutline(const QBrush&)
    {24, 855, 0, 0, Smoke::mf_const, 107, 7},	//77 KTextEditor::Attribute::selectedForeground() const
    {24, 967, 115, 1, 0, 0, 8},	//78 KTextEditor::Attribute::setSelectedForeground(const QBrush&)
    {24, 854, 0, 0, Smoke::mf_const, 107, 9},	//79 KTextEditor::Attribute::selectedBackground() const
    {24, 965, 115, 1, 0, 0, 10},	//80 KTextEditor::Attribute::setSelectedBackground(const QBrush&)
    {24, 291, 0, 0, Smoke::mf_const, 244, 11},	//81 KTextEditor::Attribute::backgroundFillWhitespace() const
    {24, 871, 17, 1, 0, 0, 12},	//82 KTextEditor::Attribute::setBackgroundFillWhitespace(bool)
    {24, 322, 0, 0, 0, 0, 13},	//83 KTextEditor::Attribute::clear()
    {24, 537, 0, 0, Smoke::mf_const, 244, 14},	//84 KTextEditor::Attribute::hasAnyProperty() const
    {24, 281, 0, 0, Smoke::mf_const, 291, 15},	//85 KTextEditor::Attribute::associatedActions() const
    {24, 324, 0, 0, 0, 0, 16},	//86 KTextEditor::Attribute::clearAssociatedActions()
    {24, 479, 117, 1, Smoke::mf_const, 16, 17},	//87 KTextEditor::Attribute::dynamicAttribute(KTextEditor::Attribute::ActivationType) const
    {24, 896, 119, 2, 0, 0, 18},	//88 KTextEditor::Attribute::setDynamicAttribute(KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>)
    {24, 485, 0, 0, Smoke::mf_const, 118, 19},	//89 KTextEditor::Attribute::effects() const
    {24, 900, 122, 1, 0, 0, 20},	//90 KTextEditor::Attribute::setEffects(QFlags<KTextEditor::Attribute::Effect>)
    {24, 723, 113, 1, 0, 24, 21},	//91 KTextEditor::Attribute::operator+=(const KTextEditor::Attribute&)
    {24, 725, 113, 1, 0, 24, 22},	//92 KTextEditor::Attribute::operator=(const KTextEditor::Attribute&)
    {24, 904, 0, 0, 0, 0, 23},	//93 KTextEditor::Attribute::setFontBold()
    {24, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 24},	//94 KTextEditor::Attribute::Outline (enum)
    {24, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 25},	//95 KTextEditor::Attribute::SelectedForeground (enum)
    {24, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 26},	//96 KTextEditor::Attribute::SelectedBackground (enum)
    {24, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 27},	//97 KTextEditor::Attribute::BackgroundFillWhitespace (enum)
    {24, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 28},	//98 KTextEditor::Attribute::AttributeDynamicEffect (enum)
    {24, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 29},	//99 KTextEditor::Attribute::AttributeInternalProperty (enum)
    {24, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 30},	//100 KTextEditor::Attribute::AttributeUserProperty (enum)
    {24, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 31},	//101 KTextEditor::Attribute::ActivateMouseIn (enum)
    {24, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 32},	//102 KTextEditor::Attribute::ActivateCaretIn (enum)
    {24, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 33},	//103 KTextEditor::Attribute::EffectNone (enum)
    {24, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 34},	//104 KTextEditor::Attribute::EffectFadeIn (enum)
    {24, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 35},	//105 KTextEditor::Attribute::EffectFadeOut (enum)
    {24, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 36},	//106 KTextEditor::Attribute::EffectPulse (enum)
    {24, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 37},	//107 KTextEditor::Attribute::EffectCycleGradient (enum)
    {24, 1112, 0, 0, Smoke::mf_dtor, 0, 38 },	//108 KTextEditor::Attribute::~Attribute()
    {25, 595, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 1},	//109 KTextEditor::CodeCompletionInterface::isCompletionActive() const [pure virtual]
    {25, 1013, 124, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//110 KTextEditor::CodeCompletionInterface::startCompletion(const KTextEditor::Range&, KTextEditor::CodeCompletionModel*) [pure virtual]
    {25, 234, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//111 KTextEditor::CodeCompletionInterface::abortCompletion() [pure virtual]
    {25, 533, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//112 KTextEditor::CodeCompletionInterface::forceCompletion() [pure virtual]
    {25, 800, 127, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//113 KTextEditor::CodeCompletionInterface::registerCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
    {25, 1064, 127, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//114 KTextEditor::CodeCompletionInterface::unregisterCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
    {25, 594, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 7},	//115 KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled() const [pure virtual]
    {25, 869, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//116 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled(bool) [pure virtual]
    {25, 32, 0, 0, Smoke::mf_ctor, 31, 9},	//117 KTextEditor::CodeCompletionInterface::CodeCompletionInterface()
    {25, 32, 129, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 10},	//118 KTextEditor::CodeCompletionInterface::CodeCompletionInterface(const KTextEditor::CodeCompletionInterface&)
    {25, 869, 0, 0, 0, 0, 11},	//119 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled()
    {25, 1114, 0, 0, Smoke::mf_dtor, 0, 12 },	//120 KTextEditor::CodeCompletionInterface::~CodeCompletionInterface()
    {26, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//121 KTextEditor::CodeCompletionModel::metaObject() const
    {26, 770, 70, 1, Smoke::mf_virtual, 322, 2},	//122 KTextEditor::CodeCompletionModel::qt_metacast(const char*)
    {26, 1048, 85, 2, Smoke::mf_static, 159, 3},	//123 KTextEditor::CodeCompletionModel::tr(const char*, const char*)
    {26, 1052, 85, 2, Smoke::mf_static, 159, 4},	//124 KTextEditor::CodeCompletionModel::trUtf8(const char*, const char*)
    {26, 1048, 88, 3, Smoke::mf_static, 159, 5},	//125 KTextEditor::CodeCompletionModel::tr(const char*, const char*, int)
    {26, 1052, 88, 3, Smoke::mf_static, 159, 6},	//126 KTextEditor::CodeCompletionModel::trUtf8(const char*, const char*, int)
    {26, 768, 92, 3, Smoke::mf_virtual, 318, 7},	//127 KTextEditor::CodeCompletionModel::qt_metacall(QMetaObject::Call, int, void**)
    {26, 34, 131, 1, Smoke::mf_ctor, 32, 8},	//128 KTextEditor::CodeCompletionModel::CodeCompletionModel(QObject*)
    {26, 962, 99, 1, 0, 0, 9},	//129 KTextEditor::CodeCompletionModel::setRowCount(int)
    {26, 351, 133, 3, Smoke::mf_virtual, 0, 10},	//130 KTextEditor::CodeCompletionModel::completionInvoked(KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType)
    {26, 508, 137, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 11},	//131 KTextEditor::CodeCompletionModel::executeCompletionItem(KTextEditor::Document*, const KTextEditor::Range&, int) const
    {26, 346, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 318, 12},	//132 KTextEditor::CodeCompletionModel::columnCount(const QModelIndex&) const
    {26, 563, 143, 3, Smoke::mf_const|Smoke::mf_virtual, 144, 13},	//133 KTextEditor::CodeCompletionModel::index(int, int, const QModelIndex&) const
    {26, 601, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 140, 14},	//134 KTextEditor::CodeCompletionModel::itemData(const QModelIndex&) const
    {26, 741, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 144, 15},	//135 KTextEditor::CodeCompletionModel::parent(const QModelIndex&) const
    {26, 845, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 318, 16},	//136 KTextEditor::CodeCompletionModel::rowCount(const QModelIndex&) const
    {26, 539, 0, 0, Smoke::mf_const, 244, 17},	//137 KTextEditor::CodeCompletionModel::hasGroups() const
    {26, 1090, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//138 KTextEditor::CodeCompletionModel::waitForReset()
    {26, 540, 147, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//139 KTextEditor::CodeCompletionModel::hasGroupsChanged(KTextEditor::CodeCompletionModel*, bool)
    {26, 906, 17, 1, Smoke::mf_protected, 0, 20},	//140 KTextEditor::CodeCompletionModel::setHasGroups(bool)
    {26, 1048, 70, 1, Smoke::mf_static, 159, 21},	//141 KTextEditor::CodeCompletionModel::tr(const char*)
    {26, 1052, 70, 1, Smoke::mf_static, 159, 22},	//142 KTextEditor::CodeCompletionModel::trUtf8(const char*)
    {26, 346, 0, 0, Smoke::mf_const, 318, 23},	//143 KTextEditor::CodeCompletionModel::columnCount() const
    {26, 563, 150, 2, Smoke::mf_const, 144, 24},	//144 KTextEditor::CodeCompletionModel::index(int, int) const
    {26, 845, 0, 0, Smoke::mf_const, 318, 25},	//145 KTextEditor::CodeCompletionModel::rowCount() const
    {26, 1017, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 26},	//146 KTextEditor::CodeCompletionModel::staticMetaObject() const
    {26, 42, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 315, 27},	//147 KTextEditor::CodeCompletionModel::ColumnCount() const
    {26, 128, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 315, 28},	//148 KTextEditor::CodeCompletionModel::LastItemDataRole() const
    {26, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 29},	//149 KTextEditor::CodeCompletionModel::Prefix (enum)
    {26, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 30},	//150 KTextEditor::CodeCompletionModel::Icon (enum)
    {26, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 31},	//151 KTextEditor::CodeCompletionModel::Scope (enum)
    {26, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 32},	//152 KTextEditor::CodeCompletionModel::Name (enum)
    {26, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 33},	//153 KTextEditor::CodeCompletionModel::Arguments (enum)
    {26, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 34},	//154 KTextEditor::CodeCompletionModel::Postfix (enum)
    {26, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 35},	//155 KTextEditor::CodeCompletionModel::NoProperty (enum)
    {26, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 36},	//156 KTextEditor::CodeCompletionModel::FirstProperty (enum)
    {26, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 37},	//157 KTextEditor::CodeCompletionModel::Public (enum)
    {26, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 38},	//158 KTextEditor::CodeCompletionModel::Protected (enum)
    {26, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 39},	//159 KTextEditor::CodeCompletionModel::Private (enum)
    {26, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 40},	//160 KTextEditor::CodeCompletionModel::Static (enum)
    {26, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 41},	//161 KTextEditor::CodeCompletionModel::Const (enum)
    {26, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 42},	//162 KTextEditor::CodeCompletionModel::Namespace (enum)
    {26, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 43},	//163 KTextEditor::CodeCompletionModel::Class (enum)
    {26, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 44},	//164 KTextEditor::CodeCompletionModel::Struct (enum)
    {26, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 45},	//165 KTextEditor::CodeCompletionModel::Union (enum)
    {26, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 46},	//166 KTextEditor::CodeCompletionModel::Function (enum)
    {26, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 47},	//167 KTextEditor::CodeCompletionModel::Variable (enum)
    {26, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 48},	//168 KTextEditor::CodeCompletionModel::Enum (enum)
    {26, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 49},	//169 KTextEditor::CodeCompletionModel::Template (enum)
    {26, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 50},	//170 KTextEditor::CodeCompletionModel::TypeAlias (enum)
    {26, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 51},	//171 KTextEditor::CodeCompletionModel::Virtual (enum)
    {26, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 52},	//172 KTextEditor::CodeCompletionModel::Override (enum)
    {26, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 53},	//173 KTextEditor::CodeCompletionModel::Inline (enum)
    {26, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 54},	//174 KTextEditor::CodeCompletionModel::Friend (enum)
    {26, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 55},	//175 KTextEditor::CodeCompletionModel::Signal (enum)
    {26, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 56},	//176 KTextEditor::CodeCompletionModel::Slot (enum)
    {26, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 57},	//177 KTextEditor::CodeCompletionModel::LocalScope (enum)
    {26, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 58},	//178 KTextEditor::CodeCompletionModel::NamespaceScope (enum)
    {26, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 59},	//179 KTextEditor::CodeCompletionModel::GlobalScope (enum)
    {26, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 60},	//180 KTextEditor::CodeCompletionModel::LastProperty (enum)
    {26, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 61},	//181 KTextEditor::CodeCompletionModel::NoHighlighting (enum)
    {26, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 62},	//182 KTextEditor::CodeCompletionModel::InternalHighlighting (enum)
    {26, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 63},	//183 KTextEditor::CodeCompletionModel::CustomHighlighting (enum)
    {26, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 64},	//184 KTextEditor::CodeCompletionModel::CompletionRole (enum)
    {26, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 65},	//185 KTextEditor::CodeCompletionModel::ScopeIndex (enum)
    {26, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 66},	//186 KTextEditor::CodeCompletionModel::MatchQuality (enum)
    {26, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 67},	//187 KTextEditor::CodeCompletionModel::SetMatchContext (enum)
    {26, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 68},	//188 KTextEditor::CodeCompletionModel::HighlightingMethod (enum)
    {26, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 69},	//189 KTextEditor::CodeCompletionModel::CustomHighlight (enum)
    {26, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 70},	//190 KTextEditor::CodeCompletionModel::InheritanceDepth (enum)
    {26, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 71},	//191 KTextEditor::CodeCompletionModel::IsExpandable (enum)
    {26, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 72},	//192 KTextEditor::CodeCompletionModel::ExpandingWidget (enum)
    {26, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 73},	//193 KTextEditor::CodeCompletionModel::ItemSelected (enum)
    {26, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 74},	//194 KTextEditor::CodeCompletionModel::ArgumentHintDepth (enum)
    {26, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 75},	//195 KTextEditor::CodeCompletionModel::BestMatchesCount (enum)
    {26, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 76},	//196 KTextEditor::CodeCompletionModel::AccessibilityNext (enum)
    {26, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 77},	//197 KTextEditor::CodeCompletionModel::AccessibilityPrevious (enum)
    {26, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 78},	//198 KTextEditor::CodeCompletionModel::AccessibilityAccept (enum)
    {26, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 79},	//199 KTextEditor::CodeCompletionModel::GroupRole (enum)
    {26, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 80},	//200 KTextEditor::CodeCompletionModel::UnimportantItemRole (enum)
    {26, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 81},	//201 KTextEditor::CodeCompletionModel::LastExtraItemDataRole (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 82},	//202 KTextEditor::CodeCompletionModel::AutomaticInvocation (enum)
    {26, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 83},	//203 KTextEditor::CodeCompletionModel::UserInvocation (enum)
    {26, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 84},	//204 KTextEditor::CodeCompletionModel::ManualInvocation (enum)
    {26, 1115, 0, 0, Smoke::mf_dtor, 0, 85 },	//205 KTextEditor::CodeCompletionModel::~CodeCompletionModel()
    {27, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//206 KTextEditor::CodeCompletionModel2::metaObject() const
    {27, 770, 70, 1, Smoke::mf_virtual, 322, 2},	//207 KTextEditor::CodeCompletionModel2::qt_metacast(const char*)
    {27, 1048, 85, 2, Smoke::mf_static, 159, 3},	//208 KTextEditor::CodeCompletionModel2::tr(const char*, const char*)
    {27, 1052, 85, 2, Smoke::mf_static, 159, 4},	//209 KTextEditor::CodeCompletionModel2::trUtf8(const char*, const char*)
    {27, 1048, 88, 3, Smoke::mf_static, 159, 5},	//210 KTextEditor::CodeCompletionModel2::tr(const char*, const char*, int)
    {27, 1052, 88, 3, Smoke::mf_static, 159, 6},	//211 KTextEditor::CodeCompletionModel2::trUtf8(const char*, const char*, int)
    {27, 768, 92, 3, Smoke::mf_virtual, 318, 7},	//212 KTextEditor::CodeCompletionModel2::qt_metacall(QMetaObject::Call, int, void**)
    {27, 36, 131, 1, Smoke::mf_ctor, 33, 8},	//213 KTextEditor::CodeCompletionModel2::CodeCompletionModel2(QObject*)
    {27, 510, 153, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 9},	//214 KTextEditor::CodeCompletionModel2::executeCompletionItem2(KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&) const
    {27, 1048, 70, 1, Smoke::mf_static, 159, 10},	//215 KTextEditor::CodeCompletionModel2::tr(const char*)
    {27, 1052, 70, 1, Smoke::mf_static, 159, 11},	//216 KTextEditor::CodeCompletionModel2::trUtf8(const char*)
    {27, 1017, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 12},	//217 KTextEditor::CodeCompletionModel2::staticMetaObject() const
    {27, 1116, 0, 0, Smoke::mf_dtor, 0, 13 },	//218 KTextEditor::CodeCompletionModel2::~CodeCompletionModel2()
    {28, 38, 0, 0, Smoke::mf_ctor, 41, 1},	//219 KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface()
    {28, 997, 157, 4, Smoke::mf_virtual, 244, 2},	//220 KTextEditor::CodeCompletionModelControllerInterface::shouldStartCompletion(KTextEditor::View*, const QString&, bool, const KTextEditor::Cursor&)
    {28, 355, 162, 2, Smoke::mf_virtual, 74, 3},	//221 KTextEditor::CodeCompletionModelControllerInterface::completionRange(KTextEditor::View*, const KTextEditor::Cursor&)
    {28, 1066, 165, 2, Smoke::mf_virtual, 0, 4},	//222 KTextEditor::CodeCompletionModelControllerInterface::updateCompletionRange(KTextEditor::View*, KTextEditor::SmartRange&)
    {28, 517, 168, 3, Smoke::mf_virtual, 159, 5},	//223 KTextEditor::CodeCompletionModelControllerInterface::filterString(KTextEditor::View*, const KTextEditor::SmartRange&, const KTextEditor::Cursor&)
    {28, 993, 172, 3, Smoke::mf_virtual, 244, 6},	//224 KTextEditor::CodeCompletionModelControllerInterface::shouldAbortCompletion(KTextEditor::View*, const KTextEditor::SmartRange&, const QString&)
    {28, 995, 176, 2, Smoke::mf_virtual, 244, 7},	//225 KTextEditor::CodeCompletionModelControllerInterface::shouldExecute(const QModelIndex&, QChar)
    {28, 235, 179, 1, Smoke::mf_virtual, 0, 8},	//226 KTextEditor::CodeCompletionModelControllerInterface::aborted(KTextEditor::View*)
    {28, 38, 181, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 41, 9},	//227 KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface(const KTextEditor::CodeCompletionModelControllerInterface&)
    {28, 1117, 0, 0, Smoke::mf_dtor, 0, 10 },	//228 KTextEditor::CodeCompletionModelControllerInterface::~CodeCompletionModelControllerInterface()
    {29, 667, 141, 1, Smoke::mf_virtual, 43, 1},	//229 KTextEditor::CodeCompletionModelControllerInterface2::matchingItem(const QModelIndex&)
    {29, 40, 0, 0, Smoke::mf_ctor, 42, 2},	//230 KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2()
    {29, 40, 183, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 3},	//231 KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2(const KTextEditor::CodeCompletionModelControllerInterface2&)
    {29, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 4},	//232 KTextEditor::CodeCompletionModelControllerInterface2::None (enum)
    {29, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 5},	//233 KTextEditor::CodeCompletionModelControllerInterface2::HideListIfAutomaticInvocation (enum)
    {29, 1118, 0, 0, Smoke::mf_dtor, 0, 6 },	//234 KTextEditor::CodeCompletionModelControllerInterface2::~CodeCompletionModelControllerInterface2()
    {30, 344, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 311, 1},	//235 KTextEditor::Command::cmds() [pure virtual]
    {30, 505, 185, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 2},	//236 KTextEditor::Command::exec(KTextEditor::View*, const QString&, QString&) [pure virtual]
    {30, 547, 185, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 3},	//237 KTextEditor::Command::help(KTextEditor::View*, const QString&, QString&) [pure virtual]
    {30, 43, 0, 0, Smoke::mf_ctor, 44, 4},	//238 KTextEditor::Command::Command()
    {30, 43, 189, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 5},	//239 KTextEditor::Command::Command(const KTextEditor::Command&)
    {30, 1119, 0, 0, Smoke::mf_dtor, 0, 6 },	//240 KTextEditor::Command::~Command()
    {31, 521, 191, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//241 KTextEditor::CommandExtension::flagCompletions(QStringList&) [pure virtual]
    {31, 353, 193, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 3, 2},	//242 KTextEditor::CommandExtension::completionObject(KTextEditor::View*, const QString&) [pure virtual]
    {31, 1092, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 3},	//243 KTextEditor::CommandExtension::wantsToProcessText(const QString&) [pure virtual]
    {31, 766, 193, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//244 KTextEditor::CommandExtension::processText(KTextEditor::View*, const QString&) [pure virtual]
    {31, 45, 0, 0, Smoke::mf_ctor, 45, 5},	//245 KTextEditor::CommandExtension::CommandExtension()
    {31, 45, 198, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 6},	//246 KTextEditor::CommandExtension::CommandExtension(const KTextEditor::CommandExtension&)
    {31, 1120, 0, 0, Smoke::mf_dtor, 0, 7 },	//247 KTextEditor::CommandExtension::~CommandExtension()
    {32, 798, 200, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 1},	//248 KTextEditor::CommandInterface::registerCommand(KTextEditor::Command*) [pure virtual]
    {32, 1062, 200, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 2},	//249 KTextEditor::CommandInterface::unregisterCommand(KTextEditor::Command*) [pure virtual]
    {32, 773, 196, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 44, 3},	//250 KTextEditor::CommandInterface::queryCommand(const QString&) const [pure virtual]
    {32, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 134, 4},	//251 KTextEditor::CommandInterface::commands() const [pure virtual]
    {32, 349, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 5},	//252 KTextEditor::CommandInterface::commandList() const [pure virtual]
    {32, 47, 0, 0, Smoke::mf_ctor, 46, 6},	//253 KTextEditor::CommandInterface::CommandInterface()
    {32, 47, 202, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 7},	//254 KTextEditor::CommandInterface::CommandInterface(const KTextEditor::CommandInterface&)
    {32, 1121, 0, 0, Smoke::mf_dtor, 0, 8 },	//255 KTextEditor::CommandInterface::~CommandInterface()
    {33, 50, 0, 0, Smoke::mf_ctor, 47, 1},	//256 KTextEditor::ConfigInterface::ConfigInterface()
    {33, 361, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 2},	//257 KTextEditor::ConfigInterface::configKeys() const [pure virtual]
    {33, 371, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 167, 3},	//258 KTextEditor::ConfigInterface::configValue(const QString&) [pure virtual]
    {33, 884, 204, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//259 KTextEditor::ConfigInterface::setConfigValue(const QString&, const QVariant&) [pure virtual]
    {33, 50, 207, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 47, 5},	//260 KTextEditor::ConfigInterface::ConfigInterface(const KTextEditor::ConfigInterface&)
    {33, 1122, 0, 0, Smoke::mf_dtor, 0, 6 },	//261 KTextEditor::ConfigInterface::~ConfigInterface()
    {34, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//262 KTextEditor::ConfigPage::metaObject() const
    {34, 770, 70, 1, Smoke::mf_virtual, 322, 2},	//263 KTextEditor::ConfigPage::qt_metacast(const char*)
    {34, 1048, 85, 2, Smoke::mf_static, 159, 3},	//264 KTextEditor::ConfigPage::tr(const char*, const char*)
    {34, 1052, 85, 2, Smoke::mf_static, 159, 4},	//265 KTextEditor::ConfigPage::trUtf8(const char*, const char*)
    {34, 1048, 88, 3, Smoke::mf_static, 159, 5},	//266 KTextEditor::ConfigPage::tr(const char*, const char*, int)
    {34, 1052, 88, 3, Smoke::mf_static, 159, 6},	//267 KTextEditor::ConfigPage::trUtf8(const char*, const char*, int)
    {34, 768, 92, 3, Smoke::mf_virtual, 318, 7},	//268 KTextEditor::ConfigPage::qt_metacall(QMetaObject::Call, int, void**)
    {34, 52, 10, 1, Smoke::mf_ctor, 48, 8},	//269 KTextEditor::ConfigPage::ConfigPage(QWidget*)
    {34, 278, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 9},	//270 KTextEditor::ConfigPage::apply() [pure virtual]
    {34, 842, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 10},	//271 KTextEditor::ConfigPage::reset() [pure virtual]
    {34, 425, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 11},	//272 KTextEditor::ConfigPage::defaults() [pure virtual]
    {34, 304, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//273 KTextEditor::ConfigPage::changed()
    {34, 1048, 70, 1, Smoke::mf_static, 159, 13},	//274 KTextEditor::ConfigPage::tr(const char*)
    {34, 1052, 70, 1, Smoke::mf_static, 159, 14},	//275 KTextEditor::ConfigPage::trUtf8(const char*)
    {34, 1017, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 15},	//276 KTextEditor::ConfigPage::staticMetaObject() const
    {34, 1123, 0, 0, Smoke::mf_dtor, 0, 16 },	//277 KTextEditor::ConfigPage::~ConfigPage()
    {35, 55, 0, 0, Smoke::mf_ctor, 49, 1},	//278 KTextEditor::ContainerInterface::ContainerInterface()
    {35, 886, 131, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//279 KTextEditor::ContainerInterface::setContainer(QObject*) [pure virtual]
    {35, 376, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 3},	//280 KTextEditor::ContainerInterface::container() [pure virtual]
    {35, 55, 209, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 4},	//281 KTextEditor::ContainerInterface::ContainerInterface(const KTextEditor::ContainerInterface&)
    {35, 1124, 0, 0, Smoke::mf_dtor, 0, 5 },	//282 KTextEditor::ContainerInterface::~ContainerInterface()
    {36, 387, 211, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 1},	//283 KTextEditor::CoordinatesToCursorInterface::coordinatesToCursor(const QPoint&) const [pure virtual]
    {36, 57, 0, 0, Smoke::mf_ctor, 50, 2},	//284 KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface()
    {36, 57, 213, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 3},	//285 KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface(const KTextEditor::CoordinatesToCursorInterface&)
    {36, 1125, 0, 0, Smoke::mf_dtor, 0, 4 },	//286 KTextEditor::CoordinatesToCursorInterface::~CoordinatesToCursorInterface()
    {37, 59, 0, 0, Smoke::mf_ctor, 53, 1},	//287 KTextEditor::Cursor::Cursor()
    {37, 59, 150, 2, Smoke::mf_ctor, 53, 2},	//288 KTextEditor::Cursor::Cursor(int, int)
    {37, 59, 215, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 3},	//289 KTextEditor::Cursor::Cursor(const KTextEditor::Cursor&)
    {37, 600, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 4},	//290 KTextEditor::Cursor::isValid() const
    {37, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 5},	//291 KTextEditor::Cursor::isSmartCursor() const
    {37, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 83, 6},	//292 KTextEditor::Cursor::toSmartCursor() const
    {37, 591, 0, 0, Smoke::mf_static, 51, 7},	//293 KTextEditor::Cursor::invalid()
    {37, 1012, 0, 0, Smoke::mf_static, 51, 8},	//294 KTextEditor::Cursor::start()
    {37, 955, 215, 1, Smoke::mf_virtual, 0, 9},	//295 KTextEditor::Cursor::setPosition(const KTextEditor::Cursor&)
    {37, 955, 150, 2, 0, 0, 10},	//296 KTextEditor::Cursor::setPosition(int, int)
    {37, 608, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 318, 11},	//297 KTextEditor::Cursor::line() const
    {37, 916, 99, 1, Smoke::mf_virtual, 0, 12},	//298 KTextEditor::Cursor::setLine(int)
    {37, 345, 0, 0, Smoke::mf_const, 318, 13},	//299 KTextEditor::Cursor::column() const
    {37, 881, 99, 1, Smoke::mf_virtual, 0, 14},	//300 KTextEditor::Cursor::setColumn(int)
    {37, 285, 0, 0, Smoke::mf_const, 244, 15},	//301 KTextEditor::Cursor::atStartOfLine() const
    {37, 284, 0, 0, Smoke::mf_const, 244, 16},	//302 KTextEditor::Cursor::atStartOfDocument() const
    {37, 749, 217, 2, Smoke::mf_const, 0, 17},	//303 KTextEditor::Cursor::position(int&, int&) const
    {37, 775, 0, 0, Smoke::mf_const, 76, 18},	//304 KTextEditor::Cursor::range() const
    {37, 725, 215, 1, 0, 52, 19},	//305 KTextEditor::Cursor::operator=(const KTextEditor::Cursor&)
    {37, 958, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//306 KTextEditor::Cursor::setRange(KTextEditor::Range*)
    {37, 400, 215, 1, Smoke::mf_protected, 0, 21},	//307 KTextEditor::Cursor::cursorChangedDirectly(const KTextEditor::Cursor&)
    {37, 620, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 318, 22},	//308 KTextEditor::Cursor::m_line() const
    {37, 923, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 23},	//309 KTextEditor::Cursor::setM_line(int)
    {37, 618, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 318, 24},	//310 KTextEditor::Cursor::m_column() const
    {37, 919, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 25},	//311 KTextEditor::Cursor::setM_column(int)
    {37, 621, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 76, 26},	//312 KTextEditor::Cursor::m_range() const
    {37, 925, 220, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 27},	//313 KTextEditor::Cursor::setM_range(KTextEditor::Range*)
    {37, 1126, 0, 0, Smoke::mf_dtor, 0, 28 },	//314 KTextEditor::Cursor::~Cursor()
    {38, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//315 KTextEditor::Document::metaObject() const
    {38, 770, 70, 1, Smoke::mf_virtual, 322, 2},	//316 KTextEditor::Document::qt_metacast(const char*)
    {38, 1048, 85, 2, Smoke::mf_static, 159, 3},	//317 KTextEditor::Document::tr(const char*, const char*)
    {38, 1052, 85, 2, Smoke::mf_static, 159, 4},	//318 KTextEditor::Document::trUtf8(const char*, const char*)
    {38, 1048, 88, 3, Smoke::mf_static, 159, 5},	//319 KTextEditor::Document::tr(const char*, const char*, int)
    {38, 1052, 88, 3, Smoke::mf_static, 159, 6},	//320 KTextEditor::Document::trUtf8(const char*, const char*, int)
    {38, 768, 92, 3, Smoke::mf_virtual, 318, 7},	//321 KTextEditor::Document::qt_metacall(QMetaObject::Call, int, void**)
    {38, 66, 131, 1, Smoke::mf_ctor, 54, 8},	//322 KTextEditor::Document::Document(QObject*)
    {38, 482, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 55, 9},	//323 KTextEditor::Document::editor() [pure virtual]
    {38, 397, 10, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 98, 10},	//324 KTextEditor::Document::createView(QWidget*) [pure virtual]
    {38, 245, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 98, 11},	//325 KTextEditor::Document::activeView() const [pure virtual]
    {38, 1088, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 297, 12},	//326 KTextEditor::Document::views() const [pure virtual]
    {38, 1078, 222, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//327 KTextEditor::Document::viewCreated(KTextEditor::Document*, KTextEditor::View*)
    {38, 447, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 310, 14},	//328 KTextEditor::Document::documentName() const [pure virtual]
    {38, 672, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 15},	//329 KTextEditor::Document::mimeType() [pure virtual]
    {38, 448, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//330 KTextEditor::Document::documentNameChanged(KTextEditor::Document*)
    {38, 456, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//331 KTextEditor::Document::documentUrlChanged(KTextEditor::Document*)
    {38, 681, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//332 KTextEditor::Document::modifiedChanged(KTextEditor::Document*)
    {38, 902, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 19},	//333 KTextEditor::Document::setEncoding(const QString&) [pure virtual]
    {38, 491, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 310, 20},	//334 KTextEditor::Document::encoding() const [pure virtual]
    {38, 451, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 21},	//335 KTextEditor::Document::documentReload() [pure virtual]
    {38, 452, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 22},	//336 KTextEditor::Document::documentSave() [pure virtual]
    {38, 453, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 23},	//337 KTextEditor::Document::documentSaveAs() [pure virtual]
    {38, 454, 227, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//338 KTextEditor::Document::documentSavedOrUploaded(KTextEditor::Document*, bool)
    {38, 1015, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 25},	//339 KTextEditor::Document::startEditing() [pure virtual]
    {38, 495, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 26},	//340 KTextEditor::Document::endEditing() [pure virtual]
    {38, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 27},	//341 KTextEditor::Document::text() const [pure virtual]
    {38, 1026, 230, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 28},	//342 KTextEditor::Document::text(const KTextEditor::Range&, bool) const [pure virtual]
    {38, 305, 215, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 108, 29},	//343 KTextEditor::Document::character(const KTextEditor::Cursor&) const [pure virtual]
    {38, 1037, 230, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 30},	//344 KTextEditor::Document::textLines(const KTextEditor::Range&, bool) const [pure virtual]
    {38, 608, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 31},	//345 KTextEditor::Document::line(int) const [pure virtual]
    {38, 616, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 318, 32},	//346 KTextEditor::Document::lines() const [pure virtual]
    {38, 445, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 33},	//347 KTextEditor::Document::documentEnd() const [pure virtual]
    {38, 450, 0, 0, Smoke::mf_const, 74, 34},	//348 KTextEditor::Document::documentRange() const
    {38, 1047, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 318, 35},	//349 KTextEditor::Document::totalCharacters() const [pure virtual]
    {38, 596, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 36},	//350 KTextEditor::Document::isEmpty() const
    {38, 614, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 318, 37},	//351 KTextEditor::Document::lineLength(int) const [pure virtual]
    {38, 496, 99, 1, Smoke::mf_const, 51, 38},	//352 KTextEditor::Document::endOfLine(int) const
    {38, 979, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 39},	//353 KTextEditor::Document::setText(const QString&) [pure virtual]
    {38, 979, 233, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 40},	//354 KTextEditor::Document::setText(const QStringList&) [pure virtual]
    {38, 322, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 41},	//355 KTextEditor::Document::clear() [pure virtual]
    {38, 581, 235, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 42},	//356 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&, bool) [pure virtual]
    {38, 581, 239, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 43},	//357 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&, bool) [pure virtual]
    {38, 834, 243, 3, Smoke::mf_virtual, 244, 44},	//358 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&, bool)
    {38, 834, 247, 3, Smoke::mf_virtual, 244, 45},	//359 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&, bool)
    {38, 826, 230, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 46},	//360 KTextEditor::Document::removeText(const KTextEditor::Range&, bool) [pure virtual]
    {38, 402, 215, 1, Smoke::mf_virtual, 244, 47},	//361 KTextEditor::Document::cursorInText(const KTextEditor::Cursor&)
    {38, 572, 251, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 48},	//362 KTextEditor::Document::insertLine(int, const QString&) [pure virtual]
    {38, 574, 254, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 49},	//363 KTextEditor::Document::insertLines(int, const QStringList&) [pure virtual]
    {38, 817, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 50},	//364 KTextEditor::Document::removeLine(int) [pure virtual]
    {38, 1030, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//365 KTextEditor::Document::textChanged(KTextEditor::Document*)
    {38, 1034, 257, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//366 KTextEditor::Document::textInserted(KTextEditor::Document*, const KTextEditor::Range&)
    {38, 1040, 257, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//367 KTextEditor::Document::textRemoved(KTextEditor::Document*, const KTextEditor::Range&)
    {38, 1040, 260, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//368 KTextEditor::Document::textRemoved(KTextEditor::Document*, const KTextEditor::Range&, const QString&)
    {38, 1030, 264, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//369 KTextEditor::Document::textChanged(KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&)
    {38, 1030, 268, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//370 KTextEditor::Document::textChanged(KTextEditor::Document*, const KTextEditor::Range&, const QString&, const KTextEditor::Range&)
    {38, 238, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//371 KTextEditor::Document::aboutToClose(KTextEditor::Document*)
    {38, 240, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//372 KTextEditor::Document::aboutToReload(KTextEditor::Document*)
    {38, 804, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//373 KTextEditor::Document::reloaded(KTextEditor::Document*)
    {38, 503, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//374 KTextEditor::Document::exclusiveEditStart(KTextEditor::Document*)
    {38, 501, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//375 KTextEditor::Document::exclusiveEditEnd(KTextEditor::Document*)
    {38, 675, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 62},	//376 KTextEditor::Document::mode() const [pure virtual]
    {38, 552, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 63},	//377 KTextEditor::Document::highlightingMode() const [pure virtual]
    {38, 680, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 64},	//378 KTextEditor::Document::modes() const [pure virtual]
    {38, 559, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 65},	//379 KTextEditor::Document::highlightingModes() const [pure virtual]
    {38, 936, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 66},	//380 KTextEditor::Document::setMode(const QString&) [pure virtual]
    {38, 909, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 67},	//381 KTextEditor::Document::setHighlightingMode(const QString&) [pure virtual]
    {38, 557, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 68},	//382 KTextEditor::Document::highlightingModeSection(int) const [pure virtual]
    {38, 678, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 69},	//383 KTextEditor::Document::modeSection(int) const [pure virtual]
    {38, 676, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//384 KTextEditor::Document::modeChanged(KTextEditor::Document*)
    {38, 555, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//385 KTextEditor::Document::highlightingModeChanged(KTextEditor::Document*)
    {38, 977, 17, 1, 0, 0, 72},	//386 KTextEditor::Document::setSuppressOpeningErrorDialogs(bool)
    {38, 1024, 0, 0, Smoke::mf_const, 244, 73},	//387 KTextEditor::Document::suppressOpeningErrorDialogs() const
    {38, 721, 0, 0, Smoke::mf_const, 244, 74},	//388 KTextEditor::Document::openingError() const
    {38, 722, 0, 0, Smoke::mf_const, 159, 75},	//389 KTextEditor::Document::openingErrorMessage() const
    {38, 597, 0, 0, Smoke::mf_const, 244, 76},	//390 KTextEditor::Document::isOrphaned() const
    {38, 949, 17, 1, 0, 0, 77},	//391 KTextEditor::Document::setOrphaned(bool)
    {38, 945, 17, 1, Smoke::mf_protected, 0, 78},	//392 KTextEditor::Document::setOpeningError(bool)
    {38, 947, 196, 1, Smoke::mf_protected, 0, 79},	//393 KTextEditor::Document::setOpeningErrorMessage(const QString&)
    {38, 1048, 70, 1, Smoke::mf_static, 159, 80},	//394 KTextEditor::Document::tr(const char*)
    {38, 1052, 70, 1, Smoke::mf_static, 159, 81},	//395 KTextEditor::Document::trUtf8(const char*)
    {38, 66, 0, 0, Smoke::mf_ctor, 54, 82},	//396 KTextEditor::Document::Document()
    {38, 1026, 273, 1, Smoke::mf_const, 159, 83},	//397 KTextEditor::Document::text(const KTextEditor::Range&) const
    {38, 1037, 273, 1, Smoke::mf_const, 161, 84},	//398 KTextEditor::Document::textLines(const KTextEditor::Range&) const
    {38, 581, 275, 2, 0, 244, 85},	//399 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&)
    {38, 581, 278, 2, 0, 244, 86},	//400 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&)
    {38, 834, 281, 2, 0, 244, 87},	//401 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&)
    {38, 834, 284, 2, 0, 244, 88},	//402 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&)
    {38, 826, 273, 1, 0, 244, 89},	//403 KTextEditor::Document::removeText(const KTextEditor::Range&)
    {38, 1017, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 90},	//404 KTextEditor::Document::staticMetaObject() const
    {38, 1127, 0, 0, Smoke::mf_dtor, 0, 91 },	//405 KTextEditor::Document::~Document()
    {39, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//406 KTextEditor::Editor::metaObject() const
    {39, 770, 70, 1, Smoke::mf_virtual, 322, 2},	//407 KTextEditor::Editor::qt_metacast(const char*)
    {39, 1048, 85, 2, Smoke::mf_static, 159, 3},	//408 KTextEditor::Editor::tr(const char*, const char*)
    {39, 1052, 85, 2, Smoke::mf_static, 159, 4},	//409 KTextEditor::Editor::trUtf8(const char*, const char*)
    {39, 1048, 88, 3, Smoke::mf_static, 159, 5},	//410 KTextEditor::Editor::tr(const char*, const char*, int)
    {39, 1052, 88, 3, Smoke::mf_static, 159, 6},	//411 KTextEditor::Editor::trUtf8(const char*, const char*, int)
    {39, 768, 92, 3, Smoke::mf_virtual, 318, 7},	//412 KTextEditor::Editor::qt_metacall(QMetaObject::Call, int, void**)
    {39, 73, 131, 1, Smoke::mf_ctor, 55, 8},	//413 KTextEditor::Editor::Editor(QObject*)
    {39, 973, 17, 1, 0, 0, 9},	//414 KTextEditor::Editor::setSimpleMode(bool)
    {39, 1002, 0, 0, Smoke::mf_const, 244, 10},	//415 KTextEditor::Editor::simpleMode() const
    {39, 390, 131, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 54, 11},	//416 KTextEditor::Editor::createDocument(QObject*) [pure virtual]
    {39, 458, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 292, 12},	//417 KTextEditor::Editor::documents() [pure virtual]
    {39, 237, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 13},	//418 KTextEditor::Editor::aboutData() const [pure virtual]
    {39, 422, 0, 0, Smoke::mf_const, 310, 14},	//419 KTextEditor::Editor::defaultEncoding() const
    {39, 894, 196, 1, Smoke::mf_protected, 0, 15},	//420 KTextEditor::Editor::setDefaultEncoding(const QString&)
    {39, 791, 287, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//421 KTextEditor::Editor::readConfig(KConfig*) [pure virtual]
    {39, 1101, 287, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//422 KTextEditor::Editor::writeConfig(KConfig*) [pure virtual]
    {39, 360, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 18},	//423 KTextEditor::Editor::configDialogSupported() const [pure virtual]
    {39, 358, 10, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//424 KTextEditor::Editor::configDialog(QWidget*) [pure virtual]
    {39, 370, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 318, 20},	//425 KTextEditor::Editor::configPages() const [pure virtual]
    {39, 362, 289, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 48, 21},	//426 KTextEditor::Editor::configPage(int, QWidget*) [pure virtual]
    {39, 368, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 22},	//427 KTextEditor::Editor::configPageName(int) const [pure virtual]
    {39, 364, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 23},	//428 KTextEditor::Editor::configPageFullName(int) const [pure virtual]
    {39, 366, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 8, 24},	//429 KTextEditor::Editor::configPageIcon(int) const [pure virtual]
    {39, 443, 292, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//430 KTextEditor::Editor::documentCreated(KTextEditor::Editor*, KTextEditor::Document*)
    {39, 1048, 70, 1, Smoke::mf_static, 159, 26},	//431 KTextEditor::Editor::tr(const char*)
    {39, 1052, 70, 1, Smoke::mf_static, 159, 27},	//432 KTextEditor::Editor::trUtf8(const char*)
    {39, 791, 0, 0, 0, 0, 28},	//433 KTextEditor::Editor::readConfig()
    {39, 1101, 0, 0, 0, 0, 29},	//434 KTextEditor::Editor::writeConfig()
    {39, 1017, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 30},	//435 KTextEditor::Editor::staticMetaObject() const
    {39, 1128, 0, 0, Smoke::mf_dtor, 0, 31 },	//436 KTextEditor::Editor::~Editor()
    {40, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//437 KTextEditor::EditorChooser::metaObject() const
    {40, 770, 70, 1, Smoke::mf_virtual, 322, 2},	//438 KTextEditor::EditorChooser::qt_metacast(const char*)
    {40, 1048, 85, 2, Smoke::mf_static, 159, 3},	//439 KTextEditor::EditorChooser::tr(const char*, const char*)
    {40, 1052, 85, 2, Smoke::mf_static, 159, 4},	//440 KTextEditor::EditorChooser::trUtf8(const char*, const char*)
    {40, 1048, 88, 3, Smoke::mf_static, 159, 5},	//441 KTextEditor::EditorChooser::tr(const char*, const char*, int)
    {40, 1052, 88, 3, Smoke::mf_static, 159, 6},	//442 KTextEditor::EditorChooser::trUtf8(const char*, const char*, int)
    {40, 768, 92, 3, Smoke::mf_virtual, 318, 7},	//443 KTextEditor::EditorChooser::qt_metacall(QMetaObject::Call, int, void**)
    {40, 75, 10, 1, Smoke::mf_ctor, 56, 8},	//444 KTextEditor::EditorChooser::EditorChooser(QWidget*)
    {40, 789, 196, 1, 0, 0, 9},	//445 KTextEditor::EditorChooser::readAppSetting(const QString&)
    {40, 1099, 196, 1, 0, 0, 10},	//446 KTextEditor::EditorChooser::writeAppSetting(const QString&)
    {40, 482, 295, 2, Smoke::mf_static, 55, 11},	//447 KTextEditor::EditorChooser::editor(const QString&, bool)
    {40, 304, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//448 KTextEditor::EditorChooser::changed()
    {40, 1048, 70, 1, Smoke::mf_static, 159, 13},	//449 KTextEditor::EditorChooser::tr(const char*)
    {40, 1052, 70, 1, Smoke::mf_static, 159, 14},	//450 KTextEditor::EditorChooser::trUtf8(const char*)
    {40, 75, 0, 0, Smoke::mf_ctor, 56, 15},	//451 KTextEditor::EditorChooser::EditorChooser()
    {40, 789, 0, 0, 0, 0, 16},	//452 KTextEditor::EditorChooser::readAppSetting()
    {40, 1099, 0, 0, 0, 0, 17},	//453 KTextEditor::EditorChooser::writeAppSetting()
    {40, 482, 0, 0, Smoke::mf_static, 55, 18},	//454 KTextEditor::EditorChooser::editor()
    {40, 482, 196, 1, Smoke::mf_static, 55, 19},	//455 KTextEditor::EditorChooser::editor(const QString&)
    {40, 1017, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 20},	//456 KTextEditor::EditorChooser::staticMetaObject() const
    {40, 1129, 0, 0, Smoke::mf_dtor, 0, 21 },	//457 KTextEditor::EditorChooser::~EditorChooser()
    {41, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//458 KTextEditor::Factory::metaObject() const
    {41, 770, 70, 1, Smoke::mf_virtual, 322, 2},	//459 KTextEditor::Factory::qt_metacast(const char*)
    {41, 1048, 85, 2, Smoke::mf_static, 159, 3},	//460 KTextEditor::Factory::tr(const char*, const char*)
    {41, 1052, 85, 2, Smoke::mf_static, 159, 4},	//461 KTextEditor::Factory::trUtf8(const char*, const char*)
    {41, 1048, 88, 3, Smoke::mf_static, 159, 5},	//462 KTextEditor::Factory::tr(const char*, const char*, int)
    {41, 1052, 88, 3, Smoke::mf_static, 159, 6},	//463 KTextEditor::Factory::trUtf8(const char*, const char*, int)
    {41, 768, 92, 3, Smoke::mf_virtual, 318, 7},	//464 KTextEditor::Factory::qt_metacall(QMetaObject::Call, int, void**)
    {41, 88, 131, 1, Smoke::mf_ctor, 57, 8},	//465 KTextEditor::Factory::Factory(QObject*)
    {41, 482, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 55, 9},	//466 KTextEditor::Factory::editor() [pure virtual]
    {41, 1048, 70, 1, Smoke::mf_static, 159, 10},	//467 KTextEditor::Factory::tr(const char*)
    {41, 1052, 70, 1, Smoke::mf_static, 159, 11},	//468 KTextEditor::Factory::trUtf8(const char*)
    {41, 1017, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 12},	//469 KTextEditor::Factory::staticMetaObject() const
    {41, 1130, 0, 0, Smoke::mf_dtor, 0, 13 },	//470 KTextEditor::Factory::~Factory()
    {42, 96, 0, 0, Smoke::mf_ctor, 58, 1},	//471 KTextEditor::HighlightInterface::HighlightInterface()
    {42, 423, 298, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 16, 2},	//472 KTextEditor::HighlightInterface::defaultStyle(const KTextEditor::HighlightInterface::DefaultStyle) const [pure virtual]
    {42, 610, 300, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 135, 3},	//473 KTextEditor::HighlightInterface::lineAttributes(const unsigned int) [pure virtual]
    {42, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 4},	//474 KTextEditor::HighlightInterface::embeddedHighlightingModes() const [pure virtual]
    {42, 553, 215, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 5},	//475 KTextEditor::HighlightInterface::highlightingModeAt(const KTextEditor::Cursor&) [pure virtual]
    {42, 96, 302, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 6},	//476 KTextEditor::HighlightInterface::HighlightInterface(const KTextEditor::HighlightInterface&)
    {42, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 7},	//477 KTextEditor::HighlightInterface::dsNormal (enum)
    {42, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 8},	//478 KTextEditor::HighlightInterface::dsKeyword (enum)
    {42, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 9},	//479 KTextEditor::HighlightInterface::dsDataType (enum)
    {42, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 10},	//480 KTextEditor::HighlightInterface::dsDecVal (enum)
    {42, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 11},	//481 KTextEditor::HighlightInterface::dsBaseN (enum)
    {42, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 12},	//482 KTextEditor::HighlightInterface::dsFloat (enum)
    {42, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 13},	//483 KTextEditor::HighlightInterface::dsChar (enum)
    {42, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 14},	//484 KTextEditor::HighlightInterface::dsString (enum)
    {42, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 15},	//485 KTextEditor::HighlightInterface::dsComment (enum)
    {42, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 16},	//486 KTextEditor::HighlightInterface::dsOthers (enum)
    {42, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 17},	//487 KTextEditor::HighlightInterface::dsAlert (enum)
    {42, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 18},	//488 KTextEditor::HighlightInterface::dsFunction (enum)
    {42, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 19},	//489 KTextEditor::HighlightInterface::dsRegionMarker (enum)
    {42, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 20},	//490 KTextEditor::HighlightInterface::dsError (enum)
    {42, 1131, 0, 0, Smoke::mf_dtor, 0, 21 },	//491 KTextEditor::HighlightInterface::~HighlightInterface()
    {43, 15, 304, 3, Smoke::mf_ctor, 60, 1},	//492 KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock(const int, const int, const KSharedPtr<KTextEditor::Attribute>&)
    {43, 15, 308, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 2},	//493 KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock(const KTextEditor::HighlightInterface::AttributeBlock&)
    {43, 1012, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 318, 3},	//494 KTextEditor::HighlightInterface::AttributeBlock::start() const
    {43, 975, 99, 1, Smoke::mf_attribute, 0, 4},	//495 KTextEditor::HighlightInterface::AttributeBlock::setStart(int)
    {43, 607, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 318, 5},	//496 KTextEditor::HighlightInterface::AttributeBlock::length() const
    {43, 914, 99, 1, Smoke::mf_attribute, 0, 6},	//497 KTextEditor::HighlightInterface::AttributeBlock::setLength(int)
    {43, 286, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 17, 7},	//498 KTextEditor::HighlightInterface::AttributeBlock::attribute() const
    {43, 867, 310, 1, Smoke::mf_attribute, 0, 8},	//499 KTextEditor::HighlightInterface::AttributeBlock::setAttribute(const KSharedPtr<KTextEditor::Attribute>&)
    {43, 1113, 0, 0, Smoke::mf_dtor, 0, 9 },	//500 KTextEditor::HighlightInterface::AttributeBlock::~AttributeBlock()
    {44, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//501 KTextEditor::LoadSaveFilterCheckPlugin::metaObject() const
    {44, 770, 70, 1, Smoke::mf_virtual, 322, 2},	//502 KTextEditor::LoadSaveFilterCheckPlugin::qt_metacast(const char*)
    {44, 1048, 85, 2, Smoke::mf_static, 159, 3},	//503 KTextEditor::LoadSaveFilterCheckPlugin::tr(const char*, const char*)
    {44, 1052, 85, 2, Smoke::mf_static, 159, 4},	//504 KTextEditor::LoadSaveFilterCheckPlugin::trUtf8(const char*, const char*)
    {44, 1048, 88, 3, Smoke::mf_static, 159, 5},	//505 KTextEditor::LoadSaveFilterCheckPlugin::tr(const char*, const char*, int)
    {44, 1052, 88, 3, Smoke::mf_static, 159, 6},	//506 KTextEditor::LoadSaveFilterCheckPlugin::trUtf8(const char*, const char*, int)
    {44, 768, 92, 3, Smoke::mf_virtual, 318, 7},	//507 KTextEditor::LoadSaveFilterCheckPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {44, 133, 131, 1, Smoke::mf_ctor, 62, 8},	//508 KTextEditor::LoadSaveFilterCheckPlugin::LoadSaveFilterCheckPlugin(QObject*)
    {44, 763, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 9},	//509 KTextEditor::LoadSaveFilterCheckPlugin::preSavePostDialogFilterCheck(KTextEditor::Document*) [pure virtual]
    {44, 761, 227, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 10},	//510 KTextEditor::LoadSaveFilterCheckPlugin::postSaveFilterCheck(KTextEditor::Document*, bool) [pure virtual]
    {44, 759, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//511 KTextEditor::LoadSaveFilterCheckPlugin::postLoadFilter(KTextEditor::Document*) [pure virtual]
    {44, 1048, 70, 1, Smoke::mf_static, 159, 12},	//512 KTextEditor::LoadSaveFilterCheckPlugin::tr(const char*)
    {44, 1052, 70, 1, Smoke::mf_static, 159, 13},	//513 KTextEditor::LoadSaveFilterCheckPlugin::trUtf8(const char*)
    {44, 1017, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 14},	//514 KTextEditor::LoadSaveFilterCheckPlugin::staticMetaObject() const
    {44, 1132, 0, 0, Smoke::mf_dtor, 0, 15 },	//515 KTextEditor::LoadSaveFilterCheckPlugin::~LoadSaveFilterCheckPlugin()
    {45, 137, 0, 0, Smoke::mf_ctor, 64, 1},	//516 KTextEditor::Mark::Mark()
    {45, 137, 312, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 2},	//517 KTextEditor::Mark::Mark(const KTextEditor::Mark&)
    {45, 608, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 318, 3},	//518 KTextEditor::Mark::line() const
    {45, 916, 99, 1, Smoke::mf_attribute, 0, 4},	//519 KTextEditor::Mark::setLine(int)
    {45, 1059, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 320, 5},	//520 KTextEditor::Mark::type() const
    {45, 982, 314, 1, Smoke::mf_attribute, 0, 6},	//521 KTextEditor::Mark::setType(unsigned int)
    {45, 1133, 0, 0, Smoke::mf_dtor, 0, 7 },	//522 KTextEditor::Mark::~Mark()
    {46, 140, 0, 0, Smoke::mf_ctor, 65, 1},	//523 KTextEditor::MarkInterface::MarkInterface()
    {46, 623, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 320, 2},	//524 KTextEditor::MarkInterface::mark(int) [pure virtual]
    {46, 930, 316, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//525 KTextEditor::MarkInterface::setMark(int, unsigned int) [pure virtual]
    {46, 328, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//526 KTextEditor::MarkInterface::clearMark(int) [pure virtual]
    {46, 258, 316, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//527 KTextEditor::MarkInterface::addMark(int, unsigned int) [pure virtual]
    {46, 819, 316, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//528 KTextEditor::MarkInterface::removeMark(int, unsigned int) [pure virtual]
    {46, 663, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 290, 7},	//529 KTextEditor::MarkInterface::marks() [pure virtual]
    {46, 330, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//530 KTextEditor::MarkInterface::clearMarks() [pure virtual]
    {46, 841, 0, 0, Smoke::mf_static, 318, 9},	//531 KTextEditor::MarkInterface::reservedMarkersCount()
    {46, 664, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//532 KTextEditor::MarkInterface::marksChanged(KTextEditor::Document*) [pure virtual]
    {46, 934, 319, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//533 KTextEditor::MarkInterface::setMarkPixmap(KTextEditor::MarkInterface::MarkTypes, const QPixmap&) [pure virtual]
    {46, 629, 322, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 152, 12},	//534 KTextEditor::MarkInterface::markPixmap(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
    {46, 932, 324, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//535 KTextEditor::MarkInterface::setMarkDescription(KTextEditor::MarkInterface::MarkTypes, const QString&) [pure virtual]
    {46, 627, 322, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 14},	//536 KTextEditor::MarkInterface::markDescription(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
    {46, 898, 314, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//537 KTextEditor::MarkInterface::setEditableMarks(unsigned int) [pure virtual]
    {46, 481, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 320, 16},	//538 KTextEditor::MarkInterface::editableMarks() const [pure virtual]
    {46, 625, 327, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//539 KTextEditor::MarkInterface::markChanged(KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction) [pure virtual]
    {46, 140, 331, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 18},	//540 KTextEditor::MarkInterface::MarkInterface(const KTextEditor::MarkInterface&)
    {46, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 19},	//541 KTextEditor::MarkInterface::markType01 (enum)
    {46, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 20},	//542 KTextEditor::MarkInterface::markType02 (enum)
    {46, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 21},	//543 KTextEditor::MarkInterface::markType03 (enum)
    {46, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 22},	//544 KTextEditor::MarkInterface::markType04 (enum)
    {46, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 23},	//545 KTextEditor::MarkInterface::markType05 (enum)
    {46, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 24},	//546 KTextEditor::MarkInterface::markType06 (enum)
    {46, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 25},	//547 KTextEditor::MarkInterface::markType07 (enum)
    {46, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 26},	//548 KTextEditor::MarkInterface::markType08 (enum)
    {46, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 27},	//549 KTextEditor::MarkInterface::markType09 (enum)
    {46, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 28},	//550 KTextEditor::MarkInterface::markType10 (enum)
    {46, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 29},	//551 KTextEditor::MarkInterface::markType11 (enum)
    {46, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 30},	//552 KTextEditor::MarkInterface::markType12 (enum)
    {46, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 31},	//553 KTextEditor::MarkInterface::markType13 (enum)
    {46, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 32},	//554 KTextEditor::MarkInterface::markType14 (enum)
    {46, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 33},	//555 KTextEditor::MarkInterface::markType15 (enum)
    {46, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 34},	//556 KTextEditor::MarkInterface::markType16 (enum)
    {46, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 35},	//557 KTextEditor::MarkInterface::markType17 (enum)
    {46, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 36},	//558 KTextEditor::MarkInterface::markType18 (enum)
    {46, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 37},	//559 KTextEditor::MarkInterface::markType19 (enum)
    {46, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 38},	//560 KTextEditor::MarkInterface::markType20 (enum)
    {46, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 39},	//561 KTextEditor::MarkInterface::markType21 (enum)
    {46, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 40},	//562 KTextEditor::MarkInterface::markType22 (enum)
    {46, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 41},	//563 KTextEditor::MarkInterface::markType23 (enum)
    {46, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 42},	//564 KTextEditor::MarkInterface::markType24 (enum)
    {46, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 43},	//565 KTextEditor::MarkInterface::markType25 (enum)
    {46, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 44},	//566 KTextEditor::MarkInterface::markType26 (enum)
    {46, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 45},	//567 KTextEditor::MarkInterface::markType27 (enum)
    {46, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 46},	//568 KTextEditor::MarkInterface::markType28 (enum)
    {46, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 47},	//569 KTextEditor::MarkInterface::markType29 (enum)
    {46, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 48},	//570 KTextEditor::MarkInterface::markType30 (enum)
    {46, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 49},	//571 KTextEditor::MarkInterface::markType31 (enum)
    {46, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 50},	//572 KTextEditor::MarkInterface::markType32 (enum)
    {46, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 51},	//573 KTextEditor::MarkInterface::Bookmark (enum)
    {46, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 52},	//574 KTextEditor::MarkInterface::BreakpointActive (enum)
    {46, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 53},	//575 KTextEditor::MarkInterface::BreakpointReached (enum)
    {46, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 54},	//576 KTextEditor::MarkInterface::BreakpointDisabled (enum)
    {46, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 55},	//577 KTextEditor::MarkInterface::Execution (enum)
    {46, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 56},	//578 KTextEditor::MarkInterface::Warning (enum)
    {46, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 57},	//579 KTextEditor::MarkInterface::Error (enum)
    {46, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 58},	//580 KTextEditor::MarkInterface::MarkAdded (enum)
    {46, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 59},	//581 KTextEditor::MarkInterface::MarkRemoved (enum)
    {46, 1134, 0, 0, Smoke::mf_dtor, 0, 60 },	//582 KTextEditor::MarkInterface::~MarkInterface()
    {47, 144, 0, 0, Smoke::mf_ctor, 68, 1},	//583 KTextEditor::MdiContainer::MdiContainer()
    {47, 861, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//584 KTextEditor::MdiContainer::setActiveView(KTextEditor::View*) [pure virtual]
    {47, 245, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 98, 3},	//585 KTextEditor::MdiContainer::activeView() [pure virtual]
    {47, 390, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 54, 4},	//586 KTextEditor::MdiContainer::createDocument() [pure virtual]
    {47, 338, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 5},	//587 KTextEditor::MdiContainer::closeDocument(KTextEditor::Document*) [pure virtual]
    {47, 397, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 98, 6},	//588 KTextEditor::MdiContainer::createView(KTextEditor::Document*) [pure virtual]
    {47, 342, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 7},	//589 KTextEditor::MdiContainer::closeView(KTextEditor::View*) [pure virtual]
    {47, 144, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 8},	//590 KTextEditor::MdiContainer::MdiContainer(const KTextEditor::MdiContainer&)
    {47, 1135, 0, 0, Smoke::mf_dtor, 0, 9 },	//591 KTextEditor::MdiContainer::~MdiContainer()
    {48, 146, 0, 0, Smoke::mf_ctor, 69, 1},	//592 KTextEditor::ModificationInterface::ModificationInterface()
    {48, 939, 335, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//593 KTextEditor::ModificationInterface::setModifiedOnDisk(KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
    {48, 941, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//594 KTextEditor::ModificationInterface::setModifiedOnDiskWarning(bool) [pure virtual]
    {48, 1004, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//595 KTextEditor::ModificationInterface::slotModifiedOnDisk(KTextEditor::View*) [pure virtual]
    {48, 683, 337, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//596 KTextEditor::ModificationInterface::modifiedOnDisk(KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
    {48, 146, 341, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 6},	//597 KTextEditor::ModificationInterface::ModificationInterface(const KTextEditor::ModificationInterface&)
    {48, 1004, 0, 0, 0, 0, 7},	//598 KTextEditor::ModificationInterface::slotModifiedOnDisk()
    {48, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 8},	//599 KTextEditor::ModificationInterface::OnDiskUnmodified (enum)
    {48, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 9},	//600 KTextEditor::ModificationInterface::OnDiskModified (enum)
    {48, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 10},	//601 KTextEditor::ModificationInterface::OnDiskCreated (enum)
    {48, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 11},	//602 KTextEditor::ModificationInterface::OnDiskDeleted (enum)
    {48, 1136, 0, 0, Smoke::mf_dtor, 0, 12 },	//603 KTextEditor::ModificationInterface::~ModificationInterface()
    {49, 161, 0, 0, Smoke::mf_ctor, 71, 1},	//604 KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface()
    {49, 793, 343, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//605 KTextEditor::ParameterizedSessionConfigInterface::readParameterizedSessionConfig(const KConfigGroup&, unsigned long) [pure virtual]
    {49, 1103, 346, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//606 KTextEditor::ParameterizedSessionConfigInterface::writeParameterizedSessionConfig(KConfigGroup&, unsigned long) [pure virtual]
    {49, 161, 349, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 4},	//607 KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface(const KTextEditor::ParameterizedSessionConfigInterface&)
    {49, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 5},	//608 KTextEditor::ParameterizedSessionConfigInterface::SkipNone (enum)
    {49, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 6},	//609 KTextEditor::ParameterizedSessionConfigInterface::SkipUrl (enum)
    {49, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 7},	//610 KTextEditor::ParameterizedSessionConfigInterface::SkipMode (enum)
    {49, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 8},	//611 KTextEditor::ParameterizedSessionConfigInterface::SkipHighlighting (enum)
    {49, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 9},	//612 KTextEditor::ParameterizedSessionConfigInterface::SkipEncoding (enum)
    {49, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 10},	//613 KTextEditor::ParameterizedSessionConfigInterface::SkipFolding (enum)
    {49, 1137, 0, 0, Smoke::mf_dtor, 0, 11 },	//614 KTextEditor::ParameterizedSessionConfigInterface::~ParameterizedSessionConfigInterface()
    {50, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//615 KTextEditor::Plugin::metaObject() const
    {50, 770, 70, 1, Smoke::mf_virtual, 322, 2},	//616 KTextEditor::Plugin::qt_metacast(const char*)
    {50, 1048, 85, 2, Smoke::mf_static, 159, 3},	//617 KTextEditor::Plugin::tr(const char*, const char*)
    {50, 1052, 85, 2, Smoke::mf_static, 159, 4},	//618 KTextEditor::Plugin::trUtf8(const char*, const char*)
    {50, 1048, 88, 3, Smoke::mf_static, 159, 5},	//619 KTextEditor::Plugin::tr(const char*, const char*, int)
    {50, 1052, 88, 3, Smoke::mf_static, 159, 6},	//620 KTextEditor::Plugin::trUtf8(const char*, const char*, int)
    {50, 768, 92, 3, Smoke::mf_virtual, 318, 7},	//621 KTextEditor::Plugin::qt_metacall(QMetaObject::Call, int, void**)
    {50, 163, 131, 1, Smoke::mf_ctor, 73, 8},	//622 KTextEditor::Plugin::Plugin(QObject*)
    {50, 250, 225, 1, Smoke::mf_virtual, 0, 9},	//623 KTextEditor::Plugin::addDocument(KTextEditor::Document*)
    {50, 811, 225, 1, Smoke::mf_virtual, 0, 10},	//624 KTextEditor::Plugin::removeDocument(KTextEditor::Document*)
    {50, 262, 179, 1, Smoke::mf_virtual, 0, 11},	//625 KTextEditor::Plugin::addView(KTextEditor::View*)
    {50, 830, 179, 1, Smoke::mf_virtual, 0, 12},	//626 KTextEditor::Plugin::removeView(KTextEditor::View*)
    {50, 1048, 70, 1, Smoke::mf_static, 159, 13},	//627 KTextEditor::Plugin::tr(const char*)
    {50, 1052, 70, 1, Smoke::mf_static, 159, 14},	//628 KTextEditor::Plugin::trUtf8(const char*)
    {50, 1017, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 15},	//629 KTextEditor::Plugin::staticMetaObject() const
    {50, 1138, 0, 0, Smoke::mf_dtor, 0, 16 },	//630 KTextEditor::Plugin::~Plugin()
    {51, 170, 0, 0, Smoke::mf_ctor, 76, 1},	//631 KTextEditor::Range::Range()
    {51, 170, 351, 2, Smoke::mf_ctor, 76, 2},	//632 KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {51, 170, 354, 2, Smoke::mf_ctor, 76, 3},	//633 KTextEditor::Range::Range(const KTextEditor::Cursor&, int)
    {51, 170, 357, 3, Smoke::mf_ctor, 76, 4},	//634 KTextEditor::Range::Range(const KTextEditor::Cursor&, int, int)
    {51, 170, 361, 4, Smoke::mf_ctor, 76, 5},	//635 KTextEditor::Range::Range(int, int, int, int)
    {51, 170, 273, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 6},	//636 KTextEditor::Range::Range(const KTextEditor::Range&)
    {51, 600, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 7},	//637 KTextEditor::Range::isValid() const
    {51, 591, 0, 0, Smoke::mf_static, 74, 8},	//638 KTextEditor::Range::invalid()
    {51, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 9},	//639 KTextEditor::Range::isSmartRange() const
    {51, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 90, 10},	//640 KTextEditor::Range::toSmartRange() const
    {51, 1012, 0, 0, 0, 52, 11},	//641 KTextEditor::Range::start()
    {51, 1012, 0, 0, Smoke::mf_const, 261, 12},	//642 KTextEditor::Range::start() const
    {51, 494, 0, 0, 0, 52, 13},	//643 KTextEditor::Range::end()
    {51, 494, 0, 0, Smoke::mf_const, 261, 14},	//644 KTextEditor::Range::end() const
    {51, 877, 99, 1, 0, 0, 15},	//645 KTextEditor::Range::setBothLines(int)
    {51, 875, 99, 1, 0, 0, 16},	//646 KTextEditor::Range::setBothColumns(int)
    {51, 958, 273, 1, Smoke::mf_virtual, 0, 17},	//647 KTextEditor::Range::setRange(const KTextEditor::Range&)
    {51, 958, 351, 2, 0, 0, 18},	//648 KTextEditor::Range::setRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {51, 514, 273, 1, Smoke::mf_virtual, 244, 19},	//649 KTextEditor::Range::expandToRange(const KTextEditor::Range&)
    {51, 373, 273, 1, Smoke::mf_virtual, 244, 20},	//650 KTextEditor::Range::confineToRange(const KTextEditor::Range&)
    {51, 718, 0, 0, Smoke::mf_const, 244, 21},	//651 KTextEditor::Range::onSingleLine() const
    {51, 717, 0, 0, Smoke::mf_const, 318, 22},	//652 KTextEditor::Range::numberOfLines() const
    {51, 348, 0, 0, Smoke::mf_const, 318, 23},	//653 KTextEditor::Range::columnWidth() const
    {51, 596, 0, 0, Smoke::mf_const, 244, 24},	//654 KTextEditor::Range::isEmpty() const
    {51, 377, 273, 1, Smoke::mf_const, 244, 25},	//655 KTextEditor::Range::contains(const KTextEditor::Range&) const
    {51, 377, 215, 1, Smoke::mf_const, 244, 26},	//656 KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    {51, 381, 99, 1, Smoke::mf_const, 244, 27},	//657 KTextEditor::Range::containsLine(int) const
    {51, 379, 99, 1, Smoke::mf_const, 244, 28},	//658 KTextEditor::Range::containsColumn(int) const
    {51, 732, 273, 1, Smoke::mf_const, 244, 29},	//659 KTextEditor::Range::overlaps(const KTextEditor::Range&) const
    {51, 736, 99, 1, Smoke::mf_const, 244, 30},	//660 KTextEditor::Range::overlapsLine(int) const
    {51, 734, 99, 1, Smoke::mf_const, 244, 31},	//661 KTextEditor::Range::overlapsColumn(int) const
    {51, 755, 215, 1, Smoke::mf_const, 318, 32},	//662 KTextEditor::Range::positionRelativeToCursor(const KTextEditor::Cursor&) const
    {51, 757, 99, 1, Smoke::mf_const, 318, 33},	//663 KTextEditor::Range::positionRelativeToLine(int) const
    {51, 293, 215, 1, Smoke::mf_const, 244, 34},	//664 KTextEditor::Range::boundaryAtCursor(const KTextEditor::Cursor&) const
    {51, 295, 99, 1, Smoke::mf_const, 244, 35},	//665 KTextEditor::Range::boundaryOnLine(int) const
    {51, 589, 273, 1, Smoke::mf_const, 74, 36},	//666 KTextEditor::Range::intersect(const KTextEditor::Range&) const
    {51, 492, 273, 1, Smoke::mf_const, 74, 37},	//667 KTextEditor::Range::encompass(const KTextEditor::Range&) const
    {51, 725, 273, 1, 0, 75, 38},	//668 KTextEditor::Range::operator=(const KTextEditor::Range&)
    {51, 170, 366, 2, Smoke::mf_ctor|Smoke::mf_protected, 76, 39},	//669 KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    {51, 778, 369, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//670 KTextEditor::Range::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
    {51, 622, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 53, 41},	//671 KTextEditor::Range::m_start() const
    {51, 927, 372, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 42},	//672 KTextEditor::Range::setM_start(KTextEditor::Cursor*)
    {51, 619, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 53, 43},	//673 KTextEditor::Range::m_end() const
    {51, 921, 372, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 44},	//674 KTextEditor::Range::setM_end(KTextEditor::Cursor*)
    {51, 1139, 0, 0, Smoke::mf_dtor, 0, 45 },	//675 KTextEditor::Range::~Range()
    {52, 505, 374, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 1},	//676 KTextEditor::RangeCommand::exec(KTextEditor::View*, const QString&, QString&, const KTextEditor::Range&) [pure virtual]
    {52, 1022, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 2},	//677 KTextEditor::RangeCommand::supportsRange(const QString&) [pure virtual]
    {52, 176, 0, 0, Smoke::mf_ctor, 77, 3},	//678 KTextEditor::RangeCommand::RangeCommand()
    {52, 176, 379, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 4},	//679 KTextEditor::RangeCommand::RangeCommand(const KTextEditor::RangeCommand&)
    {52, 1140, 0, 0, Smoke::mf_dtor, 0, 5 },	//680 KTextEditor::RangeCommand::~RangeCommand()
    {53, 181, 0, 0, Smoke::mf_ctor, 80, 1},	//681 KTextEditor::SearchInterface::SearchInterface()
    {53, 851, 381, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 168, 2},	//682 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&, const QFlags<KTextEditor::Search::SearchOptionsEnum>) [pure virtual]
    {53, 1021, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 3},	//683 KTextEditor::SearchInterface::supportedSearchOptions() const [pure virtual]
    {53, 181, 385, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 80, 4},	//684 KTextEditor::SearchInterface::SearchInterface(const KTextEditor::SearchInterface&)
    {53, 851, 281, 2, 0, 168, 5},	//685 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&)
    {53, 1141, 0, 0, Smoke::mf_dtor, 0, 6 },	//686 KTextEditor::SearchInterface::~SearchInterface()
    {54, 185, 0, 0, Smoke::mf_ctor, 81, 1},	//687 KTextEditor::SessionConfigInterface::SessionConfigInterface()
    {54, 795, 387, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//688 KTextEditor::SessionConfigInterface::readSessionConfig(const KConfigGroup&) [pure virtual]
    {54, 1105, 389, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//689 KTextEditor::SessionConfigInterface::writeSessionConfig(KConfigGroup&) [pure virtual]
    {54, 185, 391, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 4},	//690 KTextEditor::SessionConfigInterface::SessionConfigInterface(const KTextEditor::SessionConfigInterface&)
    {54, 1142, 0, 0, Smoke::mf_dtor, 0, 5 },	//691 KTextEditor::SessionConfigInterface::~SessionConfigInterface()
    {55, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 1},	//692 KTextEditor::SmartCursor::isSmartCursor() const
    {55, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 83, 2},	//693 KTextEditor::SmartCursor::toSmartCursor() const
    {55, 1008, 0, 0, Smoke::mf_const, 90, 3},	//694 KTextEditor::SmartCursor::smartRange() const
    {55, 441, 0, 0, Smoke::mf_const, 54, 4},	//695 KTextEditor::SmartCursor::document() const
    {55, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 5},	//696 KTextEditor::SmartCursor::atEndOfLine() const
    {55, 282, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 6},	//697 KTextEditor::SmartCursor::atEndOfDocument() const
    {55, 600, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 7},	//698 KTextEditor::SmartCursor::isValid() const
    {55, 305, 0, 0, Smoke::mf_const, 108, 8},	//699 KTextEditor::SmartCursor::character() const
    {55, 581, 393, 2, Smoke::mf_virtual, 244, 9},	//700 KTextEditor::SmartCursor::insertText(const QStringList&, bool)
    {55, 268, 396, 2, Smoke::mf_virtual, 244, 10},	//701 KTextEditor::SmartCursor::advance(int, KTextEditor::SmartCursor::AdvanceMode)
    {55, 570, 0, 0, Smoke::mf_const, 85, 11},	//702 KTextEditor::SmartCursor::insertBehavior() const
    {55, 911, 399, 1, 0, 0, 12},	//703 KTextEditor::SmartCursor::setInsertBehavior(KTextEditor::SmartCursor::InsertBehavior)
    {55, 542, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 13},	//704 KTextEditor::SmartCursor::hasNotifier() const [pure virtual]
    {55, 715, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 86, 14},	//705 KTextEditor::SmartCursor::notifier() [pure virtual]
    {55, 428, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//706 KTextEditor::SmartCursor::deleteNotifier() [pure virtual]
    {55, 1094, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 87, 16},	//707 KTextEditor::SmartCursor::watcher() const [pure virtual]
    {55, 987, 401, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//708 KTextEditor::SmartCursor::setWatcher(KTextEditor::SmartCursorWatcher*) [pure virtual]
    {55, 725, 403, 1, 0, 82, 18},	//709 KTextEditor::SmartCursor::operator=(const KTextEditor::SmartCursor&)
    {55, 196, 405, 3, Smoke::mf_ctor|Smoke::mf_protected, 83, 19},	//710 KTextEditor::SmartCursor::SmartCursor(const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior)
    {55, 581, 233, 1, 0, 244, 20},	//711 KTextEditor::SmartCursor::insertText(const QStringList&)
    {55, 268, 99, 1, 0, 244, 21},	//712 KTextEditor::SmartCursor::advance(int)
    {55, 987, 0, 0, 0, 0, 22},	//713 KTextEditor::SmartCursor::setWatcher()
    {55, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 23},	//714 KTextEditor::SmartCursor::ByCharacter (enum)
    {55, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 24},	//715 KTextEditor::SmartCursor::ByCursorPosition (enum)
    {55, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 25},	//716 KTextEditor::SmartCursor::StayOnInsert (enum)
    {55, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 26},	//717 KTextEditor::SmartCursor::MoveOnInsert (enum)
    {55, 1143, 0, 0, Smoke::mf_dtor, 0, 27 },	//718 KTextEditor::SmartCursor::~SmartCursor()
    {56, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//719 KTextEditor::SmartCursorNotifier::metaObject() const
    {56, 770, 70, 1, Smoke::mf_virtual, 322, 2},	//720 KTextEditor::SmartCursorNotifier::qt_metacast(const char*)
    {56, 1048, 85, 2, Smoke::mf_static, 159, 3},	//721 KTextEditor::SmartCursorNotifier::tr(const char*, const char*)
    {56, 1052, 85, 2, Smoke::mf_static, 159, 4},	//722 KTextEditor::SmartCursorNotifier::trUtf8(const char*, const char*)
    {56, 1048, 88, 3, Smoke::mf_static, 159, 5},	//723 KTextEditor::SmartCursorNotifier::tr(const char*, const char*, int)
    {56, 1052, 88, 3, Smoke::mf_static, 159, 6},	//724 KTextEditor::SmartCursorNotifier::trUtf8(const char*, const char*, int)
    {56, 768, 92, 3, Smoke::mf_virtual, 318, 7},	//725 KTextEditor::SmartCursorNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {56, 198, 0, 0, Smoke::mf_ctor, 86, 8},	//726 KTextEditor::SmartCursorNotifier::SmartCursorNotifier()
    {56, 1091, 0, 0, Smoke::mf_const, 244, 9},	//727 KTextEditor::SmartCursorNotifier::wantsDirectChanges() const
    {56, 985, 17, 1, 0, 0, 10},	//728 KTextEditor::SmartCursorNotifier::setWantsDirectChanges(bool)
    {56, 751, 409, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//729 KTextEditor::SmartCursorNotifier::positionChanged(KTextEditor::SmartCursor*)
    {56, 753, 409, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//730 KTextEditor::SmartCursorNotifier::positionDeleted(KTextEditor::SmartCursor*)
    {56, 307, 411, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//731 KTextEditor::SmartCursorNotifier::characterDeleted(KTextEditor::SmartCursor*, bool)
    {56, 309, 411, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//732 KTextEditor::SmartCursorNotifier::characterInserted(KTextEditor::SmartCursor*, bool)
    {56, 433, 409, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//733 KTextEditor::SmartCursorNotifier::deleted(KTextEditor::SmartCursor*)
    {56, 1048, 70, 1, Smoke::mf_static, 159, 16},	//734 KTextEditor::SmartCursorNotifier::tr(const char*)
    {56, 1052, 70, 1, Smoke::mf_static, 159, 17},	//735 KTextEditor::SmartCursorNotifier::trUtf8(const char*)
    {56, 1017, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 18},	//736 KTextEditor::SmartCursorNotifier::staticMetaObject() const
    {56, 1144, 0, 0, Smoke::mf_dtor, 0, 19 },	//737 KTextEditor::SmartCursorNotifier::~SmartCursorNotifier()
    {57, 199, 0, 0, Smoke::mf_ctor, 87, 1},	//738 KTextEditor::SmartCursorWatcher::SmartCursorWatcher()
    {57, 1091, 0, 0, Smoke::mf_const, 244, 2},	//739 KTextEditor::SmartCursorWatcher::wantsDirectChanges() const
    {57, 985, 17, 1, 0, 0, 3},	//740 KTextEditor::SmartCursorWatcher::setWantsDirectChanges(bool)
    {57, 751, 409, 1, Smoke::mf_virtual, 0, 4},	//741 KTextEditor::SmartCursorWatcher::positionChanged(KTextEditor::SmartCursor*)
    {57, 753, 409, 1, Smoke::mf_virtual, 0, 5},	//742 KTextEditor::SmartCursorWatcher::positionDeleted(KTextEditor::SmartCursor*)
    {57, 307, 411, 2, Smoke::mf_virtual, 0, 6},	//743 KTextEditor::SmartCursorWatcher::characterDeleted(KTextEditor::SmartCursor*, bool)
    {57, 309, 411, 2, Smoke::mf_virtual, 0, 7},	//744 KTextEditor::SmartCursorWatcher::characterInserted(KTextEditor::SmartCursor*, bool)
    {57, 433, 409, 1, Smoke::mf_virtual, 0, 8},	//745 KTextEditor::SmartCursorWatcher::deleted(KTextEditor::SmartCursor*)
    {57, 199, 414, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 9},	//746 KTextEditor::SmartCursorWatcher::SmartCursorWatcher(const KTextEditor::SmartCursorWatcher&)
    {57, 1145, 0, 0, Smoke::mf_dtor, 0, 10 },	//747 KTextEditor::SmartCursorWatcher::~SmartCursorWatcher()
    {58, 201, 0, 0, Smoke::mf_ctor, 88, 1},	//748 KTextEditor::SmartInterface::SmartInterface()
    {58, 1007, 0, 0, Smoke::mf_const, 147, 2},	//749 KTextEditor::SmartInterface::smartMutex() const
    {58, 333, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//750 KTextEditor::SmartInterface::clearSmartInterface() [pure virtual]
    {58, 331, 0, 0, Smoke::mf_const, 244, 4},	//751 KTextEditor::SmartInterface::clearOnDocumentReload() const
    {58, 879, 17, 1, 0, 0, 5},	//752 KTextEditor::SmartInterface::setClearOnDocumentReload(bool)
    {58, 399, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 318, 6},	//753 KTextEditor::SmartInterface::currentRevision() const [pure virtual]
    {58, 802, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//754 KTextEditor::SmartInterface::releaseRevision(int) const [pure virtual]
    {58, 1068, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//755 KTextEditor::SmartInterface::useRevision(int) [pure virtual]
    {58, 332, 0, 0, 0, 0, 9},	//756 KTextEditor::SmartInterface::clearRevision()
    {58, 1056, 416, 2, Smoke::mf_const|Smoke::mf_virtual, 51, 10},	//757 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    {58, 1056, 419, 2, Smoke::mf_const|Smoke::mf_virtual, 74, 11},	//758 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, QFlags<KTextEditor::SmartRange::InsertBehavior>) const
    {58, 701, 416, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 83, 12},	//759 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) [pure virtual]
    {58, 701, 422, 3, 0, 83, 13},	//760 KTextEditor::SmartInterface::newSmartCursor(int, int, KTextEditor::SmartCursor::InsertBehavior)
    {58, 427, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//761 KTextEditor::SmartInterface::deleteCursors() [pure virtual]
    {58, 706, 426, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 90, 15},	//762 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>) [pure virtual]
    {58, 706, 430, 4, 0, 90, 16},	//763 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {58, 706, 435, 6, 0, 90, 17},	//764 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {58, 706, 442, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 90, 18},	//765 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>) [pure virtual]
    {58, 1060, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//766 KTextEditor::SmartInterface::unbindSmartRange(KTextEditor::SmartRange*) [pure virtual]
    {58, 430, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 20},	//767 KTextEditor::SmartInterface::deleteRanges() [pure virtual]
    {58, 252, 449, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 21},	//768 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*, bool) [pure virtual]
    {58, 813, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//769 KTextEditor::SmartInterface::removeHighlightFromDocument(KTextEditor::SmartRange*) [pure virtual]
    {58, 446, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 293, 23},	//770 KTextEditor::SmartInterface::documentHighlights() const [pure virtual]
    {58, 327, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 24},	//771 KTextEditor::SmartInterface::clearDocumentHighlights() [pure virtual]
    {58, 255, 452, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 25},	//772 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*, bool) [pure virtual]
    {58, 815, 456, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 26},	//773 KTextEditor::SmartInterface::removeHighlightFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {58, 1083, 179, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 293, 27},	//774 KTextEditor::SmartInterface::viewHighlights(KTextEditor::View*) const [pure virtual]
    {58, 336, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 28},	//775 KTextEditor::SmartInterface::clearViewHighlights(KTextEditor::View*) [pure virtual]
    {58, 246, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 29},	//776 KTextEditor::SmartInterface::addActionsToDocument(KTextEditor::SmartRange*) [pure virtual]
    {58, 806, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 30},	//777 KTextEditor::SmartInterface::removeActionsFromDocument(KTextEditor::SmartRange*) [pure virtual]
    {58, 442, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 293, 31},	//778 KTextEditor::SmartInterface::documentActions() const [pure virtual]
    {58, 326, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 32},	//779 KTextEditor::SmartInterface::clearDocumentActions() [pure virtual]
    {58, 248, 456, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 33},	//780 KTextEditor::SmartInterface::addActionsToView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {58, 808, 456, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 34},	//781 KTextEditor::SmartInterface::removeActionsFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {58, 1076, 179, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 293, 35},	//782 KTextEditor::SmartInterface::viewActions(KTextEditor::View*) const [pure virtual]
    {58, 334, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 36},	//783 KTextEditor::SmartInterface::clearViewActions(KTextEditor::View*) [pure virtual]
    {58, 287, 459, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 37},	//784 KTextEditor::SmartInterface::attributeDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
    {58, 289, 459, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 38},	//785 KTextEditor::SmartInterface::attributeNotDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
    {58, 201, 461, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 39},	//786 KTextEditor::SmartInterface::SmartInterface(const KTextEditor::SmartInterface&)
    {58, 1056, 215, 1, Smoke::mf_const, 51, 40},	//787 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    {58, 1056, 273, 1, Smoke::mf_const, 74, 41},	//788 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    {58, 701, 0, 0, 0, 83, 42},	//789 KTextEditor::SmartInterface::newSmartCursor()
    {58, 701, 215, 1, 0, 83, 43},	//790 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&)
    {58, 701, 150, 2, 0, 83, 44},	//791 KTextEditor::SmartInterface::newSmartCursor(int, int)
    {58, 706, 0, 0, 0, 90, 45},	//792 KTextEditor::SmartInterface::newSmartRange()
    {58, 706, 273, 1, 0, 90, 46},	//793 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&)
    {58, 706, 463, 2, 0, 90, 47},	//794 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*)
    {58, 706, 351, 2, 0, 90, 48},	//795 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {58, 706, 466, 3, 0, 90, 49},	//796 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    {58, 706, 361, 4, 0, 90, 50},	//797 KTextEditor::SmartInterface::newSmartRange(int, int, int, int)
    {58, 706, 470, 5, 0, 90, 51},	//798 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*)
    {58, 706, 476, 2, 0, 90, 52},	//799 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    {58, 706, 479, 3, 0, 90, 53},	//800 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    {58, 252, 447, 1, 0, 0, 54},	//801 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*)
    {58, 255, 456, 2, 0, 0, 55},	//802 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*)
    {58, 1146, 0, 0, Smoke::mf_dtor, 0, 56 },	//803 KTextEditor::SmartInterface::~SmartInterface()
    {59, 599, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 1},	//804 KTextEditor::SmartRange::isSmartRange() const
    {59, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 90, 2},	//805 KTextEditor::SmartRange::toSmartRange() const
    {59, 958, 273, 1, Smoke::mf_virtual, 0, 3},	//806 KTextEditor::SmartRange::setRange(const KTextEditor::Range&)
    {59, 1009, 0, 0, 0, 82, 4},	//807 KTextEditor::SmartRange::smartStart()
    {59, 1009, 0, 0, Smoke::mf_const, 274, 5},	//808 KTextEditor::SmartRange::smartStart() const
    {59, 1006, 0, 0, 0, 82, 6},	//809 KTextEditor::SmartRange::smartEnd()
    {59, 1006, 0, 0, Smoke::mf_const, 274, 7},	//810 KTextEditor::SmartRange::smartEnd() const
    {59, 373, 273, 1, Smoke::mf_virtual, 244, 8},	//811 KTextEditor::SmartRange::confineToRange(const KTextEditor::Range&)
    {59, 514, 273, 1, Smoke::mf_virtual, 244, 9},	//812 KTextEditor::SmartRange::expandToRange(const KTextEditor::Range&)
    {59, 441, 0, 0, Smoke::mf_const, 54, 10},	//813 KTextEditor::SmartRange::document() const
    {59, 1026, 17, 1, Smoke::mf_const|Smoke::mf_virtual, 161, 11},	//814 KTextEditor::SmartRange::text(bool) const
    {59, 834, 393, 2, Smoke::mf_virtual, 244, 12},	//815 KTextEditor::SmartRange::replaceText(const QStringList&, bool)
    {59, 826, 17, 1, Smoke::mf_virtual, 244, 13},	//816 KTextEditor::SmartRange::removeText(bool)
    {59, 570, 0, 0, Smoke::mf_const, 124, 14},	//817 KTextEditor::SmartRange::insertBehavior() const
    {59, 911, 483, 1, 0, 0, 15},	//818 KTextEditor::SmartRange::setInsertBehavior(QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {59, 743, 0, 0, Smoke::mf_const, 90, 16},	//819 KTextEditor::SmartRange::parentRange() const
    {59, 953, 447, 1, Smoke::mf_virtual, 0, 17},	//820 KTextEditor::SmartRange::setParentRange(KTextEditor::SmartRange*)
    {59, 543, 447, 1, Smoke::mf_const, 244, 18},	//821 KTextEditor::SmartRange::hasParent(KTextEditor::SmartRange*) const
    {59, 435, 0, 0, Smoke::mf_const, 318, 19},	//822 KTextEditor::SmartRange::depth() const
    {59, 1046, 0, 0, Smoke::mf_const, 90, 20},	//823 KTextEditor::SmartRange::topParentRange() const
    {59, 321, 0, 0, Smoke::mf_const, 294, 21},	//824 KTextEditor::SmartRange::childRanges() const
    {59, 325, 0, 0, 0, 0, 22},	//825 KTextEditor::SmartRange::clearChildRanges()
    {59, 426, 0, 0, 0, 0, 23},	//826 KTextEditor::SmartRange::deleteChildRanges()
    {59, 323, 0, 0, 0, 0, 24},	//827 KTextEditor::SmartRange::clearAndDeleteChildRanges()
    {59, 314, 485, 1, Smoke::mf_const, 90, 25},	//828 KTextEditor::SmartRange::childBefore(const KTextEditor::SmartRange*) const
    {59, 312, 485, 1, Smoke::mf_const, 90, 26},	//829 KTextEditor::SmartRange::childAfter(const KTextEditor::SmartRange*) const
    {59, 685, 273, 1, Smoke::mf_const, 90, 27},	//830 KTextEditor::SmartRange::mostSpecificRange(const KTextEditor::Range&) const
    {59, 519, 215, 1, Smoke::mf_const, 90, 28},	//831 KTextEditor::SmartRange::firstRangeContaining(const KTextEditor::Cursor&) const
    {59, 414, 487, 3, Smoke::mf_const, 90, 29},	//832 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*) const
    {59, 418, 215, 1, Smoke::mf_const, 136, 30},	//833 KTextEditor::SmartRange::deepestRangesContaining(const KTextEditor::Cursor&) const
    {59, 731, 0, 0, Smoke::mf_const, 318, 31},	//834 KTextEditor::SmartRange::overlapCount() const
    {59, 286, 0, 0, Smoke::mf_const, 16, 32},	//835 KTextEditor::SmartRange::attribute() const
    {59, 867, 459, 1, 0, 0, 33},	//836 KTextEditor::SmartRange::setAttribute(KSharedPtr<KTextEditor::Attribute>)
    {59, 279, 491, 1, 0, 0, 34},	//837 KTextEditor::SmartRange::associateAction(KAction*)
    {59, 439, 491, 1, 0, 0, 35},	//838 KTextEditor::SmartRange::dissociateAction(KAction*)
    {59, 281, 0, 0, Smoke::mf_const, 291, 36},	//839 KTextEditor::SmartRange::associatedActions() const
    {59, 324, 0, 0, 0, 0, 37},	//840 KTextEditor::SmartRange::clearAssociatedActions()
    {59, 765, 0, 0, 0, 93, 38},	//841 KTextEditor::SmartRange::primaryNotifier()
    {59, 716, 0, 0, Smoke::mf_const, 295, 39},	//842 KTextEditor::SmartRange::notifiers() const
    {59, 260, 493, 1, 0, 0, 40},	//843 KTextEditor::SmartRange::addNotifier(KTextEditor::SmartRangeNotifier*)
    {59, 821, 493, 1, 0, 0, 41},	//844 KTextEditor::SmartRange::removeNotifier(KTextEditor::SmartRangeNotifier*)
    {59, 429, 0, 0, 0, 0, 42},	//845 KTextEditor::SmartRange::deletePrimaryNotifier()
    {59, 1095, 0, 0, Smoke::mf_const, 296, 43},	//846 KTextEditor::SmartRange::watchers() const
    {59, 266, 495, 1, 0, 0, 44},	//847 KTextEditor::SmartRange::addWatcher(KTextEditor::SmartRangeWatcher*)
    {59, 832, 495, 1, 0, 0, 45},	//848 KTextEditor::SmartRange::removeWatcher(KTextEditor::SmartRangeWatcher*)
    {59, 725, 497, 1, 0, 89, 46},	//849 KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    {59, 725, 273, 1, 0, 89, 47},	//850 KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    {59, 203, 442, 4, Smoke::mf_ctor|Smoke::mf_protected, 90, 48},	//851 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {59, 778, 369, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//852 KTextEditor::SmartRange::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
    {59, 311, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//853 KTextEditor::SmartRange::checkFeedback()
    {59, 392, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 93, 51},	//854 KTextEditor::SmartRange::createNotifier() [pure virtual]
    {59, 797, 0, 0, Smoke::mf_protected, 0, 52},	//855 KTextEditor::SmartRange::rebuildChildStructure()
    {59, 1026, 0, 0, Smoke::mf_const, 161, 53},	//856 KTextEditor::SmartRange::text() const
    {59, 834, 233, 1, 0, 244, 54},	//857 KTextEditor::SmartRange::replaceText(const QStringList&)
    {59, 826, 0, 0, 0, 244, 55},	//858 KTextEditor::SmartRange::removeText()
    {59, 414, 215, 1, Smoke::mf_const, 90, 56},	//859 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&) const
    {59, 414, 499, 2, Smoke::mf_const, 90, 57},	//860 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*) const
    {59, 203, 476, 2, Smoke::mf_ctor|Smoke::mf_protected, 90, 58},	//861 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    {59, 203, 479, 3, Smoke::mf_ctor|Smoke::mf_protected, 90, 59},	//862 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    {59, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 60},	//863 KTextEditor::SmartRange::DoNotExpand (enum)
    {59, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 61},	//864 KTextEditor::SmartRange::ExpandLeft (enum)
    {59, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 62},	//865 KTextEditor::SmartRange::ExpandRight (enum)
    {59, 1147, 0, 0, Smoke::mf_dtor, 0, 63 },	//866 KTextEditor::SmartRange::~SmartRange()
    {60, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//867 KTextEditor::SmartRangeNotifier::metaObject() const
    {60, 770, 70, 1, Smoke::mf_virtual, 322, 2},	//868 KTextEditor::SmartRangeNotifier::qt_metacast(const char*)
    {60, 1048, 85, 2, Smoke::mf_static, 159, 3},	//869 KTextEditor::SmartRangeNotifier::tr(const char*, const char*)
    {60, 1052, 85, 2, Smoke::mf_static, 159, 4},	//870 KTextEditor::SmartRangeNotifier::trUtf8(const char*, const char*)
    {60, 1048, 88, 3, Smoke::mf_static, 159, 5},	//871 KTextEditor::SmartRangeNotifier::tr(const char*, const char*, int)
    {60, 1052, 88, 3, Smoke::mf_static, 159, 6},	//872 KTextEditor::SmartRangeNotifier::trUtf8(const char*, const char*, int)
    {60, 768, 92, 3, Smoke::mf_virtual, 318, 7},	//873 KTextEditor::SmartRangeNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {60, 207, 0, 0, Smoke::mf_ctor, 93, 8},	//874 KTextEditor::SmartRangeNotifier::SmartRangeNotifier()
    {60, 1091, 0, 0, Smoke::mf_const, 244, 9},	//875 KTextEditor::SmartRangeNotifier::wantsDirectChanges() const
    {60, 985, 17, 1, 0, 0, 10},	//876 KTextEditor::SmartRangeNotifier::setWantsDirectChanges(bool)
    {60, 787, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//877 KTextEditor::SmartRangeNotifier::rangePositionChanged(KTextEditor::SmartRange*)
    {60, 780, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//878 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*)
    {60, 780, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//879 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {60, 688, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//880 KTextEditor::SmartRangeNotifier::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {60, 690, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//881 KTextEditor::SmartRangeNotifier::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {60, 299, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//882 KTextEditor::SmartRangeNotifier::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {60, 301, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//883 KTextEditor::SmartRangeNotifier::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {60, 785, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//884 KTextEditor::SmartRangeNotifier::rangeEliminated(KTextEditor::SmartRange*)
    {60, 783, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//885 KTextEditor::SmartRangeNotifier::rangeDeleted(KTextEditor::SmartRange*)
    {60, 744, 508, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//886 KTextEditor::SmartRangeNotifier::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {60, 317, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//887 KTextEditor::SmartRangeNotifier::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {60, 319, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//888 KTextEditor::SmartRangeNotifier::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {60, 776, 512, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//889 KTextEditor::SmartRangeNotifier::rangeAttributeChanged(KTextEditor::SmartRange*, KTextEditor::Attribute::Ptr, KTextEditor::Attribute::Ptr)
    {60, 1048, 70, 1, Smoke::mf_static, 159, 24},	//890 KTextEditor::SmartRangeNotifier::tr(const char*)
    {60, 1052, 70, 1, Smoke::mf_static, 159, 25},	//891 KTextEditor::SmartRangeNotifier::trUtf8(const char*)
    {60, 1017, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 26},	//892 KTextEditor::SmartRangeNotifier::staticMetaObject() const
    {60, 1148, 0, 0, Smoke::mf_dtor, 0, 27 },	//893 KTextEditor::SmartRangeNotifier::~SmartRangeNotifier()
    {61, 208, 0, 0, Smoke::mf_ctor, 94, 1},	//894 KTextEditor::SmartRangeWatcher::SmartRangeWatcher()
    {61, 1091, 0, 0, Smoke::mf_const, 244, 2},	//895 KTextEditor::SmartRangeWatcher::wantsDirectChanges() const
    {61, 985, 17, 1, 0, 0, 3},	//896 KTextEditor::SmartRangeWatcher::setWantsDirectChanges(bool)
    {61, 787, 447, 1, Smoke::mf_virtual, 0, 4},	//897 KTextEditor::SmartRangeWatcher::rangePositionChanged(KTextEditor::SmartRange*)
    {61, 780, 447, 1, Smoke::mf_virtual, 0, 5},	//898 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*)
    {61, 780, 502, 2, Smoke::mf_virtual, 0, 6},	//899 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {61, 688, 505, 2, Smoke::mf_virtual, 0, 7},	//900 KTextEditor::SmartRangeWatcher::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {61, 690, 505, 2, Smoke::mf_virtual, 0, 8},	//901 KTextEditor::SmartRangeWatcher::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {61, 299, 505, 2, Smoke::mf_virtual, 0, 9},	//902 KTextEditor::SmartRangeWatcher::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {61, 301, 505, 2, Smoke::mf_virtual, 0, 10},	//903 KTextEditor::SmartRangeWatcher::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {61, 785, 447, 1, Smoke::mf_virtual, 0, 11},	//904 KTextEditor::SmartRangeWatcher::rangeEliminated(KTextEditor::SmartRange*)
    {61, 783, 447, 1, Smoke::mf_virtual, 0, 12},	//905 KTextEditor::SmartRangeWatcher::rangeDeleted(KTextEditor::SmartRange*)
    {61, 744, 508, 3, Smoke::mf_virtual, 0, 13},	//906 KTextEditor::SmartRangeWatcher::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {61, 317, 502, 2, Smoke::mf_virtual, 0, 14},	//907 KTextEditor::SmartRangeWatcher::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {61, 319, 502, 2, Smoke::mf_virtual, 0, 15},	//908 KTextEditor::SmartRangeWatcher::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {61, 776, 516, 3, Smoke::mf_virtual, 0, 16},	//909 KTextEditor::SmartRangeWatcher::rangeAttributeChanged(KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>)
    {61, 208, 520, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 17},	//910 KTextEditor::SmartRangeWatcher::SmartRangeWatcher(const KTextEditor::SmartRangeWatcher&)
    {61, 1149, 0, 0, Smoke::mf_dtor, 0, 18 },	//911 KTextEditor::SmartRangeWatcher::~SmartRangeWatcher()
    {62, 216, 0, 0, Smoke::mf_ctor, 95, 1},	//912 KTextEditor::TemplateInterface::TemplateInterface()
    {62, 512, 522, 2, Smoke::mf_static, 244, 2},	//913 KTextEditor::TemplateInterface::expandMacros(QMap<QString,QString>&, QWidget*)
    {62, 577, 525, 3, 0, 244, 3},	//914 KTextEditor::TemplateInterface::insertTemplateText(const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&)
    {62, 579, 525, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 4},	//915 KTextEditor::TemplateInterface::insertTemplateTextImplementation(const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&) [pure virtual]
    {62, 125, 529, 2, Smoke::mf_protected, 244, 5},	//916 KTextEditor::TemplateInterface::KTE_INTERNAL_setupIntialValues(const QString&, QMap<QString,QString>*)
    {62, 216, 532, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 6},	//917 KTextEditor::TemplateInterface::TemplateInterface(const KTextEditor::TemplateInterface&)
    {62, 1150, 0, 0, Smoke::mf_dtor, 0, 7 },	//918 KTextEditor::TemplateInterface::~TemplateInterface()
    {63, 218, 0, 0, Smoke::mf_ctor, 96, 1},	//919 KTextEditor::TextHintInterface::TextHintInterface()
    {63, 488, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//920 KTextEditor::TextHintInterface::enableTextHints(int) [pure virtual]
    {63, 437, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//921 KTextEditor::TextHintInterface::disableTextHints() [pure virtual]
    {63, 699, 534, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//922 KTextEditor::TextHintInterface::needTextHint(const KTextEditor::Cursor&, QString&) [pure virtual]
    {63, 218, 537, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 5},	//923 KTextEditor::TextHintInterface::TextHintInterface(const KTextEditor::TextHintInterface&)
    {63, 1151, 0, 0, Smoke::mf_dtor, 0, 6 },	//924 KTextEditor::TextHintInterface::~TextHintInterface()
    {64, 226, 0, 0, Smoke::mf_ctor, 97, 1},	//925 KTextEditor::VariableInterface::VariableInterface()
    {64, 1070, 196, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 2},	//926 KTextEditor::VariableInterface::variable(const QString&) const [pure virtual]
    {64, 1072, 539, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//927 KTextEditor::VariableInterface::variableChanged(KTextEditor::Document*, const QString&, const QString&) [pure virtual]
    {64, 226, 543, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 4},	//928 KTextEditor::VariableInterface::VariableInterface(const KTextEditor::VariableInterface&)
    {64, 1152, 0, 0, Smoke::mf_dtor, 0, 5 },	//929 KTextEditor::VariableInterface::~VariableInterface()
    {65, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 303, 1},	//930 KTextEditor::View::metaObject() const
    {65, 770, 70, 1, Smoke::mf_virtual, 322, 2},	//931 KTextEditor::View::qt_metacast(const char*)
    {65, 1048, 85, 2, Smoke::mf_static, 159, 3},	//932 KTextEditor::View::tr(const char*, const char*)
    {65, 1052, 85, 2, Smoke::mf_static, 159, 4},	//933 KTextEditor::View::trUtf8(const char*, const char*)
    {65, 1048, 88, 3, Smoke::mf_static, 159, 5},	//934 KTextEditor::View::tr(const char*, const char*, int)
    {65, 1052, 88, 3, Smoke::mf_static, 159, 6},	//935 KTextEditor::View::trUtf8(const char*, const char*, int)
    {65, 768, 92, 3, Smoke::mf_virtual, 318, 7},	//936 KTextEditor::View::qt_metacall(QMetaObject::Call, int, void**)
    {65, 228, 10, 1, Smoke::mf_ctor, 98, 8},	//937 KTextEditor::View::View(QWidget*)
    {65, 441, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 54, 9},	//938 KTextEditor::View::document() const [pure virtual]
    {65, 592, 0, 0, Smoke::mf_const, 244, 10},	//939 KTextEditor::View::isActiveView() const
    {65, 1085, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 11},	//940 KTextEditor::View::viewMode() const [pure virtual]
    {65, 1080, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 12},	//941 KTextEditor::View::viewEditMode() const [pure virtual]
    {65, 524, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//942 KTextEditor::View::focusIn(KTextEditor::View*)
    {65, 528, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//943 KTextEditor::View::focusOut(KTextEditor::View*)
    {65, 1086, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//944 KTextEditor::View::viewModeChanged(KTextEditor::View*)
    {65, 1081, 545, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//945 KTextEditor::View::viewEditModeChanged(KTextEditor::View*, KTextEditor::View::EditMode)
    {65, 566, 193, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//946 KTextEditor::View::informationMessage(KTextEditor::View*, const QString&)
    {65, 1034, 548, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//947 KTextEditor::View::textInserted(KTextEditor::View*, const KTextEditor::Cursor&, const QString&)
    {65, 888, 552, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//948 KTextEditor::View::setContextMenu(QMenu*) [pure virtual]
    {65, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 20},	//949 KTextEditor::View::contextMenu() const [pure virtual]
    {65, 420, 552, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 21},	//950 KTextEditor::View::defaultContextMenu(QMenu*) const [pure virtual]
    {65, 384, 554, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//951 KTextEditor::View::contextMenuAboutToShow(KTextEditor::View*, QMenu*)
    {65, 890, 557, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 23},	//952 KTextEditor::View::setCursorPosition(KTextEditor::Cursor) [pure virtual]
    {65, 404, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 24},	//953 KTextEditor::View::cursorPosition() const [pure virtual]
    {65, 408, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 25},	//954 KTextEditor::View::cursorPositionVirtual() const [pure virtual]
    {65, 409, 215, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 153, 26},	//955 KTextEditor::View::cursorToCoordinate(const KTextEditor::Cursor&) const [pure virtual]
    {65, 407, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 153, 27},	//956 KTextEditor::View::cursorPositionCoordinates() const [pure virtual]
    {65, 405, 162, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//957 KTextEditor::View::cursorPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {65, 1074, 162, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//958 KTextEditor::View::verticalScrollPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {65, 561, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//959 KTextEditor::View::horizontalScrollPositionChanged(KTextEditor::View*)
    {65, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 31},	//960 KTextEditor::View::mouseTrackingEnabled() const [pure virtual]
    {65, 943, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 32},	//961 KTextEditor::View::setMouseTrackingEnabled(bool) [pure virtual]
    {65, 693, 162, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//962 KTextEditor::View::mousePositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {65, 969, 273, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 34},	//963 KTextEditor::View::setSelection(const KTextEditor::Range&) [pure virtual]
    {65, 969, 559, 3, Smoke::mf_virtual, 244, 35},	//964 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int, bool)
    {65, 856, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 36},	//965 KTextEditor::View::selection() const [pure virtual]
    {65, 859, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 37},	//966 KTextEditor::View::selectionRange() const [pure virtual]
    {65, 860, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 38},	//967 KTextEditor::View::selectionText() const [pure virtual]
    {65, 824, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 39},	//968 KTextEditor::View::removeSelection() [pure virtual]
    {65, 825, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 40},	//969 KTextEditor::View::removeSelectionText() [pure virtual]
    {65, 873, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 41},	//970 KTextEditor::View::setBlockSelection(bool) [pure virtual]
    {65, 292, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 42},	//971 KTextEditor::View::blockSelection() const [pure virtual]
    {65, 857, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//972 KTextEditor::View::selectionChanged(KTextEditor::View*)
    {65, 581, 196, 1, Smoke::mf_virtual, 244, 44},	//973 KTextEditor::View::insertText(const QString&)
    {65, 1048, 70, 1, Smoke::mf_static, 159, 45},	//974 KTextEditor::View::tr(const char*)
    {65, 1052, 70, 1, Smoke::mf_static, 159, 46},	//975 KTextEditor::View::trUtf8(const char*)
    {65, 420, 0, 0, Smoke::mf_const, 141, 47},	//976 KTextEditor::View::defaultContextMenu() const
    {65, 969, 354, 2, 0, 244, 48},	//977 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int)
    {65, 1017, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 302, 49},	//978 KTextEditor::View::staticMetaObject() const
    {65, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 50},	//979 KTextEditor::View::EditInsert (enum)
    {65, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 51},	//980 KTextEditor::View::EditOverwrite (enum)
    {65, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 52},	//981 KTextEditor::View::EditViMode (enum)
    {65, 1153, 0, 0, Smoke::mf_dtor, 0, 53 },	//982 KTextEditor::View::~View()
    {66, 230, 0, 0, Smoke::mf_ctor, 100, 1},	//983 KTextEditor::ViewBarContainer::ViewBarContainer()
    {66, 534, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 170, 2},	//984 KTextEditor::ViewBarContainer::getViewBarParent(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {66, 264, 566, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//985 KTextEditor::ViewBarContainer::addViewBarToLayout(KTextEditor::View*, QWidget*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {66, 1000, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//986 KTextEditor::ViewBarContainer::showViewBarForView(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {66, 550, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//987 KTextEditor::ViewBarContainer::hideViewBarForView(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {66, 431, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//988 KTextEditor::ViewBarContainer::deleteViewBarForView(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {66, 230, 570, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 7},	//989 KTextEditor::ViewBarContainer::ViewBarContainer(const KTextEditor::ViewBarContainer&)
    {66, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 8},	//990 KTextEditor::ViewBarContainer::LeftBar (enum)
    {66, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 9},	//991 KTextEditor::ViewBarContainer::TopBar (enum)
    {66, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 10},	//992 KTextEditor::ViewBarContainer::RightBar (enum)
    {66, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 11},	//993 KTextEditor::ViewBarContainer::BottomBar (enum)
    {66, 1154, 0, 0, Smoke::mf_dtor, 0, 12 },	//994 KTextEditor::ViewBarContainer::~ViewBarContainer()
    {68, 242, 572, 1, Smoke::mf_const|Smoke::mf_virtual, 104, 0},	//995 KXMLGUIClient::action(const QDomElement&) const
    {68, 243, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 2, 0},	//996 KXMLGUIClient::actionCollection() const
    {68, 357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 4, 0},	//997 KXMLGUIClient::componentData() const
    {68, 459, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 112, 0},	//998 KXMLGUIClient::domDocument() const
    {68, 1108, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 159, 0},	//999 KXMLGUIClient::xmlFile() const
    {68, 617, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 159, 0},	//1000 KXMLGUIClient::localXMLFile() const
    {68, 883, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1001 KXMLGUIClient::setComponentData(const KComponentData&)
    {68, 991, 574, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1002 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {68, 918, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1003 KXMLGUIClient::setLocalXMLFile(const QString&)
    {68, 990, 295, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1004 KXMLGUIClient::setXML(const QString&, bool)
    {68, 892, 578, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1005 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {68, 1016, 581, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1006 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {68, 1089, 584, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1007 KXMLGUIClient::virtual_hook(int, void*)
    {68, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 14},	//1008 KXMLGUIClient::StateNoReverse (enum)
    {68, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 15},	//1009 KXMLGUIClient::StateReverse (enum)
    {69, 538, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 0},	//1010 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {69, 412, 587, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 167, 0},	//1011 QAbstractItemModel::data(const QModelIndex&, int) const [pure virtual]
    {69, 893, 590, 3, Smoke::mf_virtual, 244, 0},	//1012 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {69, 545, 594, 3, Smoke::mf_const|Smoke::mf_virtual, 167, 0},	//1013 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {69, 908, 598, 4, Smoke::mf_virtual, 244, 0},	//1014 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {69, 913, 603, 2, Smoke::mf_virtual, 244, 0},	//1015 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {69, 673, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 161, 0},	//1016 QAbstractItemModel::mimeTypes() const
    {69, 671, 606, 1, Smoke::mf_const|Smoke::mf_virtual, 143, 0},	//1017 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {69, 464, 608, 5, Smoke::mf_virtual, 244, 0},	//1018 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {69, 1020, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 126, 0},	//1019 QAbstractItemModel::supportedDropActions() const
    {69, 576, 143, 3, Smoke::mf_virtual, 244, 0},	//1020 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {69, 571, 143, 3, Smoke::mf_virtual, 244, 0},	//1021 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {69, 823, 143, 3, Smoke::mf_virtual, 244, 0},	//1022 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {69, 810, 143, 3, Smoke::mf_virtual, 244, 0},	//1023 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {69, 516, 141, 1, Smoke::mf_virtual, 0, 0},	//1024 QAbstractItemModel::fetchMore(const QModelIndex&)
    {69, 298, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 0},	//1025 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {69, 523, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 127, 0},	//1026 QAbstractItemModel::flags(const QModelIndex&) const
    {69, 1010, 614, 2, Smoke::mf_virtual, 0, 0},	//1027 QAbstractItemModel::sort(int, Qt::SortOrder)
    {69, 297, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 144, 0},	//1028 QAbstractItemModel::buddy(const QModelIndex&) const
    {69, 666, 617, 5, Smoke::mf_const|Smoke::mf_virtual, 137, 0},	//1029 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {69, 1011, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 157, 0},	//1030 QAbstractItemModel::span(const QModelIndex&) const
    {69, 1019, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 244, 0},	//1031 QAbstractItemModel::submit()
    {69, 844, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1032 QAbstractItemModel::revert()
    {87, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 1},	//1033 QGlobalSpace::KST_KSycocaEntry (enum)
    {87, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 2},	//1034 QGlobalSpace::KST_KService (enum)
    {87, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 3},	//1035 QGlobalSpace::KST_KServiceType (enum)
    {87, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 4},	//1036 QGlobalSpace::KST_KMimeType (enum)
    {87, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 5},	//1037 QGlobalSpace::KST_KFolderMimeType (enum)
    {87, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 6},	//1038 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {87, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 7},	//1039 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {87, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 8},	//1040 QGlobalSpace::KST_KServiceGroup (enum)
    {87, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 9},	//1041 QGlobalSpace::KST_KImageIOFormat (enum)
    {87, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 10},	//1042 QGlobalSpace::KST_KProtocolInfo (enum)
    {87, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 11},	//1043 QGlobalSpace::KST_KServiceSeparator (enum)
    {87, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 12},	//1044 QGlobalSpace::KST_KCustom (enum)
    {87, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 13},	//1045 QGlobalSpace::KST_KServiceFactory (enum)
    {87, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 14},	//1046 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {87, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 15},	//1047 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {87, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 16},	//1048 QGlobalSpace::KST_KImageIO (enum)
    {87, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 17},	//1049 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {87, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 18},	//1050 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {87, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 19},	//1051 QGlobalSpace::KST_CTimeInfo (enum)
    {99, 499, 19, 1, Smoke::mf_virtual, 244, 0},	//1052 QObject::event(QEvent*)
    {99, 500, 623, 2, Smoke::mf_virtual, 244, 0},	//1053 QObject::eventFilter(QObject*, QEvent*)
    {99, 1043, 626, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1054 QObject::timerEvent(QTimerEvent*)
    {99, 316, 628, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1055 QObject::childEvent(QChildEvent*)
    {99, 411, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1056 QObject::customEvent(QEvent*)
    {99, 375, 70, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1057 QObject::connectNotify(const char*)
    {99, 438, 70, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1058 QObject::disconnectNotify(const char*)
    {116, 436, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 318, 0},	//1059 QWidget::devType() const
    {116, 984, 17, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1060 QWidget::setVisible(bool)
    {116, 1003, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 157, 0},	//1061 QWidget::sizeHint() const
    {116, 674, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 157, 0},	//1062 QWidget::minimumSizeHint() const
    {116, 546, 99, 1, Smoke::mf_const|Smoke::mf_virtual, 318, 0},	//1063 QWidget::heightForWidth(int) const
    {116, 738, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 150, 0},	//1064 QWidget::paintEngine() const
    {116, 499, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 244, 0},	//1065 QWidget::event(QEvent*)
    {116, 695, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1066 QWidget::mousePressEvent(QMouseEvent*)
    {116, 696, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1067 QWidget::mouseReleaseEvent(QMouseEvent*)
    {116, 687, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1068 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {116, 692, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1069 QWidget::mouseMoveEvent(QMouseEvent*)
    {116, 1096, 632, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1070 QWidget::wheelEvent(QWheelEvent*)
    {116, 603, 634, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1071 QWidget::keyPressEvent(QKeyEvent*)
    {116, 604, 634, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1072 QWidget::keyReleaseEvent(QKeyEvent*)
    {116, 526, 636, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1073 QWidget::focusInEvent(QFocusEvent*)
    {116, 530, 636, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1074 QWidget::focusOutEvent(QFocusEvent*)
    {116, 498, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1075 QWidget::enterEvent(QEvent*)
    {116, 606, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1076 QWidget::leaveEvent(QEvent*)
    {116, 739, 638, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1077 QWidget::paintEvent(QPaintEvent*)
    {116, 698, 640, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1078 QWidget::moveEvent(QMoveEvent*)
    {116, 843, 642, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1079 QWidget::resizeEvent(QResizeEvent*)
    {116, 340, 644, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1080 QWidget::closeEvent(QCloseEvent*)
    {116, 386, 646, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1081 QWidget::contextMenuEvent(QContextMenuEvent*)
    {116, 1025, 648, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1082 QWidget::tabletEvent(QTabletEvent*)
    {116, 244, 650, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1083 QWidget::actionEvent(QActionEvent*)
    {116, 460, 652, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1084 QWidget::dragEnterEvent(QDragEnterEvent*)
    {116, 462, 654, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1085 QWidget::dragMoveEvent(QDragMoveEvent*)
    {116, 461, 656, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1086 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {116, 463, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1087 QWidget::dropEvent(QDropEvent*)
    {116, 999, 660, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1088 QWidget::showEvent(QShowEvent*)
    {116, 549, 662, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1089 QWidget::hideEvent(QHideEvent*)
    {116, 1107, 664, 1, Smoke::mf_protected|Smoke::mf_virtual, 244, 0},	//1090 QWidget::x11Event(_XEvent*)
    {116, 303, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1091 QWidget::changeEvent(QEvent*)
    {116, 670, 666, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 318, 0},	//1092 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {116, 568, 668, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1093 QWidget::inputMethodEvent(QInputMethodEvent*)
    {116, 569, 670, 1, Smoke::mf_const|Smoke::mf_virtual, 167, 0},	//1094 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {116, 527, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 244, 0},	//1095 QWidget::focusNextPrevChild(bool)
    {116, 1018, 672, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1096 QWidget::styleChange(QStyle&)
    {116, 490, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1097 QWidget::enabledChange(bool)
    {116, 740, 674, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1098 QWidget::paletteChange(const QPalette&)
    {116, 532, 676, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1099 QWidget::fontChange(const QFont&)
    {116, 1098, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1100 QWidget::windowActivationChange(bool)
    {116, 605, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1101 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    794,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*)
    795,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    799,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    0,
    796,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    800,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    0,
    763,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    765,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    0,
    787,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    788,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    0,
    757,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    758,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, QFlags<KTextEditor::SmartRange::InsertBehavior>) const
    0,
    632,  // KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    669,  // KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    0,
    655,  // KTextEditor::Range::contains(const KTextEditor::Range&) const
    656,  // KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    0,
    643,  // KTextEditor::Range::end()
    644,  // KTextEditor::Range::end() const
    0,
    641,  // KTextEditor::Range::start()
    642,  // KTextEditor::Range::start() const
    0,
    29,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>)
    31,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int)
    33,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>)
    34,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, int)
    35,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>)
    36,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>)
    38,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, int)
    41,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int)
    0,
    30,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type)
    32,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type)
    37,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type)
    42,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type)
    0,
    849,  // KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    850,  // KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    0,
    809,  // KTextEditor::SmartRange::smartEnd()
    810,  // KTextEditor::SmartRange::smartEnd() const
    0,
    807,  // KTextEditor::SmartRange::smartStart()
    808,  // KTextEditor::SmartRange::smartStart() const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {20, 396, 40},	// KTextEditor::createPlugin?#
    {20, 483, 39},	// KTextEditor::editor$
    {20, 728, -29},	// KTextEditor::operator|?$
    {20, 729, -38},	// KTextEditor::operator|??
    {21, 6, 45},	// KTextEditor::AnnotationInterface::AnnotationInterface
    {21, 7, 46},	// KTextEditor::AnnotationInterface::AnnotationInterface#
    {21, 277, 44},	// KTextEditor::AnnotationInterface::annotationModel
    {21, 866, 43},	// KTextEditor::AnnotationInterface::setAnnotationModel#
    {21, 1109, 47},	// KTextEditor::AnnotationInterface::~AnnotationInterface
    {22, 8, 58},	// KTextEditor::AnnotationModel::AnnotationModel
    {22, 413, 55},	// KTextEditor::AnnotationModel::data$$
    {22, 613, 57},	// KTextEditor::AnnotationModel::lineChanged$
    {22, 669, 48},	// KTextEditor::AnnotationModel::metaObject
    {22, 769, 54},	// KTextEditor::AnnotationModel::qt_metacall$$?
    {22, 771, 49},	// KTextEditor::AnnotationModel::qt_metacast$
    {22, 842, 56},	// KTextEditor::AnnotationModel::reset
    {22, 1017, 61},	// KTextEditor::AnnotationModel::staticMetaObject
    {22, 1049, 59},	// KTextEditor::AnnotationModel::tr$
    {22, 1050, 50},	// KTextEditor::AnnotationModel::tr$$
    {22, 1051, 52},	// KTextEditor::AnnotationModel::tr$$$
    {22, 1053, 60},	// KTextEditor::AnnotationModel::trUtf8$
    {22, 1054, 51},	// KTextEditor::AnnotationModel::trUtf8$$
    {22, 1055, 53},	// KTextEditor::AnnotationModel::trUtf8$$$
    {22, 1110, 62},	// KTextEditor::AnnotationModel::~AnnotationModel
    {23, 9, 68},	// KTextEditor::AnnotationViewInterface::AnnotationViewInterface
    {23, 10, 69},	// KTextEditor::AnnotationViewInterface::AnnotationViewInterface#
    {23, 272, 66},	// KTextEditor::AnnotationViewInterface::annotationActivated#$
    {23, 274, 67},	// KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged#$
    {23, 276, 65},	// KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow##$
    {23, 593, 64},	// KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible
    {23, 864, 63},	// KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible$
    {23, 1111, 70},	// KTextEditor::AnnotationViewInterface::~AnnotationViewInterface
    {24, 4, 102},	// KTextEditor::Attribute::ActivateCaretIn
    {24, 5, 101},	// KTextEditor::Attribute::ActivateMouseIn
    {24, 13, 71},	// KTextEditor::Attribute::Attribute
    {24, 14, 72},	// KTextEditor::Attribute::Attribute#
    {24, 18, 98},	// KTextEditor::Attribute::AttributeDynamicEffect
    {24, 19, 99},	// KTextEditor::Attribute::AttributeInternalProperty
    {24, 20, 100},	// KTextEditor::Attribute::AttributeUserProperty
    {24, 22, 97},	// KTextEditor::Attribute::BackgroundFillWhitespace
    {24, 77, 107},	// KTextEditor::Attribute::EffectCycleGradient
    {24, 78, 104},	// KTextEditor::Attribute::EffectFadeIn
    {24, 79, 105},	// KTextEditor::Attribute::EffectFadeOut
    {24, 80, 103},	// KTextEditor::Attribute::EffectNone
    {24, 81, 106},	// KTextEditor::Attribute::EffectPulse
    {24, 159, 94},	// KTextEditor::Attribute::Outline
    {24, 183, 96},	// KTextEditor::Attribute::SelectedBackground
    {24, 184, 95},	// KTextEditor::Attribute::SelectedForeground
    {24, 281, 85},	// KTextEditor::Attribute::associatedActions
    {24, 291, 81},	// KTextEditor::Attribute::backgroundFillWhitespace
    {24, 322, 83},	// KTextEditor::Attribute::clear
    {24, 324, 86},	// KTextEditor::Attribute::clearAssociatedActions
    {24, 480, 87},	// KTextEditor::Attribute::dynamicAttribute$
    {24, 485, 89},	// KTextEditor::Attribute::effects
    {24, 531, 73},	// KTextEditor::Attribute::fontBold
    {24, 537, 84},	// KTextEditor::Attribute::hasAnyProperty
    {24, 724, 91},	// KTextEditor::Attribute::operator+=#
    {24, 726, 92},	// KTextEditor::Attribute::operator=#
    {24, 730, 75},	// KTextEditor::Attribute::outline
    {24, 854, 79},	// KTextEditor::Attribute::selectedBackground
    {24, 855, 77},	// KTextEditor::Attribute::selectedForeground
    {24, 872, 82},	// KTextEditor::Attribute::setBackgroundFillWhitespace$
    {24, 897, 88},	// KTextEditor::Attribute::setDynamicAttribute$?
    {24, 901, 90},	// KTextEditor::Attribute::setEffects$
    {24, 904, 93},	// KTextEditor::Attribute::setFontBold
    {24, 905, 74},	// KTextEditor::Attribute::setFontBold$
    {24, 952, 76},	// KTextEditor::Attribute::setOutline#
    {24, 966, 80},	// KTextEditor::Attribute::setSelectedBackground#
    {24, 968, 78},	// KTextEditor::Attribute::setSelectedForeground#
    {24, 1112, 108},	// KTextEditor::Attribute::~Attribute
    {25, 32, 117},	// KTextEditor::CodeCompletionInterface::CodeCompletionInterface
    {25, 33, 118},	// KTextEditor::CodeCompletionInterface::CodeCompletionInterface#
    {25, 234, 111},	// KTextEditor::CodeCompletionInterface::abortCompletion
    {25, 533, 112},	// KTextEditor::CodeCompletionInterface::forceCompletion
    {25, 594, 115},	// KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled
    {25, 595, 109},	// KTextEditor::CodeCompletionInterface::isCompletionActive
    {25, 801, 113},	// KTextEditor::CodeCompletionInterface::registerCompletionModel#
    {25, 869, 119},	// KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled
    {25, 870, 116},	// KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled$
    {25, 1014, 110},	// KTextEditor::CodeCompletionInterface::startCompletion##
    {25, 1065, 114},	// KTextEditor::CodeCompletionInterface::unregisterCompletionModel#
    {25, 1114, 120},	// KTextEditor::CodeCompletionInterface::~CodeCompletionInterface
    {26, 1, 198},	// KTextEditor::CodeCompletionModel::AccessibilityAccept
    {26, 2, 196},	// KTextEditor::CodeCompletionModel::AccessibilityNext
    {26, 3, 197},	// KTextEditor::CodeCompletionModel::AccessibilityPrevious
    {26, 11, 194},	// KTextEditor::CodeCompletionModel::ArgumentHintDepth
    {26, 12, 153},	// KTextEditor::CodeCompletionModel::Arguments
    {26, 21, 202},	// KTextEditor::CodeCompletionModel::AutomaticInvocation
    {26, 23, 195},	// KTextEditor::CodeCompletionModel::BestMatchesCount
    {26, 31, 163},	// KTextEditor::CodeCompletionModel::Class
    {26, 35, 128},	// KTextEditor::CodeCompletionModel::CodeCompletionModel#
    {26, 42, 147},	// KTextEditor::CodeCompletionModel::ColumnCount
    {26, 49, 184},	// KTextEditor::CodeCompletionModel::CompletionRole
    {26, 54, 161},	// KTextEditor::CodeCompletionModel::Const
    {26, 62, 189},	// KTextEditor::CodeCompletionModel::CustomHighlight
    {26, 63, 183},	// KTextEditor::CodeCompletionModel::CustomHighlighting
    {26, 82, 168},	// KTextEditor::CodeCompletionModel::Enum
    {26, 87, 192},	// KTextEditor::CodeCompletionModel::ExpandingWidget
    {26, 90, 156},	// KTextEditor::CodeCompletionModel::FirstProperty
    {26, 91, 174},	// KTextEditor::CodeCompletionModel::Friend
    {26, 92, 166},	// KTextEditor::CodeCompletionModel::Function
    {26, 93, 179},	// KTextEditor::CodeCompletionModel::GlobalScope
    {26, 94, 199},	// KTextEditor::CodeCompletionModel::GroupRole
    {26, 98, 188},	// KTextEditor::CodeCompletionModel::HighlightingMethod
    {26, 99, 150},	// KTextEditor::CodeCompletionModel::Icon
    {26, 101, 190},	// KTextEditor::CodeCompletionModel::InheritanceDepth
    {26, 102, 173},	// KTextEditor::CodeCompletionModel::Inline
    {26, 103, 182},	// KTextEditor::CodeCompletionModel::InternalHighlighting
    {26, 104, 191},	// KTextEditor::CodeCompletionModel::IsExpandable
    {26, 105, 193},	// KTextEditor::CodeCompletionModel::ItemSelected
    {26, 127, 201},	// KTextEditor::CodeCompletionModel::LastExtraItemDataRole
    {26, 128, 148},	// KTextEditor::CodeCompletionModel::LastItemDataRole
    {26, 129, 180},	// KTextEditor::CodeCompletionModel::LastProperty
    {26, 135, 177},	// KTextEditor::CodeCompletionModel::LocalScope
    {26, 136, 204},	// KTextEditor::CodeCompletionModel::ManualInvocation
    {26, 143, 186},	// KTextEditor::CodeCompletionModel::MatchQuality
    {26, 149, 152},	// KTextEditor::CodeCompletionModel::Name
    {26, 150, 162},	// KTextEditor::CodeCompletionModel::Namespace
    {26, 151, 178},	// KTextEditor::CodeCompletionModel::NamespaceScope
    {26, 152, 181},	// KTextEditor::CodeCompletionModel::NoHighlighting
    {26, 153, 155},	// KTextEditor::CodeCompletionModel::NoProperty
    {26, 160, 172},	// KTextEditor::CodeCompletionModel::Override
    {26, 165, 154},	// KTextEditor::CodeCompletionModel::Postfix
    {26, 166, 149},	// KTextEditor::CodeCompletionModel::Prefix
    {26, 167, 159},	// KTextEditor::CodeCompletionModel::Private
    {26, 168, 158},	// KTextEditor::CodeCompletionModel::Protected
    {26, 169, 157},	// KTextEditor::CodeCompletionModel::Public
    {26, 179, 151},	// KTextEditor::CodeCompletionModel::Scope
    {26, 180, 185},	// KTextEditor::CodeCompletionModel::ScopeIndex
    {26, 187, 187},	// KTextEditor::CodeCompletionModel::SetMatchContext
    {26, 188, 175},	// KTextEditor::CodeCompletionModel::Signal
    {26, 195, 176},	// KTextEditor::CodeCompletionModel::Slot
    {26, 212, 160},	// KTextEditor::CodeCompletionModel::Static
    {26, 214, 164},	// KTextEditor::CodeCompletionModel::Struct
    {26, 215, 169},	// KTextEditor::CodeCompletionModel::Template
    {26, 221, 170},	// KTextEditor::CodeCompletionModel::TypeAlias
    {26, 222, 200},	// KTextEditor::CodeCompletionModel::UnimportantItemRole
    {26, 223, 165},	// KTextEditor::CodeCompletionModel::Union
    {26, 224, 203},	// KTextEditor::CodeCompletionModel::UserInvocation
    {26, 225, 167},	// KTextEditor::CodeCompletionModel::Variable
    {26, 232, 171},	// KTextEditor::CodeCompletionModel::Virtual
    {26, 346, 143},	// KTextEditor::CodeCompletionModel::columnCount
    {26, 347, 132},	// KTextEditor::CodeCompletionModel::columnCount#
    {26, 352, 130},	// KTextEditor::CodeCompletionModel::completionInvoked##$
    {26, 509, 131},	// KTextEditor::CodeCompletionModel::executeCompletionItem##$
    {26, 539, 137},	// KTextEditor::CodeCompletionModel::hasGroups
    {26, 541, 139},	// KTextEditor::CodeCompletionModel::hasGroupsChanged#$
    {26, 564, 144},	// KTextEditor::CodeCompletionModel::index$$
    {26, 565, 133},	// KTextEditor::CodeCompletionModel::index$$#
    {26, 602, 134},	// KTextEditor::CodeCompletionModel::itemData#
    {26, 669, 121},	// KTextEditor::CodeCompletionModel::metaObject
    {26, 742, 135},	// KTextEditor::CodeCompletionModel::parent#
    {26, 769, 127},	// KTextEditor::CodeCompletionModel::qt_metacall$$?
    {26, 771, 122},	// KTextEditor::CodeCompletionModel::qt_metacast$
    {26, 845, 145},	// KTextEditor::CodeCompletionModel::rowCount
    {26, 846, 136},	// KTextEditor::CodeCompletionModel::rowCount#
    {26, 907, 140},	// KTextEditor::CodeCompletionModel::setHasGroups$
    {26, 963, 129},	// KTextEditor::CodeCompletionModel::setRowCount$
    {26, 1017, 146},	// KTextEditor::CodeCompletionModel::staticMetaObject
    {26, 1049, 141},	// KTextEditor::CodeCompletionModel::tr$
    {26, 1050, 123},	// KTextEditor::CodeCompletionModel::tr$$
    {26, 1051, 125},	// KTextEditor::CodeCompletionModel::tr$$$
    {26, 1053, 142},	// KTextEditor::CodeCompletionModel::trUtf8$
    {26, 1054, 124},	// KTextEditor::CodeCompletionModel::trUtf8$$
    {26, 1055, 126},	// KTextEditor::CodeCompletionModel::trUtf8$$$
    {26, 1090, 138},	// KTextEditor::CodeCompletionModel::waitForReset
    {26, 1115, 205},	// KTextEditor::CodeCompletionModel::~CodeCompletionModel
    {27, 37, 213},	// KTextEditor::CodeCompletionModel2::CodeCompletionModel2#
    {27, 511, 214},	// KTextEditor::CodeCompletionModel2::executeCompletionItem2###
    {27, 669, 206},	// KTextEditor::CodeCompletionModel2::metaObject
    {27, 769, 212},	// KTextEditor::CodeCompletionModel2::qt_metacall$$?
    {27, 771, 207},	// KTextEditor::CodeCompletionModel2::qt_metacast$
    {27, 1017, 217},	// KTextEditor::CodeCompletionModel2::staticMetaObject
    {27, 1049, 215},	// KTextEditor::CodeCompletionModel2::tr$
    {27, 1050, 208},	// KTextEditor::CodeCompletionModel2::tr$$
    {27, 1051, 210},	// KTextEditor::CodeCompletionModel2::tr$$$
    {27, 1053, 216},	// KTextEditor::CodeCompletionModel2::trUtf8$
    {27, 1054, 209},	// KTextEditor::CodeCompletionModel2::trUtf8$$
    {27, 1055, 211},	// KTextEditor::CodeCompletionModel2::trUtf8$$$
    {27, 1116, 218},	// KTextEditor::CodeCompletionModel2::~CodeCompletionModel2
    {28, 38, 219},	// KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface
    {28, 39, 227},	// KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface#
    {28, 236, 226},	// KTextEditor::CodeCompletionModelControllerInterface::aborted#
    {28, 356, 221},	// KTextEditor::CodeCompletionModelControllerInterface::completionRange##
    {28, 518, 223},	// KTextEditor::CodeCompletionModelControllerInterface::filterString###
    {28, 994, 224},	// KTextEditor::CodeCompletionModelControllerInterface::shouldAbortCompletion##$
    {28, 996, 225},	// KTextEditor::CodeCompletionModelControllerInterface::shouldExecute##
    {28, 998, 220},	// KTextEditor::CodeCompletionModelControllerInterface::shouldStartCompletion#$$#
    {28, 1067, 222},	// KTextEditor::CodeCompletionModelControllerInterface::updateCompletionRange##
    {28, 1117, 228},	// KTextEditor::CodeCompletionModelControllerInterface::~CodeCompletionModelControllerInterface
    {29, 40, 230},	// KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2
    {29, 41, 231},	// KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2#
    {29, 95, 233},	// KTextEditor::CodeCompletionModelControllerInterface2::HideListIfAutomaticInvocation
    {29, 154, 232},	// KTextEditor::CodeCompletionModelControllerInterface2::None
    {29, 668, 229},	// KTextEditor::CodeCompletionModelControllerInterface2::matchingItem#
    {29, 1118, 234},	// KTextEditor::CodeCompletionModelControllerInterface2::~CodeCompletionModelControllerInterface2
    {30, 43, 238},	// KTextEditor::Command::Command
    {30, 44, 239},	// KTextEditor::Command::Command#
    {30, 344, 235},	// KTextEditor::Command::cmds
    {30, 506, 236},	// KTextEditor::Command::exec#$$
    {30, 548, 237},	// KTextEditor::Command::help#$$
    {30, 1119, 240},	// KTextEditor::Command::~Command
    {31, 45, 245},	// KTextEditor::CommandExtension::CommandExtension
    {31, 46, 246},	// KTextEditor::CommandExtension::CommandExtension#
    {31, 354, 242},	// KTextEditor::CommandExtension::completionObject#$
    {31, 522, 241},	// KTextEditor::CommandExtension::flagCompletions?
    {31, 767, 244},	// KTextEditor::CommandExtension::processText#$
    {31, 1093, 243},	// KTextEditor::CommandExtension::wantsToProcessText$
    {31, 1120, 247},	// KTextEditor::CommandExtension::~CommandExtension
    {32, 47, 253},	// KTextEditor::CommandInterface::CommandInterface
    {32, 48, 254},	// KTextEditor::CommandInterface::CommandInterface#
    {32, 349, 252},	// KTextEditor::CommandInterface::commandList
    {32, 350, 251},	// KTextEditor::CommandInterface::commands
    {32, 774, 250},	// KTextEditor::CommandInterface::queryCommand$
    {32, 799, 248},	// KTextEditor::CommandInterface::registerCommand#
    {32, 1063, 249},	// KTextEditor::CommandInterface::unregisterCommand#
    {32, 1121, 255},	// KTextEditor::CommandInterface::~CommandInterface
    {33, 50, 256},	// KTextEditor::ConfigInterface::ConfigInterface
    {33, 51, 260},	// KTextEditor::ConfigInterface::ConfigInterface#
    {33, 361, 257},	// KTextEditor::ConfigInterface::configKeys
    {33, 372, 258},	// KTextEditor::ConfigInterface::configValue$
    {33, 885, 259},	// KTextEditor::ConfigInterface::setConfigValue$#
    {33, 1122, 261},	// KTextEditor::ConfigInterface::~ConfigInterface
    {34, 53, 269},	// KTextEditor::ConfigPage::ConfigPage#
    {34, 278, 270},	// KTextEditor::ConfigPage::apply
    {34, 304, 273},	// KTextEditor::ConfigPage::changed
    {34, 425, 272},	// KTextEditor::ConfigPage::defaults
    {34, 669, 262},	// KTextEditor::ConfigPage::metaObject
    {34, 769, 268},	// KTextEditor::ConfigPage::qt_metacall$$?
    {34, 771, 263},	// KTextEditor::ConfigPage::qt_metacast$
    {34, 842, 271},	// KTextEditor::ConfigPage::reset
    {34, 1017, 276},	// KTextEditor::ConfigPage::staticMetaObject
    {34, 1049, 274},	// KTextEditor::ConfigPage::tr$
    {34, 1050, 264},	// KTextEditor::ConfigPage::tr$$
    {34, 1051, 266},	// KTextEditor::ConfigPage::tr$$$
    {34, 1053, 275},	// KTextEditor::ConfigPage::trUtf8$
    {34, 1054, 265},	// KTextEditor::ConfigPage::trUtf8$$
    {34, 1055, 267},	// KTextEditor::ConfigPage::trUtf8$$$
    {34, 1123, 277},	// KTextEditor::ConfigPage::~ConfigPage
    {35, 55, 278},	// KTextEditor::ContainerInterface::ContainerInterface
    {35, 56, 281},	// KTextEditor::ContainerInterface::ContainerInterface#
    {35, 376, 280},	// KTextEditor::ContainerInterface::container
    {35, 887, 279},	// KTextEditor::ContainerInterface::setContainer#
    {35, 1124, 282},	// KTextEditor::ContainerInterface::~ContainerInterface
    {36, 57, 284},	// KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface
    {36, 58, 285},	// KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface#
    {36, 388, 283},	// KTextEditor::CoordinatesToCursorInterface::coordinatesToCursor#
    {36, 1125, 286},	// KTextEditor::CoordinatesToCursorInterface::~CoordinatesToCursorInterface
    {37, 59, 287},	// KTextEditor::Cursor::Cursor
    {37, 60, 289},	// KTextEditor::Cursor::Cursor#
    {37, 61, 288},	// KTextEditor::Cursor::Cursor$$
    {37, 284, 302},	// KTextEditor::Cursor::atStartOfDocument
    {37, 285, 301},	// KTextEditor::Cursor::atStartOfLine
    {37, 345, 299},	// KTextEditor::Cursor::column
    {37, 401, 307},	// KTextEditor::Cursor::cursorChangedDirectly#
    {37, 591, 293},	// KTextEditor::Cursor::invalid
    {37, 598, 291},	// KTextEditor::Cursor::isSmartCursor
    {37, 600, 290},	// KTextEditor::Cursor::isValid
    {37, 608, 297},	// KTextEditor::Cursor::line
    {37, 618, 310},	// KTextEditor::Cursor::m_column
    {37, 620, 308},	// KTextEditor::Cursor::m_line
    {37, 621, 312},	// KTextEditor::Cursor::m_range
    {37, 726, 305},	// KTextEditor::Cursor::operator=#
    {37, 750, 303},	// KTextEditor::Cursor::position$$
    {37, 775, 304},	// KTextEditor::Cursor::range
    {37, 882, 300},	// KTextEditor::Cursor::setColumn$
    {37, 917, 298},	// KTextEditor::Cursor::setLine$
    {37, 920, 311},	// KTextEditor::Cursor::setM_column$
    {37, 924, 309},	// KTextEditor::Cursor::setM_line$
    {37, 926, 313},	// KTextEditor::Cursor::setM_range#
    {37, 956, 295},	// KTextEditor::Cursor::setPosition#
    {37, 957, 296},	// KTextEditor::Cursor::setPosition$$
    {37, 959, 306},	// KTextEditor::Cursor::setRange#
    {37, 1012, 294},	// KTextEditor::Cursor::start
    {37, 1044, 292},	// KTextEditor::Cursor::toSmartCursor
    {37, 1126, 314},	// KTextEditor::Cursor::~Cursor
    {38, 66, 396},	// KTextEditor::Document::Document
    {38, 67, 322},	// KTextEditor::Document::Document#
    {38, 239, 371},	// KTextEditor::Document::aboutToClose#
    {38, 241, 372},	// KTextEditor::Document::aboutToReload#
    {38, 245, 325},	// KTextEditor::Document::activeView
    {38, 306, 343},	// KTextEditor::Document::character#
    {38, 322, 355},	// KTextEditor::Document::clear
    {38, 398, 324},	// KTextEditor::Document::createView#
    {38, 403, 361},	// KTextEditor::Document::cursorInText#
    {38, 445, 347},	// KTextEditor::Document::documentEnd
    {38, 447, 328},	// KTextEditor::Document::documentName
    {38, 449, 330},	// KTextEditor::Document::documentNameChanged#
    {38, 450, 348},	// KTextEditor::Document::documentRange
    {38, 451, 335},	// KTextEditor::Document::documentReload
    {38, 452, 336},	// KTextEditor::Document::documentSave
    {38, 453, 337},	// KTextEditor::Document::documentSaveAs
    {38, 455, 338},	// KTextEditor::Document::documentSavedOrUploaded#$
    {38, 457, 331},	// KTextEditor::Document::documentUrlChanged#
    {38, 482, 323},	// KTextEditor::Document::editor
    {38, 491, 334},	// KTextEditor::Document::encoding
    {38, 495, 340},	// KTextEditor::Document::endEditing
    {38, 497, 352},	// KTextEditor::Document::endOfLine$
    {38, 502, 375},	// KTextEditor::Document::exclusiveEditEnd#
    {38, 504, 374},	// KTextEditor::Document::exclusiveEditStart#
    {38, 552, 377},	// KTextEditor::Document::highlightingMode
    {38, 556, 385},	// KTextEditor::Document::highlightingModeChanged#
    {38, 558, 382},	// KTextEditor::Document::highlightingModeSection$
    {38, 559, 379},	// KTextEditor::Document::highlightingModes
    {38, 573, 362},	// KTextEditor::Document::insertLine$$
    {38, 575, 363},	// KTextEditor::Document::insertLines$?
    {38, 582, 399},	// KTextEditor::Document::insertText#$
    {38, 583, 356},	// KTextEditor::Document::insertText#$$
    {38, 584, 400},	// KTextEditor::Document::insertText#?
    {38, 585, 357},	// KTextEditor::Document::insertText#?$
    {38, 596, 350},	// KTextEditor::Document::isEmpty
    {38, 597, 390},	// KTextEditor::Document::isOrphaned
    {38, 609, 345},	// KTextEditor::Document::line$
    {38, 615, 351},	// KTextEditor::Document::lineLength$
    {38, 616, 346},	// KTextEditor::Document::lines
    {38, 669, 315},	// KTextEditor::Document::metaObject
    {38, 672, 329},	// KTextEditor::Document::mimeType
    {38, 675, 376},	// KTextEditor::Document::mode
    {38, 677, 384},	// KTextEditor::Document::modeChanged#
    {38, 679, 383},	// KTextEditor::Document::modeSection$
    {38, 680, 378},	// KTextEditor::Document::modes
    {38, 682, 332},	// KTextEditor::Document::modifiedChanged#
    {38, 721, 388},	// KTextEditor::Document::openingError
    {38, 722, 389},	// KTextEditor::Document::openingErrorMessage
    {38, 769, 321},	// KTextEditor::Document::qt_metacall$$?
    {38, 771, 316},	// KTextEditor::Document::qt_metacast$
    {38, 805, 373},	// KTextEditor::Document::reloaded#
    {38, 818, 364},	// KTextEditor::Document::removeLine$
    {38, 827, 403},	// KTextEditor::Document::removeText#
    {38, 828, 360},	// KTextEditor::Document::removeText#$
    {38, 835, 401},	// KTextEditor::Document::replaceText#$
    {38, 836, 358},	// KTextEditor::Document::replaceText#$$
    {38, 837, 402},	// KTextEditor::Document::replaceText#?
    {38, 838, 359},	// KTextEditor::Document::replaceText#?$
    {38, 903, 333},	// KTextEditor::Document::setEncoding$
    {38, 910, 381},	// KTextEditor::Document::setHighlightingMode$
    {38, 937, 380},	// KTextEditor::Document::setMode$
    {38, 946, 392},	// KTextEditor::Document::setOpeningError$
    {38, 948, 393},	// KTextEditor::Document::setOpeningErrorMessage$
    {38, 950, 391},	// KTextEditor::Document::setOrphaned$
    {38, 978, 386},	// KTextEditor::Document::setSuppressOpeningErrorDialogs$
    {38, 980, 353},	// KTextEditor::Document::setText$
    {38, 981, 354},	// KTextEditor::Document::setText?
    {38, 1015, 339},	// KTextEditor::Document::startEditing
    {38, 1017, 404},	// KTextEditor::Document::staticMetaObject
    {38, 1024, 387},	// KTextEditor::Document::suppressOpeningErrorDialogs
    {38, 1026, 341},	// KTextEditor::Document::text
    {38, 1027, 397},	// KTextEditor::Document::text#
    {38, 1028, 342},	// KTextEditor::Document::text#$
    {38, 1031, 365},	// KTextEditor::Document::textChanged#
    {38, 1032, 369},	// KTextEditor::Document::textChanged###
    {38, 1033, 370},	// KTextEditor::Document::textChanged##$#
    {38, 1035, 366},	// KTextEditor::Document::textInserted##
    {38, 1038, 398},	// KTextEditor::Document::textLines#
    {38, 1039, 344},	// KTextEditor::Document::textLines#$
    {38, 1041, 367},	// KTextEditor::Document::textRemoved##
    {38, 1042, 368},	// KTextEditor::Document::textRemoved##$
    {38, 1047, 349},	// KTextEditor::Document::totalCharacters
    {38, 1049, 394},	// KTextEditor::Document::tr$
    {38, 1050, 317},	// KTextEditor::Document::tr$$
    {38, 1051, 319},	// KTextEditor::Document::tr$$$
    {38, 1053, 395},	// KTextEditor::Document::trUtf8$
    {38, 1054, 318},	// KTextEditor::Document::trUtf8$$
    {38, 1055, 320},	// KTextEditor::Document::trUtf8$$$
    {38, 1079, 327},	// KTextEditor::Document::viewCreated##
    {38, 1088, 326},	// KTextEditor::Document::views
    {38, 1127, 405},	// KTextEditor::Document::~Document
    {39, 74, 413},	// KTextEditor::Editor::Editor#
    {39, 237, 418},	// KTextEditor::Editor::aboutData
    {39, 359, 424},	// KTextEditor::Editor::configDialog#
    {39, 360, 423},	// KTextEditor::Editor::configDialogSupported
    {39, 363, 426},	// KTextEditor::Editor::configPage$#
    {39, 365, 428},	// KTextEditor::Editor::configPageFullName$
    {39, 367, 429},	// KTextEditor::Editor::configPageIcon$
    {39, 369, 427},	// KTextEditor::Editor::configPageName$
    {39, 370, 425},	// KTextEditor::Editor::configPages
    {39, 391, 416},	// KTextEditor::Editor::createDocument#
    {39, 422, 419},	// KTextEditor::Editor::defaultEncoding
    {39, 444, 430},	// KTextEditor::Editor::documentCreated##
    {39, 458, 417},	// KTextEditor::Editor::documents
    {39, 669, 406},	// KTextEditor::Editor::metaObject
    {39, 769, 412},	// KTextEditor::Editor::qt_metacall$$?
    {39, 771, 407},	// KTextEditor::Editor::qt_metacast$
    {39, 791, 433},	// KTextEditor::Editor::readConfig
    {39, 792, 421},	// KTextEditor::Editor::readConfig#
    {39, 895, 420},	// KTextEditor::Editor::setDefaultEncoding$
    {39, 974, 414},	// KTextEditor::Editor::setSimpleMode$
    {39, 1002, 415},	// KTextEditor::Editor::simpleMode
    {39, 1017, 435},	// KTextEditor::Editor::staticMetaObject
    {39, 1049, 431},	// KTextEditor::Editor::tr$
    {39, 1050, 408},	// KTextEditor::Editor::tr$$
    {39, 1051, 410},	// KTextEditor::Editor::tr$$$
    {39, 1053, 432},	// KTextEditor::Editor::trUtf8$
    {39, 1054, 409},	// KTextEditor::Editor::trUtf8$$
    {39, 1055, 411},	// KTextEditor::Editor::trUtf8$$$
    {39, 1101, 434},	// KTextEditor::Editor::writeConfig
    {39, 1102, 422},	// KTextEditor::Editor::writeConfig#
    {39, 1128, 436},	// KTextEditor::Editor::~Editor
    {40, 75, 451},	// KTextEditor::EditorChooser::EditorChooser
    {40, 76, 444},	// KTextEditor::EditorChooser::EditorChooser#
    {40, 304, 448},	// KTextEditor::EditorChooser::changed
    {40, 482, 454},	// KTextEditor::EditorChooser::editor
    {40, 483, 455},	// KTextEditor::EditorChooser::editor$
    {40, 484, 447},	// KTextEditor::EditorChooser::editor$$
    {40, 669, 437},	// KTextEditor::EditorChooser::metaObject
    {40, 769, 443},	// KTextEditor::EditorChooser::qt_metacall$$?
    {40, 771, 438},	// KTextEditor::EditorChooser::qt_metacast$
    {40, 789, 452},	// KTextEditor::EditorChooser::readAppSetting
    {40, 790, 445},	// KTextEditor::EditorChooser::readAppSetting$
    {40, 1017, 456},	// KTextEditor::EditorChooser::staticMetaObject
    {40, 1049, 449},	// KTextEditor::EditorChooser::tr$
    {40, 1050, 439},	// KTextEditor::EditorChooser::tr$$
    {40, 1051, 441},	// KTextEditor::EditorChooser::tr$$$
    {40, 1053, 450},	// KTextEditor::EditorChooser::trUtf8$
    {40, 1054, 440},	// KTextEditor::EditorChooser::trUtf8$$
    {40, 1055, 442},	// KTextEditor::EditorChooser::trUtf8$$$
    {40, 1099, 453},	// KTextEditor::EditorChooser::writeAppSetting
    {40, 1100, 446},	// KTextEditor::EditorChooser::writeAppSetting$
    {40, 1129, 457},	// KTextEditor::EditorChooser::~EditorChooser
    {41, 89, 465},	// KTextEditor::Factory::Factory#
    {41, 482, 466},	// KTextEditor::Factory::editor
    {41, 669, 458},	// KTextEditor::Factory::metaObject
    {41, 769, 464},	// KTextEditor::Factory::qt_metacall$$?
    {41, 771, 459},	// KTextEditor::Factory::qt_metacast$
    {41, 1017, 469},	// KTextEditor::Factory::staticMetaObject
    {41, 1049, 467},	// KTextEditor::Factory::tr$
    {41, 1050, 460},	// KTextEditor::Factory::tr$$
    {41, 1051, 462},	// KTextEditor::Factory::tr$$$
    {41, 1053, 468},	// KTextEditor::Factory::trUtf8$
    {41, 1054, 461},	// KTextEditor::Factory::trUtf8$$
    {41, 1055, 463},	// KTextEditor::Factory::trUtf8$$$
    {41, 1130, 470},	// KTextEditor::Factory::~Factory
    {42, 96, 471},	// KTextEditor::HighlightInterface::HighlightInterface
    {42, 97, 476},	// KTextEditor::HighlightInterface::HighlightInterface#
    {42, 424, 472},	// KTextEditor::HighlightInterface::defaultStyle$
    {42, 465, 487},	// KTextEditor::HighlightInterface::dsAlert
    {42, 466, 481},	// KTextEditor::HighlightInterface::dsBaseN
    {42, 467, 483},	// KTextEditor::HighlightInterface::dsChar
    {42, 468, 485},	// KTextEditor::HighlightInterface::dsComment
    {42, 469, 479},	// KTextEditor::HighlightInterface::dsDataType
    {42, 470, 480},	// KTextEditor::HighlightInterface::dsDecVal
    {42, 471, 490},	// KTextEditor::HighlightInterface::dsError
    {42, 472, 482},	// KTextEditor::HighlightInterface::dsFloat
    {42, 473, 488},	// KTextEditor::HighlightInterface::dsFunction
    {42, 474, 478},	// KTextEditor::HighlightInterface::dsKeyword
    {42, 475, 477},	// KTextEditor::HighlightInterface::dsNormal
    {42, 476, 486},	// KTextEditor::HighlightInterface::dsOthers
    {42, 477, 489},	// KTextEditor::HighlightInterface::dsRegionMarker
    {42, 478, 484},	// KTextEditor::HighlightInterface::dsString
    {42, 487, 474},	// KTextEditor::HighlightInterface::embeddedHighlightingModes
    {42, 554, 475},	// KTextEditor::HighlightInterface::highlightingModeAt#
    {42, 611, 473},	// KTextEditor::HighlightInterface::lineAttributes$
    {42, 1131, 491},	// KTextEditor::HighlightInterface::~HighlightInterface
    {43, 16, 493},	// KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock#
    {43, 17, 492},	// KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock$$?
    {43, 286, 498},	// KTextEditor::HighlightInterface::AttributeBlock::attribute
    {43, 607, 496},	// KTextEditor::HighlightInterface::AttributeBlock::length
    {43, 868, 499},	// KTextEditor::HighlightInterface::AttributeBlock::setAttribute?
    {43, 915, 497},	// KTextEditor::HighlightInterface::AttributeBlock::setLength$
    {43, 976, 495},	// KTextEditor::HighlightInterface::AttributeBlock::setStart$
    {43, 1012, 494},	// KTextEditor::HighlightInterface::AttributeBlock::start
    {43, 1113, 500},	// KTextEditor::HighlightInterface::AttributeBlock::~AttributeBlock
    {44, 134, 508},	// KTextEditor::LoadSaveFilterCheckPlugin::LoadSaveFilterCheckPlugin#
    {44, 669, 501},	// KTextEditor::LoadSaveFilterCheckPlugin::metaObject
    {44, 760, 511},	// KTextEditor::LoadSaveFilterCheckPlugin::postLoadFilter#
    {44, 762, 510},	// KTextEditor::LoadSaveFilterCheckPlugin::postSaveFilterCheck#$
    {44, 764, 509},	// KTextEditor::LoadSaveFilterCheckPlugin::preSavePostDialogFilterCheck#
    {44, 769, 507},	// KTextEditor::LoadSaveFilterCheckPlugin::qt_metacall$$?
    {44, 771, 502},	// KTextEditor::LoadSaveFilterCheckPlugin::qt_metacast$
    {44, 1017, 514},	// KTextEditor::LoadSaveFilterCheckPlugin::staticMetaObject
    {44, 1049, 512},	// KTextEditor::LoadSaveFilterCheckPlugin::tr$
    {44, 1050, 503},	// KTextEditor::LoadSaveFilterCheckPlugin::tr$$
    {44, 1051, 505},	// KTextEditor::LoadSaveFilterCheckPlugin::tr$$$
    {44, 1053, 513},	// KTextEditor::LoadSaveFilterCheckPlugin::trUtf8$
    {44, 1054, 504},	// KTextEditor::LoadSaveFilterCheckPlugin::trUtf8$$
    {44, 1055, 506},	// KTextEditor::LoadSaveFilterCheckPlugin::trUtf8$$$
    {44, 1132, 515},	// KTextEditor::LoadSaveFilterCheckPlugin::~LoadSaveFilterCheckPlugin
    {45, 137, 516},	// KTextEditor::Mark::Mark
    {45, 138, 517},	// KTextEditor::Mark::Mark#
    {45, 608, 518},	// KTextEditor::Mark::line
    {45, 917, 519},	// KTextEditor::Mark::setLine$
    {45, 983, 521},	// KTextEditor::Mark::setType$
    {45, 1059, 520},	// KTextEditor::Mark::type
    {45, 1133, 522},	// KTextEditor::Mark::~Mark
    {46, 24, 573},	// KTextEditor::MarkInterface::Bookmark
    {46, 26, 574},	// KTextEditor::MarkInterface::BreakpointActive
    {46, 27, 576},	// KTextEditor::MarkInterface::BreakpointDisabled
    {46, 28, 575},	// KTextEditor::MarkInterface::BreakpointReached
    {46, 83, 579},	// KTextEditor::MarkInterface::Error
    {46, 84, 577},	// KTextEditor::MarkInterface::Execution
    {46, 139, 580},	// KTextEditor::MarkInterface::MarkAdded
    {46, 140, 523},	// KTextEditor::MarkInterface::MarkInterface
    {46, 141, 540},	// KTextEditor::MarkInterface::MarkInterface#
    {46, 142, 581},	// KTextEditor::MarkInterface::MarkRemoved
    {46, 233, 578},	// KTextEditor::MarkInterface::Warning
    {46, 259, 527},	// KTextEditor::MarkInterface::addMark$$
    {46, 329, 526},	// KTextEditor::MarkInterface::clearMark$
    {46, 330, 530},	// KTextEditor::MarkInterface::clearMarks
    {46, 481, 538},	// KTextEditor::MarkInterface::editableMarks
    {46, 624, 524},	// KTextEditor::MarkInterface::mark$
    {46, 626, 539},	// KTextEditor::MarkInterface::markChanged##$
    {46, 628, 536},	// KTextEditor::MarkInterface::markDescription$
    {46, 630, 534},	// KTextEditor::MarkInterface::markPixmap$
    {46, 631, 541},	// KTextEditor::MarkInterface::markType01
    {46, 632, 542},	// KTextEditor::MarkInterface::markType02
    {46, 633, 543},	// KTextEditor::MarkInterface::markType03
    {46, 634, 544},	// KTextEditor::MarkInterface::markType04
    {46, 635, 545},	// KTextEditor::MarkInterface::markType05
    {46, 636, 546},	// KTextEditor::MarkInterface::markType06
    {46, 637, 547},	// KTextEditor::MarkInterface::markType07
    {46, 638, 548},	// KTextEditor::MarkInterface::markType08
    {46, 639, 549},	// KTextEditor::MarkInterface::markType09
    {46, 640, 550},	// KTextEditor::MarkInterface::markType10
    {46, 641, 551},	// KTextEditor::MarkInterface::markType11
    {46, 642, 552},	// KTextEditor::MarkInterface::markType12
    {46, 643, 553},	// KTextEditor::MarkInterface::markType13
    {46, 644, 554},	// KTextEditor::MarkInterface::markType14
    {46, 645, 555},	// KTextEditor::MarkInterface::markType15
    {46, 646, 556},	// KTextEditor::MarkInterface::markType16
    {46, 647, 557},	// KTextEditor::MarkInterface::markType17
    {46, 648, 558},	// KTextEditor::MarkInterface::markType18
    {46, 649, 559},	// KTextEditor::MarkInterface::markType19
    {46, 650, 560},	// KTextEditor::MarkInterface::markType20
    {46, 651, 561},	// KTextEditor::MarkInterface::markType21
    {46, 652, 562},	// KTextEditor::MarkInterface::markType22
    {46, 653, 563},	// KTextEditor::MarkInterface::markType23
    {46, 654, 564},	// KTextEditor::MarkInterface::markType24
    {46, 655, 565},	// KTextEditor::MarkInterface::markType25
    {46, 656, 566},	// KTextEditor::MarkInterface::markType26
    {46, 657, 567},	// KTextEditor::MarkInterface::markType27
    {46, 658, 568},	// KTextEditor::MarkInterface::markType28
    {46, 659, 569},	// KTextEditor::MarkInterface::markType29
    {46, 660, 570},	// KTextEditor::MarkInterface::markType30
    {46, 661, 571},	// KTextEditor::MarkInterface::markType31
    {46, 662, 572},	// KTextEditor::MarkInterface::markType32
    {46, 663, 529},	// KTextEditor::MarkInterface::marks
    {46, 665, 532},	// KTextEditor::MarkInterface::marksChanged#
    {46, 820, 528},	// KTextEditor::MarkInterface::removeMark$$
    {46, 841, 531},	// KTextEditor::MarkInterface::reservedMarkersCount
    {46, 899, 537},	// KTextEditor::MarkInterface::setEditableMarks$
    {46, 931, 525},	// KTextEditor::MarkInterface::setMark$$
    {46, 933, 535},	// KTextEditor::MarkInterface::setMarkDescription$$
    {46, 935, 533},	// KTextEditor::MarkInterface::setMarkPixmap$#
    {46, 1134, 582},	// KTextEditor::MarkInterface::~MarkInterface
    {47, 144, 583},	// KTextEditor::MdiContainer::MdiContainer
    {47, 145, 590},	// KTextEditor::MdiContainer::MdiContainer#
    {47, 245, 585},	// KTextEditor::MdiContainer::activeView
    {47, 339, 587},	// KTextEditor::MdiContainer::closeDocument#
    {47, 343, 589},	// KTextEditor::MdiContainer::closeView#
    {47, 390, 586},	// KTextEditor::MdiContainer::createDocument
    {47, 398, 588},	// KTextEditor::MdiContainer::createView#
    {47, 862, 584},	// KTextEditor::MdiContainer::setActiveView#
    {47, 1135, 591},	// KTextEditor::MdiContainer::~MdiContainer
    {48, 146, 592},	// KTextEditor::ModificationInterface::ModificationInterface
    {48, 147, 597},	// KTextEditor::ModificationInterface::ModificationInterface#
    {48, 155, 601},	// KTextEditor::ModificationInterface::OnDiskCreated
    {48, 156, 602},	// KTextEditor::ModificationInterface::OnDiskDeleted
    {48, 157, 600},	// KTextEditor::ModificationInterface::OnDiskModified
    {48, 158, 599},	// KTextEditor::ModificationInterface::OnDiskUnmodified
    {48, 684, 596},	// KTextEditor::ModificationInterface::modifiedOnDisk#$$
    {48, 940, 593},	// KTextEditor::ModificationInterface::setModifiedOnDisk$
    {48, 942, 594},	// KTextEditor::ModificationInterface::setModifiedOnDiskWarning$
    {48, 1004, 598},	// KTextEditor::ModificationInterface::slotModifiedOnDisk
    {48, 1005, 595},	// KTextEditor::ModificationInterface::slotModifiedOnDisk#
    {48, 1136, 603},	// KTextEditor::ModificationInterface::~ModificationInterface
    {49, 161, 604},	// KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface
    {49, 162, 607},	// KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface#
    {49, 189, 612},	// KTextEditor::ParameterizedSessionConfigInterface::SkipEncoding
    {49, 190, 613},	// KTextEditor::ParameterizedSessionConfigInterface::SkipFolding
    {49, 191, 611},	// KTextEditor::ParameterizedSessionConfigInterface::SkipHighlighting
    {49, 192, 610},	// KTextEditor::ParameterizedSessionConfigInterface::SkipMode
    {49, 193, 608},	// KTextEditor::ParameterizedSessionConfigInterface::SkipNone
    {49, 194, 609},	// KTextEditor::ParameterizedSessionConfigInterface::SkipUrl
    {49, 794, 605},	// KTextEditor::ParameterizedSessionConfigInterface::readParameterizedSessionConfig#$
    {49, 1104, 606},	// KTextEditor::ParameterizedSessionConfigInterface::writeParameterizedSessionConfig#$
    {49, 1137, 614},	// KTextEditor::ParameterizedSessionConfigInterface::~ParameterizedSessionConfigInterface
    {50, 164, 622},	// KTextEditor::Plugin::Plugin#
    {50, 251, 623},	// KTextEditor::Plugin::addDocument#
    {50, 263, 625},	// KTextEditor::Plugin::addView#
    {50, 669, 615},	// KTextEditor::Plugin::metaObject
    {50, 769, 621},	// KTextEditor::Plugin::qt_metacall$$?
    {50, 771, 616},	// KTextEditor::Plugin::qt_metacast$
    {50, 812, 624},	// KTextEditor::Plugin::removeDocument#
    {50, 831, 626},	// KTextEditor::Plugin::removeView#
    {50, 1017, 629},	// KTextEditor::Plugin::staticMetaObject
    {50, 1049, 627},	// KTextEditor::Plugin::tr$
    {50, 1050, 617},	// KTextEditor::Plugin::tr$$
    {50, 1051, 619},	// KTextEditor::Plugin::tr$$$
    {50, 1053, 628},	// KTextEditor::Plugin::trUtf8$
    {50, 1054, 618},	// KTextEditor::Plugin::trUtf8$$
    {50, 1055, 620},	// KTextEditor::Plugin::trUtf8$$$
    {50, 1138, 630},	// KTextEditor::Plugin::~Plugin
    {51, 170, 631},	// KTextEditor::Range::Range
    {51, 171, 636},	// KTextEditor::Range::Range#
    {51, 172, -17},	// KTextEditor::Range::Range##
    {51, 173, 633},	// KTextEditor::Range::Range#$
    {51, 174, 634},	// KTextEditor::Range::Range#$$
    {51, 175, 635},	// KTextEditor::Range::Range$$$$
    {51, 294, 664},	// KTextEditor::Range::boundaryAtCursor#
    {51, 296, 665},	// KTextEditor::Range::boundaryOnLine$
    {51, 348, 653},	// KTextEditor::Range::columnWidth
    {51, 374, 650},	// KTextEditor::Range::confineToRange#
    {51, 378, -20},	// KTextEditor::Range::contains#
    {51, 380, 658},	// KTextEditor::Range::containsColumn$
    {51, 382, 657},	// KTextEditor::Range::containsLine$
    {51, 493, 667},	// KTextEditor::Range::encompass#
    {51, 494, -23},	// KTextEditor::Range::end
    {51, 515, 649},	// KTextEditor::Range::expandToRange#
    {51, 590, 666},	// KTextEditor::Range::intersect#
    {51, 591, 638},	// KTextEditor::Range::invalid
    {51, 596, 654},	// KTextEditor::Range::isEmpty
    {51, 599, 639},	// KTextEditor::Range::isSmartRange
    {51, 600, 637},	// KTextEditor::Range::isValid
    {51, 619, 673},	// KTextEditor::Range::m_end
    {51, 622, 671},	// KTextEditor::Range::m_start
    {51, 717, 652},	// KTextEditor::Range::numberOfLines
    {51, 718, 651},	// KTextEditor::Range::onSingleLine
    {51, 726, 668},	// KTextEditor::Range::operator=#
    {51, 733, 659},	// KTextEditor::Range::overlaps#
    {51, 735, 661},	// KTextEditor::Range::overlapsColumn$
    {51, 737, 660},	// KTextEditor::Range::overlapsLine$
    {51, 756, 662},	// KTextEditor::Range::positionRelativeToCursor#
    {51, 758, 663},	// KTextEditor::Range::positionRelativeToLine$
    {51, 779, 670},	// KTextEditor::Range::rangeChanged##
    {51, 876, 646},	// KTextEditor::Range::setBothColumns$
    {51, 878, 645},	// KTextEditor::Range::setBothLines$
    {51, 922, 674},	// KTextEditor::Range::setM_end#
    {51, 928, 672},	// KTextEditor::Range::setM_start#
    {51, 959, 647},	// KTextEditor::Range::setRange#
    {51, 960, 648},	// KTextEditor::Range::setRange##
    {51, 1012, -26},	// KTextEditor::Range::start
    {51, 1045, 640},	// KTextEditor::Range::toSmartRange
    {51, 1139, 675},	// KTextEditor::Range::~Range
    {52, 176, 678},	// KTextEditor::RangeCommand::RangeCommand
    {52, 177, 679},	// KTextEditor::RangeCommand::RangeCommand#
    {52, 507, 676},	// KTextEditor::RangeCommand::exec#$$#
    {52, 1023, 677},	// KTextEditor::RangeCommand::supportsRange$
    {52, 1140, 680},	// KTextEditor::RangeCommand::~RangeCommand
    {53, 181, 681},	// KTextEditor::SearchInterface::SearchInterface
    {53, 182, 684},	// KTextEditor::SearchInterface::SearchInterface#
    {53, 852, 685},	// KTextEditor::SearchInterface::searchText#$
    {53, 853, 682},	// KTextEditor::SearchInterface::searchText#$$
    {53, 1021, 683},	// KTextEditor::SearchInterface::supportedSearchOptions
    {53, 1141, 686},	// KTextEditor::SearchInterface::~SearchInterface
    {54, 185, 687},	// KTextEditor::SessionConfigInterface::SessionConfigInterface
    {54, 186, 690},	// KTextEditor::SessionConfigInterface::SessionConfigInterface#
    {54, 796, 688},	// KTextEditor::SessionConfigInterface::readSessionConfig#
    {54, 1106, 689},	// KTextEditor::SessionConfigInterface::writeSessionConfig#
    {54, 1142, 691},	// KTextEditor::SessionConfigInterface::~SessionConfigInterface
    {55, 29, 714},	// KTextEditor::SmartCursor::ByCharacter
    {55, 30, 715},	// KTextEditor::SmartCursor::ByCursorPosition
    {55, 148, 717},	// KTextEditor::SmartCursor::MoveOnInsert
    {55, 197, 710},	// KTextEditor::SmartCursor::SmartCursor##$
    {55, 213, 716},	// KTextEditor::SmartCursor::StayOnInsert
    {55, 269, 712},	// KTextEditor::SmartCursor::advance$
    {55, 270, 701},	// KTextEditor::SmartCursor::advance$$
    {55, 282, 697},	// KTextEditor::SmartCursor::atEndOfDocument
    {55, 283, 696},	// KTextEditor::SmartCursor::atEndOfLine
    {55, 305, 699},	// KTextEditor::SmartCursor::character
    {55, 428, 706},	// KTextEditor::SmartCursor::deleteNotifier
    {55, 441, 695},	// KTextEditor::SmartCursor::document
    {55, 542, 704},	// KTextEditor::SmartCursor::hasNotifier
    {55, 570, 702},	// KTextEditor::SmartCursor::insertBehavior
    {55, 587, 711},	// KTextEditor::SmartCursor::insertText?
    {55, 588, 700},	// KTextEditor::SmartCursor::insertText?$
    {55, 598, 692},	// KTextEditor::SmartCursor::isSmartCursor
    {55, 600, 698},	// KTextEditor::SmartCursor::isValid
    {55, 715, 705},	// KTextEditor::SmartCursor::notifier
    {55, 726, 709},	// KTextEditor::SmartCursor::operator=#
    {55, 912, 703},	// KTextEditor::SmartCursor::setInsertBehavior$
    {55, 987, 713},	// KTextEditor::SmartCursor::setWatcher
    {55, 988, 708},	// KTextEditor::SmartCursor::setWatcher#
    {55, 1008, 694},	// KTextEditor::SmartCursor::smartRange
    {55, 1044, 693},	// KTextEditor::SmartCursor::toSmartCursor
    {55, 1094, 707},	// KTextEditor::SmartCursor::watcher
    {55, 1143, 718},	// KTextEditor::SmartCursor::~SmartCursor
    {56, 198, 726},	// KTextEditor::SmartCursorNotifier::SmartCursorNotifier
    {56, 308, 731},	// KTextEditor::SmartCursorNotifier::characterDeleted#$
    {56, 310, 732},	// KTextEditor::SmartCursorNotifier::characterInserted#$
    {56, 434, 733},	// KTextEditor::SmartCursorNotifier::deleted#
    {56, 669, 719},	// KTextEditor::SmartCursorNotifier::metaObject
    {56, 752, 729},	// KTextEditor::SmartCursorNotifier::positionChanged#
    {56, 754, 730},	// KTextEditor::SmartCursorNotifier::positionDeleted#
    {56, 769, 725},	// KTextEditor::SmartCursorNotifier::qt_metacall$$?
    {56, 771, 720},	// KTextEditor::SmartCursorNotifier::qt_metacast$
    {56, 986, 728},	// KTextEditor::SmartCursorNotifier::setWantsDirectChanges$
    {56, 1017, 736},	// KTextEditor::SmartCursorNotifier::staticMetaObject
    {56, 1049, 734},	// KTextEditor::SmartCursorNotifier::tr$
    {56, 1050, 721},	// KTextEditor::SmartCursorNotifier::tr$$
    {56, 1051, 723},	// KTextEditor::SmartCursorNotifier::tr$$$
    {56, 1053, 735},	// KTextEditor::SmartCursorNotifier::trUtf8$
    {56, 1054, 722},	// KTextEditor::SmartCursorNotifier::trUtf8$$
    {56, 1055, 724},	// KTextEditor::SmartCursorNotifier::trUtf8$$$
    {56, 1091, 727},	// KTextEditor::SmartCursorNotifier::wantsDirectChanges
    {56, 1144, 737},	// KTextEditor::SmartCursorNotifier::~SmartCursorNotifier
    {57, 199, 738},	// KTextEditor::SmartCursorWatcher::SmartCursorWatcher
    {57, 200, 746},	// KTextEditor::SmartCursorWatcher::SmartCursorWatcher#
    {57, 308, 743},	// KTextEditor::SmartCursorWatcher::characterDeleted#$
    {57, 310, 744},	// KTextEditor::SmartCursorWatcher::characterInserted#$
    {57, 434, 745},	// KTextEditor::SmartCursorWatcher::deleted#
    {57, 752, 741},	// KTextEditor::SmartCursorWatcher::positionChanged#
    {57, 754, 742},	// KTextEditor::SmartCursorWatcher::positionDeleted#
    {57, 986, 740},	// KTextEditor::SmartCursorWatcher::setWantsDirectChanges$
    {57, 1091, 739},	// KTextEditor::SmartCursorWatcher::wantsDirectChanges
    {57, 1145, 747},	// KTextEditor::SmartCursorWatcher::~SmartCursorWatcher
    {58, 201, 748},	// KTextEditor::SmartInterface::SmartInterface
    {58, 202, 786},	// KTextEditor::SmartInterface::SmartInterface#
    {58, 247, 776},	// KTextEditor::SmartInterface::addActionsToDocument#
    {58, 249, 780},	// KTextEditor::SmartInterface::addActionsToView##
    {58, 253, 801},	// KTextEditor::SmartInterface::addHighlightToDocument#
    {58, 254, 768},	// KTextEditor::SmartInterface::addHighlightToDocument#$
    {58, 256, 802},	// KTextEditor::SmartInterface::addHighlightToView##
    {58, 257, 772},	// KTextEditor::SmartInterface::addHighlightToView##$
    {58, 288, 784},	// KTextEditor::SmartInterface::attributeDynamic?
    {58, 290, 785},	// KTextEditor::SmartInterface::attributeNotDynamic?
    {58, 326, 779},	// KTextEditor::SmartInterface::clearDocumentActions
    {58, 327, 771},	// KTextEditor::SmartInterface::clearDocumentHighlights
    {58, 331, 751},	// KTextEditor::SmartInterface::clearOnDocumentReload
    {58, 332, 756},	// KTextEditor::SmartInterface::clearRevision
    {58, 333, 750},	// KTextEditor::SmartInterface::clearSmartInterface
    {58, 335, 783},	// KTextEditor::SmartInterface::clearViewActions#
    {58, 337, 775},	// KTextEditor::SmartInterface::clearViewHighlights#
    {58, 399, 753},	// KTextEditor::SmartInterface::currentRevision
    {58, 427, 761},	// KTextEditor::SmartInterface::deleteCursors
    {58, 430, 767},	// KTextEditor::SmartInterface::deleteRanges
    {58, 442, 778},	// KTextEditor::SmartInterface::documentActions
    {58, 446, 770},	// KTextEditor::SmartInterface::documentHighlights
    {58, 701, 789},	// KTextEditor::SmartInterface::newSmartCursor
    {58, 702, 790},	// KTextEditor::SmartInterface::newSmartCursor#
    {58, 703, 759},	// KTextEditor::SmartInterface::newSmartCursor#$
    {58, 704, 791},	// KTextEditor::SmartInterface::newSmartCursor$$
    {58, 705, 760},	// KTextEditor::SmartInterface::newSmartCursor$$$
    {58, 706, 792},	// KTextEditor::SmartInterface::newSmartRange
    {58, 707, 793},	// KTextEditor::SmartInterface::newSmartRange#
    {58, 708, -1},	// KTextEditor::SmartInterface::newSmartRange##
    {58, 709, -5},	// KTextEditor::SmartInterface::newSmartRange###
    {58, 710, -8},	// KTextEditor::SmartInterface::newSmartRange###$
    {58, 711, 762},	// KTextEditor::SmartInterface::newSmartRange##$
    {58, 712, 797},	// KTextEditor::SmartInterface::newSmartRange$$$$
    {58, 713, 798},	// KTextEditor::SmartInterface::newSmartRange$$$$#
    {58, 714, 764},	// KTextEditor::SmartInterface::newSmartRange$$$$#$
    {58, 803, 754},	// KTextEditor::SmartInterface::releaseRevision$
    {58, 807, 777},	// KTextEditor::SmartInterface::removeActionsFromDocument#
    {58, 809, 781},	// KTextEditor::SmartInterface::removeActionsFromView##
    {58, 814, 769},	// KTextEditor::SmartInterface::removeHighlightFromDocument#
    {58, 816, 773},	// KTextEditor::SmartInterface::removeHighlightFromView##
    {58, 880, 752},	// KTextEditor::SmartInterface::setClearOnDocumentReload$
    {58, 1007, 749},	// KTextEditor::SmartInterface::smartMutex
    {58, 1057, -11},	// KTextEditor::SmartInterface::translateFromRevision#
    {58, 1058, -14},	// KTextEditor::SmartInterface::translateFromRevision#$
    {58, 1061, 766},	// KTextEditor::SmartInterface::unbindSmartRange#
    {58, 1069, 755},	// KTextEditor::SmartInterface::useRevision$
    {58, 1077, 782},	// KTextEditor::SmartInterface::viewActions#
    {58, 1084, 774},	// KTextEditor::SmartInterface::viewHighlights#
    {58, 1146, 803},	// KTextEditor::SmartInterface::~SmartInterface
    {59, 64, 863},	// KTextEditor::SmartRange::DoNotExpand
    {59, 85, 864},	// KTextEditor::SmartRange::ExpandLeft
    {59, 86, 865},	// KTextEditor::SmartRange::ExpandRight
    {59, 204, 861},	// KTextEditor::SmartRange::SmartRange##
    {59, 205, 862},	// KTextEditor::SmartRange::SmartRange###
    {59, 206, 851},	// KTextEditor::SmartRange::SmartRange###$
    {59, 261, 843},	// KTextEditor::SmartRange::addNotifier#
    {59, 267, 847},	// KTextEditor::SmartRange::addWatcher#
    {59, 280, 837},	// KTextEditor::SmartRange::associateAction#
    {59, 281, 839},	// KTextEditor::SmartRange::associatedActions
    {59, 286, 835},	// KTextEditor::SmartRange::attribute
    {59, 311, 853},	// KTextEditor::SmartRange::checkFeedback
    {59, 313, 829},	// KTextEditor::SmartRange::childAfter#
    {59, 315, 828},	// KTextEditor::SmartRange::childBefore#
    {59, 321, 824},	// KTextEditor::SmartRange::childRanges
    {59, 323, 827},	// KTextEditor::SmartRange::clearAndDeleteChildRanges
    {59, 324, 840},	// KTextEditor::SmartRange::clearAssociatedActions
    {59, 325, 825},	// KTextEditor::SmartRange::clearChildRanges
    {59, 374, 811},	// KTextEditor::SmartRange::confineToRange#
    {59, 392, 854},	// KTextEditor::SmartRange::createNotifier
    {59, 415, 859},	// KTextEditor::SmartRange::deepestRangeContaining#
    {59, 416, 860},	// KTextEditor::SmartRange::deepestRangeContaining#?
    {59, 417, 832},	// KTextEditor::SmartRange::deepestRangeContaining#??
    {59, 419, 833},	// KTextEditor::SmartRange::deepestRangesContaining#
    {59, 426, 826},	// KTextEditor::SmartRange::deleteChildRanges
    {59, 429, 845},	// KTextEditor::SmartRange::deletePrimaryNotifier
    {59, 435, 822},	// KTextEditor::SmartRange::depth
    {59, 440, 838},	// KTextEditor::SmartRange::dissociateAction#
    {59, 441, 813},	// KTextEditor::SmartRange::document
    {59, 515, 812},	// KTextEditor::SmartRange::expandToRange#
    {59, 520, 831},	// KTextEditor::SmartRange::firstRangeContaining#
    {59, 544, 821},	// KTextEditor::SmartRange::hasParent#
    {59, 570, 817},	// KTextEditor::SmartRange::insertBehavior
    {59, 599, 804},	// KTextEditor::SmartRange::isSmartRange
    {59, 686, 830},	// KTextEditor::SmartRange::mostSpecificRange#
    {59, 716, 842},	// KTextEditor::SmartRange::notifiers
    {59, 726, -43},	// KTextEditor::SmartRange::operator=#
    {59, 731, 834},	// KTextEditor::SmartRange::overlapCount
    {59, 743, 819},	// KTextEditor::SmartRange::parentRange
    {59, 765, 841},	// KTextEditor::SmartRange::primaryNotifier
    {59, 779, 852},	// KTextEditor::SmartRange::rangeChanged##
    {59, 797, 855},	// KTextEditor::SmartRange::rebuildChildStructure
    {59, 822, 844},	// KTextEditor::SmartRange::removeNotifier#
    {59, 826, 858},	// KTextEditor::SmartRange::removeText
    {59, 829, 816},	// KTextEditor::SmartRange::removeText$
    {59, 833, 848},	// KTextEditor::SmartRange::removeWatcher#
    {59, 839, 857},	// KTextEditor::SmartRange::replaceText?
    {59, 840, 815},	// KTextEditor::SmartRange::replaceText?$
    {59, 868, 836},	// KTextEditor::SmartRange::setAttribute?
    {59, 912, 818},	// KTextEditor::SmartRange::setInsertBehavior$
    {59, 954, 820},	// KTextEditor::SmartRange::setParentRange#
    {59, 959, 806},	// KTextEditor::SmartRange::setRange#
    {59, 1006, -46},	// KTextEditor::SmartRange::smartEnd
    {59, 1009, -49},	// KTextEditor::SmartRange::smartStart
    {59, 1026, 856},	// KTextEditor::SmartRange::text
    {59, 1029, 814},	// KTextEditor::SmartRange::text$
    {59, 1045, 805},	// KTextEditor::SmartRange::toSmartRange
    {59, 1046, 823},	// KTextEditor::SmartRange::topParentRange
    {59, 1095, 846},	// KTextEditor::SmartRange::watchers
    {59, 1147, 866},	// KTextEditor::SmartRange::~SmartRange
    {60, 207, 874},	// KTextEditor::SmartRangeNotifier::SmartRangeNotifier
    {60, 300, 882},	// KTextEditor::SmartRangeNotifier::caretEnteredRange##
    {60, 302, 883},	// KTextEditor::SmartRangeNotifier::caretExitedRange##
    {60, 318, 887},	// KTextEditor::SmartRangeNotifier::childRangeInserted##
    {60, 320, 888},	// KTextEditor::SmartRangeNotifier::childRangeRemoved##
    {60, 669, 867},	// KTextEditor::SmartRangeNotifier::metaObject
    {60, 689, 880},	// KTextEditor::SmartRangeNotifier::mouseEnteredRange##
    {60, 691, 881},	// KTextEditor::SmartRangeNotifier::mouseExitedRange##
    {60, 745, 886},	// KTextEditor::SmartRangeNotifier::parentRangeChanged###
    {60, 769, 873},	// KTextEditor::SmartRangeNotifier::qt_metacall$$?
    {60, 771, 868},	// KTextEditor::SmartRangeNotifier::qt_metacast$
    {60, 777, 889},	// KTextEditor::SmartRangeNotifier::rangeAttributeChanged#??
    {60, 781, 878},	// KTextEditor::SmartRangeNotifier::rangeContentsChanged#
    {60, 782, 879},	// KTextEditor::SmartRangeNotifier::rangeContentsChanged##
    {60, 784, 885},	// KTextEditor::SmartRangeNotifier::rangeDeleted#
    {60, 786, 884},	// KTextEditor::SmartRangeNotifier::rangeEliminated#
    {60, 788, 877},	// KTextEditor::SmartRangeNotifier::rangePositionChanged#
    {60, 986, 876},	// KTextEditor::SmartRangeNotifier::setWantsDirectChanges$
    {60, 1017, 892},	// KTextEditor::SmartRangeNotifier::staticMetaObject
    {60, 1049, 890},	// KTextEditor::SmartRangeNotifier::tr$
    {60, 1050, 869},	// KTextEditor::SmartRangeNotifier::tr$$
    {60, 1051, 871},	// KTextEditor::SmartRangeNotifier::tr$$$
    {60, 1053, 891},	// KTextEditor::SmartRangeNotifier::trUtf8$
    {60, 1054, 870},	// KTextEditor::SmartRangeNotifier::trUtf8$$
    {60, 1055, 872},	// KTextEditor::SmartRangeNotifier::trUtf8$$$
    {60, 1091, 875},	// KTextEditor::SmartRangeNotifier::wantsDirectChanges
    {60, 1148, 893},	// KTextEditor::SmartRangeNotifier::~SmartRangeNotifier
    {61, 208, 894},	// KTextEditor::SmartRangeWatcher::SmartRangeWatcher
    {61, 209, 910},	// KTextEditor::SmartRangeWatcher::SmartRangeWatcher#
    {61, 300, 902},	// KTextEditor::SmartRangeWatcher::caretEnteredRange##
    {61, 302, 903},	// KTextEditor::SmartRangeWatcher::caretExitedRange##
    {61, 318, 907},	// KTextEditor::SmartRangeWatcher::childRangeInserted##
    {61, 320, 908},	// KTextEditor::SmartRangeWatcher::childRangeRemoved##
    {61, 689, 900},	// KTextEditor::SmartRangeWatcher::mouseEnteredRange##
    {61, 691, 901},	// KTextEditor::SmartRangeWatcher::mouseExitedRange##
    {61, 745, 906},	// KTextEditor::SmartRangeWatcher::parentRangeChanged###
    {61, 777, 909},	// KTextEditor::SmartRangeWatcher::rangeAttributeChanged#??
    {61, 781, 898},	// KTextEditor::SmartRangeWatcher::rangeContentsChanged#
    {61, 782, 899},	// KTextEditor::SmartRangeWatcher::rangeContentsChanged##
    {61, 784, 905},	// KTextEditor::SmartRangeWatcher::rangeDeleted#
    {61, 786, 904},	// KTextEditor::SmartRangeWatcher::rangeEliminated#
    {61, 788, 897},	// KTextEditor::SmartRangeWatcher::rangePositionChanged#
    {61, 986, 896},	// KTextEditor::SmartRangeWatcher::setWantsDirectChanges$
    {61, 1091, 895},	// KTextEditor::SmartRangeWatcher::wantsDirectChanges
    {61, 1149, 911},	// KTextEditor::SmartRangeWatcher::~SmartRangeWatcher
    {62, 126, 916},	// KTextEditor::TemplateInterface::KTE_INTERNAL_setupIntialValues$?
    {62, 216, 912},	// KTextEditor::TemplateInterface::TemplateInterface
    {62, 217, 917},	// KTextEditor::TemplateInterface::TemplateInterface#
    {62, 513, 913},	// KTextEditor::TemplateInterface::expandMacros?#
    {62, 578, 914},	// KTextEditor::TemplateInterface::insertTemplateText#$?
    {62, 580, 915},	// KTextEditor::TemplateInterface::insertTemplateTextImplementation#$?
    {62, 1150, 918},	// KTextEditor::TemplateInterface::~TemplateInterface
    {63, 218, 919},	// KTextEditor::TextHintInterface::TextHintInterface
    {63, 219, 923},	// KTextEditor::TextHintInterface::TextHintInterface#
    {63, 437, 921},	// KTextEditor::TextHintInterface::disableTextHints
    {63, 489, 920},	// KTextEditor::TextHintInterface::enableTextHints$
    {63, 700, 922},	// KTextEditor::TextHintInterface::needTextHint#$
    {63, 1151, 924},	// KTextEditor::TextHintInterface::~TextHintInterface
    {64, 226, 925},	// KTextEditor::VariableInterface::VariableInterface
    {64, 227, 928},	// KTextEditor::VariableInterface::VariableInterface#
    {64, 1071, 926},	// KTextEditor::VariableInterface::variable$
    {64, 1073, 927},	// KTextEditor::VariableInterface::variableChanged#$$
    {64, 1152, 929},	// KTextEditor::VariableInterface::~VariableInterface
    {65, 70, 979},	// KTextEditor::View::EditInsert
    {65, 71, 980},	// KTextEditor::View::EditOverwrite
    {65, 72, 981},	// KTextEditor::View::EditViMode
    {65, 229, 937},	// KTextEditor::View::View#
    {65, 292, 971},	// KTextEditor::View::blockSelection
    {65, 383, 949},	// KTextEditor::View::contextMenu
    {65, 385, 951},	// KTextEditor::View::contextMenuAboutToShow##
    {65, 404, 953},	// KTextEditor::View::cursorPosition
    {65, 406, 957},	// KTextEditor::View::cursorPositionChanged##
    {65, 407, 956},	// KTextEditor::View::cursorPositionCoordinates
    {65, 408, 954},	// KTextEditor::View::cursorPositionVirtual
    {65, 410, 955},	// KTextEditor::View::cursorToCoordinate#
    {65, 420, 976},	// KTextEditor::View::defaultContextMenu
    {65, 421, 950},	// KTextEditor::View::defaultContextMenu#
    {65, 441, 938},	// KTextEditor::View::document
    {65, 525, 942},	// KTextEditor::View::focusIn#
    {65, 529, 943},	// KTextEditor::View::focusOut#
    {65, 562, 959},	// KTextEditor::View::horizontalScrollPositionChanged#
    {65, 567, 946},	// KTextEditor::View::informationMessage#$
    {65, 586, 973},	// KTextEditor::View::insertText$
    {65, 592, 939},	// KTextEditor::View::isActiveView
    {65, 669, 930},	// KTextEditor::View::metaObject
    {65, 694, 962},	// KTextEditor::View::mousePositionChanged##
    {65, 697, 960},	// KTextEditor::View::mouseTrackingEnabled
    {65, 769, 936},	// KTextEditor::View::qt_metacall$$?
    {65, 771, 931},	// KTextEditor::View::qt_metacast$
    {65, 824, 968},	// KTextEditor::View::removeSelection
    {65, 825, 969},	// KTextEditor::View::removeSelectionText
    {65, 856, 965},	// KTextEditor::View::selection
    {65, 858, 972},	// KTextEditor::View::selectionChanged#
    {65, 859, 966},	// KTextEditor::View::selectionRange
    {65, 860, 967},	// KTextEditor::View::selectionText
    {65, 874, 970},	// KTextEditor::View::setBlockSelection$
    {65, 889, 948},	// KTextEditor::View::setContextMenu#
    {65, 891, 952},	// KTextEditor::View::setCursorPosition#
    {65, 944, 961},	// KTextEditor::View::setMouseTrackingEnabled$
    {65, 970, 963},	// KTextEditor::View::setSelection#
    {65, 971, 977},	// KTextEditor::View::setSelection#$
    {65, 972, 964},	// KTextEditor::View::setSelection#$$
    {65, 1017, 978},	// KTextEditor::View::staticMetaObject
    {65, 1036, 947},	// KTextEditor::View::textInserted##$
    {65, 1049, 974},	// KTextEditor::View::tr$
    {65, 1050, 932},	// KTextEditor::View::tr$$
    {65, 1051, 934},	// KTextEditor::View::tr$$$
    {65, 1053, 975},	// KTextEditor::View::trUtf8$
    {65, 1054, 933},	// KTextEditor::View::trUtf8$$
    {65, 1055, 935},	// KTextEditor::View::trUtf8$$$
    {65, 1075, 958},	// KTextEditor::View::verticalScrollPositionChanged##
    {65, 1080, 941},	// KTextEditor::View::viewEditMode
    {65, 1082, 945},	// KTextEditor::View::viewEditModeChanged#$
    {65, 1085, 940},	// KTextEditor::View::viewMode
    {65, 1087, 944},	// KTextEditor::View::viewModeChanged#
    {65, 1153, 982},	// KTextEditor::View::~View
    {66, 25, 993},	// KTextEditor::ViewBarContainer::BottomBar
    {66, 130, 990},	// KTextEditor::ViewBarContainer::LeftBar
    {66, 178, 992},	// KTextEditor::ViewBarContainer::RightBar
    {66, 220, 991},	// KTextEditor::ViewBarContainer::TopBar
    {66, 230, 983},	// KTextEditor::ViewBarContainer::ViewBarContainer
    {66, 231, 989},	// KTextEditor::ViewBarContainer::ViewBarContainer#
    {66, 265, 985},	// KTextEditor::ViewBarContainer::addViewBarToLayout##$
    {66, 432, 988},	// KTextEditor::ViewBarContainer::deleteViewBarForView#$
    {66, 535, 984},	// KTextEditor::ViewBarContainer::getViewBarParent#$
    {66, 551, 987},	// KTextEditor::ViewBarContainer::hideViewBarForView#$
    {66, 1001, 986},	// KTextEditor::ViewBarContainer::showViewBarForView#$
    {66, 1154, 994},	// KTextEditor::ViewBarContainer::~ViewBarContainer
    {87, 106, 1051},	// QGlobalSpace::KST_CTimeInfo
    {87, 107, 1044},	// QGlobalSpace::KST_KCustom
    {87, 108, 1038},	// QGlobalSpace::KST_KDEDesktopMimeType
    {87, 109, 1037},	// QGlobalSpace::KST_KFolderMimeType
    {87, 110, 1048},	// QGlobalSpace::KST_KImageIO
    {87, 111, 1041},	// QGlobalSpace::KST_KImageIOFormat
    {87, 112, 1036},	// QGlobalSpace::KST_KMimeType
    {87, 113, 1039},	// QGlobalSpace::KST_KMimeTypeEntry
    {87, 114, 1050},	// QGlobalSpace::KST_KMimeTypeFactory
    {87, 115, 1042},	// QGlobalSpace::KST_KProtocolInfo
    {87, 116, 1049},	// QGlobalSpace::KST_KProtocolInfoFactory
    {87, 117, 1034},	// QGlobalSpace::KST_KService
    {87, 118, 1045},	// QGlobalSpace::KST_KServiceFactory
    {87, 119, 1040},	// QGlobalSpace::KST_KServiceGroup
    {87, 120, 1047},	// QGlobalSpace::KST_KServiceGroupFactory
    {87, 121, 1043},	// QGlobalSpace::KST_KServiceSeparator
    {87, 122, 1035},	// QGlobalSpace::KST_KServiceType
    {87, 123, 1046},	// QGlobalSpace::KST_KServiceTypeFactory
    {87, 124, 1033},	// QGlobalSpace::KST_KSycocaEntry
};

}

extern "C" {

SMOKE_IMPORT void init_kparts_Smoke();

static bool initialized = false;
Smoke *ktexteditor_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_ktexteditor_Smoke() {
    init_kparts_Smoke();
    if (initialized) return;
    ktexteditor_Smoke = new Smoke(
        "ktexteditor",
        __smokektexteditor::classes, 116,
        __smokektexteditor::methods, 1102,
        __smokektexteditor::methodMaps, 963,
        __smokektexteditor::methodNames, 1154,
        __smokektexteditor::types, 324,
        __smokektexteditor::inheritanceList,
        __smokektexteditor::argumentList,
        __smokektexteditor::ambiguousMethodList,
        __smokektexteditor::cast );
    initialized = true;
}

void delete_ktexteditor_Smoke() { delete ktexteditor_Smoke; }

}
