#include <okular_includes.h>

#include <smoke.h>
#include <okular_smoke.h>

namespace __smokeokular {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KConfigDialog
      switch(to) {
        case 3: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 4:   //KIcon
      switch(to) {
        case 4: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 5:   //KMimeType
      switch(to) {
        case 5: return (void*)(KMimeType*)xptr;
        default: return xptr;
      }
    case 6:   //KUrl
      switch(to) {
        case 6: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 7:   //KXMLGUIClient
      switch(to) {
        case 7: return (void*)(KXMLGUIClient*)xptr;
        case 42: return (void*)(Okular::GuiInterface*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 8:   //Okular::Action
      switch(to) {
        case 8: return (void*)(Okular::Action*)xptr;
        case 60: return (void*)(Okular::SoundAction*)(Okular::Action*)xptr;
        case 18: return (void*)(Okular::BrowseAction*)(Okular::Action*)xptr;
        case 22: return (void*)(Okular::DocumentAction*)(Okular::Action*)xptr;
        case 28: return (void*)(Okular::ExecuteAction*)(Okular::Action*)xptr;
        case 58: return (void*)(Okular::ScriptAction*)(Okular::Action*)xptr;
        case 41: return (void*)(Okular::GotoAction*)(Okular::Action*)xptr;
        default: return xptr;
      }
    case 9:   //Okular::ActionPrivate
      switch(to) {
        case 9: return (void*)(Okular::ActionPrivate*)xptr;
        default: return xptr;
      }
    case 10:   //Okular::Annotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)xptr;
        case 65: return (void*)(Okular::TextAnnotation*)(Okular::Annotation*)xptr;
        case 43: return (void*)(Okular::HighlightAnnotation*)(Okular::Annotation*)xptr;
        case 64: return (void*)(Okular::StampAnnotation*)(Okular::Annotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)(Okular::Annotation*)xptr;
        case 61: return (void*)(Okular::SoundAnnotation*)(Okular::Annotation*)xptr;
        case 30: return (void*)(Okular::FileAttachmentAnnotation*)(Okular::Annotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)(Okular::Annotation*)xptr;
        case 40: return (void*)(Okular::GeomAnnotation*)(Okular::Annotation*)xptr;
        case 19: return (void*)(Okular::CaretAnnotation*)(Okular::Annotation*)xptr;
        default: return xptr;
      }
    case 11:   //Okular::Annotation::Revision
      switch(to) {
        case 11: return (void*)(Okular::Annotation::Revision*)xptr;
        default: return xptr;
      }
    case 12:   //Okular::Annotation::Style
      switch(to) {
        case 12: return (void*)(Okular::Annotation::Style*)xptr;
        default: return xptr;
      }
    case 13:   //Okular::Annotation::Window
      switch(to) {
        case 13: return (void*)(Okular::Annotation::Window*)xptr;
        default: return xptr;
      }
    case 14:   //Okular::AnnotationObjectRect
      switch(to) {
        case 50: return (void*)(Okular::ObjectRect*)(Okular::AnnotationObjectRect*)xptr;
        case 14: return (void*)(Okular::AnnotationObjectRect*)xptr;
        default: return xptr;
      }
    case 15:   //Okular::AnnotationPrivate
      switch(to) {
        case 15: return (void*)(Okular::AnnotationPrivate*)xptr;
        default: return xptr;
      }
    case 16:   //Okular::AnnotationUtils
      switch(to) {
        case 16: return (void*)(Okular::AnnotationUtils*)xptr;
        default: return xptr;
      }
    case 17:   //Okular::BookmarkManager
      switch(to) {
        case 17: return (void*)(Okular::BookmarkManager*)xptr;
        default: return xptr;
      }
    case 18:   //Okular::BrowseAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::BrowseAction*)xptr;
        case 18: return (void*)(Okular::BrowseAction*)xptr;
        default: return xptr;
      }
    case 19:   //Okular::CaretAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::CaretAnnotation*)xptr;
        case 19: return (void*)(Okular::CaretAnnotation*)xptr;
        default: return xptr;
      }
    case 20:   //Okular::ConfigInterface
      switch(to) {
        case 20: return (void*)(Okular::ConfigInterface*)xptr;
        case 67: return (void*)(Okular::TextDocumentGenerator*)(Okular::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 21:   //Okular::Document
      switch(to) {
        case 91: return (void*)(QObject*)(Okular::Document*)xptr;
        case 21: return (void*)(Okular::Document*)xptr;
        default: return xptr;
      }
    case 22:   //Okular::DocumentAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::DocumentAction*)xptr;
        case 22: return (void*)(Okular::DocumentAction*)xptr;
        default: return xptr;
      }
    case 23:   //Okular::DocumentInfo
      switch(to) {
        case 82: return (void*)(QDomDocument*)(Okular::DocumentInfo*)xptr;
        case 84: return (void*)(QDomNode*)(Okular::DocumentInfo*)xptr;
        case 23: return (void*)(Okular::DocumentInfo*)xptr;
        default: return xptr;
      }
    case 24:   //Okular::DocumentObserver
      switch(to) {
        case 24: return (void*)(Okular::DocumentObserver*)xptr;
        default: return xptr;
      }
    case 25:   //Okular::DocumentSynopsis
      switch(to) {
        case 82: return (void*)(QDomDocument*)(Okular::DocumentSynopsis*)xptr;
        case 84: return (void*)(QDomNode*)(Okular::DocumentSynopsis*)xptr;
        case 25: return (void*)(Okular::DocumentSynopsis*)xptr;
        default: return xptr;
      }
    case 26:   //Okular::DocumentViewport
      switch(to) {
        case 26: return (void*)(Okular::DocumentViewport*)xptr;
        default: return xptr;
      }
    case 27:   //Okular::EmbeddedFile
      switch(to) {
        case 27: return (void*)(Okular::EmbeddedFile*)xptr;
        default: return xptr;
      }
    case 28:   //Okular::ExecuteAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::ExecuteAction*)xptr;
        case 28: return (void*)(Okular::ExecuteAction*)xptr;
        default: return xptr;
      }
    case 29:   //Okular::ExportFormat
      switch(to) {
        case 29: return (void*)(Okular::ExportFormat*)xptr;
        default: return xptr;
      }
    case 30:   //Okular::FileAttachmentAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::FileAttachmentAnnotation*)xptr;
        case 30: return (void*)(Okular::FileAttachmentAnnotation*)xptr;
        default: return xptr;
      }
    case 31:   //Okular::FilePrinter
      switch(to) {
        case 31: return (void*)(Okular::FilePrinter*)xptr;
        default: return xptr;
      }
    case 32:   //Okular::FontInfo
      switch(to) {
        case 32: return (void*)(Okular::FontInfo*)xptr;
        default: return xptr;
      }
    case 33:   //Okular::FormField
      switch(to) {
        case 33: return (void*)(Okular::FormField*)xptr;
        case 34: return (void*)(Okular::FormFieldButton*)(Okular::FormField*)xptr;
        case 37: return (void*)(Okular::FormFieldText*)(Okular::FormField*)xptr;
        case 35: return (void*)(Okular::FormFieldChoice*)(Okular::FormField*)xptr;
        default: return xptr;
      }
    case 34:   //Okular::FormFieldButton
      switch(to) {
        case 33: return (void*)(Okular::FormField*)(Okular::FormFieldButton*)xptr;
        case 34: return (void*)(Okular::FormFieldButton*)xptr;
        default: return xptr;
      }
    case 35:   //Okular::FormFieldChoice
      switch(to) {
        case 33: return (void*)(Okular::FormField*)(Okular::FormFieldChoice*)xptr;
        case 35: return (void*)(Okular::FormFieldChoice*)xptr;
        default: return xptr;
      }
    case 36:   //Okular::FormFieldPrivate
      switch(to) {
        case 36: return (void*)(Okular::FormFieldPrivate*)xptr;
        default: return xptr;
      }
    case 37:   //Okular::FormFieldText
      switch(to) {
        case 33: return (void*)(Okular::FormField*)(Okular::FormFieldText*)xptr;
        case 37: return (void*)(Okular::FormFieldText*)xptr;
        default: return xptr;
      }
    case 38:   //Okular::Generator
      switch(to) {
        case 91: return (void*)(QObject*)(Okular::Generator*)xptr;
        case 38: return (void*)(Okular::Generator*)xptr;
        case 67: return (void*)(Okular::TextDocumentGenerator*)(Okular::Generator*)xptr;
        default: return xptr;
      }
    case 39:   //Okular::GeneratorPrivate
      switch(to) {
        case 39: return (void*)(Okular::GeneratorPrivate*)xptr;
        default: return xptr;
      }
    case 40:   //Okular::GeomAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::GeomAnnotation*)xptr;
        case 40: return (void*)(Okular::GeomAnnotation*)xptr;
        default: return xptr;
      }
    case 41:   //Okular::GotoAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::GotoAction*)xptr;
        case 41: return (void*)(Okular::GotoAction*)xptr;
        default: return xptr;
      }
    case 42:   //Okular::GuiInterface
      switch(to) {
        case 7: return (void*)(KXMLGUIClient*)(Okular::GuiInterface*)xptr;
        case 42: return (void*)(Okular::GuiInterface*)xptr;
        default: return xptr;
      }
    case 43:   //Okular::HighlightAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::HighlightAnnotation*)xptr;
        case 43: return (void*)(Okular::HighlightAnnotation*)xptr;
        default: return xptr;
      }
    case 44:   //Okular::HighlightAnnotation::Quad
      switch(to) {
        case 44: return (void*)(Okular::HighlightAnnotation::Quad*)xptr;
        default: return xptr;
      }
    case 45:   //Okular::InkAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::InkAnnotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)xptr;
        default: return xptr;
      }
    case 46:   //Okular::LineAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::LineAnnotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)xptr;
        default: return xptr;
      }
    case 47:   //Okular::MovieAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::MovieAction*)xptr;
        case 47: return (void*)(Okular::MovieAction*)xptr;
        default: return xptr;
      }
    case 48:   //Okular::NormalizedPoint
      switch(to) {
        case 48: return (void*)(Okular::NormalizedPoint*)xptr;
        default: return xptr;
      }
    case 49:   //Okular::NormalizedRect
      switch(to) {
        case 49: return (void*)(Okular::NormalizedRect*)xptr;
        default: return xptr;
      }
    case 50:   //Okular::ObjectRect
      switch(to) {
        case 50: return (void*)(Okular::ObjectRect*)xptr;
        case 62: return (void*)(Okular::SourceRefObjectRect*)(Okular::ObjectRect*)xptr;
        case 14: return (void*)(Okular::AnnotationObjectRect*)(Okular::ObjectRect*)xptr;
        default: return xptr;
      }
    case 51:   //Okular::Page
      switch(to) {
        case 51: return (void*)(Okular::Page*)xptr;
        default: return xptr;
      }
    case 52:   //Okular::PageSize
      switch(to) {
        case 52: return (void*)(Okular::PageSize*)xptr;
        default: return xptr;
      }
    case 53:   //Okular::PageTransition
      switch(to) {
        case 53: return (void*)(Okular::PageTransition*)xptr;
        default: return xptr;
      }
    case 54:   //Okular::PixmapRequest
      switch(to) {
        case 54: return (void*)(Okular::PixmapRequest*)xptr;
        default: return xptr;
      }
    case 55:   //Okular::PrintInterface
      switch(to) {
        case 55: return (void*)(Okular::PrintInterface*)xptr;
        default: return xptr;
      }
    case 56:   //Okular::RegularAreaRect
      switch(to) {
        case 56: return (void*)(Okular::RegularAreaRect*)xptr;
        default: return xptr;
      }
    case 57:   //Okular::RenditionAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::RenditionAction*)xptr;
        case 57: return (void*)(Okular::RenditionAction*)xptr;
        default: return xptr;
      }
    case 58:   //Okular::ScriptAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::ScriptAction*)xptr;
        case 58: return (void*)(Okular::ScriptAction*)xptr;
        default: return xptr;
      }
    case 59:   //Okular::Sound
      switch(to) {
        case 59: return (void*)(Okular::Sound*)xptr;
        default: return xptr;
      }
    case 60:   //Okular::SoundAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::SoundAction*)xptr;
        case 60: return (void*)(Okular::SoundAction*)xptr;
        default: return xptr;
      }
    case 61:   //Okular::SoundAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::SoundAnnotation*)xptr;
        case 61: return (void*)(Okular::SoundAnnotation*)xptr;
        default: return xptr;
      }
    case 62:   //Okular::SourceRefObjectRect
      switch(to) {
        case 50: return (void*)(Okular::ObjectRect*)(Okular::SourceRefObjectRect*)xptr;
        case 62: return (void*)(Okular::SourceRefObjectRect*)xptr;
        default: return xptr;
      }
    case 63:   //Okular::SourceReference
      switch(to) {
        case 63: return (void*)(Okular::SourceReference*)xptr;
        default: return xptr;
      }
    case 64:   //Okular::StampAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::StampAnnotation*)xptr;
        case 64: return (void*)(Okular::StampAnnotation*)xptr;
        default: return xptr;
      }
    case 65:   //Okular::TextAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::TextAnnotation*)xptr;
        case 65: return (void*)(Okular::TextAnnotation*)xptr;
        default: return xptr;
      }
    case 66:   //Okular::TextDocumentConverter
      switch(to) {
        case 91: return (void*)(QObject*)(Okular::TextDocumentConverter*)xptr;
        case 66: return (void*)(Okular::TextDocumentConverter*)xptr;
        default: return xptr;
      }
    case 67:   //Okular::TextDocumentGenerator
      switch(to) {
        case 38: return (void*)(Okular::Generator*)(Okular::TextDocumentGenerator*)xptr;
        case 91: return (void*)(QObject*)(Okular::TextDocumentGenerator*)xptr;
        case 20: return (void*)(Okular::ConfigInterface*)(Okular::TextDocumentGenerator*)xptr;
        case 67: return (void*)(Okular::TextDocumentGenerator*)xptr;
        default: return xptr;
      }
    case 68:   //Okular::TextDocumentSettings
      switch(to) {
        case 68: return (void*)(Okular::TextDocumentSettings*)xptr;
        default: return xptr;
      }
    case 69:   //Okular::TextEntity
      switch(to) {
        case 69: return (void*)(Okular::TextEntity*)xptr;
        default: return xptr;
      }
    case 70:   //Okular::TextPage
      switch(to) {
        case 70: return (void*)(Okular::TextPage*)xptr;
        default: return xptr;
      }
    case 71:   //Okular::TextSelection
      switch(to) {
        case 71: return (void*)(Okular::TextSelection*)xptr;
        default: return xptr;
      }
    case 72:   //Okular::Tile
      switch(to) {
        case 72: return (void*)(Okular::Tile*)xptr;
        default: return xptr;
      }
    case 73:   //Okular::Utils
      switch(to) {
        case 73: return (void*)(Okular::Utils*)xptr;
        default: return xptr;
      }
    case 74:   //Okular::View
      switch(to) {
        case 74: return (void*)(Okular::View*)xptr;
        default: return xptr;
      }
    case 75:   //Okular::VisiblePageRect
      switch(to) {
        case 75: return (void*)(Okular::VisiblePageRect*)xptr;
        default: return xptr;
      }
    case 76:   //QAction
      switch(to) {
        case 76: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 77:   //QBool
      switch(to) {
        case 77: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 78:   //QByteArray
      switch(to) {
        case 78: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 79:   //QChildEvent
      switch(to) {
        case 79: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QColor
      switch(to) {
        case 80: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 81:   //QDateTime
      switch(to) {
        case 81: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 82:   //QDomDocument
      switch(to) {
        case 84: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 82: return (void*)(QDomDocument*)xptr;
        case 23: return (void*)(Okular::DocumentInfo*)(QDomDocument*)xptr;
        case 25: return (void*)(Okular::DocumentSynopsis*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 83:   //QDomElement
      switch(to) {
        case 84: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 83: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 84:   //QDomNode
      switch(to) {
        case 84: return (void*)(QDomNode*)xptr;
        case 23: return (void*)(Okular::DocumentInfo*)(QDomNode*)xptr;
        case 25: return (void*)(Okular::DocumentSynopsis*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 85:   //QEvent
      switch(to) {
        case 85: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 86:   //QFont
      switch(to) {
        case 86: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 88:   //QImage
      switch(to) {
        case 88: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 89:   //QMetaObject
      switch(to) {
        case 89: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 90:   //QMutex
      switch(to) {
        case 90: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 91:   //QObject
      switch(to) {
        case 91: return (void*)(QObject*)xptr;
        case 38: return (void*)(Okular::Generator*)(QObject*)xptr;
        case 21: return (void*)(Okular::Document*)(QObject*)xptr;
        case 67: return (void*)(Okular::TextDocumentGenerator*)(QObject*)xptr;
        case 66: return (void*)(Okular::TextDocumentConverter*)(QObject*)xptr;
        default: return xptr;
      }
    case 92:   //QPainterPath
      switch(to) {
        case 92: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 93:   //QPixmap
      switch(to) {
        case 93: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 94:   //QPolygonF
      switch(to) {
        case 94: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 95:   //QPrinter
      switch(to) {
        case 95: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 96:   //QRect
      switch(to) {
        case 96: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 97:   //QRectF
      switch(to) {
        case 97: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 98:   //QRegExp
      switch(to) {
        case 98: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 99:   //QSize
      switch(to) {
        case 99: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 100:   //QSizeF
      switch(to) {
        case 100: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 101:   //QTextBlock
      switch(to) {
        case 101: return (void*)(QTextBlock*)xptr;
        default: return xptr;
      }
    case 102:   //QTextDocument
      switch(to) {
        case 102: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 103:   //QTimerEvent
      switch(to) {
        case 103: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 104:   //QTransform
      switch(to) {
        case 104: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 105:   //QVariant
      switch(to) {
        case 105: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 106:   //QWidget
      switch(to) {
        case 91: return (void*)(QObject*)(QWidget*)xptr;
        case 106: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    50, 0,	// 1: Okular::ObjectRect
    8, 0,	// 3: Okular::Action
    10, 0,	// 5: Okular::Annotation
    91, 0,	// 7: QObject
    82, 0,	// 9: QDomDocument
    33, 0,	// 11: Okular::FormField
    7, 0,	// 13: KXMLGUIClient
    0, 0,	// 15: Okular::RegularArea
    38, 20, 0,	// 17: Okular::Generator, Okular::ConfigInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Sound(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Document(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldText(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Generator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__PixmapRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__PageTransition(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Annotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__HighlightAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__CaretAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FilePrinter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ExportFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentAction(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldChoice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FontInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentViewport(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ObjectRect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Page(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__LineAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__GeomAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Okular__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Annotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationUtils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__BrowseAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__CaretAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentSynopsis(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentViewport(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__EmbeddedFile(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExecuteAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExportFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FileAttachmentAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FilePrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FontInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormField(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldChoice(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldText(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Generator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GeomAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GotoAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GuiInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__HighlightAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__InkAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__LineAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Page(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageSize(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageTransition(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PixmapRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PrintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__RegularAreaRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ScriptAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Sound(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceRefObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceReference(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__StampAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentConverter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Tile(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Utils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__VisiblePageRect(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//3
    { "KIcon", true, 0, 0, 0, 0, 0 },	//4
    { "KMimeType", true, 0, 0, 0, 0, 0 },	//5
    { "KUrl", true, 0, 0, 0, 0, 0 },	//6
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//7
    { "Okular::Action", false, 0, xcall_Okular__Action, xenum_Okular__Action, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Action) },	//8
    { "Okular::ActionPrivate", true, 0, 0, 0, 0, 0 },	//9
    { "Okular::Annotation", false, 0, xcall_Okular__Annotation, xenum_Okular__Annotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Annotation) },	//10
    { "Okular::Annotation::Revision", true, 0, 0, 0, 0, 0 },	//11
    { "Okular::Annotation::Style", true, 0, 0, 0, 0, 0 },	//12
    { "Okular::Annotation::Window", true, 0, 0, 0, 0, 0 },	//13
    { "Okular::AnnotationObjectRect", false, 1, xcall_Okular__AnnotationObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::AnnotationObjectRect) },	//14
    { "Okular::AnnotationPrivate", true, 0, 0, 0, 0, 0 },	//15
    { "Okular::AnnotationUtils", false, 0, xcall_Okular__AnnotationUtils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::AnnotationUtils) },	//16
    { "Okular::BookmarkManager", true, 0, 0, 0, 0, 0 },	//17
    { "Okular::BrowseAction", false, 3, xcall_Okular__BrowseAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::BrowseAction) },	//18
    { "Okular::CaretAnnotation", false, 5, xcall_Okular__CaretAnnotation, xenum_Okular__CaretAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::CaretAnnotation) },	//19
    { "Okular::ConfigInterface", false, 0, xcall_Okular__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ConfigInterface) },	//20
    { "Okular::Document", false, 7, xcall_Okular__Document, xenum_Okular__Document, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Document) },	//21
    { "Okular::DocumentAction", false, 3, xcall_Okular__DocumentAction, xenum_Okular__DocumentAction, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::DocumentAction) },	//22
    { "Okular::DocumentInfo", false, 9, xcall_Okular__DocumentInfo, xenum_Okular__DocumentInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentInfo) },	//23
    { "Okular::DocumentObserver", true, 0, 0, 0, 0, 0 },	//24
    { "Okular::DocumentSynopsis", false, 9, xcall_Okular__DocumentSynopsis, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentSynopsis) },	//25
    { "Okular::DocumentViewport", false, 0, xcall_Okular__DocumentViewport, xenum_Okular__DocumentViewport, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentViewport) },	//26
    { "Okular::EmbeddedFile", false, 0, xcall_Okular__EmbeddedFile, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::EmbeddedFile) },	//27
    { "Okular::ExecuteAction", false, 3, xcall_Okular__ExecuteAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ExecuteAction) },	//28
    { "Okular::ExportFormat", false, 0, xcall_Okular__ExportFormat, xenum_Okular__ExportFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::ExportFormat) },	//29
    { "Okular::FileAttachmentAnnotation", false, 5, xcall_Okular__FileAttachmentAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FileAttachmentAnnotation) },	//30
    { "Okular::FilePrinter", false, 0, xcall_Okular__FilePrinter, xenum_Okular__FilePrinter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FilePrinter) },	//31
    { "Okular::FontInfo", false, 0, xcall_Okular__FontInfo, xenum_Okular__FontInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FontInfo) },	//32
    { "Okular::FormField", false, 0, xcall_Okular__FormField, xenum_Okular__FormField, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormField) },	//33
    { "Okular::FormFieldButton", false, 11, xcall_Okular__FormFieldButton, xenum_Okular__FormFieldButton, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldButton) },	//34
    { "Okular::FormFieldChoice", false, 11, xcall_Okular__FormFieldChoice, xenum_Okular__FormFieldChoice, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldChoice) },	//35
    { "Okular::FormFieldPrivate", true, 0, 0, 0, 0, 0 },	//36
    { "Okular::FormFieldText", false, 11, xcall_Okular__FormFieldText, xenum_Okular__FormFieldText, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldText) },	//37
    { "Okular::Generator", false, 7, xcall_Okular__Generator, xenum_Okular__Generator, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Generator) },	//38
    { "Okular::GeneratorPrivate", true, 0, 0, 0, 0, 0 },	//39
    { "Okular::GeomAnnotation", false, 5, xcall_Okular__GeomAnnotation, xenum_Okular__GeomAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GeomAnnotation) },	//40
    { "Okular::GotoAction", false, 3, xcall_Okular__GotoAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GotoAction) },	//41
    { "Okular::GuiInterface", false, 13, xcall_Okular__GuiInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::GuiInterface) },	//42
    { "Okular::HighlightAnnotation", false, 5, xcall_Okular__HighlightAnnotation, xenum_Okular__HighlightAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::HighlightAnnotation) },	//43
    { "Okular::HighlightAnnotation::Quad", true, 0, 0, 0, 0, 0 },	//44
    { "Okular::InkAnnotation", false, 5, xcall_Okular__InkAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::InkAnnotation) },	//45
    { "Okular::LineAnnotation", false, 5, xcall_Okular__LineAnnotation, xenum_Okular__LineAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::LineAnnotation) },	//46
    { "Okular::MovieAction", true, 0, 0, 0, 0, 0 },	//47
    { "Okular::NormalizedPoint", false, 0, xcall_Okular__NormalizedPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedPoint) },	//48
    { "Okular::NormalizedRect", false, 0, xcall_Okular__NormalizedRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedRect) },	//49
    { "Okular::ObjectRect", false, 0, xcall_Okular__ObjectRect, xenum_Okular__ObjectRect, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ObjectRect) },	//50
    { "Okular::Page", false, 0, xcall_Okular__Page, xenum_Okular__Page, Smoke::cf_constructor, sizeof(Okular::Page) },	//51
    { "Okular::PageSize", false, 0, xcall_Okular__PageSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageSize) },	//52
    { "Okular::PageTransition", false, 0, xcall_Okular__PageTransition, xenum_Okular__PageTransition, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageTransition) },	//53
    { "Okular::PixmapRequest", false, 0, xcall_Okular__PixmapRequest, xenum_Okular__PixmapRequest, Smoke::cf_constructor, sizeof(Okular::PixmapRequest) },	//54
    { "Okular::PrintInterface", false, 0, xcall_Okular__PrintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::PrintInterface) },	//55
    { "Okular::RegularAreaRect", false, 15, xcall_Okular__RegularAreaRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::RegularAreaRect) },	//56
    { "Okular::RenditionAction", true, 0, 0, 0, 0, 0 },	//57
    { "Okular::ScriptAction", false, 3, xcall_Okular__ScriptAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ScriptAction) },	//58
    { "Okular::Sound", false, 0, xcall_Okular__Sound, xenum_Okular__Sound, Smoke::cf_constructor, sizeof(Okular::Sound) },	//59
    { "Okular::SoundAction", false, 3, xcall_Okular__SoundAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAction) },	//60
    { "Okular::SoundAnnotation", false, 5, xcall_Okular__SoundAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAnnotation) },	//61
    { "Okular::SourceRefObjectRect", false, 1, xcall_Okular__SourceRefObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::SourceRefObjectRect) },	//62
    { "Okular::SourceReference", false, 0, xcall_Okular__SourceReference, 0, Smoke::cf_constructor, sizeof(Okular::SourceReference) },	//63
    { "Okular::StampAnnotation", false, 5, xcall_Okular__StampAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::StampAnnotation) },	//64
    { "Okular::TextAnnotation", false, 5, xcall_Okular__TextAnnotation, xenum_Okular__TextAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextAnnotation) },	//65
    { "Okular::TextDocumentConverter", false, 7, xcall_Okular__TextDocumentConverter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentConverter) },	//66
    { "Okular::TextDocumentGenerator", false, 17, xcall_Okular__TextDocumentGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentGenerator) },	//67
    { "Okular::TextDocumentSettings", true, 0, 0, 0, 0, 0 },	//68
    { "Okular::TextEntity", false, 0, xcall_Okular__TextEntity, 0, Smoke::cf_constructor, sizeof(Okular::TextEntity) },	//69
    { "Okular::TextPage", false, 0, xcall_Okular__TextPage, xenum_Okular__TextPage, Smoke::cf_constructor, sizeof(Okular::TextPage) },	//70
    { "Okular::TextSelection", true, 0, 0, 0, 0, 0 },	//71
    { "Okular::Tile", false, 0, xcall_Okular__Tile, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::Tile) },	//72
    { "Okular::Utils", false, 0, xcall_Okular__Utils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::Utils) },	//73
    { "Okular::View", true, 0, 0, 0, 0, 0 },	//74
    { "Okular::VisiblePageRect", false, 0, xcall_Okular__VisiblePageRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::VisiblePageRect) },	//75
    { "QAction", true, 0, 0, 0, 0, 0 },	//76
    { "QBool", true, 0, 0, 0, 0, 0 },	//77
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//78
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QColor", true, 0, 0, 0, 0, 0 },	//80
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//81
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//82
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//83
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//84
    { "QEvent", true, 0, 0, 0, 0, 0 },	//85
    { "QFont", true, 0, 0, 0, 0, 0 },	//86
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//87
    { "QImage", true, 0, 0, 0, 0, 0 },	//88
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//89
    { "QMutex", true, 0, 0, 0, 0, 0 },	//90
    { "QObject", true, 0, 0, 0, 0, 0 },	//91
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//92
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//93
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//94
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//95
    { "QRect", true, 0, 0, 0, 0, 0 },	//96
    { "QRectF", true, 0, 0, 0, 0, 0 },	//97
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//98
    { "QSize", true, 0, 0, 0, 0, 0 },	//99
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//100
    { "QTextBlock", true, 0, 0, 0, 0, 0 },	//101
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//102
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//103
    { "QTransform", true, 0, 0, 0, 0, 0 },	//104
    { "QVariant", true, 0, 0, 0, 0, 0 },	//105
    { "QWidget", true, 0, 0, 0, 0, 0 },	//106
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "KConfigDialog*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "KIcon", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "KMimeType", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "KSycocaFactoryId", 87, Smoke::t_enum|Smoke::tf_stack },	//8
    { "KSycocaType", 87, Smoke::t_enum|Smoke::tf_stack },	//9
    { "KUrl", 6, Smoke::t_class|Smoke::tf_stack },	//10
    { "KXMLGUIClient*", 7, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KXMLGUIClient::ReverseStateChange", 7, Smoke::t_enum|Smoke::tf_stack },	//12
    { "Okular::Action*", 8, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Okular::Action::ActionType", 8, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Okular::ActionPrivate&", 9, Smoke::t_class|Smoke::tf_ref },	//15
    { "Okular::ActionPrivate*", 9, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Okular::Annotation*", 10, Smoke::t_class|Smoke::tf_ptr },	//17
    { "Okular::Annotation::AdditionalActionType", 10, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Okular::Annotation::Flag", 10, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Okular::Annotation::LineEffect", 10, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Okular::Annotation::LineStyle", 10, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Okular::Annotation::Revision", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "Okular::Annotation::RevisionScope", 10, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Okular::Annotation::RevisionType", 10, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Okular::Annotation::Style&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "Okular::Annotation::SubType", 10, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Okular::Annotation::Window&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "Okular::AnnotationObjectRect*", 14, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Okular::AnnotationPrivate&", 15, Smoke::t_class|Smoke::tf_ref },	//29
    { "Okular::AnnotationPrivate*", 15, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Okular::AnnotationUtils*", 16, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Okular::BookmarkManager*", 17, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Okular::BrowseAction*", 18, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Okular::CaretAnnotation*", 19, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Okular::CaretAnnotation::CaretSymbol", 19, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Okular::ConfigInterface*", 20, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Okular::Document*", 21, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Okular::Document::PixmapRequestFlag", 21, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Okular::Document::PrintingType", 21, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Okular::Document::SaveCapability", 21, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Okular::Document::SearchStatus", 21, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Okular::Document::SearchType", 21, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Okular::DocumentAction*", 22, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Okular::DocumentAction::DocumentActionType", 22, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Okular::DocumentInfo*", 23, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Okular::DocumentInfo::Key", 23, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Okular::DocumentObserver*", 24, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Okular::DocumentSynopsis*", 25, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Okular::DocumentViewport", 26, Smoke::t_class|Smoke::tf_stack },	//49
    { "Okular::DocumentViewport*", 26, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Okular::DocumentViewport::Position", 26, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Okular::EmbeddedFile*", 27, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Okular::ExecuteAction*", 28, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Okular::ExportFormat", 29, Smoke::t_class|Smoke::tf_stack },	//54
    { "Okular::ExportFormat&", 29, Smoke::t_class|Smoke::tf_ref },	//55
    { "Okular::ExportFormat*", 29, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Okular::ExportFormat::StandardExportFormat", 29, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Okular::FileAttachmentAnnotation*", 30, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Okular::FilePrinter*", 31, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Okular::FilePrinter::FileDeletePolicy", 31, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Okular::FilePrinter::PageSelectPolicy", 31, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Okular::FontInfo", 32, Smoke::t_class|Smoke::tf_stack },	//62
    { "Okular::FontInfo&", 32, Smoke::t_class|Smoke::tf_ref },	//63
    { "Okular::FontInfo*", 32, Smoke::t_class|Smoke::tf_ptr },	//64
    { "Okular::FontInfo::EmbedType", 32, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Okular::FontInfo::FontType", 32, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Okular::FormField*", 33, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Okular::FormField::FieldType", 33, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Okular::FormFieldButton*", 34, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Okular::FormFieldButton::ButtonType", 34, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Okular::FormFieldChoice*", 35, Smoke::t_class|Smoke::tf_ptr },	//71
    { "Okular::FormFieldChoice::ChoiceType", 35, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Okular::FormFieldPrivate&", 36, Smoke::t_class|Smoke::tf_ref },	//73
    { "Okular::FormFieldPrivate*", 36, Smoke::t_class|Smoke::tf_ptr },	//74
    { "Okular::FormFieldText*", 37, Smoke::t_class|Smoke::tf_ptr },	//75
    { "Okular::FormFieldText::TextType", 37, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Okular::GenerationType", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Okular::Generator*", 38, Smoke::t_class|Smoke::tf_ptr },	//78
    { "Okular::Generator::GeneratorFeature", 38, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Okular::Generator::PageSizeMetric", 38, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Okular::Generator::PrintError", 38, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Okular::GeneratorPrivate&", 39, Smoke::t_class|Smoke::tf_ref },	//82
    { "Okular::GeneratorPrivate*", 39, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Okular::GeomAnnotation*", 40, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Okular::GeomAnnotation::GeomType", 40, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Okular::GotoAction*", 41, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Okular::GuiInterface*", 42, Smoke::t_class|Smoke::tf_ptr },	//87
    { "Okular::HighlightAnnotation*", 43, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Okular::HighlightAnnotation::HighlightType", 43, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Okular::HighlightAnnotation::Quad", 44, Smoke::t_class|Smoke::tf_stack },	//90
    { "Okular::InkAnnotation*", 45, Smoke::t_class|Smoke::tf_ptr },	//91
    { "Okular::LineAnnotation*", 46, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Okular::LineAnnotation::LineIntent", 46, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Okular::LineAnnotation::TermStyle", 46, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Okular::MergeSide", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Okular::NormalizedPoint", 48, Smoke::t_class|Smoke::tf_stack },	//96
    { "Okular::NormalizedPoint&", 48, Smoke::t_class|Smoke::tf_ref },	//97
    { "Okular::NormalizedPoint*", 48, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Okular::NormalizedRect", 49, Smoke::t_class|Smoke::tf_stack },	//99
    { "Okular::NormalizedRect&", 49, Smoke::t_class|Smoke::tf_ref },	//100
    { "Okular::NormalizedRect*", 49, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Okular::ObjectRect*", 50, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Okular::ObjectRect::ObjectType", 50, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Okular::Page*", 51, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Okular::Page::PageAction", 51, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Okular::PageSize", 52, Smoke::t_class|Smoke::tf_stack },	//106
    { "Okular::PageSize&", 52, Smoke::t_class|Smoke::tf_ref },	//107
    { "Okular::PageSize*", 52, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Okular::PageTransition&", 53, Smoke::t_class|Smoke::tf_ref },	//109
    { "Okular::PageTransition*", 53, Smoke::t_class|Smoke::tf_ptr },	//110
    { "Okular::PageTransition::Alignment", 53, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Okular::PageTransition::Direction", 53, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Okular::PageTransition::Type", 53, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Okular::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Okular::PixmapRequest*", 54, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Okular::PixmapRequest::PixmapRequestFeature", 54, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Okular::PrintInterface*", 55, Smoke::t_class|Smoke::tf_ptr },	//117
    { "Okular::RegularAreaRect&", 56, Smoke::t_class|Smoke::tf_ref },	//118
    { "Okular::RegularAreaRect*", 56, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Okular::Rotation", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Okular::ScriptAction*", 58, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Okular::ScriptType", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Okular::SearchDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Okular::Sound*", 59, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Okular::Sound::SoundEncoding", 59, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Okular::Sound::SoundType", 59, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Okular::SoundAction*", 60, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Okular::SoundAnnotation*", 61, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Okular::SourceRefObjectRect*", 62, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Okular::SourceReference*", 63, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Okular::StampAnnotation*", 64, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Okular::TextAnnotation*", 65, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Okular::TextAnnotation::InplaceIntent", 65, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Okular::TextAnnotation::TextType", 65, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Okular::TextDocumentConverter*", 66, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Okular::TextDocumentGenerator*", 67, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Okular::TextDocumentSettings*", 68, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Okular::TextEntity*", 69, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Okular::TextPage*", 70, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Okular::TextPage::TextAreaInclusionBehaviour", 70, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Okular::TextSelection*", 71, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Okular::Tile", 72, Smoke::t_class|Smoke::tf_stack },	//142
    { "Okular::Tile&", 72, Smoke::t_class|Smoke::tf_ref },	//143
    { "Okular::Tile*", 72, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Okular::Utils*", 73, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Okular::View*", 74, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Okular::VisiblePageRect*", 75, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QAction*", 76, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QBool", 77, Smoke::t_class|Smoke::tf_stack },	//149
    { "QByteArray", 78, Smoke::t_class|Smoke::tf_stack },	//150
    { "QByteArray*", 78, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QChildEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QColor", 80, Smoke::t_class|Smoke::tf_stack },	//153
    { "QDateTime", 81, Smoke::t_class|Smoke::tf_stack },	//154
    { "QDomDocument", 82, Smoke::t_class|Smoke::tf_stack },	//155
    { "QDomDocument&", 82, Smoke::t_class|Smoke::tf_ref },	//156
    { "QDomElement", 83, Smoke::t_class|Smoke::tf_stack },	//157
    { "QDomElement&", 83, Smoke::t_class|Smoke::tf_ref },	//158
    { "QDomNode", 84, Smoke::t_class|Smoke::tf_stack },	//159
    { "QDomNode&", 84, Smoke::t_class|Smoke::tf_ref },	//160
    { "QEvent*", 85, Smoke::t_class|Smoke::tf_ptr },	//161
    { "QFlags<Okular::Document::PixmapRequestFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//162
    { "QFlags<Okular::PixmapRequest::PixmapRequestFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//163
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//164
    { "QFont", 86, Smoke::t_class|Smoke::tf_stack },	//165
    { "QImage", 88, Smoke::t_class|Smoke::tf_stack },	//166
    { "QLinkedList<Okular::Annotation*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//167
    { "QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//168
    { "QLinkedList<Okular::FormField*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//169
    { "QLinkedList<Okular::NormalizedPoint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//170
    { "QLinkedList<const Okular::ObjectRect*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//171
    { "QList<Okular::ExportFormat>", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "QList<Okular::FontInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//173
    { "QList<Okular::FormFieldButton*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//174
    { "QList<Okular::HighlightAnnotation::Quad>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//175
    { "QList<Okular::PageSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//176
    { "QList<Okular::TextEntity*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "QList<Okular::Tile>", 0, Smoke::t_voidp|Smoke::tf_stack },	//178
    { "QList<QLinkedList<Okular::NormalizedPoint> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//179
    { "QList<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//180
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//181
    { "QMetaObject::Call", 89, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QMutex*", 90, Smoke::t_class|Smoke::tf_ptr },	//183
    { "QObject*", 91, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QPainterPath&", 92, Smoke::t_class|Smoke::tf_ref },	//185
    { "QPixmap*", 93, Smoke::t_class|Smoke::tf_ptr },	//186
    { "QPrinter&", 95, Smoke::t_class|Smoke::tf_ref },	//187
    { "QPrinter::Orientation", 95, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QRect", 96, Smoke::t_class|Smoke::tf_stack },	//189
    { "QRegExp&", 98, Smoke::t_class|Smoke::tf_ref },	//190
    { "QSize", 99, Smoke::t_class|Smoke::tf_stack },	//191
    { "QSizeF", 100, Smoke::t_class|Smoke::tf_stack },	//192
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//193
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//194
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//195
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//196
    { "QTextBlock", 101, Smoke::t_class|Smoke::tf_stack },	//197
    { "QTextDocument*", 102, Smoke::t_class|Smoke::tf_ptr },	//198
    { "QTimerEvent*", 103, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QVariant", 105, Smoke::t_class|Smoke::tf_stack },	//200
    { "QVector<Okular::Page*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//201
    { "QWidget*", 106, Smoke::t_class|Smoke::tf_ptr },	//202
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "_LIB_VERSION_TYPE", 87, Smoke::t_enum|Smoke::tf_stack },	//275
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//276
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//277
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const KComponentData*", 2, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//279
    { "const KIcon&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const KSharedPtr<KMimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const KUrl&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const Okular::Action*", 8, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//283
    { "const Okular::ActionPrivate*", 9, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//284
    { "const Okular::Annotation*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//285
    { "const Okular::Annotation::Style&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const Okular::Annotation::Window&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const Okular::AnnotationObjectRect&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const Okular::AnnotationPrivate*", 15, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "const Okular::AnnotationUtils&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const Okular::ConfigInterface&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const Okular::Document*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//292
    { "const Okular::DocumentInfo&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const Okular::DocumentInfo*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//294
    { "const Okular::DocumentObserver*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//295
    { "const Okular::DocumentSynopsis&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const Okular::DocumentSynopsis*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//297
    { "const Okular::DocumentViewport&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const Okular::EmbeddedFile&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const Okular::ExportFormat&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const Okular::FilePrinter&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const Okular::FontInfo&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const Okular::FormFieldPrivate*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//303
    { "const Okular::GeneratorPrivate*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//304
    { "const Okular::GuiInterface&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const Okular::MovieAction*", 47, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//306
    { "const Okular::NormalizedPoint&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const Okular::NormalizedRect&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const Okular::NormalizedRect*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//309
    { "const Okular::ObjectRect&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const Okular::ObjectRect*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//311
    { "const Okular::Page*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//312
    { "const Okular::PageSize&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const Okular::PageTransition&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const Okular::PageTransition*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//315
    { "const Okular::PrintInterface&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const Okular::RegularAreaRect&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const Okular::RegularAreaRect*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//318
    { "const Okular::RenditionAction*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//319
    { "const Okular::SourceRefObjectRect&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const Okular::SourceReference*", 63, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//321
    { "const Okular::Tile&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const Okular::Utils&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const Okular::VisiblePageRect&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QByteArray&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QColor&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QDateTime&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QDomDocument&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QDomElement&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QDomNode&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QFont&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QImage*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//332
    { "const QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QLinkedList<Okular::FormField*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QLinkedList<Okular::NormalizedPoint>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QLinkedList<Okular::ObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QLinkedList<Okular::PixmapRequest*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QLinkedList<Okular::SourceRefObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QList<Okular::Annotation*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QList<Okular::EmbeddedFile*>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//340
    { "const QList<Okular::FormFieldButton*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QList<Okular::TextEntity*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QList<QLinkedList<Okular::NormalizedPoint> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QList<bool>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QMetaObject&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QMetaObject*", 89, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//348
    { "const QPainterPath&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QPolygonF&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QRect&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QRectF&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QRegExp&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QSizeF&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//355
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//357
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//358
    { "const QTextBlock&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QTransform&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QVariant&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QVector<Okular::VisiblePageRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//363
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//364
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//365
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//366
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//367
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//368
    { "void(*)(const Okular::Annotation*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//369
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//370
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//371
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//372
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    329, 0,	//1  const QDomElement&
    278, 0,	//3  const KComponentData&
    356, 276, 276, 0,	//5  const QString&, bool, bool
    356, 0,	//9  const QString&
    356, 276, 0,	//11  const QString&, bool
    328, 276, 0,	//14  const QDomDocument&, bool
    356, 12, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    367, 370, 0,	//20  int, void*
    361, 0,	//23  const QVariant&
    15, 0,	//25  Okular::ActionPrivate&
    327, 0,	//27  const QDateTime&
    367, 0,	//29  int
    308, 0,	//31  const Okular::NormalizedRect&
    307, 0,	//33  const Okular::NormalizedPoint&
    369, 0,	//35  void(*)(const Okular::Annotation*)
    160, 156, 0,	//37  QDomNode&, QDomDocument&
    330, 0,	//40  const QDomNode&
    29, 0,	//42  Okular::AnnotationPrivate&
    29, 330, 0,	//44  Okular::AnnotationPrivate&, const QDomNode&
    17, 0,	//47  Okular::Annotation*
    365, 365, 0,	//49  double, double
    365, 365, 365, 365, 0,	//52  double, double, double, double
    360, 0,	//57  const QTransform&
    288, 0,	//59  const Okular::AnnotationObjectRect&
    285, 158, 156, 0,	//61  const Okular::Annotation*, QDomElement&, QDomDocument&
    330, 356, 0,	//65  const QDomNode&, const QString&
    285, 365, 365, 0,	//68  const Okular::Annotation*, double, double
    290, 0,	//72  const Okular::AnnotationUtils&
    35, 0,	//74  Okular::CaretAnnotation::CaretSymbol
    3, 0,	//76  KConfigDialog*
    291, 0,	//78  const Okular::ConfigInterface&
    363, 0,	//80  const char*
    363, 363, 0,	//82  const char*, const char*
    363, 363, 367, 0,	//85  const char*, const char*, int
    182, 367, 371, 0,	//89  QMetaObject::Call, int, void**
    202, 0,	//93  QWidget*
    356, 282, 281, 0,	//95  const QString&, const KUrl&, const KSharedPtr<KMimeType>&
    47, 0,	//99  Okular::DocumentObserver*
    362, 47, 0,	//101  const QVector<Okular::VisiblePageRect*>&, Okular::DocumentObserver*
    114, 0,	//104  Okular::Permission
    356, 300, 0,	//106  const QString&, const Okular::ExportFormat&
    356, 361, 0,	//109  const QString&, const QVariant&
    367, 47, 276, 0,	//112  int, Okular::DocumentObserver*, bool
    298, 47, 276, 0,	//116  const Okular::DocumentViewport&, Okular::DocumentObserver*, bool
    298, 0,	//120  const Okular::DocumentViewport&
    367, 47, 0,	//122  int, Okular::DocumentObserver*
    337, 0,	//125  const QLinkedList<Okular::PixmapRequest*>&
    337, 162, 0,	//127  const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>
    368, 0,	//130  unsigned int
    367, 17, 0,	//132  int, Okular::Annotation*
    285, 0,	//135  const Okular::Annotation*
    367, 17, 307, 0,	//137  int, Okular::Annotation*, const Okular::NormalizedPoint&
    367, 17, 356, 367, 367, 367, 0,	//141  int, Okular::Annotation*, const QString&, int, int, int
    367, 339, 0,	//148  int, const QList<Okular::Annotation*>&
    367, 119, 326, 0,	//151  int, Okular::RegularAreaRect*, const QColor&
    367, 356, 276, 212, 42, 276, 326, 276, 0,	//155  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool
    367, 42, 0,	//164  int, Okular::Document::SearchType
    283, 0,	//167  const Okular::Action*
    321, 0,	//169  const Okular::SourceReference*
    187, 0,	//171  QPrinter&
    40, 0,	//173  Okular::Document::SaveCapability
    356, 194, 0,	//175  const QString&, QString*
    146, 0,	//178  Okular::View*
    302, 0,	//180  const Okular::FontInfo&
    356, 282, 0,	//182  const QString&, const KUrl&
    367, 365, 365, 0,	//185  int, double, double
    276, 0,	//189  bool
    313, 0,	//191  const Okular::PageSize&
    367, 75, 356, 367, 367, 367, 0,	//193  int, Okular::FormFieldText*, const QString&, int, int, int
    367, 71, 346, 0,	//200  int, Okular::FormFieldChoice*, const QList<int>&
    367, 71, 356, 367, 367, 367, 0,	//204  int, Okular::FormFieldChoice*, const QString&, int, int, int
    367, 341, 345, 0,	//211  int, const QList<Okular::FormFieldButton*>&, const QList<bool>&
    282, 0,	//215  const KUrl&
    356, 367, 0,	//217  const QString&, int
    367, 41, 0,	//220  int, Okular::Document::SearchStatus
    356, 367, 367, 277, 0,	//223  const QString&, int, int, bool*
    306, 0,	//228  const Okular::MovieAction*
    319, 0,	//230  const Okular::RenditionAction*
    17, 356, 367, 367, 0,	//232  Okular::Annotation*, const QString&, int, int
    367, 75, 356, 367, 367, 0,	//237  int, Okular::FormFieldText*, const QString&, int, int
    367, 71, 356, 367, 367, 0,	//243  int, Okular::FormFieldChoice*, const QString&, int, int
    367, 341, 0,	//249  int, const QList<Okular::FormFieldButton*>&
    362, 0,	//252  const QVector<Okular::VisiblePageRect*>&
    298, 47, 0,	//254  const Okular::DocumentViewport&, Okular::DocumentObserver*
    367, 356, 276, 212, 42, 276, 326, 0,	//257  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&
    44, 0,	//265  Okular::DocumentAction::DocumentActionType
    356, 356, 356, 0,	//267  const QString&, const QString&, const QString&
    46, 356, 0,	//271  Okular::DocumentInfo::Key, const QString&
    46, 0,	//274  Okular::DocumentInfo::Key
    293, 0,	//276  const Okular::DocumentInfo&
    356, 356, 0,	//278  const QString&, const QString&
    328, 0,	//281  const QDomDocument&
    296, 0,	//283  const Okular::DocumentSynopsis&
    299, 0,	//285  const Okular::EmbeddedFile&
    356, 281, 0,	//287  const QString&, const KSharedPtr<KMimeType>&
    280, 356, 281, 0,	//290  const KIcon&, const QString&, const KSharedPtr<KMimeType>&
    300, 0,	//294  const Okular::ExportFormat&
    57, 0,	//296  Okular::ExportFormat::StandardExportFormat
    52, 0,	//298  Okular::EmbeddedFile*
    187, 355, 188, 60, 61, 356, 0,	//300  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&
    187, 367, 367, 346, 0,	//307  QPrinter&, int, int, const QList<int>&
    187, 367, 346, 0,	//312  QPrinter&, int, const QList<int>&
    346, 0,	//316  const QList<int>&
    187, 357, 60, 61, 356, 188, 0,	//318  QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&, QPrinter::Orientation
    187, 60, 61, 276, 356, 356, 188, 0,	//325  QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&, QPrinter::Orientation
    187, 356, 0,	//333  QPrinter&, const QString&
    187, 60, 356, 0,	//336  QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&
    187, 61, 356, 276, 356, 0,	//340  QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&
    187, 188, 0,	//346  QPrinter&, QPrinter::Orientation
    301, 0,	//349  const Okular::FilePrinter&
    187, 355, 188, 0,	//351  QPrinter&, const QString, QPrinter::Orientation
    187, 355, 188, 60, 0,	//355  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy
    187, 355, 188, 60, 61, 0,	//360  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy
    66, 0,	//366  Okular::FontInfo::FontType
    65, 0,	//368  Okular::FontInfo::EmbedType
    73, 0,	//370  Okular::FormFieldPrivate&
    13, 0,	//372  Okular::Action*
    184, 344, 0,	//374  QObject*, const QList<QVariant>&
    356, 201, 0,	//377  const QString&, QVector<Okular::Page*>&
    325, 201, 0,	//380  const QByteArray&, QVector<Okular::Page*>&
    115, 0,	//383  Okular::PixmapRequest*
    104, 0,	//385  Okular::Page*
    120, 120, 0,	//387  Okular::Rotation, Okular::Rotation
    313, 313, 0,	//390  const Okular::PageSize&, const Okular::PageSize&
    79, 0,	//393  Okular::Generator::GeneratorFeature
    354, 0,	//395  const QSizeF&
    104, 139, 0,	//397  Okular::Page*, Okular::TextPage*
    79, 276, 0,	//400  Okular::Generator::GeneratorFeature, bool
    367, 308, 0,	//403  int, const Okular::NormalizedRect&
    302, 151, 0,	//406  const Okular::FontInfo&, QByteArray*
    82, 184, 344, 0,	//409  Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&
    85, 0,	//413  Okular::GeomAnnotation::GeomType
    326, 0,	//415  const QColor&
    356, 298, 0,	//417  const QString&, const Okular::DocumentViewport&
    305, 0,	//420  const Okular::GuiInterface&
    89, 0,	//422  Okular::HighlightAnnotation::HighlightType
    343, 0,	//424  const QList<QLinkedList<Okular::NormalizedPoint> >&
    335, 0,	//426  const QLinkedList<Okular::NormalizedPoint>&
    94, 0,	//428  Okular::LineAnnotation::TermStyle
    365, 0,	//430  double
    93, 0,	//432  Okular::LineAnnotation::LineIntent
    367, 367, 367, 367, 0,	//434  int, int, int, int
    365, 365, 365, 365, 307, 307, 0,	//439  double, double, double, double, const Okular::NormalizedPoint&, const Okular::NormalizedPoint&
    351, 365, 365, 0,	//446  const QRect&, double, double
    352, 0,	//450  const QRectF&
    309, 0,	//452  const Okular::NormalizedRect*
    367, 367, 0,	//454  int, int
    365, 365, 365, 365, 276, 103, 370, 0,	//457  double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*
    308, 276, 103, 370, 0,	//465  const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*
    350, 103, 370, 0,	//470  const QPolygonF&, Okular::ObjectRect::ObjectType, void*
    310, 0,	//474  const Okular::ObjectRect&
    103, 0,	//476  Okular::ObjectRect::ObjectType
    370, 0,	//478  void*
    349, 0,	//480  const QPainterPath&
    368, 365, 365, 120, 0,	//482  unsigned int, double, double, Okular::Rotation
    47, 367, 367, 308, 0,	//487  Okular::DocumentObserver*, int, int, const Okular::NormalizedRect&
    367, 356, 123, 212, 318, 0,	//492  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*
    318, 0,	//498  const Okular::RegularAreaRect*
    318, 140, 0,	//500  const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour
    307, 194, 0,	//503  const Okular::NormalizedPoint&, QString*
    141, 0,	//506  Okular::TextSelection*
    103, 365, 365, 365, 365, 0,	//508  Okular::ObjectRect::ObjectType, double, double, double, double
    103, 365, 365, 365, 365, 366, 0,	//514  Okular::ObjectRect::ObjectType, double, double, double, double, double*
    105, 0,	//521  Okular::Page::PageAction
    47, 186, 308, 0,	//523  Okular::DocumentObserver*, QPixmap*, const Okular::NormalizedRect&
    139, 0,	//527  Okular::TextPage*
    336, 0,	//529  const QLinkedList<Okular::ObjectRect*>&
    338, 0,	//531  const QLinkedList<Okular::SourceRefObjectRect*>&
    110, 0,	//533  Okular::PageTransition*
    105, 13, 0,	//535  Okular::Page::PageAction, Okular::Action*
    334, 0,	//538  const QLinkedList<Okular::FormField*>&
    295, 0,	//540  const Okular::DocumentObserver*
    295, 308, 0,	//542  const Okular::DocumentObserver*, const Okular::NormalizedRect&
    47, 367, 0,	//545  Okular::DocumentObserver*, int
    47, 367, 367, 0,	//548  Okular::DocumentObserver*, int, int
    367, 356, 123, 212, 0,	//552  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity
    47, 186, 0,	//557  Okular::DocumentObserver*, QPixmap*
    365, 365, 356, 0,	//560  double, double, const QString&
    113, 0,	//564  Okular::PageTransition::Type
    314, 0,	//566  const Okular::PageTransition&
    111, 0,	//568  Okular::PageTransition::Alignment
    112, 0,	//570  Okular::PageTransition::Direction
    47, 367, 367, 367, 367, 163, 0,	//572  Okular::DocumentObserver*, int, int, int, int, QFlags<Okular::PixmapRequest::PixmapRequestFeature>
    316, 0,	//579  const Okular::PrintInterface&
    317, 0,	//581  const Okular::RegularAreaRect&
    122, 356, 0,	//583  Okular::ScriptType, const QString&
    325, 0,	//586  const QByteArray&
    125, 0,	//588  Okular::Sound::SoundEncoding
    365, 276, 276, 276, 124, 0,	//590  double, bool, bool, bool, Okular::Sound*
    124, 0,	//596  Okular::Sound*
    307, 370, 0,	//598  const Okular::NormalizedPoint&, void*
    320, 0,	//601  const Okular::SourceRefObjectRect&
    356, 367, 367, 0,	//603  const QString&, int, int
    134, 0,	//607  Okular::TextAnnotation::TextType
    331, 0,	//609  const QFont&
    307, 367, 0,	//611  const Okular::NormalizedPoint&, int
    133, 0,	//614  Okular::TextAnnotation::InplaceIntent
    13, 367, 367, 0,	//616  Okular::Action*, int, int
    17, 367, 367, 0,	//620  Okular::Annotation*, int, int
    367, 356, 359, 0,	//624  int, const QString&, const QTextBlock&
    198, 359, 0,	//628  QTextDocument*, const QTextBlock&
    135, 356, 184, 344, 0,	//631  Okular::TextDocumentConverter*, const QString&, QObject*, const QList<QVariant>&
    135, 184, 344, 0,	//636  Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&
    356, 101, 0,	//640  const QString&, Okular::NormalizedRect*
    342, 0,	//643  const QList<Okular::TextEntity*>&
    308, 186, 276, 0,	//645  const Okular::NormalizedRect&, QPixmap*, bool
    322, 0,	//649  const Okular::Tile&
    351, 367, 367, 367, 0,	//651  const QRect&, int, int, int
    332, 0,	//656  const QImage*
    323, 0,	//658  const Okular::Utils&
    324, 0,	//660  const Okular::VisiblePageRect&
    161, 0,	//662  QEvent*
    184, 161, 0,	//664  QObject*, QEvent*
    199, 0,	//667  QTimerEvent*
    152, 0,	//669  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "ACaret",	//1
    "AFileAttachment",	//2
    "AGeom",	//3
    "AHighlight",	//4
    "AInk",	//5
    "ALaw",	//6
    "ALine",	//7
    "AMovie",	//8
    "AScreen",	//9
    "ASound",	//10
    "AStamp",	//11
    "AText",	//12
    "AWidget",	//13
    "A_BASE",	//14
    "Accepted",	//15
    "Action",	//16
    "Action#",	//17
    "AllDocument",	//18
    "Annotation",	//19
    "Annotation#",	//20
    "Annotation##",	//21
    "AnnotationObjectRect",	//22
    "AnnotationObjectRect#",	//23
    "AnnotationUtils",	//24
    "AnnotationUtils#",	//25
    "AnyPixelTextAreaInclusionBehaviour",	//26
    "ApplicationDeletesFiles",	//27
    "ApplicationSelectsPages",	//28
    "Arrow",	//29
    "Asynchronous",	//30
    "Author",	//31
    "BeingMoved",	//32
    "Beveled",	//33
    "Blinds",	//34
    "Box",	//35
    "Browse",	//36
    "BrowseAction",	//37
    "BrowseAction$",	//38
    "Butt",	//39
    "CIDTrueType",	//40
    "CIDTrueTypeOT",	//41
    "CIDType0",	//42
    "CIDType0C",	//43
    "CIDType0COT",	//44
    "Callout",	//45
    "Cancelled",	//46
    "CaretAnnotation",	//47
    "CaretAnnotation#",	//48
    "Category",	//49
    "Center",	//50
    "CentralPixelTextAreaInclusionBehaviour",	//51
    "CheckBox",	//52
    "Circle",	//53
    "Close",	//54
    "ClosedArrow",	//55
    "Closing",	//56
    "Cloudy",	//57
    "ComboBox",	//58
    "Completed",	//59
    "ConfigInterface",	//60
    "ConfigInterface#",	//61
    "Copyright",	//62
    "Cover",	//63
    "CreationDate",	//64
    "Creator",	//65
    "Dashed",	//66
    "Delete",	//67
    "DenyDelete",	//68
    "DenyPrint",	//69
    "DenyWrite",	//70
    "Description",	//71
    "Diamond",	//72
    "Dimension",	//73
    "Dissolve",	//74
    "DocAction",	//75
    "Document",	//76
    "Document#",	//77
    "DocumentAction",	//78
    "DocumentAction$",	//79
    "DocumentInfo",	//80
    "DocumentInfo#",	//81
    "DocumentSize",	//82
    "DocumentSynopsis",	//83
    "DocumentSynopsis#",	//84
    "DocumentViewport",	//85
    "DocumentViewport#",	//86
    "DocumentViewport$",	//87
    "Embedded",	//88
    "EmbeddedFile",	//89
    "EmbeddedFile#",	//90
    "EmbeddedSubset",	//91
    "EndPresentation",	//92
    "Execute",	//93
    "ExecuteAction",	//94
    "ExecuteAction$$",	//95
    "ExportFormat",	//96
    "ExportFormat#",	//97
    "ExportFormat#$?",	//98
    "ExportFormat$?",	//99
    "External",	//100
    "ExternallyDrawn",	//101
    "Fade",	//102
    "FileAttachmentAnnotation",	//103
    "FileAttachmentAnnotation#",	//104
    "FileConversionPrintError",	//105
    "FilePath",	//106
    "FilePrinter",	//107
    "FilePrinter#",	//108
    "FileSelect",	//109
    "Find",	//110
    "FixedRotation",	//111
    "FixedSize",	//112
    "Fly",	//113
    "FontInfo",	//114
    "FontInfo#",	//115
    "FormButton",	//116
    "FormChoice",	//117
    "FormField",	//118
    "FormField#",	//119
    "FormFieldButton",	//120
    "FormFieldChoice",	//121
    "FormFieldText",	//122
    "FormSignature",	//123
    "FormText",	//124
    "FullyEmbedded",	//125
    "Generator",	//126
    "Generator##?",	//127
    "Generator#?",	//128
    "GeomAnnotation",	//129
    "GeomAnnotation#",	//130
    "Glitter",	//131
    "GoToPage",	//132
    "GoogleAll",	//133
    "GoogleAny",	//134
    "Goto",	//135
    "GotoAction",	//136
    "GotoAction$#",	//137
    "GotoAction$$",	//138
    "Group",	//139
    "GuiInterface",	//140
    "GuiInterface#",	//141
    "HTML",	//142
    "Hidden",	//143
    "Highlight",	//144
    "HighlightAnnotation",	//145
    "HighlightAnnotation#",	//146
    "HistoryBack",	//147
    "HistoryForward",	//148
    "Horizontal",	//149
    "Image",	//150
    "InPlace",	//151
    "InkAnnotation",	//152
    "InkAnnotation#",	//153
    "InscribedCircle",	//154
    "InscribedSquare",	//155
    "Inset",	//156
    "InvalidPageSizePrintError",	//157
    "InvalidPrinterStatePrintError",	//158
    "Inward",	//159
    "KST_CTimeInfo",	//160
    "KST_KCustom",	//161
    "KST_KDEDesktopMimeType",	//162
    "KST_KFolderMimeType",	//163
    "KST_KImageIO",	//164
    "KST_KImageIOFormat",	//165
    "KST_KMimeType",	//166
    "KST_KMimeTypeEntry",	//167
    "KST_KMimeTypeFactory",	//168
    "KST_KProtocolInfo",	//169
    "KST_KProtocolInfoFactory",	//170
    "KST_KService",	//171
    "KST_KServiceFactory",	//172
    "KST_KServiceGroup",	//173
    "KST_KServiceGroupFactory",	//174
    "KST_KServiceSeparator",	//175
    "KST_KServiceType",	//176
    "KST_KServiceTypeFactory",	//177
    "KST_KSycocaEntry",	//178
    "Keywords",	//179
    "LineAnnotation",	//180
    "LineAnnotation#",	//181
    "Linked",	//182
    "ListBox",	//183
    "Marked",	//184
    "MatchFound",	//185
    "MimeType",	//186
    "ModificationDate",	//187
    "Movie",	//188
    "Multiline",	//189
    "NativePrinting",	//190
    "NextMatch",	//191
    "NoBinaryToPrintError",	//192
    "NoEffect",	//193
    "NoFeature",	//194
    "NoFileToPrintError",	//195
    "NoMatchFound",	//196
    "NoOption",	//197
    "NoPrintError",	//198
    "NoPrinting",	//199
    "None",	//200
    "Normal",	//201
    "NormalizedPoint",	//202
    "NormalizedPoint#",	//203
    "NormalizedPoint$$",	//204
    "NormalizedPoint$$$$",	//205
    "NormalizedRect",	//206
    "NormalizedRect#",	//207
    "NormalizedRect#$$",	//208
    "NormalizedRect$$$$",	//209
    "NotEmbedded",	//210
    "OAnnotation",	//211
    "ObjectRect",	//212
    "ObjectRect#",	//213
    "ObjectRect#$$",	//214
    "ObjectRect#$$$",	//215
    "ObjectRect$$$$$$$",	//216
    "OpenArrow",	//217
    "OpenDocumentText",	//218
    "Opening",	//219
    "Outward",	//220
    "P",	//221
    "PDF",	//222
    "Page",	//223
    "Page$$$$",	//224
    "PageClosing",	//225
    "PageFirst",	//226
    "PageLast",	//227
    "PageNext",	//228
    "PageOpening",	//229
    "PagePrev",	//230
    "PageSize",	//231
    "PageSize#",	//232
    "PageSize$$$",	//233
    "PageSizes",	//234
    "PageTransition",	//235
    "PageTransition#",	//236
    "PageTransition$",	//237
    "Pages",	//238
    "PagesSize",	//239
    "Pixels",	//240
    "PixmapRequest",	//241
    "PixmapRequest#$$$$$",	//242
    "PlainText",	//243
    "Points",	//244
    "PolygonCloud",	//245
    "PostscriptPrinting",	//246
    "Preload",	//247
    "Presentation",	//248
    "PreviousMatch",	//249
    "PrintInterface",	//250
    "PrintInterface#",	//251
    "PrintNative",	//252
    "PrintPostscript",	//253
    "PrintToFile",	//254
    "PrintToFilePrintError",	//255
    "PrintingProcessCrashPrintError",	//256
    "PrintingProcessStartPrintError",	//257
    "Producer",	//258
    "Push",	//259
    "Quit",	//260
    "RClosedArrow",	//261
    "ROpenArrow",	//262
    "Radio",	//263
    "Raw",	//264
    "ReadRawData",	//265
    "RegularAreaRect",	//266
    "RegularAreaRect#",	//267
    "Rejected",	//268
    "RemoveAllPrevious",	//269
    "Rendition",	//270
    "Replace",	//271
    "Reply",	//272
    "SaveAnnotationsCapability",	//273
    "SaveFormsCapability",	//274
    "Script",	//275
    "ScriptAction",	//276
    "ScriptAction$$",	//277
    "SearchCancelled",	//278
    "Signed",	//279
    "Slash",	//280
    "Solid",	//281
    "Sound",	//282
    "Sound#",	//283
    "Sound$",	//284
    "SoundAction",	//285
    "SoundAction$$$$#",	//286
    "SoundAnnotation",	//287
    "SoundAnnotation#",	//288
    "SourceRef",	//289
    "SourceRefObjectRect",	//290
    "SourceRefObjectRect#",	//291
    "SourceRefObjectRect#$",	//292
    "SourceReference",	//293
    "SourceReference$$",	//294
    "SourceReference$$$",	//295
    "Split",	//296
    "Square",	//297
    "Squiggly",	//298
    "StampAnnotation",	//299
    "StampAnnotation#",	//300
    "StateNoReverse",	//301
    "StateReverse",	//302
    "StrikeOut",	//303
    "Subject",	//304
    "SystemDeletesFiles",	//305
    "SystemSelectsPages",	//306
    "TeXFontMetric",	//307
    "TeXFreeTypeHandled",	//308
    "TeXPK",	//309
    "TeXVirtual",	//310
    "TemporaryFileOpenPrintError",	//311
    "TextAnnotation",	//312
    "TextAnnotation#",	//313
    "TextDocumentConverter",	//314
    "TextDocumentGenerator",	//315
    "TextDocumentGenerator##?",	//316
    "TextDocumentGenerator#$#?",	//317
    "TextEntity",	//318
    "TextEntity$#",	//319
    "TextExtraction",	//320
    "TextPage",	//321
    "TextPage?",	//322
    "Threaded",	//323
    "Tile",	//324
    "Tile#",	//325
    "Tile##$",	//326
    "TiledRendering",	//327
    "Title",	//328
    "ToggleHidingOnMouse",	//329
    "TopLeft",	//330
    "TrueType",	//331
    "TrueTypeOT",	//332
    "Type1",	//333
    "Type1C",	//334
    "Type1COT",	//335
    "Type3",	//336
    "TypeWriter",	//337
    "UnableToFindFilePrintError",	//338
    "Uncover",	//339
    "Underline",	//340
    "Unknown",	//341
    "UnknownPrintError",	//342
    "Unmarked",	//343
    "Utils",	//344
    "Utils#",	//345
    "Vertical",	//346
    "VisiblePageRect",	//347
    "VisiblePageRect#",	//348
    "VisiblePageRect$",	//349
    "VisiblePageRect$#",	//350
    "Wipe",	//351
    "_IEEE_",	//352
    "_ISOC_",	//353
    "_POSIX_",	//354
    "_SVID_",	//355
    "_XOPEN_",	//356
    "action",	//357
    "actionCollection",	//358
    "actionTip",	//359
    "actionType",	//360
    "activationAction",	//361
    "addAction",	//362
    "addAction#$$",	//363
    "addAnnotation",	//364
    "addAnnotation#",	//365
    "addAnnotation#$$",	//366
    "addMetaData",	//367
    "addMetaData$$",	//368
    "addMetaData$$$",	//369
    "addObserver",	//370
    "addObserver#",	//371
    "addPageAnnotation",	//372
    "addPageAnnotation$#",	//373
    "addPages",	//374
    "addPages#",	//375
    "addTitle",	//376
    "addTitle$$#",	//377
    "alignment",	//378
    "allPagesSize",	//379
    "angle",	//380
    "annotation",	//381
    "annotationContentsChangedByUndoRedo",	//382
    "annotationContentsChangedByUndoRedo#$$$",	//383
    "annotationGeometry",	//384
    "annotationGeometry#$$",	//385
    "annotations",	//386
    "append",	//387
    "append$#",	//388
    "area",	//389
    "asynchronous",	//390
    "author",	//391
    "bitsPerSample",	//392
    "bookmarkManager",	//393
    "bookmarkedPageList",	//394
    "bookmarkedPageRange",	//395
    "bottom",	//396
    "boundingBox",	//397
    "boundingRect",	//398
    "boundingRect$$",	//399
    "boundingRectangle",	//400
    "buttonType",	//401
    "calculateViewport",	//402
    "calculateViewport##",	//403
    "canBeExtracted",	//404
    "canBeMoved",	//405
    "canBeSpellChecked",	//406
    "canConfigurePrinter",	//407
    "canExportToText",	//408
    "canGeneratePixmap",	//409
    "canGenerateTextPage",	//410
    "canModifyPageAnnotation",	//411
    "canModifyPageAnnotation#",	//412
    "canProvideFontInformation",	//413
    "canRedo",	//414
    "canRedoChanged",	//415
    "canRedoChanged$",	//416
    "canRemovePageAnnotation",	//417
    "canRemovePageAnnotation#",	//418
    "canSaveChanges",	//419
    "canSaveChanges$",	//420
    "canUndo",	//421
    "canUndoChanged",	//422
    "canUndoChanged$",	//423
    "cancelSearch",	//424
    "caption",	//425
    "caretSymbol",	//426
    "center",	//427
    "channels",	//428
    "childEvent",	//429
    "choiceType",	//430
    "choices",	//431
    "close",	//432
    "closeDocument",	//433
    "column",	//434
    "componentData",	//435
    "configurableGenerators",	//436
    "connectNotify",	//437
    "contains",	//438
    "contains$$",	//439
    "contains$$$$",	//440
    "contents",	//441
    "continueSearch",	//442
    "continueSearch$",	//443
    "continueSearch$$",	//444
    "convert",	//445
    "convert$",	//446
    "copies",	//447
    "copies#$",	//448
    "createAnnotation",	//449
    "createAnnotation#",	//450
    "creationDate",	//451
    "cupsAvailable",	//452
    "cupsOptions",	//453
    "cupsOptions#$",	//454
    "currentChoices",	//455
    "currentDocument",	//456
    "currentPage",	//457
    "customEvent",	//458
    "d_func",	//459
    "data",	//460
    "deleteAnnotations",	//461
    "deleteFile",	//462
    "deleteFile#$$",	//463
    "deletePixmap",	//464
    "deletePixmap#",	//465
    "deletePixmaps",	//466
    "deleteRects",	//467
    "deleteSourceReferences",	//468
    "description",	//469
    "destViewport",	//470
    "destination",	//471
    "destination#$",	//472
    "destinationName",	//473
    "detectCupsConfig",	//474
    "detectCupsService",	//475
    "direction",	//476
    "disconnectNotify",	//477
    "distanceSqr",	//478
    "distanceSqr$$$$",	//479
    "distanceSqr$$$$##",	//480
    "doCloseDocument",	//481
    "doPrintFiles",	//482
    "doPrintFiles#?$$$$",	//483
    "document",	//484
    "documentActionType",	//485
    "documentInfo",	//486
    "documentMetaData",	//487
    "documentMetaData$",	//488
    "documentMetaData$#",	//489
    "documentSynopsis",	//490
    "domDocument",	//491
    "dpi",	//492
    "dpiX",	//493
    "dpiY",	//494
    "duration",	//495
    "dynamicSourceReference",	//496
    "dynamicSourceReference$$$",	//497
    "editChoice",	//498
    "editFormButtons",	//499
    "editFormButtons$??",	//500
    "editFormCombo",	//501
    "editFormCombo$#$$$$",	//502
    "editFormList",	//503
    "editFormList$#?",	//504
    "editFormText",	//505
    "editFormText$#$$$$",	//506
    "editPageAnnotationContents",	//507
    "editPageAnnotationContents$#$$$$",	//508
    "embedType",	//509
    "embeddedFile",	//510
    "embeddedFiles",	//511
    "error",	//512
    "error$$",	//513
    "event",	//514
    "eventFilter",	//515
    "exportFormats",	//516
    "exportTo",	//517
    "exportTo$#",	//518
    "exportToText",	//519
    "exportToText$",	//520
    "file",	//521
    "fileIconName",	//522
    "fileName",	//523
    "fillConfigDialog",	//524
    "fillConfigDialog#",	//525
    "findChildElement",	//526
    "findChildElement#$",	//527
    "findText",	//528
    "findText$$$$",	//529
    "findText$$$$#",	//530
    "flags",	//531
    "fontData",	//532
    "fontData#",	//533
    "fontReadingEnded",	//534
    "fontReadingProgress",	//535
    "fontReadingProgress$",	//536
    "fontsForPage",	//537
    "fontsForPage$",	//538
    "formButtonsChangedByUndoRedo",	//539
    "formButtonsChangedByUndoRedo$?",	//540
    "formComboChangedByUndoRedo",	//541
    "formComboChangedByUndoRedo$#$$$",	//542
    "formFields",	//543
    "formListChangedByUndoRedo",	//544
    "formListChangedByUndoRedo$#?",	//545
    "formTextChangedByUndoRedo",	//546
    "formTextChangedByUndoRedo$#$$$",	//547
    "fromQRectF",	//548
    "fromQRectF#",	//549
    "generalSettings",	//550
    "generateDocumentInfo",	//551
    "generateDocumentSynopsis",	//552
    "generatePixmap",	//553
    "generatePixmap#",	//554
    "generateTextPage",	//555
    "generateTextPage#",	//556
    "generator",	//557
    "geometricalInnerColor",	//558
    "geometricalType",	//559
    "geometry",	//560
    "geometry$$",	//561
    "get",	//562
    "get$",	//563
    "getAnnotationPropertiesDomNode",	//564
    "getKeyString",	//565
    "getKeyString$",	//566
    "getKeyTitle",	//567
    "getKeyTitle$",	//568
    "gotFont",	//569
    "gotFont#",	//570
    "guiClient",	//571
    "hasAnnotations",	//572
    "hasFeature",	//573
    "hasFeature$",	//574
    "hasHighlights",	//575
    "hasHighlights$",	//576
    "hasObjectRect",	//577
    "hasObjectRect$$$$",	//578
    "hasPixmap",	//579
    "hasPixmap#",	//580
    "hasPixmap#$",	//581
    "hasPixmap#$$",	//582
    "hasPixmap#$$#",	//583
    "hasTextPage",	//584
    "hasTilesManager",	//585
    "hasTilesManager#",	//586
    "hasTransition",	//587
    "height",	//588
    "highlightQuads",	//589
    "highlightType",	//590
    "historyAtBegin",	//591
    "historyAtEnd",	//592
    "icon",	//593
    "id",	//594
    "image",	//595
    "image#",	//596
    "imageBoundingBox",	//597
    "imageBoundingBox#",	//598
    "inkPaths",	//599
    "inplaceAlignment",	//600
    "inplaceCallout",	//601
    "inplaceCallout$",	//602
    "inplaceIntent",	//603
    "intersects",	//604
    "intersects#",	//605
    "intersects$$$$",	//606
    "isAllowed",	//607
    "isAllowed$",	//608
    "isBottom",	//609
    "isBottom#",	//610
    "isBottomOrLevel",	//611
    "isBottomOrLevel#",	//612
    "isBoundingBoxKnown",	//613
    "isEditable",	//614
    "isExternal",	//615
    "isLeft",	//616
    "isLeft#",	//617
    "isNull",	//618
    "isOpened",	//619
    "isPassword",	//620
    "isReadOnly",	//621
    "isRectangular",	//622
    "isRichText",	//623
    "isRight",	//624
    "isRight#",	//625
    "isTile",	//626
    "isTop",	//627
    "isTop#",	//628
    "isTopOrLevel",	//629
    "isTopOrLevel#",	//630
    "isValid",	//631
    "isVisible",	//632
    "jobname",	//633
    "jobname#$",	//634
    "label",	//635
    "left",	//636
    "lineClosed",	//637
    "lineEndStyle",	//638
    "lineInnerColor",	//639
    "lineIntent",	//640
    "lineLeadingBackwardPoint",	//641
    "lineLeadingForwardPoint",	//642
    "linePoints",	//643
    "lineStartStyle",	//644
    "linkEndPresentation",	//645
    "linkFind",	//646
    "linkGoToPage",	//647
    "linkPresentation",	//648
    "loadDocument",	//649
    "loadDocument$?",	//650
    "loadDocumentFromData",	//651
    "loadDocumentFromData#?",	//652
    "localXMLFile",	//653
    "m_object",	//654
    "m_objectType",	//655
    "m_path",	//656
    "m_transformedPath",	//657
    "maximumLength",	//658
    "mediaPageSize",	//659
    "mediaPageSize#",	//660
    "mediaPaperSource",	//661
    "mediaPaperSource#",	//662
    "metaData",	//663
    "metaData$",	//664
    "metaData$#",	//665
    "metaObject",	//666
    "mimeType",	//667
    "mix",	//668
    "modificationDate",	//669
    "modifyPageAnnotationProperties",	//670
    "modifyPageAnnotationProperties$#",	//671
    "muLaw",	//672
    "multiSelect",	//673
    "name",	//674
    "nativeId",	//675
    "nearestObjectRect",	//676
    "nearestObjectRect$$$$$$",	//677
    "normalizedRect",	//678
    "notice",	//679
    "notice$$",	//680
    "number",	//681
    "object",	//682
    "objectRect",	//683
    "objectRect$$$$$",	//684
    "objectRects",	//685
    "objectRects$$$$$",	//686
    "objectType",	//687
    "observer",	//688
    "openDialogAfterCreation",	//689
    "openDocument",	//690
    "openDocument$#?",	//691
    "openDocumentArchive",	//692
    "openDocumentArchive$#",	//693
    "openUrl",	//694
    "openUrl#",	//695
    "operator!=",	//696
    "operator!=#",	//697
    "operator&",	//698
    "operator&#",	//699
    "operator<",	//700
    "operator<#",	//701
    "operator=",	//702
    "operator=#",	//703
    "operator==",	//704
    "operator==#",	//705
    "operator|",	//706
    "operator|#",	//707
    "operator|=",	//708
    "operator|=#",	//709
    "optionCollateCopies",	//710
    "optionCollateCopies#",	//711
    "optionCupsProperties",	//712
    "optionCupsProperties#",	//713
    "optionDoubleSidedPrinting",	//714
    "optionDoubleSidedPrinting#",	//715
    "optionMedia",	//716
    "optionMedia#",	//717
    "optionOrientation",	//718
    "optionOrientation#$",	//719
    "optionPageMargins",	//720
    "optionPageMargins#",	//721
    "optionPageOrder",	//722
    "optionPageOrder#",	//723
    "orientation",	//724
    "page",	//725
    "page$",	//726
    "pageAction",	//727
    "pageAction$",	//728
    "pageList",	//729
    "pageList#$$?",	//730
    "pageList#$?",	//731
    "pageListToPageRange",	//732
    "pageListToPageRange?",	//733
    "pageNumber",	//734
    "pageRange",	//735
    "pageRange#$?",	//736
    "pageSizeChanged",	//737
    "pageSizeChanged##",	//738
    "pageSizeString",	//739
    "pageSizeString$",	//740
    "pageSizes",	//741
    "pages",	//742
    "pages#$$$$",	//743
    "pagesSizeMetric",	//744
    "parameters",	//745
    "pdf2psAvailable",	//746
    "pixmap",	//747
    "preload",	//748
    "prepareToModifyAnnotationProperties",	//749
    "prepareToModifyAnnotationProperties#",	//750
    "print",	//751
    "print#",	//752
    "printArguments",	//753
    "printArguments#$$$$$$",	//754
    "printConfigurationWidget",	//755
    "printError",	//756
    "printError$",	//757
    "printFile",	//758
    "printFile#$$",	//759
    "printFile#$$$",	//760
    "printFile#$$$$",	//761
    "printFile#$$$$$",	//762
    "printingSupport",	//763
    "priority",	//764
    "processAction",	//765
    "processAction#",	//766
    "processMovieAction",	//767
    "processMovieAction#",	//768
    "processRenditionAction",	//769
    "processRenditionAction#",	//770
    "processSourceReference",	//771
    "processSourceReference#",	//772
    "ps2pdfAvailable",	//773
    "psPaperSize",	//774
    "psPaperSize#",	//775
    "qt_metacall",	//776
    "qt_metacall$$?",	//777
    "qt_metacast",	//778
    "qt_metacast$",	//779
    "quit",	//780
    "ratio",	//781
    "realDpi",	//782
    "realDpi#",	//783
    "realDpiX",	//784
    "realDpiY",	//785
    "rect",	//786
    "redo",	//787
    "region",	//788
    "registerView",	//789
    "registerView#",	//790
    "removeAnnotation",	//791
    "removeAnnotation#",	//792
    "removeObserver",	//793
    "removeObserver#",	//794
    "removePageAnnotation",	//795
    "removePageAnnotation$#",	//796
    "removePageAnnotations",	//797
    "removePageAnnotations$?",	//798
    "reparseConfig",	//799
    "repeat",	//800
    "requestFontData",	//801
    "requestFontData##",	//802
    "requestPixmaps",	//803
    "requestPixmaps?",	//804
    "requestPixmaps?$",	//805
    "requestTextPage",	//806
    "requestTextPage$",	//807
    "resetSearch",	//808
    "resetSearch$",	//809
    "revisions",	//810
    "right",	//811
    "rotateRect",	//812
    "rotateRect#$$$",	//813
    "rotation",	//814
    "rotationChanged",	//815
    "rotationChanged$$",	//816
    "roundedGeometry",	//817
    "roundedGeometry$$",	//818
    "row",	//819
    "samplingRate",	//820
    "saveChanges",	//821
    "saveChanges$",	//822
    "saveChanges$$",	//823
    "saveDocumentArchive",	//824
    "saveDocumentArchive$",	//825
    "scale",	//826
    "script",	//827
    "scriptType",	//828
    "searchFinished",	//829
    "searchFinished$$",	//830
    "searchText",	//831
    "searchText$$$$$$#",	//832
    "searchText$$$$$$#$",	//833
    "set",	//834
    "set$$",	//835
    "set$$$",	//836
    "setActivationAction",	//837
    "setActivationAction#",	//838
    "setAlignment",	//839
    "setAlignment$",	//840
    "setAngle",	//841
    "setAngle$",	//842
    "setAnnotationEditingEnabled",	//843
    "setAnnotationEditingEnabled$",	//844
    "setAnnotationProperties",	//845
    "setAnnotationProperties#",	//846
    "setAuthor",	//847
    "setAuthor$",	//848
    "setBitsPerSample",	//849
    "setBitsPerSample$",	//850
    "setBottom",	//851
    "setBottom$",	//852
    "setBoundingBox",	//853
    "setBoundingBox#",	//854
    "setBoundingRectangle",	//855
    "setBoundingRectangle#",	//856
    "setCanBeExtracted",	//857
    "setCanBeExtracted$",	//858
    "setCaretSymbol",	//859
    "setCaretSymbol$",	//860
    "setChannels",	//861
    "setChannels$",	//862
    "setComponentData",	//863
    "setContents",	//864
    "setContents$",	//865
    "setCreationDate",	//866
    "setCreationDate#",	//867
    "setCurrentChoices",	//868
    "setCurrentChoices?",	//869
    "setDOMDocument",	//870
    "setDPI",	//871
    "setDPI#",	//872
    "setDirection",	//873
    "setDirection$",	//874
    "setDisposeDataFunction",	//875
    "setDisposeDataFunction$",	//876
    "setDuration",	//877
    "setDuration$",	//878
    "setEditChoice",	//879
    "setEditChoice$",	//880
    "setEmbedType",	//881
    "setEmbedType$",	//882
    "setEmbeddedFile",	//883
    "setEmbeddedFile#",	//884
    "setFeature",	//885
    "setFeature$",	//886
    "setFeature$$",	//887
    "setFile",	//888
    "setFile$",	//889
    "setFileIconName",	//890
    "setFileIconName$",	//891
    "setFlags",	//892
    "setFlags$",	//893
    "setFormFields",	//894
    "setFormFields?",	//895
    "setGeometricalInnerColor",	//896
    "setGeometricalInnerColor#",	//897
    "setGeometricalType",	//898
    "setGeometricalType$",	//899
    "setHighlightType",	//900
    "setHighlightType$",	//901
    "setInkPaths",	//902
    "setInkPaths?",	//903
    "setInplaceAlignment",	//904
    "setInplaceAlignment$",	//905
    "setInplaceCallout",	//906
    "setInplaceCallout#$",	//907
    "setInplaceIntent",	//908
    "setInplaceIntent$",	//909
    "setIsRectangular",	//910
    "setIsRectangular$",	//911
    "setLabel",	//912
    "setLabel$",	//913
    "setLeft",	//914
    "setLeft$",	//915
    "setLineClosed",	//916
    "setLineClosed$",	//917
    "setLineEndStyle",	//918
    "setLineEndStyle$",	//919
    "setLineInnerColor",	//920
    "setLineInnerColor#",	//921
    "setLineIntent",	//922
    "setLineIntent$",	//923
    "setLineLeadingBackwardPoint",	//924
    "setLineLeadingBackwardPoint$",	//925
    "setLineLeadingForwardPoint",	//926
    "setLineLeadingForwardPoint$",	//927
    "setLinePoints",	//928
    "setLinePoints?",	//929
    "setLineStartStyle",	//930
    "setLineStartStyle$",	//931
    "setLocalXMLFile",	//932
    "setM_object",	//933
    "setM_object$",	//934
    "setM_objectType",	//935
    "setM_objectType$",	//936
    "setM_path",	//937
    "setM_path#",	//938
    "setM_transformedPath",	//939
    "setM_transformedPath#",	//940
    "setModificationDate",	//941
    "setModificationDate#",	//942
    "setName",	//943
    "setName$",	//944
    "setNativeId",	//945
    "setNativeId#",	//946
    "setNextDocumentDestination",	//947
    "setNextDocumentDestination$",	//948
    "setNextDocumentViewport",	//949
    "setNextDocumentViewport#",	//950
    "setNextViewport",	//951
    "setNormalizedRect",	//952
    "setNormalizedRect#",	//953
    "setObjectRects",	//954
    "setObjectRects?",	//955
    "setPageAction",	//956
    "setPageAction$#",	//957
    "setPageNumber",	//958
    "setPageNumber$",	//959
    "setPageSize",	//960
    "setPageSize#",	//961
    "setPageTextSelection",	//962
    "setPageTextSelection$##",	//963
    "setPixmap",	//964
    "setPixmap##",	//965
    "setPixmap###",	//966
    "setPrevViewport",	//967
    "setRect",	//968
    "setRect#",	//969
    "setRight",	//970
    "setRight$",	//971
    "setRotation",	//972
    "setRotation$",	//973
    "setSamplingRate",	//974
    "setSamplingRate$",	//975
    "setScale",	//976
    "setScale$",	//977
    "setShowCaption",	//978
    "setShowCaption$",	//979
    "setSound",	//980
    "setSound#",	//981
    "setSoundEncoding",	//982
    "setSoundEncoding$",	//983
    "setSoundIconName",	//984
    "setSoundIconName$",	//985
    "setSourceReferences",	//986
    "setSourceReferences?",	//987
    "setStampIconName",	//988
    "setStampIconName$",	//989
    "setState",	//990
    "setState$",	//991
    "setText",	//992
    "setText$",	//993
    "setTextFont",	//994
    "setTextFont#",	//995
    "setTextIcon",	//996
    "setTextIcon$",	//997
    "setTextPage",	//998
    "setTextPage#",	//999
    "setTextType",	//1000
    "setTextType$",	//1001
    "setTile",	//1002
    "setTile$",	//1003
    "setTop",	//1004
    "setTop$",	//1005
    "setTransition",	//1006
    "setTransition#",	//1007
    "setType",	//1008
    "setType$",	//1009
    "setUniqueName",	//1010
    "setUniqueName$",	//1011
    "setViewport",	//1012
    "setViewport#",	//1013
    "setViewport##",	//1014
    "setViewport##$",	//1015
    "setViewportPage",	//1016
    "setViewportPage$",	//1017
    "setViewportPage$#",	//1018
    "setViewportPage$#$",	//1019
    "setVisiblePageRects",	//1020
    "setVisiblePageRects?",	//1021
    "setVisiblePageRects?#",	//1022
    "setX",	//1023
    "setX$",	//1024
    "setXML",	//1025
    "setXMLFile",	//1026
    "setY",	//1027
    "setY$",	//1028
    "setZoom",	//1029
    "setZoom$",	//1030
    "setZoom$#",	//1031
    "showCaption",	//1032
    "siblings",	//1033
    "signalPixmapRequestDone",	//1034
    "signalPixmapRequestDone#",	//1035
    "signalTextGenerationDone",	//1036
    "signalTextGenerationDone##",	//1037
    "size",	//1038
    "sound",	//1039
    "soundEncoding",	//1040
    "soundIconName",	//1041
    "soundType",	//1042
    "sourceReferenceActivated",	//1043
    "sourceReferenceActivated$$$$",	//1044
    "stampIconName",	//1045
    "standardFormat",	//1046
    "standardFormat$",	//1047
    "startFontReading",	//1048
    "state",	//1049
    "stateChanged",	//1050
    "staticMetaObject",	//1051
    "stopFontReading",	//1052
    "store",	//1053
    "store##",	//1054
    "storeAnnotation",	//1055
    "storeAnnotation###",	//1056
    "style",	//1057
    "subType",	//1058
    "supportedMimeTypes",	//1059
    "supportsPageSizes",	//1060
    "supportsPrintToFile",	//1061
    "supportsSearching",	//1062
    "supportsTiles",	//1063
    "synchronous",	//1064
    "text",	//1065
    "text#",	//1066
    "text#$",	//1067
    "textAlignment",	//1068
    "textArea",	//1069
    "textArea#",	//1070
    "textFont",	//1071
    "textIcon",	//1072
    "textPage",	//1073
    "textPage#",	//1074
    "textSelection",	//1075
    "textSelectionColor",	//1076
    "textType",	//1077
    "tilesAt",	//1078
    "tilesAt##",	//1079
    "timerEvent",	//1080
    "toString",	//1081
    "top",	//1082
    "totalOrientation",	//1083
    "tr",	//1084
    "tr$",	//1085
    "tr$$",	//1086
    "tr$$$",	//1087
    "trUtf8",	//1088
    "trUtf8$",	//1089
    "trUtf8$$",	//1090
    "trUtf8$$$",	//1091
    "transform",	//1092
    "transform#",	//1093
    "transformedArea",	//1094
    "transformedArea#",	//1095
    "transformedBoundingRectangle",	//1096
    "transformedInkPaths",	//1097
    "transformedInplaceCallout",	//1098
    "transformedInplaceCallout$",	//1099
    "transformedLinePoints",	//1100
    "transition",	//1101
    "translate",	//1102
    "translate#",	//1103
    "translatePageAnnotation",	//1104
    "translatePageAnnotation$##",	//1105
    "type",	//1106
    "uiName",	//1107
    "undo",	//1108
    "uniqueName",	//1109
    "unregisterView",	//1110
    "unregisterView#",	//1111
    "updatePageBoundingBox",	//1112
    "updatePageBoundingBox$#",	//1113
    "url",	//1114
    "userMutex",	//1115
    "viewport",	//1116
    "virtual_hook",	//1117
    "visiblePageRects",	//1118
    "volume",	//1119
    "warning",	//1120
    "warning$$",	//1121
    "widget",	//1122
    "width",	//1123
    "window",	//1124
    "wordAt",	//1125
    "wordAt#",	//1126
    "wordAt#$",	//1127
    "words",	//1128
    "words#$",	//1129
    "x",	//1130
    "xmlFile",	//1131
    "y",	//1132
    "~Action",	//1133
    "~Annotation",	//1134
    "~AnnotationObjectRect",	//1135
    "~AnnotationUtils",	//1136
    "~BrowseAction",	//1137
    "~CaretAnnotation",	//1138
    "~ConfigInterface",	//1139
    "~Document",	//1140
    "~DocumentAction",	//1141
    "~DocumentInfo",	//1142
    "~DocumentSynopsis",	//1143
    "~DocumentViewport",	//1144
    "~EmbeddedFile",	//1145
    "~ExecuteAction",	//1146
    "~ExportFormat",	//1147
    "~FileAttachmentAnnotation",	//1148
    "~FilePrinter",	//1149
    "~FontInfo",	//1150
    "~FormField",	//1151
    "~FormFieldButton",	//1152
    "~FormFieldChoice",	//1153
    "~FormFieldText",	//1154
    "~Generator",	//1155
    "~GeomAnnotation",	//1156
    "~GotoAction",	//1157
    "~GuiInterface",	//1158
    "~HighlightAnnotation",	//1159
    "~InkAnnotation",	//1160
    "~LineAnnotation",	//1161
    "~NormalizedPoint",	//1162
    "~NormalizedRect",	//1163
    "~ObjectRect",	//1164
    "~Page",	//1165
    "~PageSize",	//1166
    "~PageTransition",	//1167
    "~PixmapRequest",	//1168
    "~PrintInterface",	//1169
    "~RegularAreaRect",	//1170
    "~ScriptAction",	//1171
    "~Sound",	//1172
    "~SoundAction",	//1173
    "~SoundAnnotation",	//1174
    "~SourceRefObjectRect",	//1175
    "~SourceReference",	//1176
    "~StampAnnotation",	//1177
    "~TextAnnotation",	//1178
    "~TextDocumentConverter",	//1179
    "~TextDocumentGenerator",	//1180
    "~TextEntity",	//1181
    "~TextPage",	//1182
    "~Tile",	//1183
    "~Utils",	//1184
    "~VisiblePageRect",	//1185
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 357, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 148, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {7, 358, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {7, 435, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 2, 0},	//3 KXMLGUIClient::componentData() const
    {7, 491, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 155, 0},	//4 KXMLGUIClient::domDocument() const
    {7, 1131, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 0},	//5 KXMLGUIClient::xmlFile() const
    {7, 653, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 0},	//6 KXMLGUIClient::localXMLFile() const
    {7, 863, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {7, 1026, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {7, 932, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {7, 1025, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {7, 870, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {7, 1050, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {7, 1117, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {7, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {7, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {8, 360, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 14, 1},	//16 Okular::Action::actionType() const [pure virtual]
    {8, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 2},	//17 Okular::Action::actionTip() const
    {8, 945, 23, 1, 0, 0, 3},	//18 Okular::Action::setNativeId(const QVariant&)
    {8, 675, 0, 0, Smoke::mf_const, 200, 4},	//19 Okular::Action::nativeId() const
    {8, 16, 25, 1, Smoke::mf_ctor|Smoke::mf_protected, 13, 5},	//20 Okular::Action::Action(Okular::ActionPrivate&)
    {8, 459, 0, 0, Smoke::mf_protected, 16, 6},	//21 Okular::Action::d_func()
    {8, 459, 0, 0, Smoke::mf_const|Smoke::mf_protected, 284, 7},	//22 Okular::Action::d_func() const
    {8, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 8},	//23 Okular::Action::Goto (enum)
    {8, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 9},	//24 Okular::Action::Execute (enum)
    {8, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 10},	//25 Okular::Action::Browse (enum)
    {8, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 11},	//26 Okular::Action::DocAction (enum)
    {8, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 12},	//27 Okular::Action::Sound (enum)
    {8, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 13},	//28 Okular::Action::Movie (enum)
    {8, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 14},	//29 Okular::Action::Script (enum)
    {8, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 15},	//30 Okular::Action::Rendition (enum)
    {8, 1133, 0, 0, Smoke::mf_dtor, 0, 16 },	//31 Okular::Action::~Action()
    {10, 847, 9, 1, 0, 0, 1},	//32 Okular::Annotation::setAuthor(const QString&)
    {10, 391, 0, 0, Smoke::mf_const, 193, 2},	//33 Okular::Annotation::author() const
    {10, 864, 9, 1, 0, 0, 3},	//34 Okular::Annotation::setContents(const QString&)
    {10, 441, 0, 0, Smoke::mf_const, 193, 4},	//35 Okular::Annotation::contents() const
    {10, 1010, 9, 1, 0, 0, 5},	//36 Okular::Annotation::setUniqueName(const QString&)
    {10, 1109, 0, 0, Smoke::mf_const, 193, 6},	//37 Okular::Annotation::uniqueName() const
    {10, 941, 27, 1, 0, 0, 7},	//38 Okular::Annotation::setModificationDate(const QDateTime&)
    {10, 669, 0, 0, Smoke::mf_const, 154, 8},	//39 Okular::Annotation::modificationDate() const
    {10, 866, 27, 1, 0, 0, 9},	//40 Okular::Annotation::setCreationDate(const QDateTime&)
    {10, 451, 0, 0, Smoke::mf_const, 154, 10},	//41 Okular::Annotation::creationDate() const
    {10, 892, 29, 1, 0, 0, 11},	//42 Okular::Annotation::setFlags(int)
    {10, 531, 0, 0, Smoke::mf_const, 367, 12},	//43 Okular::Annotation::flags() const
    {10, 855, 31, 1, 0, 0, 13},	//44 Okular::Annotation::setBoundingRectangle(const Okular::NormalizedRect&)
    {10, 400, 0, 0, Smoke::mf_const, 99, 14},	//45 Okular::Annotation::boundingRectangle() const
    {10, 1096, 0, 0, Smoke::mf_const, 99, 15},	//46 Okular::Annotation::transformedBoundingRectangle() const
    {10, 1102, 33, 1, 0, 0, 16},	//47 Okular::Annotation::translate(const Okular::NormalizedPoint&)
    {10, 1057, 0, 0, 0, 25, 17},	//48 Okular::Annotation::style()
    {10, 1057, 0, 0, Smoke::mf_const, 286, 18},	//49 Okular::Annotation::style() const
    {10, 1124, 0, 0, 0, 27, 19},	//50 Okular::Annotation::window()
    {10, 1124, 0, 0, Smoke::mf_const, 287, 20},	//51 Okular::Annotation::window() const
    {10, 810, 0, 0, 0, 168, 21},	//52 Okular::Annotation::revisions()
    {10, 810, 0, 0, Smoke::mf_const, 333, 22},	//53 Okular::Annotation::revisions() const
    {10, 945, 23, 1, 0, 0, 23},	//54 Okular::Annotation::setNativeId(const QVariant&)
    {10, 675, 0, 0, Smoke::mf_const, 200, 24},	//55 Okular::Annotation::nativeId() const
    {10, 875, 35, 1, 0, 0, 25},	//56 Okular::Annotation::setDisposeDataFunction(void(*)(const Okular::Annotation*))
    {10, 405, 0, 0, Smoke::mf_const, 276, 26},	//57 Okular::Annotation::canBeMoved() const
    {10, 689, 0, 0, Smoke::mf_const, 276, 27},	//58 Okular::Annotation::openDialogAfterCreation() const
    {10, 1058, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 26, 28},	//59 Okular::Annotation::subType() const [pure virtual]
    {10, 1053, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 29},	//60 Okular::Annotation::store(QDomNode&, QDomDocument&) const
    {10, 564, 0, 0, Smoke::mf_const, 159, 30},	//61 Okular::Annotation::getAnnotationPropertiesDomNode() const
    {10, 845, 40, 1, 0, 0, 31},	//62 Okular::Annotation::setAnnotationProperties(const QDomNode&)
    {10, 19, 42, 1, Smoke::mf_ctor|Smoke::mf_protected, 17, 32},	//63 Okular::Annotation::Annotation(Okular::AnnotationPrivate&)
    {10, 19, 44, 2, Smoke::mf_ctor|Smoke::mf_protected, 17, 33},	//64 Okular::Annotation::Annotation(Okular::AnnotationPrivate&, const QDomNode&)
    {10, 459, 0, 0, Smoke::mf_protected, 30, 34},	//65 Okular::Annotation::d_func()
    {10, 459, 0, 0, Smoke::mf_const|Smoke::mf_protected, 289, 35},	//66 Okular::Annotation::d_func() const
    {10, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 36},	//67 Okular::Annotation::AText (enum)
    {10, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 37},	//68 Okular::Annotation::ALine (enum)
    {10, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 38},	//69 Okular::Annotation::AGeom (enum)
    {10, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 39},	//70 Okular::Annotation::AHighlight (enum)
    {10, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 40},	//71 Okular::Annotation::AStamp (enum)
    {10, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 41},	//72 Okular::Annotation::AInk (enum)
    {10, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 42},	//73 Okular::Annotation::ACaret (enum)
    {10, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 43},	//74 Okular::Annotation::AFileAttachment (enum)
    {10, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 44},	//75 Okular::Annotation::ASound (enum)
    {10, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 45},	//76 Okular::Annotation::AMovie (enum)
    {10, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 46},	//77 Okular::Annotation::AScreen (enum)
    {10, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 47},	//78 Okular::Annotation::AWidget (enum)
    {10, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 48},	//79 Okular::Annotation::A_BASE (enum)
    {10, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 49},	//80 Okular::Annotation::Hidden (enum)
    {10, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 50},	//81 Okular::Annotation::FixedSize (enum)
    {10, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 51},	//82 Okular::Annotation::FixedRotation (enum)
    {10, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 52},	//83 Okular::Annotation::DenyPrint (enum)
    {10, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 53},	//84 Okular::Annotation::DenyWrite (enum)
    {10, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 54},	//85 Okular::Annotation::DenyDelete (enum)
    {10, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 55},	//86 Okular::Annotation::ToggleHidingOnMouse (enum)
    {10, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 56},	//87 Okular::Annotation::External (enum)
    {10, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 57},	//88 Okular::Annotation::ExternallyDrawn (enum)
    {10, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 58},	//89 Okular::Annotation::BeingMoved (enum)
    {10, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 59},	//90 Okular::Annotation::Solid (enum)
    {10, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 60},	//91 Okular::Annotation::Dashed (enum)
    {10, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 61},	//92 Okular::Annotation::Beveled (enum)
    {10, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 62},	//93 Okular::Annotation::Inset (enum)
    {10, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 63},	//94 Okular::Annotation::Underline (enum)
    {10, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 64},	//95 Okular::Annotation::NoEffect (enum)
    {10, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 65},	//96 Okular::Annotation::Cloudy (enum)
    {10, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 66},	//97 Okular::Annotation::Reply (enum)
    {10, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 67},	//98 Okular::Annotation::Group (enum)
    {10, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 68},	//99 Okular::Annotation::Delete (enum)
    {10, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 69},	//100 Okular::Annotation::None (enum)
    {10, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 70},	//101 Okular::Annotation::Marked (enum)
    {10, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 71},	//102 Okular::Annotation::Unmarked (enum)
    {10, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 72},	//103 Okular::Annotation::Accepted (enum)
    {10, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 73},	//104 Okular::Annotation::Rejected (enum)
    {10, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 74},	//105 Okular::Annotation::Cancelled (enum)
    {10, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 75},	//106 Okular::Annotation::Completed (enum)
    {10, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 76},	//107 Okular::Annotation::PageOpening (enum)
    {10, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 77},	//108 Okular::Annotation::PageClosing (enum)
    {10, 1134, 0, 0, Smoke::mf_dtor, 0, 78 },	//109 Okular::Annotation::~Annotation()
    {14, 22, 47, 1, Smoke::mf_ctor, 28, 1},	//110 Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    {14, 381, 0, 0, Smoke::mf_const, 17, 2},	//111 Okular::AnnotationObjectRect::annotation() const
    {14, 398, 49, 2, Smoke::mf_const|Smoke::mf_virtual, 189, 3},	//112 Okular::AnnotationObjectRect::boundingRect(double, double) const
    {14, 438, 52, 4, Smoke::mf_const|Smoke::mf_virtual, 276, 4},	//113 Okular::AnnotationObjectRect::contains(double, double, double, double) const
    {14, 1092, 57, 1, Smoke::mf_virtual, 0, 5},	//114 Okular::AnnotationObjectRect::transform(const QTransform&)
    {14, 22, 59, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 6},	//115 Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    {14, 1135, 0, 0, Smoke::mf_dtor, 0, 7 },	//116 Okular::AnnotationObjectRect::~AnnotationObjectRect()
    {16, 449, 1, 1, Smoke::mf_static, 17, 1},	//117 Okular::AnnotationUtils::createAnnotation(const QDomElement&)
    {16, 1055, 61, 3, Smoke::mf_static, 0, 2},	//118 Okular::AnnotationUtils::storeAnnotation(const Okular::Annotation*, QDomElement&, QDomDocument&)
    {16, 526, 65, 2, Smoke::mf_static, 157, 3},	//119 Okular::AnnotationUtils::findChildElement(const QDomNode&, const QString&)
    {16, 384, 68, 3, Smoke::mf_static, 189, 4},	//120 Okular::AnnotationUtils::annotationGeometry(const Okular::Annotation*, double, double)
    {16, 24, 0, 0, Smoke::mf_ctor, 31, 5},	//121 Okular::AnnotationUtils::AnnotationUtils()
    {16, 24, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 6},	//122 Okular::AnnotationUtils::AnnotationUtils(const Okular::AnnotationUtils&)
    {16, 1136, 0, 0, Smoke::mf_dtor, 0, 7 },	//123 Okular::AnnotationUtils::~AnnotationUtils()
    {18, 37, 9, 1, Smoke::mf_ctor, 33, 1},	//124 Okular::BrowseAction::BrowseAction(const QString&)
    {18, 360, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//125 Okular::BrowseAction::actionType() const
    {18, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 3},	//126 Okular::BrowseAction::actionTip() const
    {18, 1114, 0, 0, Smoke::mf_const, 193, 4},	//127 Okular::BrowseAction::url() const
    {18, 1137, 0, 0, Smoke::mf_dtor, 0, 5 },	//128 Okular::BrowseAction::~BrowseAction()
    {19, 47, 0, 0, Smoke::mf_ctor, 34, 1},	//129 Okular::CaretAnnotation::CaretAnnotation()
    {19, 47, 40, 1, Smoke::mf_ctor, 34, 2},	//130 Okular::CaretAnnotation::CaretAnnotation(const QDomNode&)
    {19, 859, 74, 1, 0, 0, 3},	//131 Okular::CaretAnnotation::setCaretSymbol(Okular::CaretAnnotation::CaretSymbol)
    {19, 426, 0, 0, Smoke::mf_const, 35, 4},	//132 Okular::CaretAnnotation::caretSymbol() const
    {19, 1058, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 5},	//133 Okular::CaretAnnotation::subType() const
    {19, 1053, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//134 Okular::CaretAnnotation::store(QDomNode&, QDomDocument&) const
    {19, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 7},	//135 Okular::CaretAnnotation::None (enum)
    {19, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 8},	//136 Okular::CaretAnnotation::P (enum)
    {19, 1138, 0, 0, Smoke::mf_dtor, 0, 9 },	//137 Okular::CaretAnnotation::~CaretAnnotation()
    {20, 799, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 276, 1},	//138 Okular::ConfigInterface::reparseConfig() [pure virtual]
    {20, 374, 76, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//139 Okular::ConfigInterface::addPages(KConfigDialog*) [pure virtual]
    {20, 60, 0, 0, Smoke::mf_ctor, 36, 3},	//140 Okular::ConfigInterface::ConfigInterface()
    {20, 60, 78, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 4},	//141 Okular::ConfigInterface::ConfigInterface(const Okular::ConfigInterface&)
    {20, 1139, 0, 0, Smoke::mf_dtor, 0, 5 },	//142 Okular::ConfigInterface::~ConfigInterface()
    {21, 666, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//143 Okular::Document::metaObject() const
    {21, 778, 80, 1, Smoke::mf_virtual, 370, 2},	//144 Okular::Document::qt_metacast(const char*)
    {21, 1084, 82, 2, Smoke::mf_static, 193, 3},	//145 Okular::Document::tr(const char*, const char*)
    {21, 1088, 82, 2, Smoke::mf_static, 193, 4},	//146 Okular::Document::trUtf8(const char*, const char*)
    {21, 1084, 85, 3, Smoke::mf_static, 193, 5},	//147 Okular::Document::tr(const char*, const char*, int)
    {21, 1088, 85, 3, Smoke::mf_static, 193, 6},	//148 Okular::Document::trUtf8(const char*, const char*, int)
    {21, 776, 89, 3, Smoke::mf_virtual, 367, 7},	//149 Okular::Document::qt_metacall(QMetaObject::Call, int, void**)
    {21, 76, 93, 1, Smoke::mf_ctor, 37, 8},	//150 Okular::Document::Document(QWidget*)
    {21, 690, 95, 3, 0, 276, 9},	//151 Okular::Document::openDocument(const QString&, const KUrl&, const KSharedPtr<KMimeType>&)
    {21, 433, 0, 0, 0, 0, 10},	//152 Okular::Document::closeDocument()
    {21, 370, 99, 1, 0, 0, 11},	//153 Okular::Document::addObserver(Okular::DocumentObserver*)
    {21, 793, 99, 1, 0, 0, 12},	//154 Okular::Document::removeObserver(Okular::DocumentObserver*)
    {21, 799, 0, 0, 0, 0, 13},	//155 Okular::Document::reparseConfig()
    {21, 1122, 0, 0, Smoke::mf_const, 202, 14},	//156 Okular::Document::widget() const
    {21, 619, 0, 0, Smoke::mf_const, 276, 15},	//157 Okular::Document::isOpened() const
    {21, 486, 0, 0, Smoke::mf_const, 294, 16},	//158 Okular::Document::documentInfo() const
    {21, 490, 0, 0, Smoke::mf_const, 297, 17},	//159 Okular::Document::documentSynopsis() const
    {21, 1048, 0, 0, 0, 0, 18},	//160 Okular::Document::startFontReading()
    {21, 1052, 0, 0, 0, 0, 19},	//161 Okular::Document::stopFontReading()
    {21, 413, 0, 0, Smoke::mf_const, 276, 20},	//162 Okular::Document::canProvideFontInformation() const
    {21, 511, 0, 0, Smoke::mf_const, 340, 21},	//163 Okular::Document::embeddedFiles() const
    {21, 725, 29, 1, Smoke::mf_const, 312, 22},	//164 Okular::Document::page(int) const
    {21, 1116, 0, 0, Smoke::mf_const, 298, 23},	//165 Okular::Document::viewport() const
    {21, 1020, 101, 2, 0, 0, 24},	//166 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&, Okular::DocumentObserver*)
    {21, 1118, 0, 0, Smoke::mf_const, 362, 25},	//167 Okular::Document::visiblePageRects() const
    {21, 457, 0, 0, Smoke::mf_const, 368, 26},	//168 Okular::Document::currentPage() const
    {21, 742, 0, 0, Smoke::mf_const, 368, 27},	//169 Okular::Document::pages() const
    {21, 456, 0, 0, Smoke::mf_const, 10, 28},	//170 Okular::Document::currentDocument() const
    {21, 607, 104, 1, Smoke::mf_const, 276, 29},	//171 Okular::Document::isAllowed(Okular::Permission) const
    {21, 1062, 0, 0, Smoke::mf_const, 276, 30},	//172 Okular::Document::supportsSearching() const
    {21, 1060, 0, 0, Smoke::mf_const, 276, 31},	//173 Okular::Document::supportsPageSizes() const
    {21, 1063, 0, 0, Smoke::mf_const, 276, 32},	//174 Okular::Document::supportsTiles() const
    {21, 741, 0, 0, Smoke::mf_const, 176, 33},	//175 Okular::Document::pageSizes() const
    {21, 408, 0, 0, Smoke::mf_const, 276, 34},	//176 Okular::Document::canExportToText() const
    {21, 519, 9, 1, Smoke::mf_const, 276, 35},	//177 Okular::Document::exportToText(const QString&) const
    {21, 516, 0, 0, Smoke::mf_const, 172, 36},	//178 Okular::Document::exportFormats() const
    {21, 517, 106, 2, Smoke::mf_const, 276, 37},	//179 Okular::Document::exportTo(const QString&, const Okular::ExportFormat&) const
    {21, 591, 0, 0, Smoke::mf_const, 276, 38},	//180 Okular::Document::historyAtBegin() const
    {21, 592, 0, 0, Smoke::mf_const, 276, 39},	//181 Okular::Document::historyAtEnd() const
    {21, 663, 109, 2, Smoke::mf_const, 200, 40},	//182 Okular::Document::metaData(const QString&, const QVariant&) const
    {21, 814, 0, 0, Smoke::mf_const, 120, 41},	//183 Okular::Document::rotation() const
    {21, 379, 0, 0, Smoke::mf_const, 192, 42},	//184 Okular::Document::allPagesSize() const
    {21, 739, 29, 1, Smoke::mf_const, 193, 43},	//185 Okular::Document::pageSizeString(int) const
    {21, 571, 0, 0, 0, 11, 44},	//186 Okular::Document::guiClient()
    {21, 1016, 112, 3, 0, 0, 45},	//187 Okular::Document::setViewportPage(int, Okular::DocumentObserver*, bool)
    {21, 1012, 116, 3, 0, 0, 46},	//188 Okular::Document::setViewport(const Okular::DocumentViewport&, Okular::DocumentObserver*, bool)
    {21, 967, 0, 0, 0, 0, 47},	//189 Okular::Document::setPrevViewport()
    {21, 951, 0, 0, 0, 0, 48},	//190 Okular::Document::setNextViewport()
    {21, 949, 120, 1, 0, 0, 49},	//191 Okular::Document::setNextDocumentViewport(const Okular::DocumentViewport&)
    {21, 947, 9, 1, 0, 0, 50},	//192 Okular::Document::setNextDocumentDestination(const QString&)
    {21, 1029, 122, 2, 0, 0, 51},	//193 Okular::Document::setZoom(int, Okular::DocumentObserver*)
    {21, 803, 125, 1, 0, 0, 52},	//194 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&)
    {21, 803, 127, 2, 0, 0, 53},	//195 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>)
    {21, 806, 130, 1, 0, 0, 54},	//196 Okular::Document::requestTextPage(unsigned int)
    {21, 372, 132, 2, 0, 0, 55},	//197 Okular::Document::addPageAnnotation(int, Okular::Annotation*)
    {21, 411, 135, 1, Smoke::mf_const, 276, 56},	//198 Okular::Document::canModifyPageAnnotation(const Okular::Annotation*) const
    {21, 749, 47, 1, 0, 0, 57},	//199 Okular::Document::prepareToModifyAnnotationProperties(Okular::Annotation*)
    {21, 670, 132, 2, 0, 0, 58},	//200 Okular::Document::modifyPageAnnotationProperties(int, Okular::Annotation*)
    {21, 1104, 137, 3, 0, 0, 59},	//201 Okular::Document::translatePageAnnotation(int, Okular::Annotation*, const Okular::NormalizedPoint&)
    {21, 507, 141, 6, 0, 0, 60},	//202 Okular::Document::editPageAnnotationContents(int, Okular::Annotation*, const QString&, int, int, int)
    {21, 417, 135, 1, Smoke::mf_const, 276, 61},	//203 Okular::Document::canRemovePageAnnotation(const Okular::Annotation*) const
    {21, 795, 132, 2, 0, 0, 62},	//204 Okular::Document::removePageAnnotation(int, Okular::Annotation*)
    {21, 797, 148, 2, 0, 0, 63},	//205 Okular::Document::removePageAnnotations(int, const QList<Okular::Annotation*>&)
    {21, 962, 151, 3, 0, 0, 64},	//206 Okular::Document::setPageTextSelection(int, Okular::RegularAreaRect*, const QColor&)
    {21, 421, 0, 0, Smoke::mf_const, 276, 65},	//207 Okular::Document::canUndo() const
    {21, 414, 0, 0, Smoke::mf_const, 276, 66},	//208 Okular::Document::canRedo() const
    {21, 831, 155, 8, 0, 0, 67},	//209 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool)
    {21, 442, 29, 1, 0, 0, 68},	//210 Okular::Document::continueSearch(int)
    {21, 442, 164, 2, 0, 0, 69},	//211 Okular::Document::continueSearch(int, Okular::Document::SearchType)
    {21, 808, 29, 1, 0, 0, 70},	//212 Okular::Document::resetSearch(int)
    {21, 393, 0, 0, Smoke::mf_const, 32, 71},	//213 Okular::Document::bookmarkManager() const
    {21, 765, 167, 1, 0, 0, 72},	//214 Okular::Document::processAction(const Okular::Action*)
    {21, 394, 0, 0, Smoke::mf_const, 181, 73},	//215 Okular::Document::bookmarkedPageList() const
    {21, 395, 0, 0, Smoke::mf_const, 193, 74},	//216 Okular::Document::bookmarkedPageRange() const
    {21, 771, 169, 1, 0, 0, 75},	//217 Okular::Document::processSourceReference(const Okular::SourceReference*)
    {21, 407, 0, 0, Smoke::mf_const, 276, 76},	//218 Okular::Document::canConfigurePrinter() const
    {21, 763, 0, 0, Smoke::mf_const, 39, 77},	//219 Okular::Document::printingSupport() const
    {21, 1061, 0, 0, Smoke::mf_const, 276, 78},	//220 Okular::Document::supportsPrintToFile() const
    {21, 751, 171, 1, 0, 276, 79},	//221 Okular::Document::print(QPrinter&)
    {21, 756, 0, 0, Smoke::mf_const, 193, 80},	//222 Okular::Document::printError() const
    {21, 755, 0, 0, Smoke::mf_const, 202, 81},	//223 Okular::Document::printConfigurationWidget() const
    {21, 524, 76, 1, 0, 0, 82},	//224 Okular::Document::fillConfigDialog(KConfigDialog*)
    {21, 436, 0, 0, Smoke::mf_const, 367, 83},	//225 Okular::Document::configurableGenerators() const
    {21, 1059, 0, 0, Smoke::mf_const, 195, 84},	//226 Okular::Document::supportedMimeTypes() const
    {21, 435, 0, 0, Smoke::mf_const, 279, 85},	//227 Okular::Document::componentData() const
    {21, 419, 173, 1, Smoke::mf_const, 276, 86},	//228 Okular::Document::canSaveChanges(Okular::Document::SaveCapability) const
    {21, 419, 0, 0, Smoke::mf_const, 276, 87},	//229 Okular::Document::canSaveChanges() const
    {21, 821, 9, 1, 0, 276, 88},	//230 Okular::Document::saveChanges(const QString&)
    {21, 821, 175, 2, 0, 276, 89},	//231 Okular::Document::saveChanges(const QString&, QString*)
    {21, 789, 178, 1, 0, 0, 90},	//232 Okular::Document::registerView(Okular::View*)
    {21, 1110, 178, 1, 0, 0, 91},	//233 Okular::Document::unregisterView(Okular::View*)
    {21, 532, 180, 1, Smoke::mf_const, 150, 92},	//234 Okular::Document::fontData(const Okular::FontInfo&) const
    {21, 692, 182, 2, 0, 276, 93},	//235 Okular::Document::openDocumentArchive(const QString&, const KUrl&)
    {21, 824, 9, 1, 0, 276, 94},	//236 Okular::Document::saveDocumentArchive(const QString&)
    {21, 496, 185, 3, 0, 321, 95},	//237 Okular::Document::dynamicSourceReference(int, double, double)
    {21, 724, 0, 0, Smoke::mf_const, 188, 96},	//238 Okular::Document::orientation() const
    {21, 843, 189, 1, 0, 0, 97},	//239 Okular::Document::setAnnotationEditingEnabled(bool)
    {21, 972, 29, 1, Smoke::mf_slot, 0, 98},	//240 Okular::Document::setRotation(int)
    {21, 960, 191, 1, Smoke::mf_slot, 0, 99},	//241 Okular::Document::setPageSize(const Okular::PageSize&)
    {21, 424, 0, 0, Smoke::mf_slot, 0, 100},	//242 Okular::Document::cancelSearch()
    {21, 1108, 0, 0, Smoke::mf_slot, 0, 101},	//243 Okular::Document::undo()
    {21, 787, 0, 0, Smoke::mf_slot, 0, 102},	//244 Okular::Document::redo()
    {21, 505, 193, 6, Smoke::mf_slot, 0, 103},	//245 Okular::Document::editFormText(int, Okular::FormFieldText*, const QString&, int, int, int)
    {21, 503, 200, 3, Smoke::mf_slot, 0, 104},	//246 Okular::Document::editFormList(int, Okular::FormFieldChoice*, const QList<int>&)
    {21, 501, 204, 6, Smoke::mf_slot, 0, 105},	//247 Okular::Document::editFormCombo(int, Okular::FormFieldChoice*, const QString&, int, int, int)
    {21, 499, 211, 3, Smoke::mf_slot, 0, 106},	//248 Okular::Document::editFormButtons(int, const QList<Okular::FormFieldButton*>&, const QList<bool>&)
    {21, 432, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 107},	//249 Okular::Document::close()
    {21, 780, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 108},	//250 Okular::Document::quit()
    {21, 646, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 109},	//251 Okular::Document::linkFind()
    {21, 647, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 110},	//252 Okular::Document::linkGoToPage()
    {21, 648, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 111},	//253 Okular::Document::linkPresentation()
    {21, 645, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 112},	//254 Okular::Document::linkEndPresentation()
    {21, 694, 215, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 113},	//255 Okular::Document::openUrl(const KUrl&)
    {21, 512, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 114},	//256 Okular::Document::error(const QString&, int)
    {21, 1120, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 115},	//257 Okular::Document::warning(const QString&, int)
    {21, 679, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 116},	//258 Okular::Document::notice(const QString&, int)
    {21, 569, 180, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 117},	//259 Okular::Document::gotFont(const Okular::FontInfo&)
    {21, 535, 29, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 118},	//260 Okular::Document::fontReadingProgress(int)
    {21, 534, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 119},	//261 Okular::Document::fontReadingEnded()
    {21, 829, 220, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 120},	//262 Okular::Document::searchFinished(int, Okular::Document::SearchStatus)
    {21, 1043, 223, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 121},	//263 Okular::Document::sourceReferenceActivated(const QString&, int, int, bool*)
    {21, 767, 228, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 122},	//264 Okular::Document::processMovieAction(const Okular::MovieAction*)
    {21, 422, 189, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 123},	//265 Okular::Document::canUndoChanged(bool)
    {21, 415, 189, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 124},	//266 Okular::Document::canRedoChanged(bool)
    {21, 769, 230, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 125},	//267 Okular::Document::processRenditionAction(const Okular::RenditionAction*)
    {21, 382, 232, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 126},	//268 Okular::Document::annotationContentsChangedByUndoRedo(Okular::Annotation*, const QString&, int, int)
    {21, 546, 237, 5, Smoke::mf_protected|Smoke::mf_signal, 0, 127},	//269 Okular::Document::formTextChangedByUndoRedo(int, Okular::FormFieldText*, const QString&, int, int)
    {21, 544, 200, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 128},	//270 Okular::Document::formListChangedByUndoRedo(int, Okular::FormFieldChoice*, const QList<int>&)
    {21, 541, 243, 5, Smoke::mf_protected|Smoke::mf_signal, 0, 129},	//271 Okular::Document::formComboChangedByUndoRedo(int, Okular::FormFieldChoice*, const QString&, int, int)
    {21, 539, 249, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 130},	//272 Okular::Document::formButtonsChangedByUndoRedo(int, const QList<Okular::FormFieldButton*>&)
    {21, 1084, 80, 1, Smoke::mf_static, 193, 131},	//273 Okular::Document::tr(const char*)
    {21, 1088, 80, 1, Smoke::mf_static, 193, 132},	//274 Okular::Document::trUtf8(const char*)
    {21, 1020, 252, 1, 0, 0, 133},	//275 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&)
    {21, 663, 9, 1, Smoke::mf_const, 200, 134},	//276 Okular::Document::metaData(const QString&) const
    {21, 1016, 29, 1, 0, 0, 135},	//277 Okular::Document::setViewportPage(int)
    {21, 1016, 122, 2, 0, 0, 136},	//278 Okular::Document::setViewportPage(int, Okular::DocumentObserver*)
    {21, 1012, 120, 1, 0, 0, 137},	//279 Okular::Document::setViewport(const Okular::DocumentViewport&)
    {21, 1012, 254, 2, 0, 0, 138},	//280 Okular::Document::setViewport(const Okular::DocumentViewport&, Okular::DocumentObserver*)
    {21, 1029, 29, 1, 0, 0, 139},	//281 Okular::Document::setZoom(int)
    {21, 831, 257, 7, 0, 0, 140},	//282 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&)
    {21, 1051, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 141},	//283 Okular::Document::staticMetaObject() const
    {21, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 142},	//284 Okular::Document::NoOption (enum)
    {21, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 143},	//285 Okular::Document::RemoveAllPrevious (enum)
    {21, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 144},	//286 Okular::Document::NextMatch (enum)
    {21, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 145},	//287 Okular::Document::PreviousMatch (enum)
    {21, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 146},	//288 Okular::Document::AllDocument (enum)
    {21, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 147},	//289 Okular::Document::GoogleAll (enum)
    {21, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 148},	//290 Okular::Document::GoogleAny (enum)
    {21, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 149},	//291 Okular::Document::MatchFound (enum)
    {21, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 150},	//292 Okular::Document::NoMatchFound (enum)
    {21, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 151},	//293 Okular::Document::SearchCancelled (enum)
    {21, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 152},	//294 Okular::Document::NoPrinting (enum)
    {21, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 153},	//295 Okular::Document::NativePrinting (enum)
    {21, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 154},	//296 Okular::Document::PostscriptPrinting (enum)
    {21, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 155},	//297 Okular::Document::SaveFormsCapability (enum)
    {21, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 156},	//298 Okular::Document::SaveAnnotationsCapability (enum)
    {21, 1140, 0, 0, Smoke::mf_dtor, 0, 157 },	//299 Okular::Document::~Document()
    {22, 78, 265, 1, Smoke::mf_ctor, 43, 1},	//300 Okular::DocumentAction::DocumentAction(Okular::DocumentAction::DocumentActionType)
    {22, 360, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//301 Okular::DocumentAction::actionType() const
    {22, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 3},	//302 Okular::DocumentAction::actionTip() const
    {22, 485, 0, 0, Smoke::mf_const, 44, 4},	//303 Okular::DocumentAction::documentActionType() const
    {22, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 5},	//304 Okular::DocumentAction::PageFirst (enum)
    {22, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 6},	//305 Okular::DocumentAction::PagePrev (enum)
    {22, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 7},	//306 Okular::DocumentAction::PageNext (enum)
    {22, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 8},	//307 Okular::DocumentAction::PageLast (enum)
    {22, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 9},	//308 Okular::DocumentAction::HistoryBack (enum)
    {22, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 10},	//309 Okular::DocumentAction::HistoryForward (enum)
    {22, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 11},	//310 Okular::DocumentAction::Quit (enum)
    {22, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 12},	//311 Okular::DocumentAction::Presentation (enum)
    {22, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 13},	//312 Okular::DocumentAction::EndPresentation (enum)
    {22, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 14},	//313 Okular::DocumentAction::Find (enum)
    {22, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 15},	//314 Okular::DocumentAction::GoToPage (enum)
    {22, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 16},	//315 Okular::DocumentAction::Close (enum)
    {22, 1141, 0, 0, Smoke::mf_dtor, 0, 17 },	//316 Okular::DocumentAction::~DocumentAction()
    {23, 80, 0, 0, Smoke::mf_ctor, 45, 1},	//317 Okular::DocumentInfo::DocumentInfo()
    {23, 834, 267, 3, 0, 0, 2},	//318 Okular::DocumentInfo::set(const QString&, const QString&, const QString&)
    {23, 834, 271, 2, 0, 0, 3},	//319 Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    {23, 562, 9, 1, Smoke::mf_const, 193, 4},	//320 Okular::DocumentInfo::get(const QString&) const
    {23, 565, 274, 1, Smoke::mf_static, 193, 5},	//321 Okular::DocumentInfo::getKeyString(Okular::DocumentInfo::Key)
    {23, 567, 274, 1, Smoke::mf_static, 193, 6},	//322 Okular::DocumentInfo::getKeyTitle(Okular::DocumentInfo::Key)
    {23, 80, 276, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 7},	//323 Okular::DocumentInfo::DocumentInfo(const Okular::DocumentInfo&)
    {23, 834, 278, 2, 0, 0, 8},	//324 Okular::DocumentInfo::set(const QString&, const QString&)
    {23, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 9},	//325 Okular::DocumentInfo::Title (enum)
    {23, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 10},	//326 Okular::DocumentInfo::Subject (enum)
    {23, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 11},	//327 Okular::DocumentInfo::Description (enum)
    {23, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 12},	//328 Okular::DocumentInfo::Author (enum)
    {23, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 13},	//329 Okular::DocumentInfo::Creator (enum)
    {23, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 14},	//330 Okular::DocumentInfo::Producer (enum)
    {23, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 15},	//331 Okular::DocumentInfo::Copyright (enum)
    {23, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 16},	//332 Okular::DocumentInfo::Pages (enum)
    {23, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 17},	//333 Okular::DocumentInfo::CreationDate (enum)
    {23, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 18},	//334 Okular::DocumentInfo::ModificationDate (enum)
    {23, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 19},	//335 Okular::DocumentInfo::MimeType (enum)
    {23, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 20},	//336 Okular::DocumentInfo::Category (enum)
    {23, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 21},	//337 Okular::DocumentInfo::Keywords (enum)
    {23, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 22},	//338 Okular::DocumentInfo::FilePath (enum)
    {23, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 23},	//339 Okular::DocumentInfo::DocumentSize (enum)
    {23, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 24},	//340 Okular::DocumentInfo::PagesSize (enum)
    {23, 1142, 0, 0, Smoke::mf_dtor, 0, 25 },	//341 Okular::DocumentInfo::~DocumentInfo()
    {25, 83, 0, 0, Smoke::mf_ctor, 48, 1},	//342 Okular::DocumentSynopsis::DocumentSynopsis()
    {25, 83, 281, 1, Smoke::mf_ctor, 48, 2},	//343 Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    {25, 83, 283, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 3},	//344 Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    {25, 1143, 0, 0, Smoke::mf_dtor, 0, 4 },	//345 Okular::DocumentSynopsis::~DocumentSynopsis()
    {26, 85, 29, 1, Smoke::mf_ctor, 50, 1},	//346 Okular::DocumentViewport::DocumentViewport(int)
    {26, 85, 9, 1, Smoke::mf_ctor, 50, 2},	//347 Okular::DocumentViewport::DocumentViewport(const QString&)
    {26, 1081, 0, 0, Smoke::mf_const, 193, 3},	//348 Okular::DocumentViewport::toString() const
    {26, 631, 0, 0, Smoke::mf_const, 276, 4},	//349 Okular::DocumentViewport::isValid() const
    {26, 704, 120, 1, Smoke::mf_const, 276, 5},	//350 Okular::DocumentViewport::operator==(const Okular::DocumentViewport&) const
    {26, 700, 120, 1, Smoke::mf_const, 276, 6},	//351 Okular::DocumentViewport::operator<(const Okular::DocumentViewport&) const
    {26, 85, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 7},	//352 Okular::DocumentViewport::DocumentViewport(const Okular::DocumentViewport&)
    {26, 85, 0, 0, Smoke::mf_ctor, 50, 8},	//353 Okular::DocumentViewport::DocumentViewport()
    {26, 734, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 367, 9},	//354 Okular::DocumentViewport::pageNumber() const
    {26, 958, 29, 1, Smoke::mf_attribute, 0, 10},	//355 Okular::DocumentViewport::setPageNumber(int)
    {26, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 11},	//356 Okular::DocumentViewport::Center (enum)
    {26, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 12},	//357 Okular::DocumentViewport::TopLeft (enum)
    {26, 1144, 0, 0, Smoke::mf_dtor, 0, 13 },	//358 Okular::DocumentViewport::~DocumentViewport()
    {27, 89, 0, 0, Smoke::mf_ctor, 52, 1},	//359 Okular::EmbeddedFile::EmbeddedFile()
    {27, 674, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 193, 2},	//360 Okular::EmbeddedFile::name() const [pure virtual]
    {27, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 193, 3},	//361 Okular::EmbeddedFile::description() const [pure virtual]
    {27, 460, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 150, 4},	//362 Okular::EmbeddedFile::data() const [pure virtual]
    {27, 1038, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 367, 5},	//363 Okular::EmbeddedFile::size() const [pure virtual]
    {27, 669, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 154, 6},	//364 Okular::EmbeddedFile::modificationDate() const [pure virtual]
    {27, 451, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 154, 7},	//365 Okular::EmbeddedFile::creationDate() const [pure virtual]
    {27, 89, 285, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 8},	//366 Okular::EmbeddedFile::EmbeddedFile(const Okular::EmbeddedFile&)
    {27, 1145, 0, 0, Smoke::mf_dtor, 0, 9 },	//367 Okular::EmbeddedFile::~EmbeddedFile()
    {28, 94, 278, 2, Smoke::mf_ctor, 53, 1},	//368 Okular::ExecuteAction::ExecuteAction(const QString&, const QString&)
    {28, 360, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//369 Okular::ExecuteAction::actionType() const
    {28, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 3},	//370 Okular::ExecuteAction::actionTip() const
    {28, 523, 0, 0, Smoke::mf_const, 193, 4},	//371 Okular::ExecuteAction::fileName() const
    {28, 745, 0, 0, Smoke::mf_const, 193, 5},	//372 Okular::ExecuteAction::parameters() const
    {28, 1146, 0, 0, Smoke::mf_dtor, 0, 6 },	//373 Okular::ExecuteAction::~ExecuteAction()
    {29, 96, 0, 0, Smoke::mf_ctor, 56, 1},	//374 Okular::ExportFormat::ExportFormat()
    {29, 96, 287, 2, Smoke::mf_ctor, 56, 2},	//375 Okular::ExportFormat::ExportFormat(const QString&, const KSharedPtr<KMimeType>&)
    {29, 96, 290, 3, Smoke::mf_ctor, 56, 3},	//376 Okular::ExportFormat::ExportFormat(const KIcon&, const QString&, const KSharedPtr<KMimeType>&)
    {29, 96, 294, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 4},	//377 Okular::ExportFormat::ExportFormat(const Okular::ExportFormat&)
    {29, 702, 294, 1, 0, 55, 5},	//378 Okular::ExportFormat::operator=(const Okular::ExportFormat&)
    {29, 469, 0, 0, Smoke::mf_const, 193, 6},	//379 Okular::ExportFormat::description() const
    {29, 667, 0, 0, Smoke::mf_const, 7, 7},	//380 Okular::ExportFormat::mimeType() const
    {29, 593, 0, 0, Smoke::mf_const, 5, 8},	//381 Okular::ExportFormat::icon() const
    {29, 618, 0, 0, Smoke::mf_const, 276, 9},	//382 Okular::ExportFormat::isNull() const
    {29, 1046, 296, 1, Smoke::mf_static, 54, 10},	//383 Okular::ExportFormat::standardFormat(Okular::ExportFormat::StandardExportFormat)
    {29, 704, 294, 1, Smoke::mf_const, 276, 11},	//384 Okular::ExportFormat::operator==(const Okular::ExportFormat&) const
    {29, 696, 294, 1, Smoke::mf_const, 276, 12},	//385 Okular::ExportFormat::operator!=(const Okular::ExportFormat&) const
    {29, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 13},	//386 Okular::ExportFormat::PlainText (enum)
    {29, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 14},	//387 Okular::ExportFormat::PDF (enum)
    {29, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 15},	//388 Okular::ExportFormat::OpenDocumentText (enum)
    {29, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 16},	//389 Okular::ExportFormat::HTML (enum)
    {29, 1147, 0, 0, Smoke::mf_dtor, 0, 17 },	//390 Okular::ExportFormat::~ExportFormat()
    {30, 103, 0, 0, Smoke::mf_ctor, 58, 1},	//391 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation()
    {30, 103, 40, 1, Smoke::mf_ctor, 58, 2},	//392 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation(const QDomNode&)
    {30, 522, 0, 0, Smoke::mf_const, 193, 3},	//393 Okular::FileAttachmentAnnotation::fileIconName() const
    {30, 890, 9, 1, 0, 0, 4},	//394 Okular::FileAttachmentAnnotation::setFileIconName(const QString&)
    {30, 510, 0, 0, Smoke::mf_const, 52, 5},	//395 Okular::FileAttachmentAnnotation::embeddedFile() const
    {30, 883, 298, 1, 0, 0, 6},	//396 Okular::FileAttachmentAnnotation::setEmbeddedFile(Okular::EmbeddedFile*)
    {30, 1058, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 7},	//397 Okular::FileAttachmentAnnotation::subType() const
    {30, 1053, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//398 Okular::FileAttachmentAnnotation::store(QDomNode&, QDomDocument&) const
    {30, 1148, 0, 0, Smoke::mf_dtor, 0, 9 },	//399 Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation()
    {31, 758, 300, 6, Smoke::mf_static, 367, 1},	//400 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    {31, 729, 307, 4, Smoke::mf_static, 181, 2},	//401 Okular::FilePrinter::pageList(QPrinter&, int, int, const QList<int>&)
    {31, 729, 312, 3, Smoke::mf_static, 181, 3},	//402 Okular::FilePrinter::pageList(QPrinter&, int, const QList<int>&)
    {31, 735, 312, 3, Smoke::mf_static, 193, 4},	//403 Okular::FilePrinter::pageRange(QPrinter&, int, const QList<int>&)
    {31, 732, 316, 1, Smoke::mf_static, 193, 5},	//404 Okular::FilePrinter::pageListToPageRange(const QList<int>&)
    {31, 773, 0, 0, Smoke::mf_static, 276, 6},	//405 Okular::FilePrinter::ps2pdfAvailable()
    {31, 746, 0, 0, Smoke::mf_static, 276, 7},	//406 Okular::FilePrinter::pdf2psAvailable()
    {31, 452, 0, 0, Smoke::mf_static, 276, 8},	//407 Okular::FilePrinter::cupsAvailable()
    {31, 774, 171, 1, Smoke::mf_static, 191, 9},	//408 Okular::FilePrinter::psPaperSize(QPrinter&)
    {31, 756, 29, 1, Smoke::mf_static, 81, 10},	//409 Okular::FilePrinter::printError(int)
    {31, 475, 0, 0, Smoke::mf_protected, 276, 11},	//410 Okular::FilePrinter::detectCupsService()
    {31, 474, 0, 0, Smoke::mf_protected, 276, 12},	//411 Okular::FilePrinter::detectCupsConfig()
    {31, 482, 318, 6, Smoke::mf_protected, 367, 13},	//412 Okular::FilePrinter::doPrintFiles(QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&, QPrinter::Orientation)
    {31, 753, 325, 7, Smoke::mf_protected, 195, 14},	//413 Okular::FilePrinter::printArguments(QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&, QPrinter::Orientation)
    {31, 471, 333, 2, Smoke::mf_protected, 195, 15},	//414 Okular::FilePrinter::destination(QPrinter&, const QString&)
    {31, 447, 333, 2, Smoke::mf_protected, 195, 16},	//415 Okular::FilePrinter::copies(QPrinter&, const QString&)
    {31, 633, 333, 2, Smoke::mf_protected, 195, 17},	//416 Okular::FilePrinter::jobname(QPrinter&, const QString&)
    {31, 462, 336, 3, Smoke::mf_protected, 195, 18},	//417 Okular::FilePrinter::deleteFile(QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&)
    {31, 742, 340, 5, Smoke::mf_protected, 195, 19},	//418 Okular::FilePrinter::pages(QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&)
    {31, 453, 346, 2, Smoke::mf_protected, 195, 20},	//419 Okular::FilePrinter::cupsOptions(QPrinter&, QPrinter::Orientation)
    {31, 716, 171, 1, Smoke::mf_protected, 195, 21},	//420 Okular::FilePrinter::optionMedia(QPrinter&)
    {31, 659, 171, 1, Smoke::mf_protected, 193, 22},	//421 Okular::FilePrinter::mediaPageSize(QPrinter&)
    {31, 661, 171, 1, Smoke::mf_protected, 193, 23},	//422 Okular::FilePrinter::mediaPaperSource(QPrinter&)
    {31, 718, 346, 2, Smoke::mf_protected, 195, 24},	//423 Okular::FilePrinter::optionOrientation(QPrinter&, QPrinter::Orientation)
    {31, 714, 171, 1, Smoke::mf_protected, 195, 25},	//424 Okular::FilePrinter::optionDoubleSidedPrinting(QPrinter&)
    {31, 722, 171, 1, Smoke::mf_protected, 195, 26},	//425 Okular::FilePrinter::optionPageOrder(QPrinter&)
    {31, 710, 171, 1, Smoke::mf_protected, 195, 27},	//426 Okular::FilePrinter::optionCollateCopies(QPrinter&)
    {31, 720, 171, 1, Smoke::mf_protected, 195, 28},	//427 Okular::FilePrinter::optionPageMargins(QPrinter&)
    {31, 712, 171, 1, Smoke::mf_protected, 195, 29},	//428 Okular::FilePrinter::optionCupsProperties(QPrinter&)
    {31, 107, 0, 0, Smoke::mf_ctor, 59, 30},	//429 Okular::FilePrinter::FilePrinter()
    {31, 107, 349, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 31},	//430 Okular::FilePrinter::FilePrinter(const Okular::FilePrinter&)
    {31, 758, 351, 3, Smoke::mf_static, 367, 32},	//431 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation)
    {31, 758, 355, 4, Smoke::mf_static, 367, 33},	//432 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy)
    {31, 758, 360, 5, Smoke::mf_static, 367, 34},	//433 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy)
    {31, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 35},	//434 Okular::FilePrinter::ApplicationDeletesFiles (enum)
    {31, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 36},	//435 Okular::FilePrinter::SystemDeletesFiles (enum)
    {31, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 37},	//436 Okular::FilePrinter::ApplicationSelectsPages (enum)
    {31, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 38},	//437 Okular::FilePrinter::SystemSelectsPages (enum)
    {31, 1149, 0, 0, Smoke::mf_dtor, 0, 39 },	//438 Okular::FilePrinter::~FilePrinter()
    {32, 114, 0, 0, Smoke::mf_ctor, 64, 1},	//439 Okular::FontInfo::FontInfo()
    {32, 114, 180, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 2},	//440 Okular::FontInfo::FontInfo(const Okular::FontInfo&)
    {32, 674, 0, 0, Smoke::mf_const, 193, 3},	//441 Okular::FontInfo::name() const
    {32, 943, 9, 1, 0, 0, 4},	//442 Okular::FontInfo::setName(const QString&)
    {32, 1106, 0, 0, Smoke::mf_const, 66, 5},	//443 Okular::FontInfo::type() const
    {32, 1008, 366, 1, 0, 0, 6},	//444 Okular::FontInfo::setType(Okular::FontInfo::FontType)
    {32, 509, 0, 0, Smoke::mf_const, 65, 7},	//445 Okular::FontInfo::embedType() const
    {32, 881, 368, 1, 0, 0, 8},	//446 Okular::FontInfo::setEmbedType(Okular::FontInfo::EmbedType)
    {32, 521, 0, 0, Smoke::mf_const, 193, 9},	//447 Okular::FontInfo::file() const
    {32, 888, 9, 1, 0, 0, 10},	//448 Okular::FontInfo::setFile(const QString&)
    {32, 404, 0, 0, Smoke::mf_const, 276, 11},	//449 Okular::FontInfo::canBeExtracted() const
    {32, 857, 189, 1, 0, 0, 12},	//450 Okular::FontInfo::setCanBeExtracted(bool)
    {32, 945, 23, 1, 0, 0, 13},	//451 Okular::FontInfo::setNativeId(const QVariant&)
    {32, 675, 0, 0, Smoke::mf_const, 200, 14},	//452 Okular::FontInfo::nativeId() const
    {32, 702, 180, 1, 0, 63, 15},	//453 Okular::FontInfo::operator=(const Okular::FontInfo&)
    {32, 704, 180, 1, Smoke::mf_const, 276, 16},	//454 Okular::FontInfo::operator==(const Okular::FontInfo&) const
    {32, 696, 180, 1, Smoke::mf_const, 276, 17},	//455 Okular::FontInfo::operator!=(const Okular::FontInfo&) const
    {32, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 18},	//456 Okular::FontInfo::Unknown (enum)
    {32, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 19},	//457 Okular::FontInfo::Type1 (enum)
    {32, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 20},	//458 Okular::FontInfo::Type1C (enum)
    {32, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 21},	//459 Okular::FontInfo::Type1COT (enum)
    {32, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 22},	//460 Okular::FontInfo::Type3 (enum)
    {32, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 23},	//461 Okular::FontInfo::TrueType (enum)
    {32, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 24},	//462 Okular::FontInfo::TrueTypeOT (enum)
    {32, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 25},	//463 Okular::FontInfo::CIDType0 (enum)
    {32, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 26},	//464 Okular::FontInfo::CIDType0C (enum)
    {32, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 27},	//465 Okular::FontInfo::CIDType0COT (enum)
    {32, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 28},	//466 Okular::FontInfo::CIDTrueType (enum)
    {32, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 29},	//467 Okular::FontInfo::CIDTrueTypeOT (enum)
    {32, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 30},	//468 Okular::FontInfo::TeXPK (enum)
    {32, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 31},	//469 Okular::FontInfo::TeXVirtual (enum)
    {32, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 32},	//470 Okular::FontInfo::TeXFontMetric (enum)
    {32, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 33},	//471 Okular::FontInfo::TeXFreeTypeHandled (enum)
    {32, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 34},	//472 Okular::FontInfo::NotEmbedded (enum)
    {32, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 35},	//473 Okular::FontInfo::EmbeddedSubset (enum)
    {32, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 36},	//474 Okular::FontInfo::FullyEmbedded (enum)
    {32, 1150, 0, 0, Smoke::mf_dtor, 0, 37 },	//475 Okular::FontInfo::~FontInfo()
    {33, 1106, 0, 0, Smoke::mf_const, 68, 1},	//476 Okular::FormField::type() const
    {33, 786, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 2},	//477 Okular::FormField::rect() const [pure virtual]
    {33, 594, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 367, 3},	//478 Okular::FormField::id() const [pure virtual]
    {33, 674, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 193, 4},	//479 Okular::FormField::name() const [pure virtual]
    {33, 1107, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 193, 5},	//480 Okular::FormField::uiName() const [pure virtual]
    {33, 621, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 6},	//481 Okular::FormField::isReadOnly() const
    {33, 632, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 7},	//482 Okular::FormField::isVisible() const
    {33, 361, 0, 0, Smoke::mf_const, 13, 8},	//483 Okular::FormField::activationAction() const
    {33, 118, 370, 1, Smoke::mf_ctor|Smoke::mf_protected, 67, 9},	//484 Okular::FormField::FormField(Okular::FormFieldPrivate&)
    {33, 459, 0, 0, Smoke::mf_protected, 74, 10},	//485 Okular::FormField::d_func()
    {33, 459, 0, 0, Smoke::mf_const|Smoke::mf_protected, 303, 11},	//486 Okular::FormField::d_func() const
    {33, 837, 372, 1, Smoke::mf_protected, 0, 12},	//487 Okular::FormField::setActivationAction(Okular::Action*)
    {33, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 13},	//488 Okular::FormField::FormButton (enum)
    {33, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 14},	//489 Okular::FormField::FormText (enum)
    {33, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 15},	//490 Okular::FormField::FormChoice (enum)
    {33, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 16},	//491 Okular::FormField::FormSignature (enum)
    {33, 1151, 0, 0, Smoke::mf_dtor, 0, 17 },	//492 Okular::FormField::~FormField()
    {34, 401, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 70, 1},	//493 Okular::FormFieldButton::buttonType() const [pure virtual]
    {34, 425, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 193, 2},	//494 Okular::FormFieldButton::caption() const [pure virtual]
    {34, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 276, 3},	//495 Okular::FormFieldButton::state() const [pure virtual]
    {34, 990, 189, 1, Smoke::mf_virtual, 0, 4},	//496 Okular::FormFieldButton::setState(bool)
    {34, 1033, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 181, 5},	//497 Okular::FormFieldButton::siblings() const [pure virtual]
    {34, 120, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 69, 6},	//498 Okular::FormFieldButton::FormFieldButton()
    {34, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 7},	//499 Okular::FormFieldButton::Push (enum)
    {34, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 8},	//500 Okular::FormFieldButton::CheckBox (enum)
    {34, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 9},	//501 Okular::FormFieldButton::Radio (enum)
    {34, 1152, 0, 0, Smoke::mf_dtor, 0, 10 },	//502 Okular::FormFieldButton::~FormFieldButton()
    {35, 430, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 72, 1},	//503 Okular::FormFieldChoice::choiceType() const [pure virtual]
    {35, 431, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 195, 2},	//504 Okular::FormFieldChoice::choices() const [pure virtual]
    {35, 614, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 3},	//505 Okular::FormFieldChoice::isEditable() const
    {35, 673, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 4},	//506 Okular::FormFieldChoice::multiSelect() const
    {35, 455, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 181, 5},	//507 Okular::FormFieldChoice::currentChoices() const [pure virtual]
    {35, 868, 316, 1, Smoke::mf_virtual, 0, 6},	//508 Okular::FormFieldChoice::setCurrentChoices(const QList<int>&)
    {35, 498, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 7},	//509 Okular::FormFieldChoice::editChoice() const
    {35, 879, 9, 1, Smoke::mf_virtual, 0, 8},	//510 Okular::FormFieldChoice::setEditChoice(const QString&)
    {35, 1068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 9},	//511 Okular::FormFieldChoice::textAlignment() const
    {35, 406, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 10},	//512 Okular::FormFieldChoice::canBeSpellChecked() const
    {35, 121, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 71, 11},	//513 Okular::FormFieldChoice::FormFieldChoice()
    {35, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 12},	//514 Okular::FormFieldChoice::ComboBox (enum)
    {35, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 13},	//515 Okular::FormFieldChoice::ListBox (enum)
    {35, 1153, 0, 0, Smoke::mf_dtor, 0, 14 },	//516 Okular::FormFieldChoice::~FormFieldChoice()
    {37, 1077, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 76, 1},	//517 Okular::FormFieldText::textType() const [pure virtual]
    {37, 1065, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 193, 2},	//518 Okular::FormFieldText::text() const [pure virtual]
    {37, 992, 9, 1, Smoke::mf_virtual, 0, 3},	//519 Okular::FormFieldText::setText(const QString&)
    {37, 620, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 4},	//520 Okular::FormFieldText::isPassword() const
    {37, 623, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 5},	//521 Okular::FormFieldText::isRichText() const
    {37, 658, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 367, 6},	//522 Okular::FormFieldText::maximumLength() const
    {37, 1068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 7},	//523 Okular::FormFieldText::textAlignment() const
    {37, 406, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 8},	//524 Okular::FormFieldText::canBeSpellChecked() const
    {37, 122, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 75, 9},	//525 Okular::FormFieldText::FormFieldText()
    {37, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 10},	//526 Okular::FormFieldText::Normal (enum)
    {37, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 11},	//527 Okular::FormFieldText::Multiline (enum)
    {37, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 12},	//528 Okular::FormFieldText::FileSelect (enum)
    {37, 1154, 0, 0, Smoke::mf_dtor, 0, 13 },	//529 Okular::FormFieldText::~FormFieldText()
    {38, 666, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//530 Okular::Generator::metaObject() const
    {38, 778, 80, 1, Smoke::mf_virtual, 370, 2},	//531 Okular::Generator::qt_metacast(const char*)
    {38, 1084, 82, 2, Smoke::mf_static, 193, 3},	//532 Okular::Generator::tr(const char*, const char*)
    {38, 1088, 82, 2, Smoke::mf_static, 193, 4},	//533 Okular::Generator::trUtf8(const char*, const char*)
    {38, 1084, 85, 3, Smoke::mf_static, 193, 5},	//534 Okular::Generator::tr(const char*, const char*, int)
    {38, 1088, 85, 3, Smoke::mf_static, 193, 6},	//535 Okular::Generator::trUtf8(const char*, const char*, int)
    {38, 776, 89, 3, Smoke::mf_virtual, 367, 7},	//536 Okular::Generator::qt_metacall(QMetaObject::Call, int, void**)
    {38, 126, 374, 2, Smoke::mf_ctor, 78, 8},	//537 Okular::Generator::Generator(QObject*, const QList<QVariant>&)
    {38, 649, 377, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 276, 9},	//538 Okular::Generator::loadDocument(const QString&, QVector<Okular::Page*>&) [pure virtual]
    {38, 651, 380, 2, Smoke::mf_virtual, 276, 10},	//539 Okular::Generator::loadDocumentFromData(const QByteArray&, QVector<Okular::Page*>&)
    {38, 433, 0, 0, 0, 276, 11},	//540 Okular::Generator::closeDocument()
    {38, 409, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 12},	//541 Okular::Generator::canGeneratePixmap() const
    {38, 553, 383, 1, Smoke::mf_virtual, 0, 13},	//542 Okular::Generator::generatePixmap(Okular::PixmapRequest*)
    {38, 410, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 14},	//543 Okular::Generator::canGenerateTextPage() const
    {38, 555, 385, 1, Smoke::mf_virtual, 0, 15},	//544 Okular::Generator::generateTextPage(Okular::Page*)
    {38, 551, 0, 0, Smoke::mf_virtual, 294, 16},	//545 Okular::Generator::generateDocumentInfo()
    {38, 552, 0, 0, Smoke::mf_virtual, 297, 17},	//546 Okular::Generator::generateDocumentSynopsis()
    {38, 537, 29, 1, Smoke::mf_virtual, 173, 18},	//547 Okular::Generator::fontsForPage(int)
    {38, 511, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 340, 19},	//548 Okular::Generator::embeddedFiles() const
    {38, 744, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 80, 20},	//549 Okular::Generator::pagesSizeMetric() const
    {38, 607, 104, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 21},	//550 Okular::Generator::isAllowed(Okular::Permission) const
    {38, 815, 387, 2, Smoke::mf_virtual, 0, 22},	//551 Okular::Generator::rotationChanged(Okular::Rotation, Okular::Rotation)
    {38, 741, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 176, 23},	//552 Okular::Generator::pageSizes() const
    {38, 737, 390, 2, Smoke::mf_virtual, 0, 24},	//553 Okular::Generator::pageSizeChanged(const Okular::PageSize&, const Okular::PageSize&)
    {38, 751, 171, 1, Smoke::mf_virtual, 276, 25},	//554 Okular::Generator::print(QPrinter&)
    {38, 663, 109, 2, Smoke::mf_const|Smoke::mf_virtual, 200, 26},	//555 Okular::Generator::metaData(const QString&, const QVariant&) const
    {38, 516, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 172, 27},	//556 Okular::Generator::exportFormats() const
    {38, 517, 106, 2, Smoke::mf_virtual, 276, 28},	//557 Okular::Generator::exportTo(const QString&, const Okular::ExportFormat&)
    {38, 573, 393, 1, Smoke::mf_const, 276, 29},	//558 Okular::Generator::hasFeature(Okular::Generator::GeneratorFeature) const
    {38, 871, 395, 1, 0, 0, 30},	//559 Okular::Generator::setDPI(const QSizeF&)
    {38, 512, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//560 Okular::Generator::error(const QString&, int)
    {38, 1120, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//561 Okular::Generator::warning(const QString&, int)
    {38, 679, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//562 Okular::Generator::notice(const QString&, int)
    {38, 1034, 383, 1, Smoke::mf_protected, 0, 34},	//563 Okular::Generator::signalPixmapRequestDone(Okular::PixmapRequest*)
    {38, 1036, 397, 2, Smoke::mf_protected, 0, 35},	//564 Okular::Generator::signalTextGenerationDone(Okular::Page*, Okular::TextPage*)
    {38, 481, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 276, 36},	//565 Okular::Generator::doCloseDocument() [pure virtual]
    {38, 595, 383, 1, Smoke::mf_protected|Smoke::mf_virtual, 166, 37},	//566 Okular::Generator::image(Okular::PixmapRequest*)
    {38, 1073, 385, 1, Smoke::mf_protected|Smoke::mf_virtual, 139, 38},	//567 Okular::Generator::textPage(Okular::Page*)
    {38, 484, 0, 0, Smoke::mf_const|Smoke::mf_protected, 292, 39},	//568 Okular::Generator::document() const
    {38, 885, 400, 2, Smoke::mf_protected, 0, 40},	//569 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature, bool)
    {38, 487, 109, 2, Smoke::mf_const|Smoke::mf_protected, 200, 41},	//570 Okular::Generator::documentMetaData(const QString&, const QVariant&) const
    {38, 1115, 0, 0, Smoke::mf_const|Smoke::mf_protected, 183, 42},	//571 Okular::Generator::userMutex() const
    {38, 1112, 403, 2, Smoke::mf_protected, 0, 43},	//572 Okular::Generator::updatePageBoundingBox(int, const Okular::NormalizedRect&)
    {38, 492, 0, 0, Smoke::mf_const|Smoke::mf_protected, 192, 44},	//573 Okular::Generator::dpi() const
    {38, 801, 406, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 45},	//574 Okular::Generator::requestFontData(const Okular::FontInfo&, QByteArray*)
    {38, 496, 185, 3, Smoke::mf_protected|Smoke::mf_slot, 321, 46},	//575 Okular::Generator::dynamicSourceReference(int, double, double)
    {38, 756, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 81, 47},	//576 Okular::Generator::printError() const
    {38, 126, 409, 3, Smoke::mf_ctor|Smoke::mf_protected, 78, 48},	//577 Okular::Generator::Generator(Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&)
    {38, 459, 0, 0, Smoke::mf_protected, 83, 49},	//578 Okular::Generator::d_func()
    {38, 459, 0, 0, Smoke::mf_const|Smoke::mf_protected, 304, 50},	//579 Okular::Generator::d_func() const
    {38, 1084, 80, 1, Smoke::mf_static, 193, 51},	//580 Okular::Generator::tr(const char*)
    {38, 1088, 80, 1, Smoke::mf_static, 193, 52},	//581 Okular::Generator::trUtf8(const char*)
    {38, 885, 393, 1, Smoke::mf_protected, 0, 53},	//582 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature)
    {38, 487, 9, 1, Smoke::mf_const|Smoke::mf_protected, 200, 54},	//583 Okular::Generator::documentMetaData(const QString&) const
    {38, 1051, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 55},	//584 Okular::Generator::staticMetaObject() const
    {38, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 56},	//585 Okular::Generator::Threaded (enum)
    {38, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 57},	//586 Okular::Generator::TextExtraction (enum)
    {38, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 58},	//587 Okular::Generator::ReadRawData (enum)
    {38, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 59},	//588 Okular::Generator::FontInfo (enum)
    {38, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 60},	//589 Okular::Generator::PageSizes (enum)
    {38, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 61},	//590 Okular::Generator::PrintNative (enum)
    {38, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 62},	//591 Okular::Generator::PrintPostscript (enum)
    {38, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 63},	//592 Okular::Generator::PrintToFile (enum)
    {38, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 64},	//593 Okular::Generator::TiledRendering (enum)
    {38, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 65},	//594 Okular::Generator::None (enum)
    {38, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 66},	//595 Okular::Generator::Points (enum)
    {38, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 67},	//596 Okular::Generator::Pixels (enum)
    {38, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 68},	//597 Okular::Generator::NoPrintError (enum)
    {38, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 69},	//598 Okular::Generator::UnknownPrintError (enum)
    {38, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 70},	//599 Okular::Generator::TemporaryFileOpenPrintError (enum)
    {38, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 71},	//600 Okular::Generator::FileConversionPrintError (enum)
    {38, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 72},	//601 Okular::Generator::PrintingProcessCrashPrintError (enum)
    {38, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 73},	//602 Okular::Generator::PrintingProcessStartPrintError (enum)
    {38, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 74},	//603 Okular::Generator::PrintToFilePrintError (enum)
    {38, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 75},	//604 Okular::Generator::InvalidPrinterStatePrintError (enum)
    {38, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 76},	//605 Okular::Generator::UnableToFindFilePrintError (enum)
    {38, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 77},	//606 Okular::Generator::NoFileToPrintError (enum)
    {38, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 78},	//607 Okular::Generator::NoBinaryToPrintError (enum)
    {38, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 79},	//608 Okular::Generator::InvalidPageSizePrintError (enum)
    {38, 1155, 0, 0, Smoke::mf_dtor, 0, 80 },	//609 Okular::Generator::~Generator()
    {40, 129, 0, 0, Smoke::mf_ctor, 84, 1},	//610 Okular::GeomAnnotation::GeomAnnotation()
    {40, 129, 40, 1, Smoke::mf_ctor, 84, 2},	//611 Okular::GeomAnnotation::GeomAnnotation(const QDomNode&)
    {40, 898, 413, 1, 0, 0, 3},	//612 Okular::GeomAnnotation::setGeometricalType(Okular::GeomAnnotation::GeomType)
    {40, 559, 0, 0, Smoke::mf_const, 85, 4},	//613 Okular::GeomAnnotation::geometricalType() const
    {40, 896, 415, 1, 0, 0, 5},	//614 Okular::GeomAnnotation::setGeometricalInnerColor(const QColor&)
    {40, 558, 0, 0, Smoke::mf_const, 153, 6},	//615 Okular::GeomAnnotation::geometricalInnerColor() const
    {40, 1058, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 7},	//616 Okular::GeomAnnotation::subType() const
    {40, 1053, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//617 Okular::GeomAnnotation::store(QDomNode&, QDomDocument&) const
    {40, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 9},	//618 Okular::GeomAnnotation::InscribedSquare (enum)
    {40, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 10},	//619 Okular::GeomAnnotation::InscribedCircle (enum)
    {40, 1156, 0, 0, Smoke::mf_dtor, 0, 11 },	//620 Okular::GeomAnnotation::~GeomAnnotation()
    {41, 136, 417, 2, Smoke::mf_ctor, 86, 1},	//621 Okular::GotoAction::GotoAction(const QString&, const Okular::DocumentViewport&)
    {41, 136, 278, 2, Smoke::mf_ctor, 86, 2},	//622 Okular::GotoAction::GotoAction(const QString&, const QString&)
    {41, 360, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 3},	//623 Okular::GotoAction::actionType() const
    {41, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 4},	//624 Okular::GotoAction::actionTip() const
    {41, 615, 0, 0, Smoke::mf_const, 276, 5},	//625 Okular::GotoAction::isExternal() const
    {41, 523, 0, 0, Smoke::mf_const, 193, 6},	//626 Okular::GotoAction::fileName() const
    {41, 470, 0, 0, Smoke::mf_const, 49, 7},	//627 Okular::GotoAction::destViewport() const
    {41, 473, 0, 0, Smoke::mf_const, 193, 8},	//628 Okular::GotoAction::destinationName() const
    {41, 1157, 0, 0, Smoke::mf_dtor, 0, 9 },	//629 Okular::GotoAction::~GotoAction()
    {42, 571, 0, 0, 0, 11, 1},	//630 Okular::GuiInterface::guiClient()
    {42, 140, 0, 0, Smoke::mf_ctor, 87, 2},	//631 Okular::GuiInterface::GuiInterface()
    {42, 140, 420, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 3},	//632 Okular::GuiInterface::GuiInterface(const Okular::GuiInterface&)
    {42, 1158, 0, 0, Smoke::mf_dtor, 0, 4 },	//633 Okular::GuiInterface::~GuiInterface()
    {43, 145, 0, 0, Smoke::mf_ctor, 88, 1},	//634 Okular::HighlightAnnotation::HighlightAnnotation()
    {43, 145, 40, 1, Smoke::mf_ctor, 88, 2},	//635 Okular::HighlightAnnotation::HighlightAnnotation(const QDomNode&)
    {43, 900, 422, 1, 0, 0, 3},	//636 Okular::HighlightAnnotation::setHighlightType(Okular::HighlightAnnotation::HighlightType)
    {43, 590, 0, 0, Smoke::mf_const, 89, 4},	//637 Okular::HighlightAnnotation::highlightType() const
    {43, 589, 0, 0, 0, 175, 5},	//638 Okular::HighlightAnnotation::highlightQuads()
    {43, 1058, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 6},	//639 Okular::HighlightAnnotation::subType() const
    {43, 1053, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//640 Okular::HighlightAnnotation::store(QDomNode&, QDomDocument&) const
    {43, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 8},	//641 Okular::HighlightAnnotation::Highlight (enum)
    {43, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 9},	//642 Okular::HighlightAnnotation::Squiggly (enum)
    {43, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 10},	//643 Okular::HighlightAnnotation::Underline (enum)
    {43, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 11},	//644 Okular::HighlightAnnotation::StrikeOut (enum)
    {43, 1159, 0, 0, Smoke::mf_dtor, 0, 12 },	//645 Okular::HighlightAnnotation::~HighlightAnnotation()
    {45, 152, 0, 0, Smoke::mf_ctor, 91, 1},	//646 Okular::InkAnnotation::InkAnnotation()
    {45, 152, 40, 1, Smoke::mf_ctor, 91, 2},	//647 Okular::InkAnnotation::InkAnnotation(const QDomNode&)
    {45, 902, 424, 1, 0, 0, 3},	//648 Okular::InkAnnotation::setInkPaths(const QList<QLinkedList<Okular::NormalizedPoint> >&)
    {45, 599, 0, 0, Smoke::mf_const, 179, 4},	//649 Okular::InkAnnotation::inkPaths() const
    {45, 1097, 0, 0, Smoke::mf_const, 179, 5},	//650 Okular::InkAnnotation::transformedInkPaths() const
    {45, 1058, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 6},	//651 Okular::InkAnnotation::subType() const
    {45, 1053, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//652 Okular::InkAnnotation::store(QDomNode&, QDomDocument&) const
    {45, 1160, 0, 0, Smoke::mf_dtor, 0, 8 },	//653 Okular::InkAnnotation::~InkAnnotation()
    {46, 180, 0, 0, Smoke::mf_ctor, 92, 1},	//654 Okular::LineAnnotation::LineAnnotation()
    {46, 180, 40, 1, Smoke::mf_ctor, 92, 2},	//655 Okular::LineAnnotation::LineAnnotation(const QDomNode&)
    {46, 928, 426, 1, 0, 0, 3},	//656 Okular::LineAnnotation::setLinePoints(const QLinkedList<Okular::NormalizedPoint>&)
    {46, 643, 0, 0, Smoke::mf_const, 170, 4},	//657 Okular::LineAnnotation::linePoints() const
    {46, 1100, 0, 0, Smoke::mf_const, 170, 5},	//658 Okular::LineAnnotation::transformedLinePoints() const
    {46, 930, 428, 1, 0, 0, 6},	//659 Okular::LineAnnotation::setLineStartStyle(Okular::LineAnnotation::TermStyle)
    {46, 644, 0, 0, Smoke::mf_const, 94, 7},	//660 Okular::LineAnnotation::lineStartStyle() const
    {46, 918, 428, 1, 0, 0, 8},	//661 Okular::LineAnnotation::setLineEndStyle(Okular::LineAnnotation::TermStyle)
    {46, 638, 0, 0, Smoke::mf_const, 94, 9},	//662 Okular::LineAnnotation::lineEndStyle() const
    {46, 916, 189, 1, 0, 0, 10},	//663 Okular::LineAnnotation::setLineClosed(bool)
    {46, 637, 0, 0, Smoke::mf_const, 276, 11},	//664 Okular::LineAnnotation::lineClosed() const
    {46, 920, 415, 1, 0, 0, 12},	//665 Okular::LineAnnotation::setLineInnerColor(const QColor&)
    {46, 639, 0, 0, Smoke::mf_const, 153, 13},	//666 Okular::LineAnnotation::lineInnerColor() const
    {46, 926, 430, 1, 0, 0, 14},	//667 Okular::LineAnnotation::setLineLeadingForwardPoint(double)
    {46, 642, 0, 0, Smoke::mf_const, 365, 15},	//668 Okular::LineAnnotation::lineLeadingForwardPoint() const
    {46, 924, 430, 1, 0, 0, 16},	//669 Okular::LineAnnotation::setLineLeadingBackwardPoint(double)
    {46, 641, 0, 0, Smoke::mf_const, 365, 17},	//670 Okular::LineAnnotation::lineLeadingBackwardPoint() const
    {46, 978, 189, 1, 0, 0, 18},	//671 Okular::LineAnnotation::setShowCaption(bool)
    {46, 1032, 0, 0, Smoke::mf_const, 276, 19},	//672 Okular::LineAnnotation::showCaption() const
    {46, 922, 432, 1, 0, 0, 20},	//673 Okular::LineAnnotation::setLineIntent(Okular::LineAnnotation::LineIntent)
    {46, 640, 0, 0, Smoke::mf_const, 93, 21},	//674 Okular::LineAnnotation::lineIntent() const
    {46, 1058, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 22},	//675 Okular::LineAnnotation::subType() const
    {46, 1053, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 23},	//676 Okular::LineAnnotation::store(QDomNode&, QDomDocument&) const
    {46, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 24},	//677 Okular::LineAnnotation::Square (enum)
    {46, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 25},	//678 Okular::LineAnnotation::Circle (enum)
    {46, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 26},	//679 Okular::LineAnnotation::Diamond (enum)
    {46, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 27},	//680 Okular::LineAnnotation::OpenArrow (enum)
    {46, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 28},	//681 Okular::LineAnnotation::ClosedArrow (enum)
    {46, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 29},	//682 Okular::LineAnnotation::None (enum)
    {46, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 30},	//683 Okular::LineAnnotation::Butt (enum)
    {46, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 31},	//684 Okular::LineAnnotation::ROpenArrow (enum)
    {46, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 32},	//685 Okular::LineAnnotation::RClosedArrow (enum)
    {46, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 33},	//686 Okular::LineAnnotation::Slash (enum)
    {46, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 34},	//687 Okular::LineAnnotation::Unknown (enum)
    {46, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 35},	//688 Okular::LineAnnotation::Arrow (enum)
    {46, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 36},	//689 Okular::LineAnnotation::Dimension (enum)
    {46, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 37},	//690 Okular::LineAnnotation::PolygonCloud (enum)
    {46, 1161, 0, 0, Smoke::mf_dtor, 0, 38 },	//691 Okular::LineAnnotation::~LineAnnotation()
    {48, 202, 0, 0, Smoke::mf_ctor, 98, 1},	//692 Okular::NormalizedPoint::NormalizedPoint()
    {48, 202, 49, 2, Smoke::mf_ctor, 98, 2},	//693 Okular::NormalizedPoint::NormalizedPoint(double, double)
    {48, 202, 434, 4, Smoke::mf_ctor, 98, 3},	//694 Okular::NormalizedPoint::NormalizedPoint(int, int, int, int)
    {48, 702, 33, 1, 0, 97, 4},	//695 Okular::NormalizedPoint::operator=(const Okular::NormalizedPoint&)
    {48, 1092, 57, 1, 0, 0, 5},	//696 Okular::NormalizedPoint::transform(const QTransform&)
    {48, 478, 52, 4, Smoke::mf_const, 365, 6},	//697 Okular::NormalizedPoint::distanceSqr(double, double, double, double) const
    {48, 478, 439, 6, Smoke::mf_static, 365, 7},	//698 Okular::NormalizedPoint::distanceSqr(double, double, double, double, const Okular::NormalizedPoint&, const Okular::NormalizedPoint&)
    {48, 202, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 8},	//699 Okular::NormalizedPoint::NormalizedPoint(const Okular::NormalizedPoint&)
    {48, 1130, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 365, 9},	//700 Okular::NormalizedPoint::x() const
    {48, 1023, 430, 1, Smoke::mf_attribute, 0, 10},	//701 Okular::NormalizedPoint::setX(double)
    {48, 1132, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 365, 11},	//702 Okular::NormalizedPoint::y() const
    {48, 1027, 430, 1, Smoke::mf_attribute, 0, 12},	//703 Okular::NormalizedPoint::setY(double)
    {48, 1162, 0, 0, Smoke::mf_dtor, 0, 13 },	//704 Okular::NormalizedPoint::~NormalizedPoint()
    {49, 206, 0, 0, Smoke::mf_ctor, 101, 1},	//705 Okular::NormalizedRect::NormalizedRect()
    {49, 206, 52, 4, Smoke::mf_ctor, 101, 2},	//706 Okular::NormalizedRect::NormalizedRect(double, double, double, double)
    {49, 206, 446, 3, Smoke::mf_ctor, 101, 3},	//707 Okular::NormalizedRect::NormalizedRect(const QRect&, double, double)
    {49, 206, 31, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 4},	//708 Okular::NormalizedRect::NormalizedRect(const Okular::NormalizedRect&)
    {49, 702, 31, 1, 0, 100, 5},	//709 Okular::NormalizedRect::operator=(const Okular::NormalizedRect&)
    {49, 548, 450, 1, Smoke::mf_static, 99, 6},	//710 Okular::NormalizedRect::fromQRectF(const QRectF&)
    {49, 618, 0, 0, Smoke::mf_const, 276, 7},	//711 Okular::NormalizedRect::isNull() const
    {49, 438, 49, 2, Smoke::mf_const, 276, 8},	//712 Okular::NormalizedRect::contains(double, double) const
    {49, 604, 31, 1, Smoke::mf_const, 276, 9},	//713 Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    {49, 604, 452, 1, Smoke::mf_const, 276, 10},	//714 Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    {49, 604, 52, 4, Smoke::mf_const, 276, 11},	//715 Okular::NormalizedRect::intersects(double, double, double, double) const
    {49, 560, 454, 2, Smoke::mf_const, 189, 12},	//716 Okular::NormalizedRect::geometry(int, int) const
    {49, 817, 454, 2, Smoke::mf_const, 189, 13},	//717 Okular::NormalizedRect::roundedGeometry(int, int) const
    {49, 706, 31, 1, Smoke::mf_const, 99, 14},	//718 Okular::NormalizedRect::operator|(const Okular::NormalizedRect&) const
    {49, 708, 31, 1, 0, 100, 15},	//719 Okular::NormalizedRect::operator|=(const Okular::NormalizedRect&)
    {49, 698, 31, 1, Smoke::mf_const, 99, 16},	//720 Okular::NormalizedRect::operator&(const Okular::NormalizedRect&) const
    {49, 704, 31, 1, Smoke::mf_const, 276, 17},	//721 Okular::NormalizedRect::operator==(const Okular::NormalizedRect&) const
    {49, 427, 0, 0, Smoke::mf_const, 96, 18},	//722 Okular::NormalizedRect::center() const
    {49, 1092, 57, 1, 0, 0, 19},	//723 Okular::NormalizedRect::transform(const QTransform&)
    {49, 609, 33, 1, Smoke::mf_const, 276, 20},	//724 Okular::NormalizedRect::isBottom(const Okular::NormalizedPoint&) const
    {49, 627, 33, 1, Smoke::mf_const, 276, 21},	//725 Okular::NormalizedRect::isTop(const Okular::NormalizedPoint&) const
    {49, 611, 33, 1, Smoke::mf_const, 276, 22},	//726 Okular::NormalizedRect::isBottomOrLevel(const Okular::NormalizedPoint&) const
    {49, 629, 33, 1, Smoke::mf_const, 276, 23},	//727 Okular::NormalizedRect::isTopOrLevel(const Okular::NormalizedPoint&) const
    {49, 616, 33, 1, Smoke::mf_const, 276, 24},	//728 Okular::NormalizedRect::isLeft(const Okular::NormalizedPoint&) const
    {49, 624, 33, 1, Smoke::mf_const, 276, 25},	//729 Okular::NormalizedRect::isRight(const Okular::NormalizedPoint&) const
    {49, 478, 52, 4, Smoke::mf_const, 365, 26},	//730 Okular::NormalizedRect::distanceSqr(double, double, double, double) const
    {49, 636, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 365, 27},	//731 Okular::NormalizedRect::left() const
    {49, 914, 430, 1, Smoke::mf_attribute, 0, 28},	//732 Okular::NormalizedRect::setLeft(double)
    {49, 1082, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 365, 29},	//733 Okular::NormalizedRect::top() const
    {49, 1004, 430, 1, Smoke::mf_attribute, 0, 30},	//734 Okular::NormalizedRect::setTop(double)
    {49, 811, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 365, 31},	//735 Okular::NormalizedRect::right() const
    {49, 970, 430, 1, Smoke::mf_attribute, 0, 32},	//736 Okular::NormalizedRect::setRight(double)
    {49, 396, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 365, 33},	//737 Okular::NormalizedRect::bottom() const
    {49, 851, 430, 1, Smoke::mf_attribute, 0, 34},	//738 Okular::NormalizedRect::setBottom(double)
    {49, 1163, 0, 0, Smoke::mf_dtor, 0, 35 },	//739 Okular::NormalizedRect::~NormalizedRect()
    {50, 212, 457, 7, Smoke::mf_ctor, 102, 1},	//740 Okular::ObjectRect::ObjectRect(double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*)
    {50, 212, 465, 4, Smoke::mf_ctor, 102, 2},	//741 Okular::ObjectRect::ObjectRect(const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*)
    {50, 212, 470, 3, Smoke::mf_ctor, 102, 3},	//742 Okular::ObjectRect::ObjectRect(const QPolygonF&, Okular::ObjectRect::ObjectType, void*)
    {50, 687, 0, 0, Smoke::mf_const, 103, 4},	//743 Okular::ObjectRect::objectType() const
    {50, 682, 0, 0, Smoke::mf_const, 364, 5},	//744 Okular::ObjectRect::object() const
    {50, 788, 0, 0, Smoke::mf_const, 349, 6},	//745 Okular::ObjectRect::region() const
    {50, 398, 49, 2, Smoke::mf_const|Smoke::mf_virtual, 189, 7},	//746 Okular::ObjectRect::boundingRect(double, double) const
    {50, 438, 52, 4, Smoke::mf_const|Smoke::mf_virtual, 276, 8},	//747 Okular::ObjectRect::contains(double, double, double, double) const
    {50, 1092, 57, 1, Smoke::mf_virtual, 0, 9},	//748 Okular::ObjectRect::transform(const QTransform&)
    {50, 478, 52, 4, Smoke::mf_const, 365, 10},	//749 Okular::ObjectRect::distanceSqr(double, double, double, double) const
    {50, 212, 474, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 11},	//750 Okular::ObjectRect::ObjectRect(const Okular::ObjectRect&)
    {50, 655, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 103, 12},	//751 Okular::ObjectRect::m_objectType() const
    {50, 935, 476, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//752 Okular::ObjectRect::setM_objectType(Okular::ObjectRect::ObjectType)
    {50, 654, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 370, 14},	//753 Okular::ObjectRect::m_object() const
    {50, 933, 478, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//754 Okular::ObjectRect::setM_object(void*)
    {50, 656, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 185, 16},	//755 Okular::ObjectRect::m_path() const
    {50, 937, 480, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 17},	//756 Okular::ObjectRect::setM_path(const QPainterPath&)
    {50, 657, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 185, 18},	//757 Okular::ObjectRect::m_transformedPath() const
    {50, 939, 480, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 19},	//758 Okular::ObjectRect::setM_transformedPath(const QPainterPath&)
    {50, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 20},	//759 Okular::ObjectRect::Action (enum)
    {50, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 21},	//760 Okular::ObjectRect::Image (enum)
    {50, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 22},	//761 Okular::ObjectRect::OAnnotation (enum)
    {50, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 23},	//762 Okular::ObjectRect::SourceRef (enum)
    {50, 1164, 0, 0, Smoke::mf_dtor, 0, 24 },	//763 Okular::ObjectRect::~ObjectRect()
    {51, 223, 482, 4, Smoke::mf_ctor, 104, 1},	//764 Okular::Page::Page(unsigned int, double, double, Okular::Rotation)
    {51, 681, 0, 0, Smoke::mf_const, 367, 2},	//765 Okular::Page::number() const
    {51, 724, 0, 0, Smoke::mf_const, 120, 3},	//766 Okular::Page::orientation() const
    {51, 814, 0, 0, Smoke::mf_const, 120, 4},	//767 Okular::Page::rotation() const
    {51, 1083, 0, 0, Smoke::mf_const, 120, 5},	//768 Okular::Page::totalOrientation() const
    {51, 1123, 0, 0, Smoke::mf_const, 365, 6},	//769 Okular::Page::width() const
    {51, 588, 0, 0, Smoke::mf_const, 365, 7},	//770 Okular::Page::height() const
    {51, 781, 0, 0, Smoke::mf_const, 365, 8},	//771 Okular::Page::ratio() const
    {51, 397, 0, 0, Smoke::mf_const, 99, 9},	//772 Okular::Page::boundingBox() const
    {51, 613, 0, 0, Smoke::mf_const, 276, 10},	//773 Okular::Page::isBoundingBoxKnown() const
    {51, 853, 31, 1, 0, 0, 11},	//774 Okular::Page::setBoundingBox(const Okular::NormalizedRect&)
    {51, 579, 487, 4, Smoke::mf_const, 276, 12},	//775 Okular::Page::hasPixmap(Okular::DocumentObserver*, int, int, const Okular::NormalizedRect&) const
    {51, 584, 0, 0, Smoke::mf_const, 276, 13},	//776 Okular::Page::hasTextPage() const
    {51, 577, 52, 4, Smoke::mf_const, 276, 14},	//777 Okular::Page::hasObjectRect(double, double, double, double) const
    {51, 575, 29, 1, Smoke::mf_const, 276, 15},	//778 Okular::Page::hasHighlights(int) const
    {51, 587, 0, 0, Smoke::mf_const, 276, 16},	//779 Okular::Page::hasTransition() const
    {51, 572, 0, 0, Smoke::mf_const, 276, 17},	//780 Okular::Page::hasAnnotations() const
    {51, 528, 492, 5, Smoke::mf_const, 119, 18},	//781 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*) const
    {51, 1065, 498, 1, Smoke::mf_const, 193, 19},	//782 Okular::Page::text(const Okular::RegularAreaRect*) const
    {51, 1065, 500, 2, Smoke::mf_const, 193, 20},	//783 Okular::Page::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {51, 1128, 500, 2, Smoke::mf_const, 177, 21},	//784 Okular::Page::words(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {51, 1125, 503, 2, Smoke::mf_const, 119, 22},	//785 Okular::Page::wordAt(const Okular::NormalizedPoint&, QString*) const
    {51, 1069, 506, 1, Smoke::mf_const, 119, 23},	//786 Okular::Page::textArea(Okular::TextSelection*) const
    {51, 683, 508, 5, Smoke::mf_const, 311, 24},	//787 Okular::Page::objectRect(Okular::ObjectRect::ObjectType, double, double, double, double) const
    {51, 685, 508, 5, Smoke::mf_const, 171, 25},	//788 Okular::Page::objectRects(Okular::ObjectRect::ObjectType, double, double, double, double) const
    {51, 676, 514, 6, Smoke::mf_const, 311, 26},	//789 Okular::Page::nearestObjectRect(Okular::ObjectRect::ObjectType, double, double, double, double, double*) const
    {51, 1101, 0, 0, Smoke::mf_const, 315, 27},	//790 Okular::Page::transition() const
    {51, 386, 0, 0, Smoke::mf_const, 167, 28},	//791 Okular::Page::annotations() const
    {51, 727, 521, 1, Smoke::mf_const, 283, 29},	//792 Okular::Page::pageAction(Okular::Page::PageAction) const
    {51, 543, 0, 0, Smoke::mf_const, 169, 30},	//793 Okular::Page::formFields() const
    {51, 964, 523, 3, 0, 0, 31},	//794 Okular::Page::setPixmap(Okular::DocumentObserver*, QPixmap*, const Okular::NormalizedRect&)
    {51, 998, 527, 1, 0, 0, 32},	//795 Okular::Page::setTextPage(Okular::TextPage*)
    {51, 954, 529, 1, 0, 0, 33},	//796 Okular::Page::setObjectRects(const QLinkedList<Okular::ObjectRect*>&)
    {51, 986, 531, 1, 0, 0, 34},	//797 Okular::Page::setSourceReferences(const QLinkedList<Okular::SourceRefObjectRect*>&)
    {51, 877, 430, 1, 0, 0, 35},	//798 Okular::Page::setDuration(double)
    {51, 495, 0, 0, Smoke::mf_const, 365, 36},	//799 Okular::Page::duration() const
    {51, 912, 9, 1, 0, 0, 37},	//800 Okular::Page::setLabel(const QString&)
    {51, 635, 0, 0, Smoke::mf_const, 193, 38},	//801 Okular::Page::label() const
    {51, 1075, 0, 0, Smoke::mf_const, 318, 39},	//802 Okular::Page::textSelection() const
    {51, 1076, 0, 0, Smoke::mf_const, 153, 40},	//803 Okular::Page::textSelectionColor() const
    {51, 364, 47, 1, 0, 0, 41},	//804 Okular::Page::addAnnotation(Okular::Annotation*)
    {51, 791, 47, 1, 0, 276, 42},	//805 Okular::Page::removeAnnotation(Okular::Annotation*)
    {51, 1006, 533, 1, 0, 0, 43},	//806 Okular::Page::setTransition(Okular::PageTransition*)
    {51, 956, 535, 2, 0, 0, 44},	//807 Okular::Page::setPageAction(Okular::Page::PageAction, Okular::Action*)
    {51, 894, 538, 1, 0, 0, 45},	//808 Okular::Page::setFormFields(const QLinkedList<Okular::FormField*>&)
    {51, 464, 99, 1, 0, 0, 46},	//809 Okular::Page::deletePixmap(Okular::DocumentObserver*)
    {51, 466, 0, 0, 0, 0, 47},	//810 Okular::Page::deletePixmaps()
    {51, 467, 0, 0, 0, 0, 48},	//811 Okular::Page::deleteRects()
    {51, 468, 0, 0, 0, 0, 49},	//812 Okular::Page::deleteSourceReferences()
    {51, 461, 0, 0, 0, 0, 50},	//813 Okular::Page::deleteAnnotations()
    {51, 585, 540, 1, Smoke::mf_const, 276, 51},	//814 Okular::Page::hasTilesManager(const Okular::DocumentObserver*) const
    {51, 1078, 542, 2, Smoke::mf_const, 178, 52},	//815 Okular::Page::tilesAt(const Okular::DocumentObserver*, const Okular::NormalizedRect&) const
    {51, 579, 99, 1, Smoke::mf_const, 276, 53},	//816 Okular::Page::hasPixmap(Okular::DocumentObserver*) const
    {51, 579, 545, 2, Smoke::mf_const, 276, 54},	//817 Okular::Page::hasPixmap(Okular::DocumentObserver*, int) const
    {51, 579, 548, 3, Smoke::mf_const, 276, 55},	//818 Okular::Page::hasPixmap(Okular::DocumentObserver*, int, int) const
    {51, 575, 0, 0, Smoke::mf_const, 276, 56},	//819 Okular::Page::hasHighlights() const
    {51, 528, 552, 4, Smoke::mf_const, 119, 57},	//820 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity) const
    {51, 1065, 0, 0, Smoke::mf_const, 193, 58},	//821 Okular::Page::text() const
    {51, 1125, 33, 1, Smoke::mf_const, 119, 59},	//822 Okular::Page::wordAt(const Okular::NormalizedPoint&) const
    {51, 964, 557, 2, 0, 0, 60},	//823 Okular::Page::setPixmap(Okular::DocumentObserver*, QPixmap*)
    {51, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 61},	//824 Okular::Page::Opening (enum)
    {51, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 62},	//825 Okular::Page::Closing (enum)
    {51, 1165, 0, 0, Smoke::mf_dtor, 0, 63 },	//826 Okular::Page::~Page()
    {52, 231, 0, 0, Smoke::mf_ctor, 108, 1},	//827 Okular::PageSize::PageSize()
    {52, 231, 560, 3, Smoke::mf_ctor, 108, 2},	//828 Okular::PageSize::PageSize(double, double, const QString&)
    {52, 231, 191, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 3},	//829 Okular::PageSize::PageSize(const Okular::PageSize&)
    {52, 1123, 0, 0, Smoke::mf_const, 365, 4},	//830 Okular::PageSize::width() const
    {52, 588, 0, 0, Smoke::mf_const, 365, 5},	//831 Okular::PageSize::height() const
    {52, 674, 0, 0, Smoke::mf_const, 193, 6},	//832 Okular::PageSize::name() const
    {52, 618, 0, 0, Smoke::mf_const, 276, 7},	//833 Okular::PageSize::isNull() const
    {52, 702, 191, 1, 0, 107, 8},	//834 Okular::PageSize::operator=(const Okular::PageSize&)
    {52, 704, 191, 1, Smoke::mf_const, 276, 9},	//835 Okular::PageSize::operator==(const Okular::PageSize&) const
    {52, 696, 191, 1, Smoke::mf_const, 276, 10},	//836 Okular::PageSize::operator!=(const Okular::PageSize&) const
    {52, 1166, 0, 0, Smoke::mf_dtor, 0, 11 },	//837 Okular::PageSize::~PageSize()
    {53, 235, 564, 1, Smoke::mf_ctor, 110, 1},	//838 Okular::PageTransition::PageTransition(Okular::PageTransition::Type)
    {53, 235, 566, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 110, 2},	//839 Okular::PageTransition::PageTransition(const Okular::PageTransition&)
    {53, 702, 566, 1, 0, 109, 3},	//840 Okular::PageTransition::operator=(const Okular::PageTransition&)
    {53, 1106, 0, 0, Smoke::mf_const, 113, 4},	//841 Okular::PageTransition::type() const
    {53, 495, 0, 0, Smoke::mf_const, 367, 5},	//842 Okular::PageTransition::duration() const
    {53, 378, 0, 0, Smoke::mf_const, 111, 6},	//843 Okular::PageTransition::alignment() const
    {53, 476, 0, 0, Smoke::mf_const, 112, 7},	//844 Okular::PageTransition::direction() const
    {53, 380, 0, 0, Smoke::mf_const, 367, 8},	//845 Okular::PageTransition::angle() const
    {53, 826, 0, 0, Smoke::mf_const, 365, 9},	//846 Okular::PageTransition::scale() const
    {53, 622, 0, 0, Smoke::mf_const, 276, 10},	//847 Okular::PageTransition::isRectangular() const
    {53, 1008, 564, 1, 0, 0, 11},	//848 Okular::PageTransition::setType(Okular::PageTransition::Type)
    {53, 877, 29, 1, 0, 0, 12},	//849 Okular::PageTransition::setDuration(int)
    {53, 839, 568, 1, 0, 0, 13},	//850 Okular::PageTransition::setAlignment(Okular::PageTransition::Alignment)
    {53, 873, 570, 1, 0, 0, 14},	//851 Okular::PageTransition::setDirection(Okular::PageTransition::Direction)
    {53, 841, 29, 1, 0, 0, 15},	//852 Okular::PageTransition::setAngle(int)
    {53, 976, 430, 1, 0, 0, 16},	//853 Okular::PageTransition::setScale(double)
    {53, 910, 189, 1, 0, 0, 17},	//854 Okular::PageTransition::setIsRectangular(bool)
    {53, 235, 0, 0, Smoke::mf_ctor, 110, 18},	//855 Okular::PageTransition::PageTransition()
    {53, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 19},	//856 Okular::PageTransition::Replace (enum)
    {53, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 20},	//857 Okular::PageTransition::Split (enum)
    {53, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 21},	//858 Okular::PageTransition::Blinds (enum)
    {53, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 22},	//859 Okular::PageTransition::Box (enum)
    {53, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 23},	//860 Okular::PageTransition::Wipe (enum)
    {53, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 24},	//861 Okular::PageTransition::Dissolve (enum)
    {53, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 25},	//862 Okular::PageTransition::Glitter (enum)
    {53, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 26},	//863 Okular::PageTransition::Fly (enum)
    {53, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 27},	//864 Okular::PageTransition::Push (enum)
    {53, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 28},	//865 Okular::PageTransition::Cover (enum)
    {53, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 29},	//866 Okular::PageTransition::Uncover (enum)
    {53, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 30},	//867 Okular::PageTransition::Fade (enum)
    {53, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 31},	//868 Okular::PageTransition::Horizontal (enum)
    {53, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 32},	//869 Okular::PageTransition::Vertical (enum)
    {53, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 33},	//870 Okular::PageTransition::Inward (enum)
    {53, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 34},	//871 Okular::PageTransition::Outward (enum)
    {53, 1167, 0, 0, Smoke::mf_dtor, 0, 35 },	//872 Okular::PageTransition::~PageTransition()
    {54, 241, 572, 6, Smoke::mf_ctor, 115, 1},	//873 Okular::PixmapRequest::PixmapRequest(Okular::DocumentObserver*, int, int, int, int, QFlags<Okular::PixmapRequest::PixmapRequestFeature>)
    {54, 688, 0, 0, Smoke::mf_const, 47, 2},	//874 Okular::PixmapRequest::observer() const
    {54, 734, 0, 0, Smoke::mf_const, 367, 3},	//875 Okular::PixmapRequest::pageNumber() const
    {54, 1123, 0, 0, Smoke::mf_const, 367, 4},	//876 Okular::PixmapRequest::width() const
    {54, 588, 0, 0, Smoke::mf_const, 367, 5},	//877 Okular::PixmapRequest::height() const
    {54, 764, 0, 0, Smoke::mf_const, 367, 6},	//878 Okular::PixmapRequest::priority() const
    {54, 390, 0, 0, Smoke::mf_const, 276, 7},	//879 Okular::PixmapRequest::asynchronous() const
    {54, 748, 0, 0, Smoke::mf_const, 276, 8},	//880 Okular::PixmapRequest::preload() const
    {54, 725, 0, 0, Smoke::mf_const, 104, 9},	//881 Okular::PixmapRequest::page() const
    {54, 1002, 189, 1, 0, 0, 10},	//882 Okular::PixmapRequest::setTile(bool)
    {54, 626, 0, 0, Smoke::mf_const, 276, 11},	//883 Okular::PixmapRequest::isTile() const
    {54, 952, 31, 1, 0, 0, 12},	//884 Okular::PixmapRequest::setNormalizedRect(const Okular::NormalizedRect&)
    {54, 678, 0, 0, Smoke::mf_const, 308, 13},	//885 Okular::PixmapRequest::normalizedRect() const
    {54, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 14},	//886 Okular::PixmapRequest::NoFeature (enum)
    {54, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 15},	//887 Okular::PixmapRequest::Asynchronous (enum)
    {54, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 16},	//888 Okular::PixmapRequest::Preload (enum)
    {54, 1168, 0, 0, Smoke::mf_dtor, 0, 17 },	//889 Okular::PixmapRequest::~PixmapRequest()
    {55, 755, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 202, 1},	//890 Okular::PrintInterface::printConfigurationWidget() const [pure virtual]
    {55, 250, 0, 0, Smoke::mf_ctor, 117, 2},	//891 Okular::PrintInterface::PrintInterface()
    {55, 250, 579, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 3},	//892 Okular::PrintInterface::PrintInterface(const Okular::PrintInterface&)
    {55, 1169, 0, 0, Smoke::mf_dtor, 0, 4 },	//893 Okular::PrintInterface::~PrintInterface()
    {56, 266, 0, 0, Smoke::mf_ctor, 119, 1},	//894 Okular::RegularAreaRect::RegularAreaRect()
    {56, 266, 581, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 2},	//895 Okular::RegularAreaRect::RegularAreaRect(const Okular::RegularAreaRect&)
    {56, 702, 581, 1, 0, 118, 3},	//896 Okular::RegularAreaRect::operator=(const Okular::RegularAreaRect&)
    {56, 1170, 0, 0, Smoke::mf_dtor, 0, 4 },	//897 Okular::RegularAreaRect::~RegularAreaRect()
    {58, 276, 583, 2, Smoke::mf_ctor, 121, 1},	//898 Okular::ScriptAction::ScriptAction(Okular::ScriptType, const QString&)
    {58, 360, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//899 Okular::ScriptAction::actionType() const
    {58, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 3},	//900 Okular::ScriptAction::actionTip() const
    {58, 828, 0, 0, Smoke::mf_const, 122, 4},	//901 Okular::ScriptAction::scriptType() const
    {58, 827, 0, 0, Smoke::mf_const, 193, 5},	//902 Okular::ScriptAction::script() const
    {58, 1171, 0, 0, Smoke::mf_dtor, 0, 6 },	//903 Okular::ScriptAction::~ScriptAction()
    {59, 282, 586, 1, Smoke::mf_ctor, 124, 1},	//904 Okular::Sound::Sound(const QByteArray&)
    {59, 282, 9, 1, Smoke::mf_ctor, 124, 2},	//905 Okular::Sound::Sound(const QString&)
    {59, 1042, 0, 0, Smoke::mf_const, 126, 3},	//906 Okular::Sound::soundType() const
    {59, 1114, 0, 0, Smoke::mf_const, 193, 4},	//907 Okular::Sound::url() const
    {59, 460, 0, 0, Smoke::mf_const, 150, 5},	//908 Okular::Sound::data() const
    {59, 974, 430, 1, 0, 0, 6},	//909 Okular::Sound::setSamplingRate(double)
    {59, 820, 0, 0, Smoke::mf_const, 365, 7},	//910 Okular::Sound::samplingRate() const
    {59, 861, 29, 1, 0, 0, 8},	//911 Okular::Sound::setChannels(int)
    {59, 428, 0, 0, Smoke::mf_const, 367, 9},	//912 Okular::Sound::channels() const
    {59, 849, 29, 1, 0, 0, 10},	//913 Okular::Sound::setBitsPerSample(int)
    {59, 392, 0, 0, Smoke::mf_const, 367, 11},	//914 Okular::Sound::bitsPerSample() const
    {59, 982, 588, 1, 0, 0, 12},	//915 Okular::Sound::setSoundEncoding(Okular::Sound::SoundEncoding)
    {59, 1040, 0, 0, Smoke::mf_const, 125, 13},	//916 Okular::Sound::soundEncoding() const
    {59, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 14},	//917 Okular::Sound::External (enum)
    {59, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 15},	//918 Okular::Sound::Embedded (enum)
    {59, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 16},	//919 Okular::Sound::Raw (enum)
    {59, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 17},	//920 Okular::Sound::Signed (enum)
    {59, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 18},	//921 Okular::Sound::muLaw (enum)
    {59, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 19},	//922 Okular::Sound::ALaw (enum)
    {59, 1172, 0, 0, Smoke::mf_dtor, 0, 20 },	//923 Okular::Sound::~Sound()
    {60, 285, 590, 5, Smoke::mf_ctor, 127, 1},	//924 Okular::SoundAction::SoundAction(double, bool, bool, bool, Okular::Sound*)
    {60, 360, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//925 Okular::SoundAction::actionType() const
    {60, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 193, 3},	//926 Okular::SoundAction::actionTip() const
    {60, 1119, 0, 0, Smoke::mf_const, 365, 4},	//927 Okular::SoundAction::volume() const
    {60, 1064, 0, 0, Smoke::mf_const, 276, 5},	//928 Okular::SoundAction::synchronous() const
    {60, 800, 0, 0, Smoke::mf_const, 276, 6},	//929 Okular::SoundAction::repeat() const
    {60, 668, 0, 0, Smoke::mf_const, 276, 7},	//930 Okular::SoundAction::mix() const
    {60, 1039, 0, 0, Smoke::mf_const, 124, 8},	//931 Okular::SoundAction::sound() const
    {60, 1173, 0, 0, Smoke::mf_dtor, 0, 9 },	//932 Okular::SoundAction::~SoundAction()
    {61, 287, 0, 0, Smoke::mf_ctor, 128, 1},	//933 Okular::SoundAnnotation::SoundAnnotation()
    {61, 287, 40, 1, Smoke::mf_ctor, 128, 2},	//934 Okular::SoundAnnotation::SoundAnnotation(const QDomNode&)
    {61, 1041, 0, 0, Smoke::mf_const, 193, 3},	//935 Okular::SoundAnnotation::soundIconName() const
    {61, 984, 9, 1, 0, 0, 4},	//936 Okular::SoundAnnotation::setSoundIconName(const QString&)
    {61, 1039, 0, 0, Smoke::mf_const, 124, 5},	//937 Okular::SoundAnnotation::sound() const
    {61, 980, 596, 1, 0, 0, 6},	//938 Okular::SoundAnnotation::setSound(Okular::Sound*)
    {61, 1058, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 7},	//939 Okular::SoundAnnotation::subType() const
    {61, 1053, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//940 Okular::SoundAnnotation::store(QDomNode&, QDomDocument&) const
    {61, 1174, 0, 0, Smoke::mf_dtor, 0, 9 },	//941 Okular::SoundAnnotation::~SoundAnnotation()
    {62, 290, 598, 2, Smoke::mf_ctor, 129, 1},	//942 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::NormalizedPoint&, void*)
    {62, 398, 49, 2, Smoke::mf_const|Smoke::mf_virtual, 189, 2},	//943 Okular::SourceRefObjectRect::boundingRect(double, double) const
    {62, 438, 52, 4, Smoke::mf_const|Smoke::mf_virtual, 276, 3},	//944 Okular::SourceRefObjectRect::contains(double, double, double, double) const
    {62, 290, 601, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 4},	//945 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::SourceRefObjectRect&)
    {62, 1175, 0, 0, Smoke::mf_dtor, 0, 5 },	//946 Okular::SourceRefObjectRect::~SourceRefObjectRect()
    {63, 293, 603, 3, Smoke::mf_ctor, 130, 1},	//947 Okular::SourceReference::SourceReference(const QString&, int, int)
    {63, 523, 0, 0, Smoke::mf_const, 193, 2},	//948 Okular::SourceReference::fileName() const
    {63, 819, 0, 0, Smoke::mf_const, 367, 3},	//949 Okular::SourceReference::row() const
    {63, 434, 0, 0, Smoke::mf_const, 367, 4},	//950 Okular::SourceReference::column() const
    {63, 293, 217, 2, Smoke::mf_ctor, 130, 5},	//951 Okular::SourceReference::SourceReference(const QString&, int)
    {63, 1176, 0, 0, Smoke::mf_dtor, 0, 6 },	//952 Okular::SourceReference::~SourceReference()
    {64, 299, 0, 0, Smoke::mf_ctor, 131, 1},	//953 Okular::StampAnnotation::StampAnnotation()
    {64, 299, 40, 1, Smoke::mf_ctor, 131, 2},	//954 Okular::StampAnnotation::StampAnnotation(const QDomNode&)
    {64, 988, 9, 1, 0, 0, 3},	//955 Okular::StampAnnotation::setStampIconName(const QString&)
    {64, 1045, 0, 0, Smoke::mf_const, 193, 4},	//956 Okular::StampAnnotation::stampIconName() const
    {64, 1058, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 5},	//957 Okular::StampAnnotation::subType() const
    {64, 1053, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//958 Okular::StampAnnotation::store(QDomNode&, QDomDocument&) const
    {64, 1177, 0, 0, Smoke::mf_dtor, 0, 7 },	//959 Okular::StampAnnotation::~StampAnnotation()
    {65, 312, 0, 0, Smoke::mf_ctor, 132, 1},	//960 Okular::TextAnnotation::TextAnnotation()
    {65, 312, 40, 1, Smoke::mf_ctor, 132, 2},	//961 Okular::TextAnnotation::TextAnnotation(const QDomNode&)
    {65, 1000, 607, 1, 0, 0, 3},	//962 Okular::TextAnnotation::setTextType(Okular::TextAnnotation::TextType)
    {65, 1077, 0, 0, Smoke::mf_const, 134, 4},	//963 Okular::TextAnnotation::textType() const
    {65, 996, 9, 1, 0, 0, 5},	//964 Okular::TextAnnotation::setTextIcon(const QString&)
    {65, 1072, 0, 0, Smoke::mf_const, 193, 6},	//965 Okular::TextAnnotation::textIcon() const
    {65, 994, 609, 1, 0, 0, 7},	//966 Okular::TextAnnotation::setTextFont(const QFont&)
    {65, 1071, 0, 0, Smoke::mf_const, 165, 8},	//967 Okular::TextAnnotation::textFont() const
    {65, 904, 29, 1, 0, 0, 9},	//968 Okular::TextAnnotation::setInplaceAlignment(int)
    {65, 600, 0, 0, Smoke::mf_const, 367, 10},	//969 Okular::TextAnnotation::inplaceAlignment() const
    {65, 906, 611, 2, 0, 0, 11},	//970 Okular::TextAnnotation::setInplaceCallout(const Okular::NormalizedPoint&, int)
    {65, 601, 29, 1, Smoke::mf_const, 96, 12},	//971 Okular::TextAnnotation::inplaceCallout(int) const
    {65, 1098, 29, 1, Smoke::mf_const, 96, 13},	//972 Okular::TextAnnotation::transformedInplaceCallout(int) const
    {65, 908, 614, 1, 0, 0, 14},	//973 Okular::TextAnnotation::setInplaceIntent(Okular::TextAnnotation::InplaceIntent)
    {65, 603, 0, 0, Smoke::mf_const, 133, 15},	//974 Okular::TextAnnotation::inplaceIntent() const
    {65, 1058, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 16},	//975 Okular::TextAnnotation::subType() const
    {65, 1053, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 17},	//976 Okular::TextAnnotation::store(QDomNode&, QDomDocument&) const
    {65, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 18},	//977 Okular::TextAnnotation::Linked (enum)
    {65, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 19},	//978 Okular::TextAnnotation::InPlace (enum)
    {65, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 20},	//979 Okular::TextAnnotation::Unknown (enum)
    {65, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 21},	//980 Okular::TextAnnotation::Callout (enum)
    {65, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 22},	//981 Okular::TextAnnotation::TypeWriter (enum)
    {65, 1178, 0, 0, Smoke::mf_dtor, 0, 23 },	//982 Okular::TextAnnotation::~TextAnnotation()
    {66, 666, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//983 Okular::TextDocumentConverter::metaObject() const
    {66, 778, 80, 1, Smoke::mf_virtual, 370, 2},	//984 Okular::TextDocumentConverter::qt_metacast(const char*)
    {66, 1084, 82, 2, Smoke::mf_static, 193, 3},	//985 Okular::TextDocumentConverter::tr(const char*, const char*)
    {66, 1088, 82, 2, Smoke::mf_static, 193, 4},	//986 Okular::TextDocumentConverter::trUtf8(const char*, const char*)
    {66, 1084, 85, 3, Smoke::mf_static, 193, 5},	//987 Okular::TextDocumentConverter::tr(const char*, const char*, int)
    {66, 1088, 85, 3, Smoke::mf_static, 193, 6},	//988 Okular::TextDocumentConverter::trUtf8(const char*, const char*, int)
    {66, 776, 89, 3, Smoke::mf_virtual, 367, 7},	//989 Okular::TextDocumentConverter::qt_metacall(QMetaObject::Call, int, void**)
    {66, 314, 0, 0, Smoke::mf_ctor, 135, 8},	//990 Okular::TextDocumentConverter::TextDocumentConverter()
    {66, 445, 9, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 9},	//991 Okular::TextDocumentConverter::convert(const QString&) [pure virtual]
    {66, 362, 616, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//992 Okular::TextDocumentConverter::addAction(Okular::Action*, int, int)
    {66, 364, 620, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//993 Okular::TextDocumentConverter::addAnnotation(Okular::Annotation*, int, int)
    {66, 376, 624, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//994 Okular::TextDocumentConverter::addTitle(int, const QString&, const QTextBlock&)
    {66, 367, 267, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//995 Okular::TextDocumentConverter::addMetaData(const QString&, const QString&, const QString&)
    {66, 367, 271, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//996 Okular::TextDocumentConverter::addMetaData(Okular::DocumentInfo::Key, const QString&)
    {66, 512, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//997 Okular::TextDocumentConverter::error(const QString&, int)
    {66, 1120, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//998 Okular::TextDocumentConverter::warning(const QString&, int)
    {66, 679, 217, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//999 Okular::TextDocumentConverter::notice(const QString&, int)
    {66, 402, 628, 2, Smoke::mf_protected, 49, 18},	//1000 Okular::TextDocumentConverter::calculateViewport(QTextDocument*, const QTextBlock&)
    {66, 557, 0, 0, Smoke::mf_const|Smoke::mf_protected, 136, 19},	//1001 Okular::TextDocumentConverter::generator() const
    {66, 1084, 80, 1, Smoke::mf_static, 193, 20},	//1002 Okular::TextDocumentConverter::tr(const char*)
    {66, 1088, 80, 1, Smoke::mf_static, 193, 21},	//1003 Okular::TextDocumentConverter::trUtf8(const char*)
    {66, 1051, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 22},	//1004 Okular::TextDocumentConverter::staticMetaObject() const
    {66, 1179, 0, 0, Smoke::mf_dtor, 0, 23 },	//1005 Okular::TextDocumentConverter::~TextDocumentConverter()
    {67, 666, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//1006 Okular::TextDocumentGenerator::metaObject() const
    {67, 778, 80, 1, Smoke::mf_virtual, 370, 2},	//1007 Okular::TextDocumentGenerator::qt_metacast(const char*)
    {67, 1084, 82, 2, Smoke::mf_static, 193, 3},	//1008 Okular::TextDocumentGenerator::tr(const char*, const char*)
    {67, 1088, 82, 2, Smoke::mf_static, 193, 4},	//1009 Okular::TextDocumentGenerator::trUtf8(const char*, const char*)
    {67, 1084, 85, 3, Smoke::mf_static, 193, 5},	//1010 Okular::TextDocumentGenerator::tr(const char*, const char*, int)
    {67, 1088, 85, 3, Smoke::mf_static, 193, 6},	//1011 Okular::TextDocumentGenerator::trUtf8(const char*, const char*, int)
    {67, 776, 89, 3, Smoke::mf_virtual, 367, 7},	//1012 Okular::TextDocumentGenerator::qt_metacall(QMetaObject::Call, int, void**)
    {67, 315, 631, 4, Smoke::mf_ctor, 136, 8},	//1013 Okular::TextDocumentGenerator::TextDocumentGenerator(Okular::TextDocumentConverter*, const QString&, QObject*, const QList<QVariant>&)
    {67, 315, 636, 3, Smoke::mf_ctor, 136, 9},	//1014 Okular::TextDocumentGenerator::TextDocumentGenerator(Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&)
    {67, 649, 377, 2, Smoke::mf_virtual, 276, 10},	//1015 Okular::TextDocumentGenerator::loadDocument(const QString&, QVector<Okular::Page*>&)
    {67, 409, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 11},	//1016 Okular::TextDocumentGenerator::canGeneratePixmap() const
    {67, 553, 383, 1, Smoke::mf_virtual, 0, 12},	//1017 Okular::TextDocumentGenerator::generatePixmap(Okular::PixmapRequest*)
    {67, 751, 171, 1, Smoke::mf_virtual, 276, 13},	//1018 Okular::TextDocumentGenerator::print(QPrinter&)
    {67, 516, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 172, 14},	//1019 Okular::TextDocumentGenerator::exportFormats() const
    {67, 517, 106, 2, Smoke::mf_virtual, 276, 15},	//1020 Okular::TextDocumentGenerator::exportTo(const QString&, const Okular::ExportFormat&)
    {67, 799, 0, 0, Smoke::mf_virtual, 276, 16},	//1021 Okular::TextDocumentGenerator::reparseConfig()
    {67, 374, 76, 1, Smoke::mf_virtual, 0, 17},	//1022 Okular::TextDocumentGenerator::addPages(KConfigDialog*)
    {67, 550, 0, 0, 0, 137, 18},	//1023 Okular::TextDocumentGenerator::generalSettings()
    {67, 551, 0, 0, Smoke::mf_virtual, 294, 19},	//1024 Okular::TextDocumentGenerator::generateDocumentInfo()
    {67, 552, 0, 0, Smoke::mf_virtual, 297, 20},	//1025 Okular::TextDocumentGenerator::generateDocumentSynopsis()
    {67, 481, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 276, 21},	//1026 Okular::TextDocumentGenerator::doCloseDocument()
    {67, 1073, 385, 1, Smoke::mf_protected|Smoke::mf_virtual, 139, 22},	//1027 Okular::TextDocumentGenerator::textPage(Okular::Page*)
    {67, 1084, 80, 1, Smoke::mf_static, 193, 23},	//1028 Okular::TextDocumentGenerator::tr(const char*)
    {67, 1088, 80, 1, Smoke::mf_static, 193, 24},	//1029 Okular::TextDocumentGenerator::trUtf8(const char*)
    {67, 1051, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 25},	//1030 Okular::TextDocumentGenerator::staticMetaObject() const
    {67, 1180, 0, 0, Smoke::mf_dtor, 0, 26 },	//1031 Okular::TextDocumentGenerator::~TextDocumentGenerator()
    {69, 318, 640, 2, Smoke::mf_ctor, 138, 1},	//1032 Okular::TextEntity::TextEntity(const QString&, Okular::NormalizedRect*)
    {69, 1065, 0, 0, Smoke::mf_const, 193, 2},	//1033 Okular::TextEntity::text() const
    {69, 389, 0, 0, Smoke::mf_const, 101, 3},	//1034 Okular::TextEntity::area() const
    {69, 1094, 57, 1, Smoke::mf_const, 99, 4},	//1035 Okular::TextEntity::transformedArea(const QTransform&) const
    {69, 1181, 0, 0, Smoke::mf_dtor, 0, 5 },	//1036 Okular::TextEntity::~TextEntity()
    {70, 321, 0, 0, Smoke::mf_ctor, 139, 1},	//1037 Okular::TextPage::TextPage()
    {70, 321, 643, 1, Smoke::mf_ctor, 139, 2},	//1038 Okular::TextPage::TextPage(const QList<Okular::TextEntity*>&)
    {70, 387, 640, 2, 0, 0, 3},	//1039 Okular::TextPage::append(const QString&, Okular::NormalizedRect*)
    {70, 528, 492, 5, 0, 119, 4},	//1040 Okular::TextPage::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*)
    {70, 1065, 498, 1, Smoke::mf_const, 193, 5},	//1041 Okular::TextPage::text(const Okular::RegularAreaRect*) const
    {70, 1065, 500, 2, Smoke::mf_const, 193, 6},	//1042 Okular::TextPage::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {70, 1128, 500, 2, Smoke::mf_const, 177, 7},	//1043 Okular::TextPage::words(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {70, 1125, 503, 2, Smoke::mf_const, 119, 8},	//1044 Okular::TextPage::wordAt(const Okular::NormalizedPoint&, QString*) const
    {70, 1069, 506, 1, Smoke::mf_const, 119, 9},	//1045 Okular::TextPage::textArea(Okular::TextSelection*) const
    {70, 1065, 0, 0, Smoke::mf_const, 193, 10},	//1046 Okular::TextPage::text() const
    {70, 1125, 33, 1, Smoke::mf_const, 119, 11},	//1047 Okular::TextPage::wordAt(const Okular::NormalizedPoint&) const
    {70, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 12},	//1048 Okular::TextPage::AnyPixelTextAreaInclusionBehaviour (enum)
    {70, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 13},	//1049 Okular::TextPage::CentralPixelTextAreaInclusionBehaviour (enum)
    {70, 1182, 0, 0, Smoke::mf_dtor, 0, 14 },	//1050 Okular::TextPage::~TextPage()
    {72, 324, 645, 3, Smoke::mf_ctor, 144, 1},	//1051 Okular::Tile::Tile(const Okular::NormalizedRect&, QPixmap*, bool)
    {72, 324, 649, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 2},	//1052 Okular::Tile::Tile(const Okular::Tile&)
    {72, 786, 0, 0, Smoke::mf_const, 99, 3},	//1053 Okular::Tile::rect() const
    {72, 747, 0, 0, Smoke::mf_const, 186, 4},	//1054 Okular::Tile::pixmap() const
    {72, 631, 0, 0, Smoke::mf_const, 276, 5},	//1055 Okular::Tile::isValid() const
    {72, 702, 649, 1, 0, 143, 6},	//1056 Okular::Tile::operator=(const Okular::Tile&)
    {72, 1183, 0, 0, Smoke::mf_dtor, 0, 7 },	//1057 Okular::Tile::~Tile()
    {73, 812, 651, 4, Smoke::mf_static, 189, 1},	//1058 Okular::Utils::rotateRect(const QRect&, int, int, int)
    {73, 493, 0, 0, Smoke::mf_static, 365, 2},	//1059 Okular::Utils::dpiX()
    {73, 494, 0, 0, Smoke::mf_static, 365, 3},	//1060 Okular::Utils::dpiY()
    {73, 784, 0, 0, Smoke::mf_static, 365, 4},	//1061 Okular::Utils::realDpiX()
    {73, 785, 0, 0, Smoke::mf_static, 365, 5},	//1062 Okular::Utils::realDpiY()
    {73, 782, 93, 1, Smoke::mf_static, 192, 6},	//1063 Okular::Utils::realDpi(QWidget*)
    {73, 597, 656, 1, Smoke::mf_static, 99, 7},	//1064 Okular::Utils::imageBoundingBox(const QImage*)
    {73, 344, 0, 0, Smoke::mf_ctor, 145, 8},	//1065 Okular::Utils::Utils()
    {73, 344, 658, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 9},	//1066 Okular::Utils::Utils(const Okular::Utils&)
    {73, 1184, 0, 0, Smoke::mf_dtor, 0, 10 },	//1067 Okular::Utils::~Utils()
    {75, 347, 403, 2, Smoke::mf_ctor, 147, 1},	//1068 Okular::VisiblePageRect::VisiblePageRect(int, const Okular::NormalizedRect&)
    {75, 347, 660, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 2},	//1069 Okular::VisiblePageRect::VisiblePageRect(const Okular::VisiblePageRect&)
    {75, 347, 0, 0, Smoke::mf_ctor, 147, 3},	//1070 Okular::VisiblePageRect::VisiblePageRect()
    {75, 347, 29, 1, Smoke::mf_ctor, 147, 4},	//1071 Okular::VisiblePageRect::VisiblePageRect(int)
    {75, 734, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 367, 5},	//1072 Okular::VisiblePageRect::pageNumber() const
    {75, 958, 29, 1, Smoke::mf_attribute, 0, 6},	//1073 Okular::VisiblePageRect::setPageNumber(int)
    {75, 786, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 100, 7},	//1074 Okular::VisiblePageRect::rect() const
    {75, 968, 31, 1, Smoke::mf_attribute, 0, 8},	//1075 Okular::VisiblePageRect::setRect(const Okular::NormalizedRect&)
    {75, 1185, 0, 0, Smoke::mf_dtor, 0, 9 },	//1076 Okular::VisiblePageRect::~VisiblePageRect()
    {87, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 1},	//1077 QGlobalSpace::_IEEE_ (enum)
    {87, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 2},	//1078 QGlobalSpace::_SVID_ (enum)
    {87, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 3},	//1079 QGlobalSpace::_XOPEN_ (enum)
    {87, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 4},	//1080 QGlobalSpace::_POSIX_ (enum)
    {87, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 5},	//1081 QGlobalSpace::_ISOC_ (enum)
    {87, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 6},	//1082 QGlobalSpace::KST_KSycocaEntry (enum)
    {87, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 7},	//1083 QGlobalSpace::KST_KService (enum)
    {87, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 8},	//1084 QGlobalSpace::KST_KServiceType (enum)
    {87, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 9},	//1085 QGlobalSpace::KST_KMimeType (enum)
    {87, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 10},	//1086 QGlobalSpace::KST_KFolderMimeType (enum)
    {87, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 11},	//1087 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {87, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 12},	//1088 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {87, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 13},	//1089 QGlobalSpace::KST_KServiceGroup (enum)
    {87, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 14},	//1090 QGlobalSpace::KST_KImageIOFormat (enum)
    {87, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 15},	//1091 QGlobalSpace::KST_KProtocolInfo (enum)
    {87, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 16},	//1092 QGlobalSpace::KST_KServiceSeparator (enum)
    {87, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 17},	//1093 QGlobalSpace::KST_KCustom (enum)
    {87, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 18},	//1094 QGlobalSpace::KST_KServiceFactory (enum)
    {87, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 19},	//1095 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {87, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 20},	//1096 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {87, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 21},	//1097 QGlobalSpace::KST_KImageIO (enum)
    {87, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 22},	//1098 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {87, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 23},	//1099 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {87, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 24},	//1100 QGlobalSpace::KST_CTimeInfo (enum)
    {91, 514, 662, 1, Smoke::mf_virtual, 276, 0},	//1101 QObject::event(QEvent*)
    {91, 515, 664, 2, Smoke::mf_virtual, 276, 0},	//1102 QObject::eventFilter(QObject*, QEvent*)
    {91, 1080, 667, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1103 QObject::timerEvent(QTimerEvent*)
    {91, 429, 669, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1104 QObject::childEvent(QChildEvent*)
    {91, 458, 662, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1105 QObject::customEvent(QEvent*)
    {91, 437, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1106 QObject::connectNotify(const char*)
    {91, 477, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1107 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    578,  // Okular::Generator::d_func()
    579,  // Okular::Generator::d_func() const
    0,
    110,  // Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    115,  // Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    0,
    319,  // Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    324,  // Okular::DocumentInfo::set(const QString&, const QString&)
    0,
    343,  // Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    344,  // Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    0,
    65,  // Okular::Annotation::d_func()
    66,  // Okular::Annotation::d_func() const
    0,
    52,  // Okular::Annotation::revisions()
    53,  // Okular::Annotation::revisions() const
    0,
    48,  // Okular::Annotation::style()
    49,  // Okular::Annotation::style() const
    0,
    50,  // Okular::Annotation::window()
    51,  // Okular::Annotation::window() const
    0,
    21,  // Okular::Action::d_func()
    22,  // Okular::Action::d_func() const
    0,
    485,  // Okular::FormField::d_func()
    486,  // Okular::FormField::d_func() const
    0,
    346,  // Okular::DocumentViewport::DocumentViewport(int)
    347,  // Okular::DocumentViewport::DocumentViewport(const QString&)
    0,
    713,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    714,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {8, 17, 20},	// Okular::Action::Action#
    {8, 36, 25},	// Okular::Action::Browse
    {8, 75, 26},	// Okular::Action::DocAction
    {8, 93, 24},	// Okular::Action::Execute
    {8, 135, 23},	// Okular::Action::Goto
    {8, 188, 28},	// Okular::Action::Movie
    {8, 270, 30},	// Okular::Action::Rendition
    {8, 275, 29},	// Okular::Action::Script
    {8, 282, 27},	// Okular::Action::Sound
    {8, 359, 17},	// Okular::Action::actionTip
    {8, 360, 16},	// Okular::Action::actionType
    {8, 459, -25},	// Okular::Action::d_func
    {8, 675, 19},	// Okular::Action::nativeId
    {8, 946, 18},	// Okular::Action::setNativeId#
    {8, 1133, 31},	// Okular::Action::~Action
    {10, 1, 73},	// Okular::Annotation::ACaret
    {10, 2, 74},	// Okular::Annotation::AFileAttachment
    {10, 3, 69},	// Okular::Annotation::AGeom
    {10, 4, 70},	// Okular::Annotation::AHighlight
    {10, 5, 72},	// Okular::Annotation::AInk
    {10, 7, 68},	// Okular::Annotation::ALine
    {10, 8, 76},	// Okular::Annotation::AMovie
    {10, 9, 77},	// Okular::Annotation::AScreen
    {10, 10, 75},	// Okular::Annotation::ASound
    {10, 11, 71},	// Okular::Annotation::AStamp
    {10, 12, 67},	// Okular::Annotation::AText
    {10, 13, 78},	// Okular::Annotation::AWidget
    {10, 14, 79},	// Okular::Annotation::A_BASE
    {10, 15, 103},	// Okular::Annotation::Accepted
    {10, 20, 63},	// Okular::Annotation::Annotation#
    {10, 21, 64},	// Okular::Annotation::Annotation##
    {10, 32, 89},	// Okular::Annotation::BeingMoved
    {10, 33, 92},	// Okular::Annotation::Beveled
    {10, 46, 105},	// Okular::Annotation::Cancelled
    {10, 57, 96},	// Okular::Annotation::Cloudy
    {10, 59, 106},	// Okular::Annotation::Completed
    {10, 66, 91},	// Okular::Annotation::Dashed
    {10, 67, 99},	// Okular::Annotation::Delete
    {10, 68, 85},	// Okular::Annotation::DenyDelete
    {10, 69, 83},	// Okular::Annotation::DenyPrint
    {10, 70, 84},	// Okular::Annotation::DenyWrite
    {10, 100, 87},	// Okular::Annotation::External
    {10, 101, 88},	// Okular::Annotation::ExternallyDrawn
    {10, 111, 82},	// Okular::Annotation::FixedRotation
    {10, 112, 81},	// Okular::Annotation::FixedSize
    {10, 139, 98},	// Okular::Annotation::Group
    {10, 143, 80},	// Okular::Annotation::Hidden
    {10, 156, 93},	// Okular::Annotation::Inset
    {10, 184, 101},	// Okular::Annotation::Marked
    {10, 193, 95},	// Okular::Annotation::NoEffect
    {10, 200, 100},	// Okular::Annotation::None
    {10, 225, 108},	// Okular::Annotation::PageClosing
    {10, 229, 107},	// Okular::Annotation::PageOpening
    {10, 268, 104},	// Okular::Annotation::Rejected
    {10, 272, 97},	// Okular::Annotation::Reply
    {10, 281, 90},	// Okular::Annotation::Solid
    {10, 329, 86},	// Okular::Annotation::ToggleHidingOnMouse
    {10, 340, 94},	// Okular::Annotation::Underline
    {10, 343, 102},	// Okular::Annotation::Unmarked
    {10, 391, 33},	// Okular::Annotation::author
    {10, 400, 45},	// Okular::Annotation::boundingRectangle
    {10, 405, 57},	// Okular::Annotation::canBeMoved
    {10, 441, 35},	// Okular::Annotation::contents
    {10, 451, 41},	// Okular::Annotation::creationDate
    {10, 459, -13},	// Okular::Annotation::d_func
    {10, 531, 43},	// Okular::Annotation::flags
    {10, 564, 61},	// Okular::Annotation::getAnnotationPropertiesDomNode
    {10, 669, 39},	// Okular::Annotation::modificationDate
    {10, 675, 55},	// Okular::Annotation::nativeId
    {10, 689, 58},	// Okular::Annotation::openDialogAfterCreation
    {10, 810, -16},	// Okular::Annotation::revisions
    {10, 846, 62},	// Okular::Annotation::setAnnotationProperties#
    {10, 848, 32},	// Okular::Annotation::setAuthor$
    {10, 856, 44},	// Okular::Annotation::setBoundingRectangle#
    {10, 865, 34},	// Okular::Annotation::setContents$
    {10, 867, 40},	// Okular::Annotation::setCreationDate#
    {10, 876, 56},	// Okular::Annotation::setDisposeDataFunction$
    {10, 893, 42},	// Okular::Annotation::setFlags$
    {10, 942, 38},	// Okular::Annotation::setModificationDate#
    {10, 946, 54},	// Okular::Annotation::setNativeId#
    {10, 1011, 36},	// Okular::Annotation::setUniqueName$
    {10, 1054, 60},	// Okular::Annotation::store##
    {10, 1057, -19},	// Okular::Annotation::style
    {10, 1058, 59},	// Okular::Annotation::subType
    {10, 1096, 46},	// Okular::Annotation::transformedBoundingRectangle
    {10, 1103, 47},	// Okular::Annotation::translate#
    {10, 1109, 37},	// Okular::Annotation::uniqueName
    {10, 1124, -22},	// Okular::Annotation::window
    {10, 1134, 109},	// Okular::Annotation::~Annotation
    {14, 23, -4},	// Okular::AnnotationObjectRect::AnnotationObjectRect#
    {14, 381, 111},	// Okular::AnnotationObjectRect::annotation
    {14, 399, 112},	// Okular::AnnotationObjectRect::boundingRect$$
    {14, 440, 113},	// Okular::AnnotationObjectRect::contains$$$$
    {14, 1093, 114},	// Okular::AnnotationObjectRect::transform#
    {14, 1135, 116},	// Okular::AnnotationObjectRect::~AnnotationObjectRect
    {16, 24, 121},	// Okular::AnnotationUtils::AnnotationUtils
    {16, 25, 122},	// Okular::AnnotationUtils::AnnotationUtils#
    {16, 385, 120},	// Okular::AnnotationUtils::annotationGeometry#$$
    {16, 450, 117},	// Okular::AnnotationUtils::createAnnotation#
    {16, 527, 119},	// Okular::AnnotationUtils::findChildElement#$
    {16, 1056, 118},	// Okular::AnnotationUtils::storeAnnotation###
    {16, 1136, 123},	// Okular::AnnotationUtils::~AnnotationUtils
    {18, 38, 124},	// Okular::BrowseAction::BrowseAction$
    {18, 359, 126},	// Okular::BrowseAction::actionTip
    {18, 360, 125},	// Okular::BrowseAction::actionType
    {18, 1114, 127},	// Okular::BrowseAction::url
    {18, 1137, 128},	// Okular::BrowseAction::~BrowseAction
    {19, 47, 129},	// Okular::CaretAnnotation::CaretAnnotation
    {19, 48, 130},	// Okular::CaretAnnotation::CaretAnnotation#
    {19, 200, 135},	// Okular::CaretAnnotation::None
    {19, 221, 136},	// Okular::CaretAnnotation::P
    {19, 426, 132},	// Okular::CaretAnnotation::caretSymbol
    {19, 860, 131},	// Okular::CaretAnnotation::setCaretSymbol$
    {19, 1054, 134},	// Okular::CaretAnnotation::store##
    {19, 1058, 133},	// Okular::CaretAnnotation::subType
    {19, 1138, 137},	// Okular::CaretAnnotation::~CaretAnnotation
    {20, 60, 140},	// Okular::ConfigInterface::ConfigInterface
    {20, 61, 141},	// Okular::ConfigInterface::ConfigInterface#
    {20, 375, 139},	// Okular::ConfigInterface::addPages#
    {20, 799, 138},	// Okular::ConfigInterface::reparseConfig
    {20, 1139, 142},	// Okular::ConfigInterface::~ConfigInterface
    {21, 18, 288},	// Okular::Document::AllDocument
    {21, 77, 150},	// Okular::Document::Document#
    {21, 133, 289},	// Okular::Document::GoogleAll
    {21, 134, 290},	// Okular::Document::GoogleAny
    {21, 185, 291},	// Okular::Document::MatchFound
    {21, 190, 295},	// Okular::Document::NativePrinting
    {21, 191, 286},	// Okular::Document::NextMatch
    {21, 196, 292},	// Okular::Document::NoMatchFound
    {21, 197, 284},	// Okular::Document::NoOption
    {21, 199, 294},	// Okular::Document::NoPrinting
    {21, 246, 296},	// Okular::Document::PostscriptPrinting
    {21, 249, 287},	// Okular::Document::PreviousMatch
    {21, 269, 285},	// Okular::Document::RemoveAllPrevious
    {21, 273, 298},	// Okular::Document::SaveAnnotationsCapability
    {21, 274, 297},	// Okular::Document::SaveFormsCapability
    {21, 278, 293},	// Okular::Document::SearchCancelled
    {21, 371, 153},	// Okular::Document::addObserver#
    {21, 373, 197},	// Okular::Document::addPageAnnotation$#
    {21, 379, 184},	// Okular::Document::allPagesSize
    {21, 383, 268},	// Okular::Document::annotationContentsChangedByUndoRedo#$$$
    {21, 393, 213},	// Okular::Document::bookmarkManager
    {21, 394, 215},	// Okular::Document::bookmarkedPageList
    {21, 395, 216},	// Okular::Document::bookmarkedPageRange
    {21, 407, 218},	// Okular::Document::canConfigurePrinter
    {21, 408, 176},	// Okular::Document::canExportToText
    {21, 412, 198},	// Okular::Document::canModifyPageAnnotation#
    {21, 413, 162},	// Okular::Document::canProvideFontInformation
    {21, 414, 208},	// Okular::Document::canRedo
    {21, 416, 266},	// Okular::Document::canRedoChanged$
    {21, 418, 203},	// Okular::Document::canRemovePageAnnotation#
    {21, 419, 229},	// Okular::Document::canSaveChanges
    {21, 420, 228},	// Okular::Document::canSaveChanges$
    {21, 421, 207},	// Okular::Document::canUndo
    {21, 423, 265},	// Okular::Document::canUndoChanged$
    {21, 424, 242},	// Okular::Document::cancelSearch
    {21, 432, 249},	// Okular::Document::close
    {21, 433, 152},	// Okular::Document::closeDocument
    {21, 435, 227},	// Okular::Document::componentData
    {21, 436, 225},	// Okular::Document::configurableGenerators
    {21, 443, 210},	// Okular::Document::continueSearch$
    {21, 444, 211},	// Okular::Document::continueSearch$$
    {21, 456, 170},	// Okular::Document::currentDocument
    {21, 457, 168},	// Okular::Document::currentPage
    {21, 486, 158},	// Okular::Document::documentInfo
    {21, 490, 159},	// Okular::Document::documentSynopsis
    {21, 497, 237},	// Okular::Document::dynamicSourceReference$$$
    {21, 500, 248},	// Okular::Document::editFormButtons$??
    {21, 502, 247},	// Okular::Document::editFormCombo$#$$$$
    {21, 504, 246},	// Okular::Document::editFormList$#?
    {21, 506, 245},	// Okular::Document::editFormText$#$$$$
    {21, 508, 202},	// Okular::Document::editPageAnnotationContents$#$$$$
    {21, 511, 163},	// Okular::Document::embeddedFiles
    {21, 513, 256},	// Okular::Document::error$$
    {21, 516, 178},	// Okular::Document::exportFormats
    {21, 518, 179},	// Okular::Document::exportTo$#
    {21, 520, 177},	// Okular::Document::exportToText$
    {21, 525, 224},	// Okular::Document::fillConfigDialog#
    {21, 533, 234},	// Okular::Document::fontData#
    {21, 534, 261},	// Okular::Document::fontReadingEnded
    {21, 536, 260},	// Okular::Document::fontReadingProgress$
    {21, 540, 272},	// Okular::Document::formButtonsChangedByUndoRedo$?
    {21, 542, 271},	// Okular::Document::formComboChangedByUndoRedo$#$$$
    {21, 545, 270},	// Okular::Document::formListChangedByUndoRedo$#?
    {21, 547, 269},	// Okular::Document::formTextChangedByUndoRedo$#$$$
    {21, 570, 259},	// Okular::Document::gotFont#
    {21, 571, 186},	// Okular::Document::guiClient
    {21, 591, 180},	// Okular::Document::historyAtBegin
    {21, 592, 181},	// Okular::Document::historyAtEnd
    {21, 608, 171},	// Okular::Document::isAllowed$
    {21, 619, 157},	// Okular::Document::isOpened
    {21, 645, 254},	// Okular::Document::linkEndPresentation
    {21, 646, 251},	// Okular::Document::linkFind
    {21, 647, 252},	// Okular::Document::linkGoToPage
    {21, 648, 253},	// Okular::Document::linkPresentation
    {21, 664, 276},	// Okular::Document::metaData$
    {21, 665, 182},	// Okular::Document::metaData$#
    {21, 666, 143},	// Okular::Document::metaObject
    {21, 671, 200},	// Okular::Document::modifyPageAnnotationProperties$#
    {21, 680, 258},	// Okular::Document::notice$$
    {21, 691, 151},	// Okular::Document::openDocument$#?
    {21, 693, 235},	// Okular::Document::openDocumentArchive$#
    {21, 695, 255},	// Okular::Document::openUrl#
    {21, 724, 238},	// Okular::Document::orientation
    {21, 726, 164},	// Okular::Document::page$
    {21, 740, 185},	// Okular::Document::pageSizeString$
    {21, 741, 175},	// Okular::Document::pageSizes
    {21, 742, 169},	// Okular::Document::pages
    {21, 750, 199},	// Okular::Document::prepareToModifyAnnotationProperties#
    {21, 752, 221},	// Okular::Document::print#
    {21, 755, 223},	// Okular::Document::printConfigurationWidget
    {21, 756, 222},	// Okular::Document::printError
    {21, 763, 219},	// Okular::Document::printingSupport
    {21, 766, 214},	// Okular::Document::processAction#
    {21, 768, 264},	// Okular::Document::processMovieAction#
    {21, 770, 267},	// Okular::Document::processRenditionAction#
    {21, 772, 217},	// Okular::Document::processSourceReference#
    {21, 777, 149},	// Okular::Document::qt_metacall$$?
    {21, 779, 144},	// Okular::Document::qt_metacast$
    {21, 780, 250},	// Okular::Document::quit
    {21, 787, 244},	// Okular::Document::redo
    {21, 790, 232},	// Okular::Document::registerView#
    {21, 794, 154},	// Okular::Document::removeObserver#
    {21, 796, 204},	// Okular::Document::removePageAnnotation$#
    {21, 798, 205},	// Okular::Document::removePageAnnotations$?
    {21, 799, 155},	// Okular::Document::reparseConfig
    {21, 804, 194},	// Okular::Document::requestPixmaps?
    {21, 805, 195},	// Okular::Document::requestPixmaps?$
    {21, 807, 196},	// Okular::Document::requestTextPage$
    {21, 809, 212},	// Okular::Document::resetSearch$
    {21, 814, 183},	// Okular::Document::rotation
    {21, 822, 230},	// Okular::Document::saveChanges$
    {21, 823, 231},	// Okular::Document::saveChanges$$
    {21, 825, 236},	// Okular::Document::saveDocumentArchive$
    {21, 830, 262},	// Okular::Document::searchFinished$$
    {21, 832, 282},	// Okular::Document::searchText$$$$$$#
    {21, 833, 209},	// Okular::Document::searchText$$$$$$#$
    {21, 844, 239},	// Okular::Document::setAnnotationEditingEnabled$
    {21, 948, 192},	// Okular::Document::setNextDocumentDestination$
    {21, 950, 191},	// Okular::Document::setNextDocumentViewport#
    {21, 951, 190},	// Okular::Document::setNextViewport
    {21, 961, 241},	// Okular::Document::setPageSize#
    {21, 963, 206},	// Okular::Document::setPageTextSelection$##
    {21, 967, 189},	// Okular::Document::setPrevViewport
    {21, 973, 240},	// Okular::Document::setRotation$
    {21, 1013, 279},	// Okular::Document::setViewport#
    {21, 1014, 280},	// Okular::Document::setViewport##
    {21, 1015, 188},	// Okular::Document::setViewport##$
    {21, 1017, 277},	// Okular::Document::setViewportPage$
    {21, 1018, 278},	// Okular::Document::setViewportPage$#
    {21, 1019, 187},	// Okular::Document::setViewportPage$#$
    {21, 1021, 275},	// Okular::Document::setVisiblePageRects?
    {21, 1022, 166},	// Okular::Document::setVisiblePageRects?#
    {21, 1030, 281},	// Okular::Document::setZoom$
    {21, 1031, 193},	// Okular::Document::setZoom$#
    {21, 1044, 263},	// Okular::Document::sourceReferenceActivated$$$$
    {21, 1048, 160},	// Okular::Document::startFontReading
    {21, 1051, 283},	// Okular::Document::staticMetaObject
    {21, 1052, 161},	// Okular::Document::stopFontReading
    {21, 1059, 226},	// Okular::Document::supportedMimeTypes
    {21, 1060, 173},	// Okular::Document::supportsPageSizes
    {21, 1061, 220},	// Okular::Document::supportsPrintToFile
    {21, 1062, 172},	// Okular::Document::supportsSearching
    {21, 1063, 174},	// Okular::Document::supportsTiles
    {21, 1085, 273},	// Okular::Document::tr$
    {21, 1086, 145},	// Okular::Document::tr$$
    {21, 1087, 147},	// Okular::Document::tr$$$
    {21, 1089, 274},	// Okular::Document::trUtf8$
    {21, 1090, 146},	// Okular::Document::trUtf8$$
    {21, 1091, 148},	// Okular::Document::trUtf8$$$
    {21, 1105, 201},	// Okular::Document::translatePageAnnotation$##
    {21, 1108, 243},	// Okular::Document::undo
    {21, 1111, 233},	// Okular::Document::unregisterView#
    {21, 1116, 165},	// Okular::Document::viewport
    {21, 1118, 167},	// Okular::Document::visiblePageRects
    {21, 1121, 257},	// Okular::Document::warning$$
    {21, 1122, 156},	// Okular::Document::widget
    {21, 1140, 299},	// Okular::Document::~Document
    {22, 54, 315},	// Okular::DocumentAction::Close
    {22, 79, 300},	// Okular::DocumentAction::DocumentAction$
    {22, 92, 312},	// Okular::DocumentAction::EndPresentation
    {22, 110, 313},	// Okular::DocumentAction::Find
    {22, 132, 314},	// Okular::DocumentAction::GoToPage
    {22, 147, 308},	// Okular::DocumentAction::HistoryBack
    {22, 148, 309},	// Okular::DocumentAction::HistoryForward
    {22, 226, 304},	// Okular::DocumentAction::PageFirst
    {22, 227, 307},	// Okular::DocumentAction::PageLast
    {22, 228, 306},	// Okular::DocumentAction::PageNext
    {22, 230, 305},	// Okular::DocumentAction::PagePrev
    {22, 248, 311},	// Okular::DocumentAction::Presentation
    {22, 260, 310},	// Okular::DocumentAction::Quit
    {22, 359, 302},	// Okular::DocumentAction::actionTip
    {22, 360, 301},	// Okular::DocumentAction::actionType
    {22, 485, 303},	// Okular::DocumentAction::documentActionType
    {22, 1141, 316},	// Okular::DocumentAction::~DocumentAction
    {23, 31, 328},	// Okular::DocumentInfo::Author
    {23, 49, 336},	// Okular::DocumentInfo::Category
    {23, 62, 331},	// Okular::DocumentInfo::Copyright
    {23, 64, 333},	// Okular::DocumentInfo::CreationDate
    {23, 65, 329},	// Okular::DocumentInfo::Creator
    {23, 71, 327},	// Okular::DocumentInfo::Description
    {23, 80, 317},	// Okular::DocumentInfo::DocumentInfo
    {23, 81, 323},	// Okular::DocumentInfo::DocumentInfo#
    {23, 82, 339},	// Okular::DocumentInfo::DocumentSize
    {23, 106, 338},	// Okular::DocumentInfo::FilePath
    {23, 179, 337},	// Okular::DocumentInfo::Keywords
    {23, 186, 335},	// Okular::DocumentInfo::MimeType
    {23, 187, 334},	// Okular::DocumentInfo::ModificationDate
    {23, 238, 332},	// Okular::DocumentInfo::Pages
    {23, 239, 340},	// Okular::DocumentInfo::PagesSize
    {23, 258, 330},	// Okular::DocumentInfo::Producer
    {23, 304, 326},	// Okular::DocumentInfo::Subject
    {23, 328, 325},	// Okular::DocumentInfo::Title
    {23, 563, 320},	// Okular::DocumentInfo::get$
    {23, 566, 321},	// Okular::DocumentInfo::getKeyString$
    {23, 568, 322},	// Okular::DocumentInfo::getKeyTitle$
    {23, 835, -7},	// Okular::DocumentInfo::set$$
    {23, 836, 318},	// Okular::DocumentInfo::set$$$
    {23, 1142, 341},	// Okular::DocumentInfo::~DocumentInfo
    {25, 83, 342},	// Okular::DocumentSynopsis::DocumentSynopsis
    {25, 84, -10},	// Okular::DocumentSynopsis::DocumentSynopsis#
    {25, 1143, 345},	// Okular::DocumentSynopsis::~DocumentSynopsis
    {26, 50, 356},	// Okular::DocumentViewport::Center
    {26, 85, 353},	// Okular::DocumentViewport::DocumentViewport
    {26, 86, 352},	// Okular::DocumentViewport::DocumentViewport#
    {26, 87, -31},	// Okular::DocumentViewport::DocumentViewport$
    {26, 330, 357},	// Okular::DocumentViewport::TopLeft
    {26, 631, 349},	// Okular::DocumentViewport::isValid
    {26, 701, 351},	// Okular::DocumentViewport::operator<#
    {26, 705, 350},	// Okular::DocumentViewport::operator==#
    {26, 734, 354},	// Okular::DocumentViewport::pageNumber
    {26, 959, 355},	// Okular::DocumentViewport::setPageNumber$
    {26, 1081, 348},	// Okular::DocumentViewport::toString
    {26, 1144, 358},	// Okular::DocumentViewport::~DocumentViewport
    {27, 89, 359},	// Okular::EmbeddedFile::EmbeddedFile
    {27, 90, 366},	// Okular::EmbeddedFile::EmbeddedFile#
    {27, 451, 365},	// Okular::EmbeddedFile::creationDate
    {27, 460, 362},	// Okular::EmbeddedFile::data
    {27, 469, 361},	// Okular::EmbeddedFile::description
    {27, 669, 364},	// Okular::EmbeddedFile::modificationDate
    {27, 674, 360},	// Okular::EmbeddedFile::name
    {27, 1038, 363},	// Okular::EmbeddedFile::size
    {27, 1145, 367},	// Okular::EmbeddedFile::~EmbeddedFile
    {28, 95, 368},	// Okular::ExecuteAction::ExecuteAction$$
    {28, 359, 370},	// Okular::ExecuteAction::actionTip
    {28, 360, 369},	// Okular::ExecuteAction::actionType
    {28, 523, 371},	// Okular::ExecuteAction::fileName
    {28, 745, 372},	// Okular::ExecuteAction::parameters
    {28, 1146, 373},	// Okular::ExecuteAction::~ExecuteAction
    {29, 96, 374},	// Okular::ExportFormat::ExportFormat
    {29, 97, 377},	// Okular::ExportFormat::ExportFormat#
    {29, 98, 376},	// Okular::ExportFormat::ExportFormat#$?
    {29, 99, 375},	// Okular::ExportFormat::ExportFormat$?
    {29, 142, 389},	// Okular::ExportFormat::HTML
    {29, 218, 388},	// Okular::ExportFormat::OpenDocumentText
    {29, 222, 387},	// Okular::ExportFormat::PDF
    {29, 243, 386},	// Okular::ExportFormat::PlainText
    {29, 469, 379},	// Okular::ExportFormat::description
    {29, 593, 381},	// Okular::ExportFormat::icon
    {29, 618, 382},	// Okular::ExportFormat::isNull
    {29, 667, 380},	// Okular::ExportFormat::mimeType
    {29, 697, 385},	// Okular::ExportFormat::operator!=#
    {29, 703, 378},	// Okular::ExportFormat::operator=#
    {29, 705, 384},	// Okular::ExportFormat::operator==#
    {29, 1047, 383},	// Okular::ExportFormat::standardFormat$
    {29, 1147, 390},	// Okular::ExportFormat::~ExportFormat
    {30, 103, 391},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation
    {30, 104, 392},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation#
    {30, 510, 395},	// Okular::FileAttachmentAnnotation::embeddedFile
    {30, 522, 393},	// Okular::FileAttachmentAnnotation::fileIconName
    {30, 884, 396},	// Okular::FileAttachmentAnnotation::setEmbeddedFile#
    {30, 891, 394},	// Okular::FileAttachmentAnnotation::setFileIconName$
    {30, 1054, 398},	// Okular::FileAttachmentAnnotation::store##
    {30, 1058, 397},	// Okular::FileAttachmentAnnotation::subType
    {30, 1148, 399},	// Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation
    {31, 27, 434},	// Okular::FilePrinter::ApplicationDeletesFiles
    {31, 28, 436},	// Okular::FilePrinter::ApplicationSelectsPages
    {31, 107, 429},	// Okular::FilePrinter::FilePrinter
    {31, 108, 430},	// Okular::FilePrinter::FilePrinter#
    {31, 305, 435},	// Okular::FilePrinter::SystemDeletesFiles
    {31, 306, 437},	// Okular::FilePrinter::SystemSelectsPages
    {31, 448, 415},	// Okular::FilePrinter::copies#$
    {31, 452, 407},	// Okular::FilePrinter::cupsAvailable
    {31, 454, 419},	// Okular::FilePrinter::cupsOptions#$
    {31, 463, 417},	// Okular::FilePrinter::deleteFile#$$
    {31, 472, 414},	// Okular::FilePrinter::destination#$
    {31, 474, 411},	// Okular::FilePrinter::detectCupsConfig
    {31, 475, 410},	// Okular::FilePrinter::detectCupsService
    {31, 483, 412},	// Okular::FilePrinter::doPrintFiles#?$$$$
    {31, 634, 416},	// Okular::FilePrinter::jobname#$
    {31, 660, 421},	// Okular::FilePrinter::mediaPageSize#
    {31, 662, 422},	// Okular::FilePrinter::mediaPaperSource#
    {31, 711, 426},	// Okular::FilePrinter::optionCollateCopies#
    {31, 713, 428},	// Okular::FilePrinter::optionCupsProperties#
    {31, 715, 424},	// Okular::FilePrinter::optionDoubleSidedPrinting#
    {31, 717, 420},	// Okular::FilePrinter::optionMedia#
    {31, 719, 423},	// Okular::FilePrinter::optionOrientation#$
    {31, 721, 427},	// Okular::FilePrinter::optionPageMargins#
    {31, 723, 425},	// Okular::FilePrinter::optionPageOrder#
    {31, 730, 401},	// Okular::FilePrinter::pageList#$$?
    {31, 731, 402},	// Okular::FilePrinter::pageList#$?
    {31, 733, 404},	// Okular::FilePrinter::pageListToPageRange?
    {31, 736, 403},	// Okular::FilePrinter::pageRange#$?
    {31, 743, 418},	// Okular::FilePrinter::pages#$$$$
    {31, 746, 406},	// Okular::FilePrinter::pdf2psAvailable
    {31, 754, 413},	// Okular::FilePrinter::printArguments#$$$$$$
    {31, 757, 409},	// Okular::FilePrinter::printError$
    {31, 759, 431},	// Okular::FilePrinter::printFile#$$
    {31, 760, 432},	// Okular::FilePrinter::printFile#$$$
    {31, 761, 433},	// Okular::FilePrinter::printFile#$$$$
    {31, 762, 400},	// Okular::FilePrinter::printFile#$$$$$
    {31, 773, 405},	// Okular::FilePrinter::ps2pdfAvailable
    {31, 775, 408},	// Okular::FilePrinter::psPaperSize#
    {31, 1149, 438},	// Okular::FilePrinter::~FilePrinter
    {32, 40, 466},	// Okular::FontInfo::CIDTrueType
    {32, 41, 467},	// Okular::FontInfo::CIDTrueTypeOT
    {32, 42, 463},	// Okular::FontInfo::CIDType0
    {32, 43, 464},	// Okular::FontInfo::CIDType0C
    {32, 44, 465},	// Okular::FontInfo::CIDType0COT
    {32, 91, 473},	// Okular::FontInfo::EmbeddedSubset
    {32, 114, 439},	// Okular::FontInfo::FontInfo
    {32, 115, 440},	// Okular::FontInfo::FontInfo#
    {32, 125, 474},	// Okular::FontInfo::FullyEmbedded
    {32, 210, 472},	// Okular::FontInfo::NotEmbedded
    {32, 307, 470},	// Okular::FontInfo::TeXFontMetric
    {32, 308, 471},	// Okular::FontInfo::TeXFreeTypeHandled
    {32, 309, 468},	// Okular::FontInfo::TeXPK
    {32, 310, 469},	// Okular::FontInfo::TeXVirtual
    {32, 331, 461},	// Okular::FontInfo::TrueType
    {32, 332, 462},	// Okular::FontInfo::TrueTypeOT
    {32, 333, 457},	// Okular::FontInfo::Type1
    {32, 334, 458},	// Okular::FontInfo::Type1C
    {32, 335, 459},	// Okular::FontInfo::Type1COT
    {32, 336, 460},	// Okular::FontInfo::Type3
    {32, 341, 456},	// Okular::FontInfo::Unknown
    {32, 404, 449},	// Okular::FontInfo::canBeExtracted
    {32, 509, 445},	// Okular::FontInfo::embedType
    {32, 521, 447},	// Okular::FontInfo::file
    {32, 674, 441},	// Okular::FontInfo::name
    {32, 675, 452},	// Okular::FontInfo::nativeId
    {32, 697, 455},	// Okular::FontInfo::operator!=#
    {32, 703, 453},	// Okular::FontInfo::operator=#
    {32, 705, 454},	// Okular::FontInfo::operator==#
    {32, 858, 450},	// Okular::FontInfo::setCanBeExtracted$
    {32, 882, 446},	// Okular::FontInfo::setEmbedType$
    {32, 889, 448},	// Okular::FontInfo::setFile$
    {32, 944, 442},	// Okular::FontInfo::setName$
    {32, 946, 451},	// Okular::FontInfo::setNativeId#
    {32, 1009, 444},	// Okular::FontInfo::setType$
    {32, 1106, 443},	// Okular::FontInfo::type
    {32, 1150, 475},	// Okular::FontInfo::~FontInfo
    {33, 116, 488},	// Okular::FormField::FormButton
    {33, 117, 490},	// Okular::FormField::FormChoice
    {33, 119, 484},	// Okular::FormField::FormField#
    {33, 123, 491},	// Okular::FormField::FormSignature
    {33, 124, 489},	// Okular::FormField::FormText
    {33, 361, 483},	// Okular::FormField::activationAction
    {33, 459, -28},	// Okular::FormField::d_func
    {33, 594, 478},	// Okular::FormField::id
    {33, 621, 481},	// Okular::FormField::isReadOnly
    {33, 632, 482},	// Okular::FormField::isVisible
    {33, 674, 479},	// Okular::FormField::name
    {33, 786, 477},	// Okular::FormField::rect
    {33, 838, 487},	// Okular::FormField::setActivationAction#
    {33, 1106, 476},	// Okular::FormField::type
    {33, 1107, 480},	// Okular::FormField::uiName
    {33, 1151, 492},	// Okular::FormField::~FormField
    {34, 52, 500},	// Okular::FormFieldButton::CheckBox
    {34, 120, 498},	// Okular::FormFieldButton::FormFieldButton
    {34, 259, 499},	// Okular::FormFieldButton::Push
    {34, 263, 501},	// Okular::FormFieldButton::Radio
    {34, 401, 493},	// Okular::FormFieldButton::buttonType
    {34, 425, 494},	// Okular::FormFieldButton::caption
    {34, 991, 496},	// Okular::FormFieldButton::setState$
    {34, 1033, 497},	// Okular::FormFieldButton::siblings
    {34, 1049, 495},	// Okular::FormFieldButton::state
    {34, 1152, 502},	// Okular::FormFieldButton::~FormFieldButton
    {35, 58, 514},	// Okular::FormFieldChoice::ComboBox
    {35, 121, 513},	// Okular::FormFieldChoice::FormFieldChoice
    {35, 183, 515},	// Okular::FormFieldChoice::ListBox
    {35, 406, 512},	// Okular::FormFieldChoice::canBeSpellChecked
    {35, 430, 503},	// Okular::FormFieldChoice::choiceType
    {35, 431, 504},	// Okular::FormFieldChoice::choices
    {35, 455, 507},	// Okular::FormFieldChoice::currentChoices
    {35, 498, 509},	// Okular::FormFieldChoice::editChoice
    {35, 614, 505},	// Okular::FormFieldChoice::isEditable
    {35, 673, 506},	// Okular::FormFieldChoice::multiSelect
    {35, 869, 508},	// Okular::FormFieldChoice::setCurrentChoices?
    {35, 880, 510},	// Okular::FormFieldChoice::setEditChoice$
    {35, 1068, 511},	// Okular::FormFieldChoice::textAlignment
    {35, 1153, 516},	// Okular::FormFieldChoice::~FormFieldChoice
    {37, 109, 528},	// Okular::FormFieldText::FileSelect
    {37, 122, 525},	// Okular::FormFieldText::FormFieldText
    {37, 189, 527},	// Okular::FormFieldText::Multiline
    {37, 201, 526},	// Okular::FormFieldText::Normal
    {37, 406, 524},	// Okular::FormFieldText::canBeSpellChecked
    {37, 620, 520},	// Okular::FormFieldText::isPassword
    {37, 623, 521},	// Okular::FormFieldText::isRichText
    {37, 658, 522},	// Okular::FormFieldText::maximumLength
    {37, 993, 519},	// Okular::FormFieldText::setText$
    {37, 1065, 518},	// Okular::FormFieldText::text
    {37, 1068, 523},	// Okular::FormFieldText::textAlignment
    {37, 1077, 517},	// Okular::FormFieldText::textType
    {37, 1154, 529},	// Okular::FormFieldText::~FormFieldText
    {38, 105, 600},	// Okular::Generator::FileConversionPrintError
    {38, 114, 588},	// Okular::Generator::FontInfo
    {38, 127, 577},	// Okular::Generator::Generator##?
    {38, 128, 537},	// Okular::Generator::Generator#?
    {38, 157, 608},	// Okular::Generator::InvalidPageSizePrintError
    {38, 158, 604},	// Okular::Generator::InvalidPrinterStatePrintError
    {38, 192, 607},	// Okular::Generator::NoBinaryToPrintError
    {38, 195, 606},	// Okular::Generator::NoFileToPrintError
    {38, 198, 597},	// Okular::Generator::NoPrintError
    {38, 200, 594},	// Okular::Generator::None
    {38, 234, 589},	// Okular::Generator::PageSizes
    {38, 240, 596},	// Okular::Generator::Pixels
    {38, 244, 595},	// Okular::Generator::Points
    {38, 252, 590},	// Okular::Generator::PrintNative
    {38, 253, 591},	// Okular::Generator::PrintPostscript
    {38, 254, 592},	// Okular::Generator::PrintToFile
    {38, 255, 603},	// Okular::Generator::PrintToFilePrintError
    {38, 256, 601},	// Okular::Generator::PrintingProcessCrashPrintError
    {38, 257, 602},	// Okular::Generator::PrintingProcessStartPrintError
    {38, 265, 587},	// Okular::Generator::ReadRawData
    {38, 311, 599},	// Okular::Generator::TemporaryFileOpenPrintError
    {38, 320, 586},	// Okular::Generator::TextExtraction
    {38, 323, 585},	// Okular::Generator::Threaded
    {38, 327, 593},	// Okular::Generator::TiledRendering
    {38, 338, 605},	// Okular::Generator::UnableToFindFilePrintError
    {38, 342, 598},	// Okular::Generator::UnknownPrintError
    {38, 409, 541},	// Okular::Generator::canGeneratePixmap
    {38, 410, 543},	// Okular::Generator::canGenerateTextPage
    {38, 433, 540},	// Okular::Generator::closeDocument
    {38, 459, -1},	// Okular::Generator::d_func
    {38, 481, 565},	// Okular::Generator::doCloseDocument
    {38, 484, 568},	// Okular::Generator::document
    {38, 488, 583},	// Okular::Generator::documentMetaData$
    {38, 489, 570},	// Okular::Generator::documentMetaData$#
    {38, 492, 573},	// Okular::Generator::dpi
    {38, 497, 575},	// Okular::Generator::dynamicSourceReference$$$
    {38, 511, 548},	// Okular::Generator::embeddedFiles
    {38, 513, 560},	// Okular::Generator::error$$
    {38, 516, 556},	// Okular::Generator::exportFormats
    {38, 518, 557},	// Okular::Generator::exportTo$#
    {38, 538, 547},	// Okular::Generator::fontsForPage$
    {38, 551, 545},	// Okular::Generator::generateDocumentInfo
    {38, 552, 546},	// Okular::Generator::generateDocumentSynopsis
    {38, 554, 542},	// Okular::Generator::generatePixmap#
    {38, 556, 544},	// Okular::Generator::generateTextPage#
    {38, 574, 558},	// Okular::Generator::hasFeature$
    {38, 596, 566},	// Okular::Generator::image#
    {38, 608, 550},	// Okular::Generator::isAllowed$
    {38, 650, 538},	// Okular::Generator::loadDocument$?
    {38, 652, 539},	// Okular::Generator::loadDocumentFromData#?
    {38, 665, 555},	// Okular::Generator::metaData$#
    {38, 666, 530},	// Okular::Generator::metaObject
    {38, 680, 562},	// Okular::Generator::notice$$
    {38, 738, 553},	// Okular::Generator::pageSizeChanged##
    {38, 741, 552},	// Okular::Generator::pageSizes
    {38, 744, 549},	// Okular::Generator::pagesSizeMetric
    {38, 752, 554},	// Okular::Generator::print#
    {38, 756, 576},	// Okular::Generator::printError
    {38, 777, 536},	// Okular::Generator::qt_metacall$$?
    {38, 779, 531},	// Okular::Generator::qt_metacast$
    {38, 802, 574},	// Okular::Generator::requestFontData##
    {38, 816, 551},	// Okular::Generator::rotationChanged$$
    {38, 872, 559},	// Okular::Generator::setDPI#
    {38, 886, 582},	// Okular::Generator::setFeature$
    {38, 887, 569},	// Okular::Generator::setFeature$$
    {38, 1035, 563},	// Okular::Generator::signalPixmapRequestDone#
    {38, 1037, 564},	// Okular::Generator::signalTextGenerationDone##
    {38, 1051, 584},	// Okular::Generator::staticMetaObject
    {38, 1074, 567},	// Okular::Generator::textPage#
    {38, 1085, 580},	// Okular::Generator::tr$
    {38, 1086, 532},	// Okular::Generator::tr$$
    {38, 1087, 534},	// Okular::Generator::tr$$$
    {38, 1089, 581},	// Okular::Generator::trUtf8$
    {38, 1090, 533},	// Okular::Generator::trUtf8$$
    {38, 1091, 535},	// Okular::Generator::trUtf8$$$
    {38, 1113, 572},	// Okular::Generator::updatePageBoundingBox$#
    {38, 1115, 571},	// Okular::Generator::userMutex
    {38, 1121, 561},	// Okular::Generator::warning$$
    {38, 1155, 609},	// Okular::Generator::~Generator
    {40, 129, 610},	// Okular::GeomAnnotation::GeomAnnotation
    {40, 130, 611},	// Okular::GeomAnnotation::GeomAnnotation#
    {40, 154, 619},	// Okular::GeomAnnotation::InscribedCircle
    {40, 155, 618},	// Okular::GeomAnnotation::InscribedSquare
    {40, 558, 615},	// Okular::GeomAnnotation::geometricalInnerColor
    {40, 559, 613},	// Okular::GeomAnnotation::geometricalType
    {40, 897, 614},	// Okular::GeomAnnotation::setGeometricalInnerColor#
    {40, 899, 612},	// Okular::GeomAnnotation::setGeometricalType$
    {40, 1054, 617},	// Okular::GeomAnnotation::store##
    {40, 1058, 616},	// Okular::GeomAnnotation::subType
    {40, 1156, 620},	// Okular::GeomAnnotation::~GeomAnnotation
    {41, 137, 621},	// Okular::GotoAction::GotoAction$#
    {41, 138, 622},	// Okular::GotoAction::GotoAction$$
    {41, 359, 624},	// Okular::GotoAction::actionTip
    {41, 360, 623},	// Okular::GotoAction::actionType
    {41, 470, 627},	// Okular::GotoAction::destViewport
    {41, 473, 628},	// Okular::GotoAction::destinationName
    {41, 523, 626},	// Okular::GotoAction::fileName
    {41, 615, 625},	// Okular::GotoAction::isExternal
    {41, 1157, 629},	// Okular::GotoAction::~GotoAction
    {42, 140, 631},	// Okular::GuiInterface::GuiInterface
    {42, 141, 632},	// Okular::GuiInterface::GuiInterface#
    {42, 571, 630},	// Okular::GuiInterface::guiClient
    {42, 1158, 633},	// Okular::GuiInterface::~GuiInterface
    {43, 144, 641},	// Okular::HighlightAnnotation::Highlight
    {43, 145, 634},	// Okular::HighlightAnnotation::HighlightAnnotation
    {43, 146, 635},	// Okular::HighlightAnnotation::HighlightAnnotation#
    {43, 298, 642},	// Okular::HighlightAnnotation::Squiggly
    {43, 303, 644},	// Okular::HighlightAnnotation::StrikeOut
    {43, 340, 643},	// Okular::HighlightAnnotation::Underline
    {43, 589, 638},	// Okular::HighlightAnnotation::highlightQuads
    {43, 590, 637},	// Okular::HighlightAnnotation::highlightType
    {43, 901, 636},	// Okular::HighlightAnnotation::setHighlightType$
    {43, 1054, 640},	// Okular::HighlightAnnotation::store##
    {43, 1058, 639},	// Okular::HighlightAnnotation::subType
    {43, 1159, 645},	// Okular::HighlightAnnotation::~HighlightAnnotation
    {45, 152, 646},	// Okular::InkAnnotation::InkAnnotation
    {45, 153, 647},	// Okular::InkAnnotation::InkAnnotation#
    {45, 599, 649},	// Okular::InkAnnotation::inkPaths
    {45, 903, 648},	// Okular::InkAnnotation::setInkPaths?
    {45, 1054, 652},	// Okular::InkAnnotation::store##
    {45, 1058, 651},	// Okular::InkAnnotation::subType
    {45, 1097, 650},	// Okular::InkAnnotation::transformedInkPaths
    {45, 1160, 653},	// Okular::InkAnnotation::~InkAnnotation
    {46, 29, 688},	// Okular::LineAnnotation::Arrow
    {46, 39, 683},	// Okular::LineAnnotation::Butt
    {46, 53, 678},	// Okular::LineAnnotation::Circle
    {46, 55, 681},	// Okular::LineAnnotation::ClosedArrow
    {46, 72, 679},	// Okular::LineAnnotation::Diamond
    {46, 73, 689},	// Okular::LineAnnotation::Dimension
    {46, 180, 654},	// Okular::LineAnnotation::LineAnnotation
    {46, 181, 655},	// Okular::LineAnnotation::LineAnnotation#
    {46, 200, 682},	// Okular::LineAnnotation::None
    {46, 217, 680},	// Okular::LineAnnotation::OpenArrow
    {46, 245, 690},	// Okular::LineAnnotation::PolygonCloud
    {46, 261, 685},	// Okular::LineAnnotation::RClosedArrow
    {46, 262, 684},	// Okular::LineAnnotation::ROpenArrow
    {46, 280, 686},	// Okular::LineAnnotation::Slash
    {46, 297, 677},	// Okular::LineAnnotation::Square
    {46, 341, 687},	// Okular::LineAnnotation::Unknown
    {46, 637, 664},	// Okular::LineAnnotation::lineClosed
    {46, 638, 662},	// Okular::LineAnnotation::lineEndStyle
    {46, 639, 666},	// Okular::LineAnnotation::lineInnerColor
    {46, 640, 674},	// Okular::LineAnnotation::lineIntent
    {46, 641, 670},	// Okular::LineAnnotation::lineLeadingBackwardPoint
    {46, 642, 668},	// Okular::LineAnnotation::lineLeadingForwardPoint
    {46, 643, 657},	// Okular::LineAnnotation::linePoints
    {46, 644, 660},	// Okular::LineAnnotation::lineStartStyle
    {46, 917, 663},	// Okular::LineAnnotation::setLineClosed$
    {46, 919, 661},	// Okular::LineAnnotation::setLineEndStyle$
    {46, 921, 665},	// Okular::LineAnnotation::setLineInnerColor#
    {46, 923, 673},	// Okular::LineAnnotation::setLineIntent$
    {46, 925, 669},	// Okular::LineAnnotation::setLineLeadingBackwardPoint$
    {46, 927, 667},	// Okular::LineAnnotation::setLineLeadingForwardPoint$
    {46, 929, 656},	// Okular::LineAnnotation::setLinePoints?
    {46, 931, 659},	// Okular::LineAnnotation::setLineStartStyle$
    {46, 979, 671},	// Okular::LineAnnotation::setShowCaption$
    {46, 1032, 672},	// Okular::LineAnnotation::showCaption
    {46, 1054, 676},	// Okular::LineAnnotation::store##
    {46, 1058, 675},	// Okular::LineAnnotation::subType
    {46, 1100, 658},	// Okular::LineAnnotation::transformedLinePoints
    {46, 1161, 691},	// Okular::LineAnnotation::~LineAnnotation
    {48, 202, 692},	// Okular::NormalizedPoint::NormalizedPoint
    {48, 203, 699},	// Okular::NormalizedPoint::NormalizedPoint#
    {48, 204, 693},	// Okular::NormalizedPoint::NormalizedPoint$$
    {48, 205, 694},	// Okular::NormalizedPoint::NormalizedPoint$$$$
    {48, 479, 697},	// Okular::NormalizedPoint::distanceSqr$$$$
    {48, 480, 698},	// Okular::NormalizedPoint::distanceSqr$$$$##
    {48, 703, 695},	// Okular::NormalizedPoint::operator=#
    {48, 1024, 701},	// Okular::NormalizedPoint::setX$
    {48, 1028, 703},	// Okular::NormalizedPoint::setY$
    {48, 1093, 696},	// Okular::NormalizedPoint::transform#
    {48, 1130, 700},	// Okular::NormalizedPoint::x
    {48, 1132, 702},	// Okular::NormalizedPoint::y
    {48, 1162, 704},	// Okular::NormalizedPoint::~NormalizedPoint
    {49, 206, 705},	// Okular::NormalizedRect::NormalizedRect
    {49, 207, 708},	// Okular::NormalizedRect::NormalizedRect#
    {49, 208, 707},	// Okular::NormalizedRect::NormalizedRect#$$
    {49, 209, 706},	// Okular::NormalizedRect::NormalizedRect$$$$
    {49, 396, 737},	// Okular::NormalizedRect::bottom
    {49, 427, 722},	// Okular::NormalizedRect::center
    {49, 439, 712},	// Okular::NormalizedRect::contains$$
    {49, 479, 730},	// Okular::NormalizedRect::distanceSqr$$$$
    {49, 549, 710},	// Okular::NormalizedRect::fromQRectF#
    {49, 561, 716},	// Okular::NormalizedRect::geometry$$
    {49, 605, -34},	// Okular::NormalizedRect::intersects#
    {49, 606, 715},	// Okular::NormalizedRect::intersects$$$$
    {49, 610, 724},	// Okular::NormalizedRect::isBottom#
    {49, 612, 726},	// Okular::NormalizedRect::isBottomOrLevel#
    {49, 617, 728},	// Okular::NormalizedRect::isLeft#
    {49, 618, 711},	// Okular::NormalizedRect::isNull
    {49, 625, 729},	// Okular::NormalizedRect::isRight#
    {49, 628, 725},	// Okular::NormalizedRect::isTop#
    {49, 630, 727},	// Okular::NormalizedRect::isTopOrLevel#
    {49, 636, 731},	// Okular::NormalizedRect::left
    {49, 699, 720},	// Okular::NormalizedRect::operator&#
    {49, 703, 709},	// Okular::NormalizedRect::operator=#
    {49, 705, 721},	// Okular::NormalizedRect::operator==#
    {49, 707, 718},	// Okular::NormalizedRect::operator|#
    {49, 709, 719},	// Okular::NormalizedRect::operator|=#
    {49, 811, 735},	// Okular::NormalizedRect::right
    {49, 818, 717},	// Okular::NormalizedRect::roundedGeometry$$
    {49, 852, 738},	// Okular::NormalizedRect::setBottom$
    {49, 915, 732},	// Okular::NormalizedRect::setLeft$
    {49, 971, 736},	// Okular::NormalizedRect::setRight$
    {49, 1005, 734},	// Okular::NormalizedRect::setTop$
    {49, 1082, 733},	// Okular::NormalizedRect::top
    {49, 1093, 723},	// Okular::NormalizedRect::transform#
    {49, 1163, 739},	// Okular::NormalizedRect::~NormalizedRect
    {50, 16, 759},	// Okular::ObjectRect::Action
    {50, 150, 760},	// Okular::ObjectRect::Image
    {50, 211, 761},	// Okular::ObjectRect::OAnnotation
    {50, 213, 750},	// Okular::ObjectRect::ObjectRect#
    {50, 214, 742},	// Okular::ObjectRect::ObjectRect#$$
    {50, 215, 741},	// Okular::ObjectRect::ObjectRect#$$$
    {50, 216, 740},	// Okular::ObjectRect::ObjectRect$$$$$$$
    {50, 289, 762},	// Okular::ObjectRect::SourceRef
    {50, 399, 746},	// Okular::ObjectRect::boundingRect$$
    {50, 440, 747},	// Okular::ObjectRect::contains$$$$
    {50, 479, 749},	// Okular::ObjectRect::distanceSqr$$$$
    {50, 654, 753},	// Okular::ObjectRect::m_object
    {50, 655, 751},	// Okular::ObjectRect::m_objectType
    {50, 656, 755},	// Okular::ObjectRect::m_path
    {50, 657, 757},	// Okular::ObjectRect::m_transformedPath
    {50, 682, 744},	// Okular::ObjectRect::object
    {50, 687, 743},	// Okular::ObjectRect::objectType
    {50, 788, 745},	// Okular::ObjectRect::region
    {50, 934, 754},	// Okular::ObjectRect::setM_object$
    {50, 936, 752},	// Okular::ObjectRect::setM_objectType$
    {50, 938, 756},	// Okular::ObjectRect::setM_path#
    {50, 940, 758},	// Okular::ObjectRect::setM_transformedPath#
    {50, 1093, 748},	// Okular::ObjectRect::transform#
    {50, 1164, 763},	// Okular::ObjectRect::~ObjectRect
    {51, 56, 825},	// Okular::Page::Closing
    {51, 219, 824},	// Okular::Page::Opening
    {51, 224, 764},	// Okular::Page::Page$$$$
    {51, 365, 804},	// Okular::Page::addAnnotation#
    {51, 386, 791},	// Okular::Page::annotations
    {51, 397, 772},	// Okular::Page::boundingBox
    {51, 461, 813},	// Okular::Page::deleteAnnotations
    {51, 465, 809},	// Okular::Page::deletePixmap#
    {51, 466, 810},	// Okular::Page::deletePixmaps
    {51, 467, 811},	// Okular::Page::deleteRects
    {51, 468, 812},	// Okular::Page::deleteSourceReferences
    {51, 495, 799},	// Okular::Page::duration
    {51, 529, 820},	// Okular::Page::findText$$$$
    {51, 530, 781},	// Okular::Page::findText$$$$#
    {51, 543, 793},	// Okular::Page::formFields
    {51, 572, 780},	// Okular::Page::hasAnnotations
    {51, 575, 819},	// Okular::Page::hasHighlights
    {51, 576, 778},	// Okular::Page::hasHighlights$
    {51, 578, 777},	// Okular::Page::hasObjectRect$$$$
    {51, 580, 816},	// Okular::Page::hasPixmap#
    {51, 581, 817},	// Okular::Page::hasPixmap#$
    {51, 582, 818},	// Okular::Page::hasPixmap#$$
    {51, 583, 775},	// Okular::Page::hasPixmap#$$#
    {51, 584, 776},	// Okular::Page::hasTextPage
    {51, 586, 814},	// Okular::Page::hasTilesManager#
    {51, 587, 779},	// Okular::Page::hasTransition
    {51, 588, 770},	// Okular::Page::height
    {51, 613, 773},	// Okular::Page::isBoundingBoxKnown
    {51, 635, 801},	// Okular::Page::label
    {51, 677, 789},	// Okular::Page::nearestObjectRect$$$$$$
    {51, 681, 765},	// Okular::Page::number
    {51, 684, 787},	// Okular::Page::objectRect$$$$$
    {51, 686, 788},	// Okular::Page::objectRects$$$$$
    {51, 724, 766},	// Okular::Page::orientation
    {51, 728, 792},	// Okular::Page::pageAction$
    {51, 781, 771},	// Okular::Page::ratio
    {51, 792, 805},	// Okular::Page::removeAnnotation#
    {51, 814, 767},	// Okular::Page::rotation
    {51, 854, 774},	// Okular::Page::setBoundingBox#
    {51, 878, 798},	// Okular::Page::setDuration$
    {51, 895, 808},	// Okular::Page::setFormFields?
    {51, 913, 800},	// Okular::Page::setLabel$
    {51, 955, 796},	// Okular::Page::setObjectRects?
    {51, 957, 807},	// Okular::Page::setPageAction$#
    {51, 965, 823},	// Okular::Page::setPixmap##
    {51, 966, 794},	// Okular::Page::setPixmap###
    {51, 987, 797},	// Okular::Page::setSourceReferences?
    {51, 999, 795},	// Okular::Page::setTextPage#
    {51, 1007, 806},	// Okular::Page::setTransition#
    {51, 1065, 821},	// Okular::Page::text
    {51, 1066, 782},	// Okular::Page::text#
    {51, 1067, 783},	// Okular::Page::text#$
    {51, 1070, 786},	// Okular::Page::textArea#
    {51, 1075, 802},	// Okular::Page::textSelection
    {51, 1076, 803},	// Okular::Page::textSelectionColor
    {51, 1079, 815},	// Okular::Page::tilesAt##
    {51, 1083, 768},	// Okular::Page::totalOrientation
    {51, 1101, 790},	// Okular::Page::transition
    {51, 1123, 769},	// Okular::Page::width
    {51, 1126, 822},	// Okular::Page::wordAt#
    {51, 1127, 785},	// Okular::Page::wordAt#$
    {51, 1129, 784},	// Okular::Page::words#$
    {51, 1165, 826},	// Okular::Page::~Page
    {52, 231, 827},	// Okular::PageSize::PageSize
    {52, 232, 829},	// Okular::PageSize::PageSize#
    {52, 233, 828},	// Okular::PageSize::PageSize$$$
    {52, 588, 831},	// Okular::PageSize::height
    {52, 618, 833},	// Okular::PageSize::isNull
    {52, 674, 832},	// Okular::PageSize::name
    {52, 697, 836},	// Okular::PageSize::operator!=#
    {52, 703, 834},	// Okular::PageSize::operator=#
    {52, 705, 835},	// Okular::PageSize::operator==#
    {52, 1123, 830},	// Okular::PageSize::width
    {52, 1166, 837},	// Okular::PageSize::~PageSize
    {53, 34, 858},	// Okular::PageTransition::Blinds
    {53, 35, 859},	// Okular::PageTransition::Box
    {53, 63, 865},	// Okular::PageTransition::Cover
    {53, 74, 861},	// Okular::PageTransition::Dissolve
    {53, 102, 867},	// Okular::PageTransition::Fade
    {53, 113, 863},	// Okular::PageTransition::Fly
    {53, 131, 862},	// Okular::PageTransition::Glitter
    {53, 149, 868},	// Okular::PageTransition::Horizontal
    {53, 159, 870},	// Okular::PageTransition::Inward
    {53, 220, 871},	// Okular::PageTransition::Outward
    {53, 235, 855},	// Okular::PageTransition::PageTransition
    {53, 236, 839},	// Okular::PageTransition::PageTransition#
    {53, 237, 838},	// Okular::PageTransition::PageTransition$
    {53, 259, 864},	// Okular::PageTransition::Push
    {53, 271, 856},	// Okular::PageTransition::Replace
    {53, 296, 857},	// Okular::PageTransition::Split
    {53, 339, 866},	// Okular::PageTransition::Uncover
    {53, 346, 869},	// Okular::PageTransition::Vertical
    {53, 351, 860},	// Okular::PageTransition::Wipe
    {53, 378, 843},	// Okular::PageTransition::alignment
    {53, 380, 845},	// Okular::PageTransition::angle
    {53, 476, 844},	// Okular::PageTransition::direction
    {53, 495, 842},	// Okular::PageTransition::duration
    {53, 622, 847},	// Okular::PageTransition::isRectangular
    {53, 703, 840},	// Okular::PageTransition::operator=#
    {53, 826, 846},	// Okular::PageTransition::scale
    {53, 840, 850},	// Okular::PageTransition::setAlignment$
    {53, 842, 852},	// Okular::PageTransition::setAngle$
    {53, 874, 851},	// Okular::PageTransition::setDirection$
    {53, 878, 849},	// Okular::PageTransition::setDuration$
    {53, 911, 854},	// Okular::PageTransition::setIsRectangular$
    {53, 977, 853},	// Okular::PageTransition::setScale$
    {53, 1009, 848},	// Okular::PageTransition::setType$
    {53, 1106, 841},	// Okular::PageTransition::type
    {53, 1167, 872},	// Okular::PageTransition::~PageTransition
    {54, 30, 887},	// Okular::PixmapRequest::Asynchronous
    {54, 194, 886},	// Okular::PixmapRequest::NoFeature
    {54, 242, 873},	// Okular::PixmapRequest::PixmapRequest#$$$$$
    {54, 247, 888},	// Okular::PixmapRequest::Preload
    {54, 390, 879},	// Okular::PixmapRequest::asynchronous
    {54, 588, 877},	// Okular::PixmapRequest::height
    {54, 626, 883},	// Okular::PixmapRequest::isTile
    {54, 678, 885},	// Okular::PixmapRequest::normalizedRect
    {54, 688, 874},	// Okular::PixmapRequest::observer
    {54, 725, 881},	// Okular::PixmapRequest::page
    {54, 734, 875},	// Okular::PixmapRequest::pageNumber
    {54, 748, 880},	// Okular::PixmapRequest::preload
    {54, 764, 878},	// Okular::PixmapRequest::priority
    {54, 953, 884},	// Okular::PixmapRequest::setNormalizedRect#
    {54, 1003, 882},	// Okular::PixmapRequest::setTile$
    {54, 1123, 876},	// Okular::PixmapRequest::width
    {54, 1168, 889},	// Okular::PixmapRequest::~PixmapRequest
    {55, 250, 891},	// Okular::PrintInterface::PrintInterface
    {55, 251, 892},	// Okular::PrintInterface::PrintInterface#
    {55, 755, 890},	// Okular::PrintInterface::printConfigurationWidget
    {55, 1169, 893},	// Okular::PrintInterface::~PrintInterface
    {56, 266, 894},	// Okular::RegularAreaRect::RegularAreaRect
    {56, 267, 895},	// Okular::RegularAreaRect::RegularAreaRect#
    {56, 703, 896},	// Okular::RegularAreaRect::operator=#
    {56, 1170, 897},	// Okular::RegularAreaRect::~RegularAreaRect
    {58, 277, 898},	// Okular::ScriptAction::ScriptAction$$
    {58, 359, 900},	// Okular::ScriptAction::actionTip
    {58, 360, 899},	// Okular::ScriptAction::actionType
    {58, 827, 902},	// Okular::ScriptAction::script
    {58, 828, 901},	// Okular::ScriptAction::scriptType
    {58, 1171, 903},	// Okular::ScriptAction::~ScriptAction
    {59, 6, 922},	// Okular::Sound::ALaw
    {59, 88, 918},	// Okular::Sound::Embedded
    {59, 100, 917},	// Okular::Sound::External
    {59, 264, 919},	// Okular::Sound::Raw
    {59, 279, 920},	// Okular::Sound::Signed
    {59, 283, 904},	// Okular::Sound::Sound#
    {59, 284, 905},	// Okular::Sound::Sound$
    {59, 392, 914},	// Okular::Sound::bitsPerSample
    {59, 428, 912},	// Okular::Sound::channels
    {59, 460, 908},	// Okular::Sound::data
    {59, 672, 921},	// Okular::Sound::muLaw
    {59, 820, 910},	// Okular::Sound::samplingRate
    {59, 850, 913},	// Okular::Sound::setBitsPerSample$
    {59, 862, 911},	// Okular::Sound::setChannels$
    {59, 975, 909},	// Okular::Sound::setSamplingRate$
    {59, 983, 915},	// Okular::Sound::setSoundEncoding$
    {59, 1040, 916},	// Okular::Sound::soundEncoding
    {59, 1042, 906},	// Okular::Sound::soundType
    {59, 1114, 907},	// Okular::Sound::url
    {59, 1172, 923},	// Okular::Sound::~Sound
    {60, 286, 924},	// Okular::SoundAction::SoundAction$$$$#
    {60, 359, 926},	// Okular::SoundAction::actionTip
    {60, 360, 925},	// Okular::SoundAction::actionType
    {60, 668, 930},	// Okular::SoundAction::mix
    {60, 800, 929},	// Okular::SoundAction::repeat
    {60, 1039, 931},	// Okular::SoundAction::sound
    {60, 1064, 928},	// Okular::SoundAction::synchronous
    {60, 1119, 927},	// Okular::SoundAction::volume
    {60, 1173, 932},	// Okular::SoundAction::~SoundAction
    {61, 287, 933},	// Okular::SoundAnnotation::SoundAnnotation
    {61, 288, 934},	// Okular::SoundAnnotation::SoundAnnotation#
    {61, 981, 938},	// Okular::SoundAnnotation::setSound#
    {61, 985, 936},	// Okular::SoundAnnotation::setSoundIconName$
    {61, 1039, 937},	// Okular::SoundAnnotation::sound
    {61, 1041, 935},	// Okular::SoundAnnotation::soundIconName
    {61, 1054, 940},	// Okular::SoundAnnotation::store##
    {61, 1058, 939},	// Okular::SoundAnnotation::subType
    {61, 1174, 941},	// Okular::SoundAnnotation::~SoundAnnotation
    {62, 291, 945},	// Okular::SourceRefObjectRect::SourceRefObjectRect#
    {62, 292, 942},	// Okular::SourceRefObjectRect::SourceRefObjectRect#$
    {62, 399, 943},	// Okular::SourceRefObjectRect::boundingRect$$
    {62, 440, 944},	// Okular::SourceRefObjectRect::contains$$$$
    {62, 1175, 946},	// Okular::SourceRefObjectRect::~SourceRefObjectRect
    {63, 294, 951},	// Okular::SourceReference::SourceReference$$
    {63, 295, 947},	// Okular::SourceReference::SourceReference$$$
    {63, 434, 950},	// Okular::SourceReference::column
    {63, 523, 948},	// Okular::SourceReference::fileName
    {63, 819, 949},	// Okular::SourceReference::row
    {63, 1176, 952},	// Okular::SourceReference::~SourceReference
    {64, 299, 953},	// Okular::StampAnnotation::StampAnnotation
    {64, 300, 954},	// Okular::StampAnnotation::StampAnnotation#
    {64, 989, 955},	// Okular::StampAnnotation::setStampIconName$
    {64, 1045, 956},	// Okular::StampAnnotation::stampIconName
    {64, 1054, 958},	// Okular::StampAnnotation::store##
    {64, 1058, 957},	// Okular::StampAnnotation::subType
    {64, 1177, 959},	// Okular::StampAnnotation::~StampAnnotation
    {65, 45, 980},	// Okular::TextAnnotation::Callout
    {65, 151, 978},	// Okular::TextAnnotation::InPlace
    {65, 182, 977},	// Okular::TextAnnotation::Linked
    {65, 312, 960},	// Okular::TextAnnotation::TextAnnotation
    {65, 313, 961},	// Okular::TextAnnotation::TextAnnotation#
    {65, 337, 981},	// Okular::TextAnnotation::TypeWriter
    {65, 341, 979},	// Okular::TextAnnotation::Unknown
    {65, 600, 969},	// Okular::TextAnnotation::inplaceAlignment
    {65, 602, 971},	// Okular::TextAnnotation::inplaceCallout$
    {65, 603, 974},	// Okular::TextAnnotation::inplaceIntent
    {65, 905, 968},	// Okular::TextAnnotation::setInplaceAlignment$
    {65, 907, 970},	// Okular::TextAnnotation::setInplaceCallout#$
    {65, 909, 973},	// Okular::TextAnnotation::setInplaceIntent$
    {65, 995, 966},	// Okular::TextAnnotation::setTextFont#
    {65, 997, 964},	// Okular::TextAnnotation::setTextIcon$
    {65, 1001, 962},	// Okular::TextAnnotation::setTextType$
    {65, 1054, 976},	// Okular::TextAnnotation::store##
    {65, 1058, 975},	// Okular::TextAnnotation::subType
    {65, 1071, 967},	// Okular::TextAnnotation::textFont
    {65, 1072, 965},	// Okular::TextAnnotation::textIcon
    {65, 1077, 963},	// Okular::TextAnnotation::textType
    {65, 1099, 972},	// Okular::TextAnnotation::transformedInplaceCallout$
    {65, 1178, 982},	// Okular::TextAnnotation::~TextAnnotation
    {66, 314, 990},	// Okular::TextDocumentConverter::TextDocumentConverter
    {66, 363, 992},	// Okular::TextDocumentConverter::addAction#$$
    {66, 366, 993},	// Okular::TextDocumentConverter::addAnnotation#$$
    {66, 368, 996},	// Okular::TextDocumentConverter::addMetaData$$
    {66, 369, 995},	// Okular::TextDocumentConverter::addMetaData$$$
    {66, 377, 994},	// Okular::TextDocumentConverter::addTitle$$#
    {66, 403, 1000},	// Okular::TextDocumentConverter::calculateViewport##
    {66, 446, 991},	// Okular::TextDocumentConverter::convert$
    {66, 513, 997},	// Okular::TextDocumentConverter::error$$
    {66, 557, 1001},	// Okular::TextDocumentConverter::generator
    {66, 666, 983},	// Okular::TextDocumentConverter::metaObject
    {66, 680, 999},	// Okular::TextDocumentConverter::notice$$
    {66, 777, 989},	// Okular::TextDocumentConverter::qt_metacall$$?
    {66, 779, 984},	// Okular::TextDocumentConverter::qt_metacast$
    {66, 1051, 1004},	// Okular::TextDocumentConverter::staticMetaObject
    {66, 1085, 1002},	// Okular::TextDocumentConverter::tr$
    {66, 1086, 985},	// Okular::TextDocumentConverter::tr$$
    {66, 1087, 987},	// Okular::TextDocumentConverter::tr$$$
    {66, 1089, 1003},	// Okular::TextDocumentConverter::trUtf8$
    {66, 1090, 986},	// Okular::TextDocumentConverter::trUtf8$$
    {66, 1091, 988},	// Okular::TextDocumentConverter::trUtf8$$$
    {66, 1121, 998},	// Okular::TextDocumentConverter::warning$$
    {66, 1179, 1005},	// Okular::TextDocumentConverter::~TextDocumentConverter
    {67, 316, 1014},	// Okular::TextDocumentGenerator::TextDocumentGenerator##?
    {67, 317, 1013},	// Okular::TextDocumentGenerator::TextDocumentGenerator#$#?
    {67, 375, 1022},	// Okular::TextDocumentGenerator::addPages#
    {67, 409, 1016},	// Okular::TextDocumentGenerator::canGeneratePixmap
    {67, 481, 1026},	// Okular::TextDocumentGenerator::doCloseDocument
    {67, 516, 1019},	// Okular::TextDocumentGenerator::exportFormats
    {67, 518, 1020},	// Okular::TextDocumentGenerator::exportTo$#
    {67, 550, 1023},	// Okular::TextDocumentGenerator::generalSettings
    {67, 551, 1024},	// Okular::TextDocumentGenerator::generateDocumentInfo
    {67, 552, 1025},	// Okular::TextDocumentGenerator::generateDocumentSynopsis
    {67, 554, 1017},	// Okular::TextDocumentGenerator::generatePixmap#
    {67, 650, 1015},	// Okular::TextDocumentGenerator::loadDocument$?
    {67, 666, 1006},	// Okular::TextDocumentGenerator::metaObject
    {67, 752, 1018},	// Okular::TextDocumentGenerator::print#
    {67, 777, 1012},	// Okular::TextDocumentGenerator::qt_metacall$$?
    {67, 779, 1007},	// Okular::TextDocumentGenerator::qt_metacast$
    {67, 799, 1021},	// Okular::TextDocumentGenerator::reparseConfig
    {67, 1051, 1030},	// Okular::TextDocumentGenerator::staticMetaObject
    {67, 1074, 1027},	// Okular::TextDocumentGenerator::textPage#
    {67, 1085, 1028},	// Okular::TextDocumentGenerator::tr$
    {67, 1086, 1008},	// Okular::TextDocumentGenerator::tr$$
    {67, 1087, 1010},	// Okular::TextDocumentGenerator::tr$$$
    {67, 1089, 1029},	// Okular::TextDocumentGenerator::trUtf8$
    {67, 1090, 1009},	// Okular::TextDocumentGenerator::trUtf8$$
    {67, 1091, 1011},	// Okular::TextDocumentGenerator::trUtf8$$$
    {67, 1180, 1031},	// Okular::TextDocumentGenerator::~TextDocumentGenerator
    {69, 319, 1032},	// Okular::TextEntity::TextEntity$#
    {69, 389, 1034},	// Okular::TextEntity::area
    {69, 1065, 1033},	// Okular::TextEntity::text
    {69, 1095, 1035},	// Okular::TextEntity::transformedArea#
    {69, 1181, 1036},	// Okular::TextEntity::~TextEntity
    {70, 26, 1048},	// Okular::TextPage::AnyPixelTextAreaInclusionBehaviour
    {70, 51, 1049},	// Okular::TextPage::CentralPixelTextAreaInclusionBehaviour
    {70, 321, 1037},	// Okular::TextPage::TextPage
    {70, 322, 1038},	// Okular::TextPage::TextPage?
    {70, 388, 1039},	// Okular::TextPage::append$#
    {70, 530, 1040},	// Okular::TextPage::findText$$$$#
    {70, 1065, 1046},	// Okular::TextPage::text
    {70, 1066, 1041},	// Okular::TextPage::text#
    {70, 1067, 1042},	// Okular::TextPage::text#$
    {70, 1070, 1045},	// Okular::TextPage::textArea#
    {70, 1126, 1047},	// Okular::TextPage::wordAt#
    {70, 1127, 1044},	// Okular::TextPage::wordAt#$
    {70, 1129, 1043},	// Okular::TextPage::words#$
    {70, 1182, 1050},	// Okular::TextPage::~TextPage
    {72, 325, 1052},	// Okular::Tile::Tile#
    {72, 326, 1051},	// Okular::Tile::Tile##$
    {72, 631, 1055},	// Okular::Tile::isValid
    {72, 703, 1056},	// Okular::Tile::operator=#
    {72, 747, 1054},	// Okular::Tile::pixmap
    {72, 786, 1053},	// Okular::Tile::rect
    {72, 1183, 1057},	// Okular::Tile::~Tile
    {73, 344, 1065},	// Okular::Utils::Utils
    {73, 345, 1066},	// Okular::Utils::Utils#
    {73, 493, 1059},	// Okular::Utils::dpiX
    {73, 494, 1060},	// Okular::Utils::dpiY
    {73, 598, 1064},	// Okular::Utils::imageBoundingBox#
    {73, 783, 1063},	// Okular::Utils::realDpi#
    {73, 784, 1061},	// Okular::Utils::realDpiX
    {73, 785, 1062},	// Okular::Utils::realDpiY
    {73, 813, 1058},	// Okular::Utils::rotateRect#$$$
    {73, 1184, 1067},	// Okular::Utils::~Utils
    {75, 347, 1070},	// Okular::VisiblePageRect::VisiblePageRect
    {75, 348, 1069},	// Okular::VisiblePageRect::VisiblePageRect#
    {75, 349, 1071},	// Okular::VisiblePageRect::VisiblePageRect$
    {75, 350, 1068},	// Okular::VisiblePageRect::VisiblePageRect$#
    {75, 734, 1072},	// Okular::VisiblePageRect::pageNumber
    {75, 786, 1074},	// Okular::VisiblePageRect::rect
    {75, 959, 1073},	// Okular::VisiblePageRect::setPageNumber$
    {75, 969, 1075},	// Okular::VisiblePageRect::setRect#
    {75, 1185, 1076},	// Okular::VisiblePageRect::~VisiblePageRect
    {87, 160, 1100},	// QGlobalSpace::KST_CTimeInfo
    {87, 161, 1093},	// QGlobalSpace::KST_KCustom
    {87, 162, 1087},	// QGlobalSpace::KST_KDEDesktopMimeType
    {87, 163, 1086},	// QGlobalSpace::KST_KFolderMimeType
    {87, 164, 1097},	// QGlobalSpace::KST_KImageIO
    {87, 165, 1090},	// QGlobalSpace::KST_KImageIOFormat
    {87, 166, 1085},	// QGlobalSpace::KST_KMimeType
    {87, 167, 1088},	// QGlobalSpace::KST_KMimeTypeEntry
    {87, 168, 1099},	// QGlobalSpace::KST_KMimeTypeFactory
    {87, 169, 1091},	// QGlobalSpace::KST_KProtocolInfo
    {87, 170, 1098},	// QGlobalSpace::KST_KProtocolInfoFactory
    {87, 171, 1083},	// QGlobalSpace::KST_KService
    {87, 172, 1094},	// QGlobalSpace::KST_KServiceFactory
    {87, 173, 1089},	// QGlobalSpace::KST_KServiceGroup
    {87, 174, 1096},	// QGlobalSpace::KST_KServiceGroupFactory
    {87, 175, 1092},	// QGlobalSpace::KST_KServiceSeparator
    {87, 176, 1084},	// QGlobalSpace::KST_KServiceType
    {87, 177, 1095},	// QGlobalSpace::KST_KServiceTypeFactory
    {87, 178, 1082},	// QGlobalSpace::KST_KSycocaEntry
    {87, 352, 1077},	// QGlobalSpace::_IEEE_
    {87, 353, 1081},	// QGlobalSpace::_ISOC_
    {87, 354, 1080},	// QGlobalSpace::_POSIX_
    {87, 355, 1078},	// QGlobalSpace::_SVID_
    {87, 356, 1079},	// QGlobalSpace::_XOPEN_
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtxml_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *okular_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_okular_Smoke() {
    init_qtcore_Smoke();
    init_qtxml_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    okular_Smoke = new Smoke(
        "okular",
        __smokeokular::classes, 106,
        __smokeokular::methods, 1108,
        __smokeokular::methodMaps, 1074,
        __smokeokular::methodNames, 1185,
        __smokeokular::types, 372,
        __smokeokular::inheritanceList,
        __smokeokular::argumentList,
        __smokeokular::ambiguousMethodList,
        __smokeokular::cast );
    initialized = true;
}

void delete_okular_Smoke() { delete okular_Smoke; }

}
